SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;


CREATE TABLE IF NOT EXISTS `egw_access_log` (
  `sessionid` int(11) NOT NULL auto_increment,
  `loginid` varchar(64) NOT NULL,
  `ip` varchar(40) NOT NULL,
  `li` bigint(20) NOT NULL,
  `lo` bigint(20) default NULL,
  `account_id` int(11) NOT NULL default '0',
  `session_dla` bigint(20) default NULL,
  `session_action` varchar(64) default NULL,
  `session_php` varchar(64) NOT NULL,
  `notification_heartbeat` bigint(20) default NULL,
  PRIMARY KEY  (`sessionid`),
  KEY `egw_access_log_li` (`li`),
  KEY `egw_access_log_lo` (`lo`),
  KEY `egw_access_log_session_dla` (`session_dla`),
  KEY `egw_access_log_notification_heartbeat` (`notification_heartbeat`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `egw_accounts` (
  `account_id` int(11) NOT NULL auto_increment,
  `account_lid` varchar(64) NOT NULL default '',
  `account_pwd` varchar(128) NOT NULL,
  `account_lastlogin` int(11) default NULL,
  `account_lastloginfrom` varchar(255) default NULL,
  `account_lastpwd_change` int(11) default NULL,
  `account_status` char(1) NOT NULL default 'A',
  `account_expires` int(11) default NULL,
  `account_type` char(1) default NULL,
  `account_primary_group` int(11) NOT NULL default '0',
  `account_challenge` varchar(100) default NULL,
  `account_response` varchar(100) default NULL,
  PRIMARY KEY  (`account_id`),
  UNIQUE KEY `egw_accounts_account_lid` (`account_lid`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

INSERT INTO `egw_accounts` (`account_id`, `account_lid`, `account_pwd`, `account_lastlogin`, `account_lastloginfrom`, `account_lastpwd_change`, `account_status`, `account_expires`, `account_type`, `account_primary_group`, `account_challenge`, `account_response`) VALUES
(1, 'Default', '', NULL, NULL, NULL, 'A', -1, 'g', 0, NULL, NULL);

CREATE TABLE IF NOT EXISTS `egw_acl` (
  `acl_appname` varchar(50) NOT NULL default '',
  `acl_location` varchar(255) NOT NULL default '',
  `acl_account` int(11) NOT NULL default '0',
  `acl_rights` int(11) default NULL,
  PRIMARY KEY  (`acl_appname`,`acl_location`,`acl_account`),
  KEY `egw_acl_account` (`acl_account`),
  KEY `egw_acl_location_account` (`acl_location`,`acl_account`),
  KEY `egw_acl_appname_account` (`acl_appname`,`acl_account`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `egw_acl` (`acl_appname`, `acl_location`, `acl_account`, `acl_rights`) VALUES
('addressbook', '-1', -1, 15),
('resources', 'run', -1, 1),
('resources', 'L', -1, 399),
('resources', 'L1', -1, 399);

CREATE TABLE IF NOT EXISTS `egw_addressbook` (
  `contact_id` int(11) NOT NULL auto_increment,
  `contact_tid` char(1) default 'n',
  `contact_owner` bigint(20) NOT NULL default '0',
  `contact_private` tinyint(4) default '0',
  `cat_id` varchar(255) default NULL,
  `n_family` varchar(64) default NULL,
  `n_given` varchar(64) default NULL,
  `n_middle` varchar(64) default NULL,
  `n_prefix` varchar(64) default NULL,
  `n_suffix` varchar(64) default NULL,
  `n_fn` varchar(128) default NULL,
  `n_fileas` varchar(255) default NULL,
  `contact_bday` varchar(12) default NULL,
  `org_name` varchar(128) default NULL,
  `org_unit` varchar(64) default NULL,
  `contact_title` varchar(64) default NULL,
  `contact_role` varchar(64) default NULL,
  `contact_assistent` varchar(64) default NULL,
  `contact_room` varchar(64) default NULL,
  `adr_one_street` varchar(64) default NULL,
  `adr_one_street2` varchar(64) default NULL,
  `adr_one_locality` varchar(64) default NULL,
  `adr_one_region` varchar(64) default NULL,
  `adr_one_postalcode` varchar(64) default NULL,
  `adr_one_countryname` varchar(64) default NULL,
  `contact_label` text,
  `adr_two_street` varchar(64) default NULL,
  `adr_two_street2` varchar(64) default NULL,
  `adr_two_locality` varchar(64) default NULL,
  `adr_two_region` varchar(64) default NULL,
  `adr_two_postalcode` varchar(64) default NULL,
  `adr_two_countryname` varchar(64) default NULL,
  `tel_work` varchar(40) default NULL,
  `tel_cell` varchar(40) default NULL,
  `tel_fax` varchar(40) default NULL,
  `tel_assistent` varchar(40) default NULL,
  `tel_car` varchar(40) default NULL,
  `tel_pager` varchar(40) default NULL,
  `tel_home` varchar(40) default NULL,
  `tel_fax_home` varchar(40) default NULL,
  `tel_cell_private` varchar(40) default NULL,
  `tel_other` varchar(40) default NULL,
  `tel_prefer` varchar(32) default NULL,
  `contact_email` varchar(128) default NULL,
  `contact_email_home` varchar(128) default NULL,
  `contact_url` varchar(128) default NULL,
  `contact_url_home` varchar(128) default NULL,
  `contact_freebusy_uri` varchar(128) default NULL,
  `contact_calendar_uri` varchar(128) default NULL,
  `contact_note` text,
  `contact_tz` varchar(8) default NULL,
  `contact_geo` varchar(32) default NULL,
  `contact_pubkey` text,
  `contact_created` bigint(20) default NULL,
  `contact_creator` int(11) NOT NULL default '0',
  `contact_modified` bigint(20) NOT NULL default '0',
  `contact_modifier` int(11) default NULL,
  `contact_jpegphoto` longblob,
  `account_id` int(11) default NULL,
  `contact_etag` int(11) default '0',
  `contact_uid` varchar(255) default NULL,
  `adr_one_countrycode` varchar(2) default NULL,
  `adr_two_countrycode` varchar(2) default NULL,
  `carddav_name` varchar(64) default NULL,
  PRIMARY KEY  (`contact_id`),
  UNIQUE KEY `egw_addressbook_account_id` (`account_id`),
  KEY `egw_addressbook_contact_owner` (`contact_owner`),
  KEY `egw_addressbook_cat_id` (`cat_id`),
  KEY `egw_addressbook_n_fileas` (`n_fileas`),
  KEY `egw_addressbook_n_family_n_given` (`n_family`,`n_given`),
  KEY `egw_addressbook_n_given_n_family` (`n_given`,`n_family`),
  KEY `egw_addressbook_org_name_n_family_n_given` (`org_name`,`n_family`,`n_given`),
  KEY `egw_addressbook_contact_uid` (`contact_uid`),
  KEY `egw_addressbook_carddav_name` (`carddav_name`),
  KEY `egw_addressbook_contact_modified` (`contact_modified`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `egw_addressbook2list` (
  `contact_id` int(11) NOT NULL default '0',
  `list_id` int(11) NOT NULL default '0',
  `list_added` bigint(20) default NULL,
  `list_added_by` int(11) default NULL,
  PRIMARY KEY  (`contact_id`,`list_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `egw_addressbook_extra` (
  `contact_id` int(11) NOT NULL default '0',
  `contact_owner` bigint(20) default NULL,
  `contact_name` varchar(255) NOT NULL default '',
  `contact_value` text,
  PRIMARY KEY  (`contact_id`,`contact_name`),
  KEY `egw_addressbook_extra_contact_name_contact_value` (`contact_name`,`contact_value`(32))
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `egw_addressbook_lists` (
  `list_id` int(11) NOT NULL auto_increment,
  `list_name` varchar(80) NOT NULL default '',
  `list_owner` int(11) NOT NULL default '0',
  `list_created` bigint(20) default NULL,
  `list_creator` int(11) default NULL,
  PRIMARY KEY  (`list_id`),
  UNIQUE KEY `egw_addressbook_lists_list_owner_list_name` (`list_owner`,`list_name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `egw_admin_queue` (
  `cmd_id` int(11) NOT NULL auto_increment,
  `cmd_uid` varchar(255) NOT NULL,
  `cmd_creator` int(11) NOT NULL,
  `cmd_creator_email` varchar(128) NOT NULL,
  `cmd_created` bigint(20) NOT NULL,
  `cmd_type` varchar(32) NOT NULL default 'admin_cmd',
  `cmd_status` tinyint(4) default NULL,
  `cmd_scheduled` bigint(20) default NULL,
  `cmd_modified` bigint(20) default NULL,
  `cmd_modifier` int(11) default NULL,
  `cmd_modifier_email` varchar(128) default NULL,
  `cmd_error` varchar(255) default NULL,
  `cmd_errno` int(11) default NULL,
  `cmd_requested` int(11) default NULL,
  `cmd_requested_email` varchar(128) default NULL,
  `cmd_comment` varchar(255) default NULL,
  `cmd_data` longblob,
  `remote_id` int(11) default NULL,
  PRIMARY KEY  (`cmd_id`),
  UNIQUE KEY `egw_admin_queue_cmd_uid` (`cmd_uid`),
  KEY `egw_admin_queue_cmd_status` (`cmd_status`),
  KEY `egw_admin_queue_cmd_scheduled` (`cmd_scheduled`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `egw_admin_remote` (
  `remote_id` int(11) NOT NULL auto_increment,
  `remote_name` varchar(64) NOT NULL,
  `remote_hash` varchar(32) NOT NULL,
  `remote_url` varchar(128) NOT NULL,
  `remote_domain` varchar(64) NOT NULL,
  PRIMARY KEY  (`remote_id`),
  UNIQUE KEY `egw_admin_remote_name` (`remote_name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `egw_api_content_history` (
  `sync_appname` varchar(60) NOT NULL default '',
  `sync_contentid` varchar(60) NOT NULL default '',
  `sync_added` datetime default NULL,
  `sync_modified` datetime default NULL,
  `sync_deleted` datetime default NULL,
  `sync_id` int(11) NOT NULL auto_increment,
  `sync_changedby` int(11) NOT NULL default '0',
  PRIMARY KEY  (`sync_id`),
  KEY `egw_api_content_history_sync_added` (`sync_added`),
  KEY `egw_api_content_history_sync_modified` (`sync_modified`),
  KEY `egw_api_content_history_sync_deleted` (`sync_deleted`),
  KEY `egw_api_content_history_sync_changedby` (`sync_changedby`),
  KEY `egw_api_content_history_sync_appname_sync_contentid` (`sync_appname`,`sync_contentid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `egw_applications` (
  `app_id` int(11) NOT NULL auto_increment,
  `app_name` varchar(25) NOT NULL default '',
  `app_enabled` int(11) NOT NULL default '0',
  `app_order` int(11) NOT NULL default '0',
  `app_tables` text,
  `app_version` varchar(20) NOT NULL default '0.0',
  `app_icon` varchar(32) default NULL,
  `app_icon_app` varchar(25) default NULL,
  `app_index` varchar(64) default NULL,
  PRIMARY KEY  (`app_id`),
  UNIQUE KEY `egw_applications_name` (`app_name`),
  KEY `egw_applications_enabled_order` (`app_enabled`,`app_order`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=37 ;

INSERT INTO `egw_applications` (`app_id`, `app_name`, `app_enabled`, `app_order`, `app_tables`, `app_version`, `app_icon`, `app_icon_app`, `app_index`) VALUES
(1, 'phpgwapi', 3, 1, 'egw_config,egw_applications,egw_acl,egw_accounts,egw_preferences,egw_access_log,egw_hooks,egw_languages,egw_lang,egw_nextid,egw_categories,egw_log,egw_log_msg,egw_interserv,egw_history_log,egw_async,egw_api_content_history,egw_links,egw_addressbook,egw_addressbook_extra,egw_addressbook_lists,egw_addressbook2list,egw_sqlfs,egw_index_keywords,egw_index,egw_cat2entry,egw_locks,egw_sqlfs_props', '1.8.005', NULL, NULL, NULL),
(2, 'admin', 1, 1, 'egw_admin_queue,egw_admin_remote', '1.8', NULL, NULL, NULL),
(3, 'preferences', 2, 1, '', '1.8', NULL, NULL, NULL),
(4, 'egw-pear', 0, 99, '', '1.8', NULL, NULL, NULL),
(5, 'home', 1, 1, '', '1.8', NULL, NULL, NULL),
(35, 'groupdav', 2, 1, '', '1.8', 'groupdav', 'phpgwapi', NULL),
(7, 'bookmarks', 1, 12, 'egw_bookmarks', '1.8', NULL, NULL, NULL),
(8, 'developer_tools', 1, 61, '', '1.8', NULL, NULL, 'developer_tools.uilangfile.index'),
(9, 'emailadmin', 2, 10, 'egw_emailadmin,egw_mailaccounts', '1.9.006', NULL, NULL, 'emailadmin.emailadmin_ui.listProfiles'),
(10, 'etemplate', 1, 60, 'egw_etemplate', '1.8', NULL, NULL, 'etemplate.editor.edit'),
(11, 'filemanager', 1, 6, '', '1.8', NULL, NULL, 'filemanager.filemanager_ui.index'),
(36, 'phpfreechat', 4, 4, 'egw_phpfreechat', '1.8', NULL, NULL, NULL),
(14, 'news_admin', 1, 16, 'egw_news,egw_news_export', '1.8.001', NULL, NULL, 'news_admin.uinews.index'),
(15, 'phpbrain', 1, 25, 'egw_kb_articles,egw_kb_comment,egw_kb_questions,egw_kb_ratings,egw_kb_related_art,egw_kb_search,egw_kb_urls', '1.8', NULL, NULL, 'phpbrain.uikb.index'),
(16, 'phpsysinfo', 2, 99, '', '1.2_2.5.2rc1', NULL, NULL, NULL),
(17, 'polls', 1, 17, 'egw_polls,egw_polls_answers,egw_polls_votes', '1.8', NULL, NULL, 'polls.uipolls.index'),
(18, 'registration', 2, 40, 'egw_reg_accounts,egw_reg_fields', '1.8', NULL, NULL, NULL),
(19, 'sambaadmin', 1, 99, '', '1.8', NULL, NULL, 'sambaadmin.uisambaadmin.listWorkstations'),
(20, 'syncml', 2, 99, 'egw_contentmap,egw_syncmldevinfo,egw_syncmlsummary,egw_syncmldeviceowner', '1.8', NULL, NULL, NULL),
(21, 'addressbook', 1, 4, '', '1.8', NULL, NULL, NULL),
(22, 'calendar', 1, 3, 'egw_cal,egw_cal_holidays,egw_cal_repeats,egw_cal_user,egw_cal_extra,egw_cal_dates,egw_cal_timezones', '1.9.004', NULL, NULL, 'calendar.calendar_uiviews.index'),
(23, 'felamimail', 1, 2, 'egw_felamimail_displayfilter,egw_felamimail_accounts,egw_felamimail_signatures', '1.8', NULL, NULL, 'felamimail.uifelamimail.viewMainScreen'),
(24, 'importexport', 2, 2, 'egw_importexport_definitions', '1.8', NULL, NULL, NULL),
(25, 'infolog', 1, 5, 'egw_infolog,egw_infolog_extra', '1.9.003', NULL, NULL, NULL),
(26, 'notifications', 2, 1, 'egw_notificationpopup', '1.8', NULL, NULL, NULL),
(27, 'projectmanager', 1, 5, 'egw_pm_projects,egw_pm_extra,egw_pm_elements,egw_pm_constraints,egw_pm_milestones,egw_pm_roles,egw_pm_members,egw_pm_pricelist,egw_pm_prices', '1.8', NULL, NULL, NULL),
(28, 'resources', 1, 5, 'egw_resources,egw_resources_extra', '1.9.001', NULL, NULL, NULL),
(29, 'sitemgr', 1, 14, 'egw_sitemgr_pages,egw_sitemgr_pages_lang,egw_sitemgr_categories_state,egw_sitemgr_categories_lang,egw_sitemgr_modules,egw_sitemgr_blocks,egw_sitemgr_blocks_lang,egw_sitemgr_content,egw_sitemgr_content_lang,egw_sitemgr_active_modules,egw_sitemgr_properties,egw_sitemgr_sites,egw_sitemgr_notifications,egw_sitemgr_notify_messages', '1.8', NULL, NULL, NULL),
(30, 'timesheet', 1, 5, 'egw_timesheet,egw_timesheet_extra', '1.8', NULL, NULL, NULL),
(31, 'tracker', 1, 5, 'egw_tracker,egw_tracker_replies,egw_tracker_votes,egw_tracker_bounties,egw_tracker_assignee,egw_tracker_escalations,egw_tracker_escalated,egw_tracker_extra', '1.8', NULL, NULL, 'tracker.tracker_ui.index'),
(32, 'wiki', 1, 11, 'egw_wiki_links,egw_wiki_pages,egw_wiki_rate,egw_wiki_interwiki,egw_wiki_sisterwiki,egw_wiki_remote_pages', '1.8', NULL, NULL, NULL),
(33, 'manual', 4, 5, '', '1.8', NULL, NULL, NULL),
(34, 'sitemgr-link', 1, 9, '', '1.8', 'sitemgr-link', 'sitemgr', '/sitemgr/sitemgr-link.php');

CREATE TABLE IF NOT EXISTS `egw_async` (
  `async_id` varchar(255) NOT NULL default '',
  `async_next` int(11) NOT NULL default '0',
  `async_times` varchar(255) NOT NULL default '',
  `async_method` varchar(80) NOT NULL default '',
  `async_data` text,
  `async_account_id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`async_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `egw_async` (`async_id`, `async_next`, `async_times`, `async_method`, `async_data`, `async_account_id`) VALUES
('##last-check-run##', 0, 'a:0:{}', 'none', 'a:3:{s:6:"run_by";s:7:"crontab";s:5:"start";i:1386863403;s:3:"end";i:1386863403;}', 0);

CREATE TABLE IF NOT EXISTS `egw_bookmarks` (
  `bm_id` int(11) NOT NULL auto_increment,
  `bm_owner` int(11) default NULL,
  `bm_access` varchar(255) default NULL,
  `bm_url` varchar(255) default NULL,
  `bm_name` varchar(255) default NULL,
  `bm_desc` text,
  `bm_keywords` varchar(255) default NULL,
  `bm_category` int(11) default NULL,
  `bm_rating` int(11) default NULL,
  `bm_info` varchar(255) default NULL,
  `bm_visits` int(11) default NULL,
  PRIMARY KEY  (`bm_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `egw_cal` (
  `cal_id` int(11) NOT NULL auto_increment,
  `cal_uid` varchar(255) NOT NULL,
  `cal_owner` int(11) NOT NULL,
  `cal_category` varchar(30) default NULL,
  `cal_modified` bigint(20) default NULL,
  `cal_priority` smallint(6) NOT NULL default '2',
  `cal_public` smallint(6) NOT NULL default '1',
  `cal_title` varchar(255) NOT NULL default '1',
  `cal_description` text,
  `cal_location` varchar(255) default NULL,
  `cal_reference` int(11) NOT NULL default '0',
  `cal_modifier` int(11) default NULL,
  `cal_non_blocking` smallint(6) default '0',
  `cal_special` smallint(6) default '0',
  `cal_etag` int(11) default '0',
  `cal_creator` int(11) NOT NULL,
  `cal_created` bigint(20) NOT NULL,
  `cal_recurrence` bigint(20) NOT NULL default '0',
  `tz_id` int(11) default NULL,
  `cal_deleted` bigint(20) default NULL,
  `caldav_name` varchar(64) default NULL,
  PRIMARY KEY  (`cal_id`),
  KEY `egw_cal_uid` (`cal_uid`),
  KEY `egw_cal_owner` (`cal_owner`),
  KEY `egw_cal_deleted` (`cal_deleted`),
  KEY `egw_cal_caldav_name` (`caldav_name`),
  KEY `egw_cal_modified` (`cal_modified`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `egw_cal_dates` (
  `cal_id` int(11) NOT NULL default '0',
  `cal_start` bigint(20) NOT NULL,
  `cal_end` bigint(20) NOT NULL,
  PRIMARY KEY  (`cal_id`,`cal_start`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `egw_cal_extra` (
  `cal_id` int(11) NOT NULL default '0',
  `cal_extra_name` varchar(40) NOT NULL default '',
  `cal_extra_value` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`cal_id`,`cal_extra_name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `egw_cal_holidays` (
  `hol_id` int(11) NOT NULL auto_increment,
  `hol_locale` varchar(2) NOT NULL default '',
  `hol_name` varchar(50) NOT NULL default '',
  `hol_mday` bigint(20) NOT NULL default '0',
  `hol_month_num` bigint(20) NOT NULL default '0',
  `hol_occurence` bigint(20) NOT NULL default '0',
  `hol_dow` bigint(20) NOT NULL default '0',
  `hol_observance_rule` bigint(20) NOT NULL default '0',
  PRIMARY KEY  (`hol_id`),
  KEY `egw_cal_holidays_hol_locale` (`hol_locale`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `egw_cal_repeats` (
  `cal_id` int(11) NOT NULL default '0',
  `recur_type` smallint(6) NOT NULL default '0',
  `recur_enddate` bigint(20) default NULL,
  `recur_interval` smallint(6) default '1',
  `recur_data` smallint(6) default '1',
  `recur_exception` text,
  PRIMARY KEY  (`cal_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `egw_cal_timezones` (
  `tz_id` int(11) NOT NULL auto_increment,
  `tz_tzid` varchar(128) NOT NULL,
  `tz_alias` int(11) default NULL,
  `tz_latitude` int(11) default NULL,
  `tz_longitude` int(11) default NULL,
  `tz_component` text,
  PRIMARY KEY  (`tz_id`),
  UNIQUE KEY `egw_cal_timezones_tz_tzid` (`tz_tzid`),
  KEY `egw_cal_timezones_tz_alias` (`tz_alias`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=609 ;

INSERT INTO `egw_cal_timezones` (`tz_id`, `tz_tzid`, `tz_alias`, `tz_latitude`, `tz_longitude`, `tz_component`) VALUES
(1, 'Africa/Abidjan', NULL, 51900, -40200, 'BEGIN:VTIMEZONE\r\nTZID:Africa/Abidjan\r\nX-LIC-LOCATION:Africa/Abidjan\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0000\r\nTZOFFSETTO:+0000\r\nTZNAME:GMT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(2, 'Africa/Accra', NULL, 53300, 1300, 'BEGIN:VTIMEZONE\r\nTZID:Africa/Accra\r\nX-LIC-LOCATION:Africa/Accra\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0000\r\nTZOFFSETTO:+0000\r\nTZNAME:GMT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(3, 'Africa/Addis_Ababa', NULL, 90200, 384200, 'BEGIN:VTIMEZONE\r\nTZID:Africa/Addis_Ababa\r\nX-LIC-LOCATION:Africa/Addis_Ababa\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0300\r\nTZOFFSETTO:+0300\r\nTZNAME:EAT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(4, 'Africa/Algiers', NULL, 364700, 30300, 'BEGIN:VTIMEZONE\r\nTZID:Africa/Algiers\r\nX-LIC-LOCATION:Africa/Algiers\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0100\r\nTZOFFSETTO:+0100\r\nTZNAME:CET\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(5, 'Africa/Asmara', NULL, 152000, 385300, 'BEGIN:VTIMEZONE\r\nTZID:Africa/Asmara\r\nX-LIC-LOCATION:Africa/Asmara\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0300\r\nTZOFFSETTO:+0300\r\nTZNAME:EAT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(6, 'Africa/Bamako', NULL, 123900, -80000, 'BEGIN:VTIMEZONE\r\nTZID:Africa/Bamako\r\nX-LIC-LOCATION:Africa/Bamako\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0000\r\nTZOFFSETTO:+0000\r\nTZNAME:GMT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(7, 'Africa/Bangui', NULL, 42200, 183500, 'BEGIN:VTIMEZONE\r\nTZID:Africa/Bangui\r\nX-LIC-LOCATION:Africa/Bangui\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0100\r\nTZOFFSETTO:+0100\r\nTZNAME:WAT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(8, 'Africa/Banjul', NULL, 132800, -163900, 'BEGIN:VTIMEZONE\r\nTZID:Africa/Banjul\r\nX-LIC-LOCATION:Africa/Banjul\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0000\r\nTZOFFSETTO:+0000\r\nTZNAME:GMT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(9, 'Africa/Bissau', NULL, 115100, -153500, 'BEGIN:VTIMEZONE\r\nTZID:Africa/Bissau\r\nX-LIC-LOCATION:Africa/Bissau\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0000\r\nTZOFFSETTO:+0000\r\nTZNAME:GMT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(10, 'Africa/Blantyre', NULL, -154700, 350000, 'BEGIN:VTIMEZONE\r\nTZID:Africa/Blantyre\r\nX-LIC-LOCATION:Africa/Blantyre\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0200\r\nTZOFFSETTO:+0200\r\nTZNAME:CAT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(11, 'Africa/Brazzaville', NULL, -41600, 151700, 'BEGIN:VTIMEZONE\r\nTZID:Africa/Brazzaville\r\nX-LIC-LOCATION:Africa/Brazzaville\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0100\r\nTZOFFSETTO:+0100\r\nTZNAME:WAT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(12, 'Africa/Bujumbura', NULL, -32300, 292200, 'BEGIN:VTIMEZONE\r\nTZID:Africa/Bujumbura\r\nX-LIC-LOCATION:Africa/Bujumbura\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0200\r\nTZOFFSETTO:+0200\r\nTZNAME:CAT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(13, 'Africa/Cairo', NULL, 300300, 311500, 'BEGIN:VTIMEZONE\r\nTZID:Africa/Cairo\r\nX-LIC-LOCATION:Africa/Cairo\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0200\r\nTZOFFSETTO:+0200\r\nTZNAME:EET\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(14, 'Africa/Casablanca', NULL, 333900, -73500, 'BEGIN:VTIMEZONE\r\nTZID:Africa/Casablanca\r\nX-LIC-LOCATION:Africa/Casablanca\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0100\r\nTZOFFSETTO:+0000\r\nTZNAME:WET\r\nDTSTART:19700927T030000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=9\r\nEND:STANDARD\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+0100\r\nTZOFFSETTO:+0100\r\nTZNAME:WEST\r\nDTSTART:19700426T020000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=4\r\nEND:DAYLIGHT\r\nEND:VTIMEZONE\r\n'),
(15, 'Africa/Ceuta', NULL, 355300, -51900, 'BEGIN:VTIMEZONE\r\nTZID:Africa/Ceuta\r\nX-LIC-LOCATION:Africa/Ceuta\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+0100\r\nTZOFFSETTO:+0200\r\nTZNAME:CEST\r\nDTSTART:19700329T020000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0200\r\nTZOFFSETTO:+0100\r\nTZNAME:CET\r\nDTSTART:19701025T030000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(16, 'Africa/Conakry', NULL, 93100, -134300, 'BEGIN:VTIMEZONE\r\nTZID:Africa/Conakry\r\nX-LIC-LOCATION:Africa/Conakry\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0000\r\nTZOFFSETTO:+0000\r\nTZNAME:GMT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(17, 'Africa/Dakar', NULL, 144000, -172600, 'BEGIN:VTIMEZONE\r\nTZID:Africa/Dakar\r\nX-LIC-LOCATION:Africa/Dakar\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0000\r\nTZOFFSETTO:+0000\r\nTZNAME:GMT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(18, 'Africa/Dar_es_Salaam', NULL, -64800, 391700, 'BEGIN:VTIMEZONE\r\nTZID:Africa/Dar_es_Salaam\r\nX-LIC-LOCATION:Africa/Dar_es_Salaam\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0300\r\nTZOFFSETTO:+0300\r\nTZNAME:EAT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(19, 'Africa/Djibouti', NULL, 113600, 430900, 'BEGIN:VTIMEZONE\r\nTZID:Africa/Djibouti\r\nX-LIC-LOCATION:Africa/Djibouti\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0300\r\nTZOFFSETTO:+0300\r\nTZNAME:EAT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(20, 'Africa/Douala', NULL, 40300, 94200, 'BEGIN:VTIMEZONE\r\nTZID:Africa/Douala\r\nX-LIC-LOCATION:Africa/Douala\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0100\r\nTZOFFSETTO:+0100\r\nTZNAME:WAT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(21, 'Africa/El_Aaiun', NULL, 270900, -131200, 'BEGIN:VTIMEZONE\r\nTZID:Africa/El_Aaiun\r\nX-LIC-LOCATION:Africa/El_Aaiun\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0000\r\nTZOFFSETTO:+0000\r\nTZNAME:WET\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(22, 'Africa/Freetown', NULL, 83000, -131500, 'BEGIN:VTIMEZONE\r\nTZID:Africa/Freetown\r\nX-LIC-LOCATION:Africa/Freetown\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0000\r\nTZOFFSETTO:+0000\r\nTZNAME:GMT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(23, 'Africa/Gaborone', NULL, -243900, 255500, 'BEGIN:VTIMEZONE\r\nTZID:Africa/Gaborone\r\nX-LIC-LOCATION:Africa/Gaborone\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0200\r\nTZOFFSETTO:+0200\r\nTZNAME:CAT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(24, 'Africa/Harare', NULL, -175000, 310300, 'BEGIN:VTIMEZONE\r\nTZID:Africa/Harare\r\nX-LIC-LOCATION:Africa/Harare\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0200\r\nTZOFFSETTO:+0200\r\nTZNAME:CAT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(25, 'Africa/Johannesburg', NULL, -261500, 280000, 'BEGIN:VTIMEZONE\r\nTZID:Africa/Johannesburg\r\nX-LIC-LOCATION:Africa/Johannesburg\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0200\r\nTZOFFSETTO:+0200\r\nTZNAME:SAST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(26, 'Africa/Juba', NULL, 45100, 313600, 'BEGIN:VTIMEZONE\r\nTZID:Africa/Juba\r\nX-LIC-LOCATION:Africa/Juba\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0300\r\nTZOFFSETTO:+0300\r\nTZNAME:EAT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(27, 'Africa/Kampala', NULL, 1900, 322500, 'BEGIN:VTIMEZONE\r\nTZID:Africa/Kampala\r\nX-LIC-LOCATION:Africa/Kampala\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0300\r\nTZOFFSETTO:+0300\r\nTZNAME:EAT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(28, 'Africa/Khartoum', NULL, 153600, 323200, 'BEGIN:VTIMEZONE\r\nTZID:Africa/Khartoum\r\nX-LIC-LOCATION:Africa/Khartoum\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0300\r\nTZOFFSETTO:+0300\r\nTZNAME:EAT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(29, 'Africa/Kigali', NULL, -15700, 300400, 'BEGIN:VTIMEZONE\r\nTZID:Africa/Kigali\r\nX-LIC-LOCATION:Africa/Kigali\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0200\r\nTZOFFSETTO:+0200\r\nTZNAME:CAT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(30, 'Africa/Kinshasa', NULL, -41800, 151800, 'BEGIN:VTIMEZONE\r\nTZID:Africa/Kinshasa\r\nX-LIC-LOCATION:Africa/Kinshasa\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0100\r\nTZOFFSETTO:+0100\r\nTZNAME:WAT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(31, 'Africa/Lagos', NULL, 62700, 32400, 'BEGIN:VTIMEZONE\r\nTZID:Africa/Lagos\r\nX-LIC-LOCATION:Africa/Lagos\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0100\r\nTZOFFSETTO:+0100\r\nTZNAME:WAT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(32, 'Africa/Libreville', NULL, 2300, 92700, 'BEGIN:VTIMEZONE\r\nTZID:Africa/Libreville\r\nX-LIC-LOCATION:Africa/Libreville\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0100\r\nTZOFFSETTO:+0100\r\nTZNAME:WAT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(33, 'Africa/Lome', NULL, 60800, 11300, 'BEGIN:VTIMEZONE\r\nTZID:Africa/Lome\r\nX-LIC-LOCATION:Africa/Lome\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0000\r\nTZOFFSETTO:+0000\r\nTZNAME:GMT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(34, 'Africa/Luanda', NULL, -84800, 131400, 'BEGIN:VTIMEZONE\r\nTZID:Africa/Luanda\r\nX-LIC-LOCATION:Africa/Luanda\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0100\r\nTZOFFSETTO:+0100\r\nTZNAME:WAT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(35, 'Africa/Lubumbashi', NULL, -114000, 272800, 'BEGIN:VTIMEZONE\r\nTZID:Africa/Lubumbashi\r\nX-LIC-LOCATION:Africa/Lubumbashi\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0200\r\nTZOFFSETTO:+0200\r\nTZNAME:CAT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(36, 'Africa/Lusaka', NULL, -152500, 281700, 'BEGIN:VTIMEZONE\r\nTZID:Africa/Lusaka\r\nX-LIC-LOCATION:Africa/Lusaka\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0200\r\nTZOFFSETTO:+0200\r\nTZNAME:CAT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(37, 'Africa/Malabo', NULL, 34500, 84700, 'BEGIN:VTIMEZONE\r\nTZID:Africa/Malabo\r\nX-LIC-LOCATION:Africa/Malabo\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0100\r\nTZOFFSETTO:+0100\r\nTZNAME:WAT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(38, 'Africa/Maputo', NULL, -255800, 323500, 'BEGIN:VTIMEZONE\r\nTZID:Africa/Maputo\r\nX-LIC-LOCATION:Africa/Maputo\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0200\r\nTZOFFSETTO:+0200\r\nTZNAME:CAT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(39, 'Africa/Maseru', NULL, -292800, 273000, 'BEGIN:VTIMEZONE\r\nTZID:Africa/Maseru\r\nX-LIC-LOCATION:Africa/Maseru\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0200\r\nTZOFFSETTO:+0200\r\nTZNAME:SAST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(40, 'Africa/Mbabane', NULL, -261800, 310600, 'BEGIN:VTIMEZONE\r\nTZID:Africa/Mbabane\r\nX-LIC-LOCATION:Africa/Mbabane\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0200\r\nTZOFFSETTO:+0200\r\nTZNAME:SAST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(41, 'Africa/Mogadishu', NULL, 20400, 452200, 'BEGIN:VTIMEZONE\r\nTZID:Africa/Mogadishu\r\nX-LIC-LOCATION:Africa/Mogadishu\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0300\r\nTZOFFSETTO:+0300\r\nTZNAME:EAT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(42, 'Africa/Monrovia', NULL, 61800, -104700, 'BEGIN:VTIMEZONE\r\nTZID:Africa/Monrovia\r\nX-LIC-LOCATION:Africa/Monrovia\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0000\r\nTZOFFSETTO:+0000\r\nTZNAME:GMT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(43, 'Africa/Nairobi', NULL, -11700, 364900, 'BEGIN:VTIMEZONE\r\nTZID:Africa/Nairobi\r\nX-LIC-LOCATION:Africa/Nairobi\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0300\r\nTZOFFSETTO:+0300\r\nTZNAME:EAT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(44, 'Africa/Ndjamena', NULL, 120700, 150300, 'BEGIN:VTIMEZONE\r\nTZID:Africa/Ndjamena\r\nX-LIC-LOCATION:Africa/Ndjamena\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0100\r\nTZOFFSETTO:+0100\r\nTZNAME:WAT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(45, 'Africa/Niamey', NULL, 133100, 20700, 'BEGIN:VTIMEZONE\r\nTZID:Africa/Niamey\r\nX-LIC-LOCATION:Africa/Niamey\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0100\r\nTZOFFSETTO:+0100\r\nTZNAME:WAT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(46, 'Africa/Nouakchott', NULL, 180600, -155700, 'BEGIN:VTIMEZONE\r\nTZID:Africa/Nouakchott\r\nX-LIC-LOCATION:Africa/Nouakchott\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0000\r\nTZOFFSETTO:+0000\r\nTZNAME:GMT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(47, 'Africa/Ouagadougou', NULL, 122200, -13100, 'BEGIN:VTIMEZONE\r\nTZID:Africa/Ouagadougou\r\nX-LIC-LOCATION:Africa/Ouagadougou\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0000\r\nTZOFFSETTO:+0000\r\nTZNAME:GMT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(48, 'Africa/Porto-Novo', NULL, 62900, 23700, 'BEGIN:VTIMEZONE\r\nTZID:Africa/Porto-Novo\r\nX-LIC-LOCATION:Africa/Porto-Novo\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0100\r\nTZOFFSETTO:+0100\r\nTZNAME:WAT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(49, 'Africa/Sao_Tome', NULL, 2000, 64400, 'BEGIN:VTIMEZONE\r\nTZID:Africa/Sao_Tome\r\nX-LIC-LOCATION:Africa/Sao_Tome\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0000\r\nTZOFFSETTO:+0000\r\nTZNAME:GMT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(50, 'Africa/Tripoli', NULL, 325400, 131100, 'BEGIN:VTIMEZONE\r\nTZID:Africa/Tripoli\r\nX-LIC-LOCATION:Africa/Tripoli\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+0100\r\nTZOFFSETTO:+0200\r\nTZNAME:CEST\r\nDTSTART:19700327T010000\r\nRRULE:FREQ=YEARLY;BYDAY=-1FR;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0200\r\nTZOFFSETTO:+0100\r\nTZNAME:CET\r\nDTSTART:19701030T020000\r\nRRULE:FREQ=YEARLY;BYDAY=-1FR;BYMONTH=10\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(51, 'Africa/Tunis', NULL, 364800, 101100, 'BEGIN:VTIMEZONE\r\nTZID:Africa/Tunis\r\nX-LIC-LOCATION:Africa/Tunis\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0100\r\nTZOFFSETTO:+0100\r\nTZNAME:CET\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(52, 'Africa/Windhoek', NULL, -223400, 170600, 'BEGIN:VTIMEZONE\r\nTZID:Africa/Windhoek\r\nX-LIC-LOCATION:Africa/Windhoek\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+0100\r\nTZOFFSETTO:+0200\r\nTZNAME:WAST\r\nDTSTART:19700906T020000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=9\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0200\r\nTZOFFSETTO:+0100\r\nTZNAME:WAT\r\nDTSTART:19700405T020000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=4\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(53, 'America/Adak', NULL, 515248, -1763929, 'BEGIN:VTIMEZONE\r\nTZID:America/Adak\r\nX-LIC-LOCATION:America/Adak\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:-1000\r\nTZOFFSETTO:-0900\r\nTZNAME:HADT\r\nDTSTART:19700308T020000\r\nRRULE:FREQ=YEARLY;BYDAY=2SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0900\r\nTZOFFSETTO:-1000\r\nTZNAME:HAST\r\nDTSTART:19701101T020000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=11\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(54, 'America/Anchorage', NULL, 611305, -1495401, 'BEGIN:VTIMEZONE\r\nTZID:America/Anchorage\r\nX-LIC-LOCATION:America/Anchorage\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:-0900\r\nTZOFFSETTO:-0800\r\nTZNAME:AKDT\r\nDTSTART:19700308T020000\r\nRRULE:FREQ=YEARLY;BYDAY=2SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0800\r\nTZOFFSETTO:-0900\r\nTZNAME:AKST\r\nDTSTART:19701101T020000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=11\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(55, 'America/Anguilla', NULL, 181200, -630400, 'BEGIN:VTIMEZONE\r\nTZID:America/Anguilla\r\nX-LIC-LOCATION:America/Anguilla\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0400\r\nTZOFFSETTO:-0400\r\nTZNAME:AST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(56, 'America/Antigua', NULL, 170300, -614800, 'BEGIN:VTIMEZONE\r\nTZID:America/Antigua\r\nX-LIC-LOCATION:America/Antigua\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0400\r\nTZOFFSETTO:-0400\r\nTZNAME:AST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(57, 'America/Araguaina', NULL, -71200, -481200, 'BEGIN:VTIMEZONE\r\nTZID:America/Araguaina\r\nX-LIC-LOCATION:America/Araguaina\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:-0300\r\nTZOFFSETTO:-0200\r\nTZNAME:BRST\r\nDTSTART:19701018T000000\r\nRRULE:FREQ=YEARLY;BYDAY=3SU;BYMONTH=10\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0300\r\nTZOFFSETTO:-0300\r\nTZNAME:BRT\r\nDTSTART:19700215T000000\r\nRRULE:FREQ=YEARLY;BYDAY=3SU;BYMONTH=2\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(58, 'America/Argentina/Buenos_Aires', NULL, -343600, -582700, 'BEGIN:VTIMEZONE\r\nTZID:America/Argentina/Buenos_Aires\r\nX-LIC-LOCATION:America/Argentina/Buenos_Aires\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0300\r\nTZOFFSETTO:-0300\r\nTZNAME:ART\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(59, 'America/Argentina/Catamarca', NULL, -282800, -654700, 'BEGIN:VTIMEZONE\r\nTZID:America/Argentina/Catamarca\r\nX-LIC-LOCATION:America/Argentina/Catamarca\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0300\r\nTZOFFSETTO:-0300\r\nTZNAME:ART\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(60, 'America/Argentina/Cordoba', NULL, -312400, -641100, 'BEGIN:VTIMEZONE\r\nTZID:America/Argentina/Cordoba\r\nX-LIC-LOCATION:America/Argentina/Cordoba\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0300\r\nTZOFFSETTO:-0300\r\nTZNAME:ART\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(61, 'America/Argentina/Jujuy', NULL, -241100, -651800, 'BEGIN:VTIMEZONE\r\nTZID:America/Argentina/Jujuy\r\nX-LIC-LOCATION:America/Argentina/Jujuy\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0300\r\nTZOFFSETTO:-0300\r\nTZNAME:ART\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(62, 'America/Argentina/La_Rioja', NULL, -292600, -665100, 'BEGIN:VTIMEZONE\r\nTZID:America/Argentina/La_Rioja\r\nX-LIC-LOCATION:America/Argentina/La_Rioja\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0300\r\nTZOFFSETTO:-0300\r\nTZNAME:ART\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(63, 'America/Argentina/Mendoza', NULL, -325300, -684900, 'BEGIN:VTIMEZONE\r\nTZID:America/Argentina/Mendoza\r\nX-LIC-LOCATION:America/Argentina/Mendoza\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0300\r\nTZOFFSETTO:-0300\r\nTZNAME:ART\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(64, 'America/Argentina/Rio_Gallegos', NULL, -513800, -691300, 'BEGIN:VTIMEZONE\r\nTZID:America/Argentina/Rio_Gallegos\r\nX-LIC-LOCATION:America/Argentina/Rio_Gallegos\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0300\r\nTZOFFSETTO:-0300\r\nTZNAME:ART\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(65, 'America/Argentina/Salta', NULL, -244700, -652500, 'BEGIN:VTIMEZONE\r\nTZID:America/Argentina/Salta\r\nX-LIC-LOCATION:America/Argentina/Salta\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0300\r\nTZOFFSETTO:-0300\r\nTZNAME:ART\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(66, 'America/Argentina/San_Juan', NULL, -313200, -683100, 'BEGIN:VTIMEZONE\r\nTZID:America/Argentina/San_Juan\r\nX-LIC-LOCATION:America/Argentina/San_Juan\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0300\r\nTZOFFSETTO:-0300\r\nTZNAME:ART\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(67, 'America/Argentina/San_Luis', NULL, -331900, -662100, 'BEGIN:VTIMEZONE\r\nTZID:America/Argentina/San_Luis\r\nX-LIC-LOCATION:America/Argentina/San_Luis\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0400\r\nTZOFFSETTO:-0400\r\nTZNAME:WART\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(68, 'America/Argentina/Tucuman', NULL, -264900, -651300, 'BEGIN:VTIMEZONE\r\nTZID:America/Argentina/Tucuman\r\nX-LIC-LOCATION:America/Argentina/Tucuman\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0300\r\nTZOFFSETTO:-0300\r\nTZNAME:ART\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(69, 'America/Argentina/Ushuaia', NULL, -544800, -681800, 'BEGIN:VTIMEZONE\r\nTZID:America/Argentina/Ushuaia\r\nX-LIC-LOCATION:America/Argentina/Ushuaia\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0300\r\nTZOFFSETTO:-0300\r\nTZNAME:ART\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(70, 'America/Aruba', NULL, 123000, -695800, 'BEGIN:VTIMEZONE\r\nTZID:America/Aruba\r\nX-LIC-LOCATION:America/Aruba\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0400\r\nTZOFFSETTO:-0400\r\nTZNAME:AST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(71, 'America/Asuncion', NULL, -251600, -574000, 'BEGIN:VTIMEZONE\r\nTZID:America/Asuncion\r\nX-LIC-LOCATION:America/Asuncion\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:-0400\r\nTZOFFSETTO:-0300\r\nTZNAME:PYST\r\nDTSTART:19701004T000000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=10\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0300\r\nTZOFFSETTO:-0400\r\nTZNAME:PYT\r\nDTSTART:19700322T000000\r\nRRULE:FREQ=YEARLY;BYDAY=4SU;BYMONTH=3\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(72, 'America/Atikokan', NULL, 484531, -913718, 'BEGIN:VTIMEZONE\r\nTZID:America/Atikokan\r\nX-LIC-LOCATION:America/Atikokan\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0500\r\nTZOFFSETTO:-0500\r\nTZNAME:EST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(73, 'America/Bahia', NULL, -125900, -383100, 'BEGIN:VTIMEZONE\r\nTZID:America/Bahia\r\nX-LIC-LOCATION:America/Bahia\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0300\r\nTZOFFSETTO:-0300\r\nTZNAME:BRT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(74, 'America/Bahia_Banderas', NULL, 204800, -1051500, 'BEGIN:VTIMEZONE\r\nTZID:America/Bahia_Banderas\r\nX-LIC-LOCATION:America/Bahia_Banderas\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0500\r\nTZOFFSETTO:-0600\r\nTZNAME:CST\r\nDTSTART:19701025T020000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10\r\nEND:STANDARD\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:-0600\r\nTZOFFSETTO:-0500\r\nTZNAME:CDT\r\nDTSTART:19700405T020000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=4\r\nEND:DAYLIGHT\r\nEND:VTIMEZONE\r\n'),
(75, 'America/Barbados', NULL, 130600, -593700, 'BEGIN:VTIMEZONE\r\nTZID:America/Barbados\r\nX-LIC-LOCATION:America/Barbados\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0400\r\nTZOFFSETTO:-0400\r\nTZNAME:AST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(76, 'America/Belem', NULL, -12700, -482900, 'BEGIN:VTIMEZONE\r\nTZID:America/Belem\r\nX-LIC-LOCATION:America/Belem\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0300\r\nTZOFFSETTO:-0300\r\nTZNAME:BRT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(77, 'America/Belize', NULL, 173000, -881200, 'BEGIN:VTIMEZONE\r\nTZID:America/Belize\r\nX-LIC-LOCATION:America/Belize\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0600\r\nTZOFFSETTO:-0600\r\nTZNAME:CST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(78, 'America/Blanc-Sablon', NULL, 512500, -570700, 'BEGIN:VTIMEZONE\r\nTZID:America/Blanc-Sablon\r\nX-LIC-LOCATION:America/Blanc-Sablon\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0400\r\nTZOFFSETTO:-0400\r\nTZNAME:AST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(79, 'America/Boa_Vista', NULL, 24900, -604000, 'BEGIN:VTIMEZONE\r\nTZID:America/Boa_Vista\r\nX-LIC-LOCATION:America/Boa_Vista\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0400\r\nTZOFFSETTO:-0400\r\nTZNAME:AMT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(80, 'America/Bogota', NULL, 43600, -740500, 'BEGIN:VTIMEZONE\r\nTZID:America/Bogota\r\nX-LIC-LOCATION:America/Bogota\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0500\r\nTZOFFSETTO:-0500\r\nTZNAME:COT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(81, 'America/Boise', NULL, 433649, -1161209, 'BEGIN:VTIMEZONE\r\nTZID:America/Boise\r\nX-LIC-LOCATION:America/Boise\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:-0700\r\nTZOFFSETTO:-0600\r\nTZNAME:MDT\r\nDTSTART:19700308T020000\r\nRRULE:FREQ=YEARLY;BYDAY=2SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0600\r\nTZOFFSETTO:-0700\r\nTZNAME:MST\r\nDTSTART:19701101T020000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=11\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(82, 'America/Cambridge_Bay', NULL, 690650, -1050310, 'BEGIN:VTIMEZONE\r\nTZID:America/Cambridge_Bay\r\nX-LIC-LOCATION:America/Cambridge_Bay\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:-0700\r\nTZOFFSETTO:-0600\r\nTZNAME:MDT\r\nDTSTART:19700308T020000\r\nRRULE:FREQ=YEARLY;BYDAY=2SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0600\r\nTZOFFSETTO:-0700\r\nTZNAME:MST\r\nDTSTART:19701101T020000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=11\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(83, 'America/Campo_Grande', NULL, -202700, -543700, 'BEGIN:VTIMEZONE\r\nTZID:America/Campo_Grande\r\nX-LIC-LOCATION:America/Campo_Grande\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:-0400\r\nTZOFFSETTO:-0300\r\nTZNAME:AMST\r\nDTSTART:19701018T000000\r\nRRULE:FREQ=YEARLY;BYDAY=3SU;BYMONTH=10\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0400\r\nTZOFFSETTO:-0400\r\nTZNAME:AMT\r\nDTSTART:19700215T000000\r\nRRULE:FREQ=YEARLY;BYDAY=3SU;BYMONTH=2\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(84, 'America/Cancun', NULL, 210500, -864600, 'BEGIN:VTIMEZONE\r\nTZID:America/Cancun\r\nX-LIC-LOCATION:America/Cancun\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:-0600\r\nTZOFFSETTO:-0500\r\nTZNAME:CDT\r\nDTSTART:19700405T020000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=4\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0500\r\nTZOFFSETTO:-0600\r\nTZNAME:CST\r\nDTSTART:19701025T020000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(85, 'America/Caracas', NULL, 103000, -665600, 'BEGIN:VTIMEZONE\r\nTZID:America/Caracas\r\nX-LIC-LOCATION:America/Caracas\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0430\r\nTZOFFSETTO:-0430\r\nTZNAME:VET\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(86, 'America/Cayenne', NULL, 45600, -522000, 'BEGIN:VTIMEZONE\r\nTZID:America/Cayenne\r\nX-LIC-LOCATION:America/Cayenne\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0300\r\nTZOFFSETTO:-0300\r\nTZNAME:GFT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(87, 'America/Cayman', NULL, 191800, -812300, 'BEGIN:VTIMEZONE\r\nTZID:America/Cayman\r\nX-LIC-LOCATION:America/Cayman\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0500\r\nTZOFFSETTO:-0500\r\nTZNAME:EST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(88, 'America/Chicago', NULL, 415100, -873900, 'BEGIN:VTIMEZONE\r\nTZID:America/Chicago\r\nX-LIC-LOCATION:America/Chicago\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:-0600\r\nTZOFFSETTO:-0500\r\nTZNAME:CDT\r\nDTSTART:19700308T020000\r\nRRULE:FREQ=YEARLY;BYDAY=2SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0500\r\nTZOFFSETTO:-0600\r\nTZNAME:CST\r\nDTSTART:19701101T020000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=11\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(89, 'America/Chihuahua', NULL, 283800, -1060500, 'BEGIN:VTIMEZONE\r\nTZID:America/Chihuahua\r\nX-LIC-LOCATION:America/Chihuahua\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:-0700\r\nTZOFFSETTO:-0600\r\nTZNAME:MDT\r\nDTSTART:19700405T020000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=4\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0600\r\nTZOFFSETTO:-0700\r\nTZNAME:MST\r\nDTSTART:19701025T020000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(90, 'America/Costa_Rica', NULL, 95600, -840500, 'BEGIN:VTIMEZONE\r\nTZID:America/Costa_Rica\r\nX-LIC-LOCATION:America/Costa_Rica\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0600\r\nTZOFFSETTO:-0600\r\nTZNAME:CST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(91, 'America/Creston', 96, 490600, -1163100, 'BEGIN:VTIMEZONE\r\nTZID:America/Creston\r\nX-LIC-LOCATION:America/Creston\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0700\r\nTZOFFSETTO:-0700\r\nTZNAME:MST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(92, 'America/Cuiaba', NULL, -153500, -560500, 'BEGIN:VTIMEZONE\r\nTZID:America/Cuiaba\r\nX-LIC-LOCATION:America/Cuiaba\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:-0400\r\nTZOFFSETTO:-0300\r\nTZNAME:AMST\r\nDTSTART:19701018T000000\r\nRRULE:FREQ=YEARLY;BYDAY=3SU;BYMONTH=10\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0400\r\nTZOFFSETTO:-0400\r\nTZNAME:AMT\r\nDTSTART:19700215T000000\r\nRRULE:FREQ=YEARLY;BYDAY=3SU;BYMONTH=2\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(93, 'America/Curacao', NULL, 121100, -690000, 'BEGIN:VTIMEZONE\r\nTZID:America/Curacao\r\nX-LIC-LOCATION:America/Curacao\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0400\r\nTZOFFSETTO:-0400\r\nTZNAME:AST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(94, 'America/Danmarkshavn', NULL, 764600, -184000, 'BEGIN:VTIMEZONE\r\nTZID:America/Danmarkshavn\r\nX-LIC-LOCATION:America/Danmarkshavn\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0000\r\nTZOFFSETTO:+0000\r\nTZNAME:GMT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(95, 'America/Dawson', NULL, 640400, -1392500, 'BEGIN:VTIMEZONE\r\nTZID:America/Dawson\r\nX-LIC-LOCATION:America/Dawson\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:-0800\r\nTZOFFSETTO:-0700\r\nTZNAME:PDT\r\nDTSTART:19700308T020000\r\nRRULE:FREQ=YEARLY;BYDAY=2SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0700\r\nTZOFFSETTO:-0800\r\nTZNAME:PST\r\nDTSTART:19701101T020000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=11\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(96, 'America/Dawson_Creek', NULL, 594600, -1201400, 'BEGIN:VTIMEZONE\r\nTZID:America/Dawson_Creek\r\nX-LIC-LOCATION:America/Dawson_Creek\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0700\r\nTZOFFSETTO:-0700\r\nTZNAME:MST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(97, 'America/Denver', NULL, 394421, -1045903, 'BEGIN:VTIMEZONE\r\nTZID:America/Denver\r\nX-LIC-LOCATION:America/Denver\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:-0700\r\nTZOFFSETTO:-0600\r\nTZNAME:MDT\r\nDTSTART:19700308T020000\r\nRRULE:FREQ=YEARLY;BYDAY=2SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0600\r\nTZOFFSETTO:-0700\r\nTZNAME:MST\r\nDTSTART:19701101T020000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=11\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(98, 'America/Detroit', NULL, 421953, -830245, 'BEGIN:VTIMEZONE\r\nTZID:America/Detroit\r\nX-LIC-LOCATION:America/Detroit\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:-0500\r\nTZOFFSETTO:-0400\r\nTZNAME:EDT\r\nDTSTART:19700308T020000\r\nRRULE:FREQ=YEARLY;BYDAY=2SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0400\r\nTZOFFSETTO:-0500\r\nTZNAME:EST\r\nDTSTART:19701101T020000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=11\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(99, 'America/Dominica', NULL, 151800, -612400, 'BEGIN:VTIMEZONE\r\nTZID:America/Dominica\r\nX-LIC-LOCATION:America/Dominica\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0400\r\nTZOFFSETTO:-0400\r\nTZNAME:AST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(100, 'America/Edmonton', NULL, 533300, -1132800, 'BEGIN:VTIMEZONE\r\nTZID:America/Edmonton\r\nX-LIC-LOCATION:America/Edmonton\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:-0700\r\nTZOFFSETTO:-0600\r\nTZNAME:MDT\r\nDTSTART:19700308T020000\r\nRRULE:FREQ=YEARLY;BYDAY=2SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0600\r\nTZOFFSETTO:-0700\r\nTZNAME:MST\r\nDTSTART:19701101T020000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=11\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(101, 'America/Eirunepe', NULL, -64000, -695200, 'BEGIN:VTIMEZONE\r\nTZID:America/Eirunepe\r\nX-LIC-LOCATION:America/Eirunepe\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0400\r\nTZOFFSETTO:-0400\r\nTZNAME:AMT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(102, 'America/El_Salvador', NULL, 134200, -891200, 'BEGIN:VTIMEZONE\r\nTZID:America/El_Salvador\r\nX-LIC-LOCATION:America/El_Salvador\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0600\r\nTZOFFSETTO:-0600\r\nTZNAME:CST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(103, 'America/Fortaleza', NULL, -34300, -383000, 'BEGIN:VTIMEZONE\r\nTZID:America/Fortaleza\r\nX-LIC-LOCATION:America/Fortaleza\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0300\r\nTZOFFSETTO:-0300\r\nTZNAME:BRT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(104, 'America/Glace_Bay', NULL, 461200, -595700, 'BEGIN:VTIMEZONE\r\nTZID:America/Glace_Bay\r\nX-LIC-LOCATION:America/Glace_Bay\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:-0400\r\nTZOFFSETTO:-0300\r\nTZNAME:ADT\r\nDTSTART:19700308T020000\r\nRRULE:FREQ=YEARLY;BYDAY=2SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0300\r\nTZOFFSETTO:-0400\r\nTZNAME:AST\r\nDTSTART:19701101T020000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=11\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(105, 'America/Godthab', NULL, 641100, -514400, 'BEGIN:VTIMEZONE\r\nTZID:America/Godthab\r\nX-LIC-LOCATION:America/Godthab\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:-0300\r\nTZOFFSETTO:-0200\r\nTZNAME:WGST\r\nDTSTART:19700328T220000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SA;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0200\r\nTZOFFSETTO:-0300\r\nTZNAME:WGT\r\nDTSTART:19701024T230000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SA;BYMONTH=10\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(106, 'America/Goose_Bay', NULL, 532000, -602500, 'BEGIN:VTIMEZONE\r\nTZID:America/Goose_Bay\r\nX-LIC-LOCATION:America/Goose_Bay\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0300\r\nTZOFFSETTO:-0400\r\nTZNAME:AST\r\nDTSTART:19701101T020000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=11\r\nEND:STANDARD\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:-0400\r\nTZOFFSETTO:-0300\r\nTZNAME:ADT\r\nDTSTART:19700308T020000\r\nRRULE:FREQ=YEARLY;BYDAY=2SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nEND:VTIMEZONE\r\n'),
(107, 'America/Grand_Turk', NULL, 212800, -710800, 'BEGIN:VTIMEZONE\r\nTZID:America/Grand_Turk\r\nX-LIC-LOCATION:America/Grand_Turk\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:-0500\r\nTZOFFSETTO:-0400\r\nTZNAME:EDT\r\nDTSTART:19700308T020000\r\nRRULE:FREQ=YEARLY;BYDAY=2SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0400\r\nTZOFFSETTO:-0500\r\nTZNAME:EST\r\nDTSTART:19701101T020000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=11\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(108, 'America/Grenada', NULL, 120300, -614500, 'BEGIN:VTIMEZONE\r\nTZID:America/Grenada\r\nX-LIC-LOCATION:America/Grenada\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0400\r\nTZOFFSETTO:-0400\r\nTZNAME:AST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(109, 'America/Guadeloupe', NULL, 161400, -613200, 'BEGIN:VTIMEZONE\r\nTZID:America/Guadeloupe\r\nX-LIC-LOCATION:America/Guadeloupe\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0400\r\nTZOFFSETTO:-0400\r\nTZNAME:AST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(110, 'America/Guatemala', NULL, 143800, -903100, 'BEGIN:VTIMEZONE\r\nTZID:America/Guatemala\r\nX-LIC-LOCATION:America/Guatemala\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0600\r\nTZOFFSETTO:-0600\r\nTZNAME:CST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(111, 'America/Guayaquil', NULL, -21000, -795000, 'BEGIN:VTIMEZONE\r\nTZID:America/Guayaquil\r\nX-LIC-LOCATION:America/Guayaquil\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0500\r\nTZOFFSETTO:-0500\r\nTZNAME:ECT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(112, 'America/Guyana', NULL, 64800, -581000, 'BEGIN:VTIMEZONE\r\nTZID:America/Guyana\r\nX-LIC-LOCATION:America/Guyana\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0400\r\nTZOFFSETTO:-0400\r\nTZNAME:GYT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(113, 'America/Halifax', NULL, 443900, -633600, 'BEGIN:VTIMEZONE\r\nTZID:America/Halifax\r\nX-LIC-LOCATION:America/Halifax\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:-0400\r\nTZOFFSETTO:-0300\r\nTZNAME:ADT\r\nDTSTART:19700308T020000\r\nRRULE:FREQ=YEARLY;BYDAY=2SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0300\r\nTZOFFSETTO:-0400\r\nTZNAME:AST\r\nDTSTART:19701101T020000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=11\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(114, 'America/Havana', NULL, 230800, -822200, 'BEGIN:VTIMEZONE\r\nTZID:America/Havana\r\nX-LIC-LOCATION:America/Havana\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0400\r\nTZOFFSETTO:-0500\r\nTZNAME:CST\r\nDTSTART:19701101T010000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=11\r\nEND:STANDARD\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:-0500\r\nTZOFFSETTO:-0400\r\nTZNAME:CDT\r\nDTSTART:19700308T000000\r\nRRULE:FREQ=YEARLY;BYDAY=2SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nEND:VTIMEZONE\r\n'),
(115, 'America/Hermosillo', NULL, 290400, -1105800, 'BEGIN:VTIMEZONE\r\nTZID:America/Hermosillo\r\nX-LIC-LOCATION:America/Hermosillo\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0700\r\nTZOFFSETTO:-0700\r\nTZNAME:MST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(116, 'America/Indiana/Indianapolis', NULL, 394606, -860929, 'BEGIN:VTIMEZONE\r\nTZID:America/Indiana/Indianapolis\r\nX-LIC-LOCATION:America/Indiana/Indianapolis\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:-0500\r\nTZOFFSETTO:-0400\r\nTZNAME:EDT\r\nDTSTART:19700308T020000\r\nRRULE:FREQ=YEARLY;BYDAY=2SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0400\r\nTZOFFSETTO:-0500\r\nTZNAME:EST\r\nDTSTART:19701101T020000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=11\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(117, 'America/Indiana/Knox', NULL, 411745, -863730, 'BEGIN:VTIMEZONE\r\nTZID:America/Indiana/Knox\r\nX-LIC-LOCATION:America/Indiana/Knox\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:-0600\r\nTZOFFSETTO:-0500\r\nTZNAME:CDT\r\nDTSTART:19700308T020000\r\nRRULE:FREQ=YEARLY;BYDAY=2SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0500\r\nTZOFFSETTO:-0600\r\nTZNAME:CST\r\nDTSTART:19701101T020000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=11\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(118, 'America/Indiana/Marengo', NULL, 382232, -862041, 'BEGIN:VTIMEZONE\r\nTZID:America/Indiana/Marengo\r\nX-LIC-LOCATION:America/Indiana/Marengo\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:-0500\r\nTZOFFSETTO:-0400\r\nTZNAME:EDT\r\nDTSTART:19700308T020000\r\nRRULE:FREQ=YEARLY;BYDAY=2SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0400\r\nTZOFFSETTO:-0500\r\nTZNAME:EST\r\nDTSTART:19701101T020000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=11\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(119, 'America/Indiana/Petersburg', NULL, 382931, -871643, 'BEGIN:VTIMEZONE\r\nTZID:America/Indiana/Petersburg\r\nX-LIC-LOCATION:America/Indiana/Petersburg\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:-0500\r\nTZOFFSETTO:-0400\r\nTZNAME:EDT\r\nDTSTART:19700308T020000\r\nRRULE:FREQ=YEARLY;BYDAY=2SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0400\r\nTZOFFSETTO:-0500\r\nTZNAME:EST\r\nDTSTART:19701101T020000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=11\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(120, 'America/Indiana/Tell_City', NULL, 375711, -864541, 'BEGIN:VTIMEZONE\r\nTZID:America/Indiana/Tell_City\r\nX-LIC-LOCATION:America/Indiana/Tell_City\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:-0600\r\nTZOFFSETTO:-0500\r\nTZNAME:CDT\r\nDTSTART:19700308T020000\r\nRRULE:FREQ=YEARLY;BYDAY=2SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0500\r\nTZOFFSETTO:-0600\r\nTZNAME:CST\r\nDTSTART:19701101T020000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=11\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(121, 'America/Indiana/Vevay', NULL, 384452, -850402, 'BEGIN:VTIMEZONE\r\nTZID:America/Indiana/Vevay\r\nX-LIC-LOCATION:America/Indiana/Vevay\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:-0500\r\nTZOFFSETTO:-0400\r\nTZNAME:EDT\r\nDTSTART:19700308T020000\r\nRRULE:FREQ=YEARLY;BYDAY=2SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0400\r\nTZOFFSETTO:-0500\r\nTZNAME:EST\r\nDTSTART:19701101T020000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=11\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(122, 'America/Indiana/Vincennes', NULL, 384038, -873143, 'BEGIN:VTIMEZONE\r\nTZID:America/Indiana/Vincennes\r\nX-LIC-LOCATION:America/Indiana/Vincennes\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:-0500\r\nTZOFFSETTO:-0400\r\nTZNAME:EDT\r\nDTSTART:19700308T020000\r\nRRULE:FREQ=YEARLY;BYDAY=2SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0400\r\nTZOFFSETTO:-0500\r\nTZNAME:EST\r\nDTSTART:19701101T020000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=11\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(123, 'America/Indiana/Winamac', NULL, 410305, -863611, 'BEGIN:VTIMEZONE\r\nTZID:America/Indiana/Winamac\r\nX-LIC-LOCATION:America/Indiana/Winamac\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0400\r\nTZOFFSETTO:-0500\r\nTZNAME:EST\r\nDTSTART:19701101T020000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=11\r\nEND:STANDARD\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:-0500\r\nTZOFFSETTO:-0400\r\nTZNAME:EDT\r\nDTSTART:19700308T020000\r\nRRULE:FREQ=YEARLY;BYDAY=2SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nEND:VTIMEZONE\r\n'),
(124, 'America/Inuvik', NULL, 682059, -1334300, 'BEGIN:VTIMEZONE\r\nTZID:America/Inuvik\r\nX-LIC-LOCATION:America/Inuvik\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:-0700\r\nTZOFFSETTO:-0600\r\nTZNAME:MDT\r\nDTSTART:19700308T020000\r\nRRULE:FREQ=YEARLY;BYDAY=2SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0600\r\nTZOFFSETTO:-0700\r\nTZNAME:MST\r\nDTSTART:19701101T020000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=11\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(125, 'America/Iqaluit', NULL, 634400, -682800, 'BEGIN:VTIMEZONE\r\nTZID:America/Iqaluit\r\nX-LIC-LOCATION:America/Iqaluit\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:-0500\r\nTZOFFSETTO:-0400\r\nTZNAME:EDT\r\nDTSTART:19700308T020000\r\nRRULE:FREQ=YEARLY;BYDAY=2SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0400\r\nTZOFFSETTO:-0500\r\nTZNAME:EST\r\nDTSTART:19701101T020000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=11\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(126, 'America/Jamaica', NULL, 180000, -764800, 'BEGIN:VTIMEZONE\r\nTZID:America/Jamaica\r\nX-LIC-LOCATION:America/Jamaica\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0500\r\nTZOFFSETTO:-0500\r\nTZNAME:EST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(127, 'America/Juneau', NULL, 581807, -1342511, 'BEGIN:VTIMEZONE\r\nTZID:America/Juneau\r\nX-LIC-LOCATION:America/Juneau\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:-0900\r\nTZOFFSETTO:-0800\r\nTZNAME:AKDT\r\nDTSTART:19700308T020000\r\nRRULE:FREQ=YEARLY;BYDAY=2SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0800\r\nTZOFFSETTO:-0900\r\nTZNAME:AKST\r\nDTSTART:19701101T020000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=11\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(128, 'America/Kentucky/Louisville', NULL, 381515, -854534, 'BEGIN:VTIMEZONE\r\nTZID:America/Kentucky/Louisville\r\nX-LIC-LOCATION:America/Kentucky/Louisville\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:-0500\r\nTZOFFSETTO:-0400\r\nTZNAME:EDT\r\nDTSTART:19700308T020000\r\nRRULE:FREQ=YEARLY;BYDAY=2SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0400\r\nTZOFFSETTO:-0500\r\nTZNAME:EST\r\nDTSTART:19701101T020000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=11\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(129, 'America/Kentucky/Monticello', NULL, 364947, -845057, 'BEGIN:VTIMEZONE\r\nTZID:America/Kentucky/Monticello\r\nX-LIC-LOCATION:America/Kentucky/Monticello\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:-0500\r\nTZOFFSETTO:-0400\r\nTZNAME:EDT\r\nDTSTART:19700308T020000\r\nRRULE:FREQ=YEARLY;BYDAY=2SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0400\r\nTZOFFSETTO:-0500\r\nTZNAME:EST\r\nDTSTART:19701101T020000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=11\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(130, 'America/Kralendijk', NULL, 120903, -681636, 'BEGIN:VTIMEZONE\r\nTZID:America/Kralendijk\r\nX-LIC-LOCATION:America/Kralendijk\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0400\r\nTZOFFSETTO:-0400\r\nTZNAME:AST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(131, 'America/La_Paz', NULL, -163000, -680900, 'BEGIN:VTIMEZONE\r\nTZID:America/La_Paz\r\nX-LIC-LOCATION:America/La_Paz\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0400\r\nTZOFFSETTO:-0400\r\nTZNAME:BOT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(132, 'America/Lima', NULL, -120300, -770300, 'BEGIN:VTIMEZONE\r\nTZID:America/Lima\r\nX-LIC-LOCATION:America/Lima\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0500\r\nTZOFFSETTO:-0500\r\nTZNAME:PET\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(133, 'America/Los_Angeles', NULL, 340308, -1181434, 'BEGIN:VTIMEZONE\r\nTZID:America/Los_Angeles\r\nX-LIC-LOCATION:America/Los_Angeles\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:-0800\r\nTZOFFSETTO:-0700\r\nTZNAME:PDT\r\nDTSTART:19700308T020000\r\nRRULE:FREQ=YEARLY;BYDAY=2SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0700\r\nTZOFFSETTO:-0800\r\nTZNAME:PST\r\nDTSTART:19701101T020000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=11\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(134, 'America/Lower_Princes', NULL, 180305, -630250, 'BEGIN:VTIMEZONE\r\nTZID:America/Lower_Princes\r\nX-LIC-LOCATION:America/Lower_Princes\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0400\r\nTZOFFSETTO:-0400\r\nTZNAME:AST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(135, 'America/Maceio', NULL, -94000, -354300, 'BEGIN:VTIMEZONE\r\nTZID:America/Maceio\r\nX-LIC-LOCATION:America/Maceio\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0300\r\nTZOFFSETTO:-0300\r\nTZNAME:BRT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(136, 'America/Managua', NULL, 120900, -861700, 'BEGIN:VTIMEZONE\r\nTZID:America/Managua\r\nX-LIC-LOCATION:America/Managua\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0600\r\nTZOFFSETTO:-0600\r\nTZNAME:CST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(137, 'America/Manaus', NULL, -30800, -600100, 'BEGIN:VTIMEZONE\r\nTZID:America/Manaus\r\nX-LIC-LOCATION:America/Manaus\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0400\r\nTZOFFSETTO:-0400\r\nTZNAME:AMT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(138, 'America/Marigot', NULL, 180400, -630500, 'BEGIN:VTIMEZONE\r\nTZID:America/Marigot\r\nX-LIC-LOCATION:America/Marigot\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0400\r\nTZOFFSETTO:-0400\r\nTZNAME:AST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(139, 'America/Martinique', NULL, 143600, -610500, 'BEGIN:VTIMEZONE\r\nTZID:America/Martinique\r\nX-LIC-LOCATION:America/Martinique\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0400\r\nTZOFFSETTO:-0400\r\nTZNAME:AST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(140, 'America/Matamoros', NULL, 255000, -973000, 'BEGIN:VTIMEZONE\r\nTZID:America/Matamoros\r\nX-LIC-LOCATION:America/Matamoros\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:-0600\r\nTZOFFSETTO:-0500\r\nTZNAME:CDT\r\nDTSTART:19700308T020000\r\nRRULE:FREQ=YEARLY;BYDAY=2SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0500\r\nTZOFFSETTO:-0600\r\nTZNAME:CST\r\nDTSTART:19701101T020000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=11\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(141, 'America/Mazatlan', NULL, 231300, -1062500, 'BEGIN:VTIMEZONE\r\nTZID:America/Mazatlan\r\nX-LIC-LOCATION:America/Mazatlan\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:-0700\r\nTZOFFSETTO:-0600\r\nTZNAME:MDT\r\nDTSTART:19700405T020000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=4\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0600\r\nTZOFFSETTO:-0700\r\nTZNAME:MST\r\nDTSTART:19701025T020000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(142, 'America/Menominee', NULL, 450628, -873651, 'BEGIN:VTIMEZONE\r\nTZID:America/Menominee\r\nX-LIC-LOCATION:America/Menominee\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:-0600\r\nTZOFFSETTO:-0500\r\nTZNAME:CDT\r\nDTSTART:19700308T020000\r\nRRULE:FREQ=YEARLY;BYDAY=2SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0500\r\nTZOFFSETTO:-0600\r\nTZNAME:CST\r\nDTSTART:19701101T020000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=11\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(143, 'America/Merida', NULL, 205800, -893700, 'BEGIN:VTIMEZONE\r\nTZID:America/Merida\r\nX-LIC-LOCATION:America/Merida\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:-0600\r\nTZOFFSETTO:-0500\r\nTZNAME:CDT\r\nDTSTART:19700405T020000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=4\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0500\r\nTZOFFSETTO:-0600\r\nTZNAME:CST\r\nDTSTART:19701025T020000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(144, 'America/Metlakatla', NULL, 550737, -1313435, 'BEGIN:VTIMEZONE\r\nTZID:America/Metlakatla\r\nX-LIC-LOCATION:America/Metlakatla\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0800\r\nTZOFFSETTO:-0800\r\nTZNAME:MeST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(145, 'America/Mexico_City', NULL, 192400, -990900, 'BEGIN:VTIMEZONE\r\nTZID:America/Mexico_City\r\nX-LIC-LOCATION:America/Mexico_City\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:-0600\r\nTZOFFSETTO:-0500\r\nTZNAME:CDT\r\nDTSTART:19700405T020000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=4\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0500\r\nTZOFFSETTO:-0600\r\nTZNAME:CST\r\nDTSTART:19701025T020000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(146, 'America/Miquelon', NULL, 470300, -562000, 'BEGIN:VTIMEZONE\r\nTZID:America/Miquelon\r\nX-LIC-LOCATION:America/Miquelon\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:-0300\r\nTZOFFSETTO:-0200\r\nTZNAME:PMDT\r\nDTSTART:19700308T020000\r\nRRULE:FREQ=YEARLY;BYDAY=2SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0200\r\nTZOFFSETTO:-0300\r\nTZNAME:PMST\r\nDTSTART:19701101T020000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=11\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(147, 'America/Moncton', NULL, 460600, -644700, 'BEGIN:VTIMEZONE\r\nTZID:America/Moncton\r\nX-LIC-LOCATION:America/Moncton\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:-0400\r\nTZOFFSETTO:-0300\r\nTZNAME:ADT\r\nDTSTART:19700308T020000\r\nRRULE:FREQ=YEARLY;BYDAY=2SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0300\r\nTZOFFSETTO:-0400\r\nTZNAME:AST\r\nDTSTART:19701101T020000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=11\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(148, 'America/Monterrey', NULL, 254000, -1001900, 'BEGIN:VTIMEZONE\r\nTZID:America/Monterrey\r\nX-LIC-LOCATION:America/Monterrey\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:-0600\r\nTZOFFSETTO:-0500\r\nTZNAME:CDT\r\nDTSTART:19700405T020000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=4\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0500\r\nTZOFFSETTO:-0600\r\nTZNAME:CST\r\nDTSTART:19701025T020000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(149, 'America/Montevideo', NULL, -345300, -561100, 'BEGIN:VTIMEZONE\r\nTZID:America/Montevideo\r\nX-LIC-LOCATION:America/Montevideo\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:-0300\r\nTZOFFSETTO:-0200\r\nTZNAME:UYST\r\nDTSTART:19701004T020000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=10\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0200\r\nTZOFFSETTO:-0300\r\nTZNAME:UYT\r\nDTSTART:19700308T020000\r\nRRULE:FREQ=YEARLY;BYDAY=2SU;BYMONTH=3\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n');
INSERT INTO `egw_cal_timezones` (`tz_id`, `tz_tzid`, `tz_alias`, `tz_latitude`, `tz_longitude`, `tz_component`) VALUES
(150, 'America/Montreal', NULL, 453100, -733400, 'BEGIN:VTIMEZONE\r\nTZID:America/Montreal\r\nX-LIC-LOCATION:America/Montreal\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:-0500\r\nTZOFFSETTO:-0400\r\nTZNAME:EDT\r\nDTSTART:19700308T020000\r\nRRULE:FREQ=YEARLY;BYDAY=2SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0400\r\nTZOFFSETTO:-0500\r\nTZNAME:EST\r\nDTSTART:19701101T020000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=11\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(151, 'America/Montserrat', NULL, 164300, -621300, 'BEGIN:VTIMEZONE\r\nTZID:America/Montserrat\r\nX-LIC-LOCATION:America/Montserrat\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0400\r\nTZOFFSETTO:-0400\r\nTZNAME:AST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(152, 'America/Nassau', NULL, 250500, -772100, 'BEGIN:VTIMEZONE\r\nTZID:America/Nassau\r\nX-LIC-LOCATION:America/Nassau\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:-0500\r\nTZOFFSETTO:-0400\r\nTZNAME:EDT\r\nDTSTART:19700308T020000\r\nRRULE:FREQ=YEARLY;BYDAY=2SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0400\r\nTZOFFSETTO:-0500\r\nTZNAME:EST\r\nDTSTART:19701101T020000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=11\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(153, 'America/New_York', NULL, 404251, -740023, 'BEGIN:VTIMEZONE\r\nTZID:America/New_York\r\nX-LIC-LOCATION:America/New_York\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:-0500\r\nTZOFFSETTO:-0400\r\nTZNAME:EDT\r\nDTSTART:19700308T020000\r\nRRULE:FREQ=YEARLY;BYDAY=2SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0400\r\nTZOFFSETTO:-0500\r\nTZNAME:EST\r\nDTSTART:19701101T020000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=11\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(154, 'America/Nipigon', NULL, 490100, -881600, 'BEGIN:VTIMEZONE\r\nTZID:America/Nipigon\r\nX-LIC-LOCATION:America/Nipigon\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:-0500\r\nTZOFFSETTO:-0400\r\nTZNAME:EDT\r\nDTSTART:19700308T020000\r\nRRULE:FREQ=YEARLY;BYDAY=2SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0400\r\nTZOFFSETTO:-0500\r\nTZNAME:EST\r\nDTSTART:19701101T020000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=11\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(155, 'America/Nome', NULL, 643004, -1652423, 'BEGIN:VTIMEZONE\r\nTZID:America/Nome\r\nX-LIC-LOCATION:America/Nome\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:-0900\r\nTZOFFSETTO:-0800\r\nTZNAME:AKDT\r\nDTSTART:19700308T020000\r\nRRULE:FREQ=YEARLY;BYDAY=2SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0800\r\nTZOFFSETTO:-0900\r\nTZNAME:AKST\r\nDTSTART:19701101T020000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=11\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(156, 'America/Noronha', NULL, -35100, -322500, 'BEGIN:VTIMEZONE\r\nTZID:America/Noronha\r\nX-LIC-LOCATION:America/Noronha\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0200\r\nTZOFFSETTO:-0200\r\nTZNAME:FNT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(157, 'America/North_Dakota/Beulah', NULL, 471551, -1014640, 'BEGIN:VTIMEZONE\r\nTZID:America/North_Dakota/Beulah\r\nX-LIC-LOCATION:America/North_Dakota/Beulah\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:-0600\r\nTZOFFSETTO:-0500\r\nTZNAME:CDT\r\nDTSTART:19700308T020000\r\nRRULE:FREQ=YEARLY;BYDAY=2SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0500\r\nTZOFFSETTO:-0600\r\nTZNAME:CST\r\nDTSTART:19701101T020000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=11\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(158, 'America/North_Dakota/Center', NULL, 470659, -1011757, 'BEGIN:VTIMEZONE\r\nTZID:America/North_Dakota/Center\r\nX-LIC-LOCATION:America/North_Dakota/Center\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:-0600\r\nTZOFFSETTO:-0500\r\nTZNAME:CDT\r\nDTSTART:19700308T020000\r\nRRULE:FREQ=YEARLY;BYDAY=2SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0500\r\nTZOFFSETTO:-0600\r\nTZNAME:CST\r\nDTSTART:19701101T020000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=11\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(159, 'America/North_Dakota/New_Salem', NULL, 465042, -1012439, 'BEGIN:VTIMEZONE\r\nTZID:America/North_Dakota/New_Salem\r\nX-LIC-LOCATION:America/North_Dakota/New_Salem\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:-0600\r\nTZOFFSETTO:-0500\r\nTZNAME:CDT\r\nDTSTART:19700308T020000\r\nRRULE:FREQ=YEARLY;BYDAY=2SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0500\r\nTZOFFSETTO:-0600\r\nTZNAME:CST\r\nDTSTART:19701101T020000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=11\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(160, 'America/Ojinaga', NULL, 293400, -1042500, 'BEGIN:VTIMEZONE\r\nTZID:America/Ojinaga\r\nX-LIC-LOCATION:America/Ojinaga\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:-0700\r\nTZOFFSETTO:-0600\r\nTZNAME:MDT\r\nDTSTART:19700308T020000\r\nRRULE:FREQ=YEARLY;BYDAY=2SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0600\r\nTZOFFSETTO:-0700\r\nTZNAME:MST\r\nDTSTART:19701101T020000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=11\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(161, 'America/Panama', NULL, 85800, -793200, 'BEGIN:VTIMEZONE\r\nTZID:America/Panama\r\nX-LIC-LOCATION:America/Panama\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0500\r\nTZOFFSETTO:-0500\r\nTZNAME:EST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(162, 'America/Pangnirtung', NULL, 660800, -654400, 'BEGIN:VTIMEZONE\r\nTZID:America/Pangnirtung\r\nX-LIC-LOCATION:America/Pangnirtung\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:-0500\r\nTZOFFSETTO:-0400\r\nTZNAME:EDT\r\nDTSTART:19700308T020000\r\nRRULE:FREQ=YEARLY;BYDAY=2SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0400\r\nTZOFFSETTO:-0500\r\nTZNAME:EST\r\nDTSTART:19701101T020000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=11\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(163, 'America/Paramaribo', NULL, 55000, -551000, 'BEGIN:VTIMEZONE\r\nTZID:America/Paramaribo\r\nX-LIC-LOCATION:America/Paramaribo\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0300\r\nTZOFFSETTO:-0300\r\nTZNAME:SRT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(164, 'America/Phoenix', NULL, 332654, -1120424, 'BEGIN:VTIMEZONE\r\nTZID:America/Phoenix\r\nX-LIC-LOCATION:America/Phoenix\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0700\r\nTZOFFSETTO:-0700\r\nTZNAME:MST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(165, 'America/Port-au-Prince', NULL, 183200, -722000, 'BEGIN:VTIMEZONE\r\nTZID:America/Port-au-Prince\r\nX-LIC-LOCATION:America/Port-au-Prince\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:-0500\r\nTZOFFSETTO:-0400\r\nTZNAME:EDT\r\nDTSTART:19700308T020000\r\nRRULE:FREQ=YEARLY;BYDAY=2SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0400\r\nTZOFFSETTO:-0500\r\nTZNAME:EST\r\nDTSTART:19701101T020000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=11\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(166, 'America/Port_of_Spain', NULL, 103900, -613100, 'BEGIN:VTIMEZONE\r\nTZID:America/Port_of_Spain\r\nX-LIC-LOCATION:America/Port_of_Spain\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0400\r\nTZOFFSETTO:-0400\r\nTZNAME:AST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(167, 'America/Porto_Velho', NULL, -84600, -635400, 'BEGIN:VTIMEZONE\r\nTZID:America/Porto_Velho\r\nX-LIC-LOCATION:America/Porto_Velho\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0400\r\nTZOFFSETTO:-0400\r\nTZNAME:AMT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(168, 'America/Puerto_Rico', NULL, 182806, -660622, 'BEGIN:VTIMEZONE\r\nTZID:America/Puerto_Rico\r\nX-LIC-LOCATION:America/Puerto_Rico\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0400\r\nTZOFFSETTO:-0400\r\nTZNAME:AST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(169, 'America/Rainy_River', NULL, 484300, -943400, 'BEGIN:VTIMEZONE\r\nTZID:America/Rainy_River\r\nX-LIC-LOCATION:America/Rainy_River\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:-0600\r\nTZOFFSETTO:-0500\r\nTZNAME:CDT\r\nDTSTART:19700308T020000\r\nRRULE:FREQ=YEARLY;BYDAY=2SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0500\r\nTZOFFSETTO:-0600\r\nTZNAME:CST\r\nDTSTART:19701101T020000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=11\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(170, 'America/Rankin_Inlet', NULL, 624900, -920459, 'BEGIN:VTIMEZONE\r\nTZID:America/Rankin_Inlet\r\nX-LIC-LOCATION:America/Rankin_Inlet\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:-0600\r\nTZOFFSETTO:-0500\r\nTZNAME:CDT\r\nDTSTART:19700308T020000\r\nRRULE:FREQ=YEARLY;BYDAY=2SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0500\r\nTZOFFSETTO:-0600\r\nTZNAME:CST\r\nDTSTART:19701101T020000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=11\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(171, 'America/Recife', NULL, -80300, -345400, 'BEGIN:VTIMEZONE\r\nTZID:America/Recife\r\nX-LIC-LOCATION:America/Recife\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0300\r\nTZOFFSETTO:-0300\r\nTZNAME:BRT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(172, 'America/Regina', NULL, 502400, -1043900, 'BEGIN:VTIMEZONE\r\nTZID:America/Regina\r\nX-LIC-LOCATION:America/Regina\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0600\r\nTZOFFSETTO:-0600\r\nTZNAME:CST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(173, 'America/Resolute', NULL, 744144, -944945, 'BEGIN:VTIMEZONE\r\nTZID:America/Resolute\r\nX-LIC-LOCATION:America/Resolute\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0500\r\nTZOFFSETTO:-0600\r\nTZNAME:CST\r\nDTSTART:19701101T020000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=11\r\nEND:STANDARD\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:-0600\r\nTZOFFSETTO:-0500\r\nTZNAME:CDT\r\nDTSTART:19700308T020000\r\nRRULE:FREQ=YEARLY;BYDAY=2SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nEND:VTIMEZONE\r\n'),
(174, 'America/Rio_Branco', NULL, -95800, -674800, 'BEGIN:VTIMEZONE\r\nTZID:America/Rio_Branco\r\nX-LIC-LOCATION:America/Rio_Branco\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0400\r\nTZOFFSETTO:-0400\r\nTZNAME:AMT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(175, 'America/Santa_Isabel', NULL, 301800, -1145200, 'BEGIN:VTIMEZONE\r\nTZID:America/Santa_Isabel\r\nX-LIC-LOCATION:America/Santa_Isabel\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0700\r\nTZOFFSETTO:-0800\r\nTZNAME:PST\r\nDTSTART:19701025T020000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10\r\nEND:STANDARD\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:-0800\r\nTZOFFSETTO:-0700\r\nTZNAME:PDT\r\nDTSTART:19700405T020000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=4\r\nEND:DAYLIGHT\r\nEND:VTIMEZONE\r\n'),
(176, 'America/Santarem', NULL, -22600, -545200, 'BEGIN:VTIMEZONE\r\nTZID:America/Santarem\r\nX-LIC-LOCATION:America/Santarem\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0300\r\nTZOFFSETTO:-0300\r\nTZNAME:BRT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(177, 'America/Santiago', NULL, -332700, -704000, 'BEGIN:VTIMEZONE\r\nTZID:America/Santiago\r\nX-LIC-LOCATION:America/Santiago\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0300\r\nTZOFFSETTO:-0400\r\nTZNAME:CLT\r\nDTSTART:19700426T000000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=4\r\nEND:STANDARD\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:-0400\r\nTZOFFSETTO:-0300\r\nTZNAME:CLST\r\nDTSTART:19700906T000000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=9\r\nEND:DAYLIGHT\r\nEND:VTIMEZONE\r\n'),
(178, 'America/Santo_Domingo', NULL, 182800, -695400, 'BEGIN:VTIMEZONE\r\nTZID:America/Santo_Domingo\r\nX-LIC-LOCATION:America/Santo_Domingo\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0400\r\nTZOFFSETTO:-0400\r\nTZNAME:AST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(179, 'America/Sao_Paulo', NULL, -233200, -463700, 'BEGIN:VTIMEZONE\r\nTZID:America/Sao_Paulo\r\nX-LIC-LOCATION:America/Sao_Paulo\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:-0300\r\nTZOFFSETTO:-0200\r\nTZNAME:BRST\r\nDTSTART:19701018T000000\r\nRRULE:FREQ=YEARLY;BYDAY=3SU;BYMONTH=10\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0300\r\nTZOFFSETTO:-0300\r\nTZNAME:BRT\r\nDTSTART:19700215T000000\r\nRRULE:FREQ=YEARLY;BYDAY=3SU;BYMONTH=2\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(180, 'America/Scoresbysund', NULL, 702900, -215800, 'BEGIN:VTIMEZONE\r\nTZID:America/Scoresbysund\r\nX-LIC-LOCATION:America/Scoresbysund\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:-0100\r\nTZOFFSETTO:+0000\r\nTZNAME:EGST\r\nDTSTART:19700329T000000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0000\r\nTZOFFSETTO:-0100\r\nTZNAME:EGT\r\nDTSTART:19701025T010000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(181, 'America/Shiprock', NULL, 364708, -1084111, 'BEGIN:VTIMEZONE\r\nTZID:America/Shiprock\r\nX-LIC-LOCATION:America/Shiprock\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:-0700\r\nTZOFFSETTO:-0600\r\nTZNAME:MDT\r\nDTSTART:19700308T020000\r\nRRULE:FREQ=YEARLY;BYDAY=2SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0600\r\nTZOFFSETTO:-0700\r\nTZNAME:MST\r\nDTSTART:19701101T020000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=11\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(182, 'America/Sitka', NULL, 571035, -1351807, 'BEGIN:VTIMEZONE\r\nTZID:America/Sitka\r\nX-LIC-LOCATION:America/Sitka\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:-0900\r\nTZOFFSETTO:-0800\r\nTZNAME:AKDT\r\nDTSTART:19700308T020000\r\nRRULE:FREQ=YEARLY;BYDAY=2SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0800\r\nTZOFFSETTO:-0900\r\nTZNAME:AKST\r\nDTSTART:19701101T020000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=11\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(183, 'America/St_Barthelemy', NULL, 175300, -625100, 'BEGIN:VTIMEZONE\r\nTZID:America/St_Barthelemy\r\nX-LIC-LOCATION:America/St_Barthelemy\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0400\r\nTZOFFSETTO:-0400\r\nTZNAME:AST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(184, 'America/St_Johns', NULL, 473400, -524300, 'BEGIN:VTIMEZONE\r\nTZID:America/St_Johns\r\nX-LIC-LOCATION:America/St_Johns\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0230\r\nTZOFFSETTO:-0330\r\nTZNAME:NST\r\nDTSTART:19701101T020000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=11\r\nEND:STANDARD\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:-0330\r\nTZOFFSETTO:-0230\r\nTZNAME:NDT\r\nDTSTART:19700308T020000\r\nRRULE:FREQ=YEARLY;BYDAY=2SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nEND:VTIMEZONE\r\n'),
(185, 'America/St_Kitts', NULL, 171800, -624300, 'BEGIN:VTIMEZONE\r\nTZID:America/St_Kitts\r\nX-LIC-LOCATION:America/St_Kitts\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0400\r\nTZOFFSETTO:-0400\r\nTZNAME:AST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(186, 'America/St_Lucia', NULL, 140100, -610000, 'BEGIN:VTIMEZONE\r\nTZID:America/St_Lucia\r\nX-LIC-LOCATION:America/St_Lucia\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0400\r\nTZOFFSETTO:-0400\r\nTZNAME:AST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(187, 'America/St_Thomas', NULL, 182100, -645600, 'BEGIN:VTIMEZONE\r\nTZID:America/St_Thomas\r\nX-LIC-LOCATION:America/St_Thomas\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0400\r\nTZOFFSETTO:-0400\r\nTZNAME:AST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(188, 'America/St_Vincent', NULL, 130900, -611400, 'BEGIN:VTIMEZONE\r\nTZID:America/St_Vincent\r\nX-LIC-LOCATION:America/St_Vincent\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0400\r\nTZOFFSETTO:-0400\r\nTZNAME:AST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(189, 'America/Swift_Current', NULL, 501700, -1075000, 'BEGIN:VTIMEZONE\r\nTZID:America/Swift_Current\r\nX-LIC-LOCATION:America/Swift_Current\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0600\r\nTZOFFSETTO:-0600\r\nTZNAME:CST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(190, 'America/Tegucigalpa', NULL, 140600, -871300, 'BEGIN:VTIMEZONE\r\nTZID:America/Tegucigalpa\r\nX-LIC-LOCATION:America/Tegucigalpa\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0600\r\nTZOFFSETTO:-0600\r\nTZNAME:CST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(191, 'America/Thule', NULL, 763400, -684700, 'BEGIN:VTIMEZONE\r\nTZID:America/Thule\r\nX-LIC-LOCATION:America/Thule\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:-0400\r\nTZOFFSETTO:-0300\r\nTZNAME:ADT\r\nDTSTART:19700308T020000\r\nRRULE:FREQ=YEARLY;BYDAY=2SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0300\r\nTZOFFSETTO:-0400\r\nTZNAME:AST\r\nDTSTART:19701101T020000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=11\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(192, 'America/Thunder_Bay', NULL, 482300, -891500, 'BEGIN:VTIMEZONE\r\nTZID:America/Thunder_Bay\r\nX-LIC-LOCATION:America/Thunder_Bay\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:-0500\r\nTZOFFSETTO:-0400\r\nTZNAME:EDT\r\nDTSTART:19700308T020000\r\nRRULE:FREQ=YEARLY;BYDAY=2SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0400\r\nTZOFFSETTO:-0500\r\nTZNAME:EST\r\nDTSTART:19701101T020000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=11\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(193, 'America/Tijuana', NULL, 323200, -1170100, 'BEGIN:VTIMEZONE\r\nTZID:America/Tijuana\r\nX-LIC-LOCATION:America/Tijuana\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:-0800\r\nTZOFFSETTO:-0700\r\nTZNAME:PDT\r\nDTSTART:19700308T020000\r\nRRULE:FREQ=YEARLY;BYDAY=2SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0700\r\nTZOFFSETTO:-0800\r\nTZNAME:PST\r\nDTSTART:19701101T020000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=11\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(194, 'America/Toronto', NULL, 433900, -792300, 'BEGIN:VTIMEZONE\r\nTZID:America/Toronto\r\nX-LIC-LOCATION:America/Toronto\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:-0500\r\nTZOFFSETTO:-0400\r\nTZNAME:EDT\r\nDTSTART:19700308T020000\r\nRRULE:FREQ=YEARLY;BYDAY=2SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0400\r\nTZOFFSETTO:-0500\r\nTZNAME:EST\r\nDTSTART:19701101T020000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=11\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(195, 'America/Tortola', NULL, 182700, -643700, 'BEGIN:VTIMEZONE\r\nTZID:America/Tortola\r\nX-LIC-LOCATION:America/Tortola\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0400\r\nTZOFFSETTO:-0400\r\nTZNAME:AST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(196, 'America/Vancouver', NULL, 491600, -1230700, 'BEGIN:VTIMEZONE\r\nTZID:America/Vancouver\r\nX-LIC-LOCATION:America/Vancouver\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:-0800\r\nTZOFFSETTO:-0700\r\nTZNAME:PDT\r\nDTSTART:19700308T020000\r\nRRULE:FREQ=YEARLY;BYDAY=2SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0700\r\nTZOFFSETTO:-0800\r\nTZNAME:PST\r\nDTSTART:19701101T020000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=11\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(197, 'America/Whitehorse', NULL, 604300, -1350300, 'BEGIN:VTIMEZONE\r\nTZID:America/Whitehorse\r\nX-LIC-LOCATION:America/Whitehorse\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:-0800\r\nTZOFFSETTO:-0700\r\nTZNAME:PDT\r\nDTSTART:19700308T020000\r\nRRULE:FREQ=YEARLY;BYDAY=2SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0700\r\nTZOFFSETTO:-0800\r\nTZNAME:PST\r\nDTSTART:19701101T020000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=11\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(198, 'America/Winnipeg', NULL, 495300, -970900, 'BEGIN:VTIMEZONE\r\nTZID:America/Winnipeg\r\nX-LIC-LOCATION:America/Winnipeg\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:-0600\r\nTZOFFSETTO:-0500\r\nTZNAME:CDT\r\nDTSTART:19700308T020000\r\nRRULE:FREQ=YEARLY;BYDAY=2SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0500\r\nTZOFFSETTO:-0600\r\nTZNAME:CST\r\nDTSTART:19701101T020000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=11\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(199, 'America/Yakutat', NULL, 593249, -1394338, 'BEGIN:VTIMEZONE\r\nTZID:America/Yakutat\r\nX-LIC-LOCATION:America/Yakutat\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:-0900\r\nTZOFFSETTO:-0800\r\nTZNAME:AKDT\r\nDTSTART:19700308T020000\r\nRRULE:FREQ=YEARLY;BYDAY=2SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0800\r\nTZOFFSETTO:-0900\r\nTZNAME:AKST\r\nDTSTART:19701101T020000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=11\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(200, 'America/Yellowknife', NULL, 622700, -1142100, 'BEGIN:VTIMEZONE\r\nTZID:America/Yellowknife\r\nX-LIC-LOCATION:America/Yellowknife\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:-0700\r\nTZOFFSETTO:-0600\r\nTZNAME:MDT\r\nDTSTART:19700308T020000\r\nRRULE:FREQ=YEARLY;BYDAY=2SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0600\r\nTZOFFSETTO:-0700\r\nTZNAME:MST\r\nDTSTART:19701101T020000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=11\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(201, 'Antarctica/Casey', NULL, -661700, 1103100, 'BEGIN:VTIMEZONE\r\nTZID:Antarctica/Casey\r\nX-LIC-LOCATION:Antarctica/Casey\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0800\r\nTZOFFSETTO:+0800\r\nTZNAME:WST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(202, 'Antarctica/Davis', NULL, -683500, 775800, 'BEGIN:VTIMEZONE\r\nTZID:Antarctica/Davis\r\nX-LIC-LOCATION:Antarctica/Davis\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0700\r\nTZOFFSETTO:+0700\r\nTZNAME:DAVT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(203, 'Antarctica/DumontDUrville', NULL, -664000, 1400100, 'BEGIN:VTIMEZONE\r\nTZID:Antarctica/DumontDUrville\r\nX-LIC-LOCATION:Antarctica/DumontDUrville\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+1000\r\nTZOFFSETTO:+1000\r\nTZNAME:DDUT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(204, 'Antarctica/Macquarie', NULL, -543000, 1585700, 'BEGIN:VTIMEZONE\r\nTZID:Antarctica/Macquarie\r\nX-LIC-LOCATION:Antarctica/Macquarie\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+1100\r\nTZOFFSETTO:+1100\r\nTZNAME:MIST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(205, 'Antarctica/Mawson', NULL, -673600, 625300, 'BEGIN:VTIMEZONE\r\nTZID:Antarctica/Mawson\r\nX-LIC-LOCATION:Antarctica/Mawson\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0500\r\nTZOFFSETTO:+0500\r\nTZNAME:MAWT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(206, 'Antarctica/McMurdo', NULL, -775000, 1663600, 'BEGIN:VTIMEZONE\r\nTZID:Antarctica/McMurdo\r\nX-LIC-LOCATION:Antarctica/McMurdo\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+1200\r\nTZOFFSETTO:+1300\r\nTZNAME:NZDT\r\nDTSTART:19700927T020000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=9\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+1300\r\nTZOFFSETTO:+1200\r\nTZNAME:NZST\r\nDTSTART:19700405T030000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=4\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(207, 'Antarctica/Palmer', NULL, -644800, -640600, 'BEGIN:VTIMEZONE\r\nTZID:Antarctica/Palmer\r\nX-LIC-LOCATION:Antarctica/Palmer\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0300\r\nTZOFFSETTO:-0400\r\nTZNAME:CLT\r\nDTSTART:19700426T000000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=4\r\nEND:STANDARD\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:-0400\r\nTZOFFSETTO:-0300\r\nTZNAME:CLST\r\nDTSTART:19700906T000000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=9\r\nEND:DAYLIGHT\r\nEND:VTIMEZONE\r\n'),
(208, 'Antarctica/Rothera', NULL, -673400, -680800, 'BEGIN:VTIMEZONE\r\nTZID:Antarctica/Rothera\r\nX-LIC-LOCATION:Antarctica/Rothera\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0300\r\nTZOFFSETTO:-0300\r\nTZNAME:ROTT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(209, 'Antarctica/South_Pole', NULL, -900000, 0, 'BEGIN:VTIMEZONE\r\nTZID:Antarctica/South_Pole\r\nX-LIC-LOCATION:Antarctica/South_Pole\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+1200\r\nTZOFFSETTO:+1300\r\nTZNAME:NZDT\r\nDTSTART:19700927T020000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=9\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+1300\r\nTZOFFSETTO:+1200\r\nTZNAME:NZST\r\nDTSTART:19700405T030000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=4\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(210, 'Antarctica/Syowa', NULL, -690022, 393524, 'BEGIN:VTIMEZONE\r\nTZID:Antarctica/Syowa\r\nX-LIC-LOCATION:Antarctica/Syowa\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0300\r\nTZOFFSETTO:+0300\r\nTZNAME:SYOT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(211, 'Antarctica/Vostok', NULL, -782400, 1065400, 'BEGIN:VTIMEZONE\r\nTZID:Antarctica/Vostok\r\nX-LIC-LOCATION:Antarctica/Vostok\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0600\r\nTZOFFSETTO:+0600\r\nTZNAME:VOST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(212, 'Arctic/Longyearbyen', NULL, 780000, 160000, 'BEGIN:VTIMEZONE\r\nTZID:Arctic/Longyearbyen\r\nX-LIC-LOCATION:Arctic/Longyearbyen\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+0100\r\nTZOFFSETTO:+0200\r\nTZNAME:CEST\r\nDTSTART:19700329T020000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0200\r\nTZOFFSETTO:+0100\r\nTZNAME:CET\r\nDTSTART:19701025T030000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(213, 'Asia/Aden', NULL, 124500, 451200, 'BEGIN:VTIMEZONE\r\nTZID:Asia/Aden\r\nX-LIC-LOCATION:Asia/Aden\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0300\r\nTZOFFSETTO:+0300\r\nTZNAME:AST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(214, 'Asia/Almaty', NULL, 431500, 765700, 'BEGIN:VTIMEZONE\r\nTZID:Asia/Almaty\r\nX-LIC-LOCATION:Asia/Almaty\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0600\r\nTZOFFSETTO:+0600\r\nTZNAME:ALMT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(215, 'Asia/Amman', NULL, 315700, 355600, 'BEGIN:VTIMEZONE\r\nTZID:Asia/Amman\r\nX-LIC-LOCATION:Asia/Amman\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0300\r\nTZOFFSETTO:+0200\r\nTZNAME:EET\r\nDTSTART:19701030T010000\r\nRRULE:FREQ=YEARLY;BYDAY=-1FR;BYMONTH=10\r\nEND:STANDARD\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+0200\r\nTZOFFSETTO:+0300\r\nTZNAME:EEST\r\nDTSTART:19700326T235959\r\nRRULE:FREQ=YEARLY;BYDAY=-1TH;BYMONTH=3\r\nEND:DAYLIGHT\r\nEND:VTIMEZONE\r\n'),
(216, 'Asia/Anadyr', NULL, 644500, 1772900, 'BEGIN:VTIMEZONE\r\nTZID:Asia/Anadyr\r\nX-LIC-LOCATION:Asia/Anadyr\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+1200\r\nTZOFFSETTO:+1200\r\nTZNAME:ANAT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(217, 'Asia/Aqtau', NULL, 443100, 501600, 'BEGIN:VTIMEZONE\r\nTZID:Asia/Aqtau\r\nX-LIC-LOCATION:Asia/Aqtau\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0500\r\nTZOFFSETTO:+0500\r\nTZNAME:AQTT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(218, 'Asia/Aqtobe', NULL, 501700, 571000, 'BEGIN:VTIMEZONE\r\nTZID:Asia/Aqtobe\r\nX-LIC-LOCATION:Asia/Aqtobe\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0500\r\nTZOFFSETTO:+0500\r\nTZNAME:AQTT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(219, 'Asia/Ashgabat', NULL, 375700, 582300, 'BEGIN:VTIMEZONE\r\nTZID:Asia/Ashgabat\r\nX-LIC-LOCATION:Asia/Ashgabat\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0500\r\nTZOFFSETTO:+0500\r\nTZNAME:TMT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(220, 'Asia/Baghdad', NULL, 332100, 442500, 'BEGIN:VTIMEZONE\r\nTZID:Asia/Baghdad\r\nX-LIC-LOCATION:Asia/Baghdad\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0300\r\nTZOFFSETTO:+0300\r\nTZNAME:AST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(221, 'Asia/Bahrain', NULL, 262300, 503500, 'BEGIN:VTIMEZONE\r\nTZID:Asia/Bahrain\r\nX-LIC-LOCATION:Asia/Bahrain\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0300\r\nTZOFFSETTO:+0300\r\nTZNAME:AST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(222, 'Asia/Baku', NULL, 402300, 495100, 'BEGIN:VTIMEZONE\r\nTZID:Asia/Baku\r\nX-LIC-LOCATION:Asia/Baku\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+0400\r\nTZOFFSETTO:+0500\r\nTZNAME:AZST\r\nDTSTART:19700329T040000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0500\r\nTZOFFSETTO:+0400\r\nTZNAME:AZT\r\nDTSTART:19701025T050000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(223, 'Asia/Bangkok', NULL, 134500, 1003100, 'BEGIN:VTIMEZONE\r\nTZID:Asia/Bangkok\r\nX-LIC-LOCATION:Asia/Bangkok\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0700\r\nTZOFFSETTO:+0700\r\nTZNAME:ICT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(224, 'Asia/Beirut', NULL, 335300, 353000, 'BEGIN:VTIMEZONE\r\nTZID:Asia/Beirut\r\nX-LIC-LOCATION:Asia/Beirut\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+0200\r\nTZOFFSETTO:+0300\r\nTZNAME:EEST\r\nDTSTART:19700329T000000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0300\r\nTZOFFSETTO:+0200\r\nTZNAME:EET\r\nDTSTART:19701025T000000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(225, 'Asia/Bishkek', NULL, 425400, 743600, 'BEGIN:VTIMEZONE\r\nTZID:Asia/Bishkek\r\nX-LIC-LOCATION:Asia/Bishkek\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0600\r\nTZOFFSETTO:+0600\r\nTZNAME:KGT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(226, 'Asia/Brunei', NULL, 45600, 1145500, 'BEGIN:VTIMEZONE\r\nTZID:Asia/Brunei\r\nX-LIC-LOCATION:Asia/Brunei\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0800\r\nTZOFFSETTO:+0800\r\nTZNAME:BNT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(227, 'Asia/Choibalsan', NULL, 480400, 1143000, 'BEGIN:VTIMEZONE\r\nTZID:Asia/Choibalsan\r\nX-LIC-LOCATION:Asia/Choibalsan\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0800\r\nTZOFFSETTO:+0800\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(228, 'Asia/Chongqing', NULL, 293400, 1063500, 'BEGIN:VTIMEZONE\r\nTZID:Asia/Chongqing\r\nX-LIC-LOCATION:Asia/Chongqing\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0800\r\nTZOFFSETTO:+0800\r\nTZNAME:CST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(229, 'Asia/Colombo', NULL, 65600, 795100, 'BEGIN:VTIMEZONE\r\nTZID:Asia/Colombo\r\nX-LIC-LOCATION:Asia/Colombo\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0530\r\nTZOFFSETTO:+0530\r\nTZNAME:IST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(230, 'Asia/Damascus', NULL, 333000, 361800, 'BEGIN:VTIMEZONE\r\nTZID:Asia/Damascus\r\nX-LIC-LOCATION:Asia/Damascus\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0300\r\nTZOFFSETTO:+0200\r\nTZNAME:EET\r\nDTSTART:19701030T000000\r\nRRULE:FREQ=YEARLY;BYDAY=-1FR;BYMONTH=10\r\nEND:STANDARD\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+0200\r\nTZOFFSETTO:+0300\r\nTZNAME:EEST\r\nDTSTART:19700327T000000\r\nRRULE:FREQ=YEARLY;BYDAY=-1FR;BYMONTH=3\r\nEND:DAYLIGHT\r\nEND:VTIMEZONE\r\n'),
(231, 'Asia/Dhaka', NULL, 234300, 902500, 'BEGIN:VTIMEZONE\r\nTZID:Asia/Dhaka\r\nX-LIC-LOCATION:Asia/Dhaka\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0600\r\nTZOFFSETTO:+0600\r\nTZNAME:BDT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(232, 'Asia/Dili', NULL, -83300, 1253500, 'BEGIN:VTIMEZONE\r\nTZID:Asia/Dili\r\nX-LIC-LOCATION:Asia/Dili\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0900\r\nTZOFFSETTO:+0900\r\nTZNAME:TLT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(233, 'Asia/Dubai', NULL, 251800, 551800, 'BEGIN:VTIMEZONE\r\nTZID:Asia/Dubai\r\nX-LIC-LOCATION:Asia/Dubai\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0400\r\nTZOFFSETTO:+0400\r\nTZNAME:GST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(234, 'Asia/Dushanbe', NULL, 383500, 684800, 'BEGIN:VTIMEZONE\r\nTZID:Asia/Dushanbe\r\nX-LIC-LOCATION:Asia/Dushanbe\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0500\r\nTZOFFSETTO:+0500\r\nTZNAME:TJT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(235, 'Asia/Gaza', NULL, 313000, 342800, 'BEGIN:VTIMEZONE\r\nTZID:Asia/Gaza\r\nX-LIC-LOCATION:Asia/Gaza\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+0200\r\nTZOFFSETTO:+0300\r\nTZNAME:EEST\r\nDTSTART:20120329T235959\r\nRRULE:FREQ=YEARLY;BYDAY=-1TH;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0300\r\nTZOFFSETTO:+0200\r\nTZNAME:EET\r\nDTSTART:20120921T010000\r\nRRULE:FREQ=YEARLY;BYDAY=FR;BYMONTHDAY=21,22,23,24,25,26,27;BYMONTH=9\r\nEND:STANDARD\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+021752\r\nTZOFFSETTO:+0200\r\nTZNAME:EET\r\nDTSTART:19001001T000000\r\nRDATE;VALUE=DATE-TIME:19001001T000000\r\nEND:STANDARD\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+0200\r\nTZOFFSETTO:+0300\r\nTZNAME:EET\r\nDTSTART:19400601T000000\r\nRDATE;VALUE=DATE-TIME:19400601T000000\r\nRDATE;VALUE=DATE-TIME:19430401T020000\r\nRDATE;VALUE=DATE-TIME:19440401T000000\r\nRDATE;VALUE=DATE-TIME:19450416T000000\r\nRDATE;VALUE=DATE-TIME:19460416T020000\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0300\r\nTZOFFSETTO:+0200\r\nTZNAME:EET\r\nDTSTART:19421101T000000\r\nRDATE;VALUE=DATE-TIME:19421101T000000\r\nRDATE;VALUE=DATE-TIME:19431101T000000\r\nRDATE;VALUE=DATE-TIME:19441101T000000\r\nRDATE;VALUE=DATE-TIME:19451101T020000\r\nRDATE;VALUE=DATE-TIME:19461101T000000\r\nRDATE;VALUE=DATE-TIME:19571001T000000\r\nRDATE;VALUE=DATE-TIME:19581001T000000\r\nRDATE;VALUE=DATE-TIME:19590930T030000\r\nRDATE;VALUE=DATE-TIME:19600930T030000\r\nRDATE;VALUE=DATE-TIME:19610930T030000\r\nRDATE;VALUE=DATE-TIME:19620930T030000\r\nRDATE;VALUE=DATE-TIME:19630930T030000\r\nRDATE;VALUE=DATE-TIME:19640930T030000\r\nRDATE;VALUE=DATE-TIME:19650930T030000\r\nRDATE;VALUE=DATE-TIME:19661001T030000\r\nRDATE;VALUE=DATE-TIME:19960920T010000\r\nRDATE;VALUE=DATE-TIME:19970919T010000\r\nRDATE;VALUE=DATE-TIME:19980918T010000\r\nRDATE;VALUE=DATE-TIME:19991015T000000\r\nRDATE;VALUE=DATE-TIME:20001020T000000\r\nRDATE;VALUE=DATE-TIME:20011019T000000\r\nRDATE;VALUE=DATE-TIME:20021018T000000\r\nRDATE;VALUE=DATE-TIME:20031017T000000\r\nRDATE;VALUE=DATE-TIME:20041001T010000\r\nRDATE;VALUE=DATE-TIME:20051004T020000\r\nRDATE;VALUE=DATE-TIME:20060922T000000\r\nRDATE;VALUE=DATE-TIME:20070913T020000\r\nRDATE;VALUE=DATE-TIME:20080829T000000\r\nRDATE;VALUE=DATE-TIME:20090904T010000\r\nRDATE;VALUE=DATE-TIME:20100811T000000\r\nRDATE;VALUE=DATE-TIME:20110801T000000\r\nEND:STANDARD\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0200\r\nTZOFFSETTO:+0200\r\nTZNAME:EET\r\nDTSTART:19480515T000000\r\nRDATE;VALUE=DATE-TIME:19480515T000000\r\nRDATE;VALUE=DATE-TIME:19960101T000000\r\nRDATE;VALUE=DATE-TIME:19990101T000000\r\nRDATE;VALUE=DATE-TIME:20080901T000000\r\nRDATE;VALUE=DATE-TIME:20100101T000000\r\nRDATE;VALUE=DATE-TIME:20120101T000000\r\nEND:STANDARD\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+0200\r\nTZOFFSETTO:+0300\r\nTZNAME:EEST\r\nDTSTART:19570510T000000\r\nRDATE;VALUE=DATE-TIME:19570510T000000\r\nRDATE;VALUE=DATE-TIME:19580501T000000\r\nRDATE;VALUE=DATE-TIME:19590501T010000\r\nRDATE;VALUE=DATE-TIME:19600501T010000\r\nRDATE;VALUE=DATE-TIME:19610501T010000\r\nRDATE;VALUE=DATE-TIME:19620501T010000\r\nRDATE;VALUE=DATE-TIME:19630501T010000\r\nRDATE;VALUE=DATE-TIME:19640501T010000\r\nRDATE;VALUE=DATE-TIME:19650501T010000\r\nRDATE;VALUE=DATE-TIME:19660501T010000\r\nRDATE;VALUE=DATE-TIME:19670501T010000\r\nRDATE;VALUE=DATE-TIME:19960405T000000\r\nRDATE;VALUE=DATE-TIME:19970404T000000\r\nRDATE;VALUE=DATE-TIME:19980403T000000\r\nRDATE;VALUE=DATE-TIME:19990416T000000\r\nRDATE;VALUE=DATE-TIME:20000421T000000\r\nRDATE;VALUE=DATE-TIME:20010420T000000\r\nRDATE;VALUE=DATE-TIME:20020419T000000\r\nRDATE;VALUE=DATE-TIME:20030418T000000\r\nRDATE;VALUE=DATE-TIME:20040416T000000\r\nRDATE;VALUE=DATE-TIME:20050415T000000\r\nRDATE;VALUE=DATE-TIME:20060401T000000\r\nRDATE;VALUE=DATE-TIME:20070401T000000\r\nRDATE;VALUE=DATE-TIME:20080328T000000\r\nRDATE;VALUE=DATE-TIME:20090327T000000\r\nRDATE;VALUE=DATE-TIME:20100327T000100\r\nRDATE;VALUE=DATE-TIME:20110401T000100\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0300\r\nTZOFFSETTO:+0200\r\nTZNAME:IST\r\nDTSTART:19670605T000000\r\nRDATE;VALUE=DATE-TIME:19670605T000000\r\nRDATE;VALUE=DATE-TIME:19741013T000000\r\nRDATE;VALUE=DATE-TIME:19750831T000000\r\nRDATE;VALUE=DATE-TIME:19850915T000000\r\nRDATE;VALUE=DATE-TIME:19860907T000000\r\nRDATE;VALUE=DATE-TIME:19870913T000000\r\nRDATE;VALUE=DATE-TIME:19880903T000000\r\nRDATE;VALUE=DATE-TIME:19890903T000000\r\nRDATE;VALUE=DATE-TIME:19900826T000000\r\nRDATE;VALUE=DATE-TIME:19910901T000000\r\nRDATE;VALUE=DATE-TIME:19920906T000000\r\nRDATE;VALUE=DATE-TIME:19930905T000000\r\nRDATE;VALUE=DATE-TIME:19940828T000000\r\nRDATE;VALUE=DATE-TIME:19950903T000000\r\nEND:STANDARD\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+0200\r\nTZOFFSETTO:+0300\r\nTZNAME:IDT\r\nDTSTART:19740707T000000\r\nRDATE;VALUE=DATE-TIME:19740707T000000\r\nRDATE;VALUE=DATE-TIME:19750420T000000\r\nRDATE;VALUE=DATE-TIME:19850414T000000\r\nRDATE;VALUE=DATE-TIME:19860518T000000\r\nRDATE;VALUE=DATE-TIME:19870415T000000\r\nRDATE;VALUE=DATE-TIME:19880409T000000\r\nRDATE;VALUE=DATE-TIME:19890430T000000\r\nRDATE;VALUE=DATE-TIME:19900325T000000\r\nRDATE;VALUE=DATE-TIME:19910324T000000\r\nRDATE;VALUE=DATE-TIME:19920329T000000\r\nRDATE;VALUE=DATE-TIME:19930402T000000\r\nRDATE;VALUE=DATE-TIME:19940401T000000\r\nRDATE;VALUE=DATE-TIME:19950331T000000\r\nEND:DAYLIGHT\r\nEND:VTIMEZONE\r\n'),
(236, 'Asia/Harbin', NULL, 454500, 1264100, 'BEGIN:VTIMEZONE\r\nTZID:Asia/Harbin\r\nX-LIC-LOCATION:Asia/Harbin\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0800\r\nTZOFFSETTO:+0800\r\nTZNAME:CST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(237, 'Asia/Hebron', NULL, 313200, 350542, 'BEGIN:VTIMEZONE\r\nTZID:Asia/Hebron\r\nX-LIC-LOCATION:Asia/Hebron\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+0300\r\nTZOFFSETTO:+0300\r\nTZNAME:EEST\r\nDTSTART:19700326T235959\r\nRRULE:FREQ=YEARLY;BYDAY=-1TH;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0200\r\nTZOFFSETTO:+0200\r\nTZNAME:EET\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(238, 'Asia/Ho_Chi_Minh', NULL, 104500, 1064000, 'BEGIN:VTIMEZONE\r\nTZID:Asia/Ho_Chi_Minh\r\nX-LIC-LOCATION:Asia/Ho_Chi_Minh\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0700\r\nTZOFFSETTO:+0700\r\nTZNAME:ICT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(239, 'Asia/Hong_Kong', NULL, 221700, 1140900, 'BEGIN:VTIMEZONE\r\nTZID:Asia/Hong_Kong\r\nX-LIC-LOCATION:Asia/Hong_Kong\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0800\r\nTZOFFSETTO:+0800\r\nTZNAME:HKT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(240, 'Asia/Hovd', NULL, 480100, 913900, 'BEGIN:VTIMEZONE\r\nTZID:Asia/Hovd\r\nX-LIC-LOCATION:Asia/Hovd\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0700\r\nTZOFFSETTO:+0700\r\nTZNAME:HOVT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(241, 'Asia/Irkutsk', NULL, 521600, 1042000, 'BEGIN:VTIMEZONE\r\nTZID:Asia/Irkutsk\r\nX-LIC-LOCATION:Asia/Irkutsk\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0900\r\nTZOFFSETTO:+0900\r\nTZNAME:IRKT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(242, 'Asia/Istanbul', NULL, 410100, 285800, 'BEGIN:VTIMEZONE\r\nTZID:Asia/Istanbul\r\nX-LIC-LOCATION:Asia/Istanbul\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0300\r\nTZOFFSETTO:+0200\r\nTZNAME:EET\r\nDTSTART:19701025T040000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10\r\nEND:STANDARD\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+0200\r\nTZOFFSETTO:+0300\r\nTZNAME:EEST\r\nDTSTART:19700329T030000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nEND:VTIMEZONE\r\n'),
(243, 'Asia/Jakarta', NULL, -61000, 1064800, 'BEGIN:VTIMEZONE\r\nTZID:Asia/Jakarta\r\nX-LIC-LOCATION:Asia/Jakarta\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0700\r\nTZOFFSETTO:+0700\r\nTZNAME:WIT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(244, 'Asia/Jayapura', NULL, -23200, 1404200, 'BEGIN:VTIMEZONE\r\nTZID:Asia/Jayapura\r\nX-LIC-LOCATION:Asia/Jayapura\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0900\r\nTZOFFSETTO:+0900\r\nTZNAME:EIT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(245, 'Asia/Jerusalem', NULL, 314600, 351400, 'BEGIN:VTIMEZONE\r\nTZID:Asia/Jerusalem\r\nX-LIC-LOCATION:Asia/Jerusalem\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+0200\r\nTZOFFSETTO:+0300\r\nTZNAME:IDT\r\nDTSTART:20130329T020000\r\nRRULE:FREQ=YEARLY;BYDAY=FR;BYMONTHDAY=23,24,25,26,27,28,29;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0200\r\nTZOFFSETTO:+0200\r\nTZNAME:IST\r\nDTSTART:20281008T020000\r\nRRULE:FREQ=YEARLY;BYDAY=SU;BYMONTHDAY=2,3,4,5,6,7,8;BYMONTH=10\r\nEND:STANDARD\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+022056\r\nTZOFFSETTO:+022040\r\nTZNAME:JMT\r\nDTSTART:18800101T000000\r\nRDATE;VALUE=DATE-TIME:18800101T000000\r\nEND:STANDARD\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+022040\r\nTZOFFSETTO:+0200\r\nTZNAME:IST\r\nDTSTART:19180101T000000\r\nRDATE;VALUE=DATE-TIME:19180101T000000\r\nEND:STANDARD\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+0200\r\nTZOFFSETTO:+0300\r\nTZNAME:IDT\r\nDTSTART:19400601T000000\r\nRDATE;VALUE=DATE-TIME:19400601T000000\r\nRDATE;VALUE=DATE-TIME:19430401T020000\r\nRDATE;VALUE=DATE-TIME:19440401T000000\r\nRDATE;VALUE=DATE-TIME:19450416T000000\r\nRDATE;VALUE=DATE-TIME:19460416T020000\r\nRDATE;VALUE=DATE-TIME:19490501T000000\r\nRDATE;VALUE=DATE-TIME:19500416T000000\r\nRDATE;VALUE=DATE-TIME:19510401T000000\r\nRDATE;VALUE=DATE-TIME:19520420T020000\r\nRDATE;VALUE=DATE-TIME:19530412T020000\r\nRDATE;VALUE=DATE-TIME:19540613T000000\r\nRDATE;VALUE=DATE-TIME:19550611T020000\r\nRDATE;VALUE=DATE-TIME:19560603T000000\r\nRDATE;VALUE=DATE-TIME:19570429T020000\r\nRDATE;VALUE=DATE-TIME:19740707T000000\r\nRDATE;VALUE=DATE-TIME:19750420T000000\r\nRDATE;VALUE=DATE-TIME:19850414T000000\r\nRDATE;VALUE=DATE-TIME:19860518T000000\r\nRDATE;VALUE=DATE-TIME:19870415T000000\r\nRDATE;VALUE=DATE-TIME:19880409T000000\r\nRDATE;VALUE=DATE-TIME:19890430T000000\r\nRDATE;VALUE=DATE-TIME:19900325T000000\r\nRDATE;VALUE=DATE-TIME:19910324T000000\r\nRDATE;VALUE=DATE-TIME:19920329T000000\r\nRDATE;VALUE=DATE-TIME:19930402T000000\r\nRDATE;VALUE=DATE-TIME:19940401T000000\r\nRDATE;VALUE=DATE-TIME:19950331T000000\r\nRDATE;VALUE=DATE-TIME:19960315T000000\r\nRDATE;VALUE=DATE-TIME:19970321T000000\r\nRDATE;VALUE=DATE-TIME:19980320T000000\r\nRDATE;VALUE=DATE-TIME:19990402T020000\r\nRDATE;VALUE=DATE-TIME:20000414T020000\r\nRDATE;VALUE=DATE-TIME:20010409T010000\r\nRDATE;VALUE=DATE-TIME:20020329T010000\r\nRDATE;VALUE=DATE-TIME:20030328T010000\r\nRDATE;VALUE=DATE-TIME:20040407T010000\r\nRDATE;VALUE=DATE-TIME:20050401T020000\r\nRDATE;VALUE=DATE-TIME:20060331T020000\r\nRDATE;VALUE=DATE-TIME:20070330T020000\r\nRDATE;VALUE=DATE-TIME:20080328T020000\r\nRDATE;VALUE=DATE-TIME:20090327T020000\r\nRDATE;VALUE=DATE-TIME:20100326T020000\r\nRDATE;VALUE=DATE-TIME:20110401T020000\r\nRDATE;VALUE=DATE-TIME:20120330T020000\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0300\r\nTZOFFSETTO:+0200\r\nTZNAME:IST\r\nDTSTART:19421101T000000\r\nRDATE;VALUE=DATE-TIME:19421101T000000\r\nRDATE;VALUE=DATE-TIME:19431101T000000\r\nRDATE;VALUE=DATE-TIME:19441101T000000\r\nRDATE;VALUE=DATE-TIME:19451101T020000\r\nRDATE;VALUE=DATE-TIME:19461101T000000\r\nRDATE;VALUE=DATE-TIME:19481101T020000\r\nRDATE;VALUE=DATE-TIME:19491101T020000\r\nRDATE;VALUE=DATE-TIME:19500915T030000\r\nRDATE;VALUE=DATE-TIME:19511111T030000\r\nRDATE;VALUE=DATE-TIME:19521019T030000\r\nRDATE;VALUE=DATE-TIME:19530913T030000\r\nRDATE;VALUE=DATE-TIME:19540912T000000\r\nRDATE;VALUE=DATE-TIME:19550911T000000\r\nRDATE;VALUE=DATE-TIME:19560930T030000\r\nRDATE;VALUE=DATE-TIME:19570922T000000\r\nRDATE;VALUE=DATE-TIME:19741013T000000\r\nRDATE;VALUE=DATE-TIME:19750831T000000\r\nRDATE;VALUE=DATE-TIME:19850915T000000\r\nRDATE;VALUE=DATE-TIME:19860907T000000\r\nRDATE;VALUE=DATE-TIME:19870913T000000\r\nRDATE;VALUE=DATE-TIME:19880903T000000\r\nRDATE;VALUE=DATE-TIME:19890903T000000\r\nRDATE;VALUE=DATE-TIME:19900826T000000\r\nRDATE;VALUE=DATE-TIME:19910901T000000\r\nRDATE;VALUE=DATE-TIME:19920906T000000\r\nRDATE;VALUE=DATE-TIME:19930905T000000\r\nRDATE;VALUE=DATE-TIME:19940828T000000\r\nRDATE;VALUE=DATE-TIME:19950903T000000\r\nRDATE;VALUE=DATE-TIME:19960916T000000\r\nRDATE;VALUE=DATE-TIME:19970914T000000\r\nRDATE;VALUE=DATE-TIME:19980906T000000\r\nRDATE;VALUE=DATE-TIME:19990903T020000\r\nRDATE;VALUE=DATE-TIME:20001006T010000\r\nRDATE;VALUE=DATE-TIME:20010924T010000\r\nRDATE;VALUE=DATE-TIME:20021007T010000\r\nRDATE;VALUE=DATE-TIME:20031003T010000\r\nRDATE;VALUE=DATE-TIME:20040922T010000\r\nRDATE;VALUE=DATE-TIME:20051009T020000\r\nRDATE;VALUE=DATE-TIME:20061001T020000\r\nRDATE;VALUE=DATE-TIME:20070916T020000\r\nRDATE;VALUE=DATE-TIME:20081005T020000\r\nRDATE;VALUE=DATE-TIME:20090927T020000\r\nRDATE;VALUE=DATE-TIME:20100912T020000\r\nRDATE;VALUE=DATE-TIME:20111002T020000\r\nRDATE;VALUE=DATE-TIME:20120923T020000\r\nRDATE;VALUE=DATE-TIME:20131006T020000\r\nRDATE;VALUE=DATE-TIME:20141005T020000\r\nEND:STANDARD\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+0200\r\nTZOFFSETTO:+0400\r\nTZNAME:IDDT\r\nDTSTART:19480523T000000\r\nRDATE;VALUE=DATE-TIME:19480523T000000\r\nEND:DAYLIGHT\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+0400\r\nTZOFFSETTO:+0300\r\nTZNAME:IDT\r\nDTSTART:19480901T000000\r\nRDATE;VALUE=DATE-TIME:19480901T000000\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0200\r\nTZOFFSETTO:+0200\r\nTZNAME:IST\r\nDTSTART:20151004T020000\r\nRDATE;VALUE=DATE-TIME:20151004T020000\r\nRDATE;VALUE=DATE-TIME:20161002T020000\r\nRDATE;VALUE=DATE-TIME:20171008T020000\r\nRDATE;VALUE=DATE-TIME:20181007T020000\r\nRDATE;VALUE=DATE-TIME:20191006T020000\r\nRDATE;VALUE=DATE-TIME:20201004T020000\r\nRDATE;VALUE=DATE-TIME:20211003T020000\r\nRDATE;VALUE=DATE-TIME:20221002T020000\r\nRDATE;VALUE=DATE-TIME:20231008T020000\r\nRDATE;VALUE=DATE-TIME:20241006T020000\r\nRDATE;VALUE=DATE-TIME:20251005T020000\r\nRDATE;VALUE=DATE-TIME:20261004T020000\r\nRDATE;VALUE=DATE-TIME:20271004T020000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(246, 'Asia/Kabul', NULL, 343100, 691200, 'BEGIN:VTIMEZONE\r\nTZID:Asia/Kabul\r\nX-LIC-LOCATION:Asia/Kabul\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0430\r\nTZOFFSETTO:+0430\r\nTZNAME:AFT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(247, 'Asia/Kamchatka', NULL, 530100, 1583900, 'BEGIN:VTIMEZONE\r\nTZID:Asia/Kamchatka\r\nX-LIC-LOCATION:Asia/Kamchatka\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+1200\r\nTZOFFSETTO:+1200\r\nTZNAME:PETT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(248, 'Asia/Karachi', NULL, 245200, 670300, 'BEGIN:VTIMEZONE\r\nTZID:Asia/Karachi\r\nX-LIC-LOCATION:Asia/Karachi\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0500\r\nTZOFFSETTO:+0500\r\nTZNAME:PKT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(249, 'Asia/Kashgar', NULL, 392900, 755900, 'BEGIN:VTIMEZONE\r\nTZID:Asia/Kashgar\r\nX-LIC-LOCATION:Asia/Kashgar\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0800\r\nTZOFFSETTO:+0800\r\nTZNAME:CST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(250, 'Asia/Kathmandu', NULL, 274300, 851900, 'BEGIN:VTIMEZONE\r\nTZID:Asia/Kathmandu\r\nX-LIC-LOCATION:Asia/Kathmandu\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0545\r\nTZOFFSETTO:+0545\r\nTZNAME:NPT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(251, 'Asia/Khandyga', NULL, 623923, 1353314, 'BEGIN:VTIMEZONE\r\nTZID:Asia/Khandyga\r\nX-LIC-LOCATION:Asia/Khandyga\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+1000\r\nTZOFFSETTO:+1000\r\nTZNAME:YAKT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(252, 'Asia/Kolkata', NULL, 223200, 882200, 'BEGIN:VTIMEZONE\r\nTZID:Asia/Kolkata\r\nX-LIC-LOCATION:Asia/Kolkata\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0530\r\nTZOFFSETTO:+0530\r\nTZNAME:IST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(253, 'Asia/Krasnoyarsk', NULL, 560100, 925000, 'BEGIN:VTIMEZONE\r\nTZID:Asia/Krasnoyarsk\r\nX-LIC-LOCATION:Asia/Krasnoyarsk\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0800\r\nTZOFFSETTO:+0800\r\nTZNAME:KRAT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(254, 'Asia/Kuala_Lumpur', NULL, 31000, 1014200, 'BEGIN:VTIMEZONE\r\nTZID:Asia/Kuala_Lumpur\r\nX-LIC-LOCATION:Asia/Kuala_Lumpur\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0800\r\nTZOFFSETTO:+0800\r\nTZNAME:MYT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(255, 'Asia/Kuching', NULL, 13300, 1102000, 'BEGIN:VTIMEZONE\r\nTZID:Asia/Kuching\r\nX-LIC-LOCATION:Asia/Kuching\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0800\r\nTZOFFSETTO:+0800\r\nTZNAME:MYT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(256, 'Asia/Kuwait', NULL, 292000, 475900, 'BEGIN:VTIMEZONE\r\nTZID:Asia/Kuwait\r\nX-LIC-LOCATION:Asia/Kuwait\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0300\r\nTZOFFSETTO:+0300\r\nTZNAME:AST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(257, 'Asia/Macau', NULL, 221400, 1133500, 'BEGIN:VTIMEZONE\r\nTZID:Asia/Macau\r\nX-LIC-LOCATION:Asia/Macau\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0800\r\nTZOFFSETTO:+0800\r\nTZNAME:CST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(258, 'Asia/Magadan', NULL, 593400, 1504800, 'BEGIN:VTIMEZONE\r\nTZID:Asia/Magadan\r\nX-LIC-LOCATION:Asia/Magadan\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+1200\r\nTZOFFSETTO:+1200\r\nTZNAME:MAGT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(259, 'Asia/Makassar', NULL, -50700, 1192400, 'BEGIN:VTIMEZONE\r\nTZID:Asia/Makassar\r\nX-LIC-LOCATION:Asia/Makassar\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0800\r\nTZOFFSETTO:+0800\r\nTZNAME:CIT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(260, 'Asia/Manila', NULL, 143500, 1210000, 'BEGIN:VTIMEZONE\r\nTZID:Asia/Manila\r\nX-LIC-LOCATION:Asia/Manila\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0800\r\nTZOFFSETTO:+0800\r\nTZNAME:PHT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(261, 'Asia/Muscat', NULL, 233600, 583500, 'BEGIN:VTIMEZONE\r\nTZID:Asia/Muscat\r\nX-LIC-LOCATION:Asia/Muscat\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0400\r\nTZOFFSETTO:+0400\r\nTZNAME:GST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(262, 'Asia/Nicosia', NULL, 351000, 332200, 'BEGIN:VTIMEZONE\r\nTZID:Asia/Nicosia\r\nX-LIC-LOCATION:Asia/Nicosia\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0300\r\nTZOFFSETTO:+0200\r\nTZNAME:EET\r\nDTSTART:19701025T040000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10\r\nEND:STANDARD\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+0200\r\nTZOFFSETTO:+0300\r\nTZNAME:EEST\r\nDTSTART:19700329T030000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nEND:VTIMEZONE\r\n'),
(263, 'Asia/Novokuznetsk', NULL, 534500, 870700, 'BEGIN:VTIMEZONE\r\nTZID:Asia/Novokuznetsk\r\nX-LIC-LOCATION:Asia/Novokuznetsk\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0700\r\nTZOFFSETTO:+0700\r\nTZNAME:NOVT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(264, 'Asia/Novosibirsk', NULL, 550200, 825500, 'BEGIN:VTIMEZONE\r\nTZID:Asia/Novosibirsk\r\nX-LIC-LOCATION:Asia/Novosibirsk\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0700\r\nTZOFFSETTO:+0700\r\nTZNAME:NOVT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(265, 'Asia/Omsk', NULL, 550000, 732400, 'BEGIN:VTIMEZONE\r\nTZID:Asia/Omsk\r\nX-LIC-LOCATION:Asia/Omsk\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0700\r\nTZOFFSETTO:+0700\r\nTZNAME:OMST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(266, 'Asia/Oral', NULL, 511300, 512100, 'BEGIN:VTIMEZONE\r\nTZID:Asia/Oral\r\nX-LIC-LOCATION:Asia/Oral\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0500\r\nTZOFFSETTO:+0500\r\nTZNAME:ORAT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(267, 'Asia/Phnom_Penh', NULL, 113300, 1045500, 'BEGIN:VTIMEZONE\r\nTZID:Asia/Phnom_Penh\r\nX-LIC-LOCATION:Asia/Phnom_Penh\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0700\r\nTZOFFSETTO:+0700\r\nTZNAME:ICT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n');
INSERT INTO `egw_cal_timezones` (`tz_id`, `tz_tzid`, `tz_alias`, `tz_latitude`, `tz_longitude`, `tz_component`) VALUES
(268, 'Asia/Pontianak', NULL, 200, 1092000, 'BEGIN:VTIMEZONE\r\nTZID:Asia/Pontianak\r\nX-LIC-LOCATION:Asia/Pontianak\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0700\r\nTZOFFSETTO:+0700\r\nTZNAME:WIT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(269, 'Asia/Pyongyang', NULL, 390100, 1254500, 'BEGIN:VTIMEZONE\r\nTZID:Asia/Pyongyang\r\nX-LIC-LOCATION:Asia/Pyongyang\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0900\r\nTZOFFSETTO:+0900\r\nTZNAME:KST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(270, 'Asia/Qatar', NULL, 251700, 513200, 'BEGIN:VTIMEZONE\r\nTZID:Asia/Qatar\r\nX-LIC-LOCATION:Asia/Qatar\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0300\r\nTZOFFSETTO:+0300\r\nTZNAME:AST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(271, 'Asia/Qyzylorda', NULL, 444800, 652800, 'BEGIN:VTIMEZONE\r\nTZID:Asia/Qyzylorda\r\nX-LIC-LOCATION:Asia/Qyzylorda\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0600\r\nTZOFFSETTO:+0600\r\nTZNAME:QYZT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(272, 'Asia/Rangoon', NULL, 164700, 961000, 'BEGIN:VTIMEZONE\r\nTZID:Asia/Rangoon\r\nX-LIC-LOCATION:Asia/Rangoon\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0630\r\nTZOFFSETTO:+0630\r\nTZNAME:MMT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(273, 'Asia/Riyadh', NULL, 243800, 464300, 'BEGIN:VTIMEZONE\r\nTZID:Asia/Riyadh\r\nX-LIC-LOCATION:Asia/Riyadh\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0300\r\nTZOFFSETTO:+0300\r\nTZNAME:AST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(274, 'Asia/Sakhalin', NULL, 465800, 1424200, 'BEGIN:VTIMEZONE\r\nTZID:Asia/Sakhalin\r\nX-LIC-LOCATION:Asia/Sakhalin\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+1100\r\nTZOFFSETTO:+1100\r\nTZNAME:SAKT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(275, 'Asia/Samarkand', NULL, 394000, 664800, 'BEGIN:VTIMEZONE\r\nTZID:Asia/Samarkand\r\nX-LIC-LOCATION:Asia/Samarkand\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0500\r\nTZOFFSETTO:+0500\r\nTZNAME:UZT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(276, 'Asia/Seoul', NULL, 373300, 1265800, 'BEGIN:VTIMEZONE\r\nTZID:Asia/Seoul\r\nX-LIC-LOCATION:Asia/Seoul\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0900\r\nTZOFFSETTO:+0900\r\nTZNAME:KST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(277, 'Asia/Shanghai', NULL, 311400, 1212800, 'BEGIN:VTIMEZONE\r\nTZID:Asia/Shanghai\r\nX-LIC-LOCATION:Asia/Shanghai\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0800\r\nTZOFFSETTO:+0800\r\nTZNAME:CST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(278, 'Asia/Singapore', NULL, 11700, 1035100, 'BEGIN:VTIMEZONE\r\nTZID:Asia/Singapore\r\nX-LIC-LOCATION:Asia/Singapore\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0800\r\nTZOFFSETTO:+0800\r\nTZNAME:SGT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(279, 'Asia/Taipei', NULL, 250300, 1213000, 'BEGIN:VTIMEZONE\r\nTZID:Asia/Taipei\r\nX-LIC-LOCATION:Asia/Taipei\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0800\r\nTZOFFSETTO:+0800\r\nTZNAME:CST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(280, 'Asia/Tashkent', NULL, 412000, 691800, 'BEGIN:VTIMEZONE\r\nTZID:Asia/Tashkent\r\nX-LIC-LOCATION:Asia/Tashkent\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0500\r\nTZOFFSETTO:+0500\r\nTZNAME:UZT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(281, 'Asia/Tbilisi', NULL, 414300, 444900, 'BEGIN:VTIMEZONE\r\nTZID:Asia/Tbilisi\r\nX-LIC-LOCATION:Asia/Tbilisi\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0400\r\nTZOFFSETTO:+0400\r\nTZNAME:GET\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(282, 'Asia/Tehran', NULL, 354000, 512600, 'BEGIN:VTIMEZONE\r\nTZID:Asia/Tehran\r\nX-LIC-LOCATION:Asia/Tehran\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0330\r\nTZOFFSETTO:+0330\r\nTZNAME:IRST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(283, 'Asia/Thimphu', NULL, 272800, 893900, 'BEGIN:VTIMEZONE\r\nTZID:Asia/Thimphu\r\nX-LIC-LOCATION:Asia/Thimphu\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0600\r\nTZOFFSETTO:+0600\r\nTZNAME:BTT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(284, 'Asia/Tokyo', NULL, 353916, 1394441, 'BEGIN:VTIMEZONE\r\nTZID:Asia/Tokyo\r\nX-LIC-LOCATION:Asia/Tokyo\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0900\r\nTZOFFSETTO:+0900\r\nTZNAME:JST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(285, 'Asia/Ulaanbaatar', NULL, 475500, 1065300, 'BEGIN:VTIMEZONE\r\nTZID:Asia/Ulaanbaatar\r\nX-LIC-LOCATION:Asia/Ulaanbaatar\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0800\r\nTZOFFSETTO:+0800\r\nTZNAME:ULAT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(286, 'Asia/Urumqi', NULL, 434800, 873500, 'BEGIN:VTIMEZONE\r\nTZID:Asia/Urumqi\r\nX-LIC-LOCATION:Asia/Urumqi\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0800\r\nTZOFFSETTO:+0800\r\nTZNAME:CST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(287, 'Asia/Ust-Nera', NULL, 643337, 1431336, 'BEGIN:VTIMEZONE\r\nTZID:Asia/Ust-Nera\r\nX-LIC-LOCATION:Asia/Ust-Nera\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+1100\r\nTZOFFSETTO:+1100\r\nTZNAME:VLAT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(288, 'Asia/Vientiane', NULL, 175800, 1023600, 'BEGIN:VTIMEZONE\r\nTZID:Asia/Vientiane\r\nX-LIC-LOCATION:Asia/Vientiane\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0700\r\nTZOFFSETTO:+0700\r\nTZNAME:ICT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(289, 'Asia/Vladivostok', NULL, 431000, 1315600, 'BEGIN:VTIMEZONE\r\nTZID:Asia/Vladivostok\r\nX-LIC-LOCATION:Asia/Vladivostok\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+1100\r\nTZOFFSETTO:+1100\r\nTZNAME:VLAT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(290, 'Asia/Yakutsk', NULL, 620000, 1294000, 'BEGIN:VTIMEZONE\r\nTZID:Asia/Yakutsk\r\nX-LIC-LOCATION:Asia/Yakutsk\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+1000\r\nTZOFFSETTO:+1000\r\nTZNAME:YAKT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(291, 'Asia/Yekaterinburg', NULL, 565100, 603600, 'BEGIN:VTIMEZONE\r\nTZID:Asia/Yekaterinburg\r\nX-LIC-LOCATION:Asia/Yekaterinburg\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0600\r\nTZOFFSETTO:+0600\r\nTZNAME:YEKT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(292, 'Asia/Yerevan', NULL, 401100, 443000, 'BEGIN:VTIMEZONE\r\nTZID:Asia/Yerevan\r\nX-LIC-LOCATION:Asia/Yerevan\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0400\r\nTZOFFSETTO:+0400\r\nTZNAME:AMT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(293, 'Atlantic/Azores', NULL, 374400, -254000, 'BEGIN:VTIMEZONE\r\nTZID:Atlantic/Azores\r\nX-LIC-LOCATION:Atlantic/Azores\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:-0100\r\nTZOFFSETTO:+0000\r\nTZNAME:AZOST\r\nDTSTART:19700329T000000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0000\r\nTZOFFSETTO:-0100\r\nTZNAME:AZOT\r\nDTSTART:19701025T010000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(294, 'Atlantic/Bermuda', NULL, 321700, -644600, 'BEGIN:VTIMEZONE\r\nTZID:Atlantic/Bermuda\r\nX-LIC-LOCATION:Atlantic/Bermuda\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:-0400\r\nTZOFFSETTO:-0300\r\nTZNAME:ADT\r\nDTSTART:19700308T020000\r\nRRULE:FREQ=YEARLY;BYDAY=2SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0300\r\nTZOFFSETTO:-0400\r\nTZNAME:AST\r\nDTSTART:19701101T020000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=11\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(295, 'Atlantic/Canary', NULL, 280600, -152400, 'BEGIN:VTIMEZONE\r\nTZID:Atlantic/Canary\r\nX-LIC-LOCATION:Atlantic/Canary\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+0000\r\nTZOFFSETTO:+0100\r\nTZNAME:WEST\r\nDTSTART:19700329T010000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0100\r\nTZOFFSETTO:+0000\r\nTZNAME:WET\r\nDTSTART:19701025T020000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(296, 'Atlantic/Cape_Verde', NULL, 145500, -233100, 'BEGIN:VTIMEZONE\r\nTZID:Atlantic/Cape_Verde\r\nX-LIC-LOCATION:Atlantic/Cape_Verde\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0100\r\nTZOFFSETTO:-0100\r\nTZNAME:CVT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(297, 'Atlantic/Faroe', NULL, 620100, -64600, 'BEGIN:VTIMEZONE\r\nTZID:Atlantic/Faroe\r\nX-LIC-LOCATION:Atlantic/Faroe\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+0000\r\nTZOFFSETTO:+0100\r\nTZNAME:WEST\r\nDTSTART:19700329T010000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0100\r\nTZOFFSETTO:+0000\r\nTZNAME:WET\r\nDTSTART:19701025T020000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(298, 'Atlantic/Madeira', NULL, 323800, -165400, 'BEGIN:VTIMEZONE\r\nTZID:Atlantic/Madeira\r\nX-LIC-LOCATION:Atlantic/Madeira\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+0000\r\nTZOFFSETTO:+0100\r\nTZNAME:WEST\r\nDTSTART:19700329T010000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0100\r\nTZOFFSETTO:+0000\r\nTZNAME:WET\r\nDTSTART:19701025T020000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(299, 'Atlantic/Reykjavik', NULL, 640900, -215100, 'BEGIN:VTIMEZONE\r\nTZID:Atlantic/Reykjavik\r\nX-LIC-LOCATION:Atlantic/Reykjavik\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0000\r\nTZOFFSETTO:+0000\r\nTZNAME:GMT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(300, 'Atlantic/South_Georgia', NULL, -541600, -363200, 'BEGIN:VTIMEZONE\r\nTZID:Atlantic/South_Georgia\r\nX-LIC-LOCATION:Atlantic/South_Georgia\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0200\r\nTZOFFSETTO:-0200\r\nTZNAME:GST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(301, 'Atlantic/St_Helena', NULL, -155500, -54200, 'BEGIN:VTIMEZONE\r\nTZID:Atlantic/St_Helena\r\nX-LIC-LOCATION:Atlantic/St_Helena\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0000\r\nTZOFFSETTO:+0000\r\nTZNAME:GMT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(302, 'Atlantic/Stanley', NULL, -514200, -575100, 'BEGIN:VTIMEZONE\r\nTZID:Atlantic/Stanley\r\nX-LIC-LOCATION:Atlantic/Stanley\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0300\r\nTZOFFSETTO:-0300\r\nTZNAME:FKST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(303, 'Australia/Adelaide', NULL, -345500, 1383500, 'BEGIN:VTIMEZONE\r\nTZID:Australia/Adelaide\r\nX-LIC-LOCATION:Australia/Adelaide\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+1030\r\nTZOFFSETTO:+0930\r\nTZNAME:CST\r\nDTSTART:19700405T030000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=4\r\nEND:STANDARD\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+0930\r\nTZOFFSETTO:+1030\r\nTZNAME:CST\r\nDTSTART:19701004T020000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=10\r\nEND:DAYLIGHT\r\nEND:VTIMEZONE\r\n'),
(304, 'Australia/Brisbane', NULL, -272800, 1530200, 'BEGIN:VTIMEZONE\r\nTZID:Australia/Brisbane\r\nX-LIC-LOCATION:Australia/Brisbane\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+1000\r\nTZOFFSETTO:+1000\r\nTZNAME:EST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(305, 'Australia/Broken_Hill', NULL, -315700, 1412700, 'BEGIN:VTIMEZONE\r\nTZID:Australia/Broken_Hill\r\nX-LIC-LOCATION:Australia/Broken_Hill\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+1030\r\nTZOFFSETTO:+0930\r\nTZNAME:CST\r\nDTSTART:19700405T030000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=4\r\nEND:STANDARD\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+0930\r\nTZOFFSETTO:+1030\r\nTZNAME:CST\r\nDTSTART:19701004T020000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=10\r\nEND:DAYLIGHT\r\nEND:VTIMEZONE\r\n'),
(306, 'Australia/Currie', NULL, -395600, 1435200, 'BEGIN:VTIMEZONE\r\nTZID:Australia/Currie\r\nX-LIC-LOCATION:Australia/Currie\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+1000\r\nTZOFFSETTO:+1100\r\nTZNAME:EST\r\nDTSTART:19701004T020000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=10\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+1100\r\nTZOFFSETTO:+1000\r\nTZNAME:EST\r\nDTSTART:19700405T030000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=4\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(307, 'Australia/Darwin', NULL, -122800, 1305000, 'BEGIN:VTIMEZONE\r\nTZID:Australia/Darwin\r\nX-LIC-LOCATION:Australia/Darwin\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0930\r\nTZOFFSETTO:+0930\r\nTZNAME:CST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(308, 'Australia/Eucla', NULL, -314300, 1285200, 'BEGIN:VTIMEZONE\r\nTZID:Australia/Eucla\r\nX-LIC-LOCATION:Australia/Eucla\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0845\r\nTZOFFSETTO:+0845\r\nTZNAME:CWST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(309, 'Australia/Hobart', NULL, -425300, 1471900, 'BEGIN:VTIMEZONE\r\nTZID:Australia/Hobart\r\nX-LIC-LOCATION:Australia/Hobart\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+1000\r\nTZOFFSETTO:+1100\r\nTZNAME:EST\r\nDTSTART:19701004T020000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=10\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+1100\r\nTZOFFSETTO:+1000\r\nTZNAME:EST\r\nDTSTART:19700405T030000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=4\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(310, 'Australia/Lindeman', NULL, -201600, 1490000, 'BEGIN:VTIMEZONE\r\nTZID:Australia/Lindeman\r\nX-LIC-LOCATION:Australia/Lindeman\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+1000\r\nTZOFFSETTO:+1000\r\nTZNAME:EST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(311, 'Australia/Lord_Howe', NULL, -313300, 1590500, 'BEGIN:VTIMEZONE\r\nTZID:Australia/Lord_Howe\r\nX-LIC-LOCATION:Australia/Lord_Howe\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+1100\r\nTZOFFSETTO:+1030\r\nTZNAME:LHST\r\nDTSTART:19700405T020000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=4\r\nEND:STANDARD\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+1030\r\nTZOFFSETTO:+1100\r\nTZNAME:LHST\r\nDTSTART:19701004T020000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=10\r\nEND:DAYLIGHT\r\nEND:VTIMEZONE\r\n'),
(312, 'Australia/Melbourne', NULL, -374900, 1445800, 'BEGIN:VTIMEZONE\r\nTZID:Australia/Melbourne\r\nX-LIC-LOCATION:Australia/Melbourne\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+1100\r\nTZOFFSETTO:+1000\r\nTZNAME:EST\r\nDTSTART:19700405T030000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=4\r\nEND:STANDARD\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+1000\r\nTZOFFSETTO:+1100\r\nTZNAME:EST\r\nDTSTART:19701004T020000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=10\r\nEND:DAYLIGHT\r\nEND:VTIMEZONE\r\n'),
(313, 'Australia/Perth', NULL, -315700, 1155100, 'BEGIN:VTIMEZONE\r\nTZID:Australia/Perth\r\nX-LIC-LOCATION:Australia/Perth\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0800\r\nTZOFFSETTO:+0800\r\nTZNAME:WST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(314, 'Australia/Sydney', NULL, -335200, 1511300, 'BEGIN:VTIMEZONE\r\nTZID:Australia/Sydney\r\nX-LIC-LOCATION:Australia/Sydney\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+1100\r\nTZOFFSETTO:+1000\r\nTZNAME:EST\r\nDTSTART:19700405T030000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=4\r\nEND:STANDARD\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+1000\r\nTZOFFSETTO:+1100\r\nTZNAME:EST\r\nDTSTART:19701004T020000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=10\r\nEND:DAYLIGHT\r\nEND:VTIMEZONE\r\n'),
(315, 'Europe/Amsterdam', NULL, 522200, 45400, 'BEGIN:VTIMEZONE\r\nTZID:Europe/Amsterdam\r\nX-LIC-LOCATION:Europe/Amsterdam\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+0100\r\nTZOFFSETTO:+0200\r\nTZNAME:CEST\r\nDTSTART:19700329T020000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0200\r\nTZOFFSETTO:+0100\r\nTZNAME:CET\r\nDTSTART:19701025T030000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(316, 'Europe/Andorra', NULL, 423000, 13100, 'BEGIN:VTIMEZONE\r\nTZID:Europe/Andorra\r\nX-LIC-LOCATION:Europe/Andorra\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+0100\r\nTZOFFSETTO:+0200\r\nTZNAME:CEST\r\nDTSTART:19700329T020000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0200\r\nTZOFFSETTO:+0100\r\nTZNAME:CET\r\nDTSTART:19701025T030000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(317, 'Europe/Athens', NULL, 375800, 234300, 'BEGIN:VTIMEZONE\r\nTZID:Europe/Athens\r\nX-LIC-LOCATION:Europe/Athens\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+0200\r\nTZOFFSETTO:+0300\r\nTZNAME:EEST\r\nDTSTART:19700329T030000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0300\r\nTZOFFSETTO:+0200\r\nTZNAME:EET\r\nDTSTART:19701025T040000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(318, 'Europe/Belgrade', NULL, 445000, 203000, 'BEGIN:VTIMEZONE\r\nTZID:Europe/Belgrade\r\nX-LIC-LOCATION:Europe/Belgrade\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+0100\r\nTZOFFSETTO:+0200\r\nTZNAME:CEST\r\nDTSTART:19700329T020000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0200\r\nTZOFFSETTO:+0100\r\nTZNAME:CET\r\nDTSTART:19701025T030000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(319, 'Europe/Berlin', NULL, 523000, 132200, 'BEGIN:VTIMEZONE\r\nTZID:Europe/Berlin\r\nX-LIC-LOCATION:Europe/Berlin\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+0100\r\nTZOFFSETTO:+0200\r\nTZNAME:CEST\r\nDTSTART:19700329T020000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0200\r\nTZOFFSETTO:+0100\r\nTZNAME:CET\r\nDTSTART:19701025T030000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(320, 'Europe/Bratislava', NULL, 480900, 170700, 'BEGIN:VTIMEZONE\r\nTZID:Europe/Bratislava\r\nX-LIC-LOCATION:Europe/Bratislava\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+0100\r\nTZOFFSETTO:+0200\r\nTZNAME:CEST\r\nDTSTART:19700329T020000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0200\r\nTZOFFSETTO:+0100\r\nTZNAME:CET\r\nDTSTART:19701025T030000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(321, 'Europe/Brussels', NULL, 505000, 42000, 'BEGIN:VTIMEZONE\r\nTZID:Europe/Brussels\r\nX-LIC-LOCATION:Europe/Brussels\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+0100\r\nTZOFFSETTO:+0200\r\nTZNAME:CEST\r\nDTSTART:19700329T020000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0200\r\nTZOFFSETTO:+0100\r\nTZNAME:CET\r\nDTSTART:19701025T030000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(322, 'Europe/Bucharest', NULL, 442600, 260600, 'BEGIN:VTIMEZONE\r\nTZID:Europe/Bucharest\r\nX-LIC-LOCATION:Europe/Bucharest\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+0200\r\nTZOFFSETTO:+0300\r\nTZNAME:EEST\r\nDTSTART:19700329T030000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0300\r\nTZOFFSETTO:+0200\r\nTZNAME:EET\r\nDTSTART:19701025T040000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(323, 'Europe/Budapest', NULL, 473000, 190500, 'BEGIN:VTIMEZONE\r\nTZID:Europe/Budapest\r\nX-LIC-LOCATION:Europe/Budapest\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+0100\r\nTZOFFSETTO:+0200\r\nTZNAME:CEST\r\nDTSTART:19700329T020000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0200\r\nTZOFFSETTO:+0100\r\nTZNAME:CET\r\nDTSTART:19701025T030000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(324, 'Europe/Busingen', NULL, 474200, 84100, 'BEGIN:VTIMEZONE\r\nTZID:Europe/Busingen\r\nX-LIC-LOCATION:Europe/Busingen\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+0100\r\nTZOFFSETTO:+0200\r\nTZNAME:CEST\r\nDTSTART:19700329T020000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0200\r\nTZOFFSETTO:+0100\r\nTZNAME:CET\r\nDTSTART:19701025T030000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(325, 'Europe/Chisinau', NULL, 470000, 285000, 'BEGIN:VTIMEZONE\r\nTZID:Europe/Chisinau\r\nX-LIC-LOCATION:Europe/Chisinau\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+0200\r\nTZOFFSETTO:+0300\r\nTZNAME:EEST\r\nDTSTART:19700329T030000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0300\r\nTZOFFSETTO:+0200\r\nTZNAME:EET\r\nDTSTART:19701025T040000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(326, 'Europe/Copenhagen', NULL, 554000, 123500, 'BEGIN:VTIMEZONE\r\nTZID:Europe/Copenhagen\r\nX-LIC-LOCATION:Europe/Copenhagen\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+0100\r\nTZOFFSETTO:+0200\r\nTZNAME:CEST\r\nDTSTART:19700329T020000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0200\r\nTZOFFSETTO:+0100\r\nTZNAME:CET\r\nDTSTART:19701025T030000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(327, 'Europe/Dublin', NULL, 532000, -61500, 'BEGIN:VTIMEZONE\r\nTZID:Europe/Dublin\r\nX-LIC-LOCATION:Europe/Dublin\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+0000\r\nTZOFFSETTO:+0100\r\nTZNAME:IST\r\nDTSTART:19700329T010000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0100\r\nTZOFFSETTO:+0000\r\nTZNAME:GMT\r\nDTSTART:19701025T020000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(328, 'Europe/Gibraltar', NULL, 360800, -52100, 'BEGIN:VTIMEZONE\r\nTZID:Europe/Gibraltar\r\nX-LIC-LOCATION:Europe/Gibraltar\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+0100\r\nTZOFFSETTO:+0200\r\nTZNAME:CEST\r\nDTSTART:19700329T020000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0200\r\nTZOFFSETTO:+0100\r\nTZNAME:CET\r\nDTSTART:19701025T030000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(329, 'Europe/Guernsey', NULL, 492700, -23200, 'BEGIN:VTIMEZONE\r\nTZID:Europe/Guernsey\r\nX-LIC-LOCATION:Europe/Guernsey\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+0000\r\nTZOFFSETTO:+0100\r\nTZNAME:BST\r\nDTSTART:19700329T010000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0100\r\nTZOFFSETTO:+0000\r\nTZNAME:GMT\r\nDTSTART:19701025T020000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(330, 'Europe/Helsinki', NULL, 601000, 245800, 'BEGIN:VTIMEZONE\r\nTZID:Europe/Helsinki\r\nX-LIC-LOCATION:Europe/Helsinki\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+0200\r\nTZOFFSETTO:+0300\r\nTZNAME:EEST\r\nDTSTART:19700329T030000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0300\r\nTZOFFSETTO:+0200\r\nTZNAME:EET\r\nDTSTART:19701025T040000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(331, 'Europe/Isle_of_Man', NULL, 540900, -42800, 'BEGIN:VTIMEZONE\r\nTZID:Europe/Isle_of_Man\r\nX-LIC-LOCATION:Europe/Isle_of_Man\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+0000\r\nTZOFFSETTO:+0100\r\nTZNAME:BST\r\nDTSTART:19700329T010000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0100\r\nTZOFFSETTO:+0000\r\nTZNAME:GMT\r\nDTSTART:19701025T020000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(332, 'Europe/Istanbul', NULL, 410100, 285800, 'BEGIN:VTIMEZONE\r\nTZID:Europe/Istanbul\r\nX-LIC-LOCATION:Europe/Istanbul\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0300\r\nTZOFFSETTO:+0200\r\nTZNAME:EET\r\nDTSTART:19701025T040000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10\r\nEND:STANDARD\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+0200\r\nTZOFFSETTO:+0300\r\nTZNAME:EEST\r\nDTSTART:19700329T030000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nEND:VTIMEZONE\r\n'),
(333, 'Europe/Jersey', NULL, 491200, -20700, 'BEGIN:VTIMEZONE\r\nTZID:Europe/Jersey\r\nX-LIC-LOCATION:Europe/Jersey\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+0000\r\nTZOFFSETTO:+0100\r\nTZNAME:BST\r\nDTSTART:19700329T010000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0100\r\nTZOFFSETTO:+0000\r\nTZNAME:GMT\r\nDTSTART:19701025T020000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(334, 'Europe/Kaliningrad', NULL, 544300, 203000, 'BEGIN:VTIMEZONE\r\nTZID:Europe/Kaliningrad\r\nX-LIC-LOCATION:Europe/Kaliningrad\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0300\r\nTZOFFSETTO:+0300\r\nTZNAME:FET\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(335, 'Europe/Kiev', NULL, 502600, 303100, 'BEGIN:VTIMEZONE\r\nTZID:Europe/Kiev\r\nX-LIC-LOCATION:Europe/Kiev\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+0200\r\nTZOFFSETTO:+0300\r\nTZNAME:EEST\r\nDTSTART:19700329T030000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0300\r\nTZOFFSETTO:+0200\r\nTZNAME:EET\r\nDTSTART:19701025T040000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(336, 'Europe/Lisbon', NULL, 384300, -90800, 'BEGIN:VTIMEZONE\r\nTZID:Europe/Lisbon\r\nX-LIC-LOCATION:Europe/Lisbon\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0100\r\nTZOFFSETTO:+0000\r\nTZNAME:WET\r\nDTSTART:19701025T020000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10\r\nEND:STANDARD\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+0000\r\nTZOFFSETTO:+0100\r\nTZNAME:WEST\r\nDTSTART:19700329T010000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nEND:VTIMEZONE\r\n'),
(337, 'Europe/Ljubljana', NULL, 460300, 143100, 'BEGIN:VTIMEZONE\r\nTZID:Europe/Ljubljana\r\nX-LIC-LOCATION:Europe/Ljubljana\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+0100\r\nTZOFFSETTO:+0200\r\nTZNAME:CEST\r\nDTSTART:19700329T020000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0200\r\nTZOFFSETTO:+0100\r\nTZNAME:CET\r\nDTSTART:19701025T030000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(338, 'Europe/London', NULL, 513030, 731, 'BEGIN:VTIMEZONE\r\nTZID:Europe/London\r\nX-LIC-LOCATION:Europe/London\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+0000\r\nTZOFFSETTO:+0100\r\nTZNAME:BST\r\nDTSTART:19700329T010000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0100\r\nTZOFFSETTO:+0000\r\nTZNAME:GMT\r\nDTSTART:19701025T020000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(339, 'Europe/Luxembourg', NULL, 493600, 60900, 'BEGIN:VTIMEZONE\r\nTZID:Europe/Luxembourg\r\nX-LIC-LOCATION:Europe/Luxembourg\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+0100\r\nTZOFFSETTO:+0200\r\nTZNAME:CEST\r\nDTSTART:19700329T020000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0200\r\nTZOFFSETTO:+0100\r\nTZNAME:CET\r\nDTSTART:19701025T030000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(340, 'Europe/Madrid', NULL, 402400, -34100, 'BEGIN:VTIMEZONE\r\nTZID:Europe/Madrid\r\nX-LIC-LOCATION:Europe/Madrid\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+0100\r\nTZOFFSETTO:+0200\r\nTZNAME:CEST\r\nDTSTART:19700329T020000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0200\r\nTZOFFSETTO:+0100\r\nTZNAME:CET\r\nDTSTART:19701025T030000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(341, 'Europe/Malta', NULL, 355400, 143100, 'BEGIN:VTIMEZONE\r\nTZID:Europe/Malta\r\nX-LIC-LOCATION:Europe/Malta\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+0100\r\nTZOFFSETTO:+0200\r\nTZNAME:CEST\r\nDTSTART:19700329T020000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0200\r\nTZOFFSETTO:+0100\r\nTZNAME:CET\r\nDTSTART:19701025T030000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(342, 'Europe/Mariehamn', NULL, 600600, 195700, 'BEGIN:VTIMEZONE\r\nTZID:Europe/Mariehamn\r\nX-LIC-LOCATION:Europe/Mariehamn\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+0200\r\nTZOFFSETTO:+0300\r\nTZNAME:EEST\r\nDTSTART:19700329T030000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0300\r\nTZOFFSETTO:+0200\r\nTZNAME:EET\r\nDTSTART:19701025T040000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(343, 'Europe/Minsk', NULL, 535400, 273400, 'BEGIN:VTIMEZONE\r\nTZID:Europe/Minsk\r\nX-LIC-LOCATION:Europe/Minsk\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0300\r\nTZOFFSETTO:+0300\r\nTZNAME:FET\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(344, 'Europe/Monaco', NULL, 434200, 72300, 'BEGIN:VTIMEZONE\r\nTZID:Europe/Monaco\r\nX-LIC-LOCATION:Europe/Monaco\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+0100\r\nTZOFFSETTO:+0200\r\nTZNAME:CEST\r\nDTSTART:19700329T020000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0200\r\nTZOFFSETTO:+0100\r\nTZNAME:CET\r\nDTSTART:19701025T030000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(345, 'Europe/Moscow', NULL, 554500, 373500, 'BEGIN:VTIMEZONE\r\nTZID:Europe/Moscow\r\nX-LIC-LOCATION:Europe/Moscow\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0400\r\nTZOFFSETTO:+0400\r\nTZNAME:MSK\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(346, 'Europe/Nicosia', NULL, 351000, 332200, 'BEGIN:VTIMEZONE\r\nTZID:Europe/Nicosia\r\nX-LIC-LOCATION:Europe/Nicosia\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0300\r\nTZOFFSETTO:+0200\r\nTZNAME:EET\r\nDTSTART:19701025T040000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10\r\nEND:STANDARD\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+0200\r\nTZOFFSETTO:+0300\r\nTZNAME:EEST\r\nDTSTART:19700329T030000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nEND:VTIMEZONE\r\n'),
(347, 'Europe/Oslo', NULL, 595500, 104500, 'BEGIN:VTIMEZONE\r\nTZID:Europe/Oslo\r\nX-LIC-LOCATION:Europe/Oslo\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+0100\r\nTZOFFSETTO:+0200\r\nTZNAME:CEST\r\nDTSTART:19700329T020000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0200\r\nTZOFFSETTO:+0100\r\nTZNAME:CET\r\nDTSTART:19701025T030000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(348, 'Europe/Paris', NULL, 485200, 22000, 'BEGIN:VTIMEZONE\r\nTZID:Europe/Paris\r\nX-LIC-LOCATION:Europe/Paris\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+0100\r\nTZOFFSETTO:+0200\r\nTZNAME:CEST\r\nDTSTART:19700329T020000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0200\r\nTZOFFSETTO:+0100\r\nTZNAME:CET\r\nDTSTART:19701025T030000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(349, 'Europe/Podgorica', NULL, 422600, 191600, 'BEGIN:VTIMEZONE\r\nTZID:Europe/Podgorica\r\nX-LIC-LOCATION:Europe/Podgorica\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+0100\r\nTZOFFSETTO:+0200\r\nTZNAME:CEST\r\nDTSTART:19700329T020000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0200\r\nTZOFFSETTO:+0100\r\nTZNAME:CET\r\nDTSTART:19701025T030000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(350, 'Europe/Prague', NULL, 500500, 142600, 'BEGIN:VTIMEZONE\r\nTZID:Europe/Prague\r\nX-LIC-LOCATION:Europe/Prague\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+0100\r\nTZOFFSETTO:+0200\r\nTZNAME:CEST\r\nDTSTART:19700329T020000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0200\r\nTZOFFSETTO:+0100\r\nTZNAME:CET\r\nDTSTART:19701025T030000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(351, 'Europe/Riga', NULL, 565700, 240600, 'BEGIN:VTIMEZONE\r\nTZID:Europe/Riga\r\nX-LIC-LOCATION:Europe/Riga\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+0200\r\nTZOFFSETTO:+0300\r\nTZNAME:EEST\r\nDTSTART:19700329T030000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0300\r\nTZOFFSETTO:+0200\r\nTZNAME:EET\r\nDTSTART:19701025T040000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(352, 'Europe/Rome', NULL, 415400, 122900, 'BEGIN:VTIMEZONE\r\nTZID:Europe/Rome\r\nX-LIC-LOCATION:Europe/Rome\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+0100\r\nTZOFFSETTO:+0200\r\nTZNAME:CEST\r\nDTSTART:19700329T020000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0200\r\nTZOFFSETTO:+0100\r\nTZNAME:CET\r\nDTSTART:19701025T030000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(353, 'Europe/Samara', NULL, 531200, 500900, 'BEGIN:VTIMEZONE\r\nTZID:Europe/Samara\r\nX-LIC-LOCATION:Europe/Samara\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0400\r\nTZOFFSETTO:+0400\r\nTZNAME:SAMT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(354, 'Europe/San_Marino', NULL, 435500, 122800, 'BEGIN:VTIMEZONE\r\nTZID:Europe/San_Marino\r\nX-LIC-LOCATION:Europe/San_Marino\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+0100\r\nTZOFFSETTO:+0200\r\nTZNAME:CEST\r\nDTSTART:19700329T020000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0200\r\nTZOFFSETTO:+0100\r\nTZNAME:CET\r\nDTSTART:19701025T030000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(355, 'Europe/Sarajevo', NULL, 435200, 182500, 'BEGIN:VTIMEZONE\r\nTZID:Europe/Sarajevo\r\nX-LIC-LOCATION:Europe/Sarajevo\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+0100\r\nTZOFFSETTO:+0200\r\nTZNAME:CEST\r\nDTSTART:19700329T020000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0200\r\nTZOFFSETTO:+0100\r\nTZNAME:CET\r\nDTSTART:19701025T030000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(356, 'Europe/Simferopol', NULL, 445700, 340600, 'BEGIN:VTIMEZONE\r\nTZID:Europe/Simferopol\r\nX-LIC-LOCATION:Europe/Simferopol\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0300\r\nTZOFFSETTO:+0200\r\nTZNAME:EET\r\nDTSTART:19701025T040000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10\r\nEND:STANDARD\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+0200\r\nTZOFFSETTO:+0300\r\nTZNAME:EEST\r\nDTSTART:19700329T030000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nEND:VTIMEZONE\r\n'),
(357, 'Europe/Skopje', NULL, 415900, 212600, 'BEGIN:VTIMEZONE\r\nTZID:Europe/Skopje\r\nX-LIC-LOCATION:Europe/Skopje\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+0100\r\nTZOFFSETTO:+0200\r\nTZNAME:CEST\r\nDTSTART:19700329T020000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0200\r\nTZOFFSETTO:+0100\r\nTZNAME:CET\r\nDTSTART:19701025T030000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(358, 'Europe/Sofia', NULL, 424100, 231900, 'BEGIN:VTIMEZONE\r\nTZID:Europe/Sofia\r\nX-LIC-LOCATION:Europe/Sofia\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+0200\r\nTZOFFSETTO:+0300\r\nTZNAME:EEST\r\nDTSTART:19700329T030000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0300\r\nTZOFFSETTO:+0200\r\nTZNAME:EET\r\nDTSTART:19701025T040000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(359, 'Europe/Stockholm', NULL, 592000, 180300, 'BEGIN:VTIMEZONE\r\nTZID:Europe/Stockholm\r\nX-LIC-LOCATION:Europe/Stockholm\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+0100\r\nTZOFFSETTO:+0200\r\nTZNAME:CEST\r\nDTSTART:19700329T020000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0200\r\nTZOFFSETTO:+0100\r\nTZNAME:CET\r\nDTSTART:19701025T030000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(360, 'Europe/Tallinn', NULL, 592500, 244500, 'BEGIN:VTIMEZONE\r\nTZID:Europe/Tallinn\r\nX-LIC-LOCATION:Europe/Tallinn\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+0200\r\nTZOFFSETTO:+0300\r\nTZNAME:EEST\r\nDTSTART:19700329T030000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0300\r\nTZOFFSETTO:+0200\r\nTZNAME:EET\r\nDTSTART:19701025T040000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(361, 'Europe/Tirane', NULL, 412000, 195000, 'BEGIN:VTIMEZONE\r\nTZID:Europe/Tirane\r\nX-LIC-LOCATION:Europe/Tirane\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+0100\r\nTZOFFSETTO:+0200\r\nTZNAME:CEST\r\nDTSTART:19700329T020000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0200\r\nTZOFFSETTO:+0100\r\nTZNAME:CET\r\nDTSTART:19701025T030000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(362, 'Europe/Uzhgorod', NULL, 483700, 221800, 'BEGIN:VTIMEZONE\r\nTZID:Europe/Uzhgorod\r\nX-LIC-LOCATION:Europe/Uzhgorod\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+0200\r\nTZOFFSETTO:+0300\r\nTZNAME:EEST\r\nDTSTART:19700329T030000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0300\r\nTZOFFSETTO:+0200\r\nTZNAME:EET\r\nDTSTART:19701025T040000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(363, 'Europe/Vaduz', NULL, 470900, 93100, 'BEGIN:VTIMEZONE\r\nTZID:Europe/Vaduz\r\nX-LIC-LOCATION:Europe/Vaduz\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+0100\r\nTZOFFSETTO:+0200\r\nTZNAME:CEST\r\nDTSTART:19700329T020000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0200\r\nTZOFFSETTO:+0100\r\nTZNAME:CET\r\nDTSTART:19701025T030000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(364, 'Europe/Vatican', NULL, 415408, 122711, 'BEGIN:VTIMEZONE\r\nTZID:Europe/Vatican\r\nX-LIC-LOCATION:Europe/Vatican\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+0100\r\nTZOFFSETTO:+0200\r\nTZNAME:CEST\r\nDTSTART:19700329T020000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0200\r\nTZOFFSETTO:+0100\r\nTZNAME:CET\r\nDTSTART:19701025T030000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(365, 'Europe/Vienna', NULL, 481300, 162000, 'BEGIN:VTIMEZONE\r\nTZID:Europe/Vienna\r\nX-LIC-LOCATION:Europe/Vienna\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+0100\r\nTZOFFSETTO:+0200\r\nTZNAME:CEST\r\nDTSTART:19700329T020000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0200\r\nTZOFFSETTO:+0100\r\nTZNAME:CET\r\nDTSTART:19701025T030000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(366, 'Europe/Vilnius', NULL, 544100, 251900, 'BEGIN:VTIMEZONE\r\nTZID:Europe/Vilnius\r\nX-LIC-LOCATION:Europe/Vilnius\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+0200\r\nTZOFFSETTO:+0300\r\nTZNAME:EEST\r\nDTSTART:19700329T030000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0300\r\nTZOFFSETTO:+0200\r\nTZNAME:EET\r\nDTSTART:19701025T040000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(367, 'Europe/Volgograd', NULL, 484400, 442500, 'BEGIN:VTIMEZONE\r\nTZID:Europe/Volgograd\r\nX-LIC-LOCATION:Europe/Volgograd\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0400\r\nTZOFFSETTO:+0400\r\nTZNAME:VOLT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(368, 'Europe/Warsaw', NULL, 521500, 210000, 'BEGIN:VTIMEZONE\r\nTZID:Europe/Warsaw\r\nX-LIC-LOCATION:Europe/Warsaw\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+0100\r\nTZOFFSETTO:+0200\r\nTZNAME:CEST\r\nDTSTART:19700329T020000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0200\r\nTZOFFSETTO:+0100\r\nTZNAME:CET\r\nDTSTART:19701025T030000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(369, 'Europe/Zagreb', NULL, 454800, 155800, 'BEGIN:VTIMEZONE\r\nTZID:Europe/Zagreb\r\nX-LIC-LOCATION:Europe/Zagreb\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+0100\r\nTZOFFSETTO:+0200\r\nTZNAME:CEST\r\nDTSTART:19700329T020000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0200\r\nTZOFFSETTO:+0100\r\nTZNAME:CET\r\nDTSTART:19701025T030000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(370, 'Europe/Zaporozhye', NULL, 475000, 351000, 'BEGIN:VTIMEZONE\r\nTZID:Europe/Zaporozhye\r\nX-LIC-LOCATION:Europe/Zaporozhye\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+0200\r\nTZOFFSETTO:+0300\r\nTZNAME:EEST\r\nDTSTART:19700329T030000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0300\r\nTZOFFSETTO:+0200\r\nTZNAME:EET\r\nDTSTART:19701025T040000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(371, 'Europe/Zurich', NULL, 472300, 83200, 'BEGIN:VTIMEZONE\r\nTZID:Europe/Zurich\r\nX-LIC-LOCATION:Europe/Zurich\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+0100\r\nTZOFFSETTO:+0200\r\nTZNAME:CEST\r\nDTSTART:19700329T020000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0200\r\nTZOFFSETTO:+0100\r\nTZNAME:CET\r\nDTSTART:19701025T030000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(372, 'Indian/Antananarivo', NULL, -185500, 473100, 'BEGIN:VTIMEZONE\r\nTZID:Indian/Antananarivo\r\nX-LIC-LOCATION:Indian/Antananarivo\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0300\r\nTZOFFSETTO:+0300\r\nTZNAME:EAT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(373, 'Indian/Chagos', NULL, -72000, 722500, 'BEGIN:VTIMEZONE\r\nTZID:Indian/Chagos\r\nX-LIC-LOCATION:Indian/Chagos\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0600\r\nTZOFFSETTO:+0600\r\nTZNAME:IOT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(374, 'Indian/Christmas', NULL, -102500, 1054300, 'BEGIN:VTIMEZONE\r\nTZID:Indian/Christmas\r\nX-LIC-LOCATION:Indian/Christmas\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0700\r\nTZOFFSETTO:+0700\r\nTZNAME:CXT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(375, 'Indian/Cocos', NULL, -121000, 965500, 'BEGIN:VTIMEZONE\r\nTZID:Indian/Cocos\r\nX-LIC-LOCATION:Indian/Cocos\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0630\r\nTZOFFSETTO:+0630\r\nTZNAME:CCT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(376, 'Indian/Comoro', NULL, -114100, 431600, 'BEGIN:VTIMEZONE\r\nTZID:Indian/Comoro\r\nX-LIC-LOCATION:Indian/Comoro\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0300\r\nTZOFFSETTO:+0300\r\nTZNAME:EAT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(377, 'Indian/Kerguelen', NULL, -492110, 701303, 'BEGIN:VTIMEZONE\r\nTZID:Indian/Kerguelen\r\nX-LIC-LOCATION:Indian/Kerguelen\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0500\r\nTZOFFSETTO:+0500\r\nTZNAME:TFT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(378, 'Indian/Mahe', NULL, -44000, 552800, 'BEGIN:VTIMEZONE\r\nTZID:Indian/Mahe\r\nX-LIC-LOCATION:Indian/Mahe\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0400\r\nTZOFFSETTO:+0400\r\nTZNAME:SCT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(379, 'Indian/Maldives', NULL, 41000, 733000, 'BEGIN:VTIMEZONE\r\nTZID:Indian/Maldives\r\nX-LIC-LOCATION:Indian/Maldives\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0500\r\nTZOFFSETTO:+0500\r\nTZNAME:MVT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(380, 'Indian/Mauritius', NULL, -201000, 573000, 'BEGIN:VTIMEZONE\r\nTZID:Indian/Mauritius\r\nX-LIC-LOCATION:Indian/Mauritius\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0400\r\nTZOFFSETTO:+0400\r\nTZNAME:MUT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(381, 'Indian/Mayotte', NULL, -124700, 451400, 'BEGIN:VTIMEZONE\r\nTZID:Indian/Mayotte\r\nX-LIC-LOCATION:Indian/Mayotte\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0300\r\nTZOFFSETTO:+0300\r\nTZNAME:EAT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(382, 'Indian/Reunion', NULL, -205200, 552800, 'BEGIN:VTIMEZONE\r\nTZID:Indian/Reunion\r\nX-LIC-LOCATION:Indian/Reunion\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0400\r\nTZOFFSETTO:+0400\r\nTZNAME:RET\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(383, 'Pacific/Apia', NULL, -135000, -1714400, 'BEGIN:VTIMEZONE\r\nTZID:Pacific/Apia\r\nX-LIC-LOCATION:Pacific/Apia\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+1400\r\nTZOFFSETTO:+1300\r\nTZNAME:WST\r\nDTSTART:19700405T040000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=4\r\nEND:STANDARD\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+1300\r\nTZOFFSETTO:+1400\r\nTZNAME:WSDT\r\nDTSTART:19700927T030000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=9\r\nEND:DAYLIGHT\r\nEND:VTIMEZONE\r\n'),
(384, 'Pacific/Auckland', NULL, -365200, 1744600, 'BEGIN:VTIMEZONE\r\nTZID:Pacific/Auckland\r\nX-LIC-LOCATION:Pacific/Auckland\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+1200\r\nTZOFFSETTO:+1300\r\nTZNAME:NZDT\r\nDTSTART:19700927T020000\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=9\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+1300\r\nTZOFFSETTO:+1200\r\nTZNAME:NZST\r\nDTSTART:19700405T030000\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=4\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(385, 'Pacific/Chatham', NULL, -435700, -1763300, 'BEGIN:VTIMEZONE\r\nTZID:Pacific/Chatham\r\nX-LIC-LOCATION:Pacific/Chatham\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+1245\r\nTZOFFSETTO:+1345\r\nTZNAME:CHADT\r\nDTSTART:19700927T024500\r\nRRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=9\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+1345\r\nTZOFFSETTO:+1245\r\nTZNAME:CHAST\r\nDTSTART:19700405T034500\r\nRRULE:FREQ=YEARLY;BYDAY=1SU;BYMONTH=4\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(386, 'Pacific/Chuuk', NULL, 72500, 1514700, 'BEGIN:VTIMEZONE\r\nTZID:Pacific/Chuuk\r\nX-LIC-LOCATION:Pacific/Chuuk\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+1000\r\nTZOFFSETTO:+1000\r\nTZNAME:CHUT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(387, 'Pacific/Easter', NULL, -270900, -1092600, 'BEGIN:VTIMEZONE\r\nTZID:Pacific/Easter\r\nX-LIC-LOCATION:Pacific/Easter\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0500\r\nTZOFFSETTO:-0600\r\nTZNAME:EAST\r\nDTSTART:19700425T220000\r\nRRULE:FREQ=YEARLY;BYDAY=4SA;BYMONTH=4\r\nEND:STANDARD\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:-0600\r\nTZOFFSETTO:-0500\r\nTZNAME:EASST\r\nDTSTART:19700905T220000\r\nRRULE:FREQ=YEARLY;BYDAY=1SA;BYMONTH=9\r\nEND:DAYLIGHT\r\nEND:VTIMEZONE\r\n'),
(388, 'Pacific/Efate', NULL, -174000, 1682500, 'BEGIN:VTIMEZONE\r\nTZID:Pacific/Efate\r\nX-LIC-LOCATION:Pacific/Efate\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+1100\r\nTZOFFSETTO:+1100\r\nTZNAME:VUT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(389, 'Pacific/Enderbury', NULL, -30800, -1710500, 'BEGIN:VTIMEZONE\r\nTZID:Pacific/Enderbury\r\nX-LIC-LOCATION:Pacific/Enderbury\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+1300\r\nTZOFFSETTO:+1300\r\nTZNAME:PHOT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(390, 'Pacific/Fakaofo', NULL, -92200, -1711400, 'BEGIN:VTIMEZONE\r\nTZID:Pacific/Fakaofo\r\nX-LIC-LOCATION:Pacific/Fakaofo\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+1300\r\nTZOFFSETTO:+1300\r\nTZNAME:TKT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(391, 'Pacific/Fiji', NULL, -180800, 1782500, 'BEGIN:VTIMEZONE\r\nTZID:Pacific/Fiji\r\nX-LIC-LOCATION:Pacific/Fiji\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+1200\r\nTZOFFSETTO:+1300\r\nTZNAME:FJST\r\nDTSTART:20101024T020000\r\nRRULE:FREQ=YEARLY;BYDAY=SU;BYMONTHDAY=18,19,20,21,22,23,24;BYMONTH=10\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+1300\r\nTZOFFSETTO:+1200\r\nTZNAME:FJT\r\nDTSTART:20120122T030000\r\nRRULE:FREQ=YEARLY;BYDAY=SU;BYMONTHDAY=18,19,20,21,22,23,24;BYMONTH=1\r\nEND:STANDARD\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+115544\r\nTZOFFSETTO:+1200\r\nTZNAME:FJT\r\nDTSTART:19151026T000000\r\nRDATE;VALUE=DATE-TIME:19151026T000000\r\nEND:STANDARD\r\nBEGIN:DAYLIGHT\r\nTZOFFSETFROM:+1200\r\nTZOFFSETTO:+1300\r\nTZNAME:FJST\r\nDTSTART:19981101T020000\r\nRDATE;VALUE=DATE-TIME:19981101T020000\r\nRDATE;VALUE=DATE-TIME:19991107T020000\r\nRDATE;VALUE=DATE-TIME:20091129T020000\r\nEND:DAYLIGHT\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+1300\r\nTZOFFSETTO:+1200\r\nTZNAME:FJT\r\nDTSTART:19990228T030000\r\nRDATE;VALUE=DATE-TIME:19990228T030000\r\nRDATE;VALUE=DATE-TIME:20000227T030000\r\nRDATE;VALUE=DATE-TIME:20100328T030000\r\nRDATE;VALUE=DATE-TIME:20110306T030000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(392, 'Pacific/Funafuti', NULL, -83100, 1791300, 'BEGIN:VTIMEZONE\r\nTZID:Pacific/Funafuti\r\nX-LIC-LOCATION:Pacific/Funafuti\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+1200\r\nTZOFFSETTO:+1200\r\nTZNAME:TVT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(393, 'Pacific/Galapagos', NULL, 5400, -893600, 'BEGIN:VTIMEZONE\r\nTZID:Pacific/Galapagos\r\nX-LIC-LOCATION:Pacific/Galapagos\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0600\r\nTZOFFSETTO:-0600\r\nTZNAME:GALT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(394, 'Pacific/Gambier', NULL, -230800, -1345700, 'BEGIN:VTIMEZONE\r\nTZID:Pacific/Gambier\r\nX-LIC-LOCATION:Pacific/Gambier\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0900\r\nTZOFFSETTO:-0900\r\nTZNAME:GAMT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(395, 'Pacific/Guadalcanal', NULL, -93200, 1601200, 'BEGIN:VTIMEZONE\r\nTZID:Pacific/Guadalcanal\r\nX-LIC-LOCATION:Pacific/Guadalcanal\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+1100\r\nTZOFFSETTO:+1100\r\nTZNAME:SBT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(396, 'Pacific/Guam', NULL, 132800, 1444500, 'BEGIN:VTIMEZONE\r\nTZID:Pacific/Guam\r\nX-LIC-LOCATION:Pacific/Guam\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+1000\r\nTZOFFSETTO:+1000\r\nTZNAME:ChST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(397, 'Pacific/Honolulu', NULL, 211825, -1575130, 'BEGIN:VTIMEZONE\r\nTZID:Pacific/Honolulu\r\nX-LIC-LOCATION:Pacific/Honolulu\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-1000\r\nTZOFFSETTO:-1000\r\nTZNAME:HST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(398, 'Pacific/Johnston', NULL, 164500, -1693100, 'BEGIN:VTIMEZONE\r\nTZID:Pacific/Johnston\r\nX-LIC-LOCATION:Pacific/Johnston\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-1000\r\nTZOFFSETTO:-1000\r\nTZNAME:HST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(399, 'Pacific/Kiritimati', NULL, 15200, -1572000, 'BEGIN:VTIMEZONE\r\nTZID:Pacific/Kiritimati\r\nX-LIC-LOCATION:Pacific/Kiritimati\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+1400\r\nTZOFFSETTO:+1400\r\nTZNAME:LINT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(400, 'Pacific/Kosrae', NULL, 51900, 1625900, 'BEGIN:VTIMEZONE\r\nTZID:Pacific/Kosrae\r\nX-LIC-LOCATION:Pacific/Kosrae\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+1100\r\nTZOFFSETTO:+1100\r\nTZNAME:KOST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(401, 'Pacific/Kwajalein', NULL, 90500, 1672000, 'BEGIN:VTIMEZONE\r\nTZID:Pacific/Kwajalein\r\nX-LIC-LOCATION:Pacific/Kwajalein\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+1200\r\nTZOFFSETTO:+1200\r\nTZNAME:MHT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(402, 'Pacific/Majuro', NULL, 70900, 1711200, 'BEGIN:VTIMEZONE\r\nTZID:Pacific/Majuro\r\nX-LIC-LOCATION:Pacific/Majuro\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+1200\r\nTZOFFSETTO:+1200\r\nTZNAME:MHT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n');
INSERT INTO `egw_cal_timezones` (`tz_id`, `tz_tzid`, `tz_alias`, `tz_latitude`, `tz_longitude`, `tz_component`) VALUES
(403, 'Pacific/Marquesas', NULL, -90000, -1393000, 'BEGIN:VTIMEZONE\r\nTZID:Pacific/Marquesas\r\nX-LIC-LOCATION:Pacific/Marquesas\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0930\r\nTZOFFSETTO:-0930\r\nTZNAME:MART\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(404, 'Pacific/Midway', NULL, 281300, -1772200, 'BEGIN:VTIMEZONE\r\nTZID:Pacific/Midway\r\nX-LIC-LOCATION:Pacific/Midway\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-1100\r\nTZOFFSETTO:-1100\r\nTZNAME:SST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(405, 'Pacific/Nauru', NULL, 3100, 1665500, 'BEGIN:VTIMEZONE\r\nTZID:Pacific/Nauru\r\nX-LIC-LOCATION:Pacific/Nauru\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+1200\r\nTZOFFSETTO:+1200\r\nTZNAME:NRT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(406, 'Pacific/Niue', NULL, -190100, -1695500, 'BEGIN:VTIMEZONE\r\nTZID:Pacific/Niue\r\nX-LIC-LOCATION:Pacific/Niue\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-1100\r\nTZOFFSETTO:-1100\r\nTZNAME:NUT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(407, 'Pacific/Norfolk', NULL, -290300, 1675800, 'BEGIN:VTIMEZONE\r\nTZID:Pacific/Norfolk\r\nX-LIC-LOCATION:Pacific/Norfolk\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+1130\r\nTZOFFSETTO:+1130\r\nTZNAME:NFT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(408, 'Pacific/Noumea', NULL, -221600, 1662700, 'BEGIN:VTIMEZONE\r\nTZID:Pacific/Noumea\r\nX-LIC-LOCATION:Pacific/Noumea\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+1100\r\nTZOFFSETTO:+1100\r\nTZNAME:NCT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(409, 'Pacific/Pago_Pago', NULL, -141600, -1704200, 'BEGIN:VTIMEZONE\r\nTZID:Pacific/Pago_Pago\r\nX-LIC-LOCATION:Pacific/Pago_Pago\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-1100\r\nTZOFFSETTO:-1100\r\nTZNAME:SST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(410, 'Pacific/Palau', NULL, 72000, 1342900, 'BEGIN:VTIMEZONE\r\nTZID:Pacific/Palau\r\nX-LIC-LOCATION:Pacific/Palau\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+0900\r\nTZOFFSETTO:+0900\r\nTZNAME:PWT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(411, 'Pacific/Pitcairn', NULL, -250400, -1300500, 'BEGIN:VTIMEZONE\r\nTZID:Pacific/Pitcairn\r\nX-LIC-LOCATION:Pacific/Pitcairn\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-0800\r\nTZOFFSETTO:-0800\r\nTZNAME:PST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(412, 'Pacific/Pohnpei', NULL, 65800, 1581300, 'BEGIN:VTIMEZONE\r\nTZID:Pacific/Pohnpei\r\nX-LIC-LOCATION:Pacific/Pohnpei\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+1100\r\nTZOFFSETTO:+1100\r\nTZNAME:PONT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(413, 'Pacific/Port_Moresby', NULL, -93000, 1471000, 'BEGIN:VTIMEZONE\r\nTZID:Pacific/Port_Moresby\r\nX-LIC-LOCATION:Pacific/Port_Moresby\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+1000\r\nTZOFFSETTO:+1000\r\nTZNAME:PGT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(414, 'Pacific/Rarotonga', NULL, -211400, -1594600, 'BEGIN:VTIMEZONE\r\nTZID:Pacific/Rarotonga\r\nX-LIC-LOCATION:Pacific/Rarotonga\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-1000\r\nTZOFFSETTO:-1000\r\nTZNAME:CKT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(415, 'Pacific/Saipan', NULL, 151200, 1454500, 'BEGIN:VTIMEZONE\r\nTZID:Pacific/Saipan\r\nX-LIC-LOCATION:Pacific/Saipan\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+1000\r\nTZOFFSETTO:+1000\r\nTZNAME:ChST\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(416, 'Pacific/Tahiti', NULL, -173200, -1493400, 'BEGIN:VTIMEZONE\r\nTZID:Pacific/Tahiti\r\nX-LIC-LOCATION:Pacific/Tahiti\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:-1000\r\nTZOFFSETTO:-1000\r\nTZNAME:TAHT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(417, 'Pacific/Tarawa', NULL, 12500, 1730000, 'BEGIN:VTIMEZONE\r\nTZID:Pacific/Tarawa\r\nX-LIC-LOCATION:Pacific/Tarawa\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+1200\r\nTZOFFSETTO:+1200\r\nTZNAME:GILT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(418, 'Pacific/Tongatapu', NULL, -211000, -1751000, 'BEGIN:VTIMEZONE\r\nTZID:Pacific/Tongatapu\r\nX-LIC-LOCATION:Pacific/Tongatapu\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+1300\r\nTZOFFSETTO:+1300\r\nTZNAME:TOT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(419, 'Pacific/Wake', NULL, 191700, 1663700, 'BEGIN:VTIMEZONE\r\nTZID:Pacific/Wake\r\nX-LIC-LOCATION:Pacific/Wake\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+1200\r\nTZOFFSETTO:+1200\r\nTZNAME:WAKT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(420, 'Pacific/Ponape', NULL, 65800, 1581300, 'BEGIN:VTIMEZONE\r\nTZID:Pacific/Ponape\r\nX-LIC-LOCATION:Pacific/Ponape\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+1100\r\nTZOFFSETTO:+1100\r\nTZNAME:PONT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(421, 'Pacific/Truk', NULL, 72500, 1514700, 'BEGIN:VTIMEZONE\r\nTZID:Pacific/Truk\r\nX-LIC-LOCATION:Pacific/Truk\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+1000\r\nTZOFFSETTO:+1000\r\nTZNAME:TRUT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(422, 'Pacific/Wallis', NULL, -131800, -1761000, 'BEGIN:VTIMEZONE\r\nTZID:Pacific/Wallis\r\nX-LIC-LOCATION:Pacific/Wallis\r\nBEGIN:STANDARD\r\nTZOFFSETFROM:+1200\r\nTZOFFSETTO:+1200\r\nTZNAME:WFT\r\nDTSTART:19700101T000000\r\nEND:STANDARD\r\nEND:VTIMEZONE\r\n'),
(423, 'Africa/Asmera', 5, NULL, NULL, NULL),
(424, 'Africa/Timbuktu', 6, NULL, NULL, NULL),
(425, 'America/Argentina/ComodRivadavia', 59, NULL, NULL, NULL),
(426, 'America/Louisville', 128, NULL, NULL, NULL),
(427, 'Asia/Saigon', 238, NULL, NULL, NULL),
(428, 'Asia/Katmandu', 250, NULL, NULL, NULL),
(429, 'Asia/Calcutta', 252, NULL, NULL, NULL),
(430, 'Atlantic/Faeroe', 297, NULL, NULL, NULL),
(431, 'Europe/Belfast', 338, NULL, NULL, NULL),
(432, 'Atlantic/Jan_Mayen', 347, NULL, NULL, NULL),
(433, 'Pacific/Yap', 421, NULL, NULL, NULL),
(434, 'AUS Central Standard Time', 307, NULL, NULL, NULL),
(435, 'AUS Eastern Standard Time', 314, NULL, NULL, NULL),
(436, 'Afghanistan Standard Time', 246, NULL, NULL, NULL),
(437, 'Alaskan Standard Time', 54, NULL, NULL, NULL),
(438, 'Arab Standard Time', 273, NULL, NULL, NULL),
(439, 'Arabian Standard Time', 233, NULL, NULL, NULL),
(440, 'Arabic Standard Time', 220, NULL, NULL, NULL),
(441, 'Argentina Standard Time', 58, NULL, NULL, NULL),
(442, 'Atlantic Standard Time', 113, NULL, NULL, NULL),
(443, 'Azerbaijan Standard Time', 222, NULL, NULL, NULL),
(444, 'Azores Standard Time', 293, NULL, NULL, NULL),
(445, 'Bahia Standard Time', 73, NULL, NULL, NULL),
(446, 'Bangladesh Standard Time', 231, NULL, NULL, NULL),
(447, 'Canada Central Standard Time', 172, NULL, NULL, NULL),
(448, 'Cape Verde Standard Time', 296, NULL, NULL, NULL),
(449, 'Caucasus Standard Time', 292, NULL, NULL, NULL),
(450, 'Cen. Australia Standard Time', 303, NULL, NULL, NULL),
(451, 'Central America Standard Time', 110, NULL, NULL, NULL),
(452, 'Central Asia Standard Time', 214, NULL, NULL, NULL),
(453, 'Central Brazilian Standard Time', 92, NULL, NULL, NULL),
(454, 'Central Europe Standard Time', 323, NULL, NULL, NULL),
(455, 'Central European Standard Time', 368, NULL, NULL, NULL),
(456, 'Central Pacific Standard Time', 395, NULL, NULL, NULL),
(457, 'Central Standard Time', 88, NULL, NULL, NULL),
(458, 'Central Standard Time (Mexico)', 145, NULL, NULL, NULL),
(459, 'China Standard Time', 277, NULL, NULL, NULL),
(460, 'E. Africa Standard Time', 43, NULL, NULL, NULL),
(461, 'E. Australia Standard Time', 304, NULL, NULL, NULL),
(462, 'E. Europe Standard Time', 262, NULL, NULL, NULL),
(463, 'E. South America Standard Time', 179, NULL, NULL, NULL),
(464, 'Eastern Standard Time', 153, NULL, NULL, NULL),
(465, 'Egypt Standard Time', 13, NULL, NULL, NULL),
(466, 'Ekaterinburg Standard Time', 291, NULL, NULL, NULL),
(467, 'FLE Standard Time', 335, NULL, NULL, NULL),
(468, 'Fiji Standard Time', 391, NULL, NULL, NULL),
(469, 'GMT Standard Time', 338, NULL, NULL, NULL),
(470, 'GTB Standard Time', 322, NULL, NULL, NULL),
(471, 'Georgian Standard Time', 281, NULL, NULL, NULL),
(472, 'Greenland Standard Time', 105, NULL, NULL, NULL),
(473, 'Greenwich Standard Time', 299, NULL, NULL, NULL),
(474, 'Hawaiian Standard Time', 397, NULL, NULL, NULL),
(475, 'India Standard Time', 252, NULL, NULL, NULL),
(476, 'Iran Standard Time', 282, NULL, NULL, NULL),
(477, 'Israel Standard Time', 245, NULL, NULL, NULL),
(478, 'Jordan Standard Time', 215, NULL, NULL, NULL),
(479, 'Kaliningrad Standard Time', 334, NULL, NULL, NULL),
(480, 'Korea Standard Time', 276, NULL, NULL, NULL),
(481, 'Magadan Standard Time', 258, NULL, NULL, NULL),
(482, 'Mauritius Standard Time', 380, NULL, NULL, NULL),
(483, 'Middle East Standard Time', 224, NULL, NULL, NULL),
(484, 'Montevideo Standard Time', 149, NULL, NULL, NULL),
(485, 'Morocco Standard Time', 14, NULL, NULL, NULL),
(486, 'Mountain Standard Time', 97, NULL, NULL, NULL),
(487, 'Mountain Standard Time (Mexico)', 89, NULL, NULL, NULL),
(488, 'Myanmar Standard Time', 272, NULL, NULL, NULL),
(489, 'N. Central Asia Standard Time', 264, NULL, NULL, NULL),
(490, 'Namibia Standard Time', 52, NULL, NULL, NULL),
(491, 'Nepal Standard Time', 250, NULL, NULL, NULL),
(492, 'New Zealand Standard Time', 384, NULL, NULL, NULL),
(493, 'Newfoundland Standard Time', 184, NULL, NULL, NULL),
(494, 'North Asia East Standard Time', 241, NULL, NULL, NULL),
(495, 'North Asia Standard Time', 253, NULL, NULL, NULL),
(496, 'Pacific SA Standard Time', 177, NULL, NULL, NULL),
(497, 'Pacific Standard Time', 133, NULL, NULL, NULL),
(498, 'Pacific Standard Time (Mexico)', 175, NULL, NULL, NULL),
(499, 'Pakistan Standard Time', 248, NULL, NULL, NULL),
(500, 'Paraguay Standard Time', 71, NULL, NULL, NULL),
(501, 'Romance Standard Time', 348, NULL, NULL, NULL),
(502, 'Russian Standard Time', 345, NULL, NULL, NULL),
(503, 'SA Eastern Standard Time', 86, NULL, NULL, NULL),
(504, 'SA Pacific Standard Time', 80, NULL, NULL, NULL),
(505, 'SA Western Standard Time', 131, NULL, NULL, NULL),
(506, 'SE Asia Standard Time', 223, NULL, NULL, NULL),
(507, 'Samoa Standard Time', 383, NULL, NULL, NULL),
(508, 'Singapore Standard Time', 278, NULL, NULL, NULL),
(509, 'South Africa Standard Time', 25, NULL, NULL, NULL),
(510, 'Sri Lanka Standard Time', 229, NULL, NULL, NULL),
(511, 'Syria Standard Time', 230, NULL, NULL, NULL),
(512, 'Taipei Standard Time', 279, NULL, NULL, NULL),
(513, 'Tasmania Standard Time', 309, NULL, NULL, NULL),
(514, 'Tokyo Standard Time', 284, NULL, NULL, NULL),
(515, 'Tonga Standard Time', 418, NULL, NULL, NULL),
(516, 'Turkey Standard Time', 332, NULL, NULL, NULL),
(517, 'US Mountain Standard Time', 164, NULL, NULL, NULL),
(518, 'Ulaanbaatar Standard Time', 285, NULL, NULL, NULL),
(519, 'Venezuela Standard Time', 85, NULL, NULL, NULL),
(520, 'Vladivostok Standard Time', 289, NULL, NULL, NULL),
(521, 'W. Australia Standard Time', 313, NULL, NULL, NULL),
(522, 'W. Central Africa Standard Time', 31, NULL, NULL, NULL),
(523, 'W. Europe Standard Time', 319, NULL, NULL, NULL),
(524, 'West Asia Standard Time', 280, NULL, NULL, NULL),
(525, 'West Pacific Standard Time', 413, NULL, NULL, NULL),
(526, 'Yakutsk Standard Time', 290, NULL, NULL, NULL),
(527, 'Universal Coordinated Time', -1, NULL, NULL, NULL),
(528, 'Casablanca, Monrovia', 14, NULL, NULL, NULL),
(529, 'Greenwich Mean Time: Dublin, Edinburgh, Lisbon, London', 336, NULL, NULL, NULL),
(530, 'Greenwich Mean Time; Dublin, Edinburgh, London', 338, NULL, NULL, NULL),
(531, 'Amsterdam, Berlin, Bern, Rome, Stockholm, Vienna', 319, NULL, NULL, NULL),
(532, 'Belgrade, Pozsony, Budapest, Ljubljana, Prague', 350, NULL, NULL, NULL),
(533, 'Brussels, Copenhagen, Madrid, Paris', 348, NULL, NULL, NULL),
(534, 'Paris, Madrid, Brussels, Copenhagen', 348, NULL, NULL, NULL),
(535, 'Prague, Central Europe', 350, NULL, NULL, NULL),
(536, 'Sarajevo, Skopje, Sofija, Vilnius, Warsaw, Zagreb', 355, NULL, NULL, NULL),
(537, 'West Central Africa', 34, NULL, NULL, NULL),
(538, 'Athens, Istanbul, Minsk', 317, NULL, NULL, NULL),
(539, 'Bucharest', 322, NULL, NULL, NULL),
(540, 'Cairo', 13, NULL, NULL, NULL),
(541, 'Harare, Pretoria', 24, NULL, NULL, NULL),
(542, 'Helsinki, Riga, Tallinn', 330, NULL, NULL, NULL),
(543, 'Israel, Jerusalem Standard Time', 245, NULL, NULL, NULL),
(544, 'Baghdad', 220, NULL, NULL, NULL),
(545, 'Arab, Kuwait, Riyadh', 256, NULL, NULL, NULL),
(546, 'Moscow, St. Petersburg, Volgograd', 345, NULL, NULL, NULL),
(547, 'East Africa, Nairobi', 43, NULL, NULL, NULL),
(548, 'Tehran', 282, NULL, NULL, NULL),
(549, 'Abu Dhabi, Muscat', 261, NULL, NULL, NULL),
(550, 'Baku, Tbilisi, Yerevan', 222, NULL, NULL, NULL),
(551, 'Kabul', 246, NULL, NULL, NULL),
(552, 'Ekaterinburg', 291, NULL, NULL, NULL),
(553, 'Islamabad, Karachi, Tashkent', 248, NULL, NULL, NULL),
(554, 'Kolkata, Chennai, Mumbai, New Delhi, India Standard Time', 429, NULL, NULL, NULL),
(555, 'Kathmandu, Nepal', 250, NULL, NULL, NULL),
(556, 'Almaty, Novosibirsk, North Central Asia', 214, NULL, NULL, NULL),
(557, 'Astana, Dhaka', 231, NULL, NULL, NULL),
(558, 'Sri Jayawardenepura, Sri Lanka', 229, NULL, NULL, NULL),
(559, 'Rangoon', 272, NULL, NULL, NULL),
(560, 'Bangkok, Hanoi, Jakarta', 223, NULL, NULL, NULL),
(561, 'Krasnoyarsk', 253, NULL, NULL, NULL),
(562, 'Beijing, Chongqing, Hong Kong SAR, Urumqi', 277, NULL, NULL, NULL),
(563, 'Irkutsk, Ulaan Bataar', 241, NULL, NULL, NULL),
(564, 'Kuala Lumpur, Singapore', 278, NULL, NULL, NULL),
(565, 'Perth, Western Australia', 313, NULL, NULL, NULL),
(566, 'Taipei', 279, NULL, NULL, NULL),
(567, 'Osaka, Sapporo, Tokyo', 284, NULL, NULL, NULL),
(568, 'Seoul, Korea Standard time', 276, NULL, NULL, NULL),
(569, 'Yakutsk', 290, NULL, NULL, NULL),
(570, 'Adelaide, Central Australia', 303, NULL, NULL, NULL),
(571, 'Darwin', 307, NULL, NULL, NULL),
(572, 'Brisbane, East Australia', 304, NULL, NULL, NULL),
(573, 'Canberra, Melbourne, Sydney, Hobart (year 2000 only)', 314, NULL, NULL, NULL),
(574, 'Guam, Port Moresby', 396, NULL, NULL, NULL),
(575, 'Hobart, Tasmania', 309, NULL, NULL, NULL),
(576, 'Vladivostok', 289, NULL, NULL, NULL),
(577, 'Magadan, Solomon Is., New Caledonia', 258, NULL, NULL, NULL),
(578, 'Auckland, Wellington', 384, NULL, NULL, NULL),
(579, 'Fiji Islands, Kamchatka, Marshall Is.', 391, NULL, NULL, NULL),
(580, 'Nuku''alofa, Tonga', 418, NULL, NULL, NULL),
(581, 'Azores', 293, NULL, NULL, NULL),
(582, 'Cape Verde Is.', 296, NULL, NULL, NULL),
(583, 'Mid-Atlantic', 156, NULL, NULL, NULL),
(584, 'Brasilia', 179, NULL, NULL, NULL),
(585, 'Buenos Aires', 58, NULL, NULL, NULL),
(586, 'Greenland', 105, NULL, NULL, NULL),
(587, 'Newfoundland', 184, NULL, NULL, NULL),
(588, 'Atlantic Time (Canada)', 113, NULL, NULL, NULL),
(589, 'Caracas, La Paz', 85, NULL, NULL, NULL),
(590, 'Santiago', 177, NULL, NULL, NULL),
(591, 'Bogota, Lima, Quito', 80, NULL, NULL, NULL),
(592, 'Eastern Time (US & Canada)', 153, NULL, NULL, NULL),
(593, 'Indiana (East)', 116, NULL, NULL, NULL),
(594, 'Central America', 110, NULL, NULL, NULL),
(595, 'Central Time (US & Canada)', 88, NULL, NULL, NULL),
(596, 'Mexico City, Tegucigalpa', 145, NULL, NULL, NULL),
(597, 'Saskatchewan', 100, NULL, NULL, NULL),
(598, 'Arizona', 164, NULL, NULL, NULL),
(599, 'Mountain Time (US & Canada)', 97, NULL, NULL, NULL),
(600, 'Pacific Time (US & Canada); Tijuana', 133, NULL, NULL, NULL),
(601, 'Alaska', 54, NULL, NULL, NULL),
(602, 'Hawaii', 397, NULL, NULL, NULL),
(603, 'Midway Island, Samoa', 404, NULL, NULL, NULL),
(604, 'Eniwetok, Kwajalein, Dateline Time', 401, NULL, NULL, NULL),
(605, 'Armenian Standard Time', 292, NULL, NULL, NULL),
(606, 'Mexico Standard Time', 145, NULL, NULL, NULL),
(607, 'Mexico Standard Time 2', 89, NULL, NULL, NULL),
(608, 'Mid-Atlantic Standard Time', 300, NULL, NULL, NULL);

CREATE TABLE IF NOT EXISTS `egw_cal_user` (
  `cal_id` int(11) NOT NULL,
  `cal_recur_date` bigint(20) NOT NULL default '0',
  `cal_user_type` varchar(1) NOT NULL default 'u',
  `cal_user_id` varchar(128) NOT NULL,
  `cal_status` varchar(1) default 'A',
  `cal_quantity` int(11) default '1',
  `cal_role` varchar(64) default 'REQ-PARTICIPANT',
  `cal_user_modified` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (`cal_id`,`cal_recur_date`,`cal_user_type`,`cal_user_id`),
  KEY `egw_cal_user_type_id` (`cal_user_type`,`cal_user_id`),
  KEY `egw_cal_user_modified` (`cal_user_modified`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `egw_cat2entry` (
  `ce_app` varchar(25) NOT NULL,
  `ce_app_id` varchar(50) NOT NULL,
  `cat_id` int(11) NOT NULL,
  `ce_owner` int(11) NOT NULL,
  PRIMARY KEY  (`ce_app`,`ce_app_id`,`cat_id`),
  KEY `egw_cat2entry_id` (`cat_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `egw_categories` (
  `cat_id` int(11) NOT NULL auto_increment,
  `cat_main` int(11) NOT NULL default '0',
  `cat_parent` int(11) NOT NULL default '0',
  `cat_level` smallint(6) NOT NULL default '0',
  `cat_owner` varchar(255) NOT NULL default '0',
  `cat_access` varchar(7) default NULL,
  `cat_appname` varchar(50) NOT NULL default '',
  `cat_name` varchar(150) NOT NULL default '',
  `cat_description` varchar(255) NOT NULL default '',
  `cat_data` text,
  `last_mod` bigint(20) NOT NULL default '0',
  PRIMARY KEY  (`cat_id`),
  KEY `egw_categories_appname_owner_parent_level` (`cat_appname`,`cat_owner`,`cat_parent`,`cat_level`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

INSERT INTO `egw_categories` (`cat_id`, `cat_main`, `cat_parent`, `cat_level`, `cat_owner`, `cat_access`, `cat_appname`, `cat_name`, `cat_description`, `cat_data`, `last_mod`) VALUES
(1, 0, 0, 0, '-1', 'public', 'resources', 'Locations', 'This category has been added by setup', NULL, 1386120357);

CREATE TABLE IF NOT EXISTS `egw_config` (
  `config_app` varchar(50) NOT NULL default '',
  `config_name` varchar(255) NOT NULL default '',
  `config_value` text,
  PRIMARY KEY  (`config_app`,`config_name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `egw_config` (`config_app`, `config_name`, `config_value`) VALUES
('phpgwapi', 'site_title', 'eGroupWare'),
('phpgwapi', 'hostname', 'yourdomain.com'),
('phpgwapi', 'webserver_url', '/egroupware'),
('phpgwapi', 'temp_dir', '/usr/share/egroupware_tmp'),
('phpgwapi', 'files_dir', '/var/lib/egroupware/default/files'),
('phpgwapi', 'backup_dir', '/var/lib/egroupware/default/backup'),
('phpgwapi', 'tz_offset', '-5'),
('phpgwapi', 'usecookies', 'True'),
('phpgwapi', 'system_charset', 'utf-8'),
('phpgwapi', 'sessions_checkip', 'True'),
('phpgwapi', 'image_type', '1'),
('phpgwapi', 'asyncservice', 'fallback'),
('bookmarks', 'mail_footer', '\\n\\n--\\nThis was sent from eGroupWare\\nhttp://www.egroupware.org\\n'),
('registration', 'display_tos', 'True'),
('registration', 'activate_account', 'email'),
('registration', 'username_is', 'choice'),
('registration', 'password_is', 'choice'),
('registration', 'use_challenge', 'True'),
('phpgwapi', 'auto_load_holidays', 'True'),
('phpgwapi', 'holidays_url_path', 'localhost'),
('phpgwapi', 'max_access_log_age', '90'),
('phpgwapi', 'block_time', '30'),
('phpgwapi', 'num_unsuccessful_id', '3'),
('phpgwapi', 'num_unsuccessful_ip', '3'),
('phpgwapi', 'install_id', 'c2894ebdf072631bc49bb34e5da3bb4a'),
('phpgwapi', 'sessions_timeout', '14400'),
('phpgwapi', 'sessions_app_timeout', '86400'),
('phpgwapi', 'lang_ctimes', 'a:6:{s:2:"en";a:30:{s:11:"addressbook";i:1386112266;s:5:"admin";i:1386112267;s:9:"bookmarks";i:1386112332;s:8:"calendar";i:1386112308;s:15:"developer_tools";i:1386112330;s:10:"emailadmin";i:1386112290;s:9:"etemplate";i:1386112268;s:10:"felamimail";i:1386112296;s:11:"filemanager";i:1386112298;s:4:"home";i:1386112269;s:12:"importexport";i:1386112338;s:7:"infolog";i:1386112305;s:6:"manual";i:1386112294;s:10:"news_admin";i:1386112329;s:13:"notifications";i:1386112306;s:8:"phpbrain";i:1386112328;s:11:"phpfreechat";i:1386112339;s:8:"phpgwapi";i:1386112280;s:10:"phpsysinfo";i:1386112322;s:5:"polls";i:1386112331;s:11:"preferences";i:1386112284;s:14:"projectmanager";i:1386112364;s:12:"registration";i:1386112335;s:9:"resources";i:1386112303;s:10:"sambaadmin";i:1386112336;s:7:"sitemgr";i:1386112313;s:6:"syncml";i:1386112301;s:9:"timesheet";i:1386112320;s:7:"tracker";i:1386112326;s:4:"wiki";i:1386112292;}s:5:"es-es";a:30:{s:11:"addressbook";i:1386112266;s:5:"admin";i:1386112267;s:9:"bookmarks";i:1386112332;s:8:"calendar";i:1386112308;s:15:"developer_tools";i:1386112330;s:10:"emailadmin";i:1386112290;s:9:"etemplate";i:1386112268;s:10:"felamimail";i:1386112296;s:11:"filemanager";i:1386112298;s:4:"home";i:1386112269;s:12:"importexport";i:1386112338;s:7:"infolog";i:1386112305;s:6:"manual";i:1386112294;s:10:"news_admin";i:1386112329;s:13:"notifications";i:1386112306;s:8:"phpbrain";i:1386112328;s:11:"phpfreechat";i:1386112339;s:8:"phpgwapi";i:1386112280;s:10:"phpsysinfo";i:1386112322;s:5:"polls";i:1386112331;s:11:"preferences";i:1386112284;s:14:"projectmanager";i:1386112364;s:12:"registration";i:1386112335;s:9:"resources";i:1386112303;s:10:"sambaadmin";i:1386112336;s:7:"sitemgr";i:1386112313;s:6:"syncml";i:1386112301;s:9:"timesheet";i:1386112320;s:7:"tracker";i:1386112326;s:4:"wiki";i:1386112292;}s:2:"fr";a:30:{s:11:"addressbook";i:1386112266;s:5:"admin";i:1386112267;s:9:"bookmarks";i:1386112333;s:8:"calendar";i:1386112308;s:15:"developer_tools";i:1386112330;s:10:"emailadmin";i:1386112290;s:9:"etemplate";i:1386112268;s:10:"felamimail";i:1386112296;s:11:"filemanager";i:1386112298;s:4:"home";i:1386112269;s:12:"importexport";i:1386112338;s:7:"infolog";i:1386112305;s:6:"manual";i:1386112294;s:10:"news_admin";i:1386112329;s:13:"notifications";i:1386112306;s:8:"phpbrain";i:1386112328;s:11:"phpfreechat";i:1386112339;s:8:"phpgwapi";i:1386112280;s:10:"phpsysinfo";i:1386112322;s:5:"polls";i:1386112331;s:11:"preferences";i:1386112284;s:14:"projectmanager";i:1386112365;s:12:"registration";i:1386112335;s:9:"resources";i:1386112303;s:10:"sambaadmin";i:1386112336;s:7:"sitemgr";i:1386112313;s:6:"syncml";i:1386112301;s:9:"timesheet";i:1386112320;s:7:"tracker";i:1386112326;s:4:"wiki";i:1386112293;}s:2:"de";a:30:{s:11:"addressbook";i:1386112266;s:5:"admin";i:1386112267;s:9:"bookmarks";i:1386112332;s:8:"calendar";i:1386112308;s:15:"developer_tools";i:1386112330;s:10:"emailadmin";i:1386112290;s:9:"etemplate";i:1386112268;s:10:"felamimail";i:1386112296;s:11:"filemanager";i:1386112298;s:4:"home";i:1386112269;s:12:"importexport";i:1386112338;s:7:"infolog";i:1386112305;s:6:"manual";i:1386112294;s:10:"news_admin";i:1386112329;s:13:"notifications";i:1386112306;s:8:"phpbrain";i:1386112328;s:11:"phpfreechat";i:1386112339;s:8:"phpgwapi";i:1386112280;s:10:"phpsysinfo";i:1386112322;s:5:"polls";i:1386112331;s:11:"preferences";i:1386112284;s:14:"projectmanager";i:1386112364;s:12:"registration";i:1386112335;s:9:"resources";i:1386112303;s:10:"sambaadmin";i:1386112336;s:7:"sitemgr";i:1386112313;s:6:"syncml";i:1386112301;s:9:"timesheet";i:1386112320;s:7:"tracker";i:1386112326;s:4:"wiki";i:1386112292;}s:2:"it";a:28:{s:11:"addressbook";i:1386112266;s:5:"admin";i:1386112267;s:9:"bookmarks";i:1386112333;s:8:"calendar";i:1386112308;s:15:"developer_tools";i:1386112330;s:10:"emailadmin";i:1386112290;s:9:"etemplate";i:1386112268;s:10:"felamimail";i:1386112296;s:11:"filemanager";i:1386112298;s:4:"home";i:1386112269;s:12:"importexport";i:1386112338;s:7:"infolog";i:1386112305;s:6:"manual";i:1386112294;s:10:"news_admin";i:1386112329;s:13:"notifications";i:1386112306;s:8:"phpbrain";i:1386112328;s:8:"phpgwapi";i:1386112280;s:5:"polls";i:1386112331;s:11:"preferences";i:1386112284;s:14:"projectmanager";i:1386112365;s:12:"registration";i:1386112335;s:9:"resources";i:1386112303;s:10:"sambaadmin";i:1386112336;s:7:"sitemgr";i:1386112313;s:6:"syncml";i:1386112302;s:9:"timesheet";i:1386112320;s:7:"tracker";i:1386112326;s:4:"wiki";i:1386112293;}s:2:"sv";a:29:{s:11:"addressbook";i:1386112266;s:5:"admin";i:1386112267;s:9:"bookmarks";i:1386112333;s:8:"calendar";i:1386112309;s:15:"developer_tools";i:1386112330;s:10:"emailadmin";i:1386112291;s:9:"etemplate";i:1386112268;s:10:"felamimail";i:1386112296;s:11:"filemanager";i:1386112298;s:4:"home";i:1386112269;s:12:"importexport";i:1386112338;s:7:"infolog";i:1386112305;s:6:"manual";i:1386112295;s:10:"news_admin";i:1386112329;s:13:"notifications";i:1386112306;s:8:"phpbrain";i:1386112328;s:8:"phpgwapi";i:1386112281;s:10:"phpsysinfo";i:1386112322;s:5:"polls";i:1386112331;s:11:"preferences";i:1386112284;s:14:"projectmanager";i:1386112365;s:12:"registration";i:1386112335;s:9:"resources";i:1386112303;s:10:"sambaadmin";i:1386112337;s:7:"sitemgr";i:1386112313;s:6:"syncml";i:1386112302;s:9:"timesheet";i:1386112320;s:7:"tracker";i:1386112326;s:4:"wiki";i:1386112293;}}'),
('phpgwapi', 'default_ftp_server', 'localhost'),
('phpgwapi', 'mail_server', 'localhost'),
('phpgwapi', 'mail_server_type', 'imap'),
('phpgwapi', 'mail_login_type', 'standard'),
('phpgwapi', 'mail_suffix', 'yourdomain.com'),
('phpgwapi', 'smtp_server', 'localhost'),
('phpgwapi', 'smtp_port', '25'),
('phpgwapi', 'auth_type', 'mail'),
('phpgwapi', 'account_repository', 'sql'),
('phpgwapi', 'sql_encryption_type', 'md5'),
('phpgwapi', 'auto_create_acct', 'lowercase'),
('phpgwapi', 'auto_create_expire', 'never'),
('phpgwapi', 'acl_default', 'deny'),
('phpgwapi', 'ldap_encryption_type', 'des'),
('phpgwapi', 'mcrypt_algo', 'tripledes'),
('phpgwapi', 'mcrypt_mode', 'cbc'),
('phpgwapi', 'file_repository', 'sql'),
('phpgwapi', 'file_store_contents', 'filesystem'),
('phpgwapi', 'xmlrpc_enabled', 'True'),
('addressbook', 'customfields', 'a:0:{}'),
('addressbook', 'types', 'a:1:{s:1:"n";a:2:{s:4:"name";s:7:"contact";s:7:"options";a:2:{s:8:"template";s:16:"addressbook.edit";s:4:"icon";s:10:"navbar.png";}}}'),
('phpgwapi', 'server_timezone', 'America/Montreal'),
('phpgwapi', 'max_history', '20'),
('phpgwapi', 'vfs_storage_mode', 'fs'),
('phpgwapi', 'aspell_path', '/usr/bin/aspell'),
('phpgwapi', 'cas_authentication_mode', 'Client'),
('phpgwapi', 'cas_ssl_validation', 'No'),
('phpgwapi', 'tz_version', '1.2013c'),
('phpgwapi', 'tz_aliases_mtime', '2013-10-07 03:39:17'),
('resources', 'location_cats', '1');

CREATE TABLE IF NOT EXISTS `egw_contentmap` (
  `map_id` varchar(128) NOT NULL default '',
  `map_guid` varchar(100) NOT NULL default '',
  `map_locuid` varchar(100) NOT NULL default '',
  `map_timestamp` datetime NOT NULL default '0000-00-00 00:00:00',
  `map_expired` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`map_id`,`map_guid`,`map_locuid`),
  KEY `egw_contentmap_map_expired` (`map_expired`),
  KEY `egw_contentmap_map_id_map_locuid` (`map_id`,`map_locuid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `egw_emailadmin` (
  `ea_profile_id` int(11) NOT NULL auto_increment,
  `ea_smtp_server` varchar(80) default NULL,
  `ea_smtp_type` varchar(56) default NULL,
  `ea_smtp_port` int(11) default NULL,
  `ea_smtp_auth` varchar(3) default NULL,
  `ea_editforwardingaddress` varchar(3) default NULL,
  `ea_smtp_ldap_server` varchar(80) default NULL,
  `ea_smtp_ldap_basedn` varchar(200) default NULL,
  `ea_smtp_ldap_admindn` varchar(200) default NULL,
  `ea_smtp_ldap_adminpw` varchar(30) default NULL,
  `ea_smtp_ldap_use_default` varchar(3) default NULL,
  `ea_imap_server` varchar(80) default NULL,
  `ea_imap_type` varchar(56) default NULL,
  `ea_imap_port` int(11) default NULL,
  `ea_imap_login_type` varchar(20) default NULL,
  `ea_imap_tsl_auth` varchar(3) default NULL,
  `ea_imap_tsl_encryption` varchar(3) default NULL,
  `ea_imap_enable_cyrus` varchar(3) default NULL,
  `ea_imap_admin_user` varchar(40) default NULL,
  `ea_imap_admin_pw` varchar(40) default NULL,
  `ea_imap_enable_sieve` varchar(3) default NULL,
  `ea_imap_sieve_server` varchar(80) default NULL,
  `ea_imap_sieve_port` int(11) default NULL,
  `ea_description` varchar(200) default NULL,
  `ea_default_domain` varchar(100) default NULL,
  `ea_organisation_name` varchar(100) default NULL,
  `ea_user_defined_identities` varchar(3) default NULL,
  `ea_user_defined_accounts` varchar(3) default NULL,
  `ea_order` int(11) default NULL,
  `ea_appname` varchar(80) default NULL,
  `ea_group` varchar(80) default NULL,
  `ea_user` varchar(80) default NULL,
  `ea_active` int(11) default NULL,
  `ea_smtp_auth_username` varchar(128) default NULL,
  `ea_smtp_auth_password` varchar(80) default NULL,
  `ea_user_defined_signatures` varchar(3) default NULL,
  `ea_default_signature` text,
  `ea_imap_auth_username` varchar(80) default NULL,
  `ea_imap_auth_password` varchar(80) default NULL,
  `ea_stationery_active_templates` text,
  PRIMARY KEY  (`ea_profile_id`),
  KEY `egw_emailadmin_ea_appname` (`ea_appname`),
  KEY `egw_emailadmin_ea_group` (`ea_group`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

INSERT INTO `egw_emailadmin` (`ea_profile_id`, `ea_smtp_server`, `ea_smtp_type`, `ea_smtp_port`, `ea_smtp_auth`, `ea_editforwardingaddress`, `ea_smtp_ldap_server`, `ea_smtp_ldap_basedn`, `ea_smtp_ldap_admindn`, `ea_smtp_ldap_adminpw`, `ea_smtp_ldap_use_default`, `ea_imap_server`, `ea_imap_type`, `ea_imap_port`, `ea_imap_login_type`, `ea_imap_tsl_auth`, `ea_imap_tsl_encryption`, `ea_imap_enable_cyrus`, `ea_imap_admin_user`, `ea_imap_admin_pw`, `ea_imap_enable_sieve`, `ea_imap_sieve_server`, `ea_imap_sieve_port`, `ea_description`, `ea_default_domain`, `ea_organisation_name`, `ea_user_defined_identities`, `ea_user_defined_accounts`, `ea_order`, `ea_appname`, `ea_group`, `ea_user`, `ea_active`, `ea_smtp_auth_username`, `ea_smtp_auth_password`, `ea_user_defined_signatures`, `ea_default_signature`, `ea_imap_auth_username`, `ea_imap_auth_password`, `ea_stationery_active_templates`) VALUES
(1, 'localhost', 'defaultsmtp', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'localhost', 'defaultimap', 143, 'standard', NULL, '0', NULL, NULL, NULL, NULL, NULL, NULL, 'default profile (created by setup)', 'yourdomain.com', NULL, NULL, NULL, NULL, '', '0', '0', 1, '', '', NULL, NULL, NULL, NULL, NULL);

CREATE TABLE IF NOT EXISTS `egw_etemplate` (
  `et_name` varchar(80) NOT NULL default '',
  `et_template` varchar(20) NOT NULL default '',
  `et_lang` varchar(5) NOT NULL default '',
  `et_group` int(11) NOT NULL default '0',
  `et_version` varchar(20) NOT NULL default '',
  `et_data` longtext,
  `et_size` varchar(128) default NULL,
  `et_style` text,
  `et_modified` int(11) NOT NULL default '0',
  PRIMARY KEY  (`et_name`,`et_template`,`et_lang`,`et_group`,`et_version`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `egw_felamimail_accounts` (
  `fm_owner` int(11) NOT NULL default '0',
  `fm_id` int(11) NOT NULL auto_increment,
  `fm_realname` varchar(128) default NULL,
  `fm_organization` varchar(128) default NULL,
  `fm_emailaddress` varchar(128) NOT NULL default '',
  `fm_ic_hostname` varchar(128) default NULL,
  `fm_ic_port` int(11) default NULL,
  `fm_ic_username` varchar(128) default NULL,
  `fm_ic_password` varchar(128) default NULL,
  `fm_ic_encryption` int(11) default NULL,
  `fm_og_hostname` varchar(128) default NULL,
  `fm_og_port` int(11) default NULL,
  `fm_og_smtpauth` tinyint(4) default NULL,
  `fm_og_username` varchar(128) default NULL,
  `fm_og_password` varchar(128) default NULL,
  `fm_active` tinyint(4) NOT NULL default '0',
  `fm_ic_validatecertificate` tinyint(4) default NULL,
  `fm_ic_enable_sieve` tinyint(4) default NULL,
  `fm_ic_sieve_server` varchar(128) default NULL,
  `fm_ic_sieve_port` int(11) default NULL,
  `fm_signatureid` int(11) default NULL,
  `fm_ic_folderstoshowinhome` text,
  `fm_ic_sentfolder` varchar(128) default NULL,
  `fm_ic_trashfolder` varchar(128) default NULL,
  `fm_ic_draftfolder` varchar(128) default NULL,
  `fm_ic_templatefolder` varchar(128) default NULL,
  PRIMARY KEY  (`fm_id`),
  KEY `egw_felamimail_accounts_fm_owner` (`fm_owner`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `egw_felamimail_displayfilter` (
  `fmail_filter_accountid` int(11) NOT NULL,
  `fmail_filter_data` text,
  PRIMARY KEY  (`fmail_filter_accountid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `egw_felamimail_signatures` (
  `fm_signatureid` int(11) NOT NULL auto_increment,
  `fm_accountid` int(11) default NULL,
  `fm_signature` text,
  `fm_description` varchar(255) default NULL,
  `fm_defaultsignature` tinyint(4) default NULL,
  PRIMARY KEY  (`fm_signatureid`),
  UNIQUE KEY `egw_felamimail_signatures_fm_signatureid_fm_accountid` (`fm_signatureid`,`fm_accountid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `egw_history_log` (
  `history_id` int(11) NOT NULL auto_increment,
  `history_record_id` int(11) NOT NULL default '0',
  `history_appname` varchar(64) NOT NULL default '',
  `history_owner` int(11) NOT NULL default '0',
  `history_status` varchar(64) NOT NULL,
  `history_new_value` text,
  `history_timestamp` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `history_old_value` text,
  PRIMARY KEY  (`history_id`),
  KEY `egw_history_log_appname_record_id_status_timestamp` (`history_appname`,`history_record_id`,`history_status`,`history_timestamp`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `egw_hooks` (
  `hook_id` int(11) NOT NULL auto_increment,
  `hook_appname` varchar(255) default NULL,
  `hook_location` varchar(255) default NULL,
  `hook_filename` varchar(255) default NULL,
  PRIMARY KEY  (`hook_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=333 ;

INSERT INTO `egw_hooks` (`hook_id`, `hook_appname`, `hook_location`, `hook_filename`) VALUES
(169, 'phpgwapi', 'editaccount', 'phpgwapi.vfs_home_hooks.editAccount'),
(168, 'phpgwapi', 'deleteaccount', 'phpgwapi.vfs_home_hooks.deleteAccount'),
(180, 'admin', 'group_manager', 'admin.uiaccounts.edit_group_hook'),
(179, 'admin', 'edit_user', 'admin.uiaccounts.edit_view_user_hook'),
(178, 'admin', 'view_user', 'admin.uiaccounts.edit_view_user_hook'),
(177, 'admin', 'deleteaccount', 'hook_deleteaccount.inc.php'),
(176, 'admin', 'config', 'hook_config.inc.php'),
(175, 'admin', 'after_navbar', 'hook_after_navbar.inc.php'),
(187, 'preferences', 'preferences', 'preferences_hooks::preferences'),
(186, 'preferences', 'deletegroup', 'preferences_hooks::deleteaccount'),
(185, 'preferences', 'deleteaccount', 'preferences_hooks::deleteaccount'),
(231, 'home', 'showUpdates', 'home.updates.showUpdates'),
(230, 'home', 'hasUpdates', 'home.updates.hasUpdates'),
(331, 'groupdav', 'preferences', 'groupdav_hooks::menus'),
(205, 'bookmarks', 'sidebox_menu', 'hook_sidebox_menu.inc.php'),
(204, 'bookmarks', 'preferences', 'hook_preferences.inc.php'),
(203, 'bookmarks', 'admin', 'hook_admin.inc.php'),
(216, 'emailadmin', 'admin', 'emailadmin_hooks::admin'),
(190, 'etemplate', 'sidebox_menu', 'hook_sidebox_menu.inc.php'),
(227, 'filemanager', 'settings', 'filemanager_hooks::settings'),
(226, 'filemanager', 'preferences', 'filemanager_hooks::preferences'),
(332, 'groupdav', 'settings', 'groupdav_hooks::settings'),
(254, 'news_admin', 'preferences', 'news_admin.news_admin_hooks.preferences'),
(253, 'news_admin', 'settings', 'news_admin.news_admin_hooks.settings'),
(252, 'news_admin', 'sidebox_menu', 'news_admin.news_admin_hooks.sidebox_menu'),
(251, 'news_admin', 'admin', 'news_admin.news_admin_hooks.admin'),
(266, 'phpbrain', 'preferences', 'hook_preferences.inc.php'),
(265, 'phpbrain', 'config_validate', 'hook_config_validate.inc.php'),
(264, 'phpbrain', 'config', 'hook_config.inc.php'),
(263, 'phpbrain', 'add_def_pref', 'hook_add_def_pref.inc.php'),
(262, 'phpbrain', 'admin', 'hook_admin.inc.php'),
(261, 'phpbrain', 'about', 'hook_about.inc.php'),
(54, 'phpsysinfo', 'admin', 'hook_admin.inc.php'),
(272, 'polls', 'sidebox_menu', 'hook_sidebox_menu.inc.php'),
(271, 'polls', 'admin', 'hook_admin.inc.php'),
(278, 'registration', 'admin', 'registration.uireg.all_hooks'),
(290, 'sambaadmin', 'editaccount', 'sambaadmin.bosambaadmin.updateAccount'),
(289, 'sambaadmin', 'addaccount', 'sambaadmin.bosambaadmin.updateAccount'),
(288, 'sambaadmin', 'changepassword', 'hook_changepassword.inc.php'),
(287, 'sambaadmin', 'admin', 'hook_admin.inc.php'),
(286, 'sambaadmin', 'edit_user', 'hook_edit_user.inc.php'),
(198, 'addressbook', 'search_link', 'addressbook_hooks::search_link'),
(197, 'addressbook', 'delete_category', 'addressbook.addressbook_bo.delete_category'),
(196, 'addressbook', 'deleteaccount', 'addressbook.addressbook_bo.deleteaccount'),
(195, 'addressbook', 'home', 'hook_home.inc.php'),
(194, 'addressbook', 'settings', 'addressbook_hooks::settings'),
(193, 'addressbook', 'sidebox_menu', 'addressbook_hooks::all_hooks'),
(192, 'addressbook', 'preferences', 'addressbook_hooks::all_hooks'),
(191, 'addressbook', 'admin', 'addressbook_hooks::all_hooks'),
(210, 'calendar', 'settings', 'calendar_hooks::settings'),
(209, 'calendar', 'preferences', 'calendar_hooks::preferences'),
(208, 'calendar', 'home', 'calendar_hooks::home'),
(207, 'calendar', 'deleteaccount', 'calendar.calendar_so.deleteaccount'),
(206, 'calendar', 'admin', 'calendar_hooks::admin'),
(319, 'felamimail', 'editaccount', 'felamimail.bofelamimail.updateAccount'),
(318, 'felamimail', 'deleteaccount', 'felamimail.bofelamimail.deleteAccount'),
(317, 'felamimail', 'addaccount', 'felamimail.bofelamimail.addAccount'),
(316, 'felamimail', 'sidebox_menu', 'felamimail_hooks::sidebox_menu'),
(315, 'felamimail', 'home', 'hook_home.inc.php'),
(314, 'felamimail', 'settings', 'felamimail_hooks::settings'),
(313, 'felamimail', 'preferences', 'felamimail_hooks::preferences'),
(233, 'importexport', 'admin', 'importexport_admin_prefs_sidebox_hooks::all_hooks'),
(232, 'importexport', 'sidebox_menu', 'importexport_admin_prefs_sidebox_hooks::all_hooks'),
(246, 'infolog', 'calendar_include_events', 'infolog.infolog_bo.cal_to_include'),
(245, 'infolog', 'infolog', 'infolog.infolog_ui.hook_view'),
(244, 'infolog', 'calendar_view', 'infolog.infolog_ui.hook_view'),
(243, 'infolog', 'projects_view', 'infolog.infolog_ui.hook_view'),
(242, 'infolog', 'addressbook_view', 'infolog.infolog_ui.hook_view'),
(241, 'infolog', 'home', 'hook_home.inc.php'),
(240, 'infolog', 'deleteaccount', 'infolog.infolog_so.change_delete_owner'),
(239, 'infolog', 'not_enum_group_acls', 'infolog_hooks::not_enum_group_acls'),
(238, 'infolog', 'admin', 'infolog_hooks::all_hooks'),
(237, 'infolog', 'verify_settings', 'infolog_hooks::verify_settings'),
(236, 'infolog', 'settings', 'infolog_hooks::settings'),
(235, 'infolog', 'preferences', 'infolog_hooks::all_hooks'),
(258, 'notifications', 'preferences', 'hook_preferences.inc.php'),
(257, 'notifications', 'after_navbar', 'hook_after_navbar.inc.php'),
(277, 'projectmanager', 'search_link', 'projectmanager_hooks::search_link'),
(276, 'projectmanager', 'sidebox_menu', 'projectmanager_hooks::all_hooks'),
(275, 'projectmanager', 'admin', 'projectmanager_hooks::all_hooks'),
(274, 'projectmanager', 'settings', 'projectmanager_hooks::settings'),
(273, 'projectmanager', 'preferences', 'projectmanager_hooks::all_hooks'),
(284, 'resources', 'calendar_resources', 'resources.resources_hooks.calendar_resources'),
(283, 'resources', 'search_link', 'resources.resources_hooks.search_link'),
(282, 'resources', 'sidebox_menu', 'resources.resources_hooks.admin_prefs_sidebox'),
(281, 'resources', 'admin', 'resources.resources_hooks.admin_prefs_sidebox'),
(280, 'resources', 'preferences', 'resources.resources_hooks.admin_prefs_sidebox'),
(296, 'sitemgr', 'sidebox_menu', 'hook_sidebox_menu.inc.php'),
(295, 'sitemgr', 'admin', 'hook_admin.inc.php'),
(294, 'sitemgr', 'about', 'hook_about.inc.php'),
(293, 'sitemgr', 'preferences', 'hook_preferences.inc.php'),
(306, 'timesheet', 'pm_cumulate', 'timesheet_hooks::cumulate'),
(305, 'timesheet', 'search_link', 'timesheet_hooks::search_link'),
(304, 'timesheet', 'sidebox_menu', 'timesheet_hooks::all_hooks'),
(303, 'timesheet', 'admin', 'timesheet_hooks::all_hooks'),
(302, 'timesheet', 'settings', 'timesheet_hooks::settings'),
(301, 'timesheet', 'preferences', 'timesheet_hooks::all_hooks'),
(330, 'tracker', 'search_link', 'tracker_hooks::search_link'),
(329, 'tracker', 'sidebox_menu', 'tracker_hooks::all_hooks'),
(328, 'tracker', 'admin', 'tracker_hooks::all_hooks'),
(327, 'tracker', 'settings', 'tracker_hooks::settings'),
(326, 'tracker', 'preferences', 'tracker_hooks::all_hooks'),
(310, 'wiki', 'config_validate', 'hook_config_validate.inc.php'),
(309, 'wiki', 'sidebox_menu', 'wiki_hooks::sidebox_menu'),
(308, 'wiki', 'admin', 'wiki_hooks::admin'),
(325, 'manual', 'config_validate', 'manual.uimanualadmin.config'),
(324, 'manual', 'config', 'manual.uimanualadmin.config'),
(323, 'manual', 'admin', 'manual.uimanualadmin.menu'),
(167, 'phpgwapi', 'addaccount', 'phpgwapi.vfs_home_hooks.addAccount'),
(174, 'admin', 'add_def_pref', 'hook_add_def_pref.inc.php'),
(173, 'admin', 'acl_manager', 'hook_acl_manager.inc.php'),
(170, 'phpgwapi', 'addgroup', 'phpgwapi.vfs_home_hooks.addGroup'),
(171, 'phpgwapi', 'deletegroup', 'phpgwapi.vfs_home_hooks.deleteGroup'),
(172, 'phpgwapi', 'editgroup', 'phpgwapi.vfs_home_hooks.editGroup'),
(181, 'admin', 'topmenu_info', 'hook_topmenu_info.inc.php'),
(182, 'admin', 'preferences', 'admin.admin_prefs_sidebox_hooks.all_hooks'),
(183, 'admin', 'admin', 'admin.admin_prefs_sidebox_hooks.all_hooks'),
(184, 'admin', 'sidebox_menu', 'admin.admin_prefs_sidebox_hooks.all_hooks'),
(188, 'preferences', 'settings', 'preferences_hooks::settings'),
(189, 'preferences', 'edit_user', 'preferences.uisettings.edit_user'),
(199, 'addressbook', 'calendar_resources', 'addressbook_hooks::calendar_resources'),
(200, 'addressbook', 'edit_user', 'addressbook_hooks::edit_user'),
(201, 'addressbook', 'config', 'hook_config.inc.php'),
(202, 'addressbook', 'group_acl', 'addressbook_hooks::group_acl'),
(211, 'calendar', 'sidebox_menu', 'calendar.calendar_ui.sidebox_menu'),
(212, 'calendar', 'search_link', 'calendar_hooks::search_link'),
(213, 'calendar', 'config_validate', 'calendar_hooks::config_validate'),
(214, 'calendar', 'timesheet_set', 'calendar.calendar_bo.timesheet_set'),
(215, 'calendar', 'export_limit', 'calendar_hooks::getAppExportLimit'),
(217, 'emailadmin', 'edit_user', 'emailadmin_hooks::edit_user'),
(218, 'emailadmin', 'view_user', 'emailadmin_hooks::edit_user'),
(219, 'emailadmin', 'edit_group', 'emailadmin_hooks::edit_group'),
(220, 'emailadmin', 'group_manager', 'emailadmin_hooks::edit_group'),
(221, 'emailadmin', 'deleteaccount', 'emailadmin_hooks::deleteaccount'),
(222, 'emailadmin', 'deletegroup', 'emailadmin_hooks::deletegroup'),
(223, 'emailadmin', 'changepassword', 'emailadmin_bo::changepassword'),
(224, 'emailadmin', 'smtp_server_types', 'emailadmin_hooks::server_types'),
(225, 'emailadmin', 'imap_server_types', 'emailadmin_hooks::server_types'),
(228, 'filemanager', 'sidebox_menu', 'filemanager_hooks::sidebox_menu'),
(229, 'filemanager', 'admin', 'filemanager_hooks::admin'),
(234, 'importexport', 'preferences', 'importexport_admin_prefs_sidebox_hooks::all_hooks'),
(247, 'infolog', 'calendar_include_todos', 'infolog.infolog_bo.cal_to_include'),
(248, 'infolog', 'sidebox_menu', 'infolog_hooks::all_hooks'),
(249, 'infolog', 'search_link', 'infolog_hooks::search_link'),
(250, 'infolog', 'pm_custom_app_icons', 'infolog.infolog_bo.pm_icons'),
(255, 'news_admin', 'home', 'hook_home.inc.php'),
(256, 'news_admin', 'config_validate', 'hook_config_validate.inc.php'),
(259, 'notifications', 'settings', 'hook_settings.inc.php'),
(260, 'notifications', 'admin', 'hook_admin.inc.php'),
(267, 'phpbrain', 'settings', 'hook_settings.inc.php'),
(268, 'phpbrain', 'sidebox_menu', 'hook_sidebox_menu.inc.php'),
(269, 'phpbrain', 'deleteaccount', 'phpbrain.bokb.deleteaccount'),
(270, 'phpbrain', 'search_link', 'phpbrain.bokb.search_link'),
(279, 'registration', 'logout', 'hook_logout.inc.php'),
(285, 'resources', 'delete_category', 'resources.resources_hooks.delete_category'),
(291, 'sambaadmin', 'addgroup', 'sambaadmin.bosambaadmin.updateGroup'),
(292, 'sambaadmin', 'editgroup', 'sambaadmin.bosambaadmin.updateGroup'),
(297, 'sitemgr', 'settings', 'hook_settings.inc.php'),
(298, 'syncml', 'preferences', 'syncml_hooks::preferences'),
(299, 'syncml', 'settings', 'syncml_hooks::settings'),
(300, 'syncml', 'deleteaccount', 'syncml.devices.deleteAccount'),
(307, 'timesheet', 'deleteaccount', 'timesheet.timesheet_bo.deleteaccount'),
(311, 'wiki', 'settings', 'wiki_hooks::settings'),
(312, 'wiki', 'search_link', 'wiki_hooks::search_link'),
(320, 'felamimail', 'edit_user', 'felamimail.bofelamimail.adminMenu'),
(321, 'felamimail', 'verify_settings', 'felamimail.bofelamimail.forcePrefReload'),
(322, 'felamimail', 'search_link', 'felamimail_hooks::search_link');

CREATE TABLE IF NOT EXISTS `egw_importexport_definitions` (
  `definition_id` int(11) NOT NULL auto_increment,
  `name` varchar(255) default NULL,
  `application` varchar(50) default NULL,
  `plugin` varchar(100) default NULL,
  `type` varchar(20) default NULL,
  `allowed_users` varchar(255) default NULL,
  `plugin_options` longtext,
  `owner` int(11) default NULL,
  `description` varchar(255) default NULL,
  PRIMARY KEY  (`definition_id`),
  UNIQUE KEY `egw_importexport_definitions_name` (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `egw_index` (
  `si_app` varchar(25) NOT NULL,
  `si_app_id` varchar(50) NOT NULL,
  `si_id` int(11) NOT NULL,
  `si_owner` int(11) NOT NULL,
  PRIMARY KEY  (`si_app`,`si_app_id`,`si_id`),
  KEY `egw_index_si_id` (`si_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `egw_index_keywords` (
  `si_id` int(11) NOT NULL auto_increment,
  `si_keyword` varchar(64) NOT NULL,
  `si_ignore` tinyint(4) default NULL,
  PRIMARY KEY  (`si_id`),
  UNIQUE KEY `egw_index_keywords_si_keyword` (`si_keyword`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `egw_infolog` (
  `info_id` int(11) NOT NULL auto_increment,
  `info_type` varchar(40) NOT NULL default 'task',
  `info_from` varchar(255) default NULL,
  `info_addr` varchar(255) default NULL,
  `info_subject` varchar(255) default NULL,
  `info_des` text,
  `info_owner` int(11) NOT NULL default '0',
  `info_responsible` varchar(255) NOT NULL default '0',
  `info_access` varchar(10) default 'public',
  `info_cat` int(11) NOT NULL default '0',
  `info_datemodified` bigint(20) NOT NULL default '0',
  `info_startdate` bigint(20) NOT NULL default '0',
  `info_enddate` bigint(20) NOT NULL default '0',
  `info_id_parent` int(11) NOT NULL default '0',
  `info_planned_time` int(11) NOT NULL default '0',
  `info_used_time` int(11) NOT NULL default '0',
  `info_status` varchar(40) default 'done',
  `info_confirm` varchar(10) default 'not',
  `info_modifier` int(11) NOT NULL default '0',
  `info_link_id` int(11) NOT NULL default '0',
  `info_priority` smallint(6) default '1',
  `pl_id` int(11) default NULL,
  `info_price` double default NULL,
  `info_percent` smallint(6) default '0',
  `info_datecompleted` bigint(20) default NULL,
  `info_location` varchar(255) default NULL,
  `info_custom_from` tinyint(4) default NULL,
  `info_uid` varchar(255) default NULL,
  `info_replanned_time` int(11) NOT NULL default '0',
  `info_cc` varchar(255) default NULL,
  `caldav_name` varchar(64) default NULL,
  `info_etag` int(11) default '0',
  `info_created` bigint(20) default NULL,
  `info_creator` int(11) default NULL,
  PRIMARY KEY  (`info_id`),
  KEY `egw_infolog_owner_responsible_status_startdate` (`info_owner`,`info_responsible`,`info_status`,`info_startdate`),
  KEY `egw_infolog_id_parent_owner_responsible_status_startdate` (`info_id_parent`,`info_owner`,`info_responsible`,`info_status`,`info_startdate`),
  KEY `egw_infolog_caldav_name` (`caldav_name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `egw_infolog_extra` (
  `info_id` int(11) NOT NULL default '0',
  `info_extra_name` varchar(64) NOT NULL,
  `info_extra_value` text,
  PRIMARY KEY  (`info_id`,`info_extra_name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `egw_interserv` (
  `server_id` int(11) NOT NULL auto_increment,
  `server_name` varchar(64) default NULL,
  `server_host` varchar(255) default NULL,
  `server_url` varchar(255) default NULL,
  `trust_level` int(11) default NULL,
  `trust_rel` int(11) default NULL,
  `username` varchar(64) default NULL,
  `password` varchar(255) default NULL,
  `admin_name` varchar(255) default NULL,
  `admin_email` varchar(255) default NULL,
  `server_mode` varchar(16) NOT NULL default 'xmlrpc',
  `server_security` varchar(16) default NULL,
  PRIMARY KEY  (`server_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

INSERT INTO `egw_interserv` (`server_id`, `server_name`, `server_host`, `server_url`, `trust_level`, `trust_rel`, `username`, `password`, `admin_name`, `admin_email`, `server_mode`, `server_security`) VALUES
(1, 'eGW demo', NULL, 'http://www.egroupware.org/egroupware/xmlrpc.php', 99, 0, NULL, NULL, NULL, NULL, 'xmlrpc', NULL);

CREATE TABLE IF NOT EXISTS `egw_kb_articles` (
  `art_id` int(11) NOT NULL auto_increment,
  `q_id` bigint(20) NOT NULL default '0',
  `title` varchar(255) NOT NULL default '',
  `topic` varchar(255) NOT NULL default '',
  `text` longtext,
  `cat_id` int(11) NOT NULL default '0',
  `published` smallint(6) NOT NULL default '0',
  `user_id` int(11) NOT NULL default '0',
  `views` int(11) NOT NULL default '0',
  `created` int(11) default NULL,
  `modified` int(11) default NULL,
  `modified_user_id` int(11) NOT NULL default '0',
  `votes_1` int(11) NOT NULL default '0',
  `votes_2` int(11) NOT NULL default '0',
  `votes_3` int(11) NOT NULL default '0',
  `votes_4` int(11) NOT NULL default '0',
  `votes_5` int(11) NOT NULL default '0',
  PRIMARY KEY  (`art_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `egw_kb_comment` (
  `comment_id` int(11) NOT NULL auto_increment,
  `user_id` int(11) NOT NULL default '0',
  `kb_comment` text,
  `entered` int(11) default NULL,
  `art_id` int(11) NOT NULL default '0',
  `published` smallint(6) NOT NULL default '0',
  PRIMARY KEY  (`comment_id`),
  KEY `phpgw_kb_comment_art_id` (`art_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `egw_kb_questions` (
  `question_id` int(11) NOT NULL auto_increment,
  `user_id` int(11) NOT NULL default '0',
  `summary` text,
  `details` text,
  `cat_id` int(11) NOT NULL default '0',
  `creation` int(11) default NULL,
  `published` smallint(6) NOT NULL default '0',
  PRIMARY KEY  (`question_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `egw_kb_ratings` (
  `user_id` int(11) NOT NULL default '0',
  `art_id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`user_id`,`art_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `egw_kb_related_art` (
  `art_id` int(11) NOT NULL default '0',
  `related_art_id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`art_id`,`related_art_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `egw_kb_search` (
  `keyword` varchar(30) NOT NULL default '',
  `art_id` int(11) NOT NULL default '0',
  `score` bigint(20) NOT NULL default '0',
  PRIMARY KEY  (`keyword`,`art_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `egw_kb_urls` (
  `art_id` int(11) NOT NULL default '0',
  `art_url` varchar(255) NOT NULL default '',
  `art_url_title` varchar(255) default NULL,
  PRIMARY KEY  (`art_id`,`art_url`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `egw_lang` (
  `lang` varchar(5) NOT NULL default '',
  `app_name` varchar(32) NOT NULL default 'common',
  `message_id` varchar(128) NOT NULL default '',
  `content` text,
  PRIMARY KEY  (`lang`,`app_name`,`message_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `egw_lang` (`lang`, `app_name`, `message_id`, `content`) VALUES
('it', 'admin', 'timeout for application session data in seconds (default 86400 = 1 day)', 'Timeout per i dati della sessione di un''applicazione in secondi (predefinito 86400 = 1 giorno)'),
('it', 'admin', 'timeout for sessions in seconds (default 14400 = 4 hours)', 'Timeout per la sessione in secondi (predefinito 14400 = 4 ore)'),
('it', 'admin', 'this category is currently being used by applications as a parent category', 'Questa categoria è attualmente utilizzata dalle applicazioni come categoria padre'),
('it', 'admin', 'this application requires an upgrade', 'Questa applicazione ha bisogno di un aggiornamento'),
('it', 'admin', 'this application is current', 'Questa è l''applicazione corrente'),
('it', 'admin', 'they must be removed before you can continue', 'Devono essere rimossi prima di poter proseguire'),
('it', 'admin', 'there already is a group with this name. userid''s can not have the same name as a groupid', 'C''è già un gruppo con questo nome. L''ID utente non può avere lo stesso nome di un gruppo.'),
('it', 'admin', 'the two passwords are not the same', 'Le due password non coincidono'),
('it', 'admin', 'the users bellow are still members of group %1', 'L''utente sottostante fa ancora parte del gruppo %1'),
('it', 'admin', 'the testjob sends you a mail everytime it is called.', 'Il TestJob invia una e-mail ogni volta che viene richiamato.'),
('it', 'admin', 'the text displayed to the user', 'il testo mostrato all''utente'),
('it', 'admin', 'the name used internaly (<= 20 chars), changeing it makes existing data unavailible', 'il nome usato internamente (<= 20 caratteri), cambiarlo rende i dati esistenti indisponibili'),
('it', 'admin', 'the loginid can not be more then 8 characters', 'La loginid non può essere più lunga di 8 caratteri'),
('it', 'admin', 'the login and password can not be the same', 'La login e la pasword non possono essere uguali'),
('it', 'admin', 'the install id of an instance can be found under admin > site configuration', 'L''ID di installazione può essere trovato sotto Admin > Configurazione per tutto il sito'),
('it', 'admin', 'the groups must include the primary group', 'I gruppi devono includere il gruppo principale'),
('it', 'admin', 'the api requires an upgrade', 'Le API hanno bisogno di essere aggiornate'),
('it', 'admin', 'the cumulated and anonymised data will be publically available:', 'I dati accumulati e i dati anonimi saranno pubblicamente disponibili:'),
('it', 'admin', 'the api is current', 'Le API sono aggiornate'),
('it', 'admin', 'that name has been used already', 'Quel nome è già stato utilizzato'),
('it', 'admin', 'that server name has been used already !', 'Questo nome di server è già stato utilizzato!'),
('it', 'admin', 'that loginid has already been taken', 'Quel nome utente è già stato scelto'),
('it', 'admin', 'template selection', 'Selezione Aspetto'),
('it', 'admin', 'text entry', 'Inserimento di Testo'),
('it', 'admin', 'that application name already exists.', 'Quel nome di applicazione esiste già'),
('it', 'admin', 'that application order must be a number.', 'Quel numero d''ordine deve essere un numero'),
('it', 'admin', 'success', 'Successo'),
('it', 'admin', 'switch it off, if users are randomly thrown out', 'Spegnilo in caso di logout casuali degli utenti'),
('it', 'admin', 'subversion checkout', 'Checkout di sottoversione'),
('it', 'admin', 'subtype', 'Sottotipo'),
('it', 'admin', 'submit to egroupware.org', 'Invia a egroupware.org'),
('it', 'admin', 'submit the search string', 'Invia la stringa di ricerca'),
('it', 'admin', 'submit statistic information', 'Invia le informazioni statistiche'),
('it', 'admin', 'submit displayed information?', 'Invia le informazioni mostrate'),
('it', 'admin', 'submit changes', 'Invia Modifiche'),
('it', 'admin', 'start testjob!', 'Inizia il Lavoro di Test'),
('it', 'admin', 'standard smtp-server', 'Server SMTP standard'),
('it', 'admin', 'standard pop3 server', 'Server POP3 standard'),
('it', 'admin', 'ssl', 'ssl'),
('it', 'admin', 'standard', 'standard'),
('it', 'admin', 'standard imap server', 'Server IMAP standard'),
('it', 'admin', 'sort the entries', 'ordina le voci'),
('it', 'admin', 'sorry, the follow users are still a member of the group %1', 'Spiacente, i seguenti utenti sono ancora membri del gruppo %1'),
('it', 'admin', 'sorry, the above users are still a member of the group %1', 'Spiacente, l''utente è ancora membro del gruppo %1'),
('it', 'admin', 'sorry, that group name has already been taken.', 'Spiacente, questo nome di gruppo è già stato utilizzato'),
('it', 'admin', 'soap', 'SOAP'),
('it', 'admin', 'site', 'Sito'),
('it', 'admin', 'show session ip address', 'Visualizza l''indirizzo IP della sessione'),
('it', 'admin', 'show phpinfo()', 'Visualizza phpinfo()'),
('it', 'admin', 'show error log', 'Visualizza i log di errore'),
('it', 'admin', 'show current action', 'Visualizza l''azione corrente'),
('it', 'admin', 'show access log', 'Visualizza i log di accesso'),
('it', 'admin', 'show ''powered by'' logo on', 'Visualizza il logo ''creato con'''),
('it', 'admin', 'should the login page include a language selectbox (useful for demo-sites) ?', 'Includere nella pagina di login un elenco a discesa per selezionare la lingua (utile per i siti-demo) ?'),
('it', 'admin', 'should exceptions contain a trace (including function arguments)', 'Le eccezioni dovrebbero contenere tracce, inclusi gli argomenti delle funzioni'),
('it', 'admin', 'set preference values.', 'Imposta i valori delle preferenze'),
('it', 'admin', 'server username', 'Username per il server'),
('it', 'admin', 'sessions last 30 days', 'Sessioni negli ultimi 30 giorni'),
('it', 'admin', 'server %1 has been updated', 'Il Server %1 è stato aggiornato'),
('it', 'admin', 'server list', 'Elenco Server'),
('it', 'admin', 'server password', 'Password del Server'),
('it', 'admin', 'server type(mode)', 'Tipo di Server(modo)'),
('it', 'admin', 'server url', 'URL del Server'),
('it', 'admin', 'selectbox', 'Elenco a discesa'),
('it', 'admin', 'select which location this app should appear on the navbar, lowest (left) to highest (right)', 'Seleziona in quale punto della Barra di Navigazione, dal più basso (sinistra) al più alto (destra), deve apparire questa applicazione'),
('it', 'admin', 'select where you want to store/retrieve user accounts', 'seleziona il modo per memorizzare/recuperare gli account utente'),
('it', 'admin', 'select where you want to store/retrieve filesystem information', 'seleziona il modo per memorizzare/recuperare le informazioni sul filesystem'),
('it', 'admin', 'select users for inclusion', 'Seleziona utenti per l''inclusione'),
('it', 'admin', 'select the parent category. if this is a main category select no category', 'Seleziona la categoria superiore. Se questa è una categoria principale seleziona NESSUNA CATEGORIA'),
('it', 'admin', 'select permissions this group will have', 'Seleziona i permessi che possiede questo gruppo'),
('it', 'admin', 'select group managers', 'Seleziona i Gestori del Gruppo'),
('it', 'admin', 'search peer servers', 'Cerca peer servers'),
('it', 'admin', 'security', 'Sicurezza'),
('it', 'admin', 'select accounts for which the custom field should be visible', 'Seleziona account ai quali il campo personalizzato sarà visibile'),
('it', 'admin', 'search accounts', 'Cerca account'),
('it', 'admin', 'search categories', 'Cerca categorie'),
('it', 'admin', 'search groups', 'Cerca gruppi'),
('it', 'admin', 'scheduled', 'Programmato'),
('it', 'admin', 'saves this entry', 'Salva questa voce.'),
('it', 'admin', 'saves the changes made and leaves', 'salva le modifiche fatte ed esce'),
('it', 'admin', 'save the category and return back to the list', 'salva la categoria e ritorna alla lista'),
('it', 'admin', 'save the category', 'salva la categoria'),
('it', 'admin', 'rpm or debian package', 'Pacchetto RPM o Debian'),
('it', 'admin', 'run asynchronous services', 'Esegui lo Schedulatore'),
('it', 'admin', 'route all mails to', 'Indirizza tutte le mail a'),
('it', 'admin', 'return to view account', 'Ritorna alla visualizzazone dell''account'),
('it', 'admin', 'return to admin mainscreen', 'ritorna alla pagina principale di amministrazione'),
('it', 'admin', 'requested', 'Richiesto'),
('it', 'admin', 'remove all users from this group ?', 'Rimuovi tutti gli utenti da questo gruppo ?'),
('it', 'admin', 'remove all users from this group', 'Rimuovi tutti gli utenti da questo gruppo'),
('it', 'admin', 'remove', 'Rimuovi'),
('it', 'admin', 'remote instance saved', 'Istanza remota salvata'),
('it', 'admin', 'remote administration need to be enabled in the remote instance under admin > site configuration!', 'L''amministrazione remota deve essere abilitata nella istanza remota sotto Admin > Configurazione per tutto il sito'),
('it', 'admin', 'remote administration instances', 'Istanze di amministrazione remota'),
('it', 'admin', 're-enter password', 'Reinserisci la password'),
('it', 'admin', 'read this list of methods.', 'Leggi questa lista dei metodi'),
('it', 'admin', 'register application hooks', 'Registra gli agganci alle chiamate dell''applicazione'),
('it', 'admin', 'quota size in mbyte', 'dimensione quota in MByte'),
('it', 'admin', 'quota settings', 'impostazioni quota'),
('it', 'admin', 'qmaildotmode', 'qmaildotmode'),
('it', 'admin', 'primary group', 'Gruppo principale'),
('it', 'admin', 'preferences', 'Preferenze'),
('it', 'admin', 'postpone for', 'Rimanda per'),
('it', 'admin', 'postfix with ldap', 'Postfix con LDAP'),
('it', 'admin', 'please select', 'Per favore selezionare'),
('it', 'admin', 'please run setup to become current', 'Per favore lancia il setup'),
('it', 'admin', 'please enter a name for that server !', 'Per favore inserisci un nome per quel server'),
('it', 'admin', 'please enter a name', 'Per favore inserisci un nome'),
('it', 'admin', 'php version', 'Versione PHP'),
('it', 'admin', 'phpinfo', 'Informazioni sul PHP'),
('it', 'admin', 'personal: eg. within a family', 'Personale: per esempio in una famiglia'),
('it', 'admin', 'permissions', 'Permessi'),
('it', 'admin', 'permissions this group has', 'Permessi che questo gruppo ha'),
('it', 'admin', 'permission denied !!!', 'Permesso negato'),
('it', 'admin', 'permission denied', 'Permesso negato'),
('it', 'admin', 'percent this user has logged out', 'Percentuale di logout di quest''utente'),
('it', 'admin', 'peer servers', 'Peer servers'),
('it', 'admin', 'percent of users that logged out', 'Percentuale di utenti che sono usciti dal sistema in maniera corretta'),
('it', 'admin', 'peer server list', 'Lista Peer server'),
('it', 'admin', 'path information', 'Informazioni sul Path'),
('it', 'admin', 'password updated', 'Password aggiornata'),
('it', 'admin', 'password for smtp-authentication', 'Password per autenticazione SMTP'),
('it', 'admin', 'passthrough', 'passthrough'),
('it', 'admin', 'own install id:', 'Tuo ID installazione'),
('it', 'admin', 'outbound', 'in uscita'),
('it', 'admin', 'order', 'Ordine'),
('it', 'admin', 'operating system', 'Sistema operativo'),
('it', 'admin', 'one hour', 'Un''ora'),
('it', 'admin', 'one month', 'Un mese'),
('it', 'admin', 'one week', 'Una settimana'),
('it', 'admin', 'only below displayed information is directly submitted to %s.', 'Solo le informazioni sottostanti vengono inviate direttamente a %s.'),
('it', 'admin', 'one day', 'Un giorno'),
('it', 'admin', 'official egroupware usage statistic', 'Statistica ufficiale di utilizzo di EGroupware'),
('it', 'admin', 'number of users', 'Numero di utenti'),
('it', 'admin', 'number of sessions / egroupware logins in the last 30 days', 'Numero di sessioni / accessi EGroupware negli ultimi 30 giorni'),
('it', 'admin', 'number of row for a multiline inputfield or line of a multi-select-box', 'Numero di righe per un campo di testo oppure un campo di selezione multipla'),
('it', 'admin', 'number of active users', 'Numero di utenti attivi'),
('it', 'admin', 'note: ssl available only if php is compiled with curl support', 'Nota: SSL dispobile solo con il PHP compilato con il supporto curl'),
('it', 'admin', 'non profit: clubs, associations, ...', 'Non profit: Club, Associazioni, ...'),
('it', 'admin', 'no permission to create groups', 'nessun permesso di creazione gruppi'),
('it', 'admin', 'no permission to add users', 'nessun permesso di aggiunta utenti'),
('it', 'admin', 'no permission to add groups', 'nessun permesso di aggiunta gruppi'),
('it', 'admin', 'no modes available', 'nessuna modalità disponibile'),
('it', 'admin', 'no matches found', 'Nessuna corrispondenza trovata.'),
('it', 'admin', 'no login history exists for this user', 'Non esiste una cronologia di login per questo utente'),
('it', 'admin', 'no algorithms available', 'nessun algoritmo disponibile'),
('it', 'admin', 'no alternate email address', 'nessun indirizzo email alternativo'),
('it', 'admin', 'no jobs in the database !!!', 'Nessun job nel database !!!'),
('it', 'admin', 'new password [ leave blank for no change ]', 'Nuova password [ Lascia in bianco per non cambiarla ]'),
('it', 'admin', 'next run', 'Prossima esecuzione'),
('it', 'admin', 'new group name', 'Nome nuovo gruppo'),
('it', 'admin', 'new name', 'nuovo nome'),
('it', 'admin', 'name of the egroupware instance, eg. default', 'Nome della istanza EGroupware'),
('it', 'admin', 'name must not be empty !!!', 'Il nome non può essere vuoto !!!'),
('it', 'admin', 'month', 'Mese'),
('it', 'admin', 'more secure', 'Molto sicuro'),
('it', 'admin', 'mode', 'Modalità'),
('it', 'admin', 'modified', 'Modificato'),
('it', 'admin', 'minute', 'Minuti'),
('it', 'admin', 'minimum account id (e.g. 500 or 100, etc.)', 'ID minimo per l''account (es. 500 or 100, etc.)'),
('it', 'admin', 'method', 'Metodo'),
('it', 'admin', 'message has been updated', 'il messaggio è stato aggiornato'),
('it', 'admin', 'maximum entries in click path history', 'Voci massime cliccando nella history dei path'),
('it', 'admin', 'maximum account id (e.g. 65535 or 1000000)', 'ID massimo per l''account (es. 65535 or 100000, etc.)'),
('it', 'admin', 'max length of the input [, length of the inputfield (optional)]', 'lunghezza massima del input [, length of the inputfield (optional)]'),
('it', 'admin', 'main screen message', 'Messaggio nella schermata principale'),
('it', 'admin', 'manager', 'Manager'),
('it', 'admin', 'main email-address', 'Indirizzo email Principale'),
('it', 'admin', 'mail settings', 'Impostazioni Posta'),
('it', 'admin', 'login-status', 'Stato di accesso'),
('it', 'admin', 'loginid', 'ID di Login'),
('it', 'admin', 'logintime', 'Orario ingresso'),
('it', 'admin', 'logoutime', 'Orario logout'),
('it', 'admin', 'login message', 'Messaggio di Login'),
('it', 'admin', 'login screen', 'Schermata di login'),
('it', 'admin', 'login shell', 'Shell di login'),
('it', 'admin', 'login time', 'Ora Login'),
('it', 'admin', 'login history', 'Cronologia Collegamenti'),
('it', 'admin', 'logged out', 'Uscito'),
('it', 'admin', 'list of current users', 'lista utenti attivi'),
('it', 'admin', 'list config settings', 'Lista impostazioni di configurazione'),
('it', 'admin', 'list current sessions', 'Lista sessioni currenti'),
('it', 'admin', 'length<br>rows', 'Lunghezza<br>Righe'),
('it', 'admin', 'leaves without saveing', 'esce senza salvare'),
('it', 'admin', 'leave without saveing the entry', 'Esci senza salvare la voce'),
('it', 'admin', 'leave the group untouched and return back to the list', 'Lascia i gruppi inalterati e ritorna alla lista'),
('it', 'admin', 'leave the category untouched and return back to the list', 'lascia le categorie inalterate e ritorna alla lista'),
('it', 'admin', 'ldap rootdn', 'LDAP rootdn'),
('it', 'admin', 'leave empty for no quota', 'lascia vuoto per nessuna quota'),
('it', 'admin', 'ldap root password', 'password di root LDAP'),
('it', 'admin', 'ldap host', 'host LDAP'),
('it', 'admin', 'ldap groups context', 'contesto gruppi LDAP'),
('it', 'admin', 'ldap default shell (e.g. /bin/bash)', 'shell predefinita LDAP (es: /bin/bash)'),
('it', 'admin', 'ldap encryption type', 'tipo di cifratura LDAP'),
('it', 'admin', 'ldap default homedirectory prefix (e.g. /home for /home/username)', 'prefisso predefinito per le homedirectory LDAP (es. /home per /home/username)'),
('it', 'admin', 'ldap accounts context', 'contesto account LDAP'),
('it', 'admin', 'last time read', 'Ultima volta letto'),
('it', 'admin', 'last submission:', 'Ultimo invio dati:'),
('it', 'admin', 'last login from', 'ultimo login da'),
('it', 'admin', 'last login', 'ultimo login'),
('it', 'admin', 'last action', 'Ultima azione'),
('it', 'admin', 'last %1 logins for %2', 'Ultimi %1 login per %2'),
('it', 'admin', 'last %1 logins', 'Ultimi %1 login'),
('it', 'admin', 'kill session', 'Termina sessione'),
('it', 'admin', 'kill', 'Termina'),
('it', 'admin', 'jobs', 'Jobs'),
('it', 'admin', 'ip', 'IP'),
('it', 'admin', 'invalid value "%1" use yes or no!', 'Valore "%1" non valido, usare "sì" o "no"'),
('it', 'admin', 'invalid formated date "%1"!', 'Formato data non valido'),
('it', 'admin', 'invalid remote id or name "%1"!', 'ID remoto o nome "%1" non validi!'),
('it', 'admin', 'international use', 'Uso Internazionale'),
('it', 'admin', 'interface', 'Interfaccia'),
('it', 'admin', 'instance', 'Istanza'),
('it', 'admin', 'installed crontab', 'Crontab Installati'),
('it', 'admin', 'installation type', 'Tipo di installazione'),
('it', 'admin', 'installed applications, percentage of allowed users and total number of entries.', 'Applicazioni installate, percentuale di utenti consentiti e numero totale di voci'),
('it', 'admin', 'install id', 'ID dell''installazione'),
('it', 'admin', 'install crontab', 'Installa crontab'),
('it', 'admin', 'initial', 'Iniziale'),
('it', 'admin', 'inbound', 'in ingresso'),
('it', 'admin', 'in mbyte', 'in MByte'),
('it', 'admin', 'if using ldap, do you want to manage homedirectory and loginshell attributes?', 'Nel caso si utilizzi LDAP, vuoi gestire gli attributi di homedirectory e shell di login?'),
('it', 'admin', 'idle', 'inattivo'),
('it', 'admin', 'if no acl records for user or any group the user is a member of', 'Se non ci sono record nell''ACL per l''utente o qualche gruppo, l''utente è un membro di'),
('it', 'admin', 'icon', 'Icona'),
('it', 'admin', 'how should email addresses for new users be constructed?', 'Come deve essere strutturata la mail per i nuovi utenti ?'),
('it', 'admin', 'how many minutes should an account or ip be blocked (default 30) ?', 'Quanti minuti un account o un IP rimarrà bloccato (predefinito 30) ?'),
('it', 'admin', 'how many entries should non-admins be able to export (empty = no limit, no = no export)', 'Quante voci possono esportare gli utenti semplici. Vuoto = nessun limite, no = nessuna esportazione consentita'),
('it', 'admin', 'how many days should entries stay in the access log, before they get deleted (default 90) ?', 'Quanti giorni le voci rimangono nel log di accesso prima che vengano cancellate (predefinito 90) ?'),
('it', 'admin', 'how big should thumbnails for linked images be (maximum in pixels) ?', 'Dimensione massima in pixel delle miniature per le immagini collegate'),
('it', 'admin', 'hour<br>(0-23)', 'Ore<br>(0-23)'),
('it', 'admin', 'host information', 'Informazioni host'),
('it', 'admin', 'home directory', 'Cartella Personale'),
('it', 'admin', 'hide php information', 'nascondi informazioni php'),
('it', 'admin', 'hash', 'Hash'),
('it', 'admin', 'group name', 'Nome Gruppo'),
('it', 'admin', 'group manager', 'Gestore del Gruppo'),
('it', 'admin', 'group ?', 'Gruppo ?'),
('it', 'admin', 'group list', 'Lista Gruppi'),
('it', 'admin', 'grant', 'Consenti'),
('it', 'admin', 'governmental: incl. state or municipal authorities or services', 'Governativo: incluse autorità o servizi municipali'),
('it', 'admin', 'go directly to admin menu, returning here the next time you click on administration.', 'Vai direttamentte al menù di amministrazione, tornando qui la prossima volta che fai click su "Amministra"'),
('it', 'admin', 'full name', 'Nome completo'),
('it', 'admin', 'forward only', 'inoltra solo'),
('it', 'admin', 'forward also to', 'inoltra anche a'),
('it', 'admin', 'forward emails to', 'inoltra le email a'),
('it', 'admin', 'force users to change their password regularily?(empty for no,number for after that number of days', 'Imposta l''obbligo di modifica periodica della password. Immetti il numero di giorni. Vuoto = Nessun obbligo di cambio periodico della password'),
('it', 'admin', 'force selectbox', 'Forza elenco a discesa'),
('it', 'admin', 'force password strength (1-5, default empty: no check against rules for a strong password)?', 'Imposta la sicurezza della password. 1 = debole, fino a 5 = molto sicura. Predefinito = vuoto, la sicurezza della password non viene controllata.'),
('it', 'admin', 'for the times below (empty values count as ''*'', all empty = every minute)', 'per i tempi sottostanti (un valore vuoto equivale a ''*'', tutti vuoti = ogni minuto)'),
('it', 'admin', 'for the times above', 'per il tempo sovrastante'),
('it', 'admin', 'find and register all application hooks', 'Trova e registra tutti gli gli agganci alle chiamate delle applicazioni'),
('it', 'admin', 'file space must be an integer', 'Lo spazio per i file deve essere un intero'),
('it', 'admin', 'file space', 'Spazio per i file'),
('it', 'admin', 'false', 'Falso'),
('it', 'admin', 'field ''%1'' already exists !!!', 'Il campo ''%1'' esiste già !!!'),
('it', 'admin', 'fallback (after each pageview)', 'fallback (dopo ogni cambio pagina)'),
('it', 'admin', 'explanation of ldapman', 'Questo modulo è stato testato fino ad oggi per POSTFIX, LDAP, Courier-IMAP e necessita degli schemi CORE e QMAIL(OID7914). Ulteriori dettagli riguardo l''uso e la configurazione di questo sistema possono essere trovati in README.ldap nella cartella documenti di ADMIN.'),
('it', 'admin', 'expires', 'Scade'),
('it', 'admin', 'error: %1 not found or other error !!!', 'Errore: %1 non trovato o altro errore !!!'),
('it', 'admin', 'error! no appname found', 'Errore! Nome applicazione non trovato'),
('it', 'admin', 'error saving to db:', 'Errore durante il salvataggio nel database!'),
('it', 'admin', 'error setting timer, wrong syntax or maybe there''s one already running !!!', 'Errore impostando il timer, sintassi sbagliata o forse uno è già in esecuzione !!!'),
('it', 'admin', 'error saving the command!', 'Errore durante il salvataggio del comando!'),
('it', 'admin', 'error saving account!', 'Errore durante il salvataggio dell''account!'),
('it', 'admin', 'error saving', 'Errore durante il salvataggio!'),
('it', 'admin', 'error deleting log entry!', 'Errore durante la cancellazione della voce dal registro!'),
('it', 'admin', 'error changing the password for %1 !!!', 'Errore durante il cambio password per %1 !'),
('it', 'admin', 'error changing the password for % !!!', 'Errore durante il cambio password per % !'),
('it', 'admin', 'error canceling timer, maybe there''s none set !!!', 'Errore cancellando il timer, forse non è impostato !!!'),
('it', 'admin', 'enter your smtp server port', 'Enter your SMTP server port'),
('it', 'admin', 'enter your http proxy server', 'Inserire il proxy HTTP'),
('it', 'admin', 'enter your http proxy server port', 'Inserire la porta del proxy HTTP'),
('it', 'admin', 'enter your smtp server hostname or ip address', 'Enter your SMTP server hostname or IP address'),
('it', 'admin', 'enter your default mail domain ( from: user@domain )', 'Inserisci il tuo dominio di posta predefinito ( Da: utente@dominio )'),
('it', 'admin', 'enter your default ftp server', 'Inserire il server FTP predefinito'),
('it', 'admin', 'enter the vfs-path where additional images, icons or logos can be placed (and found by egroupwares applications). the path must ', 'Inserisci il percorso VFS dove immagini, icone e logo aggiuntivi potranno essere memorizzati e localizzati dalle applicazioni di EGroupware. <br> Il percorso DEVE iniziare con / ed essere leggibile da parte di tutti gli utenti'),
('it', 'admin', 'enter the url where your logo should link to', 'Inserisci l''url a cui punterà il tuo logo'),
('it', 'admin', 'enter the url or filename (in your templates image directory) of your favicon (the little icon that appears in the browsers tabs', 'Inserisci l''URL oppure il percorso per il file favicon'),
('it', 'admin', 'enter the url or filename (in phpgwapi/templates/default/images) of your logo', 'Inserisci l''URL o il nome del file (in phpgwapi/templates/default/images) del tuo logo'),
('it', 'admin', 'enter the title of your logo', 'Inserisci il titolo del tuo logo'),
('it', 'admin', 'enter the title for your site', 'Inserisci il titolo per il tuo sito'),
('it', 'admin', 'enter the site username for peer servers', 'Inserisci il nome utente per i peer server'),
('it', 'admin', 'enter the site password for peer servers', 'Inserisci la password per i peer server'),
('it', 'admin', 'enter the search string. to show all entries, empty this field and press the submit button again', 'Inserisci la stringa di ricerca. Per vedere tutta la lista, svuota il campo e premi ancora il pulsante INVIA'),
('it', 'admin', 'enter the location of egroupware''s url.<br>example: http://www.domain.com/egroupware &nbsp; or &nbsp; /egroupware<br><b>no trail', 'Inserisci l''URL di eGroupWare.<br>Esempio: http://www.domain.com/egroupware   or   /egroupware<br><b>Senza la barra finale</b>'),
('it', 'admin', 'enter the hostname of the machine on which this server is running', 'Inserisci l''hostname della macchina su cui sta girando questo server'),
('it', 'admin', 'enter the full path for users and group files.<br>examples: /files, e:files', 'Inserisci il percorso completo per i file di utenti e gruppi.<br>Esempio: /files, E:\\FILES'),
('it', 'admin', 'enter the full path for users and group files.<br>examples: /files, e:\\files', 'Inserisci il percorso completo per i file di utenti e gruppi.<br>Esempio: /files, E:\\FILES'),
('it', 'admin', 'enter the full path for temporary files.<br>examples: /tmp, c:temp', 'Inserisci il percorso completo per i file temporanei.<br>Esempio: /tmp, C:\\TEMP'),
('it', 'admin', 'enter the full path for temporary files.<br>examples: /tmp, c:\\temp', 'Inserisci il percorso completo per i file temporanei.<br>Esempio: /tmp, C:\\TEMP'),
('it', 'admin', 'enter the background color for the site title', 'Inserisci il colore di background per il titolo del sito'),
('it', 'admin', 'enter the background color for the login page', 'Inserisci il colore di background per la pagina di login'),
('it', 'admin', 'enter some random text for app_session <br>encryption (requires mcrypt)', 'Inserisci del testo casuale per la cifratura di app_session (richiede mcrypt)'),
('it', 'admin', 'enter a description for the category', 'inserisci una descrizione per la categoria'),
('it', 'admin', 'enabled - popup window', 'Attivo - Finestra Popup'),
('it', 'admin', 'enabled - hidden from navbar', 'Attivo - nascosto dalla barra di navigazione'),
('it', 'admin', 'enable the xmlrpc service', 'Attiva servizio xmlrpc'),
('it', 'admin', 'enable spellcheck in rich text editor', 'Abilita il controllo ortografico nell''editor di testo'),
('it', 'admin', 'enable debug-messages', 'Attiva i messaggi di debug'),
('it', 'admin', 'enable the soap service', 'Attiva servizio soap'),
('it', 'admin', 'email address', 'Indirizzo email'),
('it', 'admin', 'email account active', 'Account email attivo'),
('it', 'admin', 'either install id and config password needed or the remote hash!', 'Sia ID e password di configurazione  sono necessari, oppure l''hash remoto!'),
('it', 'admin', 'egroupware version', 'Versione EGroupware'),
('it', 'admin', 'egroupware directory', 'Directory di EGroupware'),
('it', 'admin', 'educational: universities, schools, ...', 'Enti formativi: Università, Scuole, ...'),
('it', 'admin', 'edit user account', 'Modifica account dell''utente'),
('it', 'admin', 'edit user', 'modifica utente'),
('it', 'admin', 'edit this user', 'modifica questo utente'),
('it', 'admin', 'edit this group', 'modifica questo gruppo'),
('it', 'admin', 'edit this category', 'modifica questa categoria'),
('it', 'admin', 'edit table format', 'Modifica il formato della tabella'),
('it', 'admin', 'edit peer server', 'Modifica Peer Server'),
('it', 'admin', 'edit main screen message', 'Modifica il messaggio della schermata principale'),
('it', 'admin', 'edit login screen message', 'Modifica il messaggio della schermata di login'),
('it', 'admin', 'edit group acl''s', 'modifica le ACL del gruppo'),
('it', 'admin', 'edit group', 'Modifica Gruppo'),
('it', 'admin', 'edit global category for %1', 'Modifica la categoria globale per %1'),
('it', 'admin', 'edit global category', 'Modifica la categoria globale'),
('it', 'admin', 'edit email settings', 'Modifica impostazioni email'),
('it', 'admin', 'edit application', 'Modifica Applicazione'),
('it', 'admin', 'edit account', 'Modifica account'),
('it', 'admin', 'each value is a line like id[=label]', 'ogni valore è una linea come id[=label]'),
('it', 'admin', 'each value is a line like <id>[=<label>]', 'ogni valore è una linea come <id>[=<label>]'),
('it', 'admin', 'document root (default)', 'Directory di default del webserver'),
('it', 'admin', 'do you want to move all global subcategories one level down ?', 'Vuoi spostare tutte le sotto-categorie globali sotto di un livello ?'),
('it', 'admin', 'do you want to delete all global subcategories ?', 'Vuoi cancellare tutte le sotto-categorie globali ?'),
('it', 'admin', 'do you also want to delete all global subcategories ?', 'Vuoi eliminare anche tutte le sotto-categorie globali ?'),
('it', 'admin', 'do not delete the category and return back to the list', 'NON eliminare la categoria e torna alla lista'),
('it', 'admin', 'display', 'Visualizza'),
('it', 'admin', 'disabled (not recomended)', 'disabilitato (non consigliato)'),
('it', 'admin', 'disable wysiwyg-editor', 'disabilita editor WYSIWYG'),
('it', 'admin', 'disable "auto completion" of the login form', 'Disabilita l'' "auto completamento" del form di login'),
('it', 'admin', 'determines the order the fields are displayed', 'Determina l''ordine di visualizzazione dei campi'),
('it', 'admin', 'description can not exceed 255 characters in length !', 'La descrizione non può essere più lunga di 255 caratteri!'),
('it', 'admin', 'deny access to user accounts', 'Nega l''accesso alla gestione degli account utente'),
('it', 'admin', 'deny all users access to grant other users access to their entries ?', 'Nega a tutti gli utenti l''accesso ai dati inseriti dagli altri utenti ?'),
('it', 'admin', 'deny access to site configuration', 'Nega l''accesso alla configurazione del sito'),
('it', 'admin', 'deny access to phpinfo', 'Nega l''accesso al phpinfo'),
('it', 'admin', 'deny access to peer servers', 'Nega l''accesso ai peer servers'),
('it', 'admin', 'deny access to mainscreen message', 'Nega l''accesso a messaggio di benvenuto'),
('it', 'admin', 'deny access to groups', 'Nega l''accesso ai gruppi'),
('it', 'admin', 'deny access to global categories', 'Nega l''accesso alle categorie globali'),
('it', 'admin', 'deny access to error log', 'Nega l''accesso all''error log'),
('it', 'admin', 'deny access to db backup and restore', 'Nega accesso a backup e ripristino DB'),
('it', 'admin', 'deny access to current sessions', 'Nega l''accesso alla sessione corrente'),
('it', 'admin', 'deny access to asynchronous timed services', 'Nega l''accesso allo Schedulatore'),
('it', 'admin', 'deny access to applications', 'Nega l''accesso alle applicazioni'),
('it', 'admin', 'deny access to application registery', 'Nega l''accesso alla registrazione applicazioni'),
('it', 'admin', 'deny access to access log', 'Nega l''accesso ai log di accesso'),
('it', 'admin', 'deliver extern', 'Invia esterno'),
('it', 'admin', 'delete this user', 'Cancella questo utente'),
('it', 'admin', 'deletes this field', 'Cancella questo campo'),
('it', 'admin', 'delete this group', 'Cancella questo gruppo'),
('it', 'admin', 'delete this log entry', 'Rimuovi questa voce dal registro'),
('it', 'admin', 'delete this category', 'Cancella questa categoria'),
('it', 'admin', 'delete the selected entries', 'Rimuovi le voci selezionate'),
('it', 'admin', 'delete the group', 'cancella il gruppo'),
('it', 'admin', 'delete the category', 'cancella la categoria'),
('it', 'admin', 'delete selected entries', 'Rimuovi le voci selezionate'),
('it', 'admin', 'delete peer server', 'Cancella server peer'),
('it', 'admin', 'delete group', 'Cancella gruppo'),
('it', 'admin', 'delete category', 'Cancella categoria'),
('it', 'admin', 'delete application', 'Cancella applicazione'),
('it', 'admin', 'delete all records', 'Elimina tutto'),
('it', 'admin', 'delete account', 'Elimina account'),
('it', 'admin', 'delete account %1', 'Elimina account %1'),
('it', 'admin', 'default file system space per user/group ?', 'Spazio sul filesystem predefinito per utente/gruppo ?'),
('it', 'admin', 'deinstall crontab', 'Rimuovi crontab'),
('it', 'admin', 'default', 'Predefinito'),
('it', 'admin', 'default file system space per user', 'Spazio sul filesystem predefinito per l''utente'),
('it', 'admin', 'db backup and restore', 'Backup e ripristino DB'),
('it', 'admin', 'day of week<br>(0-6, 0=sun)', 'Giorno della settimana<br>(0-6, 0=Dom)'),
('it', 'admin', 'day', 'Giorno'),
('it', 'admin', 'cyrus imap server', 'Server IMAP Cyrus'),
('it', 'admin', 'data', 'Dati'),
('it', 'admin', 'created', 'Creato'),
('it', 'admin', 'created with id #%1', 'Creato con id #%1'),
('it', 'admin', 'creates a new field', 'Crea un nuovo campo'),
('it', 'admin', 'crontab only (recomended)', 'Solo crontab (raccomandato)'),
('it', 'admin', 'custom fields', 'Campi Personalizzati'),
('it', 'admin', 'create group', 'Crea gruppo'),
('it', 'admin', 'country selection', 'Selezione Paese'),
('it', 'admin', 'country', 'Paese'),
('it', 'admin', 'could not remote execute the command', 'Comando non eseguibile da remoto'),
('it', 'admin', 'cookie path (allows multiple egw sessions with different directories, has problemes with sitemgr!)', 'Percorso del cookie. Permette sessioni multiple con differenti cartelle.'),
('it', 'admin', 'cookie domain (default empty means use full domain name, for sitemgr eg. ".domain.com" allows to use the same cookie for egw.dom', 'Cookie del sito ( lasciando vuoto viene usato il nome intero del dominio, esempio con "domain.com" sarà permesso usare il cookie egw.domain.com e www.domain.com)'),
('it', 'admin', 'config password or md5 hash from the header.inc.php', 'Password di configurazione oppure hash md5 da header.inc.php'),
('it', 'admin', 'commercial: all sorts of companies', 'Commerciale: tutti i tipi di aziende'),
('it', 'admin', 'command scheduled to run at %1', 'Comando programmato per le %1'),
('it', 'admin', 'color', 'Colore'),
('it', 'admin', 'click to select a color', 'Clicca per selezionare un colore'),
('it', 'admin', 'children', 'Figli'),
('it', 'admin', 'check items to <b>%1</b> to %2 for %3', 'Controlla voci a <b>%1</b> a %2 per %3'),
('it', 'admin', 'check ip address of all sessions', 'Controlla l''indirizzo IP di tutte le sessioni'),
('it', 'admin', 'check acl for entries of not (longer) existing accounts', 'Controlla ACL per voci di account inesistenti.'),
('it', 'admin', 'change password for %1', 'Cambia password per %1'),
('it', 'admin', 'change main screen message', 'Cambia il messaggio della schermata principale'),
('it', 'admin', 'change config settings', 'Cambia le impostazioni di configurazione'),
('it', 'admin', 'change acl rights', 'Cambia i permessi ACL'),
('it', 'admin', 'change account_id', 'Cambia ID Account'),
('it', 'admin', 'category saved.', 'Categoria salvata'),
('it', 'admin', 'category list', 'Elenco categorie'),
('it', 'admin', 'category deleted.', 'Categoria eliminata'),
('it', 'admin', 'cancel testjob!', 'Annulla TestJob!'),
('it', 'admin', 'cancel this scheduled command', 'Cancella questo comando programmato'),
('it', 'admin', 'categories list', 'Elenco categorie'),
('it', 'admin', 'category %1 has been saved !', 'La categoria %1 è stata salvata!'),
('it', 'admin', 'can change password', 'Può cambiare la password'),
('it', 'admin', 'calculate next run', 'Calcola prossima esecuzione'),
('it', 'admin', 'bi-directional', 'bidirezionale'),
('it', 'admin', 'bottom', 'in fondo'),
('it', 'admin', 'bi-dir passthrough', 'passthrough bidirezionale'),
('it', 'admin', 'back to the list', 'torna alla lista'),
('it', 'admin', 'auto create account records for authenticated users', 'Crea automaticamente gli account per gli utenti autenticati'),
('it', 'admin', 'authentication / accounts', 'Autenticazione / Account'),
('it', 'admin', 'attribute mailforwardingaddress explained', 'Questo gestisce l''attributo <b><i>-mailForwardingAddress-</i></b> dallo schema QMAIL e non deve essere vuoto se assegnato.'),
('it', 'admin', 'attribute mailalternateaddress explained', 'Questo gestisce l''attributo <b><i>-mailAlternateAddress-</i></b> dallo schema QMAIL e può essere gestito come mappe virtuali o alias.'),
('it', 'admin', 'attribute mail explained', 'Questo gestisce l''attributo <b><i>-mail-</i></b> dallo schema QMAIL e non deve mai essere vuoto. Esso è anche il campo interno di email di eGW.'),
('it', 'admin', 'attribute accountstatus explained', 'Questo gestisce l''attributo <b><i>-accountStatus-</i></b> dallo schema QMAIL.'),
('it', 'admin', 'attempt to use correct mimetype for ftp instead of default ''application/octet-stream''', 'Cerca di usare il mimetype corretto per l''FTP invece di quello di predefinito ''application/octet-stream'''),
('it', 'admin', 'asyncservices not yet installed or other error (%1) !!!', 'Schedulatore non ancora installato o altro errore (%1) !!!'),
('it', 'admin', 'asynchronous timed services', 'Schedulatore'),
('it', 'admin', 'async services last executed', 'Ultima esecuzione dello Schedulatore'),
('it', 'admin', 'are you sure you want to delete this server?', 'Vuoi davvero eliminare questo server ?'),
('it', 'admin', 'are you sure you want to kill this session ?', 'Vuoi davvero terminare questa sessione ?'),
('it', 'admin', 'are you sure you want to delete this global category ?', 'Sei sicuro di voler cancellare questa categoria globale ?'),
('it', 'admin', 'are you sure you want to delete this group ?', 'Vuoi davvero eliminare questo gruppo ?'),
('it', 'admin', 'are you sure you want to delete this application ?', 'Vuoi davvero eliminare questa applicazione ?'),
('it', 'admin', 'are you sure you want to delete this account ?', 'Vuoi davvero eliminare questo account ?'),
('it', 'admin', 'archive: zip or tar', 'Archivia: zip o tar'),
('it', 'admin', 'are you sure you want to delete the application %1 ?', 'Sei sicuro di voler cancellare l''applicazione %1 ?'),
('it', 'admin', 'applications run rights updated.', 'Permessi di esecuzione applicazioni aggiornati.'),
('it', 'admin', 'applies the changes', 'applica le modifiche'),
('it', 'admin', 'apply the changes', 'Applica le modifiche'),
('it', 'admin', 'applications list', 'Elenco applicazioni'),
('it', 'admin', 'applications', 'Applicazioni'),
('it', 'admin', 'application title', 'Titolo applicazione'),
('it', 'admin', 'application name', 'Nome applicazione'),
('it', 'admin', 'application ''%1'' not found (maybe not installed or misspelled)!', 'Applicazione ''%1'' non trovata: Forse non è stata installata oppure il nome è errato.'),
('it', 'admin', 'application', 'Applicazione'),
('it', 'admin', 'appearance', 'Aspetto'),
('it', 'admin', 'anonymous user has no run-rights for the application!', 'L''Utente Anonimo NON ha diritti di esecuzione per l''applicazione!'),
('it', 'admin', 'anonymous user does not exist!', 'L''Utente Anonimo NON esiste!'),
('it', 'admin', 'anonymous user (not shown in list sessions)', 'Utente Anonimo (non visualizzato nella lista delle sessioni)'),
('it', 'admin', 'anonymous user', 'Utente anonimo'),
('it', 'admin', 'alternate email address', 'indirizzo email alternativo'),
('it', 'admin', 'allow remote administration from following install id''s (comma separated)', 'Permetti l''amministrazione remota dai seguenti ID di installazione, separati da virgola.'),
('it', 'admin', 'allow anonymous access to this app', 'Consenti accesso anonimo a questa applicazione'),
('it', 'admin', 'all users', 'Tutti gli utenti'),
('it', 'admin', 'all records and account information will be lost!', 'Tutte le registrazioni e le informazioni dell''account andranno perse!'),
('it', 'admin', 'aliases', 'Alias'),
('it', 'admin', 'after how many unsuccessful attempts to login, an ip should be blocked (default 3) ?', 'Dopo quanti tentativi falliti di login, un IP deve essere bloccato (predefinito 3) ?'),
('it', 'admin', 'advanced options', 'Opzioni avanzate'),
('it', 'admin', 'after how many unsuccessful attempts to login, an account should be blocked (default 3) ?', 'Dopo quanti tentativi falliti di login, un account deve essere bloccato (predefinito 3) ?'),
('it', 'admin', 'admins', 'Amministratori'),
('it', 'admin', 'administration', 'Amministrazione'),
('it', 'admin', 'admin queue and history', 'Coda e storico di amminstrazione'),
('it', 'admin', 'admin name', 'Nome Amministratore'),
('it', 'admin', 'admin email addresses (comma-separated) to be notified about the blocking (empty for no notify)', 'Indirizzo e-mail dell''amministratore (separato da virgole) che sarà avvisato del blocco (vuoto per nessun avviso)'),
('it', 'admin', 'admin email', 'Email Amministratore'),
('it', 'admin', 'add sub-category', 'Aggiungi sotto-categoria'),
('it', 'admin', 'add peer server', 'Aggiungi Peer Server'),
('it', 'admin', 'add new application', 'Aggiungi nuova applicazione'),
('it', 'admin', 'add new account', 'Aggiungi nuovo account'),
('it', 'admin', 'add group', 'Aggiungi gruppo'),
('it', 'admin', 'add global category for %1', 'Aggiungi categoria globale per %1'),
('it', 'admin', 'add global category', 'Aggiungi categoria globale'),
('it', 'admin', 'add auto-created users to this group (''default'' will be attempted if this is empty.)', 'Aggiungi a questo gruppo gli utenti creati automaticamente (verrà usato ''Default'' se questo campo risulta vuoto.)'),
('it', 'admin', 'add application', 'Aggiungi applicazione'),
('it', 'admin', 'add account', 'Aggiunti un account'),
('it', 'admin', 'add a user', 'aggiungi un utente'),
('it', 'admin', 'add a subcategory', 'aggiunti una sotto-categoria'),
('it', 'admin', 'add a new remote instance', 'Aggiungi una istanza remota'),
('it', 'admin', 'add a new account.', 'Aggiungi un nuovo account.'),
('it', 'admin', 'add a group', 'aggiungi un gruppo'),
('it', 'admin', 'add a category', 'aggiungi una categoria'),
('it', 'admin', 'activate wysiwyg-editor', 'attiva editor WYSIWYG'),
('it', 'admin', 'actions', 'Azioni'),
('it', 'admin', 'action', 'Azione'),
('it', 'admin', 'acl manager', 'Gestione ACL'),
('it', 'admin', 'account-id''s have to be integers!', 'Gli ID Account devono essere numeri interi!'),
('it', 'admin', 'account preferences', 'Preferenze account'),
('it', 'admin', 'account permissions', 'Permessi account'),
('it', 'admin', 'account list', 'Elenco account'),
('it', 'admin', 'account active', 'Account attivo'),
('it', 'admin', 'account ''%1'' deleted.', 'Account ''%1'' eliminato.'),
('it', 'admin', 'account %1 %2', 'Account %1 %2'),
('it', 'admin', 'accesslog and bruteforce defense', 'Registro degli Accessi e difesa BruteForce'),
('it', 'admin', '-  type', '- tipo'),
('it', 'admin', '(to install new applications use<br><a href="setup/" target="setup">setup</a> [manage applications] !!!)', '(Per installare nuove applicazioni utilizzare<br><a href="setup/" target="setup">Setup</a> [Gestione Applicazioni] !!!)'),
('it', 'admin', '(stored password will not be shown here)', 'La password memorizzata non verrà mostrata qui'),
('it', 'admin', '(default no, leave it off if you dont use it)', 'Predefinito = No, lascialo così se non lo usi'),
('it', 'admin', '%1 user %2', '%1 utente %2'),
('it', 'admin', '%1 sessions killed', '%1 sessioni terminate.'),
('it', 'admin', '%1 rights for %2 and applications %3', '%1 diritti per %2 e applicazioni %3 .'),
('it', 'admin', '%1 not found or not executable !!!', '%1 non trovato o non eseguibile !!!'),
('it', 'admin', '%1 log entries deleted.', '%1voci di registro eliminate.'),
('it', 'admin', '%1 group %2', '%1 gruppo %2'),
('it', 'admin', '%1 is no command!', '%1 non è un comando!'),
('it', 'admin', '%1 class not instanciated', '%1 classe not istanziata'),
('it', 'admin', '%1 acl records of not (longer) existing accounts deleted.', '%1 record ACL di account non (più) esistenti cancellati.'),
('it', 'admin', '%1 - %2 of %3 user accounts', '%1 - %2 di %3 account utenti'),
('it', 'admin', '%1 - %2 of %3 user groups', '%1 - %2 di %3 gruppi utenti'),
('it', 'admin', 'yes, users can purge their deleted items', 'Sì, gli utenti possono rimuovere definitivamente gli elementi eliminati.'),
('it', 'admin', 'yes, only admins can purge deleted items', 'Sì, solo gli amministratori possono cancellare definitivamente gli elementi'),
('it', 'admin', 'warning!! ldap is valid only if you are not using contacts for accounts storage!', 'ATTENZIONE!! LDAP è utilizzabile solo se NON stai usando i contatti per la memorizzazione dei dati sugli account!'),
('it', 'admin', 'start', 'Inizio'),
('it', 'admin', 'telephony integration', 'Integrazione telefonia'),
('it', 'admin', 'select where you want to store / retrieve contacts', 'Seleziona dove vuoi registrare / recuperare i contatti'),
('it', 'admin', 'options for type', 'Opzioni per tipo'),
('it', 'admin', 'migration to ldap', 'Migrazione a LDAP'),
('it', 'admin', 'ldap settings for contacts', 'Impostazioni LDAP per i contatti'),
('it', 'admin', 'ldap host for contacts', 'Server LDAP per i contatti'),
('it', 'admin', 'ldap context for contacts', 'Contesto LDAP per i contatti'),
('it', 'admin', 'if accounts are already in ldap', 'se gli account sono già in LDAP'),
('it', 'admin', 'history logging', 'Registrazione dello storico'),
('it', 'admin', 'empty', 'Vuoto'),
('it', 'admin', 'contacts to ldap', 'contatti a LDAP'),
('it', 'admin', 'edit custom fields', 'Modifica campi personalizzati'),
('it', 'admin', 'edit extra account-data in the addressbook', 'Modifica dati-account extra nella rubrica'),
('it', 'admin', 'contact settings', 'Impostazioni Contatto'),
('it', 'admin', 'contact application', 'Applicativo Contatti'),
('it', 'admin', 'contact repository', 'Archivio contatti'),
('it', 'admin', 'chosse an etemplate for this contact type', 'Scegli un eTemplate per questo tipo di contatto'),
('it', 'admin', 'choose an icon for this contact type', 'Scegli un''icona per questo tipo di contatto'),
('it', 'admin', 'can be changed via setup >> configuration', 'Può essere modificato tramite Setup >> Configurazione'),
('it', 'admin', 'allow users to maintain their own account-data', 'Permetti agli utenti di gestire i dati del proprio account'),
('it', 'admin', 'additional information about using ldap as contact repository', 'Informazione aggiuntiva riguardante l''utilizzo di LDAP come archivio contatti'),
('it', 'admin', 'account repository', 'Archivio account'),
('it', 'addressbook', 'zip_note', '<p><b>Note:</b> Il file deve essere uno zip contentente file .csv, .vcf, o .ldif.  Tuttavia, non mischiare i tipi di file da importare'),
('it', 'addressbook', 'you need to select some contacts first', 'Devi prima selezionare qualche contatto'),
('it', 'addressbook', 'you must select at least 1 column to display', 'Devi selezionare almeno una colonna da visualizzare'),
('it', 'addressbook', 'you must select a vcard. (*.vcf)', 'Devi selezionare una vcard (*.vcf)'),
('it', 'addressbook', 'you can respond by visiting:', 'Puoi rispondere visitando:'),
('it', 'addressbook', 'you are not permittet to view this contact', 'Non hai il permesso di visualizzare questo contatto'),
('it', 'addressbook', 'you are not permittet to edit this contact', 'Non hai il permesso di modificare questo contatto'),
('it', 'addressbook', 'you are not permittet to delete this contact', 'Non hai il permesso di cancellare questo contatto'),
('it', 'addressbook', 'you are not permitted to delete contact %1', 'Non hai il permesso di cancellare il contatto %1'),
('it', 'addressbook', 'yes, for today and tomorrow', 'Sì, per oggi e domani'),
('it', 'addressbook', 'yes, for the next week', 'Sì, per la prossima settimana'),
('it', 'addressbook', 'yes, for the next two weeks', 'Sì, per le prossime due settimane'),
('it', 'addressbook', 'yes, for the next three days', 'Sì, per i prossimi tre giorni'),
('it', 'addressbook', 'work phone', 'Telefono Ufficio'),
('it', 'addressbook', 'whole query', 'intera query'),
('it', 'addressbook', 'weekday', 'Giorno della settimana'),
('it', 'addressbook', 'warning: all contacts found will be deleted!', 'ATTENZIONE: Tutti i contatti trovati saranno cancellati!'),
('it', 'addressbook', 'vcards require a last name entry.', 'Le Vcards richiedono un valore per il cognome'),
('it', 'addressbook', 'vcards require a first name entry.', 'Le VCard richiedono un valore per il nome.'),
('it', 'addressbook', 'used for links and for the own sorting of the list', 'usato per collegamenti e per il proprio ordinamento della lista'),
('it', 'addressbook', 'use this tag for addresslabels. put the content, you want to repeat, between two tags.', 'Usa questo tag per le etichette di indirizzo. Posiziona il contenuto da ripetere, tra due tag.'),
('it', 'addressbook', 'use country list', 'Usa la lista delle nazioni'),
('it', 'addressbook', 'upload or delete the photo', 'Carica o cancella la foto'),
('it', 'addressbook', 'updated', 'Aggiornato'),
('it', 'addressbook', 'update a single entry by passing the fields.', 'Aggiorna una singola voce passando i campi.'),
('it', 'addressbook', 'type', 'Tipo'),
('it', 'addressbook', 'translation', 'Traduzione'),
('it', 'addressbook', 'to many might exceed your execution-time-limit', 'troppi potrebbero far superare il tempo-limite-esecuzione'),
('it', 'addressbook', 'timezone', 'Fuso orario'),
('it', 'addressbook', 'this person''s last name was not in the address book.', 'Il cognome di questa persona non era nella rubrica.'),
('it', 'addressbook', 'that field name has been used already !', 'Il nome di campo è già stato utilizzato'),
('it', 'addressbook', 'this person''s first name was not in the address book.', 'Il nome di questa persona non era nella rubrica.'),
('it', 'addressbook', 'tel home', 'tel abitazione'),
('it', 'addressbook', 'test import (show importable records <u>only</u> in browser)', 'Test importazione (mostra <u>solo</u> record importabili nel browser)'),
('it', 'addressbook', 'tag to mark positions for address labels', 'Tagga per marcare le posizioni per le etichette di indirizzo'),
('it', 'addressbook', 'suffix', 'Suffisso'),
('it', 'addressbook', 'successfully imported %1 records into your addressbook.', 'Nella tua rubrica sono state importate con successo %1 schede.');
INSERT INTO `egw_lang` (`lang`, `app_name`, `message_id`, `content`) VALUES
('it', 'addressbook', 'startrecord', 'Record Iniziale'),
('it', 'addressbook', 'show birthday reminders on main screen', 'Visualizza i promemoria dei compleanni nella schermata principale'),
('it', 'addressbook', 'show the contacts of this organisation', 'Mostra i contatti di questa organizzazione'),
('it', 'addressbook', 'show', 'Mostra'),
('it', 'addressbook', 'selected contacts', 'contatti selezionati'),
('it', 'addressbook', 'select the type of conversion:', 'Seleziona il tipo di conversione:'),
('it', 'addressbook', 'select the type of conversion', 'Seleziona il tipo di conversione'),
('it', 'addressbook', 'select all', 'Seleziona tutto'),
('it', 'addressbook', 'select multiple contacts for a further action', 'Seleziona contatti multipli per azioni ulteriori'),
('it', 'addressbook', 'select addressbook type', 'Seleziona il tipo di rubrica'),
('it', 'addressbook', 'select a view', 'Seleziona una vista'),
('it', 'addressbook', 'select a portrait format jpeg photo. it will be resized to 60 pixel width.', 'Seleziona una foto jpeg in formato ritratto. Sarà ridimensionata ad una larghezza di 60 pixel.'),
('it', 'addressbook', 'search for ''%1''', 'Cerca ''%1'''),
('it', 'addressbook', 'room', 'Stanza'),
('it', 'addressbook', 'role', 'Ruolo'),
('it', 'addressbook', 'repetition', 'Ripetizione'),
('it', 'addressbook', 'record owner', 'Proprietario della scheda'),
('it', 'addressbook', 'record access', 'Accesso alla scheda'),
('it', 'addressbook', 'read only', 'sola lettura'),
('it', 'addressbook', 'read a single entry by passing the id and fieldlist.', 'Leggi una singola voce passando l''ID e elenco campi.'),
('it', 'addressbook', 'read a list of entries.', 'Leggi un elenco di voci'),
('it', 'addressbook', 'read a list / search for entries.', 'Leggi un elenco / cerca delle voci.'),
('it', 'addressbook', 'publish into groups:', 'Pubblica nei gruppi:'),
('it', 'addressbook', 'public key', 'Chiave Pubblica'),
('it', 'addressbook', 'prefix', 'Prefisso'),
('it', 'addressbook', 'preferred phone', 'telefono preferito'),
('it', 'addressbook', 'pref', 'pref'),
('it', 'addressbook', 'please select only one category', 'Per favore seleziona solo una categoria'),
('it', 'addressbook', 'please enter a name for that field !', 'Per favore inserire un nome per qesto campo'),
('it', 'addressbook', 'photo', 'Foto'),
('it', 'addressbook', 'permission denied !!!', 'Permesso negato !!!'),
('it', 'addressbook', 'parcel', 'Parcel'),
('it', 'addressbook', 'participants', 'Partecipanti'),
('it', 'addressbook', 'own sorting', 'proprio ordinamento'),
('it', 'addressbook', 'other phone', 'Altro Telefono'),
('it', 'addressbook', 'other number', 'Altro Numero'),
('it', 'addressbook', 'organisations by location', 'Organizzazioni per località'),
('it', 'addressbook', 'organisations', 'Organizzazioni'),
('it', 'addressbook', 'organisations by departments', 'Organizzazioni per dipartimenti'),
('it', 'addressbook', 'organisation', 'organizzazione'),
('it', 'addressbook', 'number of records to read (%1)', 'Numero di record da leggere (%1)'),
('it', 'addressbook', 'number', 'Numero'),
('it', 'addressbook', 'multiple vcard', 'Molteplici VCard'),
('it', 'addressbook', 'name of current user, all other contact fields are valid too', 'Nome dell''utente corrente, tutti gli altri campi di contatto sono validi pure.'),
('it', 'addressbook', 'no vcard', 'Nessuna VCard'),
('it', 'addressbook', 'moved', 'spostato'),
('it', 'addressbook', 'more ...', 'Altro ...'),
('it', 'addressbook', 'mobile phone', 'Telefono Mobile'),
('it', 'addressbook', 'modem phone', 'Telefono Modem'),
('it', 'addressbook', 'mobile', 'Mobile'),
('it', 'addressbook', 'migration finished', 'Migrazione terminata'),
('it', 'addressbook', 'middle name', 'Secondo Nome'),
('it', 'addressbook', 'message phone', 'Telefono per Messaggi'),
('it', 'addressbook', 'mark records as private', 'Marca i record come privati'),
('it', 'addressbook', 'manage mapping', 'Gestisci la mappatura'),
('it', 'addressbook', 'location', 'Località'),
('it', 'addressbook', 'locations', 'località'),
('it', 'addressbook', 'list all customfields', 'Elenca tutti i campi personalizzati'),
('it', 'addressbook', 'load vcard', 'Carica VCard'),
('it', 'addressbook', 'list all categories', 'Elenca tutte le categorie'),
('it', 'addressbook', 'ldif', 'LDIF'),
('it', 'addressbook', 'line 2', 'Linea 2'),
('it', 'addressbook', 'links', 'Collegamenti'),
('it', 'addressbook', 'label', 'Etichetta'),
('it', 'addressbook', 'last modified', 'ultima modifica'),
('it', 'addressbook', 'last modified by', 'ultima modifica di'),
('it', 'addressbook', 'insert in document', 'Inserisci in documento'),
('it', 'addressbook', 'international', 'Internazionale'),
('it', 'addressbook', 'in %1 days (%2) is %3''s birthday.', 'Tra %1 giorni (%2) sarà il compleanno di %3.'),
('it', 'addressbook', 'income', 'Entrata'),
('it', 'addressbook', 'infolog', 'Attività'),
('it', 'addressbook', 'import_instructions', 'In Netscape, apri la rubrica e seleziona <b>Esporta</b> dal menu <b>File</b>.  Il file verrà esportato in formato LDIF.<p>O, in Outlook, seleziona la cartella Contatti , seleziona <b>Importa ed esporta...</b> dal menu <b>File</b> ed esporta i contatti nel formato testo separato da virgola (CSV).  <p>O, in Palm Desktop 4.0 o superiore, apri l''agenda e seleziona <b>Esporta</b> dal menu <b>File</b>.  Il file verrà esportato in formato VCard.'),
('it', 'addressbook', 'import multiple vcard', 'Importa Molteplici VCard'),
('it', 'addressbook', 'import next set', 'Import il prossimo set'),
('it', 'addressbook', 'import from outlook', 'Importa da Outlook'),
('it', 'addressbook', 'import from ldif, csv, or vcard', 'Importa da LDIF, CSV, or VCard'),
('it', 'addressbook', 'import file', 'Importa File'),
('it', 'addressbook', 'import from', 'Importa da'),
('it', 'addressbook', 'import csv-file into addressbook', 'Importa file CSV nella Rubrica'),
('it', 'addressbook', 'import', 'Importa'),
('it', 'addressbook', 'import contacts', 'Importa Contatti'),
('it', 'addressbook', 'home zip code', 'CAP Abitazione'),
('it', 'addressbook', 'icon', 'Icona'),
('it', 'addressbook', 'home street', 'Via Abitazione'),
('it', 'addressbook', 'home state', 'Provincia Abitazione'),
('it', 'addressbook', 'home phone', 'Telefono Abitazione'),
('it', 'addressbook', 'home email', 'Email Abitazione'),
('it', 'addressbook', 'home country', 'Nazione Abitazione'),
('it', 'addressbook', 'home city', 'Città Abitazione'),
('it', 'addressbook', 'h', 'h'),
('it', 'addressbook', 'home address', 'Indirizzo Abitazione'),
('it', 'addressbook', 'group %1', 'Gruppo %1'),
('it', 'addressbook', 'geo', 'GEO'),
('it', 'addressbook', 'global categories', 'Categorie Globali'),
('it', 'addressbook', 'full name', 'Nome completo'),
('it', 'addressbook', 'general', 'Generale'),
('it', 'addressbook', 'for serial letter use this tag. put the content, you want to repeat between two tags.', 'Per una lettera seriale, utilizzare questo tag. Immettere il contenuto che si vuole ripetere tra due tag.'),
('it', 'addressbook', 'fieldseparator', 'Separatore dei campi'),
('it', 'addressbook', 'fields for the csv export', 'Campi per l''esportazione CSV'),
('it', 'addressbook', 'fields to show in address list', 'Campi da visualizzare nella lista degli indirizzi'),
('it', 'addressbook', 'field name', 'Nome Campo'),
('it', 'addressbook', 'field %1 has been added !', 'Il campo %1 è stato aggiunto!'),
('it', 'addressbook', 'field %1 has been updated !', 'Il campo %1 è stato aggiornato!'),
('it', 'addressbook', 'fax', 'Fax'),
('it', 'addressbook', 'extra', 'Extra'),
('it', 'addressbook', 'exported', 'esportato'),
('it', 'addressbook', 'export selection', 'Esporta selezione'),
('it', 'addressbook', 'export from addressbook', 'Esporta dalla Rubrica'),
('it', 'addressbook', 'export as vcard', 'Esporta come VCard'),
('it', 'addressbook', 'export contacts', 'Esporta Contatti'),
('it', 'addressbook', 'export file name', 'Esporta nome file'),
('it', 'addressbook', 'export', 'esporta'),
('it', 'addressbook', 'export as csv', 'Esporta come CSV'),
('it', 'addressbook', 'existing links', 'Collegamenti esistenti'),
('it', 'addressbook', 'error: the entry has been updated since you opened it for editing!', 'L''inserimento è stato modificato dall''ultima volta che l''hai aperto per la modifica!'),
('it', 'addressbook', 'error saving the contact !!!', 'Errore salvando il contatto !!!'),
('it', 'addressbook', 'error deleting the contact !!!', 'Errore cancellando il contatto !!!'),
('it', 'addressbook', 'end', 'Fine'),
('it', 'addressbook', 'enter the path to the exported file here', 'Inserisci qui il percorso per il file esportato'),
('it', 'addressbook', 'empty for all', 'per tutti vuoto'),
('it', 'addressbook', 'enable an extra private addressbook', 'Abilita una rubrica extra privata'),
('it', 'addressbook', 'edit phonenumbers -', 'Modifica Numeri telefonici -'),
('it', 'addressbook', 'email & internet', 'Email e Internet'),
('it', 'addressbook', 'duration', 'Durata'),
('it', 'addressbook', 'edit custom field', 'Modifica campo personalizzato'),
('it', 'addressbook', 'download this contact as vcard file', 'scarica questo contatto come file vCard'),
('it', 'addressbook', 'download export file (uncheck to debug output in browser)', 'Download del file export (Deseleziona per visualizzarlo nel browser)'),
('it', 'addressbook', 'domestic', 'Nazionale'),
('it', 'addressbook', 'download', 'Download'),
('it', 'addressbook', 'doesn''t matter', 'non importa'),
('it', 'addressbook', 'do your really want to delete this contact?', 'Vuoi davvero eliminare questo contatto'),
('it', 'addressbook', 'do you want a private addressbook, which can not be viewed by users, you grant access to your personal addressbook?', 'Vuoi una rubrica privata, che non può essere vista dagli utenti, autorizzi l''accesso alla tua rubrica personale?'),
('it', 'addressbook', 'displays a remider for birthdays on the startpage (page you get when you enter egroupware or click on the homepage icon).', 'Visualizza un promemoria per i compleanni sulla pagina iniziale (pagina che vedi quando entri in eGroupWare o clicchi sull''icona Home).'),
('it', 'addressbook', 'deleted', 'cancellato'),
('it', 'addressbook', 'deletes the photo', 'Cancella la foto'),
('it', 'addressbook', 'departments', 'dipartimenti'),
('it', 'addressbook', 'delete this contact', 'Cancella questo contatto'),
('it', 'addressbook', 'delete this organisation including all its contacts', 'Cancella questa organizzazione inclusi TUTTI i suoi contatti'),
('it', 'addressbook', 'default filter', 'Filtro predefinito'),
('it', 'addressbook', 'delete a single entry by passing the id.', 'Cancella un singola voce passando l''ID.'),
('it', 'addressbook', 'default addressbook for adding contacts', 'Rubrica predefinita per l''aggiunta di contatti'),
('it', 'addressbook', 'default', 'Predefinito'),
('it', 'addressbook', 'debug output in browser', 'Visualizza nel browser'),
('it', 'addressbook', 'custom fields', 'Campi Personalizzati'),
('it', 'addressbook', 'custom', 'Personalizzato'),
('it', 'addressbook', 'csv-filename', 'CSV-Nome del File'),
('it', 'addressbook', 'csv-fieldname', 'CSV-Nome del Campo'),
('it', 'addressbook', 'credit', 'Credito'),
('it', 'addressbook', 'created', 'Creato'),
('it', 'addressbook', 'create new links', 'Crea nuovi collegamenti'),
('it', 'addressbook', 'copy your changes to the clipboard, %1reload the entry%2 and merge them.', 'Copia le tue modifiche negli appunti, %1aggiorna l''inserimento%2 e uniscili.'),
('it', 'addressbook', 'copy a contact and edit the copy', 'Copia un contatto e modifica la copia'),
('it', 'addressbook', 'copied by %1, from record #%2.', 'Copiato %1, dal record n.%2.'),
('it', 'addressbook', 'contains', 'contiene'),
('it', 'addressbook', 'contact saved', 'Contatto salvato'),
('it', 'addressbook', 'contact id', 'ID contatto'),
('it', 'addressbook', 'contact not found!', 'Contatto non trovato!'),
('it', 'addressbook', 'contact deleted', 'Contatto cancellato'),
('it', 'addressbook', 'charset for the csv export', 'Set di Caratteri per esportazione CSV'),
('it', 'addressbook', 'charset of file', 'Set di Caratteri del file'),
('it', 'addressbook', 'check all', 'Seleziona tutto'),
('it', 'addressbook', 'company name', 'Nome società'),
('it', 'addressbook', 'contact copied', 'Contatto copiato'),
('it', 'addressbook', 'change all organisation members', 'modifica tutti i membri dell''organizzazione'),
('it', 'addressbook', 'cell phone', 'Telefono cellulare'),
('it', 'addressbook', 'car phone', 'Telefono veicolare'),
('it', 'addressbook', 'calendar uri', 'URI Agenda'),
('it', 'addressbook', 'calendar fields:', 'Campi agenda:'),
('it', 'addressbook', 'business zip code', 'CAP ufficio'),
('it', 'addressbook', 'business street', 'Via ufficio'),
('it', 'addressbook', 'business fax', 'Fax ufficio'),
('it', 'addressbook', 'business phone', 'Telefono ufficio'),
('it', 'addressbook', 'business state', 'Provincia ufficio'),
('it', 'addressbook', 'business email', 'Email Ufficio'),
('it', 'addressbook', 'business city', 'Città Ufficio'),
('it', 'addressbook', 'business country', 'Nazione Ufficio'),
('it', 'addressbook', 'assistent phone', 'telefono assistente'),
('it', 'addressbook', 'blank', 'In bianco'),
('it', 'addressbook', 'business address', 'Indirizzo Ufficio'),
('it', 'addressbook', 'are you sure you want to delete this field?', 'Vuoi davvero eliminare questo campo?'),
('it', 'addressbook', 'assistent', 'Assistente'),
('it', 'addressbook', 'are you shure you want to delete this contact?', 'Vuoi davvero eliminare questo contatto?'),
('it', 'addressbook', 'apply the action on the whole query, not only the shown contacts!!!', 'Applica l''azione a tutta la query, NON solo ai contatti mostrati!!!'),
('it', 'addressbook', 'always', 'sempre'),
('it', 'addressbook', 'apply changes to all members, whose fields have the same previous content', 'Applica le modifiche a tutti i membri i cui campi hanno lo stesso contenuto precedente'),
('it', 'addressbook', 'alt. csv import', 'Importazione CSV Alternativa'),
('it', 'addressbook', 'all contacts', 'Tutti i contatti'),
('it', 'addressbook', 'addvcard', 'Aggiungi Vcard'),
('it', 'addressbook', 'advanced search', 'Ricerca avanzata'),
('it', 'addressbook', 'addressbook-fieldname', 'Rubrica - Nome del Campo'),
('it', 'addressbook', 'addressbook preferences', 'Preferenze Rubrica'),
('it', 'addressbook', 'addressbook the contact should be saved to', 'Rubrica nella quale salvare il contatto'),
('it', 'addressbook', 'addressbook menu', 'Menù Rubrica'),
('it', 'addressbook', 'address book - view', 'Rubrica - visualizza'),
('it', 'addressbook', 'address line 2', 'Indirizzo linea 2'),
('it', 'addressbook', 'address type', 'Tipo di indirizzo'),
('it', 'addressbook', 'address book - vcard in', 'Rubrica - VCard in'),
('it', 'addressbook', 'added', 'Aggiunto'),
('it', 'addressbook', 'added by synchronisation', 'Aggiunto da sincronizzazione'),
('it', 'addressbook', 'add custom field', 'Aggiungi campo personalizzato'),
('it', 'addressbook', 'add a single entry by passing the fields.', 'Aggiungi un solo elemento passando i campi.'),
('it', 'addressbook', 'add a new contact', 'Aggiungi un nuovo contatto'),
('it', 'addressbook', 'add %1', 'Aggiungi %1'),
('it', 'addressbook', 'add a contact to this organisation', 'Aggiungi un contatto a questa organizzazione'),
('it', 'addressbook', 'actions', 'Azioni'),
('it', 'addressbook', 'accounts', 'Account'),
('it', 'addressbook', '@-eval() is only availible to admins!!!', '@-eval() è disponibile solo agli amministratori!!!'),
('it', 'addressbook', '<b>no conversion type &lt;none&gt; could be located.</b>  please choose a conversion type from the list', '<b>Il tipo di conversione <nessuno> non è stato trovato.</b> Per favore scegliere un tipo di conversione dalla lista'),
('it', 'addressbook', '(e.g. 1969)', '(es. 1969)'),
('it', 'addressbook', '%1 starts with ''%2''', '%1 inizia con ''%2'''),
('it', 'addressbook', '%1 records read (not yet imported, you may go %2back%3 and uncheck test import)', '%1 record letti (non ancora importati, è possibile tornare %2indietro%3 e deselezionare Test Importazione)'),
('it', 'addressbook', '%1 records imported', '%1 record importati'),
('it', 'addressbook', '%1 fields in %2 other organisation member(s) changed', '%1 campi in %2 altro/i membro/i dell''organizzazione modificati.'),
('it', 'addressbook', '%1 contact(s) %2', '%1 contatto(i) %2'),
('it', 'addressbook', '%1 contact(s) %2, %3 failed because of insufficent rights !!!', '%1 contatto/i %2, %3 fallita a causa di diritti insufficienti !!!'),
('it', 'addressbook', '%1 added', '%1 aggiunto'),
('de', 'wiki', 'your user name is "%1".', 'Ihr Benutzername ist "%1".'),
('de', 'wiki', 'your changes', 'Ihre Änderungen'),
('de', 'wiki', 'you have no rights to view wiki content !!!', 'Sie haben keine Rechte um Wiki Inhalte anzusehen !!!'),
('de', 'wiki', 'you have exeeded the number of pages you are allowed to visit in a given period of time. please return later.', 'Sie haben die maximale Anzahl Seiten überschritten, die Sie in einer vorgegebenen Zeitspannebesuchen dürfen. Bitte kommen Sie später wieder.'),
('de', 'wiki', 'you have entered an invalid user name.', 'Sie haben einen ungültigen Benutzernamen eingegeben.'),
('de', 'wiki', 'you have been denied access to this site.', 'Ihr Zugriff auf diese Seite wurde gesperrt.'),
('de', 'wiki', 'writable by', 'Schreibbar von'),
('de', 'wiki', 'wiki startpage', 'Wiki Startseite'),
('de', 'wiki', 'wiki menu', 'Wiki Menü'),
('de', 'wiki', 'wiki administration', 'Wiki Administration'),
('de', 'wiki', 'who should be able to edit this page', 'wer soll diese Seite bearbeiten können'),
('de', 'wiki', 'who should be able to read this page', 'wer soll diese Seite lesen können'),
('de', 'wiki', 'visit %1 to set your user name', 'Besuchen Sie die %1 um ihren Benutzernamen zu setzten'),
('de', 'wiki', 'warning: since you started editing, this document has been changed by someone else.  please merge your edits into the current ve', 'Warnung: Seit Sie begonnen haben das Dokument zu bearbeiten wurde es von jemandem anders verändert. Bitte übertragen Sie ihre Änderungen in die aktuelle Version des Dokuments.'),
('de', 'wiki', 'users', 'Benutzern'),
('de', 'wiki', 'view document history', 'Bearbeitungshistorie des Dokuments anzeigen'),
('de', 'wiki', 'updates the preview', 'Aktualisiert die Vorschau'),
('de', 'wiki', 'use this module for displaying wiki-pages', 'Benutzen Sie diese Modul zum Anzeigen von Seiten aus dem Wiki'),
('de', 'wiki', 'unblock', 'Blockierung aufheben'),
('de', 'wiki', 'twin pages', 'Zwillingsseiten'),
('de', 'wiki', 'this page can not be edited.', 'Diese Seite kann nicht bearbeitet werden.'),
('de', 'wiki', 'the search returned no result!', 'Die Suche lieferte kein Ergebnis!'),
('de', 'wiki', 'summary of change', 'Zusammenfassung der Änderungen'),
('de', 'wiki', 'summary', 'Zusammenfassung'),
('de', 'wiki', 'show the title of the wiki page', 'Titel der Wiki Seite anzeigen'),
('de', 'wiki', 'show a search', 'Eine Suche anzeigen'),
('de', 'wiki', 'see complete list (%1 entries)', 'Komplette Liste anzeigen (%1 Einträge)'),
('de', 'wiki', 'search for', 'Suchen nach'),
('de', 'wiki', 'saves and continues editing', 'Speichern und weiter bearbeiten'),
('de', 'wiki', 'save the changes and exit', 'Speichert die Änderungen und beendet das Bearbeiten'),
('de', 'wiki', 'rows', 'Zeilen'),
('de', 'wiki', 'richtext', 'Formatiert'),
('de', 'wiki', 'readable by', 'Lesbar von'),
('de', 'wiki', 'recent changes', 'Letzte Änderungen'),
('de', 'wiki', 'renames page to the given name and language', 'Benennt die Seite in angegebenen Namen und Sprache um'),
('de', 'wiki', 'rate control / ip blocking disabled', 'Kontrolle der Zugriffsfrequenz / IP Sperrungen abgeschalted'),
('de', 'wiki', 'preview of current version', 'Vorschau der aktuellen Version'),
('de', 'wiki', 'preview', 'Vorschau'),
('de', 'wiki', 'please contact the %1administrator%2 for assistance.', 'Bitte wenden Sie sich für weitere Hilfe an den %1Administrator%2..'),
('de', 'wiki', 'only on the first page', 'nur auf der ersten Seite'),
('de', 'wiki', 'page ''%1'' not found !!!', 'Seite ''%1'' nicht gefunden !!!'),
('de', 'wiki', 'on all pages', 'auf allen Seiten'),
('de', 'wiki', 'older', 'Älter'),
('de', 'wiki', 'not set', 'nicht gesetzt'),
('de', 'wiki', 'locked', 'Gesperrt'),
('de', 'wiki', 'newer', 'Neuer'),
('de', 'wiki', 'loads the named page in the given language, all change so far get lost !!!', 'Läde die angebeben Seite in der Sprache, alle bisherigen Änderungen gehen verloren !!!'),
('de', 'wiki', 'load', 'Laden'),
('de', 'wiki', 'invalid page name.', 'Ungültiger Seitenname.'),
('de', 'wiki', 'history of', 'Bearbeitungshistorie von'),
('de', 'wiki', 'history lists', 'Bearbeitungshistorie'),
('de', 'wiki', 'history display should show <em>all</em> changes made by the latest author.  otherwise, show only the last change made.', 'Die Bearbeitungshistorie soll <em>alle</em> Änderungen des letzten Autors anzeigen. Ansonsten werden nur die letzten Änderungen angezeigt.'),
('de', 'wiki', 'history', 'Bearbeitungshistorie'),
('de', 'wiki', 'everyone', 'jedem'),
('de', 'wiki', 'find', 'Suche'),
('de', 'wiki', 'error writing to temporary file.', 'Fehler beim Schreiben in die temporäre Datei.'),
('de', 'wiki', 'error creating temporary file.', 'Fehler beim Erzeugen der temporären Datei.'),
('de', 'wiki', 'enter ip address range in form <tt>12.*</tt>, <tt>34.56.*</tt>, or <tt>78.90.123.*</tt>', 'IP Adressbereich in der from <tt>12.*</tt>, <tt>34.56.*</tt> oder <tt>78.90.123.*</tt> eingeben'),
('de', 'wiki', 'enter here the number of days of edits to display on recentchanges or any other subscription list.  set this to zero if you wish', 'Wieviele Tage sollen Änderungen in Letzte Änderungen und anderen Listen angezeigt werden. Wenn auf Null gesetzt, werden alle Änderungen angezeigt, unabhänig davon wie lange sie schon zurück liegen.'),
('de', 'wiki', 'enter here the maximum number of entries to display in a document''s history list.', 'Maximale Anzahl Einträge bei der Anzeige der Bearbeitungshistorie eines Dokuments'),
('de', 'wiki', 'edit this document', 'Dokument bearbeiten'),
('de', 'wiki', 'editing', 'Bearbeiten'),
('de', 'wiki', 'edit this <em>archive version</em> of this document', 'Bearbeiten dieser <em>ARCHIVIERTEN VERSION</em> diese Dokuments'),
('de', 'wiki', 'edit box', 'Eingabefeld'),
('de', 'wiki', 'document last modified', 'Dokument zuletzt geändert'),
('de', 'wiki', 'different languages can have different titles', 'unterschiedliche Sprachen können unterschiedliche Titel haben'),
('de', 'wiki', 'differences in', 'Unterschiede in'),
('de', 'wiki', 'difference between versions', 'Unterschiede zwischen Versionen'),
('de', 'wiki', 'deletes this page', 'Löscht die Seite'),
('de', 'wiki', 'deleted', 'Gelöscht'),
('de', 'wiki', 'converts the page to richtext', 'Wandelt die Seite in formatierten Text um'),
('de', 'wiki', 'current version', 'Aktuelle Version'),
('de', 'wiki', 'compute difference', 'Unterschiede anzeigen'),
('de', 'wiki', 'columns', 'Spalten'),
('de', 'wiki', 'choose your current time here, so the server may figure out what time zone you are in.', 'Wählen Sie hier ihre aktuelle Zeit aus, damit der Rechner bestimmen kann in welche Zeitzone Sie sind.'),
('de', 'wiki', 'changes by last author', 'Änderungen des letzten Autors'),
('de', 'wiki', 'changed', 'Geändert'),
('de', 'wiki', 'cancel without saving', 'Abruch ohne zu Speichern'),
('de', 'wiki', 'blocked ip address ranges', 'IP Adressenbereich blockieren'),
('de', 'wiki', 'admins', 'Administratoren'),
('de', 'wiki', 'block', 'Blockieren'),
('de', 'wiki', 'administration features are disabled for this wiki.', 'Administrationszugang ist ausgeschaltet für diese Wiki.'),
('de', 'wiki', 'added', 'Zugefügt'),
('de', 'wiki', 'add document to category', 'Dokument zu Kategroie zufügen'),
('de', 'wiki', '<em>but</em> display at least this many entries in recentchanges and other subscription lists:', '<em>Aber</em> mindestens so viele Einträge in Letzten Änderungen und anderen Listen anzeigen:'),
('de', 'tracker', 'you voted %1.', 'Sie stimmten am %1 ab.'),
('de', 'tracker', 'you need to specify amount, donators name and email address!', 'Sie müssen Betrag, Name und E-Mail des Spenders angeben!'),
('de', 'tracker', 'you need to select something to change and some tracker items!', 'Sie müssen etwas zum Ändern UND einige Einträge auswählen!'),
('de', 'tracker', 'you need to login to vote!', 'Sie müssen sich anmelden um Abstimmen zu können!'),
('de', 'tracker', 'you need to enter a name', 'Sie müssen einen Namen angeben'),
('de', 'tracker', 'you can respond by visiting:', 'Sie können unter dem folgenden Verweis antworten:'),
('de', 'tracker', 'you can enable/disable the queue access restrictions in the configuration tab (for all queues)', 'Sie können die Zugriffskontrolle der Verfolgungssystem-Queue im Kartenreiter Konfiguration (für alle Queues) ein- oder ausschalten'),
('de', 'tracker', 'yes, with larger fontsize', 'Ja, mit einer größeren Schrift'),
('de', 'tracker', 'yes, display groups first', 'Ja, zeige Gruppen zuerst an'),
('de', 'tracker', 'yes, display users first', 'Ja, zeige Benutzer zuerst an'),
('de', 'tracker', 'wont fix', 'Vorerst keine Anpassung'),
('de', 'tracker', 'works for me', 'Nicht reproduzierbar'),
('de', 'tracker', 'when emails are received from an unknown email address, tag this field to have them added to the tracker''s cc field automaticall', 'Wenn E-Mails von einer unbekannten E-Mail Adresse empfangen werden, diese Feld ankreuzen um sie automatisch zum Feld CC hinzu zu fügen. Diese Feld wird ignoriert, wenn unbekannte E-Mail Adressen nicht behandelt werden.'),
('de', 'tracker', 'votes', 'Stimmen'),
('de', 'tracker', 'vote for it!', 'Dafür abstimmen!'),
('de', 'tracker', 'versions', 'Versionen'),
('de', 'tracker', 'use a default user for mails that where not recognized', 'Verwende einen Standardbenutzer für E-Mails die nicht zugeordnet werden können'),
('de', 'tracker', 'url to be included in the notification, eg. to the page with the sitemgr module, default tracker inside egw', 'Internetadresse die in den Benachrichtigungen enthalten ist, z.B. zur Seite mit dem SiteMgr Module, Vorgabe das Verfolgungssystem innerhalb der eGW'),
('de', 'tracker', 'url of the tracker', 'Internetadresse des Verfolgungssystems'),
('de', 'tracker', 'unrecognized mails', 'Nicht zuordenbare E-Mails'),
('de', 'tracker', 'unchanged', 'Unverändert'),
('de', 'tracker', 'tracker-%1 ''%2'' updated.', 'Verfolgungssystem-%1 ''%2'' aktualisiert.'),
('de', 'tracker', 'tracker-%1 deleted.', 'Verfolgungssystem-%1 gelöscht.'),
('de', 'tracker', 'tracker-%1 ''%2'' added.', 'Verfolgungssystem-%1 ''%2'' zugefügt.'),
('de', 'tracker', 'tracker queue', 'Verfolgungssystem-Queue'),
('de', 'tracker', 'tracker item modified by %1 at %2', 'Ticket geändert von %1 am %2'),
('de', 'tracker', 'tracker item not found !!!', 'Ticket nicht gefunden !!!'),
('de', 'tracker', 'tracker deleted', 'Verfolgungssystem-Queue gelöscht'),
('de', 'tracker', 'tracker for new tickets', 'Queue für neue Tickets'),
('de', 'tracker', 'tracker admins & technicians', 'Administratoren & Techniker des Verfolgungssystems'),
('de', 'tracker', 'tracker configuration', 'Konfiguration des Verfolgungssystems'),
('de', 'tracker', 'times', 'Zeiten'),
('de', 'tracker', 'tracker added', 'Verfolgungssystem-Queue hinzugefügt'),
('de', 'tracker', 'tracker admins', 'Administratoren des Verfolgungssystems'),
('de', 'tracker', 'ticket count', 'Anzahl Tickets'),
('de', 'tracker', 'ticket modified by %1 at %2', 'Ticket geändert von %1 am %2'),
('de', 'tracker', 'this tracker item was closed automatically by the system. it was previously set to a pending status, and the original submitter ', 'Dieses Ticket wurde automatisch geschlossen. Es wurde zuvor auf den Status schwebend gesetzt, und derjenige der das Ticket angelegt hat, hat nicht binnen %1 Tagen geantwortet.'),
('de', 'tracker', 'this module displays information from the tracker.', 'Dieses Modul zeigt Informationen des Verfolgungssystems an.'),
('de', 'tracker', 'there already an escalation for that filter!', 'Es gibt bereits eine Eskalation für diesen Filter!'),
('de', 'tracker', 'the canned response will be prefix the text you type.', 'Die Standardantwort wird dem Text, den Sie eingeben, vorangestellt.'),
('de', 'tracker', 'thank you for setting this bounty.', 'Danke dass Sie diese Prämie gesetzt haben.'),
('de', 'tracker', 'thank you for voting.', 'Danke dass Sie abgestimmt haben.'),
('de', 'tracker', 'the bounty will not be shown, until the money is received.', 'Die Prämie wird NICHT angezeigt, bis das Geld eingegangen ist.'),
('de', 'tracker', 'technicians', 'Techniker'),
('de', 'tracker', 'staff', 'Mitarbeiter'),
('de', 'tracker', 'state', 'Status'),
('de', 'tracker', 'stati', 'Status'),
('de', 'tracker', 'store as', 'Speichern als'),
('de', 'tracker', 'summary', 'Zusammenfassung'),
('de', 'tracker', 'show the tracker send you notification mails, in tracker items that you updates?', 'Empfange Sie Benachrichtigungen über Einträge die Sie selbst geändert haben'),
('de', 'tracker', 'show the acumulated times of timesheet entries', 'Zeige die zusammengefassten Zeiten der Stundenzettel'),
('de', 'tracker', 'show actions in tracker listing', 'Zeige Befehle in der Trackerübersicht'),
('de', 'tracker', 'show a new column that calculated the acumulated times of timesheet entries.', 'Zeige eine neue Spalte mit den zusammengefasten Zeiten der Stundenzettel'),
('de', 'tracker', 'should the tracker send you notification mails, if tracker items you created get updated?', 'Soll das Verfolgungssystem Ihnen Benachrichtigungsmails senden, wenn Einträge die von Ihnen angelegt wurden aktualisiert werden?'),
('de', 'tracker', 'should the tracker send you notification mails, if tracker items assigned to you get updated?', 'Soll das Verfolgungssystem Ihnen Benachrichtigungsmails senden, wenn Einträge die Ihnen zugewiesen sind aktualisiert werden?'),
('de', 'tracker', 'should the actions column in the tracker list-view be shown?', 'Soll die Befehle-Spalte in der Trackerübersicht angezeigt werden?'),
('de', 'tracker', 'set bounty', 'Prämie setzen'),
('de', 'tracker', 'set an own bounty (in %s)', 'Eigene Prämie setzen (in %s)'),
('de', 'tracker', 'set %1', '%1 setzen'),
('de', 'tracker', 'server type', 'Server Typ'),
('de', 'tracker', 'sent autoreplies', 'Automatische Antworten senden'),
('de', 'tracker', 'sender address', 'Absenderadresse'),
('de', 'tracker', 'sender address for all notifications, eg. noreply@egroupware.org', 'Absenderadresse für alle Benachrichtigungen, z.B. noreply@egroupware.org'),
('de', 'tracker', 'select which username should be used when unrecognized replies are handled', 'Wählen Sie einen Benutzer aus, der für unbekannte Antworten verwendet werden darf'),
('de', 'tracker', 'select which username should be used when unrecognized mails are handled.', 'Auswählen welcher Benutzer für nicht zuordenbare E-mails verwendet wird.'),
('de', 'tracker', 'select which categories should be used in tracker for the tts categories', 'Welche Kategorien sollen im Verfolgungssystem für die TTS Kategorien verwendet werden'),
('de', 'tracker', 'select how autoreplies should be sent when mails are received', 'Auswählen wie automatische Antworten gesendet werden, wenn E-Mails empfangen werden'),
('de', 'tracker', 'select multiple', 'Mehrere Auswählen'),
('de', 'tracker', 'select tracker queue', 'Verfolgungssystem-Queue auswählen'),
('de', 'tracker', 'restriction', 'Einschränkungen'),
('de', 'tracker', 'select a default tracker for new tickets or ''reject'' to disallow ticket creation via mail.', 'Einen Tracker für neue Tickets auswählen oder ''Zurückweisen'' um das Erzeugen von Tickets per Mail zu verbieten.'),
('de', 'tracker', 'restrict tracker items to staff and:', 'Tickets einschränken auf Mitarbeiter und:'),
('de', 'tracker', 'restict tracker items to the creators primary group and the staff only', 'Tickets auf primäre Gruppe des Ersteller und Mitarbeiter einschränken'),
('de', 'tracker', 'restict tracker items to the creator and the staff only', 'Tickets auf Ersteller und Mitarbeiter einschränken'),
('de', 'tracker', 'rejected', 'Zurückgewiesen'),
('de', 'tracker', 'remind', 'Erinnern'),
('de', 'tracker', 'reply also to unknown addresses', 'Auch unbekannten Adressen antworten'),
('de', 'tracker', 'resolution', 'Lösung'),
('de', 'tracker', 'receive notifications in html', 'Empfange Benachrichtigungen als HTML E-Mail'),
('de', 'tracker', 'recieve notifications about own changes in tracker-items', 'Empfange Benachrichtigungen über eigene Einträge'),
('de', 'tracker', 'receive notifications about created tracker-items', 'Empfange Benachrichtigungen über selbst angelegte Einträge'),
('de', 'tracker', 'read mail address', 'E-Mail Adresse zum lesen'),
('de', 'tracker', 'receive notifications about assigned tracker-items', 'Empfange Benachrichtigungen über zugewiesene Einträge'),
('de', 'tracker', 'project selection', 'Projektauswahl'),
('de', 'tracker', 'projects', 'Projekte'),
('de', 'tracker', 'queue', 'Queue'),
('de', 'tracker', 'print entry', 'Ticket drucken'),
('de', 'tracker', 'priorities', 'Prioritäten'),
('de', 'tracker', 'priorities with empty label are not available to the user', 'Prioritäten mit leerer Beschriftung sind für den Benutzer nicht verfügbar'),
('de', 'tracker', 'postponed', 'Vertagt'),
('de', 'tracker', 'port number', 'Portnummer'),
('de', 'tracker', 'permission denied !!!', 'Zugriff verweigert !!!'),
('de', 'tracker', 'permit html editing in overview and comments', 'Formatierte Textbearbeitung im Überblick und in den Antworten'),
('de', 'tracker', 'pending items will be closed automatic after %1 days without response.', 'Schwebende Einträge werden nach %1 Tagen ohne Antwort automatisch geschlossen.'),
('de', 'tracker', 'pending', 'Schwebend'),
('de', 'tracker', 'pending items never get close automatic.', 'Schwebende Einträge werden nie automatisch geschlossen.'),
('de', 'tracker', 'ownership of the ticket', 'Besitzer des Tickets'),
('de', 'tracker', 'overdue after', 'Überfällig nach'),
('de', 'tracker', 'out of date', 'Nicht mehr aktuell'),
('de', 'tracker', 'noone', 'Niemand'),
('de', 'tracker', 'notification', 'Benachrichtigung'),
('de', 'tracker', 'non-anonymous users', 'Nicht anonyme Benutzer'),
('de', 'tracker', 'no trackers found, aborting', 'Abbruch, keine Verfolgungssystem gefunden'),
('de', 'tracker', 'no change', 'Keine Änderung'),
('de', 'tracker', 'new tracker item submitted by %1 at %2', 'Neues Ticket erstellt von %1 am %2'),
('de', 'tracker', 'new ticket submitted by %1 at %2', 'Neues Ticket erstellt von %1 am %2'),
('de', 'tracker', 'new items', 'Neue Einträge'),
('de', 'tracker', 'new %1', '%1 hinzufügen'),
('de', 'tracker', 'matching filter', 'Filter zutreffend'),
('de', 'tracker', 'mail handling', 'E-Mailumwandlung'),
('de', 'tracker', 'list of coma separated email address', 'Liste von E-Mail Adressen, durch Komma getrennt'),
('de', 'tracker', 'links', 'Verknüpfungen'),
('de', 'tracker', 'later', 'Später'),
('de', 'tracker', 'last reply', 'letzte Antwort'),
('de', 'tracker', 'last modified', 'Zuletzt geändert'),
('de', 'tracker', 'language for the copy', 'Sprache für die Kopie'),
('de', 'tracker', 'item creator', 'Eintrag Ersteller'),
('de', 'tracker', 'item assignee', 'Eintrag Zugewiesener'),
('de', 'tracker', 'invalid', 'Ungültig'),
('de', 'tracker', 'introduction message', 'Willkommensnachricht'),
('de', 'tracker', 'info only', 'Nur zur Information'),
('de', 'tracker', 'interval in minutes for checking the incoming mails', 'Intervall in Minuten zur Überprüfung der eingehenden E-Mails'),
('de', 'tracker', 'incoming mail server', 'Server für eingehende E-Mails'),
('de', 'tracker', 'incoming mail folder', 'Ordner für eingehende E-Mails'),
('de', 'tracker', 'incoming mail rules', 'Regeln für eingehende E-Mails'),
('de', 'tracker', 'import tts tickets', 'TTS Tickets importieren'),
('de', 'tracker', 'ignore unrecognized mails. they will not be deleted from the server, even if ''delete mails'' above is tagged.', 'Nicht zuordenbare E-Mail ignorieren. Sie werden nicht vom Server gelöscht, selbst wenn oben ''E-Mails löschen'' ausgewählt wurde.'),
('de', 'tracker', 'ignore', 'Ignorieren'),
('de', 'tracker', 'if this item is important for you, please vote for it.', 'Wenn dieser Punkt für Sie wichtig ist, stimmen Sie bitte dafür ab.'),
('de', 'tracker', 'id', 'ID'),
('de', 'tracker', 'if this item is important for you, please consider to set a bounty for it!', 'Wenn dieser Punkt für Sie wichtig ist, können Sie dafür eine Prämie setzen!'),
('de', 'tracker', 'html editing', 'Formatierte Textbearbeitung'),
('de', 'tracker', 'history', 'Historie'),
('de', 'tracker', 'from', 'Von'),
('de', 'tracker', 'forward unrecognized mails to the email address that has to be specified here.', 'Leitet nicht zuordenbare E-Mail an die hier eingetragene Adresse weiter.'),
('de', 'tracker', 'forward to', 'Weiterleiten an'),
('de', 'tracker', 'field', 'Feld'),
('de', 'tracker', 'fixed', 'Gelöst'),
('de', 'tracker', 'existing links', 'Bestehende Verknüpfungen'),
('de', 'tracker', 'everybody', 'Jeder'),
('de', 'tracker', 'escalation saved.', 'Eskalation gespeichert.'),
('de', 'tracker', 'escalation not found!', 'Eskalation nicht gefunden!'),
('de', 'tracker', 'escalation deleted.', 'Eskalation gelöscht.'),
('de', 'tracker', 'escalation added.', 'Eskalation hinzugefügt.'),
('de', 'tracker', 'escalation', 'Eskalation'),
('de', 'tracker', 'error saving the entry!!!', 'Fehler beim Speichern des Eintrags!!!'),
('de', 'tracker', 'error deleting escalation!', 'Fehler beim Löschen der Eskalation!'),
('de', 'tracker', 'error adding the new tracker!', 'Fehler beim Anlegen des neuen Verfolgungssystems!'),
('de', 'tracker', 'entry saved', 'Eintrag gespeichert'),
('de', 'tracker', 'enter the mail address that will be read.', 'E-Mail Adresse die gelesen wird.'),
('de', 'tracker', 'enter the imap server from which emails should be fetched', 'IMAP Server von dem E-Mail gelesen werden sollen'),
('de', 'tracker', 'enter an opening text for the reply message', 'Geben Sie einen Anfangstext für die Antwortnachricht ein'),
('de', 'tracker', 'enter an email address here if unrecognized mails should be forwarded', 'E-Mail Adresse zu der nicht zuordenbare E-Mails weitergeleitet werden'),
('de', 'tracker', 'email handling can be configured only for all trackers', 'Die E-Mail-Umwandlung kann nur für alle Verfolgungssysteme konfiguriert werden.'),
('de', 'tracker', 'email address to contact you', 'E-Mail-Adresse um Sie zu kontaktieren'),
('de', 'tracker', 'edit entry', 'Ticket bearbeiten'),
('de', 'tracker', 'edit %1', '%1 bearbeiten'),
('de', 'tracker', 'e-mail notifications', 'E-Mail Benachrichtigungen'),
('de', 'tracker', 'e-mail address to which a copy of all tracker-notifications should be send', 'E-Mail Adresse zu der eine Kopie aller Benachrichtigungen des Verfolgungssystem geschickt werden soll'),
('de', 'tracker', 'donator name to show', 'Name des Spenders der angezeigt wird'),
('de', 'tracker', 'duplicate', 'Doppelt'),
('de', 'tracker', 'delete unrecognized mails from the server, even if ''delete mails'' above is not tagged.', 'Löscht nicht zuordenbare E-Mails vom Server, selbst wenn oben ''E-Mails löschen'' nicht ausgewählt wurde.'),
('de', 'tracker', 'deleted', 'Gelöscht'),
('de', 'tracker', 'do you want to vote for this item', 'Möchten Sie für dieses Ticket stimmen'),
('de', 'tracker', 'delete this version', 'Diese Version löschen'),
('de', 'tracker', 'delete this tracker including all it''s items and categories', 'Dieses Verfolgungssystem einschließlich aller Einträge und Kategorien löschen'),
('de', 'tracker', 'delete this status', 'Diesen Status löschen'),
('de', 'tracker', 'delete this escalation', 'Diese Eskalation löschen'),
('de', 'tracker', 'delete this entry', 'Diesen Eintrag löschen'),
('de', 'tracker', 'delete this category', 'Diese Kategorie löschen'),
('de', 'tracker', 'delete this bounty', 'Diese Prämie löschen'),
('de', 'tracker', 'delete this canned response', 'Diese Standardantwort löschen'),
('de', 'tracker', 'delete mails from server', 'E-Mails auf dem Server löschen'),
('de', 'tracker', 'date opened', 'Datum angelegt'),
('de', 'tracker', 'custom tracker priorities', 'Benutzerdefinierte Prioritäten'),
('de', 'tracker', 'custom fields', 'Benutzerdefinierte Felder'),
('de', 'tracker', 'creator', 'Ersteller'),
('de', 'tracker', 'creation date', 'Erstellungsdatum'),
('de', 'tracker', 'created', 'Erstellt'),
('de', 'tracker', 'create new links', 'Neue Verknüpfung anlegen'),
('de', 'tracker', 'copy to', 'Kopie an'),
('de', 'tracker', 'converted count', 'Anzahl konvertiert'),
('de', 'tracker', 'convert all open tickets', 'konvertiere alle offenen Tickets'),
('de', 'tracker', 'convert all closed tickets', 'konvertiere geschlossene Tickets'),
('de', 'tracker', 'confirmed', 'Bestätigt'),
('de', 'tracker', 'confirm the receipt of money for this bounty', 'Bestätigen Sie den Zahlungseingang dieser Prämie'),
('de', 'tracker', 'configuration, acl, notifications', 'Konfiguration, Zugriffskontrolle, Benachrichtigungen'),
('de', 'tracker', 'confirm that you pay the specified bounty to implement or fix the issue', 'Bestätigen Sie, dass Sie die angegebenen Prämie für die Umsetzung bzw. Behebung dieses Themas zahlen.'),
('de', 'tracker', 'configuration', 'Konfiguration'),
('de', 'tracker', 'configuration for all trackers', 'Konfiguration für alle Verfolgungssystem-Queues'),
('de', 'tracker', 'configuration updated.', 'Konfiguration aktualisiert.'),
('de', 'tracker', 'comment by %1 at %2:', 'Kommentar von %1 am %2:'),
('de', 'tracker', 'comments', 'Kommentare'),
('de', 'tracker', 'completed', 'Erledigt zu'),
('de', 'tracker', 'close pending', 'Schließe schwebend'),
('de', 'tracker', 'closed', 'Geschlossen'),
('de', 'tracker', 'check mail interval', 'Überprüfungsintervall für E-Mails'),
('de', 'tracker', 'choose a project from the drop-down list', 'Ein Projekt aus der Auswahlliste wählen'),
('de', 'tracker', 'check all', 'Alle auswählen'),
('de', 'tracker', 'changes made below will be lost, if not applied before!', 'Änderungen darunter gehen verloren, wenn sie nicht vorher übernommen werden!'),
('de', 'tracker', 'category for new tickets', 'Kategorie für neue Tickets'),
('de', 'tracker', 'canned responses', 'Standardantworten'),
('de', 'tracker', 'categories, versions, canned responses', 'Kategorien, Versionen, Standardantworten'),
('de', 'tracker', 'bounty set', 'Prämie gesetzt'),
('de', 'tracker', 'canned response', 'Standardantwort'),
('de', 'tracker', 'bounty deleted', 'Prämie gelöscht'),
('de', 'tracker', 'bounty deleted.', 'Prämie gelöscht.'),
('de', 'tracker', 'bounty confirmed', 'Prämie bestätigt'),
('de', 'tracker', 'bounty confirmed.', 'Prämie bestätigt.'),
('de', 'tracker', 'bounties', 'Prämien'),
('de', 'tracker', 'autoassign to', 'Automatisch zuweisen an'),
('de', 'tracker', 'automatic email handling', 'Automatische E-Mail-Umwandlung'),
('de', 'tracker', 'attachments & links', 'Anhänge & Verknüpfungen'),
('de', 'tracker', 'assigning groups', 'Gruppen zuweisen'),
('de', 'tracker', 'assigned to', 'Zugewiesen an'),
('de', 'tracker', 'assign to project', 'Projektzuweisung'),
('de', 'tracker', 'amount', 'Betrag'),
('de', 'tracker', 'already escalated', 'bereits eskaliert'),
('de', 'tracker', 'allow voting on tracker items, show and sort after the votes', 'Erlauben das Abstimmen über Tickets, zeige und sortiere nach den Stimmen'),
('de', 'tracker', 'allow voting', 'Abstimmungen erlauben'),
('de', 'tracker', 'allow to assign groups to tracker items', 'Erlaube Tickets Gruppen zuzuweisen'),
('de', 'tracker', 'allow editing by', 'Bearbeiten erlauben von'),
('de', 'tracker', 'allow the predefinition of projects that will be assigned to new tracker-items.', 'Erlaube die Voreinstellung von Projektzuordnungen für Tickets.'),
('de', 'tracker', 'allow bounties', 'Prämien erlauben'),
('de', 'tracker', 'allow default projects for tracker', 'Erlaube Zuordnung von Projekten in der Tracker Konfiguration'),
('de', 'tracker', 'all tickets are already converted to tracker', 'alle Tickets sind bereits umgewandelt'),
('de', 'tracker', 'after how many days pending items should be closed automatic', 'Nach wie vielen Tagen sollen schwebende Einträge automatisch geschlossen werden?'),
('de', 'tracker', 'after', 'nach'),
('de', 'tracker', 'after how many days a not replied item should be marked overdue?', 'Nach wie vielen Tagen soll ein nicht beantworteter Eintrag als überfällig markiert werden?'),
('de', 'tracker', 'add timesheet entry', 'Stundenzettel hinzufügen'),
('de', 'tracker', 'add unrecognized mail address to the cc field', 'Nicht erkannte E-Mail Adresse zu CC hinzufügen'),
('de', 'tracker', 'add comment', 'Kommentar hinzufügen'),
('de', 'tracker', 'add assigned', 'Zugewiesen hinzufügen'),
('de', 'tracker', 'add additionally', 'Zusätzlich hinzufügen'),
('de', 'tracker', '5 - medium', '5 - mittlere'),
('de', 'tracker', '9 - highest', '9 - höchste'),
('de', 'tracker', 'accepted', 'Akzeptiert'),
('de', 'tracker', 'activate users queue access control', 'Zugriffskontrolle für Verfolgungssystem-Queues aktivieren'),
('de', 'tracker', '1 - lowest', '1 - niedrigste'),
('de', 'tracker', '--> enter new name', '--> neuen Namen eingeben'),
('de', 'tracker', '--> choose a project from the drop-down list', '--> ein Projekt aus der Auswahlliste wählen'),
('de', 'tracker', '(new tickets as', 'Neue Tickets als'),
('de', 'tracker', '&#9830; without reply not closed', '♦ Ohne Antwort nicht geschlossen'),
('de', 'tracker', '&#9830; own without reply not closed', '♦ Eigene ohne Antwort nicht geschlossen'),
('de', 'tracker', '&#9830; without 30 days reply not closed', '♦ Ohne Antwort für 30 Tage nicht geschlossen'),
('de', 'tracker', '&#9830; own not closed', '♦ Eigene nicht geschlossen'),
('de', 'tracker', '&#9830; not closed', '♦ Nicht geschlossen (oder gelöscht)'),
('de', 'tracker', '%1 tickets have been converted', '%1 Tickets geändert'),
('de', 'tracker', '%1 entries updated.', '%1 Einträge aktualisiert.'),
('de', 'timesheet', 'your database is not up to date (%1 vs. %2), please run %3setup%4 to update your database.', 'Ihre Datenbank ist NICHT aktuell (%1 statt %2), bitte rufen sie %3setup%4 auf um die Datenbank zu aktualisieren.'),
('de', 'timesheet', 'you need to select some timesheets first', 'Sie müssen zuerst Datensätze auswählen'),
('de', 'timesheet', 'yesterday', 'Gestern'),
('de', 'timesheet', 'week', 'Woche'),
('de', 'timesheet', 'view this entry', 'Diesen Eintrag anzeigen'),
('de', 'timesheet', 'unitprice', 'Preis pro Einheit'),
('de', 'timesheet', 'values for selectbox', 'Werte der Auswahlbox'),
('de', 'timesheet', 'timesheet-%1 ''%2'' updated.', 'Stundenzettel Status %1 ''%2'' geändert'),
('de', 'timesheet', 'timesheet-%1 deleted.', 'Stundenzettel %1 gelöscht'),
('de', 'timesheet', 'tracker', 'Verfolgungssystem'),
('de', 'timesheet', 'timesheet status-%1 ''%2'' added.', 'Stundenzettel Status %1 ''%2'' hinzugefügt.'),
('de', 'timesheet', 'timesheet openoffice export', 'Export des  Stundenzettels als Open Office'),
('de', 'timesheet', 'timesheet modified by %1 at %2', 'Stundenzettel verändert von %1 am %2'),
('de', 'timesheet', 'timesheet csv export', 'Export des  Stundenzettels als CSV'),
('de', 'timesheet', 'ticket modified by %1 at %2', 'Ticket geändert von %1 am %2'),
('de', 'timesheet', 'this year', 'Dieses Jahr'),
('de', 'timesheet', 'this week', 'Diese Woche'),
('de', 'timesheet', 'this month', 'Diesen Monat'),
('de', 'timesheet', 'the text displayed to the user', 'der Text wird dem Benutzer angezeigt'),
('de', 'timesheet', 'sum %1:', 'Summe %1:'),
('de', 'timesheet', 'the name used internaly (<= 20 chars), changeing it makes existing data unavailible', 'Dieser Name wird nur intern benutzt (<= 20 Zeichen), Änderungen führen dazu, das bestehende Daten nicht mehr angezeigt werden können.'),
('de', 'timesheet', 'status updated.', 'Status geändert'),
('de', 'timesheet', 'status deleted.', 'Status gelöscht'),
('de', 'timesheet', 'status of created timesheets', 'Status für neue Stundenzettel'),
('de', 'timesheet', 'starttime', 'Startzeit'),
('de', 'timesheet', 'starttime has to be before endtime !!!', 'Startzeit muss vor der Endzeit liegen !!!'),
('de', 'timesheet', 'start', 'Start'),
('de', 'timesheet', 'select the predefined status, whan creating a new timesheet', 'Wählen Sie einen Status als Vorgabe für neu zu erstellende Stundenzettel aus'),
('de', 'timesheet', 'select infolog', 'Infolog auswählen'),
('de', 'timesheet', 'select multiple timeshhets for a further action', 'Wählen Sie mehrere Stundenzettel für einen weitere Aktion aus'),
('de', 'timesheet', 'select a project', 'Projekt auswählen'),
('de', 'timesheet', 'select a status of the timesheet', 'einen Status auswählen'),
('de', 'timesheet', 'select a price', 'Preis auswählen'),
('de', 'timesheet', 'saves this entry and add a new one', 'Speichert diesen Eintrag und fügt einen neuen hinzu'),
('de', 'timesheet', 'saves the changes made', 'Speichert die Änderungen'),
('de', 'timesheet', 'saves the changes made and leaves', 'Änderungen  speichern und beenden'),
('de', 'timesheet', 'save & new', 'Speichern & Neu'),
('de', 'timesheet', 'price', 'Preis'),
('de', 'timesheet', 'quantity', 'Menge'),
('de', 'timesheet', 'permission denied!!!', 'Zugriff verweigert!!!'),
('de', 'timesheet', 'parent', 'Übergeordnet'),
('de', 'timesheet', 'order', 'Reihenfolge'),
('de', 'timesheet', 'or endtime', 'oder Endzeit'),
('de', 'timesheet', 'only admin can edit this status', 'nur Administratoren dürfen Stundenzettel mit diesen Status bearbeiten'),
('de', 'timesheet', 'only admin', 'nur Administratoren'),
('de', 'timesheet', 'number of row for a multiline inputfield or line of a multi-select-box', 'Anzahl von Reihen für ein Mehrzeiliges Textfeld oder einer Mehrfachauswahlbox'),
('de', 'timesheet', 'no status', 'Kein Status'),
('de', 'timesheet', 'no project', 'Kein Projekt'),
('de', 'timesheet', 'no details', 'Keine Details'),
('de', 'timesheet', 'new timesheet submitted by %1 at %2', 'Neuer Stundenzettel von %1 am %2'),
('de', 'timesheet', 'new ticket submitted by %1 at %2', 'Neues Ticket erstellt von %1 am %2'),
('de', 'timesheet', 'modify the status of the timesheet', 'Status des Stundenzettels verändern'),
('de', 'timesheet', 'max length of the input [, length of the inputfield (optional)]', 'maximale Länge der Eingabe[,Länge des Eingabefeldes (optional)]'),
('de', 'timesheet', 'links', 'Verknüpfungen'),
('de', 'timesheet', 'length<br>rows', 'Länge<br>Reihe'),
('de', 'timesheet', 'leaves without saveing', 'beenden ohne speichern');
INSERT INTO `egw_lang` (`lang`, `app_name`, `message_id`, `content`) VALUES
('de', 'timesheet', 'leave it empty for a full week', 'Leer lassen für eine volle Woche'),
('de', 'timesheet', 'last year', 'Letztes Jahr'),
('de', 'timesheet', 'last week', 'Letzte Woche'),
('de', 'timesheet', 'last modified', 'Zuletzt geändert'),
('de', 'timesheet', 'last month', 'Letzten Monat'),
('de', 'timesheet', 'history', 'Historie'),
('de', 'timesheet', 'id', 'ID'),
('de', 'timesheet', 'general', 'Allgemein'),
('de', 'timesheet', 'global categories', 'Globale Kategorien'),
('de', 'timesheet', 'field must not be empty !!!', 'Dieses Feld darf nicht leer sein!!!'),
('de', 'timesheet', 'exports entries from your timesheet into a csv file. csv means ''comma seperated values''. however in the options tab you can also', 'Exportiert die Einträge des Stundenzettels in eine CSV Datei. CSV bedeutet, Komma getrennte Werte. In dem Options-Tab können Sie andere Trennzeichen festlegen.'),
('de', 'timesheet', 'export', 'Export'),
('de', 'timesheet', 'export to openoffice spreadsheet', 'zu Open Office exportieren'),
('de', 'timesheet', 'error saving the entry!!!', 'Fehler beim Speichern des Eintrags!!!'),
('de', 'timesheet', 'existing links', 'Bestehende Verknüpfungen'),
('de', 'timesheet', 'entry saved', 'Eintrag gespeichert'),
('de', 'timesheet', 'error deleting the entry!!!', 'Fehler beim Löschen des Eintrags!!!'),
('de', 'timesheet', 'end', 'Ende'),
('de', 'timesheet', 'entry deleted', 'Eintrag gelöscht'),
('de', 'timesheet', 'empty if identical to duration', 'leer lassen wenn gleich Dauer'),
('de', 'timesheet', 'edit status', 'Status bearbeiten'),
('de', 'timesheet', 'edit this entry', 'diesen Eintrag bearbeiten'),
('de', 'timesheet', 'each value is a line like <id>[=<label>]', 'jeder Wert ist eine Zeile in dem Format <id>[=|label>]'),
('de', 'timesheet', 'determines the order the fields are displayed', 'verändert die Reihenfolge der angezeigten Felder'),
('de', 'timesheet', 'deleted', 'gelöscht'),
('de', 'timesheet', 'deletes this field', 'Dieses Feld löschen'),
('de', 'timesheet', 'delete timesheet', 'Stundenzettel löschen'),
('de', 'timesheet', 'delete this status', 'Diesen Status löschen'),
('de', 'timesheet', 'custom fields', 'Benutzerdefinierte Felder'),
('de', 'timesheet', 'creating new entry', 'neuen Eintrag anlegen'),
('de', 'timesheet', 'create new links', 'Neue Verknüpfung erstellen'),
('de', 'timesheet', 'creates a new field', 'neues Feld anlegen'),
('de', 'timesheet', 'comment by %1 at %2:', 'Übertragen von %1 am %2'),
('de', 'timesheet', 'changed status', 'Status geändert'),
('de', 'timesheet', 'check all', 'Alle selektieren'),
('de', 'timesheet', 'by', 'von'),
('de', 'timesheet', 'and its members', 'und die Mitglieder'),
('de', 'timesheet', 'applies the changes', 'Änderungen durchführen'),
('de', 'timesheet', 'apply the action on the whole query, not only the shown timesheets!!!', 'Wendet den Befehl auf die gesamte Abfrage an, NICHT nur die angezeigten Stundenzettel!!'),
('de', 'timesheet', '2 month ago', 'Vor 2 Monaten'),
('de', 'timesheet', '2 years ago', 'Vor 2 Jahren'),
('de', 'timesheet', '3 years ago', 'Vor 3 Jahren'),
('de', 'timesheet', 'all projects', 'Alle Projekte'),
('de', 'timesheet', 'all status', 'Alle Status'),
('de', 'timesheet', '%1 timesheets(s) %2, %3 failed because of insufficent rights !!!', '%1 Stundenzettel %2, %3 wurde nicht durchgeführt wegen ungenügenden Rechten !!!'),
('de', 'timesheet', '--> enter new name', '-> neuer Name eingeben'),
('de', 'syncml', 'your egroupware password', 'Ihr EGroupware Passwort'),
('de', 'timesheet', '%1 timesheets(s) %2', '%1 Stundenzettel %2'),
('de', 'syncml', 'your calendar will be synchronized up to this number of seconds in the past (2678400 seconds = 31 days).', 'Kalender Einträge bis zu dieser Zeit in die Vergangenheit werden synchronisiert (Angabe in Sekunden, 2678400 Sekunden = 31 Tage).'),
('de', 'syncml', 'you can synchronize your<ul><li>addressbook</li><li>calendar</li><li>task (infolog)</li><li>notes (infolog)</li></ul>', '<br>Sie können folgende Anwendungen synchronisieren:<ul><li>Adressbuch</li><li>Kalender</li><li>Aufgaben (InfoLog)</li><li>Notizen (InfoLog)</li></ul>'),
('de', 'syncml', 'vcard is the new format for sync and we recomment to use vcard instead of sif.', 'Vcard ist das neue Format. Wir empfehlen dieses anstatt SIF zu verwenden.'),
('de', 'syncml', 'to this calendar category a conflict duplicate will be added.', 'Das auf dem Server erzeugte Duplikat erhält folgende Kalender Kategorie:'),
('de', 'syncml', 'to this addressbook category a conflict duplicate will be added.', 'Das auf dem Server erzeugte Duplikat erhält folgende Adressbuch Kategorie:'),
('de', 'syncml', 'this application does not provide <i>frontend</i> functionality but implements synchronization of various content with external ', 'Diese Anwendung bietet keine Funktion an der <i>Benutzeroberfläche</i>, sondern stellt eine Schnittstelle zur Verfügung,<br> mit deren Hilfe eine Synchronisation zu verschiedenen Endgeräten via SyncML/HTTP Protokoll möglich wird.<br/>Diese EGroupware Version unterstützt SyncML 1.0, 1.1 und 1.2.<br/>'),
('de', 'syncml', 'this address list of contacts will be synchronized. if used together with the addressbook option, this list will appended.', 'Diese Verteilerliste wird synchronisiert. Wenn dies zusammen mit einem Adressbuch ausgewählt wird, dann wird beides synchronisiert.'),
('de', 'syncml', 'this address list of contacts will be synchronized.', 'Diese Adressliste von Kontakten wird synchronisiert'),
('de', 'syncml', 'there are certain settings of the client which you have to adjust for egroupware synchronization:', 'Es gibt einige Einstellungen für die Endgeräte, die Sie vor der Synchronisation beachten sollten:'),
('de', 'syncml', 'the syncml module provides some customization parameters for conflict handling which you can find in your', 'Die SyncML Anwendung bietet einige Parameter für die optimale Konfiguration Ihrer Endgeräte. Sie können hier diese Einstellungen vornehmen.'),
('de', 'syncml', 'the syncml application', 'SyncML Anwendung'),
('de', 'syncml', 'the server reverts all client changes.', 'Der Server nimmt die Änderungen des Endgerätes nicht an, sondern der Server sendet seinen aktuellen Datensatz an das Endgerät.'),
('de', 'syncml', 'the second option relies on the client''s cooperation, though. if it gets a change, the server will send its own version of the d', 'Die Variante Nr. 5 vertraut auf die zuverlässige Kooperation des Endgerätes. Sobald das Endgerät Änderungen an den Server sendet, verschickt der Server seinen aktuellen Datensatz zum Endgerät und zwingt dieses Gerät, die geänderten Daten anzunehmen.'),
('de', 'syncml', 'the next two options will put the server in read only mode. if the client sends changes to the server, you can choose between:', 'Die nächsten beiden Optionen versetzen den Server in einen ''nur lese'' Modus, d.h. der Server nimmt keine Veränderungen vom Endgerät an. Wenn das Endgerät Daten zum Server sendet können Sie zwischen diesen Optionen wählen:'),
('de', 'syncml', 'the client and server data is unchanged (split brain).', 'Die Daten auf dem Endgerät und auf dem Server werden nicht verändert (Getrennte Datenhaltung).'),
('de', 'syncml', 'tasks', 'tasks'),
('de', 'syncml', 'task (infolog)', 'Aufgaben (Infolog)'),
('de', 'syncml', 'task synchronization options', 'Einstellungen für die Aufgaben Synchronisation'),
('de', 'syncml', 'syncml preferences', 'SyncML Einstellungen'),
('de', 'syncml', 'syncronization calendars', 'Kalender Synchronisation'),
('de', 'syncml', 'synchronize this list', 'Diese Verteilerliste synchronisieren'),
('de', 'syncml', 'synchronize this selection', 'Diese Auswahl synchronisieren'),
('de', 'syncml', 'synchronize this addressbook', 'Dieses Adressbuch synchronisieren'),
('de', 'syncml', 'snote', 'snote'),
('de', 'syncml', 'stask', 'stask'),
('de', 'syncml', 'siftasks', 'siftasks'),
('de', 'syncml', 'slowsync ignore map', 'SlowSync ignoriere bestehende map'),
('de', 'syncml', 'sifcontacts', 'sifcontacts'),
('de', 'syncml', 'sifnotes', 'sifnotes'),
('de', 'syncml', 'server wins', 'Server gewinnt'),
('de', 'syncml', 'settings for', 'Einstellungen für'),
('de', 'syncml', 'sifcalendar', 'sifcalendar'),
('de', 'syncml', 'server location/url', 'Server Adresse/URL'),
('de', 'syncml', 'scard', 'scard'),
('de', 'syncml', 'scal', 'scal'),
('de', 'syncml', 'remote database names', 'Remote database names'),
('de', 'syncml', 'resolv with duplicates', 'Konflikte mit Dubletten lösen'),
('de', 'syncml', 'primary group', 'Primäre Gruppe'),
('de', 'syncml', 'preferences for the syncml', 'Einstellungen für SyncML'),
('de', 'syncml', 'preferences for the syncml conflict handling<br/>and server r/o options', 'Einstellungen der SyncML Konflikt Behandlung'),
('de', 'syncml', 'owner too', 'auch Besitzer'),
('de', 'syncml', 'only tasks matching this filter criteria will be synchronized.', 'Nur Aufgaben mit diesem Filter Kriterium werden synchronisiert.'),
('de', 'syncml', 'only notes matching this filter criteria will be synchronized.', 'Nur Notizen mit diesem Filter Kriterium werden synchronisiert.'),
('de', 'syncml', 'only events up to this number of seconds in the future will be synchonized (65000000 seconds > 2 years).', 'Kalendereinträge bis zu dieser Zeit in die Zukunft werden synchronisiert (Angabe in Sekunden, 65000000 Sekunden > 2 Jahre).'),
('de', 'syncml', 'only events matching this filter criteria will be synchronized.', 'Nur Termine mit diesem Filter Kriterium werden synchronisiert'),
('de', 'syncml', 'only entries from this addressbook (and the above list) will be synchronized.', 'Nur Einträge dieses Adressbuchs werden synchronisiert'),
('de', 'syncml', 'notes (infolog)', 'Notizen (Infolog)'),
('de', 'syncml', 'notes', 'notes'),
('de', 'syncml', 'note synchronization options', 'Einstellungen für die Synchronisation von Notizen'),
('de', 'syncml', 'not rejected', 'nicht abgesagte'),
('de', 'syncml', 'minimum uid length', 'Minimale UID Länge'),
('de', 'syncml', 'minimum accepted uid length', 'Minimale akzeptierte UID Länge'),
('de', 'syncml', 'merge data', 'Daten zusammenführen'),
('de', 'syncml', 'jobs', 'jobs'),
('de', 'syncml', 'items are changed on both &mdash; server and client side &mdash; before the next synchronization, this is called a conflict situ', 'Einträge werden auf beiden Seiten geändert — Server und Endgerät — Dies führt zu einer Konfliktsituation, die vor der nächsten Synchronisation durch entsprechende Einstellungen gelöst werden sollte. Sie können die Behebung des Konflikts für jede EGroupware Anwendung individuell konfigurieren. Es gibt drei verschiedene Wege mit dieser Situationen umzugehen:<br>'),
('de', 'syncml', 'infolog conflict category', 'Infolog Konflikt Kategorie'),
('de', 'syncml', 'ignore client', 'Endgerät ignorieren'),
('de', 'syncml', 'if you select <b>duplicates</b> as conflict resolution, you may want to assign a certain <b>category</b> for these data items. i', 'Wenn Sie <b>Duplikate</b> als Konflikt Lösung gewählt haben, können Sie eine spezielle <b>Kategorie</b> für diese Daten einstellen. Wenn EGroupware eine Abweichung bzw. Konflikt erkannt hat, wird der alte Eintrag des Servers mit der gewählten <i>Konflikt Kategorie</i> belegt und der bestehende Servereintrag mit dem des Endgerätes überschrieben.'),
('de', 'syncml', 'if enabled, egroupware will ignore the mapping information of fromer sync-sessions during slowsyncs.', 'Wenn diese Option aktiviert ist, werden die Informationen von einer vorherigen Sync-Session während des SlowSyncs ignoriert.'),
('de', 'syncml', 'if enabled, egroupware will allow only devices which are allowed by the administrator.', 'Wenn diese Option aktiviert ist, wird EGroupware nur Geräte erlauben, die der Administrator freigeschaltet hat.'),
('de', 'syncml', 'for <b>max entries</b> = 0 either <i>maxmsgsize</i> will be used or the default value 10.<br/>with <b>non blocking allday events', 'Für <b>Max Entries</b> = 0 oder <i>maxMsgSize</i> wird ein Vorgabewert von 10 verwendet.<br/>Bei <b>Nicht blockierenden Ganztagsterminen</b> werden ganztägige Termine als nicht blockierend importiert<br/>Die <b>UID Extension</b> aktiviert die Bewahrung der vCalandar UIDs in Abhängigkeit des <i>Beschreibungsfeld</i> für dieses Endgerät.<br/>Die <b>Zeitzone</b> wird für die Kalender Synchronisation verwendet. Ist keine vorgegeben, wird diese aus dem Kalendereintrag verwendet.'),
('de', 'syncml', 'for <b>max entries</b> = 0 either <i>maxmsgsize</i> will be used or the default value 10.<br/>', 'Für <b>Max Einträge</b> oder <i>max Nachrichtengröße</i> wird ein Vorgabewert von 10 gesetzt.<br>'),
('de', 'syncml', 'events from selected calendars will be synchronized.', 'Termine des ausgewählten Kalenders werden synchronisiert'),
('de', 'syncml', 'events', 'events'),
('de', 'syncml', 'enforce server', 'setzt Endgerät zurück'),
('de', 'syncml', 'egroupware application', 'EGroupware Anwendungen'),
('de', 'syncml', 'do you really want to delete the synchonization history of the selected devices?', 'Wollen Sie wirklich die Synchronisationshistorie dieses Gerätes löschen?'),
('de', 'syncml', 'do you really want to delete the synchonization history of the selected datastores?', 'Wollen Sie wirklich die Synchronisationshistorie dieses Datenstores löschen?'),
('de', 'syncml', 'device specific settings', 'gerätespezifische Einstellungen'),
('de', 'syncml', 'deny unkown devices', 'Verweigere unbekannte Geräte'),
('de', 'syncml', 'deny explicitly disabled devices', 'Verweigere explizit unerlaubte Geräte'),
('de', 'syncml', 'datastore name', 'Datastore Name'),
('de', 'syncml', 'contacts', 'contacts'),
('de', 'syncml', 'content type', 'Content Typ'),
('de', 'syncml', 'conflict handling and server r/o options', 'Bearbeitung von Konflikten und R/O Optionen'),
('de', 'syncml', 'card', 'card'),
('de', 'syncml', 'categories for conflict duplicates', 'Kategorien für Konflikt Dubletten'),
('de', 'syncml', 'client configuration', 'Endgerät Konfiguration'),
('de', 'syncml', 'client wins', 'Endgerät gewinnt'),
('de', 'syncml', 'conflict categories for egroupware data types', 'Konflikt Kategorien für EGroupware Daten Typen'),
('de', 'syncml', 'auto', 'auto'),
('de', 'syncml', 'calendar conflict category', 'Kalender Konflikt Kategorie'),
('de', 'syncml', 'calendar filter', 'Kalender Filter'),
('de', 'syncml', 'calendar future period', 'Kalender zukünftige Zeitspanne'),
('de', 'syncml', 'calendar history period', 'Kalender zurückliegende Zeitspanne'),
('de', 'syncml', 'calendar synchronization options', 'Kalender Synchronisations Einstellungen'),
('de', 'syncml', 'caltasks', 'caltasks'),
('de', 'syncml', 'all incl. rejected', 'Alle inkl. abgesagter'),
('de', 'syncml', 'addressbook synchronization options', 'Adressbuch Synchronisations Einstellungen'),
('de', 'syncml', 'addressbook conflict category', 'Adressbuch Konflikt Kategorie'),
('de', 'syncml', 'accepted', 'akzeptiert'),
('de', 'syncml', 'a duplicate infolog entry from a synchronization conflict will be assigned to this category.', 'Das auf dem Server erzeugte Duplikat erhält folgende Infolog Kategorie:'),
('de', 'syncml', '<li>the client wins and overwrites the server data.</li><li>the server wins and overwrites the client data (default). </li><li>d', '<li>Das Endgerät gewinnt und überschreibt die Server Daten.</li><li>Der Server gewinnt und überschreibt die Endgerät Daten (Vorgabe). </li><li>Duplikate können von beiden Seiten erzeugt werden.</li>'),
('de', 'sitemgr-link', 'sitemgr setup page', 'SiteMgr Setup Seite'),
('de', 'sitemgr-link', 'your administrator has not yet setup the web content manager for public viewing.  go bug your administrator to get their butt in', 'Ihr Administrator hat das Kontenmanagementsystem noch nicht für die freie Betrachtung von aussen konfiguriert. Kontaktieren Sie bitte den Administrator.'),
('de', 'sitemgr-link', 'note that you may get this message if your preferences are incorrect.  for example, if config.inc.php is not found in the direct', 'Sie können diese Nachricht auch erhalten, wenn Ihre Einstellungen nicht richtig sind. Zum Beispiel wenn config.inc.php nicht im angegebenen Verzeichnis gefunden wurde.'),
('de', 'sitemgr-link', 'before the public web site can be viewed, you must configure the various locations and preferences.  please go to the sitemgr se', 'Bevor die öffentliche Website angeschaut werden kann, sind verschiedenen Orte und Einstellungen vorzunehmen. Bitte gehen Sie zur SiteMgr Setup Seite über diesen Link:'),
('de', 'sitemgr', 'zip code', 'PLZ'),
('de', 'sitemgr', 'your name', 'Ihr Name'),
('de', 'sitemgr', 'your connection is not secure.', 'Ihre Verbindung ist nicht sicher.'),
('de', 'sitemgr', 'your comment', 'Ihr Kommentar'),
('de', 'sitemgr', 'your calendar', 'Ihr Kalender'),
('de', 'sitemgr', 'you will remove the message in the following language from your notification system:', 'Sie entfernen gerade die Nachrichten der folgenden Sprachen von dem Benachrichtigungssystem:'),
('de', 'sitemgr', 'you removed one ore more languages from your site languages.', 'Sie haben eine oder mehrere Sprachen von der Seite entfernt.'),
('de', 'sitemgr', 'you must be an administrator to setup the site manager.', 'Sie müssen administrative Rechte haben zum Konfigurieren des Site Managers.'),
('de', 'sitemgr', 'you need to be an administrator of this website to enter javascript!', 'Sie müssen ein Administrator dieser Website sein, um Javascript eingeben zu dürfen!'),
('de', 'sitemgr', 'you must be an admin to manage module properties.', 'Sie müssen Admin sein, um Einstellungen an Modulen vornehmen zu dürfen.'),
('de', 'sitemgr', 'you must be an admin to edit the site header and footer.', 'Sie müssen Admin Rechte  haben zum Bearbeiten der Seiten Kopf- oder Fußzeile'),
('de', 'sitemgr', 'you must be an admin to edit categories.', 'Sie benötigen Administrator Rechte zum Bearbeiten der Kategorien.'),
('de', 'sitemgr', 'you may have deinstalled the used template ''%1''. reinstall it or go to sitemgr --> configure website and select an other one.', 'Sie haben eventuell die benützte Designvorlage ''%1'' entfernt. Installieren Sie sie wieder oder gehen Sie zu SiteMgr --> Website konfigurieren und wählen Sie eine andere aus.'),
('de', 'sitemgr', 'you have to enable url rewriting on the webserver!', 'Sie müssen das Umschreiben der URLs auf dem Webserver einschalten!'),
('de', 'sitemgr', 'you have no rights to view wiki content or the wiki is not installed at all !!!', 'Sie haben keine Berechtigung Wiki Inhalte zu betrachten oder das Wiki ist überhaupt nicht installiert !!!'),
('de', 'sitemgr', 'you don''t have permission to write in the category', 'Sie haben keine Rechte um in dieser Kategorie zu schreiben'),
('de', 'sitemgr', 'you don''t have permission to write to that category.', 'Sie haben nicht die Rechte in diese Kategorie zu schreiben.'),
('de', 'sitemgr', 'you failed to fill in one or more required fields.', 'Sie haben eines oder mehrere benötigte Felder nicht ausgefüllt.'),
('de', 'sitemgr', 'you do not have write permissions for any site categories.', 'Sie haben kein Schreibrecht für irgendeine Kategorie der Seite'),
('de', 'sitemgr', 'you do not have access to any content on this site.', 'Sie haben keinen Zugriff zum Inhalte dieser Seite.'),
('de', 'sitemgr', 'you did not choose a module.', 'Sie haben dieses Module nicht ausgewählt'),
('de', 'sitemgr', 'you can use %1 to fetch the above defined url of your logo.', 'Sie können %1 verwenden für die oben definierte Adresse (URL) Ihres Logos.'),
('de', 'sitemgr', 'you can override each content blocks default title. be aware that not in all content areas the block title will be visible.', 'Sie können den Vorgabe-Titel jedes Inhaltsblocks überschreiben. Bitte beachten: nicht in allen Inhaltsblöcken sind die Titel auch sichtbar.'),
('de', 'sitemgr', 'you can either migrate them to a new language or delete them', 'Sie können sie entweder auf eine neue Sprache übertragen oder löschen'),
('de', 'sitemgr', 'you can choose the modules that can be used on the site. the first list is a sort of master list, that is consulted if you do no', 'Sie können die Module welche auf dieser Seite benutzt werden sollen festlegen. Die erste Liste ist eine "Masterliste". Diese wird verwendet wenn Sie für Contentbereiche oder (Unter)Kategorie keine Module festlegen. Weiterhin können Sie für jeden Contentbereich Einstellungen vornehmen. Im Kategorie Manager können diese Einstellungen überschrieben werden für jede (Unter)Kategorie.'),
('de', 'sitemgr', 'you are not entitled to edit block %1', 'Sie sind nicht befugt den Block %1 zu bearbeiten'),
('de', 'sitemgr', 'you are not entitled to create module %1 on this scope', 'Sie sind nicht berechtigt das Module %1 in diesem Zusammenhang zu benutzen'),
('de', 'sitemgr', 'xml browser', 'XML Browser'),
('de', 'sitemgr', 'yes, please delete it', 'Ja, löschen'),
('de', 'sitemgr', 'you are not entitled to change the scope of block %1 to cat %2 and page %3', 'Sie sind nicht berechtigt den Anwendungsbereich vom Block %1 auf Kategorie %2 und Seite %3 zu ändern'),
('de', 'sitemgr', 'write permission', 'Schreibrechte'),
('de', 'sitemgr', 'wiki', 'Wiki'),
('de', 'sitemgr', 'wiki startpage', 'Wiki Startseite'),
('de', 'sitemgr', 'with which view should the module be displayed in the beginning?', 'In welcher Ansicht soll das Modul beim Start angezeigt werden'),
('de', 'sitemgr', 'which main categories should be included (comma separated list, empty for all)', 'Welche Hauptkategorien sollen angezeigt werden (Komma getrennte Liste, leer für alle)'),
('de', 'sitemgr', 'which application should be executed after login?', 'Welche Anwendung soll nach der Anmeldung ausgeführt werden?'),
('de', 'sitemgr', 'when is a tab activated?', 'Wann wird ein Reiter aktiviert?'),
('de', 'sitemgr', 'what do you want to do with existing translations of categories and pages for this language?', 'Was möchten Sie mit den existierenden Übersetzungen für Kategorien und Seiten machen?'),
('de', 'sitemgr', 'week', 'Woche'),
('de', 'sitemgr', 'web site manager', 'Verwaltung der Website'),
('de', 'sitemgr', 'website', 'Website'),
('de', 'sitemgr', 'viewed', 'anzeigen'),
('de', 'sitemgr', 'want more templates?', 'Suchen Sie weiter Templates (Designvorlagen)?'),
('de', 'sitemgr', 'web content manager administration', 'Web Content Manager Administration'),
('de', 'sitemgr', 'view threads', 'Threads anzeigen'),
('de', 'sitemgr', 'view template on this site', 'Designvorlage auf dieser Website ansehen'),
('de', 'sitemgr', 'view generated site', 'Erstellte Seite ansehen'),
('de', 'sitemgr', 'view full index', 'Gesamtindex'),
('de', 'sitemgr', 'vertical', 'Vertikal'),
('de', 'sitemgr', 'view administrative menu', 'Administrations Menü'),
('de', 'sitemgr', 'validator', 'Validierung'),
('de', 'sitemgr', 'user name', 'Benutzer Name'),
('de', 'sitemgr', 'use this module for displaying wiki-pages', 'Benutzen Sie diese Modul zum Anzeigen von Seiten aus dem Wiki'),
('de', 'sitemgr', 'use this module for displaying book ads for the amazon web site', 'Benutzen sie dieses Modul zum Anzeigen für Bücher der Amazon Website'),
('de', 'sitemgr', 'use phpnuke themes instead of templates', 'Benutze phpNuke Themen anstelle von Designvorlagen'),
('de', 'sitemgr', 'use default', 'Benutze Vorgabe'),
('de', 'sitemgr', 'url to sitemgr-site', 'Webadresse zur sitemgr-site'),
('de', 'sitemgr', 'use current user selected language', 'Benutze die Sprache des aktuellen Benutzers'),
('de', 'sitemgr', 'url pointing to the image-directory', 'URL zum Ordner der Bilder'),
('de', 'sitemgr', 'updating to new category system', 'Update zum neuen Kategorie System'),
('de', 'sitemgr', 'update notification', 'Benachrichtigungen aktualisieren'),
('de', 'sitemgr', 'up to table of contents', 'Zum Inhaltsverzeichnis wechseln'),
('de', 'sitemgr', 'up to parent', 'Zur übergeordneten Ebene wechseln'),
('de', 'sitemgr', 'unsubscribe', 'Abbestellen'),
('de', 'sitemgr', 'translation manager', 'Übersetzungen'),
('de', 'sitemgr', 'translation status', 'Status der Übersetzungen'),
('de', 'sitemgr', 'unpack the downloaded template in your templates directory (%1) or use a custom template directory.', 'Entpacken Sie das herunter geladene Template in Ihrem Template Verzeichnis (%1) oder benutzen Sie ein benutzerdefiniertes Template Verzeichnis.'),
('de', 'sitemgr', 'translate page', 'Übersetzen der Seite'),
('de', 'sitemgr', 'translate site-wide content blocks', 'Website-weite Inhaltsblöcke übersetzen'),
('de', 'sitemgr', 'translate category', 'Übersetzen der Kategorie'),
('de', 'sitemgr', 'translate', 'Übersetzen'),
('de', 'sitemgr', 'title', 'Titel'),
('de', 'sitemgr', 'topic', 'Thema'),
('de', 'sitemgr', 'this site', 'diese Site'),
('de', 'sitemgr', 'this should be a page that is readable by everyone. if you leave this blank, the site index will be shown by default.', 'Diese Seite sollte von einem Benutzer ohne spezielle Rechte gesehen werden können (z. B. Anonymous). Falls Sie hier nichts eintragen, wird der Seiten Index als Standard angezeigt.'),
('de', 'sitemgr', 'this should be a comma-separated list of language-codes.', 'Geben Sie hier eine durch Kommata unterteilte Liste der Sprachen ein. Zum Beispiel: en, de, fr'),
('de', 'sitemgr', 'this must be an absolute directory location.  <b>no trailing slash</b>.', 'Hier muss der Adsolute Pfad zu Verzeichniss angegeben werden. Zum Beispiel: /var/www/html/Ihre_Firma/sitemgr_site. <b>Keinen "/" am Ende des Pfades angeben!</b>'),
('de', 'sitemgr', 'this module show the status / percentage of the translation of egw', 'Diese Module zeit den prozentualen Status der Übersetzungen von eGW'),
('de', 'sitemgr', 'this module search throw the content (page title/description and html content)', 'Diese Module zeigt das Ergebnis der Suche (Seitentitel, Beschreibung und HTML Inhalt)'),
('de', 'sitemgr', 'this module provides the path to the element currently shown', 'Dieses Module liefert einen Pfad zu der gerade gezeigten Seite.'),
('de', 'sitemgr', 'this module provides the site index, it is automatically used by the index get parameter', 'Dieses Modul stellt einen Seiten Index zur Verfügung. Es wird automatisch durch den Index GET Parameter erstellt.'),
('de', 'sitemgr', 'this module provides tabs', 'Dieses Module liefert Kartenreiter'),
('de', 'sitemgr', 'this module provides an xml sitemap (see www.sitemap.org)', 'Dieses Modul erzeugt ein XML Inhaltsverzeichnis (www.sitemap.org)'),
('de', 'sitemgr', 'this module provides a condensed table of contents, meant for side areas', 'Dieses Modul liefert ein verdichtetes Inhaltsverzeichnis, gedacht für die Seitenspalten'),
('de', 'sitemgr', 'this module provides a complete table of contents, it is automatically used by the toc and category_id get parameters', 'Dieses Modul bietet ein komplettes Inhaltsverzeichnis. Dieses wird automatisch erstellt durch den toc und den category_ID GET Parameter'),
('de', 'sitemgr', 'this module permits browsing through xml files stored in a directory, and transformed by xslt', 'Dieses Modul erlaubt das durchsuchen von Verzeichnisse mit XML Dateien und transformiert mit XSLT'),
('de', 'sitemgr', 'this module lets you show a given url inside an iframe in the page.', 'Diese Module erlaubt es eine Webadresse in einem IFRAME innerhalb der Seite anzuzeigen.'),
('de', 'sitemgr', 'this module lets you include an applet into the page.', 'Diese Module erlaubt es ein Applet in die Seite zu integrieren.'),
('de', 'sitemgr', 'this module lets you define pages that redirect to another url, if you use it, there should be no other block defined for the pa', 'Dieses Modul erlaubt Seiten zu definieren die auf eine andere URL umleiten. Wenn sie es benutzen, sollten sie keine anderen Blöcke für diese Seite definieren.'),
('de', 'sitemgr', 'this module lets users choose language', 'Dieses Modul erlaubt es Benutzern eine Sprache auszuwählen'),
('de', 'sitemgr', 'this module lets the users choose a template or shows a template gallery', 'Diese Module erlaubt dem Benutzer die Designvorlage zu wechseln oder zeigt eine Galerie mit Designvorlagen'),
('de', 'sitemgr', 'this module is a simple html editor', 'Dieses Modul ist ein HTML Editor (formatierter Text)'),
('de', 'sitemgr', 'this module is a customisable navigation element', 'Diese Module ist ein modifizierbares Navigationselement'),
('de', 'sitemgr', 'this module is a selectbox to change the mode (production, draft or edit) plus a link back to sitemgr and to log out. it is mean', 'Dieses Modul ist eine Auswahlbox um den Modus (Produktion, Entwurf, Bearbeiten) zu ändern plus Links zurück zum SiteMgr und zum ausloggen. Es ist ausschließlich für registrierte Benutzer gedacht.'),
('de', 'sitemgr', 'this module includes the contents of an url or file (readable by the webserver and in its docroot !)', 'Dieses Modul bindet den Inhalt einer URL oder Datei (muß vom Webserver lesbar und in dessen Dokumentenwurzelverzeichnis sein!) ein'),
('de', 'sitemgr', 'this module displays the root categories, its pages and evtl. subcategories. it is meant for side areas', 'Dises Module zeigt die Hauptkategorien, Ihre Seiten und ggf. Unterkategorien. Es ist gedacht für die Seitenspalten'),
('de', 'sitemgr', 'this module displays the egw forums on the web site', 'Dieses Module stellt EGroupware Foren auf der Website dar'),
('de', 'sitemgr', 'this module displays the root categories in one block each, with pages and subcategories (incl. their pages if activated).', 'Dises Module zeigt die Hauptkategorien in jeweils einem Block, mit ihre Seiten und ggf. Unterkategorien (einschl. deren Seite wenn aktiviert).'),
('de', 'sitemgr', 'this module displays the current month', 'Dieses Modul zeigt den aktuellen Monat an'),
('de', 'sitemgr', 'this module displays bookmarks in a javascript based tree', 'Diese Modul zeigt Lesezeichen (Bookmarks) in einer Javascript basierenden Baumansicht'),
('de', 'sitemgr', 'this module displays block from a adddressbook group.', 'Dieses Modul zeigt Adressen von einen Adressbuch als Block an.'),
('de', 'sitemgr', 'this module displays a login form', 'Dieses Modul bietet ein Anmelde Formular'),
('de', 'sitemgr', 'this module displays any kind of navigation element.', 'Diese Module liefert alle Arten von Navigationselementen.'),
('de', 'sitemgr', 'this module demonstrates how handling data stored in xml and building an interacvite interface from it', 'Dieses Modul zeigt wie interaktives Interface erzeugen kann mit Informationen, welche im XML Format gespeichert sind'),
('de', 'sitemgr', 'this module create a link for downloading a file(s) from the vfs', 'Dieses Modul liefert einen Link zum herunterladen von Dateien aus dem VFS'),
('de', 'sitemgr', 'this module create a link for downloading a file from the vfs', 'Dieses Modul liefert einen Link zum herunterladen einer Datei aus dem VFS'),
('de', 'sitemgr', 'this is used chiefly for meta data. if you change the site languages below you have to save before being able to set this prefer', 'Dieser Eintrag wird hauptsächlich für die META-Daten benutzt. Wenn Sie weiter unten die Seitensprache ändern, müssen Sie zuerst speichern bevor Sie diese Einstellungen für eine andere Sprache eintragen können.'),
('de', 'sitemgr', 'this is used chiefly for meta data and the title bar. if you change the site languages below you have to save before being able ', 'Dieser Eintrag wird hauptsächlich für die META-Daten und den Seiten Titel benutzt. Wenn Sie weiter unten die Seitensprache ändern, müssen Sie zuerst speichern bevor Sie diese Einstellungen für eine andere Sprache eintragen können.'),
('de', 'sitemgr', 'this is only used as an internal name for the website.', 'Dies wird nur als interner Name der Website verwendet.'),
('de', 'sitemgr', 'this is a simple sample module', 'Dies ist ein einfaches Beispiel Modul'),
('de', 'sitemgr', 'this directory is in egroupware''s virtual filesystem, not in the filesystem of the webserver!', 'Dieses Verzeichnis ist in EGroupware''s virtuellem Filesystem, nicht im Filesystem des Webservers!'),
('de', 'sitemgr', 'this category has no pages.', 'Diese Kategorie hat keine Seiten.'),
('de', 'sitemgr', 'this block displays the current section''s table of contents', 'Dieser Block zeigt das Inhaltsverzeichnis der aktuellen Kategorie an'),
('de', 'sitemgr', 'this block displays a javascript based tree menu', 'Diese Block zeigt eine Javascript basierende Baumansicht'),
('de', 'sitemgr', 'there is nothing to list.', 'Nichts anzuzeigen.'),
('de', 'sitemgr', 'there was an error writing to the database.', 'Beim schreiben in die Datenbank ist ein Fehler aufgetreten.'),
('de', 'sitemgr', 'there is no website configured for url %1.  notify the administrator.', 'ES IST KEINE WEBSITE DEFINIERT FÜR DIE URL %1. BENACHRICHTIGEN SIE DEN ADMINISTRATOR.'),
('de', 'sitemgr', 'there can only be one version in (pre(un))published state, with the one exeption that one prepublished version can coexist with ', 'Es kann immer nur eine Version im (vor (nicht mehr)) veröffentlicht Zustand geben. Mit der einen Ausnahme, das es eine "vor veröffentlicht" Version zusammen mit einer "vor nicht mehr veröffentlicht" Version geben darf.'),
('de', 'sitemgr', 'there are no sections available to you.', 'Es sind keine Sektionen für sie verfügbar.'),
('de', 'sitemgr', 'there are two subdirectories off of your sitemgr directory that you should move before you do anything else.  you don''t <i>have<', 'Das sitemgr Verzeichnis beinhaltet zwei Unter-Verzeichnisse welche Sie zuerst an den vorgesehenen Ort verschieben sollten, bevor Sie weitere Konfigurationen vornehmen. Sie müssen diese Unterverzeichnisse <b>nicht</b> verschieben. Sie können auch mit der Standardkonfiguration arbeiten.'),
('de', 'sitemgr', 'there are no properties defined for this module', 'Es sind keine Einstellungen definiert für dieses Module'),
('de', 'sitemgr', 'there are no pages in this section', 'In diesem Bereich sind keine Seiten vorhanden'),
('de', 'sitemgr', 'there are no forums in this category', 'Es gibt keine Foren in dieser Kategorie'),
('de', 'sitemgr', 'there are no categories', 'Es gibt noch keine Kategorien'),
('de', 'sitemgr', 'there are %1 elements in the list.', 'Es sind %1 Elemente in der Liste.'),
('de', 'sitemgr', 'theme or template select', 'Thema oder Designauswahl'),
('de', 'sitemgr', 'theme "%1" not found!', 'Thema "%1" nicht gefunden!'),
('de', 'sitemgr', 'the whole page', 'die gesamten Seite'),
('de', 'sitemgr', 'the xml files'' common name', 'Der allgemeine Name der XML Dateien'),
('de', 'sitemgr', 'the website has changed. too see the change, follow this url: $url.', 'Die Website wurde verändert. Um die Änderungen angezeigt zu bekommen, folgen Sie dieser URL: $URL'),
('de', 'sitemgr', 'the web', 'das Web'),
('de', 'sitemgr', 'the url to display', 'Die Webadresse zum Anzeigen'),
('de', 'sitemgr', 'the url to redirect to', 'Die Webadresse auf die umgeleitet werden soll'),
('de', 'sitemgr', 'the url must be absolute and end in a slash, for example http://mydomain.com/mysite/', 'Die URL muss absolut sein und mit einem Slash "/" enden, z.B. http://mydomain.com/mysite/'),
('de', 'sitemgr', 'the url can be relative or absolute.  name must end in a slash.', 'Die URL kann absolute oder relativ angegeben werden. Der Pfad muss mit einem Slash "/" enden.'),
('de', 'sitemgr', 'the text for the link, if empty the module returns the raw url (without a link)', 'Der Text für den Link, wenn leer gibt das Modul die rohe URL aus (ohne einen Link)'),
('de', 'sitemgr', 'the second directory is the sitemgr-site directory.  this can be moved <i>anywhere</i>.  it can also be named <i>anything</i>.  ', 'Das zweite Verzeichnis ist das sitemmgr-site Verzeichnis. Dieses können Sie an einen <i>beliebigen</i> Platz verschieben. Sie können diesem Verzeichnis auch einen <i>beliebigen</i> Namen geben. Unabhängig vom Namen und dem Ort an welchem es sich befindet wird die erzeugte Seite angezeigt. Bedingung hierfür ist jedoch das die Setup Informationen vollständig und richtig eingegeben wurden und die Datei <b>config.inc.php</b> bearbeitet wurde.'),
('de', 'sitemgr', 'the requested path %1 is not available.', 'Der angeforderte Pfad %1 steht nicht zur Verfügung.'),
('de', 'sitemgr', 'the page was successfully saved.', 'Die Seite wurde erfolgreich gespeichert.'),
('de', 'sitemgr', 'the path to the file to be downloaded', 'Der Pfad zur Datei die heruntergeladen werden soll'),
('de', 'sitemgr', 'the person to say hello to', 'Die Person welche hallo gesagt wird'),
('de', 'sitemgr', 'the page name must be unique.', 'Der Seiten Name muss einmalig sein.'),
('de', 'sitemgr', 'the name field cannot contain punctuation or spaces (field modified).', 'Das Feld Name darf keine Punkte oder Leerzeichen enthalten (field modified).'),
('de', 'sitemgr', 'the messages for changes in this language will use the default text, if available.', 'Die Nachricht über Änderungen in dieser Sprache wird den Vorgabetext verwenden, wenn verfügbar.'),
('de', 'sitemgr', 'the given directory should be readable by the anonymous user for a regular public website!', 'Das angegebenen Verzeichnis sollte vom anonymen Benutzer lesbar sein für eine reguläre öffentliche Webseite!'),
('de', 'sitemgr', 'the first directory to think about is sitemgr-link.  if you move this to the parent directory of sitemgr (your egroupware root d', 'Das erste Verzeichnis über welches Sie sich Gedanken machen sollten ist sitemgr-link. Wenn Sie dieses Verzeichnis in das Root Verzeichnis Ihrer EGroupware Installation verschieben, können Sie Setup benutzen um diese Applikation zu installieren. Durch Rechtezuweisung für sitemgr-link erscheint das sitemgr-link Icon in der Navigationsleiste des Beutzers. Dieser kann dann direkt auf die öffentlich zugängliche sitemgr Installation zugreifen. Wenn Sie dieses Icon nicht in der Navigationsleite haben möchten, besteht kein Grund dieses in das Root Verzeichnis von EGroupware zu verschieben.'),
('de', 'sitemgr', 'the filesystem path to your sitemgr-site directory ''%1'' is probably wrong. go to sitemgr --> define websites and edit/fix the co', 'Der Dateisystempfad zu Ihrem sitemgr-site Verzeichnis ''%1'' ist vermutlich falsch. Gehen Sie zu SiteMgr --> Webseiten definieren und bearbeiten/fixen sie die entsprechende Website.'),
('de', 'sitemgr', 'the file to be downloaded', 'Die Datei die heruntergeladen werden soll'),
('de', 'sitemgr', 'the config.inc.php file needs to be edited to point to the egroupware directory. copy the config.inc.php.template file to config', 'Die config.inc.php Datei muss bearbeitet werden damit die Pfade auf das EGroupeware Verzeichnis verweisen. Kopieren Sie bitte die config.inc.php.template Datei nach config.inc.php und bearbeiten Sie anschließend diese'),
('de', 'sitemgr', 'the complete url or path to a file to be included', 'Die komplette URL (Webadresse) oder der Pfad der einzubindenden Datei'),
('de', 'sitemgr', 'the anonymous user needs read it!', 'Der anonyme Benutzer benötigt Leserechte'),
('de', 'sitemgr', 'the category to display, 0 for complete table of contents', 'Die Kategorie welche angezeigt werden soll. 0 für alle Themengebiete'),
('de', 'sitemgr', 'text of page links', 'Text der Verweise auf Seiten'),
('de', 'sitemgr', 'textarea', 'Textfeld'),
('de', 'sitemgr', 'text for optional confirmation message, before download get displayed', 'Text für optionale Bestätigung, bevor der Download angezeigt wird'),
('de', 'sitemgr', 'template select', 'Designvorlage auswählen'),
('de', 'sitemgr', 'text allignment', 'Ausrichtung des Textes'),
('de', 'sitemgr', 'template preferences and custom css', 'Template Einstellungen und benutzerdefiniertes CSS'),
('de', 'sitemgr', 'template has no parameters!', 'Template hat keine Einstellungen!'),
('de', 'sitemgr', 'template preferences', 'Template Einstellungen'),
('de', 'sitemgr', 'template directory is relative to egroupware''s files directory. you have to map that direcotory with an alias, so it is accessib', 'Das Template Verzeichnis ist relativ zu EGroupware''s Datei Verzeichnis. Sie müssen dieses Verzeichnis mit einem "Alias" mappen, so das es wie die regulären Template Verzeichnisse erreichbar ist!'),
('de', 'sitemgr', 'template based navigation module', 'Template basierende Navigation'),
('de', 'sitemgr', 'table of contents', 'Themengebiete'),
('de', 'sitemgr', 'suppress the current category', 'Aktuelle Kategorie unterdrücken'),
('de', 'sitemgr', 'suppress the current page', 'Aktuelle Seite unterdrücken'),
('de', 'sitemgr', 'suppress main categories', 'Hauptkategorien unterdrücken'),
('de', 'sitemgr', 'suppress link to parent category', 'Verweis auf die Eltern-Kategorie unterdrücken'),
('de', 'sitemgr', 'summary of one forum', 'Zusammenfassung eines Forums'),
('de', 'sitemgr', 'suppress link to index (show all)', 'Verweis auf gesamtes Inhaltsverzeichnis (alle anzeigen) unterdrücken'),
('de', 'sitemgr', 'subtitle', 'Untertitel'),
('de', 'sitemgr', 'subtext for image %1', 'Untertitel für Bild %1'),
('de', 'sitemgr', 'subsections:', 'Unterkategorien:'),
('de', 'sitemgr', 'subcategories', 'Unterkategorien'),
('de', 'sitemgr', 'strip html from block content?', 'Entferne HTML aus dem Block Content'),
('de', 'sitemgr', 'state', 'Zustand'),
('de', 'sitemgr', 'string to return (default api version)', 'Zeichenkette zum zurückgeben (Standart ist die API Version)'),
('de', 'sitemgr', 'startdirectory in vfs for image uploads', 'Anfangsverzeichnis im VFS für Bilder Uploads'),
('de', 'sitemgr', 'sort order', 'Sortierreihenfolge'),
('de', 'sitemgr', 'sort files by', 'Sortiere Dateien nach'),
('de', 'sitemgr', 'sorry, no content found for you search criteria', 'Ihre Suche ergab keine Treffer'),
('de', 'sitemgr', 'size', 'Größe'),
('de', 'sitemgr', 'sitemgr websites', 'SiteMgr Websites'),
('de', 'sitemgr', 'sitemgr setup instructions', 'SiteMgr Setup Informationen'),
('de', 'sitemgr', 'sitemgr options', 'SiteMgr Optionen'),
('de', 'sitemgr', 'sitemgr manual', 'SiteMgr Handbuch'),
('de', 'sitemgr', 'site wide', 'websitenweit'),
('de', 'sitemgr', 'site tree menu', 'Baumansicht der Seite'),
('de', 'sitemgr', 'site name', 'Website Name'),
('de', 'sitemgr', 'site language', 'Sprache der Website'),
('de', 'sitemgr', 'site index', 'Website Inhaltsverzeichnis'),
('de', 'sitemgr', 'site format manager', 'Website Formatmanager'),
('de', 'sitemgr', 'site export', 'Export der Website'),
('de', 'sitemgr', 'site description', 'Beschreibung der Website'),
('de', 'sitemgr', 'site %1 has been updated', 'Website %1 wurde aktualisiert'),
('de', 'sitemgr', 'site administrators', 'Website Administratoren'),
('de', 'sitemgr', 'site %1 has been added, you need to %2configure the site%3 now', 'Website %1 wurde zugefügt, sie sollten die %2Website jetzt konfigurieren%3'),
('de', 'sitemgr', 'site', 'Website'),
('de', 'sitemgr', 'single file download', 'Herunterladen einer einzigen Datei'),
('de', 'sitemgr', 'simple: only selected mode, no more options displayed', 'Einfach: nur der ausgewählte Modus, keine weiteren Optionen anzeigen'),
('de', 'sitemgr', 'show the link as text?', 'Link als Text anzeigen?'),
('de', 'sitemgr', 'show the title of the wiki page', 'Titel der Wiki Seite anzeigen'),
('de', 'sitemgr', 'show subcategories', 'Unterkategorien anzeigen'),
('de', 'sitemgr', 'show site index', 'Site Inhaltsverzeichnis anzeigen'),
('de', 'sitemgr', 'show searchbox', 'Suchfeld anzeigen'),
('de', 'sitemgr', 'show path?', 'Pfad anzeigen?'),
('de', 'sitemgr', 'show only (in the next field) selected templates', 'Zeige nur die (im nächsten Feld) ausgewählten Designvorlagen'),
('de', 'sitemgr', 'show files including the ones from subdirectories', 'Zeige Dateien einschließlich der der Unterverzeichnisse'),
('de', 'sitemgr', 'show details for the applications', 'Zeite Details über die einzelnen Anwendungen'),
('de', 'sitemgr', 'show current section only', 'Zeige nur aktuelle Auswahl'),
('de', 'sitemgr', 'show contents of a directory with subdirectories', 'Zeigt den Inhalt eines Verzeichnisses mit Unterverzeichnissen'),
('de', 'sitemgr', 'show contents of a directory', 'Zeigt den Inhalt eines Verzeichnisses'),
('de', 'sitemgr', 'show comments?', 'Kommentare anzeigen?'),
('de', 'sitemgr', 'show a template-gallery (thumbnail and informations)', 'Galerie mit Designvorlagen (Bilder und Informationen) anzeigen'),
('de', 'sitemgr', 'show a file upload (if user has write rights to current directory)', 'Zeige den Datei-Upload Dialog (Nur wenn der Benutzter Schreibrechte auf das aktuelle Verzeichnis besitzt)'),
('de', 'sitemgr', 'should the file be viewed in the browser or downloaded', 'Soll die Datei im Browser angezeigt oder heruntergeladen werden'),
('de', 'sitemgr', 'seperate cats / pages of one tab by :', 'Unterteile Kategorien / Seiten eines Kartenreiters mit:'),
('de', 'sitemgr', 'shipping address', 'Versandadresse'),
('de', 'sitemgr', 'send emailcopy to receiver', 'E-Mail auch an angegebenen Adressat senden'),
('de', 'sitemgr', 'selected theme %1 does not exist.', 'Das ausgewählte Thema %1 ist nicht verfügbar.'),
('de', 'sitemgr', 'selected template %1 does not exist.', 'Das ausgewählte Design %1 ist nicht verfügbar.'),
('de', 'sitemgr', 'select type of navigation', 'Typ der Navigation auswählen'),
('de', 'sitemgr', 'select the templates the user is allowed to see', 'Designvorlagen auswählen die der Benutzer sehen darf'),
('de', 'sitemgr', 'select persons and groups that are entitled to configure the website.', 'Personen und Gruppen auswählen, die diese Website konfigurieren dürfen.'),
('de', 'sitemgr', 'select layout for lang selection', 'Wähle Aussehen der Sprachauswahl'),
('de', 'sitemgr', 'select allowed modules', 'Erlaubte Module auswählen'),
('de', 'sitemgr', 'select a forum', 'Ein Forum auswählen'),
('de', 'sitemgr', 'select a category', 'Eine Kategorie auswählen'),
('de', 'sitemgr', 'seen by', 'Sichtbar für'),
('de', 'sitemgr', 'seconds before redirect', 'Sekunden bis zur Weiterleitung'),
('de', 'sitemgr', 'search with', 'Suchen mit'),
('de', 'sitemgr', 'search modes', 'Suchmodi'),
('de', 'sitemgr', 'search language options', 'Sprachoptionen suchen'),
('de', 'sitemgr', 'search keyword', 'Schlüsselworte suchen'),
('de', 'sitemgr', 'scope', 'Anwendungsbereich'),
('de', 'sitemgr', 'save block', 'Block speichern'),
('de', 'sitemgr', 'saved', 'Gespeichert'),
('de', 'sitemgr', 'root site index', 'Wurzelverzeichnis'),
('de', 'sitemgr', 'save', 'Speichern'),
('de', 'sitemgr', 'return to message list', 'Zurück zur Meldungsliste'),
('de', 'sitemgr', 'return to main menu.', 'Zurück zum Hauptmenü.'),
('de', 'sitemgr', 'reset', 'Zurücksetzen'),
('de', 'sitemgr', 'return to forums', 'Zurück zu den Foren'),
('de', 'sitemgr', 'required fields', 'Benötigte Felder'),
('de', 'sitemgr', 'required', 'Benötigt'),
('de', 'sitemgr', 'replies', 'Antworten'),
('de', 'sitemgr', 'reload', 'Nachladen'),
('de', 'sitemgr', 'regular expression modifier "%1" in "%2" is not allowed!', 'Reguläre Ausdruck Modifier "%1" in "%2" ist NICHT erlaubt!'),
('de', 'sitemgr', 'register new modules', 'Neue Module registrieren'),
('de', 'sitemgr', 'refresh', 'Aktualisieren'),
('de', 'sitemgr', 'register for one now.', 'Hier können Sie sich registrieren.'),
('de', 'sitemgr', 'redirection', 'Umlenkung'),
('de', 'sitemgr', 'read permission', 'Leserechte'),
('de', 'sitemgr', 'reactivate content', 'Inhalt wieder aktivieren'),
('de', 'sitemgr', 'quantity items (empty allows buyer to specify)', 'Anzahl der Artikel (leer erlaubt dem Käufe eine einzugeben)'),
('de', 'sitemgr', 'published', 'Veröffentlicht'),
('de', 'sitemgr', 'production mode', 'Produktionsmodus'),
('de', 'sitemgr', 'price of the item (empty allows buyer to choose, eg. for donations)', 'Preis des zu verkaufenden Artikels (leer erlaubt dem Käufer einen zu wählen, z.B. für Spenden)'),
('de', 'sitemgr', 'previous', 'Vorhergehend'),
('de', 'sitemgr', 'preunpublished', 'zu archivieren'),
('de', 'sitemgr', 'prepublished', 'zu veröffentlichen'),
('de', 'sitemgr', 'post a message to this thread', 'Eine Nachricht in diesem Thread posten.'),
('de', 'sitemgr', 'prefix', 'Anrede'),
('de', 'sitemgr', 'please sign the guestbook', 'Bitte tragen Sie sich im Gästebuch ein'),
('de', 'sitemgr', 'phrases in total', 'Phrasen insgesamt'),
('de', 'sitemgr', 'plain selectbox', 'Einfache Auswahlbox'),
('de', 'sitemgr', 'please enter a name for that site !', 'Bitte geben sie einen Namen für die Website an !'),
('de', 'sitemgr', 'percentage', 'Prozente'),
('de', 'sitemgr', 'paypal pay now button', 'PayPal jetzt kaufen Knopf'),
('de', 'sitemgr', 'paypal', 'PayPal'),
('de', 'sitemgr', 'pay with paypal', 'Bezahlen mit PayPal'),
('de', 'sitemgr', 'path to zip binary if not in path of the webserver', 'Pfad zu zip Programm, wenn nicht im Pfad des Webservers'),
('de', 'sitemgr', 'path to image-directory ''%1'' is not valid or readable by the webserver !!!', 'Der Pfad zum Ordner der Bilder ''%1'' ist ungültig oder nicht lesbar für den Webserver !!!'),
('de', 'sitemgr', 'path', 'Pfad'),
('de', 'sitemgr', 'password that you assigned for the anonymous user account.', 'Passwort des anonymen Benutzerkontos'),
('de', 'sitemgr', 'password', 'Passwort'),
('de', 'sitemgr', 'parent section:', 'Übergeordnete Kategorie:'),
('de', 'sitemgr', 'parent', 'Übergeordnet'),
('de', 'sitemgr', 'parent directory', 'Übergeordnetes Verzeichnis'),
('de', 'sitemgr', 'parameters saved.', 'Parameter gespeichert.'),
('de', 'sitemgr', 'pages:', 'Seiten:'),
('de', 'sitemgr', 'pages', 'Seiten'),
('de', 'sitemgr', 'page subtitle', 'Untertitel der Seite'),
('de', 'sitemgr', 'page title', 'Seitentitel'),
('de', 'sitemgr', 'page saved.', 'Seite gespeichert.'),
('de', 'sitemgr', 'page saved', 'Seite gespeichert'),
('de', 'sitemgr', 'page name', 'Seitenname'),
('de', 'sitemgr', 'page content', 'Seiteninhalt'),
('de', 'sitemgr', 'page manager', 'Seiten Manager'),
('de', 'sitemgr', 'page', 'Seite'),
('de', 'sitemgr', 'own amazon partner-id or empty to donate to the egroupware project', 'Eigene Amazon Partner-Id oder leer um an das EGroupware Projekt zu spenden'),
('de', 'sitemgr', 'overview of all available categories', 'Überblick über alle verfügbaren Kategorien'),
('de', 'sitemgr', 'overview of one specific category', 'Überblick über eine spezielle Kategorie'),
('de', 'sitemgr', 'other websites', 'Andere Websites'),
('de', 'sitemgr', 'or use a template compatible with %1.', 'Oder benutzen Sie ein Template kompatible mit %1.'),
('de', 'sitemgr', 'or enter the title for a new guestbook', 'oder geben Sie einen Title für das neue Gästebuch ein');
INSERT INTO `egw_lang` (`lang`, `app_name`, `message_id`, `content`) VALUES
('de', 'sitemgr', 'options in search result page', 'Optionen in der Ergebnisseite der Suche'),
('de', 'sitemgr', 'only gallery', 'Nur Galerie'),
('de', 'sitemgr', 'only on the first page', 'nur auf der ersten Seite'),
('de', 'sitemgr', 'on all pages', 'auf allen Seiten'),
('de', 'sitemgr', 'oldest first', 'älteste zuerst'),
('de', 'sitemgr', 'number of results', 'Anzahl der Ergebnisse'),
('de', 'sitemgr', 'notification not found !!!', 'Benachrichtigung nicht gefunden !!!'),
('de', 'sitemgr', 'notification message not found !!!', 'Benachrichtigungsmeldung nicht gefunden !!!'),
('de', 'sitemgr', 'no, chooser with preview', 'Nein nur Auswahl mit Vorschau'),
('de', 'sitemgr', 'none selected', 'Keines ausgewählt'),
('de', 'sitemgr', 'not yet translated', 'noch nicht übersetzt'),
('de', 'sitemgr', 'no, chooser only (for side-areas)', 'Nein nur Auswahl (für Seitenbereiche)'),
('de', 'sitemgr', 'no websites defined', 'Keine Website definiert'),
('de', 'sitemgr', 'no users defined.', 'Keine Benutzer definiert.'),
('de', 'sitemgr', 'no thumbnail availible', 'Kein Vorschaubild verfügbar'),
('de', 'sitemgr', 'no template file found.', 'Keine Designvorlagendatei gefunden'),
('de', 'sitemgr', 'no templates found.', 'Kein Designvorlagen gefunden.'),
('de', 'sitemgr', 'no states defined', 'Keine Stati definiert'),
('de', 'sitemgr', 'no sitelanguages configured', 'Keine Sprachen konfiguriert'),
('de', 'sitemgr', 'no pages available', 'Keine Seiten verfügbar'),
('de', 'sitemgr', 'no options available.', 'Keine Optionen verfügbar.'),
('de', 'sitemgr', 'no new modules found !!!', 'Keine neuen Module gefunden !!!'),
('de', 'sitemgr', 'no modules permitted for this content area/category', 'Für diesen Inhaltsbereich / Kategorie sind keine Module erlaubt'),
('de', 'sitemgr', 'no link to full index', 'Kein Link auf den Gesamtindex'),
('de', 'sitemgr', 'no groups defined.', 'Keine Gruppen definiert.'),
('de', 'sitemgr', 'no content found', 'Kein Inhalt gefunden'),
('de', 'sitemgr', 'no content areas found in selected template', 'Keine Inhaltsbereich in der ausgewählten Designvorlage gefunden.'),
('de', 'sitemgr', 'no additional arguments required', 'Kein zusätzlicher Parameter benötigt'),
('de', 'sitemgr', 'no anonymous user accounts installed.  notify the administrator.', 'KEINE ANONYME BENUTZERKENNUNG INSTALLIERT. BENACHRICHTIGEN SIE DEN ADMINISTRATOR.'),
('de', 'sitemgr', 'newest first', 'neueste zuerst'),
('de', 'sitemgr', 'new guestbook', 'Neues Gästebuch'),
('de', 'sitemgr', 'new sitemgr site', 'Neue SiteMgr Website'),
('de', 'sitemgr', 'new application', 'Neue Applikation'),
('de', 'sitemgr', 'name of the tabs (comma seperated)', 'Namen für die Kartenreiter (durch Komma getrennt)'),
('de', 'sitemgr', 'name of the item for sale', 'Name des zu verkaufenden Artikels'),
('de', 'sitemgr', 'name of page or numeric category to go to, if website was selected above:', 'Name der Seite oder numerische Kategorie auf die gewechselt werden soll, wenn oben Website ausgewählt wurde:'),
('de', 'sitemgr', 'name has been translated to lower case', 'Der Name wurde in Kleinbuchstaben umgewandelt'),
('de', 'sitemgr', 'name', 'Name'),
('de', 'sitemgr', 'move to', 'Verschieben nach'),
('de', 'sitemgr', 'module: %1, scope: %2, contentarea: %3, viewable: %4', 'Modul: %1, Anwendungsbereich: %2, Inhaltsbereich: %3, Sichtbar für: %4'),
('de', 'sitemgr', 'move block down (increase sort order)', 'Block nach unten verschieben (Sortierreihenfolge erhöhen)'),
('de', 'sitemgr', 'move block up (decrease sort order)', 'Block nach oben verschieben (Sortierreihenfolge verringern)'),
('de', 'sitemgr', 'module manager', 'Module verwalten'),
('de', 'sitemgr', 'module returns api version or an arbitrary string.', 'Dieses Modul gibt die API Version oder einen beliebigen String zurück'),
('de', 'sitemgr', 'module ''%1'' not found in: %2! --> exiting', 'Modul ''%1'' nicht gefunden in: %2! --> Abbruch'),
('de', 'sitemgr', 'module %1 is not permitted in this context!', 'Module %1 ist in diesem Kontext nicht erlaubt!'),
('de', 'sitemgr', 'migrating data for %1 to %2', 'Daten für %1 werden nach %2 übertragen'),
('de', 'sitemgr', 'messages are defined for all site languages.', 'Meldungen sind für alle Sprachen der Seite definiert.'),
('de', 'sitemgr', 'message text:', 'Text der Nachricht:'),
('de', 'sitemgr', 'message not found !!!', 'Nachricht nicht gefunden !!!'),
('de', 'sitemgr', 'maximal page depth to be shown', 'Maximale Tiefe der angezeigten Seiten'),
('de', 'sitemgr', 'maximal category depth to be shown', 'Maximale Tiefe der angezeigten Kategorien'),
('de', 'sitemgr', 'master list of permitted modules', 'Masterliste für erlaubte Module'),
('de', 'sitemgr', 'manage site-wide module properties', 'Moduleinstellungen für die ganze Website'),
('de', 'sitemgr', 'manage translations', 'Übersetzungen verwalten'),
('de', 'sitemgr', 'manage site-wide content', 'Website weite Inhalte verwalten'),
('de', 'sitemgr', 'manage site content', 'Seiten Inhalt verwalten'),
('de', 'sitemgr', 'manage page specific content', 'Seitenspezifischen Inhalt verwalten'),
('de', 'sitemgr', 'manage notifications', 'Benachrichtigungen verwalten'),
('de', 'sitemgr', 'manage modules', 'Module verwalten'),
('de', 'sitemgr', 'manage notification messages', 'Benachrichtigungsmeldungen verwalten'),
('de', 'sitemgr', 'manage content', 'Inhalte verwalten'),
('de', 'sitemgr', 'manage category wide module properties', 'Kategorieweite Modul-Einstellungen verwalten'),
('de', 'sitemgr', 'manage category wide content', 'Kategorieweiten Inhalt verwalten'),
('de', 'sitemgr', 'main content', 'Hauptinhalt'),
('de', 'sitemgr', 'mains', 'Überschriften (mains)'),
('de', 'sitemgr', 'manage archived content', 'Archivierte Inhalte verwalten'),
('de', 'sitemgr', 'manage categories', 'Kategorien verwalten'),
('de', 'sitemgr', 'manage categories and pages', 'Kategorien und Seiten verwalten'),
('de', 'sitemgr', 'logged in as:', 'Angemeldet als:'),
('de', 'sitemgr', 'login', 'Login'),
('de', 'sitemgr', 'login name', 'Anmeldename'),
('de', 'sitemgr', 'logo url', 'Logo Adresse'),
('de', 'sitemgr', 'logo, custom css', 'Logo, angepasstes CSS'),
('de', 'sitemgr', 'latest reply', 'Letzte Antwort'),
('de', 'sitemgr', 'links for the tabs (comma seperated)', 'Links für die Kartenreiter (durch Komma getrennt)'),
('de', 'sitemgr', 'list of permitted modules specific to content area %1', 'Liste der erlaubten Module speziell für den Inhaltsbereich %1'),
('de', 'sitemgr', 'last entries to the guestbook', 'Letzten Einträge im Gästebuch'),
('de', 'sitemgr', 'language:', 'Sprache:'),
('de', 'sitemgr', 'languages the site user can choose from', 'Sprachen, die der Benutzer auswählen kann'),
('de', 'sitemgr', 'just download one from our %1template gallery%2 on %3.', 'Laden Sie einfach eines von unserer %1Template Galerie%2 auf %3 herunter.'),
('de', 'sitemgr', 'knowledge base', 'Wissensdatenbank'),
('de', 'sitemgr', 'invalid template directory ''%1'' !!!', 'Ungültiges Designvorlagen-Verzeichnis ''%1'' !!!'),
('de', 'sitemgr', 'individual access permissions', 'Individuelle Zugriffsrechte'),
('de', 'sitemgr', 'interface to google website', 'Schnittstelle zur Google Webseite'),
('de', 'sitemgr', 'index', 'Inhaltsverzeichnis'),
('de', 'sitemgr', 'individual access permission', 'Individuelles Zugriffsrecht'),
('de', 'sitemgr', 'import site', 'Website importieren'),
('de', 'sitemgr', 'imported', 'Importiert'),
('de', 'sitemgr', 'import', 'Importieren'),
('de', 'sitemgr', 'import a sitemgr website', 'Eine SiteMgr Website importieren'),
('de', 'sitemgr', 'image type', 'Bild Typ'),
('de', 'sitemgr', 'implies read permission', 'impliziert Leserechte'),
('de', 'sitemgr', 'if you haven''t done so already, create a user that will be used for public viewing of the site.  recommended name: anonymous.', 'Falls Sie es nicht schon erfolgt ist, legen Sie bitte im Administrationsmenü einen Benutzer an, welcher benutzt wird als Benutzer für den öffentlichen Teil der Seite. Empfohlener Benutzername: anonymous'),
('de', 'sitemgr', 'identifier you can use to track an internal inventory number', 'Bezeichnung die benutzt werden kann als interne Inventarnummer'),
('de', 'sitemgr', 'if nonsecure redirect to:', 'Wenn unsicher weiterleiten nach:'),
('de', 'sitemgr', 'id', 'ID'),
('de', 'sitemgr', 'html module', 'HTML Modul'),
('de', 'sitemgr', 'i''m sorry, you do not have write permissions for any site categories.', 'Sie haben keine Schreibrechte für die Seiten Kategorien.'),
('de', 'sitemgr', 'html frame', 'HTML Rahmen (iframe)'),
('de', 'sitemgr', 'horizontal', 'Horizontal'),
('de', 'sitemgr', 'how long to cache downloaded content (seconds)', 'Wie lange sollen heruntergeladene Inhalte zwischengespeichert werden (Sekunden)'),
('de', 'sitemgr', 'highlight current page', 'Aktuelle Seite Hervorheben'),
('de', 'sitemgr', 'helps you respect html/xhtml standards.', 'Hilft den HTML/XHTML Standard einzuhalten.'),
('de', 'sitemgr', 'headlines', 'Kopfzeilen'),
('de', 'sitemgr', 'hello', 'Hallo'),
('de', 'sitemgr', 'hello world', 'Hallo Welt'),
('de', 'sitemgr', 'google', 'Google'),
('de', 'sitemgr', 'google search', 'Google Suche'),
('de', 'sitemgr', 'group access permissions', 'Gruppen Zugriffsrechte'),
('de', 'sitemgr', 'group name', 'Gruppenname'),
('de', 'sitemgr', 'header editor', 'Kopfzeilen Editor'),
('de', 'sitemgr', 'go to', 'Gehe zu'),
('de', 'sitemgr', 'go to page manager', 'Gehe zur Seiten Bearbeitung'),
('de', 'sitemgr', 'gallery plus download', 'Galerie plus Download'),
('de', 'sitemgr', 'generate search engine friendly urls', 'Erzeuge Suchmaschinen-freundliche URLs'),
('de', 'sitemgr', 'generates "%1" instead of "%2" urls.', 'Erzeugt "%1" statt "%2" URLs.'),
('de', 'sitemgr', 'go', 'Los'),
('de', 'sitemgr', 'go back to page manager', 'Zurück zum Seiten Manager'),
('de', 'sitemgr', 'go back to the category manager.', 'Zurück zum Kategorie Manager gehen'),
('de', 'sitemgr', 'gallery plus chooser', 'Galerie plus Auswahl'),
('de', 'sitemgr', 'gallery plus chooser and download', 'Galerie plus Auswahl und Download'),
('de', 'sitemgr', 'galerie', 'Galerie'),
('de', 'sitemgr', 'forum', 'Forum'),
('de', 'sitemgr', 'full path of the xslt file that should be applied to the xml files', 'Der komplette Pfad zur XSLT Datei welche angewendet wird für die XML Dateien'),
('de', 'sitemgr', 'footer editor', 'Fußzeilen Editor'),
('de', 'sitemgr', 'following new modules registed: %1', 'Folgende neue Module wurden registriert: %1'),
('de', 'sitemgr', 'flag symbols', 'Flaggen Symbole'),
('de', 'sitemgr', 'filesystem path to sitemgr-site directory', 'Dateisystem Pfad zum sitemgr-site Ordner'),
('de', 'sitemgr', 'fill in permissions from parent category? if you check this, below values will be ignored', 'Zugriffsrechte der Eltern-Kategorie übernehmen? Wenn das angekreuzt ist, werden die folgenden Werte ignoriert'),
('de', 'sitemgr', 'filesystem path of the image-directory', 'Dateisystem Pfad zum Ordner der Bilder'),
('de', 'sitemgr', 'file successful uploaded.', 'Datei erfolgreich hochgeladen.'),
('de', 'sitemgr', 'filename', 'Dateiname'),
('de', 'sitemgr', 'filesystem path of the directory where xml files are stored', 'Der Pfad im zum Ordner in welchem XML Dateien gespeichert werden'),
('de', 'sitemgr', 'file download', 'Datei herunterladen'),
('de', 'sitemgr', 'file contents', 'Datei Inhalt'),
('de', 'sitemgr', 'file %1 is outside the docroot of the webserver !!!<br>this module does not allow - for security reasons - to open files outside', 'Die Datei %1 ist außerhalb des Dokumentenwurzelverzeichnisses (docroot) des Webserver !!!<br>Diese Modul erlaubt - aus Sicherheitsgründen - nicht Dateien außerhalb der docroot zu öffnen.'),
('de', 'sitemgr', 'file %1 is not readable by the webserver !!!', 'Die Datei %1 ist vom Webserver nicht lesbar !!!'),
('de', 'sitemgr', 'fax', 'Fax'),
('de', 'sitemgr', 'export a sitemgr site', 'Eine SiteMgr Website exportieren'),
('de', 'sitemgr', 'expand current category', 'Aktuelle Kategorie expandieren'),
('de', 'sitemgr', 'export', 'Exportieren'),
('de', 'sitemgr', 'everybody', 'Jedermann'),
('de', 'sitemgr', 'exact phrase', 'Exakter Treffer'),
('de', 'sitemgr', 'error writing to the database: %1.', 'Fehler beim Schreiben der Datenbank: %1.'),
('de', 'sitemgr', 'error writing to the database.', 'Fehler beim Schreiben der Datenbank.'),
('de', 'sitemgr', 'error uploading file!', 'Fehler beim Hochladen der Datei!'),
('de', 'sitemgr', 'error saving the entry!!!', 'Fehler beim Speichern des Eintrags!!!'),
('de', 'sitemgr', 'error deleting the entry!!!', 'Fehler beim Löschen des Eintrags!!!'),
('de', 'sitemgr', 'error deleting the element.', 'Fehler beim Löschen des Elements.'),
('de', 'sitemgr', 'entry deleted', 'Eintrag gelöscht'),
('de', 'sitemgr', 'entry duplicated.', 'Doppelter Eintrag.'),
('de', 'sitemgr', 'entry saved', 'Eintrag gespeichert'),
('de', 'sitemgr', 'entry saved.', 'Eintrag gespeichert.'),
('de', 'sitemgr', 'enterprise knowledge articles repository', 'Wissensdatenbank Artikel Verzeichnis'),
('de', 'sitemgr', 'enter the page content here', 'Geben Sie den Inhalt der Seite hier ein'),
('de', 'sitemgr', 'enter the email to be notified about changes of the website:', 'Geben Sie die E-Mail-Adresse und die über Änderungen an der Website benachrichtigt werden soll:'),
('de', 'sitemgr', 'enter a name', 'Namen eingeben'),
('de', 'sitemgr', 'enter the block content here', 'Geben Sie den Inhalt des Blocks hier ein'),
('de', 'sitemgr', 'enter the email to be notified about changes of the website.', 'Geben Sie die E-Mail-Adresse und die über Änderungen an der Website benachrichtigt werden soll.'),
('de', 'sitemgr', 'email address', 'E-Mailadresse'),
('de', 'sitemgr', 'email address of the paypal account selling the item', 'E-Mail-Adresse des PayPal Kontos das den Artikel verkauft'),
('de', 'sitemgr', 'egw users', 'EGroupware Benutzer'),
('de', 'sitemgr', 'element successfully deleted.', 'Element erfolgreich gelöscht.'),
('de', 'sitemgr', 'eg. by renaming %1 to %2 in the %3 directory for an apache.', 'Zum Beispiel durch Umbenennen von %1 nach %2 im %3 Verzeichnis für den Apache.'),
('de', 'sitemgr', 'edit this block', 'Diesen Block bearbeiten'),
('de', 'sitemgr', 'edit website', 'Website bearbeiten'),
('de', 'sitemgr', 'eg. %1 or %2', 'z.B. %1 oder %2'),
('de', 'sitemgr', 'edit site', 'Website bearbeiten'),
('de', 'sitemgr', 'edit template preferences for %1', 'Template Einstellungen für %1 bearbeiten'),
('de', 'sitemgr', 'edit page', 'Seite bearbeiten'),
('de', 'sitemgr', 'edit properties of module %1 for %2 with scope %3', 'Bearbeiten der Eigenschaften des Moduls %1 für %2 im Bereich'),
('de', 'sitemgr', 'edit notification message', 'Benachrichtigungsmeldung bearbeiten'),
('de', 'sitemgr', 'draft', 'Entwurf'),
('de', 'sitemgr', 'draft mode', 'Entwurfsmodus'),
('de', 'sitemgr', 'edit category', 'Kategorie bearbeiten'),
('de', 'sitemgr', 'edit mode', 'Bearbeitungsmodus'),
('de', 'sitemgr', 'edit notification', 'Benachrichtigungen bearbeiten'),
('de', 'sitemgr', 'dont ask', 'Nicht fragen'),
('de', 'sitemgr', 'download as zip-archiv', 'als ZIP-Archiv herunterladen'),
('de', 'sitemgr', 'downloaded', 'herunterladen'),
('de', 'sitemgr', 'done', 'Fertig'),
('de', 'sitemgr', 'don''t use egroupware css ">" separator (for templates that uses images/symbols for lists)', 'EGroupware CSS ">" Unterteiler nicht benutzen (für Vorlagen mit Bildern/Symbolen in Listen)'),
('de', 'sitemgr', 'don''t have an account?', 'Sie haben keinen Benutzerkonto?'),
('de', 'sitemgr', 'don''t show hiden pages in the path way', 'Ausgeblendete Seiten auch im Pfad ausblenden'),
('de', 'sitemgr', 'documentation', 'Dokumentation'),
('de', 'sitemgr', 'domain-name (offical dns-name eg. www.egroupware.org) if you want to give the user a choice between searching this site or the w', 'Domainname (offizieller DNS-Name z.B. www.eGroupWare.org), falls Sie dem Benutzer die Wahl geben wollen zwischen einer Suche auf dieser Website oder dem gesamten Web. Wenn sie das Feld leer lassen wird immer das gesamte Web durchsucht.'),
('de', 'sitemgr', 'do you realy want to delete this block?', 'Wollen Sie diesen Block wirklich löschen?'),
('de', 'sitemgr', 'do you realy want to delete this page?', 'Wollen Sie diese Seite wirklich löschen?'),
('de', 'sitemgr', 'do you want to delete them?', 'Möchten Sie sie löschen?'),
('de', 'sitemgr', 'do you realy want to delete the selected categories (including all pages), pages and blocks?', 'Wollen Sie die ausgewählten Kategorien (einschließlich aller Seiten), Seiten und Blöcke wirklich löschen?'),
('de', 'sitemgr', 'details for language %1 (%2)', 'Details für die Sprache %1 (%2)'),
('de', 'sitemgr', 'discussions', 'Diskussionen'),
('de', 'sitemgr', 'display contact', 'Kontakte anzeigen'),
('de', 'sitemgr', 'display link to autoregistration below login form?', 'Link auf Autoregistrierung unterhalb des Login anzeigen?'),
('de', 'sitemgr', 'delete version', 'Version löschen'),
('de', 'sitemgr', 'deleting all data for %1', 'Alle Daten für %1 werden gelöscht'),
('de', 'sitemgr', 'department', 'Abteilung'),
('de', 'sitemgr', 'descending', 'Absteigend'),
('de', 'sitemgr', 'delete this guestbook', 'Diese Gästebuch löschen'),
('de', 'sitemgr', 'delete this file or directory', 'Datei oder Verzeichnis löschen'),
('de', 'sitemgr', 'delete this application', 'Diese Applikation löschen'),
('de', 'sitemgr', 'delete this block', 'Diesen Block löschen'),
('de', 'sitemgr', 'delete category', 'Kategorie löschen'),
('de', 'sitemgr', 'delete page', 'Seite löschen'),
('de', 'sitemgr', 'delete block', 'Block löschen'),
('de', 'sitemgr', 'default', 'Standard'),
('de', 'sitemgr', 'default home page id number', 'Standard Home Page ID Nummer'),
('de', 'sitemgr', 'custom template directory does not exist or is not accessible by webserver!', 'Benutzerdefiniertes Template-Verzeichnis existiert NICHT oder ist für Webserver NICHT zugänglich!'),
('de', 'sitemgr', 'custom template directory', 'Benutzerdefiniertes Template Verzeichnis'),
('de', 'sitemgr', 'custom etemplate for the contactform', 'Angepasstes eTemplate für das Kontaktformular'),
('de', 'sitemgr', 'current section', 'Gegenwärtiger Abschnitt'),
('de', 'sitemgr', 'custom', 'Benutzerdefiniert'),
('de', 'sitemgr', 'custom css will be included in each page as last style-sheet in the header.', 'Benutzerdefiniertes CSS wird auf jeder Seite als letztes Stylesheet im Kopf der Seite eingebunden.'),
('de', 'sitemgr', 'create new version', 'Neue Version erstellen'),
('de', 'sitemgr', 'css selector to use only part of html file', 'CSS Selektor um nur Teil des HTML zu verwenden'),
('de', 'sitemgr', 'css styles', 'CSS Stile'),
('de', 'sitemgr', 'currency code of the value specified in amount (eg. usd, eur)', 'Währungscode der angegebenen Betrages (z.B. USD, EUR)'),
('de', 'sitemgr', 'copyright', 'Copyright'),
('de', 'sitemgr', 'could not add block %1', 'Konnte Block %1 nicht hinzufügen'),
('de', 'sitemgr', 'contentarea', 'Inhaltsbereich'),
('de', 'sitemgr', 'contributor menu', 'Autoren Menü'),
('de', 'sitemgr', 'content manager', 'Inhaltsmanager'),
('de', 'sitemgr', 'content blocks for category', 'Inhaltsblöcke der Kategorie'),
('de', 'sitemgr', 'content areas', 'Inhaltsbereiche'),
('de', 'sitemgr', 'content blocks', 'Inhaltsblock'),
('de', 'sitemgr', 'contact the administrator.', 'Kontaktieren Sie den Administrator'),
('de', 'sitemgr', 'contact fields to show', 'Kontaktfelder die angezeigt werden sollen'),
('de', 'sitemgr', 'configure sitemgr', 'SiteMgr konfigurieren'),
('de', 'sitemgr', 'configure website', 'Website konfigurieren'),
('de', 'sitemgr', 'common prefix of the image-name (a number starting with 1 will be appended)', 'Gemeinsamer Namensbestandteil der Bilder (eine Nummer, beginnend mit 1, wird angehangen)'),
('de', 'sitemgr', 'configure module properties', 'Modul Eigenschaften konfigurieren'),
('de', 'sitemgr', 'code file', 'Datei mit Programmcode'),
('de', 'sitemgr', 'codebase url', 'Programmcode Basis URL'),
('de', 'sitemgr', 'collapse threads', 'Threads kollabieren'),
('de', 'sitemgr', 'comment', 'Kommentar'),
('de', 'sitemgr', 'commit changes', 'Änderungen übernehmen'),
('de', 'sitemgr', 'click here to login through a secure connection.', 'Hier klicken für eine sichere Verbindung.'),
('de', 'sitemgr', 'choose your site''s theme or template.  note that if you changed the above checkbox you need to save before choosing a theme or t', 'Wählen Sie eine Designvorlage. Beachten Sie bitte: Wenn Sie die Einstellung darüber verändert haben, müssen Sie diese zuerst speichern, bevor Sie eine Vorlage wählen können.'),
('de', 'sitemgr', 'choose the valid html type (note: not all icons are available):', 'Wählen Sie den gültigen HTML Typ (bitte beachten: nicht für alle sind Icons verfügbar)'),
('de', 'sitemgr', 'choose language', 'Sprachauswahl'),
('de', 'sitemgr', 'choose template', 'Designvorlage auswählen'),
('de', 'sitemgr', 'choose the categories to display', 'Wählen Sie die anzuzeigende Kategorie aus'),
('de', 'sitemgr', 'choose a guestbook', 'Wählen Sie ein Gästebuch'),
('de', 'sitemgr', 'choose a format', 'Wählen Sie ein Format'),
('de', 'sitemgr', 'choose a category', 'Wählen Sie eine Kategorie'),
('de', 'sitemgr', 'check here after every upgrade', 'Nach jedem Upgrade bitte nochmals hier überprüfen'),
('de', 'sitemgr', 'check to hide from condensed site index.', 'Hier auswählen um eine Seite im Inhaltsverzeichnis nicht anzuzeigen.'),
('de', 'sitemgr', 'center', 'Zentriert'),
('de', 'sitemgr', 'changes saved.', 'Änderungen gespeichert.'),
('de', 'sitemgr', 'cannot move page until it has been saved.', 'Die Seite kann zuerst verschoben werden, wenn Sie gespeichert wurde.'),
('de', 'sitemgr', 'category', 'Kategorie'),
('de', 'sitemgr', 'category description', 'Kategorie Beschreibung'),
('de', 'sitemgr', 'category manager', 'Kategorie Manager'),
('de', 'sitemgr', 'category name', 'Kategorie Name'),
('de', 'sitemgr', 'category saved', 'Kategorie gespeichert'),
('de', 'sitemgr', 'cats are numeric, pages strings', 'Kategorien sind numerisch, Seiten sind Zeichenketten'),
('de', 'sitemgr', 'cancel the delete', 'Abbrechen, nicht löschen'),
('de', 'sitemgr', 'calendar', 'Kalender'),
('de', 'sitemgr', 'can''t open an url or execute a script, because allow_url_fopen is not set in your php.ini !!!', 'Kann URL nicht öffnen oder Skript nicht ausführen, da allow_url_fopen in Ihrer php.ini nicht gesetzt ist !!!'),
('de', 'sitemgr', 'buy at %1', 'bei %1 kaufen'),
('de', 'sitemgr', 'block returned no content.', 'Dieser Block hat keinen Inhalt.'),
('de', 'sitemgr', 'block saved', 'Block gespeichert'),
('de', 'sitemgr', 'bookmarks', 'Lesezeichen'),
('de', 'sitemgr', 'automatic index', 'Automatisches Inhaltsverzeichnis'),
('de', 'sitemgr', 'automatically generated notification', 'Automatische generierte Benachrichtigung'),
('de', 'sitemgr', 'back to module manager', 'Zurück zum Modulmanager'),
('de', 'sitemgr', 'back to the list of languages', 'Zurück zur Liste der Sprachen'),
('de', 'sitemgr', 'basic settings', 'Basis Einstellungen'),
('de', 'sitemgr', 'block not found.', 'Block nicht gefunden.'),
('de', 'sitemgr', 'block reloaded', 'Block nachgeladen'),
('de', 'sitemgr', 'ask customer', 'Kunden fragen'),
('de', 'sitemgr', 'attempt to access information outside current website', 'Versuch auf Informationen außerhalb der aktuellen  Website zuzugreifen'),
('de', 'sitemgr', 'attempt to edit non-editable block', 'Versuch einen nicht-bearbeitbaren Block zu bearbeiten'),
('de', 'sitemgr', 'ascending', 'absteigend'),
('de', 'sitemgr', 'asin[=title] pairs (title is optional)', 'ASIN=[Titel] Paare (Titel ist optional)'),
('de', 'sitemgr', 'are you sure you want to delete the category %1 and all of its associated pages?  you cannot retrieve the deleted pages if you c', 'Sind sie sicher das Sie die Kategorie %1 und alle dazugehörigen Seiten löschen möchten?  Diese Seiten werden hiermit endgültig gelöscht.'),
('de', 'sitemgr', 'are you sure you want to delete site %1 and all its content? you cannot retrieve it if you continue.', 'Sind Sie sicher das Sie Website %1 und den kompletten Inhalt löschen möchten? Ein Wiederherstellen ist nicht möglich, wenn Sie fortfahren.'),
('de', 'sitemgr', 'are contributors allowed to define new guestbooks?', 'Dürfen Bearbeiter neue Gästebücher anlegen?'),
('de', 'sitemgr', 'archived content', 'Archivierter Inhalt'),
('de', 'sitemgr', 'archived', 'Archiviert'),
('de', 'sitemgr', 'apply permissions also to subcategories?', 'Zugriffsrechte auch auf Unterkategorien anwenden?'),
('de', 'sitemgr', 'application sitemgr_module_guestbook must be installed as a egroupware application for this module to run', 'Die Anwendung sitemgr_module_guestbook muss als EGroupware Anwendung installiert werden, um dieses Module zu nutzen.'),
('de', 'sitemgr', 'application', 'Anwendung'),
('de', 'sitemgr', 'application ''%1'' is not installed !!!<br>please install it, to be able to use the block.', 'Anwendung ''%1'' ist nicht installiert !!!<br>Bitte installieren, um diesen Block verwenden zu können.'),
('de', 'sitemgr', 'applet', 'Applet'),
('de', 'sitemgr', 'any words', 'Jedes der Wörter'),
('de', 'sitemgr', 'anvanced: show all search modes', 'Erweitert: Zeige alle Suchmodi'),
('de', 'sitemgr', 'anonymous user''s username', 'Anonymer Benutzer Benutzername'),
('de', 'sitemgr', 'anonymous user''s password', 'Anonymer Benutzer Passwort'),
('de', 'sitemgr', 'anonymous user login domain', 'Anonymer Benutzer Login Domain'),
('de', 'sitemgr', 'anonymous', 'Anonymer Benutzer'),
('de', 'sitemgr', 'an application directory', 'Ein Applikations-Ordner'),
('de', 'sitemgr', 'amazon server (without www), eg. amazon.com', 'Amazon Server (ohne www), z.B. amazon.de'),
('de', 'sitemgr', 'amazon', 'Amazon'),
('de', 'sitemgr', 'allow posting of questions', 'Das Eingeben von Fragen erlauben'),
('de', 'sitemgr', 'allow customer to input a note', 'Erlaube Kunden eine Notiz einzugeben'),
('de', 'sitemgr', 'allignment of navigation elements', 'Ausrichtung der Elemente der Navigation'),
('de', 'sitemgr', 'all sites', 'Alle Websites'),
('de', 'sitemgr', 'all words', 'Alle Worte'),
('de', 'sitemgr', 'all languages', 'Alle Sprachen'),
('de', 'sitemgr', 'all forums in category %1', 'Alle Foren in der Kategorie %1'),
('de', 'sitemgr', 'all available languages', 'Alle verfügbaren Sprachen'),
('de', 'sitemgr', 'all categories', 'Alle Kategorien'),
('de', 'sitemgr', 'advanced plus google: also show google search', 'Erweitert plus Google: Auch Google Suche anzeigen'),
('de', 'sitemgr', 'administrators', 'Administratoren'),
('de', 'sitemgr', 'administrative menu', 'Administrations-Menü'),
('de', 'sitemgr', 'administration', 'Administration'),
('de', 'sitemgr', 'address line 2', '2. Adresszeile'),
('de', 'sitemgr', 'addressbook the contact should be shown', 'Adressbuch dessen Kontakte angezeigt werden sollen'),
('de', 'sitemgr', 'add website', 'Website hinzufügen'),
('de', 'sitemgr', 'add page to category', 'Eine Seite zu dieser Kategorie hinzufügen'),
('de', 'sitemgr', 'add page', 'Seite hinzufügen'),
('de', 'sitemgr', 'add new page to this category', 'Eine neue Seite zu dieser Kategorie hinzufügen'),
('de', 'sitemgr', 'add category', 'Kategorie hinzufügen'),
('de', 'sitemgr', 'add block to content area %1', 'Block zu Inhaltsbereich %1 zufügen'),
('de', 'sitemgr', 'add block ...', 'Block zufügen ...'),
('de', 'sitemgr', 'add a category', 'Kategorie hinzufügen'),
('de', 'sitemgr', 'add a new application', 'Eine neue Applikation hinzufügen'),
('de', 'sitemgr', 'add a new guestbook', 'Ein neues Gästebuch hinzufügen'),
('de', 'sitemgr', 'actif', 'Aktiv'),
('de', 'sitemgr', 'actions', 'Befehle'),
('de', 'sitemgr', 'a simple picture galery', 'Eine einfache Bilder Galerie'),
('de', 'sitemgr', '<b>autoregistration is not enabled / configured in the registration app !!!</b><br>you need to do so, to get the autoregistratio', '<b>Autoregistrierung ist nicht eingeschaltet oder konfiguriert in der Anwendung Registrierung !!!</b><br>Sie müssen das machen, damit der Link zur Autoregistrierung funktioniert.'),
('de', 'sitemgr', '(only used in case of single file)', '(nur für eine einzige Datei verwendet)'),
('de', 'sitemgr', '(leave blank to allow insecure logins)', '(leer lassen um unsichere Anmeldungen zu erlauben)'),
('de', 'sitemgr', '(leave blank to stay on current page)', '(leer lassen um auf der aktuellen Seite zu bleiben)'),
('de', 'sitemgr', '(do not put spaces or punctuation in the name field.)', '(Im Namensfeld sind keine Leer- oder Satzzeichen erlaubt.)'),
('de', 'sitemgr', '''%1'' is no valid sitemgr-site directory !!!', '''%1'' ist kein gültiges sitemgr-site Verzeichnis !!!'),
('de', 'sitemgr', '%1 module manager', '%1 Modulmanager'),
('de', 'sitemgr', '%1 content manager', '%1 Inhaltsmanager'),
('de', 'sambaadmin', 'workstations', 'Arbeitsstation'),
('de', 'sambaadmin', 'workstationaccount active', 'Arbeitsstationskonto aktiv'),
('de', 'sambaadmin', 'workstation name', 'Name der Arbeitsstation'),
('de', 'sambaadmin', 'workstation list', 'Liste der Arbeitsstationen'),
('de', 'sambaadmin', 'workstation configuration', 'Konfiguration der Arbeitsstation'),
('de', 'sambaadmin', 'workstation account for', 'Konto für Arbeitsstation'),
('de', 'sambaadmin', 'samba config', 'Samba Konfiguration'),
('de', 'sambaadmin', 'participants', 'Teilnehmer'),
('de', 'sambaadmin', 'homepath', 'Heimatpfad'),
('de', 'sambaadmin', 'do you really want to delete selected workstation accounts?', 'Wollen Sie wirklich die ausgewählten Arbeitsstationskonten löschen?'),
('de', 'sambaadmin', 'displayname', 'Anzeigename'),
('de', 'sambaadmin', 'add workstation', 'Arbeitsstation hinzufügen'),
('de', 'sambaadmin', '%1 - %2 of %3', '%1 - %2 von %3'),
('de', 'resources', 'you chose more resources than available', 'Sie haben mehr Ressourcen ausgewählt als verfügbar sind'),
('de', 'resources', 'you are not permitted to edit this resource!', 'Sie haben keine Berechtigung, diese Ressource zu bearbeiten!'),
('de', 'resources', 'you are not permitted to get information about this resource!', 'Sie haben keine Erlaubnis sich Informationen über diese Ressource anzuschauen'),
('de', 'resources', 'you are not permitted to delete this resource!', 'Sie haben keine Berechtigung, diese Ressource zu löschen!'),
('de', 'resources', 'write permissions', 'Schreibberechtigung'),
('de', 'resources', 'which category does this resource belong to?', 'Zu welcher Kategorie gehört diese Ressource?'),
('de', 'resources', 'where to find this resource?', 'Wo findet man diese Ressource?'),
('de', 'resources', 'web-site for this resource', 'Ausführliche Beschreibung der Ressource'),
('de', 'resources', 'web-page of resource', 'Ausführliche Beschreibung der Ressource'),
('de', 'resources', 'view this entry', 'Diesen Eintrag anschauen'),
('de', 'resources', 'useable', 'Nutzbar'),
('de', 'resources', 'useable:', 'Nutzbar:'),
('de', 'resources', 'view accessories for this resource', 'Zeige das Zubehör der Ressource an'),
('de', 'resources', 'use own picture', 'Eigenes Bild benutzen'),
('de', 'resources', 'use the category''s icon', 'Bild der Kategorie benutzen'),
('de', 'resources', 'use general resources icon', 'Generelles Bild benutzen'),
('de', 'resources', 'this module displays the resources app', 'Dieses Modul zeigt die Ressourcen Anwendung an'),
('de', 'resources', 'the calendar of this resource', 'Kalender der Ressource'),
('de', 'resources', 'storage information:', 'Informationen zur Lagerung:'),
('de', 'resources', 'storage information', 'Informationen zur Lagerung'),
('de', 'resources', 'storage', 'Informationen zur Lagerung'),
('de', 'resources', 'something went wrong by saving resource', 'Beim Speichern der Ressource gab es ein Problem'),
('de', 'resources', 'something went wrong by deleting resource', 'Beim Löschen der Ressource gab es ein Problem'),
('de', 'resources', 'show calendar of resource', 'Kalender der Ressource anzeigen'),
('de', 'resources', 'short description of resource', 'Kurzbeschreibung der Ressource'),
('de', 'resources', 'short description', 'Kurzbeschreibung'),
('de', 'resources', 'select/deselect all', 'Alle auswählen / Auswahl aufheben'),
('de', 'resources', 'select resource', 'Ressource auswählen'),
('de', 'resources', 'select a category', 'Wählen sie eine Kategorie'),
('de', 'resources', 'saves entry and exits', 'Speichern und Schließen'),
('de', 'resources', 'responsible:', 'Verantwortlich:'),
('de', 'resources', 'resources list', 'Ressourcen Liste'),
('de', 'resources', 'resources csv import', 'CSV Import des Ressourcen-Moduls'),
('de', 'resources', 'resources csv export', 'CSV Export des Ressourcen-Moduls'),
('de', 'resources', 'resource id', 'Ressourcen ID'),
('de', 'resources', 'related links', 'Siehe auch'),
('de', 'resources', 'read permissions', 'Leseberechtigung'),
('de', 'resources', 'read calendar permissions', 'Kalender-Leseberechtigung'),
('de', 'resources', 'quantity:', 'Stückzahl:'),
('de', 'resources', 'quantity of resource', 'Stückzahl der Ressource'),
('de', 'resources', 'quantity', 'Stückzahl'),
('de', 'resources', 'prizeing information for booking or buying', 'Preisinformation für Buchung und Kauf'),
('de', 'resources', 'prize', 'Preis'),
('de', 'resources', 'planer', 'Planer'),
('de', 'resources', 'pictures or resource', 'Bild der Ressource'),
('de', 'resources', 'picture type is not supported, sorry!', 'Entschuldigung, dieser Bild-Datei-Typ wird nicht unterstützt'),
('de', 'resources', 'picture source', 'Quelle des Bildes'),
('de', 'resources', 'picture', 'Bild'),
('de', 'resources', 'no resources selected', 'Keine Ressource ausgewählt'),
('de', 'resources', 'notify your administrator to correct this situation', 'Benachrichtigen Sie ihren Administrator um diese Situation zu lösen'),
('de', 'resources', 'name:', 'Name:'),
('de', 'resources', 'no description available', 'Keine Beschreibung vorhanden'),
('de', 'resources', 'name of resource', 'Name der Ressource'),
('de', 'resources', 'manage mapping', 'Feldzuordnungen verwalten'),
('de', 'resources', 'long description', 'Detaillierte Beschreibung'),
('de', 'resources', 'locations / rooms', 'Orte / Räume'),
('de', 'resources', 'location:', 'Lagerort:'),
('de', 'resources', 'location of resource', 'Lagerort der Ressource'),
('de', 'resources', 'links', 'Verknüpfungen'),
('de', 'resources', 'location', 'Lagerort'),
('de', 'resources', 'is this resource bookable?', 'Ist diese Ressource buchbar?'),
('de', 'resources', 'is this resource buyable?', 'Ist diese Ressource käuflich?'),
('de', 'resources', 'is resource buyable?', 'Ist diese Ressource käuflich?'),
('de', 'resources', 'is resource bookable?', 'Ist diese Ressource buchbar?'),
('de', 'resources', 'inventory number', 'Inventarnummer'),
('de', 'resources', 'inventory number:', 'Inventarnummer:'),
('de', 'resources', 'insert', 'einfügen'),
('de', 'resources', 'informations about the location of resource', 'Informationen über den Lagerort der Ressource'),
('de', 'resources', 'information about storage', 'Informationen zur Lagerung'),
('de', 'resources', 'imports a list of resources from a csv file.', 'Importiert eine Liste im CSV Format'),
('de', 'resources', 'implies booking permission', 'Impliziert Buchungsberechtigung'),
('de', 'resources', 'implies read permission', 'Impliziert Leseberechtigung'),
('de', 'resources', 'if you specify an export definition, it will be used when you export', 'Wählen Sie eine Export Definition für den Export.'),
('de', 'resources', 'how many of this resource exists', 'Stückzahl der existierenden Ressourcen'),
('de', 'resources', 'how many of this resource are usable', 'Stückzahl der nutzbaren Ressourcen'),
('de', 'resources', 'how many of them are useable?', 'Stückzahl der nutzbaren Ressourcen'),
('de', 'resources', 'how many of the resources are useable?', 'Stückzahl der nutzbaren Ressourcen'),
('de', 'resources', 'hours', 'Stunden'),
('de', 'resources', 'global categories', 'Globale Kategorien'),
('de', 'resources', 'gernal resource', 'Generelle Ressource'),
('de', 'resources', 'general informations about resource', 'Generelle Informationen über diese Ressource'),
('de', 'resources', 'general', 'Generell'),
('de', 'resources', 'exports a list of resources to a csv file.', 'Exportiert eine Liste der Ressourcen als CSV-Datei'),
('de', 'resources', 'export definitition to use for nextmatch export', 'Export Profil der Listenansicht  (Disketten Symbol)'),
('de', 'resources', 'exists', 'besteht bereits'),
('de', 'resources', 'existing links', 'Bestehende Verknüpfungen'),
('de', 'resources', 'edit this entry', 'Diesen Eintrag bearbeiten'),
('de', 'resources', 'direct booking permissions', 'Erlaubnis direkt zu buchen'),
('de', 'resources', 'don''t use vfs (this will need a symlink --> see readme)', 'Vfs nicht benutzen. (Dies erfordert einen symlink --> siehe README)'),
('de', 'resources', 'description (short)', 'Kurzbeschreibung'),
('de', 'resources', 'delete this entry', 'Diesen Eintrag löschen'),
('de', 'resources', 'days', 'Tage'),
('de', 'resources', 'delete selected resources', 'Ausgewählte Ressourcen löschen'),
('de', 'resources', 'custom fields', 'Benutzerdefinierte Felder'),
('de', 'resources', 'create new links', 'Neue Verknüpfung erstellen'),
('de', 'resources', 'create new accessory for this resource', 'Neues Zubehör zu dieser Ressource hinzufügen'),
('de', 'resources', 'conflict', 'Konflikt'),
('de', 'resources', 'clear selection', 'Auswahl löschen'),
('de', 'resources', 'choose categories admin', 'Wählen Sie einen Verwalter für diese Kategorie'),
('de', 'resources', 'check all', 'Alle auswählen'),
('de', 'resources', 'category:', 'Kategorie'),
('de', 'resources', 'categories admin', 'Verwalter der Kategorie'),
('de', 'resources', 'buyable', 'käuflich'),
('de', 'resources', 'buy this resource', 'Diese Ressource kaufen'),
('de', 'resources', 'book selected resources', 'Ausgewählte Ressourcen buchen'),
('de', 'resources', 'book this resource', 'Ressource buchen'),
('de', 'resources', 'bookable', 'buchbar'),
('de', 'resources', 'buy this article', 'Diesen Artikel kaufen'),
('de', 'resources', 'book', 'Buchen'),
('de', 'resources', 'administrator', 'Verwalter'),
('de', 'resources', 'all categories', 'Alle Kategorien'),
('de', 'resources', 'add resource', 'Ressource hinzufügen'),
('de', 'resources', 'add resources', 'Ressourcen hinzufügen'),
('de', 'resources', 'add accessory', 'Zubehör hinzufügen'),
('de', 'resources', 'actions', 'Aktionen'),
('de', 'resources', 'accessories:', 'Zubehör:'),
('de', 'registration', 'zip/postal', 'Postleitzahl'),
('de', 'resources', 'accessories of', 'Zubehör von'),
('de', 'registration', 'your registration code is missing or incorrect.', 'Ihr Registrierungscode fehlt oder ist ungültig.'),
('de', 'registration', 'your password was changed.', 'Ihr Passwort wurde geändert.'),
('de', 'registration', 'your login is not available. time is expired', 'Ihr Login ist ungültig. Die Zeit ist abgelaufen.'),
('de', 'registration', 'your account is now active!', 'Ihr Zugang ist jetzt aktiviert.'),
('de', 'registration', 'you specified a value for %1 that is not a choice', 'Ihr angegebener Wert für %1 ist keine gültige Angabe'),
('de', 'registration', 'you requested to change your password. please follow the url below to do so. this url will expire in two hours. after this delay', 'Sie wollen Ihr Password ändern. Bitte folgen sie dem unten angegebenen Link. Dieser Link verfällt nach zwei Stunden. Nach dieser Zeit, müssen Sie die Prozedur für vergessene Passworte nochmal ausführen.'),
('de', 'registration', 'you must fill in all of the required fields', 'Sie müssen alle benötigten Felder ausfällen'),
('de', 'registration', 'you must enter an email account', 'Sie müssen eine E-Mail-Adresse angeben'),
('de', 'registration', 'you must enter an email address', 'Sie müssen eine E-Mail-Adresse angeben'),
('de', 'registration', 'you must enter a username', 'Sie müssen einen Benutzernamen angeben'),
('de', 'registration', 'you must enter a password', 'Sie müssen ein Passwort angeben'),
('de', 'registration', 'you have entered an invalid email address', 'Sie haben eine ungültige E-Mail-Adresse eingegeben'),
('de', 'registration', 'you have entered an invalid birthday', 'Sie haben einen ungültigen Geburtstag eingegeben'),
('de', 'registration', 'wrong session', 'Falsche Session'),
('de', 'registration', 'you can go back to the login page', 'Sie können zurück zur Anmelde Seite gehen.'),
('de', 'registration', 'we have sent a mail to your email account: %s with your lost user ids.', 'Es wurde eine Nachricht an %s mit den verlorenen Benutzerdaten gesendet.'),
('de', 'registration', 'we have sent a mail with instructions to change your password. you should follow the included link within two hours. if you do n', 'Eine E-Mail mit Informationen wie Sie ihr Passwort ändern können wurde an Sie versandt. Bitte benutzen Sie den enthaltenen Link innerhalb von 2 Stunden. Falls Ihnen dies nicht möglich ist, müssen Sie nochmals die Prozedur für vergessenen Passworte ausführen.'),
('de', 'registration', 'we have sent a confirmation email to your email address. you must click on the link within 2 hours. if you do not, it may take a', 'Ein Bestätigungs-E-Mail wurde an Ihre E-Mail-Adresse versandt. Sie müssen den Link in der E-Mail innerhalb von 2 Stunden benutzen. Falls Sie dies nicht in der vorgegebenen Zeit machen, dauert es einige Tage bis Ihr Benutzername wieder verfügbar ist.'),
('de', 'registration', 'values (for dropdown only; comma separated)', 'Werte (für das Auswahlfeld, mit Komma getrennt)'),
('de', 'registration', 'values ''for dropdown'': comma separated), for ''dropdown from table'': table,valuefield,displayfield', 'Werte für ''drop down'': Komma getrennt), Für ''Drop down Table'': table, Werte, angezeigtes Feld'),
('de', 'registration', 'update/add', 'Ändern / Hinzufügen'),
('de', 'registration', 'unknown last name', 'Nachname unbekannt'),
('de', 'registration', 'unknown first name', 'Vorname unbekannt'),
('de', 'registration', 'type', 'Typ'),
('de', 'registration', 'unable to send mail, contact your administrator', 'Es war nicht möglich eine E-Mail zu senden. Bitte nehmen sie Kontakt mit dem Administrator auf'),
('de', 'registration', 'this is a confirmation email for your new account.  click on the following link to finish activating your account. this link wil', 'Dies ist eine Bestätigungs-E-Mail für Ihr neues Benutzerkonto. Bitte benutzen Sie den folgenden Link um die Aktivierung abzuschliesen. Nach zwei Stunden ist dieser Link ungültig.'),
('de', 'registration', 'the two passwords are not the same', 'Die Passworte sind nicht gleich'),
('de', 'registration', 'the passwords you entered don''t match', 'Die von Ihnen eingegebenen Passworte stimmen nicht überein.'),
('de', 'registration', 'terms of service', 'Nutzungsbedingungen'),
('de', 'registration', 'text', 'Text'),
('de', 'registration', 'textarea', 'mehrzeiliges Textfeld'),
('de', 'registration', 'state', 'Bundesland'),
('de', 'registration', 'sorry, we are having a problem retrieving the information needed for changing your password. note that links sent by e-mail are ', 'Entschuldigung, aber wir haben eine Problem Ihre Informationen zu bekommen, die nötig sind, um Ihr Passwort zu ändern. Bitte beachten Sie das der Link den Sie via E-Mail erhalten haben nur 2 Stunden gültig ist. Wenn Sie denken, das Die Zeit abgelaufen ist, versuchen Sie es erneut. Andernfalls benachrichtigen Sie den Administrator.'),
('de', 'registration', 'sorry, that username does not exist.', 'Dieser Benutzername existiert nicht.'),
('de', 'registration', 'sorry, that username is already taken.', 'Dieser Benutzername ist schon vergeben'),
('de', 'registration', 'sorry, we are having a problem activating your account. note that links sent by e-mail are only valid during two hours. if you t', 'Entschuldigen Sie, wir haben Probleme Ihr Benutzerkonto zu aktivieren. Bitte beachten Sie, dass die per Mail gesendeten Links nur zwei Stunden gültig sind. Wenn diese Zeit abgelaufen war, versuchen Sie es einfach nochmal. Wenn nicht kontaktieren Sie bitte den Administrator.'),
('de', 'registration', 'sorry, no account exists for', 'Entschuldigung, Es existiert kein Zugang für'),
('de', 'registration', 'response', 'Antwort'),
('de', 'registration', 'required', 'Benötigt'),
('de', 'registration', 'remove', 'Löschen'),
('de', 'registration', 'report all problems and abuse to', 'Bitte melden Sie alle Probleme und Missbräuche an'),
('de', 'registration', 're-enter your password', 'Bitte geben Sie Ihr Passwort nochmals ein'),
('de', 'registration', 're-enter password', 'Passwort nochmals eingeben'),
('de', 'registration', 'problem sending email:', 'Beim Versenden der E-Mail ist ein Fehler aufgetreten'),
('de', 'registration', 'please contact the site administrator.', 'Bitte kontaktieren Sie den Administrator.'),
('de', 'registration', 'phone', 'Anruf'),
('de', 'registration', 'order', 'Sortierung'),
('de', 'registration', 'on-line registration is not activated. please contact the site administrator for more information about registration.', 'Die Online Registrierung ist nicht aktiviert. Bitte kontaktieren Sie den Administrator der Seite für weitere Informationen'),
('de', 'registration', 'name (blank unless text, textarea, dropdown, checkbox; else alphanumeric only)', 'Name (leer sofern nicht Text, Textfeld, Auswahlfeld, Checkbox; sonst nur alphanumerisch)'),
('de', 'registration', 'male', 'Männlich'),
('de', 'registration', 'lost_user_id_message', 'Dies sind die Benutzer die mit der E-Mail-Adresse verbunden sind:'),
('de', 'registration', 'lost user id', 'Benutzername vergessen'),
('de', 'registration', 'lost user account retrieval', 'Vergessene Benutzerdaten wiedergewinnen'),
('de', 'registration', 'if you did not request this change, simply ignore this message.', 'Falls Sie dieses Änderung Ihres Benutzerkonto nicht veranlasst haben, ignorieren Sie diese Nachricht bitte.'),
('de', 'registration', 'if you did not request this account, simply ignore this message.', 'Falls Sie dieses Benutzerkonto nicht beantragt haben, ignorieren Sie diese Nachricht bitte.'),
('de', 'registration', 'i have read the terms and conditions and agree by them.', 'Ich habe die Nutzungsbedingungen gelesen und stimme diesen zu.'),
('de', 'registration', 'hi', 'Hallo'),
('de', 'registration', 'female', 'Weiblich'),
('de', 'registration', 'gender', 'Geschlecht'),
('de', 'registration', 'error: dropdown list ''%1'' has no values', 'Fehler: Die Auswahlbox ''%'' enthält keine Werte'),
('de', 'registration', 'error: dropdown from table ''%1'' is not correctly configured', 'Fehler: die Auswahlbox aus der Tabelle ''%1'' ist nicht richtig konfiguriert'),
('de', 'registration', 'enter your new password', 'Bitte geben Sie das neue Passwort ein.'),
('de', 'registration', 'email address', 'E-Mail-Adresse'),
('de', 'registration', 'current fields:', 'Verfügbare Felder'),
('de', 'registration', 'dropdown', 'Auswahlbox'),
('de', 'registration', 'dropdown from table', 'Auswahlbox von der Tabelle'),
('de', 'registration', 'country', 'Land'),
('de', 'registration', 'close window', 'Fenster schließen'),
('de', 'registration', 'click to log into your account', 'Klicken sie hier um sich bei ihrem Konto anzumelden.'),
('de', 'registration', 'city', 'Stadt'),
('de', 'registration', 'change login', 'Login ändern'),
('de', 'registration', 'change password for user', 'Password für Benutzer ändern'),
('de', 'registration', 'checkbox', 'Checkbox'),
('de', 'registration', 'choose language', 'Sprachauswahl'),
('de', 'registration', 'choose your language', 'Wählen Sie Ihre Sprache'),
('de', 'registration', 'birthday', 'Geburtstag'),
('de', 'registration', 'challenge question', 'Sicherheitsfrage'),
('de', 'registration', 'an unknown error occured. <a href="%1">please try registering again.</a>', 'Es ist ein Fehler aufgetreten <a href="%1">Bitte versuchen Sie sich erneut zu registrieren</a>'),
('de', 'registration', 'an error occured. please remove your cookies and try again.', 'Es ist ein Fehler aufgetreten. Bitte löschen Sie Ihre Cookies im Browser und versuchen Sie es erneut.'),
('de', 'registration', 'an error occured. please contact our technical support and let them know.', 'Es ist ein Fehler aufgetreten. Bitte kontaktieren Sie den Support und informieren Sie diesen über den aufgetretenen Fehler'),
('de', 'registration', 'an error occured while updating your password. please contact the site administrator.', 'Es ist ein Fehler während der Aktualisierung Ihres Passworts aufgetreten. Benachrichtigen Sie bitte den Administrator'),
('de', 'registration', 'after you enter your username, instructions to change your password will be sent to you by e-mail to the address you gave when y', 'Nachdem Sie einen Benutzernamen eingegeben haben, werden weitere Informationen zum Ändern Ihres Passworts an die registrierte E-Mail-Adresse gesendet.'),
('de', 'registration', 'after you enter your email address, the user accounts associated with this email address will be mailed to that address.', 'Nachdem Sie die E-Mail-Adresse eingegeben haben wird der Benutzer mit der entsprechenden Adresse benachrichtigt werden.'),
('de', 'registration', 'address', 'Adresse'),
('de', 'registration', 'account registration', 'Benutzerkonto registrieren'),
('de', 'registration', 'account password retrieval', 'Passwort wiedergewinnen'),
('de', 'registration', 'account %1 record could not be found, report to site administrator', 'Es konnte kein Eintrag: Account: %1 gefunden werden. Bitte benachrichtigen sie den Adminsitrator'),
('de', 'registration', '[unknown last name]', '[Nachnamen unbekannt]'),
('de', 'registration', '[unknown first name]', '[Vornamen unbekannt]'),
('de', 'registration', '<br>please contact the site administrator.', '<br> Bitte nehmen sie Kontakt mit dem Administrator auf'),
('de', 'registration', '13: error occured', '13: Es ist ein Fehler aufgetreten'),
('de', 'projectmanager', 'you need to select a project first', 'Sie müssen zuerst ein Projekt auswählen'),
('de', 'projectmanager', 'your database is not up to date (%1 vs. %2), please run %3setup%4 to update your database.', 'Ihre Datenbank ist NICHT aktuell (%1 vs. %2), bitte rufen Sie %3setup%4 auf um Ihre Datenbank zu aktualisieren.'),
('de', 'projectmanager', 'you dont have jpgraph version %1 or higher installed! it is needed from projectmanager for ganttcharts.', 'Sie haben keine JPGraph Version %1 oder höher installiert! Diese wird vom Projektmanager für Ganttcharts benötigt.'),
('de', 'projectmanager', 'you can leave the date of the first price empty', 'Sie benötigen kein Datum für den ersten Preis'),
('de', 'projectmanager', 'view this project-element', 'Dieses Projektelement anzeigen'),
('de', 'projectmanager', 'working duration on %1', 'Arbeitsdauer am %1');
INSERT INTO `egw_lang` (`lang`, `app_name`, `message_id`, `content`) VALUES
('de', 'projectmanager', 'view this project', 'Dieses Projekt anzeigen'),
('de', 'projectmanager', 'view this milestone', 'Diesen Meilenstein anzeigen'),
('de', 'projectmanager', 'view this price', 'Diesen Preis anzeigen'),
('de', 'projectmanager', 'view this element in %1', 'Diese Element im %1 anzeigen'),
('de', 'projectmanager', 'view project-elements', 'Projektelement anzeigen'),
('de', 'projectmanager', 'view project', 'Projekt anzeigen'),
('de', 'projectmanager', 'view price', 'Preis anzeigen'),
('de', 'projectmanager', 'view milestone', 'Meilenstein anzeigen'),
('de', 'projectmanager', 'view ganttchart of this project', 'Ganttchart dieses Projekts anzeigen'),
('de', 'projectmanager', 'used', 'benutzt'),
('de', 'projectmanager', 'valid since', 'Gültig seit'),
('de', 'projectmanager', 'unitprice', 'Preis pro Einheit'),
('de', 'projectmanager', 'unit', 'Einheit'),
('de', 'projectmanager', 'tree with %1', 'Baum mit %1'),
('de', 'projectmanager', 'translation', 'Übersetzung'),
('de', 'projectmanager', 'to many might exceed your execution-time-limit', 'zu viel können Ihre Laufzeitbeschränkung überschreiten'),
('de', 'projectmanager', 'title must not be empty', 'Titel darf nicht leer sein'),
('de', 'projectmanager', 'times', 'Zeiten'),
('de', 'projectmanager', 'time', 'Zeit'),
('de', 'projectmanager', 'the charset depends on the font you want to use.', 'Der Zeichensatz hängt vom Font ab den Sie verwenden wollen.'),
('de', 'projectmanager', 'test import (show importable records <u>only</u> in browser)', 'Test Import (zeigt importierte Datensätze <u>nur</b> im Browser an)'),
('de', 'projectmanager', 'template including elment-tree saved as new project', 'Vorlage einschl. Elementbaum als neues Projekt gespeichert'),
('de', 'projectmanager', 'template', 'Vorlage'),
('de', 'projectmanager', 'synchronise all', 'Alle synchronisieren'),
('de', 'projectmanager', 'subprojects', 'Unterprojekte'),
('de', 'projectmanager', 'subelements', 'Unterelemente'),
('de', 'projectmanager', 'style used for everything but elements. some fonts have only normal style.', 'Stil der für alles außer Elementen verwendet wird. Einige Fonts haben nur den Stil Normal.'),
('de', 'projectmanager', 'start, end, category, ...', 'Start, Ende, Kategorie'),
('de', 'projectmanager', 'start- & enddate', 'Start- & Enddatum'),
('de', 'projectmanager', 'startdate', 'Startdatum'),
('de', 'projectmanager', 'startrecord', 'Startdatensatz'),
('de', 'projectmanager', 'status filter', 'Status Filter'),
('de', 'projectmanager', 'start working on %1', 'Arbeitsbeginn am %1'),
('de', 'projectmanager', 'start after', 'Startet nach'),
('de', 'projectmanager', 'site configuration saved', 'Konfiguration gespeichert'),
('de', 'projectmanager', 'show the project selection as', 'Zeige die Projektauswahl als'),
('de', 'projectmanager', 'show status icons of the datasources', 'Status Icons der Datenquellen anzeigen'),
('de', 'projectmanager', 'show planned times instead of the real times', 'Geplante Zeiten statt der realen anzeigen'),
('de', 'projectmanager', 'show constraints and milestones', 'Bedingungen und Meilensteine anzeigen'),
('de', 'projectmanager', 'should projectmanager display the status icons of the datasource (eg. infolog) or just a progressbar with the numerical status (', 'Soll Projektmanager die Status Icons der Datenquellen (z.B. InfoLog) anzeigen oder nur einen Fortschrittsbalken mit dem numerischen Status (schneller).'),
('de', 'projectmanager', 'share on the whole project in hours or percent, defaults to planned time', 'Anteil am Gesamtprojekt in Stunden oder prozentual, Vorgabe ist geplante Zeit'),
('de', 'projectmanager', 'share on the whole project', 'Anteil am Gesamtprojekt'),
('de', 'projectmanager', 'selectbox with %1', 'Auswahlbox mit %1'),
('de', 'projectmanager', 'share', 'Anteil'),
('de', 'projectmanager', 'select this project and show it''s elements', 'Dieses Projekt auswählen und seine Elemente anzeigen'),
('de', 'projectmanager', 'select the accounting types visible for users of projectmanager', 'wählen sie die Abrechnungsarten die für Benutzer des Projektmanagers sichtbar sind'),
('de', 'projectmanager', 'select multiple projects for a further action', 'Wählt mehrere Projekte für einen weiteren Befehl aus'),
('de', 'projectmanager', 'select an activity if you want to calculate costs by quantity (time) and price', 'Eine Tätigkeit auswählen wenn Sie die Kosten nach Menge (Zeit) und Preis berechnen wollen'),
('de', 'projectmanager', 'select a project', 'Ein Projekt auswählen'),
('de', 'projectmanager', 'save this project element', 'Dieses Projektelement speichern'),
('de', 'projectmanager', 'roles', 'Rollen'),
('de', 'projectmanager', 'save the changes made', 'Änderungen speichern'),
('de', 'projectmanager', 'role saved', 'Rolle gespeichert'),
('de', 'projectmanager', 'role deleted', 'Rolle gelöscht'),
('de', 'projectmanager', 'role', 'Rolle'),
('de', 'projectmanager', 'resources', 'Ressourcen'),
('de', 'projectmanager', 'real end', 'Reales Ende'),
('de', 'projectmanager', 'real start', 'Realer Start'),
('de', 'projectmanager', 'read access, no budget', 'lesender Zugriff, kein Budget'),
('de', 'projectmanager', 'read access, incl. budget and adding elements', 'lesender Zugriff, einschl. Budget und zufügen von Elementen'),
('de', 'projectmanager', 're-planned', 'umgeplant'),
('de', 'projectmanager', 'projectmember', 'Projektmitarbeiter'),
('de', 'projectmanager', 'quantity', 'Menge'),
('de', 'projectmanager', 'projectmanager-fieldname', 'Projektmanager-Feldname'),
('de', 'projectmanager', 'projectlist', 'Projektliste'),
('de', 'projectmanager', 'project-elements', 'Projektelemente'),
('de', 'projectmanager', 'project-element saved', 'Projektelement gespeichert'),
('de', 'projectmanager', 'project-element deleted', 'Projektelement gelöscht'),
('de', 'projectmanager', 'project specific title, prices, ...', 'Projektspezifischer Titel, Preis, ...'),
('de', 'projectmanager', 'project saved', 'Projekt gespeichert'),
('de', 'projectmanager', 'project overview', 'Projektübersicht'),
('de', 'projectmanager', 'project members and roles', 'Projekt Mitarbeiter und Rollen'),
('de', 'projectmanager', 'project id', 'Projekt-ID'),
('de', 'projectmanager', 'project deleted', 'Projekt gelöscht'),
('de', 'projectmanager', 'project availibility', 'Projekt- Verfügbarkeit'),
('de', 'projectmanager', 'price saved', 'Preis gespeichert'),
('de', 'projectmanager', 'pricelist', 'Preisliste'),
('de', 'projectmanager', 'price deleted', 'Preis gelöscht'),
('de', 'projectmanager', 'price / unit', 'Preis / Einheit'),
('de', 'projectmanager', 'price', 'Preis'),
('de', 'projectmanager', 'planned times', 'Geplante Zeiten'),
('de', 'projectmanager', 'please download a recent version from %1 and install it in %2.', 'Bitte laden Sie die aktuelle Version von %1 und installieren Sie sie in %2.'),
('de', 'projectmanager', 'planned', 'geplant'),
('de', 'projectmanager', 'permission denied !!!', 'Zugriff verweigert !!!'),
('de', 'projectmanager', 'percentage the member is availible for this project', 'Prozentsatz den der Mitarbeiter für dieses Projekt verfügbar ist'),
('de', 'projectmanager', 'percentage the member is availible for projects', 'Prozentsatz den der Mitarbeiter für Projekte verfügbar ist'),
('de', 'projectmanager', 'overwrite the datasource', 'Anzeige in der Elementliste überschreiben'),
('de', 'projectmanager', 'only this project', 'Nur dieses Projekt'),
('de', 'projectmanager', 'number of records to read (%1)', 'Anzahl der einzulesenden Datensätze (%1)'),
('de', 'projectmanager', 'not working', 'nicht arbeiten'),
('de', 'projectmanager', 'nonactive', 'Nicht aktiv'),
('de', 'projectmanager', 'not started (0%)', 'nicht gestartet (0%)'),
('de', 'projectmanager', 'no save necessary', 'Kein Abspeichern notwendig'),
('de', 'projectmanager', 'no read access to the datasource: removing overwritten values will just empty them !!!', 'Kein LESE-Recht an der Datenquelle: entfernen von überschriebenen Werten hinterlässt diese leer !!!'),
('de', 'projectmanager', 'no details', 'Keine Details'),
('de', 'projectmanager', 'no accounting, only times and status', 'Keine Abrechnung, nur Zeiten und Status'),
('de', 'projectmanager', 'new', 'Neu'),
('de', 'projectmanager', 'no accounting, only status', 'Keine Abrechnung, nur Status'),
('de', 'projectmanager', 'necessary php extentions %1 not loaded and can''t be loaded !!!', 'Die notwendige PHP Erweiterung %1 ist nicht geladen und kann nicht geladen werden !!!'),
('de', 'projectmanager', 'necessary for project-elements doing that not automatic', 'notwendig für Projektelement die das nicht automatisch machen'),
('de', 'projectmanager', 'modified by', 'Geändert durch'),
('de', 'projectmanager', 'modified', 'Geändert'),
('de', 'projectmanager', 'milestones before this element has to be finished', 'Meilensteine vor denen dieses Element beendet sein muß'),
('de', 'projectmanager', 'milestones', 'Meilensteine'),
('de', 'projectmanager', 'milestone deleted', 'Meilenstein gelöscht'),
('de', 'projectmanager', 'milestone saved', 'Meilenstein gespeichert'),
('de', 'projectmanager', 'members', 'Mitarbeiter'),
('de', 'projectmanager', 'mainprojects', 'Hauptprojekte'),
('de', 'projectmanager', 'mainproject only', 'nur das Hauptprojekt'),
('de', 'projectmanager', 'links', 'Verknüpfungen'),
('de', 'projectmanager', 'linked elements', 'Verknüpfte Elemente'),
('de', 'projectmanager', 'leave it empty, if identitcal to the time', 'Feld leer lassen, wenn identisch mit der Zeit'),
('de', 'projectmanager', 'leave it empty to have one generated', 'Feld leer lassen um eine zu generieren'),
('de', 'projectmanager', 'leave it empty if you dont need a different customer title', 'Feld leer lassen, wenn kein kundenspezifischer Titel benötigt wird'),
('de', 'projectmanager', 'last modified', 'Zuletzt geändert'),
('de', 'projectmanager', 'import', 'Importieren'),
('de', 'projectmanager', 'ignored', 'Ignoriert'),
('de', 'projectmanager', 'ignore that entry', 'Eintrag ignorieren'),
('de', 'projectmanager', 'if you see entities (eg. &#123;) in the ganttchart, switch this off.', 'Wenn Sie im Ganttchart statt Umlauten komische Zeichen sehen, schalten Sie das ab.'),
('de', 'projectmanager', 'if checked the datasources of the elements (eg. infolog entries) will change their status too.', 'Wenn angekreuzt werden der Status der Datenquellen der Element (z.B. InfoLog Einträge) mit geändert.'),
('de', 'projectmanager', 'if checked the datasources of the elements (eg. infolog entries) are deleted too.', 'Wenn angekreuzt werden die Datenquellen der Element (z.B. InfoLog Einträge) mit gelöscht.'),
('de', 'projectmanager', 'health', 'Gesundheit'),
('de', 'projectmanager', 'hours', 'Stunden'),
('de', 'projectmanager', 'hours per workday', 'Stunden pro Arbeitstag'),
('de', 'projectmanager', 'how long do you work on the given day.', 'Wie lange arbeiten Sie an dem angegebenen Tag.'),
('de', 'projectmanager', 'how should the project selection in the menu be displayed: a tree gives a better overview, a selectbox might perform better.', 'Wie soll die Projektauswahl im Menü angezeigt werden: Ein Baum gibt einen besseren Überblick, eine Auswahlbox kann schneller sein.'),
('de', 'projectmanager', 'h', 'h'),
('de', 'projectmanager', 'global categories', 'Globale Kategorien'),
('de', 'projectmanager', 'general pricelist', 'Allgemeine Preisliste'),
('de', 'projectmanager', 'general availibility', 'Allgemeine Verfügbarkeit'),
('de', 'projectmanager', 'general', 'Allgemein'),
('de', 'projectmanager', 'ganttchart', 'Ganttchart'),
('de', 'projectmanager', 'ganttchart parameter', 'Ganttchart Parameter'),
('de', 'projectmanager', 'full access', 'unbeschränkter Zugriff'),
('de', 'projectmanager', 'free descriptiv text', 'Freier Text'),
('de', 'projectmanager', 'from %1 to %2', 'von %1 bis %2'),
('de', 'projectmanager', 'font charset', 'Font Zeichensatz'),
('de', 'projectmanager', 'font style', 'Font Stil'),
('de', 'projectmanager', 'font to use in the ganttchart, only the vera fonts are included in the projectmanager.', 'Font für das Ganttchart. Nur der Vera Font ist beim Projektmanager dabei.'),
('de', 'projectmanager', 'fontfile ''%1'' not found!!!', 'Fontdatei ''%1'' nicht gefunden!!!'),
('de', 'projectmanager', 'fieldseparator', 'Feldtrenner'),
('de', 'projectmanager', 'font', 'Font'),
('de', 'projectmanager', 'everything recursive', 'Alles rekursiv'),
('de', 'projectmanager', 'existing data will be overwrited if checked', 'Bestehende Daten werden überschrieben, wenn eingeschaltet'),
('de', 'projectmanager', 'existing links', 'Bestehende Verknüpfungen'),
('de', 'projectmanager', 'exit without saving', 'Abbrechen ohne zu Speichern'),
('de', 'projectmanager', 'error: saving the project-element (%1) !!!', 'Fehler: Projektelement speichern (%1) !!!'),
('de', 'projectmanager', 'error: saving the project (%1) !!!', 'Fehler: Projekt speichern (%1) !!!'),
('de', 'projectmanager', 'error: saving role !!!', 'Fehler: Rolle speichern !!!'),
('de', 'projectmanager', 'error: saving the price (%1) !!!', 'Fehler: Preis speichern (%1) !!!'),
('de', 'projectmanager', 'error: rekursion found: id %1 more than once in projectpath, while building projecttree:', 'Fehler: Rekursion gefunden: Id %1 mehr als einmal im Projektpfad, beim Aufbau den Projektbaums:'),
('de', 'projectmanager', 'error: saving milestone', 'Fehler: Meilenstein speichern !!!'),
('de', 'projectmanager', 'error: project-id already exist, choose an other one or have one generated by leaving it emtpy !!!', 'Fehler: Projekt-ID existiert bereits, eine andere wählen oder durch leerlassen des Felds generieren lassen!!!'),
('de', 'projectmanager', 'enddate', 'Enddatum'),
('de', 'projectmanager', 'error: deleting price !!!', 'Fehler: Preis löschen !!!'),
('de', 'projectmanager', 'error: deleting project !!!', 'Fehler: Projekt löschen !!!'),
('de', 'projectmanager', 'error: deleting project-element !!!', 'Fehler: Projektelement löschen !!!'),
('de', 'projectmanager', 'error: deleting role !!!', 'Fehler: Rolle löschen !!!'),
('de', 'projectmanager', 'elements which have to be finished before this can start', 'Elemente die beendet sein müssen bevor dieses starten kann'),
('de', 'projectmanager', 'empty', 'Leer'),
('de', 'projectmanager', 'empty for all', 'leer für alle'),
('de', 'projectmanager', 'encode non-ascii', 'Nicht ASCII kodieren'),
('de', 'projectmanager', 'end before', 'Endet vor'),
('de', 'projectmanager', 'elements that can''t start before this one is finished', 'Elemente die nicht starten können bevor dieses beendet ist'),
('de', 'projectmanager', 'elements of elements', 'Element der Elemente'),
('de', 'projectmanager', 'elementlist', 'Elementliste'),
('de', 'projectmanager', 'edit this role', 'Diese Rolle bearbeiten'),
('de', 'projectmanager', 'edit this project-element', 'Dieses Projektelement bearbeiten'),
('de', 'projectmanager', 'edit this project', 'Dieses Projekt bearbeiten'),
('de', 'projectmanager', 'edit this price', 'Diesen Preis bearbeiten'),
('de', 'projectmanager', 'edit this milestone', 'Diesen Meilenstein bearbeiten'),
('de', 'projectmanager', 'edit project', 'Projekt bearbeiten'),
('de', 'projectmanager', 'edit project-elements', 'Projektelemente bearbeiten'),
('de', 'projectmanager', 'edit budget', 'Budget bearbeiten'),
('de', 'projectmanager', 'edit milestone', 'Meilenstein bearbeiten'),
('de', 'projectmanager', 'edit price', 'Preis bearbeiten'),
('de', 'projectmanager', 'done (100%)', 'erledigt (100%)'),
('de', 'projectmanager', 'edit access, incl. editing budget and elements', 'Zugriff zum Bearbeiten, einschl. Budget und Element bearbeiten'),
('de', 'projectmanager', 'do not use that entry as project-element', 'Diesen Eintrag nicht als Projektelement verwenden'),
('de', 'projectmanager', 'details of subelements', 'Details der Unterelemente'),
('de', 'projectmanager', 'details of cumulated', 'Details der zusammengefassten'),
('de', 'projectmanager', 'delete this role', 'Diese Rolle löschen'),
('de', 'projectmanager', 'depth of display', 'Tiefe der Anzeige'),
('de', 'projectmanager', 'delete this project', 'Dieses Projekt löschen'),
('de', 'projectmanager', 'delete this project-element, does not remove the linked entry', 'Löscht dieses Projektelement, belässt den verlinkten Eintrag unverändert'),
('de', 'projectmanager', 'delete this price', 'Diesen Preis löschen'),
('de', 'projectmanager', 'delete this milestone', 'Diesen Meilenstein löschen'),
('de', 'projectmanager', 'delete all checked projects', 'Ausgewählten Projekte löschen'),
('de', 'projectmanager', 'default all and a selectbox to choose', 'Vorgabe alle und eine Auswahlbox'),
('de', 'projectmanager', 'dates', 'Datum'),
('de', 'projectmanager', 'datasources too', 'auch Datenquellen'),
('de', 'projectmanager', 'datasource', 'Datenquelle'),
('de', 'projectmanager', 'customer title', 'Kundentitel'),
('de', 'projectmanager', 'custom fields', 'Extra'),
('de', 'projectmanager', 'cumulated elements too', 'Auch zusammengefasste Elemente'),
('de', 'projectmanager', 'csv-filename', 'CSV-Dateiname'),
('de', 'projectmanager', 'csv-fieldname', 'CSV-Feldname'),
('de', 'projectmanager', 'created a ganttchart from the checked projects', 'Erstellt ein Ganttchart von den gewählten Projekten'),
('de', 'projectmanager', 'create new links', 'Neue Verknüpfung erstellen'),
('de', 'projectmanager', 'created', 'Erstellt'),
('de', 'projectmanager', 'create a new empty project or use a template', 'Erstellt ein neues leeres Projekt oder benützt eine Vorlage'),
('de', 'projectmanager', 'coordinator', 'Koordinator'),
('de', 'projectmanager', 'cost per time', 'Kosten pro Zeiteinheit'),
('de', 'projectmanager', 'check all', 'Alle auswählen'),
('de', 'projectmanager', 'close the window, discard the changes made', 'Fenster schließen und die gemachten Veränderungen verwerfen'),
('de', 'projectmanager', 'constraints', 'Bedingungen'),
('de', 'projectmanager', 'conversation between days and hours, default 8', 'Umrechnung zwischen Tagen und Stunden, Vorgabe 8'),
('de', 'projectmanager', 'calculate budget by quantity (eg. time) and price', 'Budget nach Menge (Zeit) und Preis berechnen'),
('de', 'projectmanager', 'charset of file', 'Zeichensatz der Datei'),
('de', 'projectmanager', 'charset of the above selected font', 'Zeichensatz des oben ausgewählten Font'),
('de', 'projectmanager', 'by', 'von'),
('de', 'projectmanager', 'budget and pricelist', 'Budget und Preisliste'),
('de', 'projectmanager', 'budget', 'Budget'),
('de', 'projectmanager', 'budget (no pricelist)', 'Budget (keine Preisliste)'),
('de', 'projectmanager', 'bookable', 'buchbar'),
('de', 'projectmanager', 'billable', 'abrechenbar'),
('de', 'projectmanager', 'availible', 'Verfügbar'),
('de', 'projectmanager', 'archive', 'Archiviert'),
('de', 'projectmanager', 'assistant', 'Assistent'),
('de', 'projectmanager', 'at which time do you start working on the given day.', 'Um welche Uhrzeit beginnen Sie an dem angegebenen Tag zu arbeiten.'),
('de', 'projectmanager', 'apply the changes', 'Änderungen übernehmen'),
('de', 'projectmanager', 'allowed units', 'Erlaubte Einheiten'),
('de', 'projectmanager', 'anonymous public', 'Anonym öffentlich'),
('de', 'projectmanager', 'app.', 'Anw.'),
('de', 'projectmanager', 'allowed accounting types', 'Erlaubte Abrechnungsarten'),
('de', 'projectmanager', 'allow users to change their working times', 'Erlaube Benutzern ihre Arbeitszeiten zu ändern'),
('de', 'projectmanager', 'add this role', 'Diese Rolle hinzufügen'),
('de', 'projectmanager', 'add project-elements', 'Projektelemente hinzufügen'),
('de', 'projectmanager', 'add project', 'Projekt hinzufügen'),
('de', 'projectmanager', 'add price', 'Preis hinzufügen'),
('de', 'projectmanager', 'add or edit roles and their acl', 'Rollen und ihre ACL anlegen oder bearbeiten'),
('de', 'projectmanager', 'add milestone', 'Meilenstein hinzufügen'),
('de', 'projectmanager', 'add existing', 'Exist. hinzufügen'),
('de', 'projectmanager', 'add element', 'Element zufügen'),
('de', 'projectmanager', 'add a new project', 'Ein neues Projekt hinzufügen'),
('de', 'projectmanager', 'activity', 'Tätigkeit'),
('de', 'projectmanager', 'add a new milestone', 'Neuen Meilenstein hinzufügen'),
('de', 'projectmanager', 'actions', 'Befehle'),
('de', 'projectmanager', 'accounting type', 'Abrechnungsart'),
('de', 'projectmanager', 'accounting', 'Abrechnung'),
('de', 'projectmanager', 'accounting options', 'Abrechnungsoptionen'),
('de', 'projectmanager', 'a describtive title for the project, must not be empty', 'Ein beschreibender Titel für das Projekt, Feld darf nicht leer bleiben!'),
('de', 'projectmanager', '0ngoing (0 < % < 100)', 'in Arbeit (0 < % < 100)'),
('de', 'projectmanager', '- re-planned', '- umgeplant'),
('de', 'projectmanager', '- planned', '- geplant'),
('de', 'projectmanager', '%1 times permission denied, %2 projects deleted', '%1 mal Zugriff verweigert, %2 Projekte gelöscht'),
('de', 'projectmanager', '%1 records read (not yet imported, you may go %2back%3 and uncheck test import)', '%1 Datensätze gelesen (noch nicht importiert, Sie können %2zurück%3 gehen und Testimport ausschalten)'),
('de', 'projectmanager', '%1 records imported', '%1 Datensätze importiert'),
('de', 'projectmanager', '%1 projects deleted', '%1 Projekte gelöscht'),
('de', 'projectmanager', '%1 new project-elements imported', '%1 neue Projektelemente importiert'),
('de', 'projectmanager', '%1 element(s) updated', '%1 Element(e) aktualisiert'),
('de', 'polls', 'vote', 'Abstimmen'),
('de', 'polls', 'voting booth administration', 'Umfragen Administration'),
('de', 'polls', 'what to show', 'Was soll angezeigt werden'),
('de', 'polls', 'which poll', 'Welche Umfrage'),
('de', 'polls', 'you are not (yet) allowed view the result of this vote.', 'Sie dürfen das Ergebnis dieser Umfrage (noch) nicht sehen.'),
('de', 'polls', 'total votes', 'Gesamte Stimmen'),
('de', 'polls', 'view poll', 'Umfrage anzeigen'),
('de', 'polls', 'view results', 'Ergebnisse anzeigen'),
('de', 'polls', 'this module displays polls.', 'Dieses Modul zeigt Umfragen an.'),
('de', 'polls', 'show only the result', 'Nur das Ergebnis anzeigen'),
('de', 'polls', 'show only the ballot', 'Nur die Abstimmung anzeigen'),
('de', 'polls', 'show answers', 'Antworten zeigen'),
('de', 'polls', 'show bullet if allowed to vote and result else', 'Soll das Bullet angezeit werden erlaubt ist anzustimmen und das Ergebnis zu sehen'),
('de', 'polls', 'settings updated', 'Konfiguration aktualisiert'),
('de', 'polls', 'question has been updated', 'Frage wurde aktualisiert'),
('de', 'polls', 'result visible to', 'Ergebnis sichtbar für'),
('de', 'polls', 'select current poll', 'Eine Umfrage auswählen'),
('de', 'polls', 'poll votable by', 'Abstimmen dürfen'),
('de', 'polls', 'poll question', 'Frage der Umfrage'),
('de', 'polls', 'noone', 'Niemand'),
('de', 'polls', 'new poll has been added.  you should now add some answers for this poll', 'Neue Umfrage hinzugefügt. Geben Sie nun die Antworten zu dieser Umfrage ein.'),
('de', 'polls', 'everyone incl. anonymous users', 'Jeder einschl. anonyme Benutzer'),
('de', 'polls', 'enter poll question', 'Neue Umfrage'),
('de', 'polls', 'edit poll question', 'Umfrage bearbeiten'),
('de', 'polls', 'egroupware users (non-anonymous)', 'EGroupware Benutzer (nicht anonyme)'),
('de', 'polls', 'edit answer', 'Antwort bearbeiten'),
('de', 'polls', 'current poll', 'Aktuelle Umfrage'),
('de', 'polls', 'are you sure want to delete this question ?', 'Sind Sie sicher das Sie diese Frage löschen möchten ?'),
('de', 'polls', 'are you sure want to delete this answer ?', 'Sind Sie sicher das Sie diese Antwort löschen möchten ?'),
('de', 'polls', 'answers', 'Antworten'),
('de', 'polls', 'answer has been updated', 'Umfrage wurde aktualisiert'),
('de', 'polls', 'answer', 'Antwort'),
('de', 'polls', 'answer has been added to poll', 'Antwort wurde der Umfrage hinzugefügt'),
('de', 'polls', 'allways use latest poll', 'Immer die letzte Umfrage benutzen'),
('de', 'polls', 'allow users to vote more then once', 'Benutzern erlauben mehr als einmal abzustimmen'),
('de', 'polls', 'administrators', 'Administratoren'),
('de', 'polls', 'add questions', 'Umfrage hinzufügen'),
('de', 'polls', 'add answers', 'Antwort hinzufügen'),
('de', 'polls', 'add new poll question', 'Eine neue Umfrage hinzufügen'),
('de', 'polls', 'add answer to poll', 'Antwort zur Umfrage hinzufügen'),
('de', 'polls', 'actions', 'Aktionen'),
('de', 'polls', '%1 group', '%1 Gruppe'),
('de', 'login', 'not a user yet? register now', 'Noch kein Benutzer? Registrieren Sie sich jetzt'),
('de', 'login', 'lost login id', 'Benutzername vergessen'),
('de', 'login', 'lost password', 'Passwort vergessen'),
('de', 'login', 'your session could not be verified.', 'Ihre Sitzung konnte nicht verifiziert werden.'),
('de', 'login', 'you have been successfully logged out', 'Abmelden erfolgreich'),
('de', 'login', 'sorry, your login has expired', 'Ihre Anmeldung ist abgelaufen !'),
('de', 'jscalendar', 'wk', 'KW'),
('de', 'jscalendar', 'prev. year (hold for menu)', 'Vorheriges Jahr (halten für Menü)'),
('de', 'jscalendar', 'time selection:', 'Zeitauswahl:'),
('de', 'jscalendar', 'toggle first day of week', 'ersten Tag der Woche wechseln'),
('de', 'jscalendar', 'prev. month (hold for menu)', 'Vorheriger Monat (halten für Menü)'),
('de', 'jscalendar', 'next year (hold for menu)', 'Nächstes Jahr (halten für Menü)'),
('de', 'jscalendar', 'drag to move', 'Ziehen um zu Bewegen'),
('de', 'jscalendar', 'go today', 'Heute setzen'),
('de', 'jscalendar', 'next month (hold for menu)', 'Nächster Monat (halten für Menü)'),
('de', 'jscalendar', 'date selection:', 'Datum auswählen:'),
('de', 'jscalendar', 'display %s first', '%s zuerst anzeigen'),
('de', 'jscalendar', 'about the calendar', 'Über den Kalender'),
('de', 'jscalendar', '3 number of chars for day-shortcut', '2'),
('de', 'jscalendar', '3 number of chars for month-shortcut', '3'),
('de', 'jscalendar', '- use the %1, %2 buttons to select year', '- Benutzen Sie die %1, %2 Buttons um das Jahr auszuwählen'),
('de', 'jscalendar', '- use the %1, %2 buttons to select month', '- Benutzen Sie die %1, %2 Buttons um den Monat auszuwählen'),
('de', 'jscalendar', '- or shift-click to decrease it', '- oder Shift-klick um sie zu verkleinern'),
('de', 'jscalendar', '- or click and drag for faster selection.', '- oder klicken und ziehen für eine schnelle Auswahl'),
('de', 'jscalendar', '- hold mouse button on any of the above buttons for faster selection.', '- für eine schnelle Auswahl die Maus gedrückt halten auf jedem der obigen Schalter'),
('de', 'jscalendar', '- click on any of the time parts to increase it', '- Auf Uhrzeit klicken um sie zu erhöhen'),
('de', 'jscalendar', '(shift-)click or drag to change value', '(Shift-) Klicken oder drücken  um den Wert zu ändern'),
('de', 'phpfreechat', 'you should remove the write access, once you see the chat!', 'Sie sollten den Schreibzugriff wieder entfernen, nachdem Sie sich zu ersten mal eingeloggt haben und Sie das Chat Modul sehen können.'),
('de', 'phpfreechat', 'to complete the phpfreechat installation you have to give the webserver write access to:', 'Um die Installation für phpFreeChat abzuschließen, müssen Sie dem Webserver für kurze Zeit Schreibrechte geben.'),
('de', 'phpfreechat', 'the chat opens in a new window.', 'Der Chat öffnet sich in einem neuen Fenster.'),
('de', 'phpfreechat', 'phpfreechat integration into egroupware', 'phpFreeChat-Integration für EGroupware'),
('de', 'phpfreechat', 'egroupware chat', 'EGroupware Chat'),
('de', 'phpbrain', 'your question will be published immediately', 'Ihre Frage wird schnellstens veröffentlicht'),
('de', 'phpbrain', 'your question will be posted, but only will be published after approval by a user with publishing rights', 'Ihre Frage wurde weitergeleitet, Sie wird jedoch zuerst veröffentlicht nachdem ein Benutzer mit administrativen Rechten diese überprüft hat'),
('de', 'phpbrain', 'your message could not be sent!', 'Ihre Nachricht konnte nicht gesendet werden!'),
('de', 'phpbrain', 'you must enter a topic', 'Sie müssen ein Thema eingeben'),
('de', 'phpbrain', 'you must enter a title', 'Sie müssen einen Titel eingeben'),
('de', 'phpbrain', 'you have not the proper permissions to do that', 'Sie haben keine ausreichenden Rechte'),
('de', 'phpbrain', 'without the words', 'Beinhaltet keines der Worte'),
('de', 'phpbrain', 'you are in %1', 'Sie befinden sich in %1'),
('de', 'phpbrain', 'you have already qualified this article', 'Sie haben schon eine Bewertung zu diesem Artikel abgegeben'),
('de', 'phpbrain', 'with the exact phrase', 'Mit der genauen Phrase'),
('de', 'phpbrain', 'with at least one of the words', 'Beinhaltet mindestens eins der Worte'),
('de', 'phpbrain', 'with all the words', 'Beinhaltet alle Worte'),
('de', 'phpbrain', 'when navigating through categories, choose whether the list of articles shown corresponds only to the present category, or the p', 'Wenn Sie eine Kategorie auswählen, soll die Liste der Artikel nur die ausgewählte Kategorie zeigen oder auch alle Unterkategorien?'),
('de', 'phpbrain', 'was it easy to find this article using the above search string?', 'War es einfach, diesen Artikel mit der oben genannten Suchzeichenkette zu finden?'),
('de', 'phpbrain', 'views', 'Besuche'),
('de', 'phpbrain', 'user preferences', 'Benutzer Einstellungen'),
('de', 'phpbrain', 'unpublished', 'Nicht veröffentlicht'),
('de', 'phpbrain', 'unpublish', 'Veröffentlichung zurücknehmen'),
('de', 'phpbrain', 'unanswered questions', 'Offene Fragen'),
('de', 'phpbrain', 'topic', 'Thema'),
('de', 'phpbrain', 'unable to add rating to database', 'Es konnte keine Bewertung in die Datenbank zugefügt werden'),
('de', 'phpbrain', 'title', 'Titel'),
('de', 'phpbrain', 'to create categories, press ''edit categories'' in the preferences menu', 'Um eine Kategorie zu erstellen, klicken Sie "Kategorien bearbeiten" im Menü Einstellungen'),
('de', 'phpbrain', 'this article hasn''t yet been published in the knowledge base', 'Dieser Artikel wurde in der Wissensdatenbank noch nicht veröffentlicht'),
('de', 'phpbrain', 'there are no articles available', 'Es sind keine Artikel verfügbar'),
('de', 'phpbrain', 'there are no articles', 'Es wurden keine Artikel gefunden'),
('de', 'phpbrain', 'the present category only', 'Nur in der momentanen Kategorie'),
('de', 'phpbrain', 'the present category and all subcategories under it', 'Die momentane Kategorie und alle Unterkategorien'),
('de', 'phpbrain', 'the mail server returned:', 'Der Mailserver antwortete:'),
('de', 'phpbrain', 'the following errors occurred', 'Die folgenden Fehler sind aufgetreten'),
('de', 'phpbrain', 'the file was already missing in the server', 'Die Datei war auf dem Server nicht vorhanden'),
('de', 'phpbrain', 'the article is empty', 'Dieser Artikel ist leer'),
('de', 'phpbrain', 'the article id must be a number', 'Die Artikel ID muss eine Zahl sein'),
('de', 'phpbrain', 'that file already exists', 'Diese Datei existiert bereits'),
('de', 'phpbrain', 'summary', 'Zusammenfassung'),
('de', 'phpbrain', 'table of contents', 'Inhaltsverzeichnis'),
('de', 'phpbrain', 'suggested category', 'Vorgeschlagene Kategorie'),
('de', 'phpbrain', 'submit comment and rating', 'Kommentar und Bewertung absenden'),
('de', 'phpbrain', 'submit comment', 'Kommentar absenden'),
('de', 'phpbrain', 'show messages in category', 'Zeige Nachrichten in Kategorie'),
('de', 'phpbrain', 'show articles belonging to:', 'Zeige Artikel welche gehören zu:'),
('de', 'phpbrain', 'show all comments', 'Alle Kommentare anzeigen'),
('de', 'phpbrain', 'select articles', 'Artikel auswählen'),
('de', 'phpbrain', 'see more questions...', 'Mehr Fragen anzeigen...'),
('de', 'phpbrain', 'see more questions', 'Mehr Fragen anzeigen'),
('de', 'phpbrain', 'search results', 'Suchergebnis'),
('de', 'phpbrain', 'reply-to', 'Antwort an'),
('de', 'phpbrain', 'search in all the knowledge base', 'In der kompletten Wissensdatenbank suchen'),
('de', 'phpbrain', 'removed link %1', 'Link %1 gelöscht'),
('de', 'phpbrain', 'removed file %1', 'Datei %1 gelöscht'),
('de', 'phpbrain', 'relation with article was removed successfully', 'Verbindung zu diesem Artikel wurde erfolgreich gelöscht'),
('de', 'phpbrain', 'recipient', 'Empfänger'),
('de', 'phpbrain', 'related articles in the knowledge base', 'In Verbindung stehende Artikel in der Wissensbasis'),
('de', 'phpbrain', 'rating invalid', 'Bewertung ungültig'),
('de', 'phpbrain', 'rating has been submited', 'Ihre Bewertung wurde veröffentlicht'),
('de', 'phpbrain', 'questions deleted successfully', 'Fragen erfolgreich gelöscht'),
('de', 'phpbrain', 'question deleted successfully', 'Frage erfolgreich gelöscht'),
('de', 'phpbrain', 'publish selected', 'Markierte veröffentlichen'),
('de', 'phpbrain', 'published', 'Veröffentlicht'),
('de', 'phpbrain', 'publish', 'Veröffentlichen'),
('de', 'phpbrain', 'publication date', 'Erstellungsdatum'),
('de', 'phpbrain', 'problem relating articles', 'Fehler beim bewerten des Artikels'),
('de', 'phpbrain', 'printer view', 'Drucker freundliche Darstellung'),
('de', 'phpbrain', 'poor', 'Schlecht'),
('de', 'phpbrain', 'please try again', 'Bitte versuchen Sie es erneut'),
('de', 'phpbrain', 'please rate the pertinence and quality of this article', 'Bewerten Sie bitte die Angemessenheit und die Qualität dieses Artikels'),
('de', 'phpbrain', 'people have rated this article', 'Dieser Artikel wurde bewertet von folgenden Personen mit'),
('de', 'phpbrain', 'past year', 'letztes Jahr'),
('de', 'phpbrain', 'past %1 months', 'letzte %1 Monate'),
('de', 'phpbrain', 'overwrite file', 'existierende Datei überschreiben?'),
('de', 'phpbrain', 'outstanding published questions', 'Ausstehende veröffentlichte Fragen'),
('de', 'phpbrain', 'order results by', 'Ergebnisse sortieren nach'),
('de', 'phpbrain', 'number of results per page', 'Anzahl Treffer'),
('de', 'phpbrain', 'ocurrences', 'Auftreten'),
('de', 'phpbrain', 'or browse the categories', 'Oder die Kategorien durchsuchen'),
('de', 'phpbrain', 'nothing was uploaded!', 'Es wurde nichts hochgeladen!'),
('de', 'phpbrain', 'new article', 'Neuer Artikel'),
('de', 'phpbrain', 'nobody has rated this article so far', 'Dieser Artikel wurde noch nicht bewertet'),
('de', 'phpbrain', 'most viewed', 'Meist gelesen'),
('de', 'phpbrain', 'modification date', 'Änderungsdatum'),
('de', 'phpbrain', 'maximum number of most popular articles, latest articles and unanswered questions to show in the main view:', 'Maximale Anzahl der meist gelesenen Artikel, der letzten Artikel und der offenen Fragen welche in der Übersicht angezeigt werden sollen'),
('de', 'phpbrain', 'maximum number of comments to show:', 'Maximale Anzahl von Kommentaren (zu Artikeln) welche angezeigt werden soll'),
('de', 'phpbrain', 'maintain questions', 'Fragen verwalten'),
('de', 'phpbrain', 'main view', 'Gesamtübersicht'),
('de', 'phpbrain', 'maintain articles', 'Artikel verwalten'),
('de', 'phpbrain', 'mail article', 'Artikel per Mail versenden'),
('de', 'phpbrain', 'links & files', 'Links und Dateien'),
('de', 'phpbrain', 'links', 'Links'),
('de', 'phpbrain', 'link has been added', 'Link wurde hinzugefügt'),
('de', 'phpbrain', 'link deleted successfully', 'Link erfolgreich gelöscht'),
('de', 'phpbrain', 'link could not be added', 'Der Link konnte nicht hinzugefügt werden'),
('de', 'phpbrain', 'latest comments', 'Letzte Kommentare'),
('de', 'phpbrain', 'leave empty to automatically generate an id', 'um automatisch eine ID zu erstellen geben Sie nichts ein'),
('de', 'phpbrain', 'latest', 'Zuletzt'),
('de', 'phpbrain', 'last modified', 'Zuletzt bearbeitet'),
('de', 'phpbrain', 'last modification by %1 on %2', 'Zuletzt bearbeitet von %1 am %2'),
('de', 'phpbrain', 'knowledge base', 'Wissensdatenbank'),
('de', 'phpbrain', 'knowledge base article #%1', 'Wissensdatenbank Artikel %1'),
('de', 'phpbrain', 'include subcategories', 'inklusive Unterkategorien'),
('de', 'phpbrain', 'keywords', 'Schlüsselworte'),
('de', 'phpbrain', 'in the topic', 'im Thema'),
('de', 'phpbrain', 'in the text', 'im Text'),
('de', 'phpbrain', 'in the title', 'im Titel'),
('de', 'phpbrain', 'in %1', 'in %1'),
('de', 'phpbrain', 'if you wish, you can comment this article here', 'Sie können diesen Artikel hier kommentieren'),
('de', 'phpbrain', 'if you can''t find answers to your problem in the knowledge base, describe it below', 'Falls Sie keine Antwort zu Ihrem Problem finden in der Wissensdatenbank, beschreiben Sie es bitte unten.'),
('de', 'phpbrain', 'history', 'Historie'),
('de', 'phpbrain', 'global categories', 'Globale Kategorien'),
('de', 'phpbrain', 'find results', 'Finde Ergebnisse'),
('de', 'phpbrain', 'file wasn''t in server and it couldn''t be deleted from the database', 'Die Datei war weder auf dem Server noch in der Datenbank vorhanden und konnte nicht gelöscht werden'),
('de', 'phpbrain', 'file was deleted successfully', 'Dateien wurde erfolgreich gelöscht'),
('de', 'phpbrain', 'file was already missing from server, and was deleted from the database', 'Die Datei ist auf dem Server nicht mehr vorhanden und wurde in der Datenbank gelöscht'),
('de', 'phpbrain', 'file has been successfully uploaded', 'Datei wurde erfolgreich hochgeladen'),
('de', 'phpbrain', 'file could be deleted from server but not from database', 'Datei konnte auf dem Server gelöscht werden, jedoch nicht in der Datenbank'),
('de', 'phpbrain', 'failure trying to delete the file', 'Es sit ein Fehler aufgetreten beim Versuch den Artikel zu löschen'),
('de', 'phpbrain', 'excellent', 'Sehr gut'),
('de', 'phpbrain', 'error: file doesn''t exist in the database', 'Fehler: Diese Dateien existiert nicht in der Datenbank'),
('de', 'phpbrain', 'error trying to publish article', 'Fehler beim veröffentlichen des Artikels'),
('de', 'phpbrain', 'error trying to edit article', 'Es ist ein Fehler beim versuch diesen Artikel zu bearbeiten'),
('de', 'phpbrain', 'error trying to delete question', 'Es ist ein Fehler beim löschen der Frage'),
('de', 'phpbrain', 'error trying to delete comment', 'Es ist ein Fehler beim löschen des Kommentars'),
('de', 'phpbrain', 'error retrieving article', 'Fehler beim empfangen des Artikel'),
('de', 'phpbrain', 'error publishing comment', 'Es ist ein Fehler beim veröffentlichen des Kommentars aufgetreten'),
('de', 'phpbrain', 'error moving file to directory', 'Beim verschieben der Dateien in den Ordner ist ein Fehler aufgetreten'),
('de', 'phpbrain', 'error locating files directory', 'Der Datei Ordner konnte nicht gefunden werden'),
('de', 'phpbrain', 'error downloading file', 'Fehler beim herunterladen der Datei'),
('de', 'phpbrain', 'error deleting article from database', 'Es ist ein Fehler beim löschen des Artikel in der Datenbank aufgetreten'),
('de', 'phpbrain', 'error deleting link', 'Fehler beim löschen des Link'),
('de', 'phpbrain', 'enterprise knowledge articles repository', 'Wissensdatenbank Artikel Speicherort'),
('de', 'phpbrain', 'enter one or two words describing the issue, or type the article number if you know it', 'Bitte geben Sie ein oder zwei Worte ein welche Ihre Frage beschreiben, oder geben Sie die Artikel Nummer ein wenn Sie diese Wissen'),
('de', 'phpbrain', 'edit article', 'Artikel bearbeiten'),
('de', 'phpbrain', 'e-mail has been sent', 'E-Mail wurde versendet'),
('de', 'phpbrain', 'details', 'Details'),
('de', 'phpbrain', 'e-groupware knowledge base article attached', 'EGroupware Wissensdatenbank Artikel angehangen'),
('de', 'phpbrain', 'descendent', 'Absteigend'),
('de', 'phpbrain', 'delete article', 'Artikel löschen'),
('de', 'phpbrain', 'delete selected', 'Ausgewählte löschen'),
('de', 'phpbrain', 'deleted relation to  article %1', 'Verbindung zu Artikel %1 gelöscht'),
('de', 'phpbrain', 'deleted relation to article %1', 'Verbindung zu Artikel %1 gelöscht'),
('de', 'phpbrain', 'creation', 'Erstellung'),
('de', 'phpbrain', 'creation date', 'Erstellungsdatum'),
('de', 'phpbrain', 'created by %1 on %2', 'Erstellt von %1 in %2'),
('de', 'phpbrain', 'contents', 'Inhalt'),
('de', 'phpbrain', 'create a new article to answer the question asked by %1 in %2', 'Einen neuen Artikel erstellen um auf die Frage, gestellt von %1 am %2 zu antworten'),
('de', 'phpbrain', 'configuration', 'Konfiguration'),
('de', 'phpbrain', 'comments', 'Kommentare'),
('de', 'phpbrain', 'comment has been submited for revision and rating will be published', 'Kommentar wurde eingereicht zur Überprüfung. Ihre Bewertung wird veröffentlicht'),
('de', 'phpbrain', 'comment has been submited for revision', 'Kommentar wurde eingereicht zur Überprüfung'),
('de', 'phpbrain', 'comment has been published', 'Kommentar wurde veröffentlicht'),
('de', 'phpbrain', 'comment has been deleted', 'Kommentar wurde hinzugefügt'),
('de', 'phpbrain', 'comment could not be inserted in the database', 'Der Kommentar konnte nicht zur Datenbank hinzugefügt werden'),
('de', 'phpbrain', 'comment and rating have been published', 'Kommentar und Bewertung wurden veröffentlicht'),
('de', 'phpbrain', 'comment', 'Kommentare'),
('de', 'phpbrain', 'by answering this question you will help to get the answer quicker the next time', 'Durch beantworten diese Frage helfen Sie, das nächste mal eine schnellere Antwort zu erhalten.'),
('de', 'phpbrain', 'before submiting a question, please search in the knowledge base first', 'Bevor Sie eine Frage einreichen, durchsuchen Sie bitte die Wissensdatenbank zuerst'),
('de', 'phpbrain', 'base directory does not exist, please ask the adminstrator to check the global configuratio', 'Das Hauptverzeichnis existiert nicht. Bitte kontaktieren Sie den Administrator damit dieser die Konfiguration überprüft.'),
('de', 'phpbrain', 'average rating', 'Durchschnittliche Bewertung'),
('de', 'phpbrain', 'attached files', 'Hinzugefügte Dateien'),
('de', 'phpbrain', 'attach file', 'Datei hinzufügen'),
('de', 'phpbrain', 'ascendent', 'Aufsteigend'),
('de', 'phpbrain', 'articles not classified under any category', 'Artikel welche keiner Kategorie zugeteilt wurden'),
('de', 'phpbrain', 'articles in %1', 'Artikel in %1'),
('de', 'phpbrain', 'articles in %1 and all its subcategories', 'Artikel in %1 und in allen Unterkategorien'),
('de', 'phpbrain', 'articles have been published', 'Artikel wurde veröffentlicht'),
('de', 'phpbrain', 'articles deleted successfully', 'Artikel erfolgreich gelöscht'),
('de', 'phpbrain', 'articles added', 'Artikel hinzugefügt'),
('de', 'phpbrain', 'article id', 'Artikel ID'),
('de', 'phpbrain', 'article has been published', 'Artikel wurde veröffentlicht'),
('de', 'phpbrain', 'article edited', 'Artikel bearbeitet'),
('de', 'phpbrain', 'article deleted successfully', 'Artikel wurde erfolgreich gelöscht'),
('de', 'phpbrain', 'article deleted', 'Artikel gelöscht'),
('de', 'phpbrain', 'article created', 'Artikel wurde erstellt'),
('de', 'phpbrain', 'article added to database, you can now attach files or links, or relate to other articles', 'Der Artikel wurde zur Datenbank hinzugefügt. Sie können nun Links, Dateien oder verwandte Artikel zu diesem Artikel hinzufügen.'),
('de', 'phpbrain', 'article', 'Artikel'),
('de', 'phpbrain', 'are you sure?', 'Sind Sie Sicher?'),
('de', 'phpbrain', 'anytime', 'jederzeit'),
('de', 'phpbrain', 'anywhere in the article', 'Im gesamten Artikel'),
('de', 'phpbrain', 'answer', 'Antwort'),
('de', 'phpbrain', 'allow posting of questions', 'Erlaube das Posten von Fragen'),
('de', 'phpbrain', 'all articles', 'Alle Artikel'),
('de', 'phpbrain', 'advanced search', 'Erweiterte Suche'),
('de', 'phpbrain', 'added related articles %1', 'Verwandte Artikel %1 hinzugefügt'),
('de', 'phpbrain', 'added link %1', 'Link %1 hinzugefügt'),
('de', 'phpbrain', 'add question', 'Frage hinzufügen'),
('de', 'phpbrain', 'added file %1', 'Datei %1 hinzugefügt'),
('de', 'phpbrain', 'action', 'Befehl'),
('de', 'phpbrain', 'actions', 'Befehle'),
('de', 'phpbrain', 'add articles', 'Artikel hinzufügen'),
('de', 'phpbrain', 'add link', 'Link hinzufügen'),
('de', 'phpbrain', '/kb directory does not exist and could not be created, please ask the adminstrator to check the global configuration', 'Das Verzeichnis /kb existiert nicht oder konnte nicht erstellt werden. Bitte kontaktieren Sie den Administrator zur Überprüfung der Konfiguration.'),
('de', 'notifications', 'you''ve got new mail', 'Sie haben neue E-Mails'),
('de', 'notifications', 'windows-popup only', 'nur Windows-Popup'),
('de', 'notifications', 'windows-popup first, if that fails notify me by sms', 'Zuerst Windows-Popup. Wenn dies fehl schlägt, benachrichtige mich per SMS.'),
('de', 'notifications', 'windows-popup first, if that fails notify me by e-mail', 'Zuerst Windows-Popup. Wenn dies fehl schlägt, benachrichtige mich per E-Mail.'),
('de', 'notifications', 'windows-popup and e-mail', 'Windows-Popup und E-Mail'),
('de', 'notifications', 'received', 'Erhalten'),
('de', 'notifications', 'sms only', 'nur SMS'),
('de', 'notifications', 'this egroupware notification has been sent to you by mail because your chosen notification-chain has been disabled by the admini', 'Diese EGroupware-Benachrichtigung wurde Ihnen per Mail zugesandt, da Ihre gewählte Benachrichtigungskette vom Administrator deaktiviert wurde. Bitte wählen Sie eine andere Benachrichtigungskette in Ihren Einstellungen!'),
('de', 'notifications', 'preferences for notification', 'Benachrichtigungs-Einstellungen'),
('de', 'notifications', 'poll interval', 'Abfrageintervall'),
('de', 'notifications', 'optimize e-mails for external mail client', 'Optimiere E-Mails für externe Mailclients'),
('de', 'notifications', 'minutes', 'Minuten'),
('de', 'notifications', 'notify me by', 'Benachrichtige mich per'),
('de', 'notifications', 'message from', 'Nachricht von'),
('de', 'notifications', 'if set, embedded links get rendered special for external clients', 'Wenn diese Option aktiviert ist, werden "eingebettete Links" besser graphisch aufbereitet.'),
('de', 'notifications', 'how verbose should the egroupware-popup behave if a notification is sent to the user:<br />low: just display the notification be', 'Wie hoch soll das EGroupware-Popup die Priorität setzen wenn eine Benachrichtigung an den Benutzer gesendet wird:<br />Niedrig: Es wird nur die Benachrichtigungsglocke im Topmenü angezeigt - das Topmenü muss hierfür eingeschaltet sein!<br />Mittel: Holt das Benachrichtigungsfenster in den Vordergrund<br />Hoch: Holt das Benachrichtigungsfenster in den Vordergrund und aktiviert den Browser zur besseren Erkennung der Benachrichtigung.'),
('de', 'notifications', 'folder', 'Ordner'),
('de', 'notifications', 'from', 'von'),
('de', 'notifications', 'enabled chains', 'Aktivierte Ketten'),
('de', 'notifications', 'egroupware-popup verbosity', 'EGroupware-Popup Mitteilungspriorität'),
('de', 'notifications', 'egroupware-popup only', 'nur EGroupware-Popup'),
('de', 'notifications', 'egroupware-popup first, if that fails notify me by sms', 'zuerst EGroupware-Popup. Wenn dies fehl schlägt, benachrichtige mich per SMS.'),
('de', 'notifications', 'egroupware-popup first, if that fails notify me by e-mail', 'zuerst EGroupware-Popup. Wenn dies fehl schlägt, benachrichtige mich per E-Mail.'),
('de', 'notifications', 'egroupware-popup and windows-popup', 'EGroupware-Popup und Windows-Popup'),
('de', 'notifications', 'egroupware has notifications for you', 'EGroupware hat Benachrichtigungen für Sie'),
('de', 'notifications', 'egroupware-popup and e-mail', 'EGroupware-Popup und E-Mail'),
('de', 'notifications', 'e-mail only', 'nur E-Mail'),
('de', 'notifications', 'do not notify me at all', 'benachrichtige mich niemals'),
('de', 'notifications', 'disabled chains', 'Deaktivierte Ketten'),
('de', 'notifications', 'common chains', 'Einfache Ketten'),
('de', 'notifications', 'choose a notification-chain. you will be notified over the backends included in the chain.<br />note: if a notification-chain is', 'Wählen Sie eine Benachrichtigungskette. Sie werden über die Schnittstellen benachrichtigt, die in der Kette enthalten sind.<br />Bitte beachten: Wenn eine Benachrichtigungskette als "deaktiviert" markiert ist oder Ihr Administrator erlaubt ein oder mehrere Schnittstellen nicht, die in der Kette enthalten sind, so weicht die EGroupware-Benachrichtigung auf die Methode "E-Mail" aus.'),
('de', 'notifications', 'all possible notification backends', 'alle verfügbaren Benachrichtigungs-Schnittstellen'),
('de', 'news_admin', 'write', 'Schreiben'),
('de', 'news_admin', 'write permissions', 'Schreibrechte'),
('de', 'news_admin', 'which news categories should be displayed on the main screen.', 'Welche Nachrichten Kategorien sollen auf der Startseite angezeigt werden.'),
('de', 'news_admin', 'which information do you want to show (css class)', 'Welche Informationen sollen angezeigt werden (CSS Klasse)'),
('de', 'news_admin', 'view this category', 'Diese Kategorie anzeigen'),
('de', 'news_admin', 'visible', 'Sichtbar'),
('de', 'news_admin', 'webpage news admin', 'Webseite Nachrichten'),
('de', 'news_admin', 'until', 'bis'),
('de', 'news_admin', 'url of the rss or atom feed, empty for own news feed', 'URL des RSS oder Atome Feed, leer für einen eigenen Nachrichten-Feed'),
('de', 'news_admin', 'this module publishes news from the news_admin application on your website. be aware of news_admin''s acl restrictions.', 'Diese Module zeigt Nachrichten der Nachrichten Anwendung auf Ihrer Website an. Bitte beachten Sie die ACL''s der Nachrichten Anwendung.'),
('de', 'news_admin', 'there no such translation.', 'Für diese Nachricht gibt es keine Übersetzung'),
('de', 'news_admin', 'the subject is missing', 'Diese Nachricht hat keinen Titel'),
('de', 'news_admin', 'the number of articles to display on the main screen.', 'Anzahl der Nachrichten welche auf der Übersichtsseite angezeigt werden sollen'),
('de', 'news_admin', 'the news content is missing', 'Es ist kein Inhalt der Nachricht vorhanden'),
('de', 'news_admin', 'teaser with read more link', 'Anreißer mit weiter lesen Link'),
('de', 'news_admin', 'teaser', 'Anreißer'),
('de', 'news_admin', 'submitted by and date', 'Eingetragen von und mit Datum'),
('de', 'news_admin', 'submitted by %1 on %2', 'Eingetragen von %1 am %2'),
('de', 'news_admin', 'show news articles on main page?', 'Neue Nachrichten auf der Startseite anzeigen'),
('de', 'news_admin', 'small view', 'schmale Anzeige'),
('de', 'news_admin', 'start', 'Anfang'),
('de', 'news_admin', 'show latest news articles?', 'Neuest Nachrichten anzeigen?'),
('de', 'news_admin', 'should news_admin display the latest article headlines on the main screen.', 'Sollen die neuesten Nachrichten auf der Startseite angezeigt werden.'),
('de', 'news_admin', 'send mail to others', 'Mail an andere senden'),
('de', 'news_admin', 'reload', 'Nachladen'),
('de', 'news_admin', 'read permissions', 'Leserechte'),
('de', 'news_admin', 'read news', 'Nachrichten lesen');
INSERT INTO `egw_lang` (`lang`, `app_name`, `message_id`, `content`) VALUES
('de', 'news_admin', 'read more', 'weiter lesen'),
('de', 'news_admin', 'publish date', 'Veröffentlichungsdatum'),
('de', 'news_admin', 'parent', 'Elternelement'),
('de', 'news_admin', 'please select a category', 'Bitte wählen Sie eine Kategorie'),
('de', 'news_admin', 'on', 'An'),
('de', 'news_admin', 'page-name the item should be displayed (empty = current page)', 'Seitenname auf der die Einträge angezeigt werden sollen (leer = aktuelle Seite)'),
('de', 'news_admin', 'old', 'Alte'),
('de', 'news_admin', 'number of news items to be displayed on page', 'Anzahl Nachrichten die auf einer Seite angezeigt werden'),
('de', 'news_admin', 'now', 'Jetzt'),
('de', 'news_admin', 'number of articles to display on the main screen', 'Anzahl der Nachrichten einstellen, die auf der Startseite angezeigt werden.'),
('de', 'news_admin', 'no rss export', 'Kein RSS Export'),
('de', 'news_admin', 'no news', 'In dieser Kategorie sind keine News vorhanden'),
('de', 'news_admin', 'no entries found', 'Keine Einträge gefunden'),
('de', 'news_admin', 'no matching news item', 'Keine zutreffenden Nachrichten'),
('de', 'news_admin', 'no anonymous user accounts installed.  notify the administrator.', 'ES ist keine Anonymer Benutzeraccount installiert. Benachrichtigen Sie den Administrator.'),
('de', 'news_admin', 'news saved.', 'Nachricht gespeichert.'),
('de', 'news_admin', 'news item has been updated', 'Nachrichten wurde upgedatet'),
('de', 'news_admin', 'news item has been added', 'Nachrichten wurde hinzugefügt'),
('de', 'news_admin', 'news deleted.', 'Nachricht gelöscht.'),
('de', 'news_admin', 'news administration', 'Nachrichten Administration'),
('de', 'news_admin', 'news admin', 'Nachrichten Administrator'),
('de', 'news_admin', 'news', 'Nachrichten'),
('de', 'news_admin', 'more news link', 'Mehr News Link'),
('de', 'news_admin', 'new item has been added', 'Neue Nachricht wurde hinzugefügt'),
('de', 'news_admin', 'more news', 'Mehr News'),
('de', 'news_admin', 'message has been added', 'Nachricht wurde hinzugefügt'),
('de', 'news_admin', 'maintain', 'Pflegen'),
('de', 'news_admin', 'main', 'Hauptmenü'),
('de', 'news_admin', 'last updated', 'Zuletzt aktualisiert'),
('de', 'news_admin', 'link', 'Link'),
('de', 'news_admin', 'item not found', 'Nachricht nicht gefunden'),
('de', 'news_admin', 'import url', 'Import URL'),
('de', 'news_admin', 'imported feeds can not be writable!', 'Importierte Nachrichten-Feeds können NICHT beschreibbar sein!'),
('de', 'news_admin', 'item has been deleted', 'Nachricht gelöscht'),
('de', 'news_admin', 'import now', 'Jetzt Importieren'),
('de', 'news_admin', 'import every', 'Importieren alle'),
('de', 'news_admin', 'image url', 'URL des Bildes'),
('de', 'news_admin', 'implies read permission', 'beinhaltet Leserechte'),
('de', 'news_admin', 'image title', 'Titel des Bildes'),
('de', 'news_admin', 'image link', 'Link des Bildes'),
('de', 'news_admin', 'headline with link', 'Schlagzeile mit Link'),
('de', 'news_admin', 'headline', 'Schlagzeile'),
('de', 'news_admin', 'global_news', 'Globale Nachrichten'),
('de', 'news_admin', 'global categories', 'Globale Kategorien'),
('de', 'news_admin', 'global news', 'Globale Nachrichten'),
('de', 'news_admin', 'from all', 'Von allen'),
('de', 'news_admin', 'future', 'Zukünftig'),
('de', 'news_admin', 'format for links to items', 'Format für Verweise auf Einträge'),
('de', 'news_admin', 'format of export', 'Exportformat'),
('de', 'news_admin', 'from', 'Von'),
('de', 'news_admin', 'failed to add message', 'Hinzufügen einer neuen Nachricht fehlgeschlagen'),
('de', 'news_admin', 'error saving the news!', 'Fehler beim Speichern der Nachricht!'),
('de', 'news_admin', 'error saving the category!', 'Fehler beim Speichern der Kategorie!'),
('de', 'news_admin', 'end', 'Ende'),
('de', 'news_admin', 'error importing the feed!', 'Fehler beim Importieren des News-Feeds!'),
('de', 'news_admin', 'edit news item', 'Nachricht bearbeiten'),
('de', 'news_admin', 'delete this news', 'Diese Nachricht löschen'),
('de', 'news_admin', 'do you want to publish a rss feed for this news category', 'Wollen Sie einen RSS-Feed mit Link für diese Kategorie anzeigen'),
('de', 'news_admin', 'date and time', 'Datum und Uhrzeit'),
('de', 'news_admin', 'content', 'Inhalt'),
('de', 'news_admin', 'count', 'Anzahl'),
('de', 'news_admin', 'contains html', 'Beinhaltet HTML'),
('de', 'news_admin', 'configuration', 'Konfiguration'),
('de', 'news_admin', 'category saved.', 'Kategorie gespeichert.'),
('de', 'news_admin', 'choose a category', 'Wählen Sie eine Kategorie'),
('de', 'news_admin', 'category deleted.', 'Kategorie gelöscht.'),
('de', 'news_admin', 'categories to displayed on main page?', 'Kategorien zum Anzeigen auf der Startseite?'),
('de', 'news_admin', 'by date', 'Nach Datum'),
('de', 'news_admin', 'always', 'Immer'),
('de', 'news_admin', 'all news', 'Alle Nachrichten'),
('de', 'news_admin', 'add news item', 'Eine neue Nachricht hinzufügen'),
('de', 'news_admin', 'add new news', 'Neue Nachricht hinzufügen'),
('de', 'news_admin', 'add new article', 'Neue Nachricht hinzufügen'),
('de', 'news_admin', 'active', 'Aktiv'),
('de', 'news_admin', 'actions', 'Befehle'),
('de', 'news_admin', '%s hours', '%s Stunden'),
('de', 'news_admin', '%1 module', '%1 Module'),
('de', 'news_admin', '%1 news imported (%2 new).', '%1 Nachrichten importiert (%2 neue).'),
('de', 'manual', 'the search returned no result!', 'Die Suche lieferte kein Ergebnis!'),
('de', 'manual', 'starting import from %1, this might take several minutes (specialy if you start it the first time) ...', 'Beginne Import von %1, das kann einige Minuten dauern (speziell wenn Sie es zum ersten Mal starten) ...'),
('de', 'manual', 'search for', 'Suchen nach'),
('de', 'manual', 'page(s) %1 not found !!!', 'Seite(n) %1 nicht gefunden !!!'),
('de', 'manual', 'index', 'Inhaltsverzeichnis'),
('de', 'manual', 'download', 'Herunterladen'),
('de', 'manual', '%1 manual page(s) added or updated', '%1 Handbuchseite(n) zugefügt oder aktualisiert'),
('de', 'infolog', 'your database is not up to date (%1 vs. %2), please run %3setup%4 to update your database.', 'Ihre Datenbank ist NICHT aktuell (%1 gegenüber %2), bitte rufen Sie  %3setup%4 auf um ihre Datenbank zu aktualisieren.'),
('de', 'infolog', 'you need to select some entries first', 'Bitte wählen Sie zuerst die Datensätze aus, die Sie bearbeiten wollen.'),
('de', 'infolog', 'you need to select an entry for linking.', 'Sie müssen einen Datensatz auswählen, um eine Verknüpfung zu erstellen.'),
('de', 'infolog', 'you must enter a subject or a description', 'Sie müssen einen Titel oder eine Beschreibung eingeben'),
('de', 'infolog', 'you have to enter a name, to create a new typ!!!', 'Sie müssen einen Namen angeben, um einen neuen Typ zu erzeugen!!!'),
('de', 'infolog', 'you have entered an invalid starting date', 'Sie haben ein ungültiges Startdatum eingegeben'),
('de', 'infolog', 'you have entered an invalid ending date', 'Sie haben ein ungültiges Fälligkeitsdatum eingegeben'),
('de', 'infolog', 'you can''t delete one of the stock types !!!', 'Sie können keinen der Standardtypen löschen!!!'),
('de', 'infolog', 'you can choose a categorie to be preselected, when you create a new infolog entry', 'Sie können eine Kategorie festlegen die vorausgewählt wird, wenn Sie neue InfoLog Einträge anlegen.'),
('de', 'infolog', 'yes, with purging of deleted items possible', 'Ja, jeder darf gelöschte Einträge bereinigen'),
('de', 'infolog', 'yes, with larger fontsize', 'Ja, mit einer größeren Schrift'),
('de', 'infolog', 'yes, noone can purge deleted items', 'Ja, niemand darf gelöschte Einträge bereinigen'),
('de', 'infolog', 'yes, only admins can purge deleted items', 'Ja, nur Administratoren dürfen gelöschte Einträge bereinigen'),
('de', 'infolog', 'yes - delete including sub-entries', 'Ja - Löschen einschließlich Untereinträge'),
('de', 'infolog', 'yes - delete', 'Ja - Löschen'),
('de', 'infolog', 'yes - close including sub-entries', 'Ja- schließen inklusive Untereinträge'),
('de', 'infolog', 'yes - close', 'Ja schließen'),
('de', 'infolog', 'will-call', 'ruft zurück'),
('de', 'infolog', 'write (add or update) a record by passing its fields.', 'Schreiben (zufügen oder aktualisieren) eines Datensatzes durch Angabe seiner Felder.'),
('de', 'infolog', 'which types should the calendar show', 'Welche Typen soll der Kalender anzeigen'),
('de', 'infolog', 'which implicit acl rights should the responsible get?', 'Welche impliziten Zugriffsrechte soll der Verantwortliche bekommen?'),
('de', 'infolog', 'which additional fields should the responsible be allowed to edit without having edit rights?<br />status, percent and date comp', 'Welche zusätzlichen Felder soll der Verantwortliche bearbeiten können ohne Bearbeitungsrechte zu haben?<br />Status, Prozent und Datum erledigt sind immer erlaubt.'),
('de', 'infolog', 'when should the todo or phonecall be started, it shows up from that date in the filter open or own open (startpage)', 'wann soll mit dem Auftrag oder Anruf begonnen werden, ab diesem Datum wird er beim Filter offen oder eigene offen angezeigt (Startseite)'),
('de', 'infolog', 'view this linked entry in its application', 'diesen verknüpfen Eintrag in seiner Anwendung anzeigen'),
('de', 'infolog', 'view the parent of this entry and all his subs', 'übergeordneter Eintrag mit allen seinen Untereinträgen anzeigen'),
('de', 'infolog', 'view subs', 'Untereinträge anzeigen'),
('de', 'infolog', 'view parent', 'Elterneintrag anzeigen'),
('de', 'infolog', 'view other subs', 'andere Untereinträge anzeigen'),
('de', 'infolog', 'view all subs of this entry', 'alle Untereinträge dieses Eintrag anzeigen'),
('de', 'infolog', 'used time', 'benötigte Zeit'),
('de', 'infolog', 'values for selectbox', 'Werte für die Auswahlbox'),
('de', 'infolog', 'use field from csv if possible', 'Verwendet die Felder vom CSV, wenn möglich'),
('de', 'infolog', 'use search results', 'Verwendet die Suchergebnisse'),
('de', 'infolog', 'use this tag for addresslabels. put the content, you want to repeat, between two tags.', 'Benutzern Sie diesen Platzhalter für Adressetiketten. Fügen Sie den Inhalt, den Sie wiederholen möchten zwischen zwei Platzhalter ein.'),
('de', 'infolog', 'unlinked from %1', 'Verknüpfung entfernt von %1'),
('de', 'infolog', 'upcoming', 'zukünftig'),
('de', 'infolog', 'urgency', 'Priorität'),
('de', 'infolog', 'urgent', 'Dringend'),
('de', 'infolog', 'use all', 'Alle Einträge'),
('de', 'infolog', 'unlink', 'Verknüpfung lösen'),
('de', 'infolog', 'type of the log-entry: note, phonecall or todo', 'Typ des Eintrags: Notiz, Anruf oder Auftrag'),
('de', 'infolog', 'type of customfield', 'Typ des benutzerdefinierten Feldes'),
('de', 'infolog', 'type', 'Typ'),
('de', 'infolog', 'type ...', 'Typ ...'),
('de', 'infolog', 'typ', 'Typ'),
('de', 'infolog', 'typ ''%1'' already exists !!!', 'Typ ''%1'' existiert bereits !!!'),
('de', 'infolog', 'translation', 'Übersetzung'),
('de', 'infolog', 'todays date', 'heutiges Datum'),
('de', 'infolog', 'todo', 'Aufgabe'),
('de', 'infolog', 'to what should the startdate of new entries be set.', 'Auf was soll das Startdatum von neuen Einträgen gesetzt werden.'),
('de', 'infolog', 'today', 'Heute'),
('de', 'infolog', 'times', 'Zeiten'),
('de', 'infolog', 'to many might exceed your execution-time-limit', 'zu viel können Ihre Laufzeitbeschränkung überschreiten'),
('de', 'infolog', 'til when should the todo or phonecall be finished', 'bis wann soll der Auftrag oder Anruf erledigt sein'),
('de', 'infolog', 'this is the filter infolog uses when you enter the application. filters limit the entries to show in the actual view. there are ', 'Das ist der Filter, den InfoLog benutzt wenn es das erste mal aufgerufen wird. Filter beschränken die aktuelle Anzeige. Es gibt Filter um nur beendete, offene oder zukünftige Einträge von Ihnen oder allen Benutzern anzuzeigen.'),
('de', 'infolog', 'the text displayed to the user', 'der Text der dem Benutzer angezeigt wird'),
('de', 'infolog', 'the name used internaly (<= 20 chars), changeing it makes existing data unavailible', 'der Name wird intern benutzt (<= 20 Zeichen), wenn er geändert wird, werden existierende Daten unzugänglich'),
('de', 'infolog', 'task', 'Aufgabe'),
('de', 'infolog', 'tasks of', 'Aufgaben von'),
('de', 'infolog', 'template', 'Vorlage'),
('de', 'infolog', 'test import (show importable records <u>only</u> in browser)', 'Test Import (zeige importierbare Datensätze <u>nur</u> im Browser)'),
('de', 'infolog', 'the name used internaly (<= 10 chars), changeing it makes existing data unavailible', 'der Name wird intern benutzt (<= 10 Zeichen), wenn er geändert wird, werden existierende Daten unzugänglich'),
('de', 'infolog', 'subject', 'Titel'),
('de', 'infolog', 'sum', 'Summe'),
('de', 'infolog', 'tag to mark positions for address labels', 'Platzhalter, um die Position der Adresslabels festzulegen'),
('de', 'infolog', 'sub-entries will not be closed', 'Untereinträge werden nicht geschlossen'),
('de', 'infolog', 'sub', 'Unter-<br />einträge'),
('de', 'infolog', 'sub-entries become subs of the parent or main entries, if there''s no parent', 'Untereinträge gehören dann zum übergeordneten Eintrag oder werden Haupteinträge wenn es keinen übergeordneten gibt.'),
('de', 'infolog', 'status ...', 'Status ...'),
('de', 'infolog', 'status', 'Status'),
('de', 'infolog', 'starting %1', '%1 startet'),
('de', 'infolog', 'startrecord', 'Startdatensatz'),
('de', 'infolog', 'startdate for new entries', 'Startdatum für neue Einträge'),
('de', 'infolog', 'startdate', 'Startdatum'),
('de', 'infolog', 'startdate enddate', 'Startdatum Fälligkeitsdatum'),
('de', 'infolog', 'start a new search, cancel this link', 'eine neue Suche starten, diese Verknüpfung abbrechen'),
('de', 'infolog', 'start', 'Start'),
('de', 'infolog', 'small view', 'schmale Ansicht'),
('de', 'infolog', 'show times', 'Zeiten anzeigen'),
('de', 'infolog', 'show ticket id', 'Ticketnummer anzeigen'),
('de', 'infolog', 'show status and percent done separate', 'Status und Prozent erledigt separat anzeigen'),
('de', 'infolog', 'show last modified', 'Zuletzt geändert anzeigen'),
('de', 'infolog', 'show in the infolog list', 'In der InfoLog Liste anzeigen'),
('de', 'infolog', 'show full usernames', 'Kompletten Benutzernamen anzeigen'),
('de', 'infolog', 'show a x if content equals this compare value, otherwise show nothing', 'zeigt ein X an, wenn der Inhalt mit dem  Vergleichswert übereinstimmt, ansonsten erfolgt keine Anzeige.'),
('de', 'infolog', 'show a column for used and planned times in the list.', 'Zeige eine Spalte für benutzte und geplante Zeiten in der List.'),
('de', 'infolog', 'should this entry only be visible to you and people you grant privat access via the acl', 'soll dieser Eintrag nur sichtbar sein für Sie und Personen denen Sie privaten Zugriff über die ACL erlaubt haben'),
('de', 'infolog', 'should the infolog list show the percent done only for status ongoing or two separate icons.', 'Soll die InfoLog Liste Prozent erledigt nur für den Status "in Arbeit" anzeigen oder zwei separate Icons.'),
('de', 'infolog', 'should the infolog list show the column "last modified".', 'Soll die InfoLog Liste die Spalte "Zuletzt geändert" anzeigen.'),
('de', 'infolog', 'should the infolog list show a unique numerical id, which can be used eg. as ticket id.', 'Soll die InfoLog Liste eine eindeutige Nummer anzeigen, die z.B. als Ticketnummer verwendet werden kann.'),
('de', 'infolog', 'should infolog use full names (surname and familyname) or just the loginnames.', 'Soll InfoLog den vollen Namen (Vor- und Familienname) oder nur die Benutzerkennung verwenden.'),
('de', 'infolog', 'should infolog show up on the main screen and with which filter. works only if you dont selected an application for the main scr', 'Soll InfoLog auf der Startseite angezeigt werden und mit welchem Filter. Funktioniert nur, wenn Sie keine (einzelne) Anwendung für die Startseite ausgewählt haben (in Ihren Einstellungen).'),
('de', 'infolog', 'should infolog show the links to other applications and/or the file-attachments in the infolog list (normal view when you enter ', 'Soll InfoLog die Verknüpfungen zu anderen Anwendungen und/oder die Datei-Anhänge in der InfoLog Liste (normale Ansicht wenn InfoLog aufgerufen wird) anzeigen.'),
('de', 'infolog', 'sets the status of this entry to done', 'Setzt den Status für diesen InfoLog auf erledigt'),
('de', 'infolog', 'should infolog show subtasks, -calls or -notes in the normal view or not. you can always view the subs via there parent.', 'Soll InfoLog Untereinträge in der normalen Ansicht anzeigen oder nicht. Sie können die Untereinträge immer über deren Haupteintrag anzeigen.'),
('de', 'infolog', 'sets the status of this entry and its subs to done', 'Setzt den Status dieses Eintrags und seiner Untereinträge auf erledigt'),
('de', 'infolog', 'set status to done for all entries', 'Status für alle Einträge auf erledigt setzen'),
('de', 'infolog', 'set status to done', 'Status auf erledigt setzen'),
('de', 'infolog', 'sender', 'Absender'),
('de', 'infolog', 'selection cf', 'Auswahl für CF'),
('de', 'infolog', 'select users or groups', 'Wählen Sie Benutzer oder Gruppen aus'),
('de', 'infolog', 'select to filter by responsible', 'Verantwortlichen zum Filtern auswählen'),
('de', 'infolog', 'select to filter by owner', 'Besitzer zum Filtern auswählen'),
('de', 'infolog', 'select new category', 'Wählen Sie eine Kategorie'),
('de', 'infolog', 'select multiple contacts for a further action', 'Wählen Sie mehrere Kontakte für eine weitere Aktion aus.'),
('de', 'infolog', 'select an app to search in', 'eine Anwendung zum Durchsuchen auswählen'),
('de', 'infolog', 'select an entry to link with', 'einen Eintrag zum Verknüpfen auswählen'),
('de', 'infolog', 'select an action', 'Befehl oder Aktion auswählen'),
('de', 'infolog', 'select an action...', 'Befehl oder Aktion auswählen...'),
('de', 'infolog', 'select a typ to edit it''s status-values or delete it', 'einen Type auswählen um seine Statuswerte zu ändern oder ihn zu löschen'),
('de', 'infolog', 'select a responsible user: a person you want to delegate this task', 'Verantwortlichen auswählen: Person(en) der Sie diese Aufgabe delegieren wollen'),
('de', 'infolog', 'select a project', 'Projekt auswählen'),
('de', 'infolog', 'select a priority for this task', 'eine Priorität für diesen Eintrag auswählen'),
('de', 'infolog', 'select a price', 'Preis auswählen'),
('de', 'infolog', 'select a category for this entry', 'eine Kategorie für diesen Eintrag auswählen'),
('de', 'infolog', 'select', 'Auswählen'),
('de', 'infolog', 'second parameter for preg_replace', '2. Parameter für preg_replace'),
('de', 'infolog', 'search', 'Suchen'),
('de', 'infolog', 'search for:', 'Suchen nach:'),
('de', 'infolog', 'saves this entry', 'diesen Eintrag speichern'),
('de', 'infolog', 'save', 'Speichern'),
('de', 'infolog', 'saves the changes made and leaves', 'speichert die Änderungen und beendet'),
('de', 'infolog', 'same day', 'gleichen Tag'),
('de', 'infolog', 'rights for the responsible', 'Rechte für den Verantwortlichen'),
('de', 'infolog', 'responsible user, priority', 'Verantwortlicher, Priorität'),
('de', 'infolog', 'returns a list / search for records.', 'Liefert eine Liste von / sucht nach Datensätzen.'),
('de', 'infolog', 'responsible upcoming', 'verantwortlich zukünftig'),
('de', 'infolog', 'responsible overdue', 'verantwortlich überfällig'),
('de', 'infolog', 'responsible', 'verantwortlich'),
('de', 'infolog', 'responsible open', 'verantwortlich offen'),
('de', 'infolog', 'responsible open and upcoming', 'verantwortlich offene und zukünftige'),
('de', 'infolog', 'removed', 'Entfernt'),
('de', 'infolog', 'replacement', 'Platzhalter'),
('de', 'infolog', 'replacements for inserting entries into documents', 'Platzhalter für das Einfügen in Dokumente'),
('de', 'infolog', 'remove this link (not the entry itself)', 'Diese Verknüpfung lösen (nicht den Eintrag selbst)'),
('de', 'infolog', 'regular expression', 'Reguläre Ausdrücke'),
('de', 'infolog', 'remark', 'Bemerkung'),
('de', 'infolog', 'receive notifications as html-mails', 'Benachrichtigungen als HTML Mails'),
('de', 'infolog', 'receive notifications about starting entries you delegated', 'Benachrichtigungen über zu startende Einträge die Sie delegiert haben'),
('de', 'infolog', 'receive notifications about starting entries you are responsible for', 'Benachrichtigungen über zu startende Einträge für die Sie verantwortlich sind'),
('de', 'infolog', 'receive notifications about own items', 'Benachrichtigungen über eigene Einträge'),
('de', 'infolog', 'receive notifications about items assigned to you', 'Benachrichtigungen über Einträge für die Sie verantwortlich sind'),
('de', 'infolog', 'receive notifications about due entries you delegated', 'Benachrichtigungen über fällige Einträge die Sie delegiert haben'),
('de', 'infolog', 'read rights (default)', 'Leserechte (Vorgabe)'),
('de', 'infolog', 'receive notifications about due entries you are responsible for', 'Benachrichtigungen über fällige Einträge für die Sie verantwortlich sind'),
('de', 'infolog', 're:', 'Re:'),
('de', 'infolog', 'read one record by passing its id.', 'Einen Datensatz spezifiziert durch seine id lesen.'),
('de', 'infolog', 're-planned time', 'Umgeplante Zeit'),
('de', 'infolog', 're-planned', 'Umgeplant'),
('de', 'infolog', 'projectmanager', 'Projektmanager'),
('de', 'infolog', 'project settings: price, times', 'Einstellungen zum Projekt: Preis, Zeiten'),
('de', 'infolog', 'project', 'Projekt'),
('de', 'infolog', 'private', 'Privat'),
('de', 'infolog', 'priority', 'Priorität'),
('de', 'infolog', 'primary link', 'Primäre Verknüpfung'),
('de', 'infolog', 'pricelist', 'Preisliste'),
('de', 'infolog', 'planned time', 'geplante Zeit'),
('de', 'infolog', 'price', 'Preis'),
('de', 'infolog', 'planned', 'geplant'),
('de', 'infolog', 'phonecall', 'Telefonanruf'),
('de', 'infolog', 'phone/email', 'Telefon/E-Mail'),
('de', 'infolog', 'phone', 'Anruf'),
('de', 'infolog', 'permissions error - %1 could not %2', 'Fehler in den Zugriffsberechtigungen - %1 nicht möglich %2'),
('de', 'infolog', 'permission denied', 'Zugriff verweigert'),
('de', 'infolog', 'percent completed', 'Prozent erledigt'),
('de', 'infolog', 'pattern for search in projects', 'Muster für Suche des Projekts'),
('de', 'infolog', 'pattern for search in addressbook', 'Muster für Suche im Adressbuch'),
('de', 'infolog', 'path to user and group files has to be outside of the webservers document-root!!!', 'Pfad zu Benutzer- und Gruppen-Dateien MUSS AUSSERHALB des Wurzelverzeichnisses des Webservers (document-root) liegen!!!'),
('de', 'infolog', 'path on (web-)serverside<br>eg. /var/samba/share', 'Pfad auf (Web-)Server<br>z.B. /var/samba/Share'),
('de', 'infolog', 'parent infolog', 'Übergeordneter InfoLog'),
('de', 'infolog', 'parent', 'Elterneintrag'),
('de', 'infolog', 'owner does not have edit rights', 'Der Besitzer dieses Datensatzes benötigt Bearbeitungsrechte'),
('de', 'infolog', 'own upcoming', 'eigene zukünftig'),
('de', 'infolog', 'own overdue', 'eigene überfällig'),
('de', 'infolog', 'own open and upcoming', 'eigene offene und zukünftige'),
('de', 'infolog', 'own', 'eigene'),
('de', 'infolog', 'own open', 'eigene offen'),
('de', 'infolog', 'overdue', 'überfällig'),
('de', 'infolog', 'organization', 'Organisation'),
('de', 'infolog', 'optional note to the link', 'zusätzliche Notiz zur Verknüpfung'),
('de', 'infolog', 'order', 'Reihenfolge'),
('de', 'infolog', 'open and upcoming', 'zukünftige und offene'),
('de', 'infolog', 'only the attachments', 'nur die Anhänge'),
('de', 'infolog', 'only the links', 'nur die Verknüpfungen'),
('de', 'infolog', 'only if i get assigned or removed', 'Nur wenn ich zugewiesen oder entfernt werde'),
('de', 'infolog', 'only for details', 'Nur bei Details'),
('de', 'infolog', 'ongoing', 'in Arbeit'),
('de', 'infolog', 'one day in advance', 'am Vortag'),
('de', 'infolog', 'one day after', 'am nächsten Tag'),
('de', 'infolog', 'offer', 'Angebot'),
('de', 'infolog', 'number of row for a multiline inputfield or line of a multi-select-box', 'Anzahl Zeilen für ein mehrzeiliges Eingabefeld oder eines mehrfachen Auswahlfeldes'),
('de', 'infolog', 'not-started', 'nicht gestartet'),
('de', 'infolog', 'note', 'Notiz'),
('de', 'infolog', 'number of records to read (%1)', 'Anzahl Datensätze lesen (%1)'),
('de', 'infolog', 'not assigned', 'nicht zugewiesen'),
('de', 'infolog', 'not', 'nicht'),
('de', 'infolog', 'none', 'keine'),
('de', 'infolog', 'normal', 'normal'),
('de', 'infolog', 'nonactive', 'Nicht aktiv'),
('de', 'infolog', 'no project', 'Kein Projekt'),
('de', 'infolog', 'no filter', 'kein Filter'),
('de', 'infolog', 'no links or attachments', 'keine Verknüpfungen oder Anhänge'),
('de', 'infolog', 'no entries found, try again ...', 'Kein Einträge gefunden, nochmal versuchen ...'),
('de', 'infolog', 'no details', 'Keine Details'),
('de', 'infolog', 'no describtion, links or attachments', 'Keine Beschreibung, Verknüpfungen oder Anhänge'),
('de', 'infolog', 'no - cancel', 'Nein - Abbruch'),
('de', 'infolog', 'new search', 'Neue Suche'),
('de', 'infolog', 'new name', 'neuer Name'),
('de', 'infolog', 'new %1 created by %2 at %3', 'Neue %1 wurde von %2 am %3 angelegt'),
('de', 'infolog', 'new %1', 'Neue %1'),
('de', 'infolog', 'never hide search and filters', 'Suche und Filter niemals ausblenden'),
('de', 'infolog', 'name of new type to create', 'Name des neu anzulegenden Typs'),
('de', 'infolog', 'name of current user, all other contact fields are valid too', 'Name des aktiven Benutzers, all anderen Kontakt Felder sind weiterhin gültig'),
('de', 'infolog', 'modifierer', 'Geändert von'),
('de', 'infolog', 'name must not be empty !!!', 'Name darf nicht leer sein !!!'),
('de', 'infolog', 'modifier', 'Geändert von'),
('de', 'infolog', 'max length of the input [, length of the inputfield (optional)]', 'max. Länge der Eingabe [, Länge des Eingabefeldes (optional)]'),
('de', 'infolog', 'manage mapping', 'Feld-Zuweisung bearbeiten'),
('de', 'infolog', 'low', 'niedrig'),
('de', 'infolog', 'list all categories', 'Alle Kategorien anzeigen'),
('de', 'infolog', 'list no subs/childs', 'Untereinträge nicht anzeigen'),
('de', 'infolog', 'location', 'Ort'),
('de', 'infolog', 'longer textual description', 'längere textliche Beschreibung'),
('de', 'infolog', 'links of this entry', 'Verknüpfungen dieses Eintrags'),
('de', 'infolog', 'links', 'Verknüpfungen'),
('de', 'infolog', 'link', 'Verknüpfung'),
('de', 'infolog', 'linked to %1', 'Verknüpft mit %1'),
('de', 'infolog', 'limit number of description lines (default 5, 0 for no limit)', 'Begrenze Anzahl Beschreibungszeilen (Vorgabe 5, 0 für keine Grenze)'),
('de', 'infolog', 'limit width of description column ((effective only if lines limit is set), 0 for no limit)', 'Beschränkt die Breite der Spalte Beschreibung. Setzten Sie den Wert 0, für kein Limit.'),
('de', 'infolog', 'leave without saveing the entry', 'Abbruch ohne den Eintrag zu speichern'),
('de', 'infolog', 'leaves without saveing', 'Abbruch ohne speichern'),
('de', 'infolog', 'length<br>rows', 'Länge<br />Zeilen'),
('de', 'infolog', 'leave it empty', 'leer lassen'),
('de', 'infolog', 'leave it empty for a full week', 'leer lassen, für eine gesamte Woche'),
('de', 'infolog', 'label<br>helptext', 'Beschriftung<br>Hilfetext'),
('de', 'infolog', 'last changed', 'letzte Änderung'),
('de', 'infolog', 'last modified', 'zuletzt geändert'),
('de', 'infolog', 'leave blank to get the used time calculated by timesheet entries', 'Leer lassen um die Zeit nach den Stundenzetteln zu bekommen'),
('de', 'infolog', 'invalid status for entry type %1.', 'Ungültiger Status für den eingegebenen Typ %1'),
('de', 'infolog', 'invalid owner id: %1.  might be a bad field translation.  used %2 instead.', 'Ungültige Eigentümer ID: %1. Ist möglicher Weise eine falsche Feld Übersetzung. Es wird %2 anstatt dem ursprünglichen Wert verwendet.'),
('de', 'infolog', 'insert in document', 'In ein Dokument einfügen'),
('de', 'infolog', 'invalid filename', 'Ungültiger Dateiname'),
('de', 'infolog', 'infolog list', 'InfoLog Liste'),
('de', 'infolog', 'infolog-fieldname', 'InfoLog-Feldname'),
('de', 'infolog', 'insert', 'einfügen'),
('de', 'infolog', 'infolog id', 'InfoLog ID'),
('de', 'infolog', 'infolog filter for the main screen', 'InfoLog Filter für Startseite'),
('de', 'infolog', 'infolog fields:', 'InfoLog Felder'),
('de', 'infolog', 'infolog entry saved', 'InfoLog Eintrag gespeichert'),
('de', 'infolog', 'infolog csv import', 'InfoLog CSV Import'),
('de', 'infolog', 'infolog entry deleted', 'InfoLog Eintrag gelöscht'),
('de', 'infolog', 'infolog csv export', 'InfoLog CSV Export'),
('de', 'infolog', 'infolog - subprojects from', 'InfoLog - Teilprojekte von'),
('de', 'infolog', 'infolog copied - the copy can now be edited', 'InfoLog Kopie - Diese Kopie kann jetzt bearbeitet werden'),
('de', 'infolog', 'infolog - new subproject', 'InfoLog - Anlegen Teilprojekt'),
('de', 'infolog', 'infolog - new', 'InfoLog - Anlegen'),
('de', 'infolog', 'infolog - edit', 'InfoLog - Bearbeiten'),
('de', 'infolog', 'infolog - import csv-file', 'InfoLog - Import CSV-Datei'),
('de', 'infolog', 'infolog - delete', 'InfoLog - Löschen'),
('de', 'infolog', 'imports entries into the infolog from a csv file. csv means ''comma seperated values''. however in the options tab you can also ch', 'Importiert Einträge in das Infolog Modul aus einer CSV Datei (Komma getrennte Werte).'),
('de', 'infolog', 'import next set', 'Nächsten Satz importieren'),
('de', 'infolog', 'importance', 'Wichtigkeit'),
('de', 'infolog', 'import', 'Importieren'),
('de', 'infolog', 'if you specify an export definition, it will be used when you export', 'Wählen Sie eine Export Definition für den Export.'),
('de', 'infolog', 'if you specify a document (full vfs path) here, infolog displays an extra document icon for each entry. that icon allows to down', 'Wenn Sie hier ein Verzeichnis angeben (kompletter Pfad des VFS), erstellt das Infolog eine Aktion zum Einfügen der Infolog Daten für jeden Dokument.'),
('de', 'infolog', 'if you specify a directory (full vfs path) here, infolog displays an action for each document. that action allows to download th', 'Wenn Sie hier ein Verzeichnis angeben (kompletter Pfad des VFS), erstellt das Infolog eine Aktion zum Einfügen der Infolog Daten für jeden Dokument.'),
('de', 'infolog', 'if not set, the line with search and filters is hidden for less entries then "max matches per page" (as defined in your common p', 'Falls nicht gesetzt, wird die Suche und die Filter ausgeblendet für weniger Einträge als "maximale Treffer pro Seite" (in ihren allgemeinen Einstellungen definiert).'),
('de', 'infolog', 'if a type has a group owner, all entries of that type will be owned by the given group and not the user who created it!', 'Wenn ein Typ einen Gruppeneigentümer hat, gehören alle Einträge dieses Typs der angegebenen Gruppe und NICHT dem Benutzer der sie angelegt hat!'),
('de', 'infolog', 'id', 'Id'),
('de', 'infolog', 'id#', 'Id#'),
('de', 'infolog', 'how wide should the description area be. this value is numeric and interpreted as em; 60 works reasonably well.', 'Wie breit darf das Beschreibungsfeld sein. Sie können hier einen nummerischen Wert eintragen.'),
('de', 'infolog', 'history logging and deleting of items', 'Protokollierung der Historie und löschen von Einträgen'),
('de', 'infolog', 'how many describtion lines should be directly visible. further lines are available via a scrollbar.', 'Wie viele Zeilen der Beschreibung sollen direkt sichtbar sein. Zusätzliche Zeilen können über einen Rollbalken erreicht werden.'),
('de', 'infolog', 'history logging', 'Protokollierung der Historie'),
('de', 'infolog', 'high', 'hoch'),
('de', 'infolog', 'history', 'Historie'),
('de', 'infolog', 'group owner for', 'Gruppeneigentümer für'),
('de', 'infolog', 'general fields:', 'Allgemeine Felder:'),
('de', 'infolog', 'global categories', 'Globale Kategorien'),
('de', 'infolog', 'general', 'Allgemein'),
('de', 'infolog', 'from', 'Von'),
('de', 'infolog', 'for which types should this field be used', 'für welche Typen soll dieses Feld benutzt werden'),
('de', 'infolog', 'for serial letter use this tag. put the content, you want to repeat between two tags.', 'Für Serienbriefe benutzen Sie folgenden Platzhalter. Fügen die den Inhalt zwischen diese beiden Platzhalter ein.'),
('de', 'infolog', 'first argument for preg_replace', 'Ersten Argument für pre_replace'),
('de', 'infolog', 'finish', 'wenn erledigt'),
('de', 'infolog', 'fieldseparator', 'Feldbegrenzer'),
('de', 'infolog', 'fax', 'Fax'),
('de', 'infolog', 'field must not be empty !!!', 'Feld darf nicht leer sein !!!'),
('de', 'infolog', 'exports infolog entries into a csv file.', 'Exportiert InfoLog Einträge in einen CSV Datei.'),
('de', 'infolog', 'exists', 'Besteht'),
('de', 'infolog', 'export definitition to use for nextmatch export', 'Export Profil der Listenansicht  (Disketten Symbol)'),
('de', 'infolog', 'existing links', 'Bestehende Verknüpfungen'),
('de', 'infolog', 'execute a further action for this entry', 'Eine weitere Aktion für diesen Eintrag ausführen'),
('de', 'infolog', 'example {{nelfnv role}} - if field role is not empty, set a lf without any value of the field', 'Beispiel {{NELFNV role}} -Erzeugt einen Zeilenumbruch, wenn das Feld role (Funktion) einen Wert besitzt. Der Wert role (Funktion) wird auch bei Vorhandensein des Feldes role nicht ausgegeben.'),
('de', 'infolog', 'example {{nelf role}} - if field role is not empty, you will get a new line with the value of field role', 'Beispiel {{NELF role}} - Erzeugt einen Zeilenumbruch, wenn das Feld role nicht leer ist. Der Wert des Feldes role (Funktion) wird nach dem Zeilenumbruch ausgegeben.'),
('de', 'infolog', 'example {{letterprefixcustom n_prefix title n_family}} - example: mr dr. james miller', 'Beispiel für {{LETTERPREFIXCUSTOM n_prefix title n_family}} - Beispiel: Herr Dr. James Miller'),
('de', 'infolog', 'example {{if n_prefix~mr~hello mr.~hello ms.}} - search the field "n_prefix", for "mr", if found, write hello mr., else write he', 'Beispiel: "{{IF n_prefix~Herr~Sehr geehrter~Sehr geehrte}}" - suche in dem Feld "n_prefix" nach "Herr", wenn gefunden, schreibe "Sehr geehrter", wenn nicht gefunden schreibe "Sehr geehrte". Es ist auch möglich anstatt fixer Werte, den Wert eines andren Feldes zu übernehmen. Beispiel (Land wird nur dann angezeigt, denn es nicht DEUTSCHLAND ist: }'),
('de', 'infolog', 'error: the entry has been updated since you opened it for editing!', 'Fehler: der Eintrag wurde geändert seit Sie ihn zum Bearbeiten geöffnet haben!'),
('de', 'infolog', 'error: saving the entry', 'Fehler: beim Speichern des Eintrags'),
('de', 'infolog', 'entry and all files', 'Eintrag und alle Dateien'),
('de', 'infolog', 'enter the query pattern', 'geben Sie ein Suchmuster ein'),
('de', 'infolog', 'enter a textual description of the log-entry', 'geben Sie eine textliche Beschreibung des Eintrags ein'),
('de', 'infolog', 'enter a custom phone/email, leave empty if linked entry should be used', 'benutzerdefinierte Telefonnummer/E-Mail-Adresse, leer lassen um die Daten der Verknüpfung zu verwenden'),
('de', 'infolog', 'enter a custom contact, leave empty if linked entry should be used', 'benutzerdefinierter Kontakt, leer lassen um die Daten der Verknüpfung zu verwenden'),
('de', 'infolog', 'enddate can not be before startdate', 'Das Fälligkeitsdatum kann nicht vor dem Startdatum liegen'),
('de', 'infolog', 'enddate', 'Fällig am'),
('de', 'infolog', 'end', 'Ende'),
('de', 'infolog', 'empty for all', 'leer für alle'),
('de', 'infolog', 'edit this entry', 'diesen Eintrag bearbeiten'),
('de', 'infolog', 'edit the entry', 'Eintrag bearbeiten'),
('de', 'infolog', 'edit status', 'Status ändern'),
('de', 'infolog', 'edit rights (full edit rights incl. making someone else responsible!)', 'Bearbeitungsrechte (komplettes Bearbeiten einschl. jemand anderen dafür verantwortlich machen!)'),
('de', 'infolog', 'edit or create categories for ingolog', 'Kategorien für InfoLog bearbeiten oder neu anlegen'),
('de', 'infolog', 'edit', 'Bearbeiten'),
('de', 'infolog', 'each value is a line like <id>[=<label>]', 'jeder Wert ist eine Zeile im Format id=[angezeigter Wert]'),
('de', 'infolog', 'e-mail:', 'E-Mail'),
('de', 'infolog', 'download', 'Datei laden'),
('de', 'infolog', 'due %1', '%1 fällig'),
('de', 'infolog', 'duration', 'Dauer'),
('de', 'infolog', 'don''t show infolog', 'InfoLog NICHT anzeigen'),
('de', 'infolog', 'document ''%1'' does not exist or is not readable for you!', 'Das Dokument ''%1'' steht nicht zur Verfügung, oder ist für Sie nicht lesbar!'),
('de', 'infolog', 'do you want to receive notifications as html-mails or plain text?', 'Wollen Sie die Benachrichtigungen als HTML Mail oder reinen Text empfangen?'),
('de', 'infolog', 'do you want a notification, if items you delegated are due?', 'Wollen Sie eine Benachrichtigung, wenn Einträge die Sie delegiert haben fällig werden?'),
('de', 'infolog', 'do you want a notification, if items you delegated are about to start?', 'Wollen Sie eine Benachrichtigung, wenn Einträge die Sie delegiert haben beginnen sollen?'),
('de', 'infolog', 'do you want a notification, if items you created get updated?', 'Wollen Sie eine Benachrichtigung, wenn Einträge die Sie angelegt haben aktualisiert werden?'),
('de', 'infolog', 'do you want a notification, if items you are responsible for are due?', 'Wollen Sie eine Benachrichtigung, wenn Einträge für die Sie verantwortlich sind fällig werden?'),
('de', 'infolog', 'do you want a notification, if items you are responsible for are about to start?', 'Wollen Sie eine Benachrichtigung, wenn Einträge für die Sie verantwortlich sind beginnen sollen?'),
('de', 'infolog', 'do you want a notification, if items get assigned to you or assigned items get updated?', 'Wollen Sie eine Benachrichtigung, wenn Einträge Ihnen zugewiesen werden oder zugewiesene Einträge geändert werden?'),
('de', 'infolog', 'do you want a confirmation of the responsible on: accepting, finishing the task or both', 'Wollen Sie eine Bestätigung des Verantwortlichen bei: Annahme, Beendigung der Aufgabe oder bei beidem'),
('de', 'infolog', 'do not notify of these changes', 'Keine Benachrichtigung senden'),
('de', 'infolog', 'disables a status without deleting it', 'deaktiviert einen Status ohne ihn zu löschen'),
('de', 'infolog', 'directory with documents to insert entries', 'Verzeichnis mit Dokumenten zum Einfügen von InfoLogs'),
('de', 'infolog', 'deletes this field', 'löscht dieses Feld'),
('de', 'infolog', 'deletes this status', 'löscht diesen Status'),
('de', 'infolog', 'description', 'Beschreibung'),
('de', 'infolog', 'determines the order the fields are displayed', 'legt die Reihenfolge fest in der die Felder angezeigt werden'),
('de', 'infolog', 'deletes the selected typ', 'löscht den ausgewählten Typ'),
('de', 'infolog', 'deleted', 'gelöscht'),
('de', 'infolog', 'delete this entry and all listed sub-entries', 'Diesen Eintrag und all aufgelisteten Untereinträge löschen'),
('de', 'infolog', 'delete the entry', 'Eintrag löschen'),
('de', 'infolog', 'delete selected entries?', 'Sollen die ausgewählten Datensätze gelöscht werden?'),
('de', 'infolog', 'delete one record by passing its id.', 'Einen Datensatz spezifiziert durch seine ID löschen.'),
('de', 'infolog', 'delegation', 'Delegation'),
('de', 'infolog', 'delete', 'Löschen'),
('de', 'infolog', 'delegated overdue', 'delegiert überfällig'),
('de', 'infolog', 'delegated upcomming', 'delegiert zukünftig'),
('de', 'infolog', 'delegated open and upcoming', 'delegiert offene und zukünftige'),
('de', 'infolog', 'delegated open', 'delegiert offen'),
('de', 'infolog', 'default status for a new log entry', 'Vorgabe für den Status eines neuen Eintrags'),
('de', 'infolog', 'delegated', 'delegiert'),
('de', 'infolog', 'default filter for infolog', 'Standard-Filter für InfoLog'),
('de', 'infolog', 'default document to insert entries', 'Standarddokument zum Einfügen von Infologs'),
('de', 'infolog', 'default category for new infolog entries', 'Vorgabe Kategorie für neue InfoLog Einträge'),
('de', 'infolog', 'dates, status, access', 'Daten, Status, Zugriff'),
('de', 'infolog', 'days', 'Tage'),
('de', 'infolog', 'datecreated', 'Erstellt am'),
('de', 'infolog', 'date completed (leave it empty to have it automatic set if status is done or billed)', 'Fertigstellungsdatum (leer lassen um es automatisch zu setzen wenn der Status erledigt oder abgerechnet ist)'),
('de', 'infolog', 'date completed', 'Erledigt am'),
('de', 'infolog', 'customfields', 'Benutzerdefinierte Felder'),
('de', 'infolog', 'custom status for typ', 'Benutzerdefinierter Status für Typ'),
('de', 'infolog', 'custom regarding', 'Benutzerdefinierter Bezug'),
('de', 'infolog', 'custom from', 'Benutzerdefinierter  Kontakt'),
('de', 'infolog', 'custom fields', 'Benutzerdefinierte Felder'),
('de', 'infolog', 'custom contact-information, leave emtpy to use information from most recent link', 'benutzerdefinierte Kontaktinformationen, leer lassen um die Daten der Verknüpfung zu verwenden'),
('de', 'infolog', 'custom contact-address, leave empty to use information from most recent link', 'benutzerdefinierte Kontaktadresse, leer lassen um die Daten der Verknüpfung zu verwenden'),
('de', 'infolog', 'creation', 'Erstellung'),
('de', 'infolog', 'csv-fieldname', 'CSV-Feldname'),
('de', 'infolog', 'csv-filename', 'CSV-Dateiname'),
('de', 'infolog', 'custom', 'Benutzerdefiniert'),
('de', 'infolog', 'creates a new typ with the given name', 'erstellt einen neuen Typ mit dem eingegebenen Namen'),
('de', 'infolog', 'creates a new status with the given values', 'erstellt einen neuen Status mit den angegebenen Werten'),
('de', 'infolog', 'creates a new field', 'erstellt ein neues Feld'),
('de', 'infolog', 'create new links', 'Neue Verknüpfung erzeugen'),
('de', 'infolog', 'copy of:', 'Kopie von:'),
('de', 'infolog', 'copy your changes to the clipboard, %1reload the entry%2 and merge them.', 'Kopieren Sie ihre Änderungen in die Zwischenablage, %1laden den Eintrag neu%2 und fügen diese wieder ein.'),
('de', 'infolog', 'contactfield', 'Kontaktfelder'),
('de', 'infolog', 'contact cf', 'Kontakt CF'),
('de', 'infolog', 'contact fields', 'Kontaktfelder'),
('de', 'infolog', 'contact', 'Kontakt'),
('de', 'infolog', 'confirm', 'Bestätigung'),
('de', 'infolog', 'completed', 'Erledigt'),
('de', 'infolog', 'configuration', 'Konfiguration'),
('de', 'infolog', 'compare', 'vergleichen'),
('de', 'infolog', 'comment', 'Kommentar'),
('de', 'infolog', 'closed', 'geschlossen'),
('de', 'infolog', 'colon (:) separated list of field names to use if value is empty or to sum up', 'Spalte (:) Liste von Feldnamen, die für eine Summierung verwendet werden können'),
('de', 'infolog', 'close this entry and all listed sub-entries', 'Diesen Eintrag und alle Untereinträge schliessen'),
('de', 'infolog', 'close all', 'Alle schließen'),
('de', 'infolog', 'close', 'Schließen'),
('de', 'infolog', 'click here to start the search', 'hier klicken um die Suche zu starten'),
('de', 'infolog', 'choose owner of imported data', 'Wählen Sie den Eigentümer der Importierten Daten'),
('de', 'infolog', 'click here to create the link', 'hier klicken um die Verknüpfung zu erzeugen'),
('de', 'infolog', 'check to specify custom contact', 'Ankreuzen um einen eigenen Kontakt anzugeben'),
('de', 'infolog', 'check to set startday', 'ankreuzen um Startdatum zu setzen'),
('de', 'infolog', 'changed type', 'Typ geändert'),
('de', 'infolog', 'charset of file', 'Zeichensatz der Datei'),
('de', 'infolog', 'check all', 'Alle auswählen'),
('de', 'infolog', 'changed status to %1', 'Status geändert zu %1'),
('de', 'infolog', 'changed responsible', 'Zuständigkeit ändern'),
('de', 'infolog', 'changed completion to %1%', 'Erledigt geändert zu %1%'),
('de', 'infolog', 'changed category to %1', 'Kategorie geändert zu %1'),
('de', 'infolog', 'change type:', 'Infolog Typ ändern'),
('de', 'infolog', 'change the status of an entry, eg. close it', 'Status eines Eintrags ändern, z.B. Ihn als erledigt markieren'),
('de', 'infolog', 'change status:', 'Status ändern'),
('de', 'infolog', 'change responsible', 'Zuständigkeit ändern'),
('de', 'infolog', 'change owner when updating', 'Ändert den Benutzer bei bei diesem Änderungsvorgang'),
('de', 'infolog', 'change history', 'Änderungsverlauf'),
('de', 'infolog', 'change completed', 'Änderungen durchgeführt'),
('de', 'infolog', 'change completion', 'Bearbeitungsstatus ändern'),
('de', 'infolog', 'change category', 'Kategorie ändern'),
('de', 'infolog', 'category', 'Kategorie'),
('de', 'infolog', 'categories', 'Kategorien'),
('de', 'infolog', 'cancelled', 'abgesagt'),
('de', 'infolog', 'cancel', 'Abbruch'),
('de', 'infolog', 'can be used to show further infolog types in the calendar or limit it to show eg. only tasks.', 'Kann dazu benutzt werden um weitere InfoLog Typen im Kalender anzuzeigen oder zu begrenzen dass z.B. nur noch Aufgaben angezeigt werden.'),
('de', 'infolog', 'both', 'Annahme+erledigt'),
('de', 'infolog', 'call', 'anrufen'),
('de', 'infolog', 'billed', 'abgerechnet'),
('de', 'infolog', 'back to main list', 'Zurück zur Gesamtliste'),
('de', 'infolog', 'attach file', 'Datei anhängen'),
('de', 'infolog', 'attention: no contact with address %1 found.', 'Achtung: Kein Kontakt mit der Adresse %1 gefunden!'),
('de', 'infolog', 'attach a file', 'Datei anhängen'),
('de', 'infolog', 'at the moment the following document-types are supported:', 'Aktuell werden die folgenden Dokumenttypen unterstützt:'),
('de', 'infolog', 'are you shure you want to delete this entry ?', 'Wollen Sie diesen InfoLog wirklich löschen?'),
('de', 'infolog', 'apply the changes', 'Übernimmt die Änderungen'),
('de', 'infolog', 'archive', 'Archiviert'),
('de', 'infolog', 'are you shure you want to close this entry ?', 'Wollen Sie wirklich den InfoLog schliessen?'),
('de', 'infolog', 'apply the action on the whole query, not only the shown entries!!!', 'Wendet den Befehl auf die gesamte Abfrage an, NICHT nur auf die angezeigten Datensätze !!'),
('de', 'infolog', 'alternatives', 'Alternativen'),
('de', 'infolog', 'all', 'alle'),
('de', 'infolog', 'all links and attachments', 'alle Verknüpfungen und Anhänge'),
('de', 'infolog', 'all projects', 'Alle Projekte'),
('de', 'infolog', 'allows to set the status of an entry, eg. set a todo to done if it''s finished (values depend on entry-typ)', 'erlaubt den Status eines Eintrags zu setzen, z.B. eine Aufgabe auf erledigt wenn sie beendet ist (Werte hängen vom Type des Eintrags ab)'),
('de', 'infolog', 'add sub', 'neuen Untereintrag anlegen'),
('de', 'infolog', 'add timesheet entry', 'Stundenzettel Eintrag hinzufügen'),
('de', 'infolog', 'add:', 'Hinzufügen:'),
('de', 'infolog', 'added', 'Hinzugefügt'),
('de', 'infolog', 'add or delete links', 'Verknüpfungen hinzufügen oder löschen'),
('de', 'infolog', 'add file', 'Datei hinzufügen'),
('de', 'infolog', 'add a new todo', 'einen neuen Auftrag anlegen'),
('de', 'infolog', 'add a new sub-task, -note, -call to this entry', 'einen neuen Unterauftrag, -notiz, -anruf zu diesem Eintrag anlegen'),
('de', 'infolog', 'add a new phonecall', 'einen neuen Telefonanruf anlegen'),
('de', 'infolog', 'add a new note', 'eine neue Notiz anlegen'),
('de', 'infolog', 'add a new entry', 'einen neuen Eintrag anlegen'),
('de', 'infolog', 'add a file', 'Datei anhängen'),
('de', 'infolog', 'add', 'Hinzufügen'),
('de', 'infolog', 'add / remove link', 'Hinzufügen / Entfernen von Verknüpfungen'),
('de', 'infolog', 'actual date and time', 'aktuelles Datum und Uhrzeit'),
('de', 'infolog', 'actions...', 'Befehle...'),
('de', 'infolog', 'action', 'Befehle'),
('de', 'infolog', 'accept', 'bei Annahme'),
('de', 'infolog', 'abort without deleting', 'Abbruch ohne zu Löschen'),
('de', 'infolog', 'a short subject for the entry', 'einen kurzen Titel für diesen Eintrag'),
('de', 'infolog', '60%', '60%'),
('de', 'infolog', '70%', '70%'),
('de', 'infolog', '80%', '80%'),
('de', 'infolog', '90%', '90%'),
('de', 'infolog', '<b>file-attachments via symlinks</b> instead of uploads and retrieval via file:/path for direct lan-clients', '<b>Dateianhänge über Symlinks</b> anstatt sie hochzuladen und Zugriff mit file:/Pfad für lokale Benutzer'),
('de', 'infolog', '40%', '40%'),
('de', 'infolog', '50%', '50%'),
('de', 'infolog', '30%', '30%'),
('de', 'infolog', '20%', '20%'),
('de', 'infolog', '10%', '10%'),
('de', 'infolog', '100%', '100%'),
('de', 'infolog', '0%', '0%'),
('de', 'infolog', '- subprojects from', '- Untereinträge von'),
('de', 'infolog', '%1 you delegated is starting at %2', '%1 die Sie delegierten startet am %2'),
('de', 'infolog', '%1 you delegated is due at %2', '%1 die Sie delegierten ist am %2 fällig'),
('de', 'infolog', '%1 you are responsible for is starting at %2', '%1 für die Sie verantwortlich sind startet am %2'),
('de', 'infolog', '%1 you are responsible for is due at %2', '%1 für die Sie verantwortlich sind ist am %2 fällig'),
('de', 'infolog', '%1 records read (not yet imported, you may go %2back%3 and uncheck test import)', '%1 Datensätze gelesen (noch nicht importiert, sie können %2zurück%3 gehen und Test Import ausschalten)'),
('de', 'infolog', '%1 records imported', '%1 Datensätze importiert'),
('de', 'infolog', '%1 modified by %2 at %3', '%1 wurde von %2 am %3 geändert'),
('de', 'infolog', '%1 modified', '%1 geändert'),
('de', 'infolog', '%1 entries %2, %3 failed because of insufficent rights !!!', '%1 Einträge %2, %3 wegen fehlender Rechte!!!'),
('de', 'infolog', '%1 entries %2', '%1 Einträge %2'),
('de', 'infolog', '%1 deleted by %2 at %3', '%1 wurde von %2 am %3 gelöscht'),
('de', 'infolog', '%1 deleted', '%1 gelöscht'),
('de', 'infolog', '%1 days in advance', '%1 Tage im Voraus'),
('de', 'importexport', 'you need to select an app and format first!', 'Sie müssen zuerst eine Anwendung und ein Format auswählen'),
('de', 'importexport', 'which users are allowed to use this definition', 'Welche Benutzer dürfen die Definition benutzen?'),
('de', 'importexport', 'which useres are allowed for this definition', 'Welche Benutzer dürfen diese Definition verwenden?'),
('de', 'importexport', 'unable to schedule', 'Zeitplan nicht möglich'),
('de', 'importexport', 'unable to import:', 'Kein Import möglich'),
('de', 'importexport', 'select plugin', 'Plug-in auswählen'),
('de', 'importexport', 'some nice text', 'Ein schöner Text'),
('de', 'importexport', 'select definition', 'Definition auswählen'),
('de', 'importexport', 'save as definition', 'Als Definition speichern'),
('de', 'importexport', 'schedule not found', 'Kein Zeitplan gefunden');
INSERT INTO `egw_lang` (`lang`, `app_name`, `message_id`, `content`) VALUES
('de', 'importexport', 'preview', 'Vorschau'),
('de', 'importexport', 'previous', 'Zurück'),
('de', 'importexport', 'no records selected', 'Keine Datensätze ausgewählt'),
('de', 'importexport', 'next', 'Weiter'),
('de', 'importexport', 'manage mapping', 'Zuordnung bearbeiten'),
('de', 'importexport', 'load sample file', 'Beispieldatei laden'),
('de', 'importexport', 'imports information from a csv file.  this is only a base class, and doesn''t do anything on its own.', 'Importiert Informationen aus einem CSV Datei. Dies ist nur eine Basis Klasse.'),
('de', 'importexport', 'import definitions (attension: existing definitions with equal names will be overwritten!!!)', 'Definitionen importieren (Achtung: Alle gleichnamigen existierenden Definitionen werden überschrieben!)'),
('de', 'importexport', 'importexport wizard finished successfully!', 'Der ImportExport Assistent wurde erfolgreich beendet'),
('de', 'importexport', 'import', 'Import'),
('de', 'importexport', 'general', 'Generell'),
('de', 'importexport', 'finish', 'Fertig'),
('de', 'importexport', 'export all selected definitions', 'Alle ausgewählten Definitionen exportieren'),
('de', 'importexport', 'expert options', 'Export Optionen'),
('de', 'importexport', 'export', 'Exportieren'),
('de', 'importexport', 'edit conditions', 'Einstellmöglichkeiten bearbeiten'),
('de', 'importexport', 'delete all selected definitions', 'Alle ausgewählten Definitionen löschen'),
('de', 'importexport', 'choose seperator and charset', 'Wählen Sie das Trennzeichen und den Zeichensatz aus'),
('de', 'importexport', 'choose an application', 'Wählen sei eine Anwendung.'),
('de', 'importexport', 'choose a plugin', 'Wählen sie ein Plug-in.'),
('de', 'importexport', 'choose a name for this definition', 'Wählen sie einen Namen für diese Definition.'),
('de', 'importexport', 'basic csv import', 'Basis CSV Import'),
('de', 'importexport', 'automatically created by importexport', 'Wurde automatisch vom Import/Export Modul erstellt'),
('de', 'importexport', 'allowed users', 'Erlaubte Benutzer'),
('de', 'importexport', '%1 records processed', '%1 Einträge ausgeführt'),
('de', 'home', 'there is a new version of egroupware available', 'Es steht eine neuere Version von EGroupware zur Verfügung'),
('de', 'home', 'home', 'Home'),
('de', 'home', 'displays home', 'Home anzeigen'),
('de', 'home', 'egroupware', 'EGroupware'),
('de', 'felamimail', 'your message to %1 was displayed.', 'Ihre Nachricht an %1 wurde angezeigt.'),
('de', 'felamimail', 'you have received a new message on the', 'Sie haben eine neue Nachricht erhalten:'),
('de', 'felamimail', 'you can use %1 for the above start-date and %2 for the end-date.', 'Sie können %1 für das obige Startdatum und %2 für das Enddatum verwenden.'),
('de', 'felamimail', 'wrote', 'schrieb'),
('de', 'felamimail', 'yes, offer copy option', 'Ja, mit Kopieroption'),
('de', 'felamimail', 'wrap incoming text at', 'Text umbrechen nach'),
('de', 'felamimail', 'writing', 'schreiben'),
('de', 'felamimail', 'with message "%1"', 'mit der Nachricht "%1"'),
('de', 'felamimail', 'with message', 'mit folgender Nachricht'),
('de', 'felamimail', 'which folders - in general - should not be automatically created, if not existing', 'Welche E-Mailordner sollen generell NICHT automatisch angelegt werden, wenn Sie nicht existieren? Wählen Sie hier die Ordner aus, die NICHT von EGroupware automatisch angelegt werden dürfen.'),
('de', 'felamimail', 'which folders (additional to the sent folder) should be displayed using the sent folder view schema', 'Welche E-Mailordner, zusätzlich zum Gesendet-Ordner, sollen im Anzeigenschema analog des Gesendet-Ordners  dargestellt werden (Empfänger-Adresse, anstatt der Absender-Adresse).'),
('de', 'felamimail', 'when deleting messages', 'Wenn Nachrichten gelöscht werden'),
('de', 'felamimail', 'viewing messages', 'zeige Nachrichten'),
('de', 'felamimail', 'viewing message', 'zeige Nachricht'),
('de', 'felamimail', 'viewing full header', 'zeige alle Kopfzeilen'),
('de', 'felamimail', 'view message', 'zeige Nachricht'),
('de', 'felamimail', 'view header lines', 'Kopfzeilen anzeigen'),
('de', 'felamimail', 'view full header', 'alle Kopfzeilen anzeigen'),
('de', 'felamimail', 'validate certificate', 'Zertifikat überprüfen'),
('de', 'felamimail', 'vacation start-date must be before the end-date!', 'Startdatum der Abwesenheitsnotiz muss VOR dem Enddatum liegen!'),
('de', 'felamimail', 'vacation notice is active', 'Abwesenheitsnotiz ist aktiv'),
('de', 'felamimail', 'use regular expressions', 'reguläre Ausdrücke verwenden'),
('de', 'felamimail', 'use custom settings', 'benutze angepasste Einstellungen'),
('de', 'felamimail', 'use custom identities', 'benutze benutzerdefinierte Identitäten'),
('de', 'felamimail', 'use addresses', 'Adresse benutzen'),
('de', 'felamimail', 'use a signature?', 'Eine Signatur benutzen?'),
('de', 'felamimail', 'use a signature', 'Signatur benutzen'),
('de', 'felamimail', 'use <a href="%1">emailadmin</a> to create profiles', 'benutzen Sie <a href="%1">E-MailAdmin</a> um Profile zu erstellen'),
('de', 'felamimail', 'updating view', 'aktualisiere Ansicht'),
('de', 'felamimail', 'updating message status', 'aktualisiere Nachrichtenstatus'),
('de', 'felamimail', 'up', 'hoch'),
('de', 'felamimail', 'unsubscribed successfully!', 'Erfolgreich abbestellt.'),
('de', 'felamimail', 'unsubscribed', 'abbestellt'),
('de', 'felamimail', 'unsubscribe', 'Abbestellen'),
('de', 'felamimail', 'unselect all', 'keine auswählen'),
('de', 'felamimail', 'unseen', 'Ungelesen'),
('de', 'felamimail', 'unknown sender', 'Unbekannter Absender'),
('de', 'felamimail', 'unknown user or password incorrect.', 'Unbekannter Benutzer oder das Passwort ist falsch'),
('de', 'felamimail', 'unknown imap response from the server. server responded: %s', 'Unbekannte IMAP Antwort vom Server. Server antwortet: %s'),
('de', 'felamimail', 'unknown error', 'Unbekannter Fehler'),
('de', 'felamimail', 'unflagged', 'unwichtig'),
('de', 'felamimail', 'unknown err', 'Unbekannter Fehler'),
('de', 'felamimail', 'unexpected response from server to login command.', 'Unerwartete Antwort vom Server auf das LOGIN Kommando.'),
('de', 'felamimail', 'unexpected response from server to digest-md5 response.', 'Unerwartete Antwort vom Server auf die Digest-MD5 Antwort.'),
('de', 'felamimail', 'unexpected response from server to authenticate command.', 'Unerwartete Antwort vom Server auf das AUTHENTICATE Kommando.'),
('de', 'felamimail', 'type', 'Typ'),
('de', 'felamimail', 'trash folder', 'Ordner für gelöschte Nachrichten'),
('de', 'felamimail', 'trash fold', 'Papierkorb Ordner'),
('de', 'felamimail', 'trash', 'Papierkorb'),
('de', 'felamimail', 'translation server', 'Übersetzungsserver'),
('de', 'felamimail', 'translation preferences', 'Übersetzungseinstellungen'),
('de', 'felamimail', 'to', 'An'),
('de', 'felamimail', 'to mail sent to', 'Mail an senden an'),
('de', 'felamimail', 'to use a tls connection, you must be running a version of php 5.1.0 or higher.', 'Für eine TLS Verbindung benötigen Sie mind. PHP 5.1.0 oder eine aktuellere Version.'),
('de', 'felamimail', 'this php has no imap support compiled in!!', 'Dieses PHP hat keine IMAP Unterstützung !!'),
('de', 'felamimail', 'this folder is empty', 'DIESER ORDNER IST LEER'),
('de', 'felamimail', 'there is no imap server configured.', 'Es ist kein IMAP Server Konfiguriert'),
('de', 'felamimail', 'then', 'dann'),
('de', 'felamimail', 'the mimeparser can not parse this message.', 'Der MIME Parser versteht diese Nachricht nicht.'),
('de', 'felamimail', 'the message sender has requested a response to indicate that you have read this message. would you like to send a receipt?', 'Der Absender der Nachricht hat eine Antwort angefordert welche Ihm anzeigt das Sie seine Nachricht gelesen haben. Möchten Sie diese Antwort senden?'),
('de', 'felamimail', 'the imap server does not appear to support the authentication method selected. please contact your system administrator.', 'Der IMAP Server scheint die ausgewählte Authentifizierungsmethode nicht zu unterstützen. Bitte sprechen Sie mit Ihrem Systemadministrator.'),
('de', 'felamimail', 'the connection to the imap server failed!!', 'Die Verbindung zum IMAP Server ist fehlgeschlagen'),
('de', 'felamimail', 'the action will be applied to all messages of the current folder.\\ndo you want to proceed?', 'Die Aktion wird auf ALLE Nachrichten des aktuellen Ordners angewendet.\\nMöchten Sie fortfahren?'),
('de', 'felamimail', 'text/plain', 'text/plain'),
('de', 'felamimail', 'text only', 'Nur Text'),
('de', 'felamimail', 'templates', 'Vorlagen'),
('de', 'felamimail', 'table of contents', 'Inhaltsverzeichnis'),
('de', 'felamimail', 'template folder', 'Vorlagen Ordner'),
('de', 'felamimail', 'system signature', 'System Signatur'),
('de', 'felamimail', 'subscribed successfully!', 'Erfolgreich abonniert'),
('de', 'felamimail', 'subscribed', 'abonniert'),
('de', 'felamimail', 'subscribe', 'Bestellen'),
('de', 'felamimail', 'submit', 'Absenden'),
('de', 'felamimail', 'subject(a->z)', 'Betreff (A->Z)'),
('de', 'felamimail', 'subject(z->a)', 'Betreff (Z->A)'),
('de', 'felamimail', 'stationery', 'Briefkopf'),
('de', 'felamimail', 'subject', 'Betreff'),
('de', 'felamimail', 'start new messages with mime type plain/text or html?', 'Sollen neue E-Mails als plain/text oder HTML Nachrichten verfasst werden?'),
('de', 'felamimail', 'small view', 'schmale Ansicht'),
('de', 'felamimail', 'skipping previous', 'blättere zurück'),
('de', 'felamimail', 'skipping forward', 'blättere vorwärts'),
('de', 'felamimail', 'size(0->...)', 'Größe(0->...)'),
('de', 'felamimail', 'size(...->0)', 'Größe(...->0)'),
('de', 'felamimail', 'size', 'Größe'),
('de', 'felamimail', 'size of editor window', 'Größe des Editorfensters'),
('de', 'felamimail', 'simply click the target-folder', 'Ziel Ordner auswählen'),
('de', 'felamimail', 'signature', 'Signatur'),
('de', 'felamimail', 'signatur', 'Signatur'),
('de', 'felamimail', 'sieve script name', 'Stellen Sie den Sieve Skript Namen ein.'),
('de', 'felamimail', 'show new messages on main screen', 'Neue Nachrichten auf der Startseite anzeigen?'),
('de', 'felamimail', 'show header', 'Kopfzeilen anzeigen'),
('de', 'felamimail', 'show all folders (subscribed and unsubscribed) in main screen folder pane', 'zeige alle Ordner (subscribed UND unsubscribed) in der Ordnerleiste des Hauptfensters'),
('de', 'felamimail', 'set as default', 'Als Vorgabe setzen'),
('de', 'felamimail', 'server supports mailfilter(sieve)', 'Server unterstützt Mailfilter(Sieve)'),
('de', 'felamimail', 'sent', 'Gesendet'),
('de', 'felamimail', 'sent folder', 'Ordner für gesendete Nachrichten'),
('de', 'felamimail', 'send a reject message', 'Ablehnungs-E-Mail senden'),
('de', 'felamimail', 'send', 'Senden'),
('de', 'felamimail', 'select folder', 'Ordner auswählen'),
('de', 'felamimail', 'select emailprofile', 'E-Mail-Profil auswählen'),
('de', 'felamimail', 'select all', 'alle auswählen'),
('de', 'felamimail', 'select', 'Auswählen'),
('de', 'felamimail', 'select a message to switch on its preview (click on subject)', 'Wählen Sie eine Nachricht durch einen Mausklick auf den Betreff aus, um den Vorschaumodus für diese zu aktivieren.'),
('de', 'felamimail', 'script name', 'Skriptname'),
('de', 'felamimail', 'script status', 'Skriptstatus'),
('de', 'felamimail', 'search', 'Suchen'),
('de', 'felamimail', 'search for', 'Suchen nach'),
('de', 'felamimail', 'save as draft', 'als Entwurf speichern'),
('de', 'felamimail', 'save as infolog', 'Als Infolog speichern'),
('de', 'felamimail', 'save changes', 'Änderungen speichern'),
('de', 'felamimail', 'save message to disk', 'Nachricht auf Datenträger speichern'),
('de', 'felamimail', 'row order style', 'Spaltenanordnung'),
('de', 'felamimail', 'rule', 'Regel'),
('de', 'felamimail', 'save', 'Speichern'),
('de', 'felamimail', 'save all', 'Alle speichern'),
('de', 'felamimail', 'return', 'Zurück'),
('de', 'felamimail', 'return to options page', 'zurück zu Einstellungen'),
('de', 'felamimail', 'right', 'Rechts'),
('de', 'felamimail', 'reply to', 'Antwort an'),
('de', 'felamimail', 'replyto', 'Antwort an'),
('de', 'felamimail', 'respond', 'Antworte'),
('de', 'felamimail', 'respond to mail sent to', 'Antworte auf E-Mails die gesendet werden an'),
('de', 'felamimail', 'replied', 'beantwortet'),
('de', 'felamimail', 'reply', 'Antworten'),
('de', 'felamimail', 'reply all', 'allen Antworten'),
('de', 'felamimail', 'rename folder', 'Ordner umbenennen'),
('de', 'felamimail', 'renamed successfully!', 'Erfolgreich umbenannt'),
('de', 'felamimail', 'rename', 'Umbenennen'),
('de', 'felamimail', 'rename a folder', 'Ordner umbenennen'),
('de', 'felamimail', 'remove', 'entfernen'),
('de', 'felamimail', 'remove immediately', 'sofort löschen'),
('de', 'felamimail', 'reject with', 'zurückweisen mit'),
('de', 'felamimail', 'recent', 'neu'),
('de', 'felamimail', 'refresh time in minutes', 'Aktualisierungsintervall in Minuten'),
('de', 'felamimail', 'receive notification', 'Empfangsbestätigung'),
('de', 'felamimail', 'reading', 'lese'),
('de', 'felamimail', 'quicksearch', 'Schnellsuche'),
('de', 'felamimail', 'read', 'gelesen'),
('de', 'felamimail', 'printview', 'Druckansicht'),
('de', 'felamimail', 'print this page', 'Diese Seite drucken'),
('de', 'felamimail', 'print it', 'E-Mail drucken'),
('de', 'felamimail', 'previous', 'vorherige'),
('de', 'felamimail', 'previous message', 'vorherige Nachricht'),
('de', 'felamimail', 'preview disabled for folder:', 'Die Vorschau für E-Mails wird in dem ausgewählten Ordner nicht unterstützt:'),
('de', 'felamimail', 'posting', 'sende'),
('de', 'felamimail', 'port', 'Port'),
('de', 'felamimail', 'please supply the message to send with auto-responses', 'Bitte geben Sie eine Nachricht ein, die mit der automatischen Antwort gesendet werden soll'),
('de', 'felamimail', 'please select the number of days to wait between responses', 'Bitte wählen wie viele Tage zwischen den Antworten gewartet werden soll.'),
('de', 'felamimail', 'please select a address', 'Bitte wählen Sie eine Adresse'),
('de', 'felamimail', 'please configure access to an existing individual imap account.', 'Bitte konfigurieren Sie hier den Zugang zu einem existierenden IMAP Account.'),
('de', 'felamimail', 'please ask the administrator to correct the emailadmin imap server settings for you.', 'Bitte fragen Sie Ihren Administrator um die IMAP Einstellungen für Sie zu korrigieren.'),
('de', 'felamimail', 'personal information', 'persönliche Informationen'),
('de', 'felamimail', 'participants', 'Teilnehmer'),
('de', 'felamimail', 'outgoing mail server(smtp)', 'ausgehender Mailserver (SMTP)'),
('de', 'felamimail', 'original message', 'ursprüngliche Nachricht'),
('de', 'felamimail', 'organization', 'Organisation'),
('de', 'felamimail', 'organisation', 'Organisation'),
('de', 'felamimail', 'or', 'oder'),
('de', 'felamimail', 'or configure an valid imap server connection using the manage accounts/identities preference in the sidebox menu.', 'oder konfigurieren Sie einen gültigen IMAP Server unter Verwendung von persönlichen Identitäten (Sidebox Menü).'),
('de', 'felamimail', 'options', 'Optionen'),
('de', 'felamimail', 'open all', 'Öffne alle'),
('de', 'felamimail', 'only unseen', 'Nur nicht gesehene'),
('de', 'felamimail', 'only one window', 'nur ein einziges Fenster'),
('de', 'felamimail', 'only inbox', 'Nur Posteingang'),
('de', 'felamimail', 'on behalf of', 'im Auftrag von'),
('de', 'felamimail', 'one address is not valid', 'Eine Adresse ist ungültig'),
('de', 'felamimail', 'notify when new mails arrive on these folders', 'Benachrichtigung, wenn neue E-Mails in diesen Ordnern ankommen'),
('de', 'felamimail', 'on', 'am'),
('de', 'felamimail', 'not allowed', 'nicht erlaubt'),
('de', 'felamimail', 'none, create all', 'keine, erstellt alle'),
('de', 'felamimail', 'none', 'kein'),
('de', 'felamimail', 'no valid emailprofile selected!!', 'Sie haben kein gültiges E-Mail-Profil ausgewählt!'),
('de', 'felamimail', 'no valid data to create mailprofile!!', 'Keine gültigen Daten zur Erzeugung eines E-Mail-Profils!!'),
('de', 'felamimail', 'no supported imap authentication method could be found.', 'Keine unterstützte IMAP Authentifizierungsmethode gefunden.'),
('de', 'felamimail', 'no subject given!', 'Kein Betreff angegeben!'),
('de', 'felamimail', 'no stationery', 'Kein Briefkopf'),
('de', 'felamimail', 'no signature', 'keine Signatur'),
('de', 'felamimail', 'no recipient address given!', 'Keine Empfängeradresse angegeben!'),
('de', 'felamimail', 'no previous message', 'Keine vorherige Nachricht vorhanden'),
('de', 'felamimail', 'no plain text part found', 'Kein Text Teil gefunden.'),
('de', 'felamimail', 'no messages were selected.', 'Es wurde keine Nachricht ausgewählt'),
('de', 'felamimail', 'no imap server host configured!!', 'Kein IMAP Server (Host) konfiguriert!'),
('de', 'felamimail', 'no message returned.', 'Keine Nachrichten gefunden.'),
('de', 'felamimail', 'no messages found...', 'keine Nachrichten gefunden...'),
('de', 'felamimail', 'no messages selected, or lost selection. changing to folder', 'Es wurden keine Nachrichten ausgewählt, oder die Auswahl ging verloren. Wechsel zum Ordner'),
('de', 'felamimail', 'no highlighting is defined', 'keine Hervorhebung definiert'),
('de', 'felamimail', 'no folders were found to unsubscribe from!', 'Keine Order gefunden, die abbestellt werden können!'),
('de', 'felamimail', 'no folders were found to subscribe to!', 'Keine Order gefunden, die abonniert werden können!'),
('de', 'felamimail', 'no folders found', 'Keine Ordner gefunden'),
('de', 'felamimail', 'no folders', 'Keine Ordner'),
('de', 'felamimail', 'no filter', 'kein Filter'),
('de', 'felamimail', 'no encryption', 'keine Verschlüsselung'),
('de', 'felamimail', 'no address to/cc/bcc supplied, and no folder to save message to provided.', 'Keine Empfänger Adresse (To/CC/BCC ) angegeben und kein Ordner zur Ablage der E-Mail spezifiziert.'),
('de', 'felamimail', 'no active imap server found!!', 'Kein aktiver IMAP Server gefunden!!'),
('de', 'felamimail', 'next message', 'nächste Nachricht'),
('de', 'felamimail', 'next', 'nächste'),
('de', 'felamimail', 'new filter', 'neuer Filter'),
('de', 'felamimail', 'never display html emails', 'niemals anzeigen'),
('de', 'felamimail', 'name', 'Name'),
('de', 'felamimail', 'moving messages to', 'verschiebe Nachrichten nach'),
('de', 'felamimail', 'move to trash', 'in den Papierkorb verschieben'),
('de', 'felamimail', 'move selected to', 'Verschiebe ausgewählte nach'),
('de', 'felamimail', 'move messages?', 'Nachrichten verschieben?'),
('de', 'felamimail', 'move messages', 'Nachrichten verschieben'),
('de', 'felamimail', 'move folder', 'Ordner verschieben'),
('de', 'felamimail', 'move', 'Verschieben'),
('de', 'felamimail', 'messages', 'Nachrichten'),
('de', 'felamimail', 'message list', 'Nachrichtenliste'),
('de', 'felamimail', 'message highlighting', 'Nachrichtenhervorhebung'),
('de', 'felamimail', 'mark selected as unread', 'ausgewählte Nachrichten als ungelesen markieren'),
('de', 'felamimail', 'match', 'Übereinstimmung'),
('de', 'felamimail', 'matches', 'stimmt überein (*, ? erlaubt)'),
('de', 'felamimail', 'matches regexp', 'stimmt überein mit regulärem Ausdruck'),
('de', 'felamimail', 'max uploadsize', 'maximal Dateigröße'),
('de', 'felamimail', 'mark selected as unflagged', 'ausgewählte Nachrichten nicht markieren'),
('de', 'felamimail', 'mark selected as read', 'ausgewählte Nachrichten als gelesen markieren'),
('de', 'felamimail', 'mark selected as flagged', 'ausgewählte Nachrichten markieren'),
('de', 'felamimail', 'mark messages as', 'ausgewählte Nachrichten markieren als'),
('de', 'felamimail', 'mark as deleted', 'als gelöscht markieren'),
('de', 'felamimail', 'mainmessage', 'Hauptnachricht'),
('de', 'felamimail', 'manage signatures', 'Signaturen verwalten'),
('de', 'felamimail', 'mail settings', 'E-Mail-Einstellungen'),
('de', 'felamimail', 'loading', 'lade'),
('de', 'felamimail', 'location of buttons when composing', 'Ort der Knöpfe beim E-Mail schreiben'),
('de', 'felamimail', 'light gray', 'Hellgrau'),
('de', 'felamimail', 'list all', 'Alle anzeigen'),
('de', 'felamimail', 'less than', 'kleiner als'),
('de', 'felamimail', 'left', 'Links'),
('de', 'felamimail', 'less', 'kleiner'),
('de', 'felamimail', 'kilobytes', 'Kilobytes'),
('de', 'felamimail', 'language', 'Sprache'),
('de', 'felamimail', 'last name', 'Nachname'),
('de', 'felamimail', 'keep local copy of email', 'Kopie der E-Mail behalten'),
('de', 'felamimail', 'keep a copy of the message in your inbox', 'eine Kopie der Nachricht in der INBOX behalten'),
('de', 'felamimail', 'junk', 'Spammails'),
('de', 'felamimail', 'jumping to start', 'springe zum Anfang'),
('de', 'felamimail', 'jumping to end', 'springe zum Ende'),
('de', 'felamimail', 'javascript', 'JavaScript'),
('de', 'felamimail', 'invalid user name or password', 'Falscher Benutzername oder Passwort.'),
('de', 'felamimail', 'index order', 'Spaltenanordnung'),
('de', 'felamimail', 'info', 'Info'),
('de', 'felamimail', 'incoming mail server(imap)', 'eingehender Mailserver (IMAP)'),
('de', 'felamimail', 'inbox', 'Posteingang'),
('de', 'felamimail', 'in', 'In'),
('de', 'felamimail', 'import message', 'Nachricht importieren'),
('de', 'felamimail', 'imaps encryption only', 'IMAPS nur Verschlüsselung'),
('de', 'felamimail', 'import', 'Importieren'),
('de', 'felamimail', 'import mail', 'E-Mail Importieren'),
('de', 'felamimail', 'imaps authentication', 'IMAPS Authentifizierung'),
('de', 'felamimail', 'imap server type', 'IMAP-Servertyp'),
('de', 'felamimail', 'imap server username', 'IMAP Server Benutzername'),
('de', 'felamimail', 'imap server password', 'IMAP Server Password'),
('de', 'felamimail', 'imap server closed the connection. server responded: %s', 'IMAP Server hat die Verbindung beendet. Server antwortet: %s'),
('de', 'felamimail', 'imap server closed the connection.', 'IMAP Server hat die Verbindung beendet.'),
('de', 'felamimail', 'imap server address', 'IMAP Server Adresse'),
('de', 'felamimail', 'imap server', 'IMAP Server'),
('de', 'felamimail', 'imap', 'IMAP'),
('de', 'felamimail', 'illegal folder name.  please select a different name.', 'ungültiger Ordnername. Bitte wählen Sie einen anderen Namen.'),
('de', 'felamimail', 'if using ssl or tls, you must have the php openssl extension loaded.', 'Wenn Sie SSL oder TLS benutzen, muss die openssl PHP Erweiterung geladen sein.'),
('de', 'felamimail', 'if to contains', 'wenn An enthält'),
('de', 'felamimail', 'if subject contains', 'wenn Betreff enthält'),
('de', 'felamimail', 'if shown, which folders should appear on main screen', 'Welche Ordner, sollen in Home angezeigt werden?'),
('de', 'felamimail', 'if message size', 'wenn Nachrichtengröße'),
('de', 'felamimail', 'if mail header', 'wenn E-Mail-Header enthält'),
('de', 'felamimail', 'if from contains', 'wenn Von enthält'),
('de', 'felamimail', 'if', 'Wenn'),
('de', 'felamimail', 'identity', 'Identität'),
('de', 'felamimail', 'identifying name', 'Identifizierender Name'),
('de', 'felamimail', 'icons only', 'nur Icons'),
('de', 'felamimail', 'icons and text', 'Icons und Text'),
('de', 'felamimail', 'html', 'HTML'),
('de', 'felamimail', 'hostname / address', 'Servername / Adresse'),
('de', 'felamimail', 'how to forward messages', 'Wie möchten Sie Nachrichten weiterleiten'),
('de', 'felamimail', 'header lines', 'Kopfzeilen'),
('de', 'felamimail', 'hide header', 'Kopfzeilen verbergen'),
('de', 'felamimail', 'have a look at <a href="http://www.felamimail.org" target="_new">www.felamimail.org</a> to learn more about squirrelmail.<br>', 'Schauen Sie mal bei <a href="http://www.felamimail.org" target="_new">www.felamimail.org</a> vorbei, um mehr über Squirrelmail zu lernen.'),
('de', 'felamimail', 'full name', 'Vollständiger Name'),
('de', 'felamimail', 'greater than', 'größer als'),
('de', 'felamimail', 'from(z->a)', 'Von (Z->A)'),
('de', 'felamimail', 'from(a->z)', 'Von (A->Z)'),
('de', 'felamimail', 'from', 'Von'),
('de', 'felamimail', 'found', 'Gefunden'),
('de', 'felamimail', 'forwarding', 'Weiterleitung'),
('de', 'felamimail', 'forward to address', 'weiterleiten an Adresse'),
('de', 'felamimail', 'forward to', 'weiterleiten an'),
('de', 'felamimail', 'forward messages to', 'Nachricht weiterleiten an'),
('de', 'felamimail', 'forward inline', 'Inline weiterleiten'),
('de', 'felamimail', 'forward as attachment', 'weiterleiten als Anhang'),
('de', 'felamimail', 'forward', 'Weiterleiten'),
('de', 'felamimail', 'for received mail', 'Für empfangene E-Mail'),
('de', 'felamimail', 'follow', 'folgen'),
('de', 'felamimail', 'for mail to be send - not functional yet', 'Für zu sendende E-Mail - funktioniert noch nicht'),
('de', 'felamimail', 'folders created successfully!', 'Ordner erfolgreich angelegt'),
('de', 'felamimail', 'folders', 'Ordner'),
('de', 'felamimail', 'folderlist', 'Ordnerliste'),
('de', 'felamimail', 'foldername', 'Ordnername'),
('de', 'felamimail', 'folder status', 'Ordner Status'),
('de', 'felamimail', 'folder preferences', 'Ordnereinstellungen'),
('de', 'felamimail', 'folder settings', 'Ordner Einstellungen'),
('de', 'felamimail', 'folder path', 'Ordner Pfad'),
('de', 'felamimail', 'folder name', 'Ordner Name'),
('de', 'felamimail', 'folder acl', 'Ordner ACL'),
('de', 'felamimail', 'folder', 'Ordner'),
('de', 'felamimail', 'flagged', 'wichtig'),
('de', 'felamimail', 'flags', 'Markierungen'),
('de', 'felamimail', 'first name', 'Vorname'),
('de', 'felamimail', 'filter name', 'Filtername'),
('de', 'felamimail', 'files', 'Dateien'),
('de', 'felamimail', 'filter active', 'Filter aktiv'),
('de', 'felamimail', 'filemanager', 'Dateimanager'),
('de', 'felamimail', 'expunge', 'Endgültig löschen'),
('de', 'felamimail', 'extended', 'Erweitert'),
('de', 'felamimail', 'file into', 'verschiebe nach'),
('de', 'felamimail', 'every', 'alle'),
('de', 'felamimail', 'every %1 days', 'alle %1 Tage'),
('de', 'felamimail', 'error: message could not be displayed.', 'FEHLER: Die Nachricht kann nicht angezeigt werden.'),
('de', 'felamimail', 'error: could not save rule', 'FEHLER: Die Regel konnte nicht gespeichert werden.'),
('de', 'felamimail', 'error:', 'FEHLER:'),
('de', 'felamimail', 'error: could not save message as draft', 'FEHLER: Die Nachricht konnte nicht als Entwurf gespeichert werden.'),
('de', 'felamimail', 'error saving %1!', 'Fehler beim Speichern von %1!'),
('de', 'felamimail', 'error opening', 'Fehler beim Öffnen'),
('de', 'felamimail', 'error creating rule while trying to use forward/redirect.', 'Fehler bei der Erstellung einer Regel zur Weiterleitung.'),
('de', 'felamimail', 'error connecting to imap server: [%s] %s.', 'Fehler beim Verbinden mit dem IMAP Server: [%s]  %s.'),
('de', 'felamimail', 'error connecting to imap server. %s : %s.', 'Fehler beim Verbinden mit dem IMAP Server. %s : %s.'),
('de', 'felamimail', 'error connecting to imap serv', 'Konnte den IMAP Server (Mailserver) nicht erreichen'),
('de', 'felamimail', 'error', 'FEHLER'),
('de', 'felamimail', 'entry saved', 'Eintrag gespeichert'),
('de', 'felamimail', 'encrypted connection', 'verschlüsselte Verbindung'),
('de', 'felamimail', 'enable', 'Aktivieren'),
('de', 'felamimail', 'empty trash', 'Papierkorb leeren'),
('de', 'felamimail', 'emailaddress', 'E-Mail-Adresse'),
('de', 'felamimail', 'email signature', 'E-Mail-Signatur'),
('de', 'felamimail', 'email notification update failed', 'Die Benachrichtigung über den Gelesen-Status der E-Mail ist fehlgeschlagen.'),
('de', 'felamimail', 'email forwarding address', 'Zieladresse'),
('de', 'felamimail', 'email address', 'E-Mail-Adresse'),
('de', 'felamimail', 'editor type', 'Editortyp'),
('de', 'felamimail', 'edit selected', 'Ausgewählte bearbeiten'),
('de', 'felamimail', 'edit vacation settings', 'Abwesenheitsnotiz bearbeiten'),
('de', 'felamimail', 'edit rule', 'Regel bearbeiten'),
('de', 'felamimail', 'edit filter', 'Filter bearbeiten'),
('de', 'felamimail', 'e-mail address', 'E-Mailadresse'),
('de', 'felamimail', 'e-mail folders', 'E-Mail Ordner'),
('de', 'felamimail', 'edit email forwarding address', 'Bearbeiten der E-Mail-Weiterleitung'),
('de', 'felamimail', 'e-mail', 'E-Mail'),
('de', 'felamimail', 'drafts', 'Entwürfe'),
('de', 'felamimail', 'draft folder', 'Entwurfs Ordner'),
('de', 'felamimail', 'download this as a file', 'als Datei downloaden'),
('de', 'felamimail', 'download', 'Speichern'),
('de', 'felamimail', 'down', 'runter'),
('de', 'felamimail', 'dont strip any tags', 'keine HTML Tags entfernen.'),
('de', 'felamimail', 'don''t use trash', 'Keinen Papierkorb verwenden'),
('de', 'felamimail', 'don''t use template folder', 'Keinen Vorlagen Ordner verwenden'),
('de', 'felamimail', 'don''t use sent', 'Keinen gesendeten E-Mails speichern'),
('de', 'felamimail', 'don''t use draft folder', 'keine Entwurfs Ordner verwenden'),
('de', 'felamimail', 'does not match regexp', 'trifft nicht zu regulärem Ausdruck'),
('de', 'felamimail', 'does not match', 'trifft nicht zu'),
('de', 'felamimail', 'does not exist on imap server.', 'existiert nicht auf dem IMAP Server'),
('de', 'felamimail', 'does not contain', 'enthält nicht'),
('de', 'felamimail', 'do you want to prevent the managing of folders (creation, accessrights and subscribtion)?', 'Möchten Sie die Verwaltung von Ordnern verhindern (anlegen, abonnieren, Zugriffsrechte)?'),
('de', 'felamimail', 'do you want to prevent the editing/setup of the absent/vacation notice (, even if sieve is enabled)?', 'Möchten Sie das Editieren/Einstellen einer Abwesenheitsnotiz (via SIEVE) unterbinden?'),
('de', 'felamimail', 'do you want to prevent the editing/setup of notification by mail to other emailadresses if emails arrive (, even if sieve is ena', 'Möchten Sie das Editieren/Einstellen von Benachrichtigungen per E-Mail (via SIEVE), wenn neue Nachrichten eintreffen, unterbinden?'),
('de', 'felamimail', 'do you want to prevent the editing/setup of filter rules (, even if sieve is enabled)?', 'Möchten Sie das Editieren/Einstellen von Filterregeln (via SIEVE) unterbinden?'),
('de', 'felamimail', 'do you want to prevent the editing/setup for forwarding of mails via settings (, even if sieve is enabled)?', 'Möchten Sie das Editieren/Einstellen einer Mailweiterleitung (via SIEVE) unterbinden?'),
('de', 'felamimail', 'do you want to be asked for confirmation before moving selected messages to another folder?', 'Möchten Sie vor dem Verschieben von E-Mails in andere Ordner gefragt werden?'),
('de', 'felamimail', 'do you really want to move the selected messages to folder:', 'Möchten sie die ausgewählten Nachrichten in folgenden Ordner verschieben:'),
('de', 'felamimail', 'do you really want to move or copy the selected messages to folder:', 'Möchten sie die ausgewählten Nachrichten in folgenden Ordner verschieben oder kopieren:'),
('de', 'felamimail', 'do you really want to delete the selected signatures?', 'Möchten Sie die ausgewählte Signatur wirklich löschen?'),
('de', 'felamimail', 'do you really want to delete the selected accountsettings and the assosiated identity.', 'Möchten Sie die ausgewählten Konteneinstellungen und die damit verbundenen Identitäten wirklich löschen?'),
('de', 'felamimail', 'do you really want to delete the ''%1'' folder?', 'Möchten Sie wirklich den ''%1'' Ordner löschen?'),
('de', 'felamimail', 'do not validate certificate', 'Zertifikat nicht überprüfen'),
('de', 'felamimail', 'displaying html messages is disabled', 'Die Anzeige von HTML-E-Mails ist deaktiviert.'),
('de', 'felamimail', 'do it!', 'Mach es!'),
('de', 'felamimail', 'do not use sent', 'Gesendete Objekte (Sent) nicht verwenden'),
('de', 'felamimail', 'do not use trash', 'Gelöschte Objekte (Trash) nicht verwenden'),
('de', 'felamimail', 'display only when no plain text is available', 'nur anzeigen wenn kein Plain Text vorhanden ist'),
('de', 'felamimail', 'display preferences', 'Anzeige Einstellungen'),
('de', 'felamimail', 'display of html emails', 'HTML-E-Mails anzeigen'),
('de', 'felamimail', 'display messages in multiple windows', 'Nachrichten in mehreren Fenstern anzeigen'),
('de', 'felamimail', 'disable', 'Deaktivieren'),
('de', 'felamimail', 'discard', 'verwerfen'),
('de', 'felamimail', 'discard message', 'Nachricht verwerfen'),
('de', 'felamimail', 'display message in new window', 'Nachricht in neuem Fenster anzeigen'),
('de', 'felamimail', 'deleting messages', 'lösche Nachrichten'),
('de', 'felamimail', 'deleted folder successfully!', 'Ordner erfolgreich gelöscht'),
('de', 'felamimail', 'deleted', 'gelöscht'),
('de', 'felamimail', 'delete this folder irreversible?', 'Ordner unwiderruflich löschen?'),
('de', 'felamimail', 'delete selected', 'ausgewählte Nachrichten löschen'),
('de', 'felamimail', 'delete selected messages', 'ausgewählte Nachrichten löschen'),
('de', 'felamimail', 'delete script', 'Skript löschen'),
('de', 'felamimail', 'delete all', 'alle löschen'),
('de', 'felamimail', 'delete folder', 'Ordner löschen'),
('de', 'felamimail', 'default sorting order', 'Wählen Sie die Standard-Sortierreihenfolge aus.'),
('de', 'felamimail', 'default signature', 'Standard Signatur'),
('de', 'felamimail', 'default', 'Vorgabe'),
('de', 'felamimail', 'deactivate script', 'Script abschalten'),
('de', 'felamimail', 'days', 'Tage'),
('de', 'felamimail', 'dark yellow', 'Braun'),
('de', 'felamimail', 'date(newest first)', 'Datum (neue zuerst)'),
('de', 'felamimail', 'date(oldest first)', 'Datum (alte zuerst)'),
('de', 'felamimail', 'dark magenta', 'Dunkelrot'),
('de', 'felamimail', 'dark cyan', 'Dunkelzyan'),
('de', 'felamimail', 'dark gray', 'Dunkelgrau'),
('de', 'felamimail', 'dark green', 'Dunkelgrün'),
('de', 'felamimail', 'dark blue', 'Dunkelblau'),
('de', 'felamimail', 'created folder successfully!', 'Ordner erfolgreich angelegt'),
('de', 'felamimail', 'create trash', 'Gelöschte Objekte (Trash) Ordner anlegen'),
('de', 'felamimail', 'create subfolder', 'Unterordner anlegen'),
('de', 'felamimail', 'create sent', 'Gesendete Objekte (Sent) Ordner anlegen'),
('de', 'felamimail', 'create', 'Erzeugen'),
('de', 'felamimail', 'create folder', 'Ordner anlegen'),
('de', 'felamimail', 'cram-md5 or digest-md5 requires the auth_sasl package to be installed.', 'CRAM-MD5 oder DIGEST-MD5 benötigt das Auth_SASL Packet.'),
('de', 'felamimail', 'could not open secure connection to the imap server. %s : %s.', 'Konnte sichere Verbindung zum IMAP Server nicht öffnen. %s : %s.'),
('de', 'felamimail', 'could not import message:', 'Konnte diese Nachricht nicht importieren:'),
('de', 'felamimail', 'could not complete request. reason given: %s', 'Konnte Anfrage nicht beenden. Grund: %s'),
('de', 'felamimail', 'copying messages to', 'kopiere Nachrichten in folgenden Ordner'),
('de', 'felamimail', 'contains', 'enthält'),
('de', 'felamimail', 'copy or move messages?', 'Nachrichten kopieren oder verschieben?'),
('de', 'felamimail', 'contact not found!', 'Kontakt nicht gefunden!'),
('de', 'felamimail', 'connection dropped by imap server.', 'Verbindung von IMAP Server beendet.'),
('de', 'felamimail', 'condition', 'Bedingung'),
('de', 'felamimail', 'configuration', 'Konfiguration'),
('de', 'felamimail', 'configure a valid imap server in emailadmin for the profile you are using.', 'Konfigurieren Sie einen gültigen IMAP Server im E-Mailadmin für das von Ihnen verwendete Profil.'),
('de', 'felamimail', 'compress folder', 'Ordner komprimieren'),
('de', 'felamimail', 'compose as new', 'Als neu bearbeiten'),
('de', 'felamimail', 'color', 'Farbe'),
('de', 'felamimail', 'compose', 'Verfassen'),
('de', 'felamimail', 'close window', 'Fenster schließen'),
('de', 'felamimail', 'close this page', 'Diese Seite schließen'),
('de', 'felamimail', 'close all', 'Schließe alle'),
('de', 'felamimail', 'click here to return to %1', 'Hier klicken um zu %1 zurückzukehren'),
('de', 'felamimail', 'click here to log back in.', 'Hier klicken um sich wieder anzumelden.'),
('de', 'felamimail', 'clear search', 'Suche zurücksetzen'),
('de', 'felamimail', 'choose from vfs', 'aus dem VFS auswählen'),
('de', 'felamimail', 'checkbox', 'Auswahlbox'),
('de', 'felamimail', 'check message against next rule also', 'Nachricht auch gegen nächste Regel prüfen'),
('de', 'felamimail', 'can''t connect to inbox!!', 'kann nicht mit Ihrer INBOX verbinden!!!'),
('de', 'felamimail', 'cc', 'Kopie'),
('de', 'felamimail', 'change folder', 'Ordner wechseln'),
('de', 'felamimail', 'can not send message. no recipient defined!', 'Kann Nachricht nicht senden. Kein Empfänger angegeben!'),
('de', 'felamimail', 'by date', 'nach Datum'),
('de', 'felamimail', 'body part', 'Hauptteil'),
('de', 'felamimail', 'between headers and message body', 'zwischen Kopfzeilen und Editorfenster'),
('de', 'felamimail', 'before headers', 'vor den Kopfzeilen'),
('de', 'felamimail', 'bcc', 'Blindkopie'),
('de', 'felamimail', 'based upon given criteria, incoming messages can have different background colors in the message list.  this helps to easily dis', 'Eingehende Nachrichten können, basierend auf angegebenen Kriterien, unterschiedliche Hintergrundfarben in der Nachrichtenliste haben. Dies kann helfen besser zu unterscheiden woher die Nachricht kommt, speziell für Mailinglisten.'),
('de', 'felamimail', 'bad request: %s', 'Falsche Anfrage: %s'),
('de', 'felamimail', 'bad or malformed request. server responded: %s', 'Falsche oder ungültige Anfrage. Server antwortet: %s'),
('de', 'felamimail', 'back to folder', 'zurück zu Ordner'),
('de', 'felamimail', 'bad login name or password.', 'Falscher Benutzername oder Passwort.'),
('de', 'felamimail', 'auto refresh folder list', 'Ordnerliste automatisch aktualisieren'),
('de', 'felamimail', 'authentication required', 'Anmeldung erforderlich'),
('de', 'felamimail', 'as a subfolder of', 'als Unterordner von'),
('de', 'felamimail', 'attach', 'Anhängen'),
('de', 'felamimail', 'attachments', 'Anlagen'),
('de', 'felamimail', 'and', 'und'),
('de', 'felamimail', 'any of', 'mit einem'),
('de', 'felamimail', 'any status', 'Alle Status'),
('de', 'felamimail', 'anyone', 'jeder'),
('de', 'felamimail', 'always show html emails', 'HTML-E-Mails immer anzeigen'),
('de', 'felamimail', 'allways a new window', 'jede E-Mail in einem neuen Fenster'),
('de', 'felamimail', 'allow images from external sources in html emails', 'Erlaube Bilder von externen Quellen in HTML E-Mails.'),
('de', 'felamimail', 'all of', 'mit allen'),
('de', 'felamimail', 'all messages in folder', 'Alle Nachrichten im Ordner'),
('de', 'felamimail', 'all folders', 'Alle Ordner'),
('de', 'felamimail', 'all address books', 'Alle Adressbücher'),
('de', 'felamimail', 'after message body', 'nach dem Editorfenster'),
('de', 'felamimail', 'address book', 'Adressbuch'),
('de', 'felamimail', 'address book search', 'Adressbuch durchsuchen'),
('de', 'felamimail', 'additional info', 'Zusätzliche Info'),
('de', 'felamimail', 'adding file to message. please wait!', 'Füge Datei zur Nachricht hinzu. Bitte warten!'),
('de', 'felamimail', 'add to addressbook', 'Zum Adressbuch hinzufügen'),
('de', 'felamimail', 'add to address book', 'Zum Adressbuch hinzufügen'),
('de', 'felamimail', 'add to %1', 'Zu %1 hinzufügen'),
('de', 'felamimail', 'add script', 'Script hinzufügen'),
('de', 'felamimail', 'add rule', 'Regel hinzufügen'),
('de', 'felamimail', 'add address', 'Adresse hinzufügen'),
('de', 'felamimail', 'add acl', 'ACL zufügen'),
('de', 'felamimail', 'activating by date requires a start- and end-date!', 'Aktivieren nach Datum benötigt ein Start- UND Ende-Datum!'),
('de', 'felamimail', 'activate script', 'Script aktivieren'),
('de', 'felamimail', 'activate', 'aktivieren'),
('de', 'felamimail', 'aborted', 'abgebrochen'),
('de', 'felamimail', '3paneview: if you want to see a preview of a mail by single clicking onto the subject, set the height for the message-list and t', 'Vorschauansicht: Wenn Sie eine Vorschauansicht von E-Mails wünschen, müssen Sie hier die Höhe des Vorschaubereichs und der Nachrichtenliste festlegen. (300 hat sich als zufriedenstellender Wert erwiesen). Sie können ebenfalls die Mindesthöhe der E-Mail Liste festlegen, indem Sie die gewünschte Mindesthöhe, durch Komma getrennt, an den Wert für die Höhe des Vorschaubereiches anhängen (Bsp.: 300,190). Die Vorschau wird durch einen einfachen Klick auf den Betreff der anzuzeigenden Nachricht aktiviert.'),
('de', 'felamimail', '(unknown sender)', '(unbekannter Absender)'),
('de', 'felamimail', '(separate multiple addresses by comma)', '(mehrere Adressen durch Komma trennen)'),
('de', 'felamimail', '(only cc/bcc)', '(nur Kopie/Blindkopie)'),
('de', 'felamimail', '(no subject)', '(kein Betreff)'),
('de', 'filemanager', 'your home directory', 'Ihr persönliches Verzeichnis'),
('de', 'felamimail', '%1 is not writable by you!', '%1 ist von Ihnen NICHT beschreibbar!'),
('de', 'filemanager', 'your home dir did not exist, egroupware created a new one.', 'Ihr Heimatverzeichnis hat nicht existiert. EGroupware hat ein neues für Sie angelegt.'),
('de', 'filemanager', 'you will be redirected to your start folder.', 'Sie werden zu Ihrem Anfangs- / Startverzeichnis geleitet.'),
('de', 'filemanager', 'you will be redirected to your home directory.', 'Sie werden zu Ihrem Heimatverzeichnis geleitet.'),
('de', 'filemanager', 'you need to select some files first!', 'Sie müssen zuerst die Dateien auswählen!'),
('de', 'filemanager', 'you do not have access to %1', 'Sie besitzen keine Zugriffsrechte für %1'),
('de', 'filemanager', 'you need to select an owner!', 'Sie müssen einen Eigentümer auswählen!'),
('de', 'filemanager', 'you are not allowed to upload a script!', 'Sie dürfen KEINE Skripte hochladen!'),
('de', 'filemanager', 'you can only grant additional rights, you can not take rights away!', 'Sie können nur zusätzliche Rechte gewähren, Rechte können NICHT weg genommen werden!'),
('de', 'filemanager', 'up', 'Nach oben'),
('de', 'filemanager', 'updated comment for %1', 'Kommentar für %1 aktualisiert'),
('de', 'filemanager', 'used space', 'Benutzter Platz'),
('de', 'filemanager', 'users and groups', 'Benutzer und Gruppen'),
('de', 'filemanager', 'wrong username or password!', 'Falscher Benutzername oder Passwort!'),
('de', 'filemanager', 'unused space', 'Nicht benutzter Platz'),
('de', 'filemanager', 'total files', 'Gesamtanzahl Dateien'),
('de', 'filemanager', 'to overwrite the existing file store again.', 'Zum Überschreiben der Datei nochmal speichern.'),
('de', 'filemanager', 'there''s already a file with that name!', 'Es gibt bereits eine Datei mit diesem Namen!'),
('de', 'filemanager', 'there''s already a directory with that name!', 'Es gibt bereits ein Verzeichnis mit diesem Namen!'),
('de', 'filemanager', 'the requested path %1 is not available.', 'Der angeforderte Verzeichnispfad %1 steht nicht zur Verfügung.'),
('de', 'filemanager', 'superuser', 'Superuser'),
('de', 'filemanager', 'symlink to %1 created.', 'Verknüpfung nach %1 angelegt.'),
('de', 'filemanager', 'the default start folder is your personal folder. the default is used, if you leave this empty, the path does not exist or you l', 'Die Vorgabe für das Anfangsverzeichnis ist Ihr persönlicher Ordner. Die Vorgabe wird verwendet, wenn Sie hier nichts eintragen, der Pfad nicht existiert oder Ihnen die notwendigen Zugriffsrechte fehlen.'),
('de', 'filemanager', 'startfolder', 'Anfangsordner'),
('de', 'filemanager', 'show link to filemanagers basedirectory (/) in side box menu?', 'Zeige die Verknüpfung zum Basisverzeichnis (/) des Dateimanagers im Seitenmenü?'),
('de', 'filemanager', 'size', 'Größe'),
('de', 'filemanager', 'start search', 'Suche starten'),
('de', 'filemanager', 'show hidden files', 'Zeige versteckte Dateien'),
('de', 'filemanager', 'show', 'Zeige'),
('de', 'filemanager', 'select file to upload in current directory', 'Datei zum hochladen in das aktuelle Verzeichnis auswählen.'),
('de', 'filemanager', 'select action...', 'Befehl auswählen...'),
('de', 'filemanager', 'search for ''%1''', 'nach %1 suchen'),
('de', 'filemanager', 'searchstring', 'Suchbegriff'),
('de', 'filemanager', 'saving properties failed!', 'Speichern der Eigenschaften fehlgeschlagen!'),
('de', 'filemanager', 'saved %1', '%1 gespeichert'),
('de', 'filemanager', 'save changes', 'Änderungen speichern'),
('de', 'filemanager', 'save %1, and go back to file listing', '%1 speichern und zurück zur Verzeichnisansicht'),
('de', 'filemanager', 'save %1', '%1 speichern'),
('de', 'filemanager', 'root access stopped.', 'Root Zugriff gestoppt.'),
('de', 'filemanager', 'root access granted.', 'Root Zugriff gewährt.'),
('de', 'filemanager', 'replaced %1', '%1 ersetzt'),
('de', 'filemanager', 'rights', 'Rechte'),
('de', 'filemanager', 'root', 'root'),
('de', 'filemanager', 'renamed %1 to %2.', '%1 nach %2 umbenannt.'),
('de', 'filemanager', 'renamed %1 to %2', '%1 nach %2 umbenannt'),
('de', 'filemanager', 'rename, change permissions or ownership', 'Umbennen, Zugriffsrechte oder Besitzer ändern'),
('de', 'filemanager', 'rename of %1 to %2 failed!', 'Umbenennung von %1 nach %2 schlug fehl!'),
('de', 'filemanager', 'reload', 'Aktualisieren'),
('de', 'filemanager', 'quick jump to', 'Springe zu'),
('de', 'filemanager', 'read & write access', 'Lese- und Schreibzugriff'),
('de', 'filemanager', 'read access only', 'Nur Lesezugriff'),
('de', 'filemanager', 'properties saved.', 'Eigenschaften gespeichert.'),
('de', 'filemanager', 'projectmanager', 'Projektmanager'),
('de', 'filemanager', 'preview of %1', 'Vorschau von %1'),
('de', 'filemanager', 'preview %1', 'Vorschau %1'),
('de', 'filemanager', 'preview', 'Vorschau'),
('de', 'filemanager', 'please select a file to delete.', 'Bitte wählen Sie eine Datei zum Löschen aus'),
('de', 'filemanager', 'open', 'Öffnen'),
('de', 'filemanager', 'operation', 'Vorgang'),
('de', 'filemanager', 'permission denied!', 'Zugriff verweigert!'),
('de', 'filemanager', 'permissions', 'Zugriffsrechte'),
('de', 'filemanager', 'permissions of %1 changed.', 'Zugriffsrechte von %1 geändert.'),
('de', 'filemanager', 'only owner can rename or delete the content', 'Nur der Besitzer kann den Inhalt umbenennen oder löschen.'),
('de', 'filemanager', 'no version history for this file/directory', 'Keine Versionshistorie für diese Datei oder dieses Verzeichnis.'),
('de', 'filemanager', 'no preview available', 'Keine Vorschau verfügbar.'),
('de', 'filemanager', 'no access', 'Kein Zugriff'),
('de', 'filemanager', 'no files in this directory.', 'Keine Dateien in diesem Verzeichnis.'),
('de', 'filemanager', 'moved %1 to %2', '%1 nach %2 verschoben'),
('de', 'filemanager', 'move to', 'Verschieben nach'),
('de', 'filemanager', 'move', 'verschieben'),
('de', 'filemanager', 'modify all subdirectories and their content', 'Änderungen auf alle Unterverzeichnisse und ihre Inhalte anwenden'),
('de', 'filemanager', 'modified between', 'verändert zwischen'),
('de', 'filemanager', 'modified', 'verändert'),
('de', 'filemanager', 'log out as superuser', 'Superuser abmelden'),
('de', 'filemanager', 'mime type', 'MIME-Typ'),
('de', 'filemanager', 'location', 'Ort'),
('de', 'filemanager', 'link target %1 not found!', 'Verknüpfungsziel %1 nicht gefunden!'),
('de', 'filemanager', 'link %1: %2', '%1. Verknüpfung: %2'),
('de', 'filemanager', 'link', 'verknüpfen'),
('de', 'filemanager', 'id', 'Id'),
('de', 'filemanager', 'inherited', 'Geerbt'),
('de', 'filemanager', 'go up', 'in das übergeordnete Verzeichnis wechseln'),
('de', 'filemanager', 'go to your home directory', 'Zu Ihrem Heimverzeichnis wechseln'),
('de', 'filemanager', 'go to', 'Gehe zu'),
('de', 'filemanager', 'go home', 'Gehe zum Heimverzeichnis'),
('de', 'filemanager', 'general', 'Allgemein'),
('de', 'filemanager', 'folder up', 'Übergeordnetes Verzeichnis'),
('de', 'filemanager', 'files in this directory', 'Dateien in diesem Verzeichnis'),
('de', 'filemanager', 'file successful uploaded.', 'Datei erfolgreich hochgeladen.'),
('de', 'filemanager', 'files from subdirectories', 'Dateien aus Unterverzeichnissen'),
('de', 'filemanager', 'file or directory not found!', 'Datei oder Verzeichnis nicht gefunden!'),
('de', 'filemanager', 'file names cannot contain "%1"', 'Dateinamen dürfen "%1" nicht enthalten'),
('de', 'filemanager', 'file deleted.', 'Datei gelöscht.'),
('de', 'filemanager', 'file %1 may be too big. contact your systemadministrator for further info', 'Die Datei %1 ist eventuell zu gross. Kontaktieren Sie Ihren Systemadministrator für weiterreichende Informationen.'),
('de', 'filemanager', 'file %1 could not be created.', 'Die Datei %1 konnte nicht erzeugt werden'),
('de', 'filemanager', 'file %1 already exists. please edit it or delete it first.', 'Datei %1 existiert bereits. Bitte editieren Sie diese, oder löschen Sie sie.'),
('de', 'filemanager', 'failed to create directory!', 'Konnte Verzeichnis nicht anlegen!'),
('de', 'filemanager', 'favorites', 'Favoriten'),
('de', 'filemanager', 'file', 'Datei'),
('de', 'filemanager', 'extended acl', 'Erweiterte Zugriffsrechte'),
('de', 'filemanager', 'failed to change permissions of %1!', 'Konnte Zugriffsrechte von %1 nicht ändern!'),
('de', 'filemanager', 'extended access control list', 'Erweiterte Zugriffsrechte'),
('de', 'filemanager', 'error deleting the acl entry!', 'Fehler beim Löschen des Zugriffsrechts!'),
('de', 'filemanager', 'executable', 'Ausführbar'),
('de', 'filemanager', 'enter the complete vfs path to specify your desired start folder.', 'Geben Sie den kompletten VFS Pfad zu Ihrem gewünschten Anfangsverzeichnis ein'),
('de', 'filemanager', 'error adding the acl!', 'Fehler beim Hinzufügen des Zugriffsrechts!'),
('de', 'filemanager', 'error creating symlink to target %1!', 'Fehler beim Anlegen einer Verknüpfung zu %1!'),
('de', 'filemanager', 'enter the complete vfs path to specify a fast access link to a folder (1).', 'Geben Sie den kompletten Pfad ein, um einen Schnelle Zugangsverknüpfung zu einem Verzeichnis zu erzeugen (1)'),
('de', 'filemanager', 'enter the complete vfs path to specify a fast access link to a folder', 'Geben Sie den kompletten VFS Pfad ein, um einen Verweis zu diesem Ordner im Seitenmenü zu erzeugen'),
('de', 'filemanager', 'enter setup user and password', 'Setup Benutzer und Passwort eingeben'),
('de', 'filemanager', 'enter setup user and password to get root rights', 'Setup Benutzer und Passwort eingeben um root Rechte zu erhalten'),
('de', 'filemanager', 'edit settings', 'Eigenschaften bearbeiten'),
('de', 'filemanager', 'download', 'Herunterladen'),
('de', 'filemanager', 'edit comments', 'Kommentare bearbeiten'),
('de', 'filemanager', 'do you want to overwrite the existing file %1?', 'Wollen Sie die existierende Datei %1 überschreiben?'),
('de', 'filemanager', 'display of content', 'Anzeigen des Inhaltes'),
('de', 'filemanager', 'display and modification of content', 'Anzeigen und Verändern des Inhaltes'),
('de', 'filemanager', 'directory not found or no permission to access it!', 'Verzeichnis wurde nicht gefunden oder Sie haben keine Rechte um darauf zuzugreifen!');
INSERT INTO `egw_lang` (`lang`, `app_name`, `message_id`, `content`) VALUES
('de', 'filemanager', 'directory %1 already exists', 'Verzeichnis %1 existiert bereits'),
('de', 'filemanager', 'directory %1 does not exist', 'Verzeichnis %1 existiert nicht'),
('de', 'filemanager', 'directory names cannot contain "%1"', 'Verzeichnisnamen dürfen kein "%1" enthalten'),
('de', 'filemanager', 'directory', 'Verzeichnis'),
('de', 'filemanager', 'directories sorted in', 'Verzeichnisse einsortiert'),
('de', 'filemanager', 'delete this file or directory', 'Datei oder Verzeichnis löschen'),
('de', 'filemanager', 'deleted %1', '%1 gelöscht'),
('de', 'filemanager', 'default behavior is no. the link will not be shown, but you are still able to navigate to this location, or configure this paric', 'Vorgabe ist NEIN. Der Verweis wird nicht angezeigt, Sie können aber immer zu diesem Verzeichnis navigieren, Sie können aber das Verzeichnis als Startverzeichnis oder als Verzeichnisverweis konfigurieren.'),
('de', 'filemanager', 'cut to clipboard', 'Ausschneiden in die Zwischenablage'),
('de', 'filemanager', 'cut', 'Ausschneiden'),
('de', 'filemanager', 'custom fields', 'Benutzerdefinierte Felder'),
('de', 'filemanager', 'current directory', 'Aktuelles Verzeichnis'),
('de', 'filemanager', 'created between', 'erstellt zwischen'),
('de', 'filemanager', 'created directory %1', 'Verzeichis %1 erstellt'),
('de', 'filemanager', 'created %1,%2', 'erstellt %1, %2'),
('de', 'filemanager', 'created', 'erstellt'),
('de', 'filemanager', 'create directory', 'Verzeichnis anlegen'),
('de', 'filemanager', 'create file', 'Datei erstellen'),
('de', 'filemanager', 'create folder', 'Verzeichnis erstellen'),
('de', 'filemanager', 'create a link', 'Verknüpfung anlegen'),
('de', 'filemanager', 'could not rename %1 to %2', 'Konnte %1 nicht in %2 umbenennen'),
('de', 'filemanager', 'could not save %1', 'Konnte %1 nicht speichern'),
('de', 'filemanager', 'could not move file because no destination directory is given', 'Die Datei konnte nicht verschoben werden, da kein Zielverzeichnis angegeben ist.'),
('de', 'filemanager', 'could not move %1 to %2', 'Konnte %1 nicht nach %2 verschieben'),
('de', 'filemanager', 'could not create %1', 'Konnte %1 nicht erstellen'),
('de', 'filemanager', 'could not delete %1', 'Konnte %1 nicht löschen'),
('de', 'filemanager', 'copy', 'Kopieren'),
('de', 'filemanager', 'copy to', 'Kopieren nach'),
('de', 'filemanager', 'copy to clipboard', 'Kopieren in die Zwischenablage'),
('de', 'filemanager', 'could not copy %1 to %2', 'Konnte %1 nicht nach %2 kopieren'),
('de', 'filemanager', 'could not copy file because no destination directory is given', 'Die Datei konnte nicht kopiert werden, da kein Zielverzeichnis angegeben ist.'),
('de', 'filemanager', 'copied %1 to %2', '%1 nach %2 kopiert'),
('de', 'filemanager', 'comment', 'Kommentar'),
('de', 'filemanager', 'comments cannot contain "%1"', 'Kommentare dürfen "%1" nicht enthalten'),
('de', 'filemanager', 'copied', 'kopiert'),
('de', 'filemanager', 'clear search', 'Suchfelder zurücksetzen'),
('de', 'filemanager', 'check all', 'Alle auswählen'),
('de', 'filemanager', 'cannot create directory because it begins or ends in a space', 'Die Erstellung des Verzeichnisses schlug fehl, da es mit einem Leerzeichen beginnt oder endet'),
('de', 'filemanager', 'cancel editing %1 without saving', 'Beende das Bearbeiten von %1 ohne zu Speichern'),
('de', 'filemanager', 'basedirectory', 'Basisverzeichnis'),
('de', 'filemanager', 'can''t open directory %1!', 'Kann Verzeichnis %1 nicht öffnen!'),
('de', 'filemanager', 'actions', 'Befehle'),
('de', 'filemanager', 'and all it''s childeren', 'und alle seine Kinderelemente'),
('de', 'filemanager', 'acl deleted.', 'Zugriffsrecht gelöscht.'),
('de', 'filemanager', 'acl added.', 'Zugriffsrecht hinzugefügt.'),
('de', 'filemanager', 'accessrights', 'Zugangsberechtigungen'),
('de', 'filemanager', '%1 urls %2 to clipboard.', '%1 Adressen in die Zwischenablage %2.'),
('de', 'filemanager', '%1 the following files into current directory', 'Die folgenden Dateien in das aktuelle Verzeichnis %1'),
('de', 'filemanager', '%1 successful uploaded.', '%1 erfolgreich hochgeladen.'),
('de', 'filemanager', '%1 starts with ''%2''', '%1 beginnt mit ''%2'''),
('de', 'filemanager', '%1 files copied.', '%1 Dateien kopiert.'),
('de', 'filemanager', '%1 files deleted.', '%1 Dateien gelöscht.'),
('de', 'filemanager', '%1 files moved.', '%1 Dateien verschoben.'),
('de', 'filemanager', '%1 failed, %2 succeded', '%1 fehlgeschlagen, %2 erfolgreich'),
('de', 'filemanager', '%1 errors moving (%2 files moved)!', '%1 Fehler beim Verschieben (%2 Dateien verschoben)!'),
('de', 'filemanager', '%1 errors linking (%2)!', '%1 Fehler beim Verknüpfen (%2)!'),
('de', 'filemanager', '%1 errors deleteting (%2 directories and %3 files deleted)!', '%1 Fehler beim Löschen (%2 Verzeichnisse und %3 Dateien gelöscht)!'),
('de', 'filemanager', '%1 errors copying (%2 diretories and %3 files copied)!', '%1 Fehler beim Kopieren (%2 Verzeichnisse und %3 Dateien kopiert)!'),
('de', 'filemanager', '%1 elements linked.', '%1 Elemente verknüpft.'),
('de', 'filemanager', '%1 directories and %2 files deleted.', '%1 Verzeichnisse und %2 Dateien gelöscht.'),
('de', 'filemanager', '%1 directories and %2 files copied.', '%1 Verzeichnisse und %2 Dateien kopiert.'),
('de', 'filemanager', '%1 already exists as a file', '%1 existiert schon als Datei'),
('de', 'filemanager', 'maximum size for uploads', 'Maximale Größe beim Hochladen'),
('de', 'etemplate', 'you need to select a file first!', 'Sie müssen zuerst eine Datei auswählen!'),
('de', 'filemanager', 'error uploading file!', 'Fehler beim Hochladen der Datei!'),
('de', 'etemplate', 'you are not allowed to export more then %1 entries!', 'Sie sind nicht berechtigt mehr als %1 Datensätze zu exportieren!'),
('de', 'etemplate', 'you can respond by visiting:', 'Sie können unter dem folgenden Verweis antworten:'),
('de', 'etemplate', 'year', 'Jahr'),
('de', 'etemplate', 'xml-file to import', 'XML Datei zum Importieren'),
('de', 'etemplate', 'xslt template', 'XSLT Template'),
('de', 'etemplate', 'writes a ''etemplates.inc.php'' file (for application in name) in the setup-dir of the app', 'schreibt ein Distributionsfile ''etemplates.inc.php'' (für die Anwendung in Name) in das Setup Verzeichnis der Anwendung'),
('de', 'etemplate', 'write langfile', 'Sprachdatei'),
('de', 'etemplate', 'write tables', 'Tabelle Schreiben'),
('de', 'etemplate', 'write <app>/setup/tables_current.inc.php', 'schreibt <app>/setup/tables_current.inc.php'),
('de', 'etemplate', 'working days', 'Werktage'),
('de', 'etemplate', 'width, disabled', 'Breite, Deaktiviert'),
('de', 'etemplate', 'width of the table in % or pixels for the table-tag and (optional) div', 'Breite der Tabelle in % oder Punkten'),
('de', 'etemplate', 'width of column (in % or pixel)', 'Breite der Spalte (in % oder Punkten)'),
('de', 'etemplate', 'width', 'Breite'),
('de', 'etemplate', 'width of col (in % or pixel), disable col: [! = not]<value>[=<check>] eg: ''!@data'' disable col if content of data is empty', 'Breite der Spalte (in % oder Punkten), deaktiviert Spalten: [! = nicht]<wert>[=<test>] zB.: ''!@data'' deaktiviert Spalte wenn data leer ist'),
('de', 'etemplate', 'widget copied into clipboard', 'Widget wurde in die Zwischenablage kopiert'),
('de', 'etemplate', 'what happens with overflowing content: visible (default), hidden, scroll, auto (browser decides)', 'was passiert mit überbreitem Inhalt: sichtbar (standard), versteckt, rollend, automatisch (der Browser entscheidet)'),
('de', 'etemplate', 'weekend', 'Wochenende'),
('de', 'etemplate', 'view this linked entry in its application', 'Zeige diesen Eintrag in seiner Anwendung an'),
('de', 'etemplate', 'view this etemplate', 'dieses eTemplate anzeigen'),
('de', 'etemplate', 'vertical alignment of row', 'vertikale Ausrichtung der Zeile'),
('de', 'etemplate', 'version-number, should be in the form: major.minor.revision.number (eg. 0.9.13.001 all numbers filled up with zeros)', 'Versionsnummer, in der Form major.minor.revision.number (zB. 0.9.15.001 alle Zahlen mit Nullen aufgefüllt)'),
('de', 'etemplate', 'version', 'Version'),
('de', 'etemplate', 'vbox', 'VBox'),
('de', 'etemplate', 'value has to be at maximum ''%1'' !!!', 'Der Wert darf höchstens ''%1'' betragen !!!'),
('de', 'etemplate', 'value has to be at least ''%1'' !!!', 'Der Wert muss mindestens ''%1'' betragen !!!'),
('de', 'etemplate', 'upload', 'Hochladen'),
('de', 'etemplate', 'valign', 'vAlign'),
('de', 'etemplate', 'value', 'Wert'),
('de', 'etemplate', 'update from version ''%s'' to', 'Update von Version ''%s'' auf'),
('de', 'etemplate', 'unlink', 'Lösen'),
('de', 'etemplate', 'update a single entry by passing the fields.', 'Aktualisiert einen einzelnen Eintrag über seine Felder.'),
('de', 'etemplate', 'type of the column', 'Typ der Spalte'),
('de', 'etemplate', 'type of the field (select label if field should be empty)', 'Type des Feldes (Beschriftung auswählen wenn Feld leer sein soll)'),
('de', 'etemplate', 'unique', 'Unique'),
('de', 'etemplate', 'type', 'Typ'),
('de', 'etemplate', 'to start the search', 'startet die Suche'),
('de', 'etemplate', 'today', 'Heute'),
('de', 'etemplate', 'top', 'Oben'),
('de', 'etemplate', 'tree', 'Baum'),
('de', 'etemplate', 'to start the etemplate editor', 'startet den eTemplate Editor'),
('de', 'etemplate', 'to start the db-tools', 'startet die DB-Tools'),
('de', 'etemplate', 'to disable: [! = not]<value>[=<check>] eg: ''!@data'' disables if content of data is empty', 'zum deaktivieren: [! = nicht]<wert>[=<test>] zB.: ''!@data'' deaktiviert wenn data leer ist'),
('de', 'etemplate', 'time', 'Uhrzeit'),
('de', 'etemplate', 'this text gets displayed if the input-field is empty and has no focus (blur)', 'dieser Text wird im Eingabefeld angezeigt, wenn es leer ist und nicht im Fokus ist (engl. blur)'),
('de', 'etemplate', 'text', 'Textfeld'),
('de', 'etemplate', 'textarea', 'mehrzeiliges Textfeld'),
('de', 'etemplate', 'template deleted', 'Template gelöscht'),
('de', 'etemplate', 'template saved', 'Template gespeichert'),
('de', 'etemplate', 'template', 'Template'),
('de', 'etemplate', 'tabs', 'Karteikarten'),
('de', 'etemplate', 'tablename', 'Tabellenname'),
('de', 'etemplate', 'table unchanged, no write necessary !!!', 'Tabelle nicht geändert, kein schreiben notwendig !!!'),
('de', 'etemplate', 'tabindex', 'Tab-Reihenfolge'),
('de', 'etemplate', 'switch to an other widgets of that container', 'wechselt zu einem anderen Element dieses Containers'),
('de', 'etemplate', 'switch to a parent widget', 'wechselt zum Elternelement'),
('de', 'etemplate', 'swap with next column', 'tauscht Spalte mit der nächsten'),
('de', 'etemplate', 'swap with next row', 'tauscht Zeile mit der nächsten'),
('de', 'etemplate', 'swap', 'tauschen'),
('de', 'etemplate', 'swap widget with next one', 'tauscht das Widget mit dem nächsten'),
('de', 'etemplate', 'submit form', 'Formular abschicken'),
('de', 'etemplate', 'submitbutton', 'Schaltfläche'),
('de', 'etemplate', 'start new search for the above pattern', 'neue Suche für das obige Muster starten'),
('de', 'etemplate', 'stack', 'Stapel'),
('de', 'etemplate', 'start a new search, cancel this link', 'neue Suche Starten, diese Verknüpfung abbrechen'),
('de', 'etemplate', 'spacing', 'Zellenabstand'),
('de', 'etemplate', 'span', 'Überspannt'),
('de', 'etemplate', 'span, class', 'Span, Class'),
('de', 'etemplate', 'shows/displays etemplate for testing, does not save it before', 'zeigt eTemplate zum Testen an, speichert es NICHT davor'),
('de', 'etemplate', 'shows / allows you to enter values into the etemplate for testing', 'zeigt den Inhalt / Werte an und erlaubt welche zum Testen des eTemplates einzugeben'),
('de', 'etemplate', 'showing', 'zeigt'),
('de', 'etemplate', 'show values', 'Werte anzeigen'),
('de', 'etemplate', 'show all / cancel filter', 'Alle anzeigen / Filter aufheben'),
('de', 'etemplate', 'show (no save)', 'Anzeigen (nicht speichern)'),
('de', 'etemplate', 'show', 'Anzeigen'),
('de', 'etemplate', 'should the form be submitted or any custom javascript be executed', 'Soll das Formular abgeschickt werden oder beliebiges JavaScript ausgeführt werden'),
('de', 'etemplate', 'sets today as date', 'setzt heutiges Datum'),
('de', 'etemplate', 'select year', 'Jahr auswählen'),
('de', 'etemplate', 'selectbox', 'Auswahlbox'),
('de', 'etemplate', 'select which values to show', 'auswählen welche Werte angezeigt werden'),
('de', 'etemplate', 'select which accounts to show', 'Benutzer zum Anzeigen auswählen'),
('de', 'etemplate', 'select this etemplate to delete it', 'dieses eTemplate zum Löschen auswählen'),
('de', 'etemplate', 'select the indexed columns in their desired order', 'Zu indizierende Spalten in der gewünschten Reihenfolge auswählen'),
('de', 'etemplate', 'select the columns to display in the list', 'Wählen Sie die Spalten aus, die in der Liste angezeigt werden sollen'),
('de', 'etemplate', 'select state', 'US-State auswählen'),
('de', 'etemplate', 'select priority', 'Priorität auswählen'),
('de', 'etemplate', 'select percentage', 'Prozente auswählen'),
('de', 'etemplate', 'select one ...', 'Eine auswählen ...'),
('de', 'etemplate', 'select language', 'Sprache auswählen'),
('de', 'etemplate', 'select month', 'Monat auswählen'),
('de', 'etemplate', 'select number', 'Zahl auswählen'),
('de', 'etemplate', 'select if content of field should not be translated (label gets always translated)', 'abhaken wenn Inhalt des Feldes nicht übersetzt werden soll (Beschriftung wird immer übersetzt)'),
('de', 'etemplate', 'select hour', 'Stunde auswählen'),
('de', 'etemplate', 'select entry', 'Eintrag auswählen'),
('de', 'etemplate', 'select day of week', 'Wochentag auswählen'),
('de', 'etemplate', 'select country', 'Land auswählen'),
('de', 'etemplate', 'select day', 'Tag auswählen'),
('de', 'etemplate', 'select columns', 'Spalten auswählen'),
('de', 'etemplate', 'select category', 'Kategorie auswählen'),
('de', 'etemplate', 'select application to search', 'Anwendung zum Suchen auswählen'),
('de', 'etemplate', 'select application', 'Anwendung auswählen'),
('de', 'etemplate', 'select an table of the application', 'Tabelle der Anwendung auswählen'),
('de', 'etemplate', 'select an entry to link with', 'Eintrag zum Verknüpfen auswählen'),
('de', 'etemplate', 'select an application, (*) = uninstalled', 'Anwendung auswählen, (*) = nicht installiert'),
('de', 'etemplate', 'select an application', 'Anwendung auswählen'),
('de', 'etemplate', 'select an app to search in', 'Anwendung zum Durchsuchen auswählen'),
('de', 'etemplate', 'select an app first !!!', 'Bitte wählen Sie zuerst ein Anwendung aus !!!'),
('de', 'etemplate', 'select account', 'Benutzer auswählen'),
('de', 'etemplate', 'select access', 'Zugriff auswählen'),
('de', 'etemplate', 'select a primary contact, to show in the list', 'einen Hauptkontakt auswählen, der in der Auflistung mit angezeigt wird'),
('de', 'etemplate', 'select a category', 'eine Kategorie auswählen'),
('de', 'etemplate', 'search', 'Suchen'),
('de', 'etemplate', 'scale', 'Scale'),
('de', 'etemplate', 'scale for float', 'Nachkommastellen für Gleitkommawerte'),
('de', 'etemplate', 'saves the template with given version number and closes the window', 'speichert das Template unter der angegebenen Versionsnummer und schließt das Fenster'),
('de', 'etemplate', 'saves changes to tables_current.inc.php', 'speichert die Änderungen in tables_current.inc.php'),
('de', 'etemplate', 'save the etemplate under the above keys (name, ...), change them for a saveas', 'Speichert das eTemplate unter den obigen Schlüsseln (name, ...), ändern für ein Speichern unter'),
('de', 'etemplate', 'save the changes made and close the window', 'speichert die Änderungen uns schließt das Fenster'),
('de', 'etemplate', 'save selected columns as default preference for all users.', 'Speichert die ausgewählten Spalten als Vorgabe für alle Benutzer.'),
('de', 'etemplate', 'right', 'Rechts'),
('de', 'etemplate', 'row...', 'Zeile...'),
('de', 'etemplate', 'returns savely, without deleting', 'Abbruch, OHNE zu löschen'),
('de', 'etemplate', 'required', 'Benötigt'),
('de', 'etemplate', 'remove this link (not the entry itself)', 'entfernt diese Verknüpfung (nicht den Eintrag selbst)'),
('de', 'etemplate', 'remove row (can not be undone!!!)', 'löscht eine Zeile (NICHT rückgängig zu machen)'),
('de', 'etemplate', 'readonly', 'nur lesen'),
('de', 'etemplate', 'read etemplate from database (for the keys above)', 'ließt ein eTemplate aus der Datenbank (für die Schlüssel darüber)'),
('de', 'etemplate', 'read a single entry by passing the id and fieldlist.', 'Liste einen einzelnen Eintrag durch Übergabe seiner Id und Feldliste.'),
('de', 'etemplate', 'radiobutton', 'Radioknopf'),
('de', 'etemplate', 'read', 'Lesen'),
('de', 'etemplate', 'read a list of entries.', 'Liest eine Liste von Einträgen.'),
('de', 'etemplate', 'primary key for the table, gets automaticaly indexed', 'Hauptindex (Primary Key) der Tabelle, wird automatisch indiziert'),
('de', 'etemplate', 'primary key', 'Primary Key'),
('de', 'etemplate', 'precision', 'Genauigkeit'),
('de', 'etemplate', 'pm', 'Nachmittag'),
('de', 'etemplate', 'popup', 'Pop-up'),
('de', 'etemplate', 'path', 'Pfad'),
('de', 'etemplate', 'please enter table-name first !!!', 'Bitte geben Sie zuerst einen Tabellennamen an !!!'),
('de', 'etemplate', 'parent is a ''%1'' !!!', 'Elternelement is ein ''%1'' !!!'),
('de', 'etemplate', 'paste', 'Einfügen'),
('de', 'etemplate', 'overflow', 'Überbreite'),
('de', 'etemplate', 'padding', 'Innenabstand'),
('de', 'etemplate', 'order to navigating by tab key through the form', 'Reihenfolge bei der Navigation mit der Tabulator Taste durch das Formular'),
('de', 'etemplate', 'options', 'Optionen'),
('de', 'etemplate', 'operator', 'Operator'),
('de', 'etemplate', 'optional note about the link', 'optionale Notiz zur Verknüpfung'),
('de', 'etemplate', 'open the online help.', 'Öffnet die online Hilfe.'),
('de', 'etemplate', 'only an other version found !!!', 'nur eine andere Version gefunden !!!'),
('de', 'etemplate', 'onchange', 'onChange'),
('de', 'etemplate', 'onclick', 'onClick'),
('de', 'etemplate', 'of', 'von'),
('de', 'etemplate', 'number of rows/cols in a v/hbox, cellpadding, cellspacing', 'Anzahl Zeilen/Spalten der V/HBox, Innenabstand (Cellpadding), Zellenabstand (Cellspacing)'),
('de', 'etemplate', 'number of colums the field/cell should span or ''all'' for the remaining columns, css-class name (for the td tag)', 'Anzahl der Spalten die ein Feld überspannt oder ''all'' für die übrigen Spalten, CSS class Name (für das TD-tag)'),
('de', 'etemplate', 'nothing matched search criteria !!!', 'Nicht gefunden bei diesem Suchkriterium !!!'),
('de', 'etemplate', 'nothing in clipboard to paste !!!', 'Zwischenablage leer - nichts zum einfügen !!!'),
('de', 'etemplate', 'nothing', 'nichts'),
('de', 'etemplate', 'nothing found - try again !!!', 'Nichts gefunden - nochmal versuchen !!!'),
('de', 'etemplate', 'no row to swap with !!!', 'Keine Zeile um damit zu tauschen !!!'),
('de', 'etemplate', 'not null', 'NOT NULL'),
('de', 'etemplate', 'no filename given or selected via browse...', 'kein Dateiname angegeben oder mit [Browse...] ausgewählt'),
('de', 'etemplate', 'no matches found', 'Keine Treffer gefunden'),
('de', 'etemplate', 'no file', 'keine Datei'),
('de', 'etemplate', 'nextmatch sortheader', 'Nextmatch Sortierkopf'),
('de', 'etemplate', 'no column to swap with !!!', 'Keine Spalte um damit zu tauschen !!!'),
('de', 'etemplate', 'nextmatch custom filterheader', 'Nextmatch freier Filterkopf'),
('de', 'etemplate', 'nextmatch filterheader', 'Nextmatch Filterkopf'),
('de', 'etemplate', 'nextmatch header', 'Nextmatch Spaltenkopf'),
('de', 'etemplate', 'nextmatch accountfilter', 'Nextmatch Benutzerfilter'),
('de', 'etemplate', 'nextmatch', 'Nextmatch'),
('de', 'etemplate', 'new table created', 'Neue Tabelle erzeugt'),
('de', 'etemplate', 'newer version ''%1'' exists !!!', 'Neuere Version ''%1'' existiert !!!'),
('de', 'etemplate', 'need to be unique in the table and no reseved word from sql, best prefix all with a common 2-digit short for the app, eg. ''et_''', 'muss für die Tabelle einmalig sein und darf kein reserviertes Wort in SQL sein, am besten alle Spalten mit einem gemeinsamen Kürzel der Anwendung beginnen: z.b. ''et_'''),
('de', 'etemplate', 'name of table to add', 'Name der zuzufügenden Tabelle'),
('de', 'etemplate', 'name of the etemplate, should be in form application.function[.subtemplate]', 'Name des eTemplate, in der Form anwendung.funktion[.subTemplate]'),
('de', 'etemplate', 'name', 'Name'),
('de', 'etemplate', 'name of other table where column is a key from', 'Name der anderen Tabelle von der diese Spalte ein Schlüssel ist'),
('de', 'etemplate', 'name of phpgw-template set (e.g. verdilak): '''' = default (will read pref. template, us ''default'' to read default template '''')', 'Name des eGW layouts (zb. verdilak): '''' = Standard (ließt das bevorzugte Layout, benutze ''default'' um das Standard Layout '''' zu lesen)'),
('de', 'etemplate', 'multicolumn indices', 'Mehrspaltige Indices'),
('de', 'etemplate', 'more than 1 match for ''%1''', 'Mehr als 1 trifft für ''%1'' zu'),
('de', 'etemplate', 'month', 'Monat'),
('de', 'etemplate', 'linklist', 'VerknüpfungListe'),
('de', 'etemplate', 'linkstring', 'VerknüpfungZeichenkette'),
('de', 'etemplate', 'linkto', 'VerknüpfungZu'),
('de', 'etemplate', 'load this template into the editor', 'lädt diese Template zum Bearbeiten'),
('de', 'etemplate', 'message ...', 'Nachricht ...'),
('de', 'etemplate', 'middle', 'Mittig'),
('de', 'etemplate', 'minute', 'Minute'),
('de', 'etemplate', 'minutes', 'Minuten'),
('de', 'etemplate', 'linkentry', 'VerknüpfungEintrag'),
('de', 'etemplate', 'link', 'Verknüpfung'),
('de', 'etemplate', 'linkapps', 'VerknüpfungAnwendungen'),
('de', 'etemplate', 'last', 'Letzte'),
('de', 'etemplate', 'left', 'Links'),
('de', 'etemplate', 'length for char+varchar, precisions int: 2, 4, 8 and float: 4, 8', 'Länge für char+varchar, Genauigkeit für int: 2, 4, 8 und float: 4, 8'),
('de', 'etemplate', 'lang', 'Sprache'),
('de', 'etemplate', 'language-short (eg. ''en'' for english) for language-dependent template ('''' reads your pref. languages or the default, us ''default', 'Kürzel der Sprache (zb. ''en'' für Englisch) für sprachabhängige Templates ('''' ließt die bevorzugte Sprache, benutze ''default'' für das Standard Template '''')'),
('de', 'etemplate', 'label', 'Beschriftung'),
('de', 'etemplate', 'label:[bold][italic] text:[len][,max] numbers:[min][,[max][,len]] t.area:[rows][,cols] radiob.:value h.rule:[width] templ.:[inde', 'Beschriftung:[bold][italic] Text:[len][,max] Zahlen:[min][,[max][,len]] mehrz.Text:[Zeilen][,Spalten] Radiok.:Wert Templ.:[IndexInContent] Auswahl:[mehrzeilig] Datum:[Format: zB. ''Y-m-d'']'),
('de', 'etemplate', 'integer', 'Ganzzahl'),
('de', 'etemplate', 'key', 'Schlüssel'),
('de', 'etemplate', 'insert new row in front of first line', 'Neue Zeile vor dieser einfügen'),
('de', 'etemplate', 'insert new column behind this one', 'Neue Spalte hinter dieser einfügen'),
('de', 'etemplate', 'insert new column in front of all', 'Neue Spalte vor dieser einfügen'),
('de', 'etemplate', 'insert new row after this one', 'Neue Zeile nach dieser einfügen'),
('de', 'etemplate', 'insert a widget before', 'ein Widget davor einfügen'),
('de', 'etemplate', 'insert a widget behind', 'ein Widget dahinter einfügen'),
('de', 'etemplate', 'insert a row below', 'eine Zeile darunter einfügen'),
('de', 'etemplate', 'insert a row above', 'eine Zeile darüber einfügen'),
('de', 'etemplate', 'insert a column behind', 'eine Spalte dahinter einfügen'),
('de', 'etemplate', 'insert a column before', 'eine Spalte davor einfügen'),
('de', 'etemplate', 'indexed', 'Indiziert'),
('de', 'etemplate', 'indexoptions', 'Indexoptionen'),
('de', 'etemplate', 'index/name of returned content (name of the template, link / method for image)', 'Index / Name des zurückgelieferten Inhalts (Name des eTemplates oder Link/Methode für Grafik)'),
('de', 'etemplate', 'increment version to not overwrite the existing template', 'Version erhöhen um das existierende Template nicht zu überschreiben'),
('de', 'etemplate', 'import xml', 'XML Import'),
('de', 'etemplate', 'import table-definitions from existing db-table', 'Importiert die Tabellen-Definition aus einer bestehenden Datenbank-Tabelle'),
('de', 'etemplate', 'image', 'Grafik'),
('de', 'etemplate', 'import', 'Import'),
('de', 'etemplate', 'import an etemplate from a xml-file', 'Importiert ein eTemplate aus einer XML Datei'),
('de', 'etemplate', 'html', 'HTML'),
('de', 'etemplate', 'if field is disabled an empty table-cell is displayed, for (temporal) removement of a field/cell', 'wenn das Feld deaktiviert ist, wird eine leere Tabellenzelle angezeigt, zum (zeitweisen) Entfernen eines Feldes'),
('de', 'etemplate', 'how many entries should the list show', 'Wie viele Einträge soll die Liste anzeigen'),
('de', 'etemplate', 'hour', 'Stunde'),
('de', 'etemplate', 'hours', 'Stunden'),
('de', 'etemplate', 'help', 'Hilfe'),
('de', 'etemplate', 'history log', 'Versionshistorie'),
('de', 'etemplate', 'horizontal rule', 'Waagrechte Linie'),
('de', 'etemplate', 'height of the table in % or pixels for the table-tag and (optional) div', 'Höhe der Tabelle in % oder Punkten'),
('de', 'etemplate', 'height, disabled', 'Höhe, Deaktiviert'),
('de', 'etemplate', 'groupbox', 'Gruppierung'),
('de', 'etemplate', 'hbox', 'HBox'),
('de', 'etemplate', 'height', 'Höhe'),
('de', 'etemplate', 'height of row (in % or pixel)', 'Höhe der Zeile (in % oder Pixel)'),
('de', 'etemplate', 'height of row (in % or pixel), disable row: [! = not]<value>[=<check>] eg: ''!@data'' disable row if content of data is empty', 'Höhe der Zeile (in % oder Pixel), Zeile ausschalten: [! = nicht]<wert>=[<prüfung>]: eg. ''!@data'' schaltet Zeile aus, wenn Inhalt von data leer ist'),
('de', 'etemplate', 'go to the next page of entries', 'gehe zur nächsten Seite'),
('de', 'etemplate', 'go to the previous page of entries', 'gehe zur vorherigen Seite'),
('de', 'etemplate', 'grid', 'Tabelle'),
('de', 'etemplate', 'grid column attributes', 'Attribute der Tabellenspalte'),
('de', 'etemplate', 'grid row attributes', 'Attribute der Tabellenzeile'),
('de', 'etemplate', 'go to the last entry', 'gehe zum letzten Eintrag'),
('de', 'etemplate', 'go to the first entry', 'gehe zum ersten Eintrag'),
('de', 'etemplate', 'formatted text (html)', 'Formatierter Text (HTML)'),
('de', 'etemplate', 'foreign key', 'Foreign Key'),
('de', 'etemplate', 'first', 'Zuerst'),
('de', 'etemplate', 'floating point', 'Gleitkommawert'),
('de', 'etemplate', 'fileupload', 'DateiUpload'),
('de', 'etemplate', 'file writen', 'Datei geschrieben'),
('de', 'etemplate', 'file ''%1'' not found!', 'Datei ''%1'' nicht gefunden!'),
('de', 'etemplate', 'file contains more than one etemplate, last one is shown !!!', 'Datei enthält mehr als ein eTemplate, das letzte wird angezeigt !!!'),
('de', 'etemplate', 'file is of wrong type (%1 != %2)!', 'Datei hat ungültigen Typ (%1 != %2)!'),
('de', 'etemplate', 'export xml', 'XML Export'),
('de', 'etemplate', 'extensions loaded:', 'Erweiterungen geladen:'),
('de', 'etemplate', 'field', 'Feld'),
('de', 'etemplate', 'field must not be empty !!!', 'Das Feld darf nicht leer sein !!!'),
('de', 'etemplate', 'file', 'Datei'),
('de', 'etemplate', 'export the loaded etemplate into a xml-file', 'das geladene eTemplate als XML Datei (.xet) exportieren'),
('de', 'etemplate', 'exchange this two columns', 'diese beiden Spalten austauschen'),
('de', 'etemplate', 'etemplate tutorial', 'eTemplate Einführung'),
('de', 'etemplate', 'exchange this row with the one above', 'diese Zeile mit der darüber austauschen'),
('de', 'etemplate', 'etemplate editor', 'eTemplate Editor'),
('de', 'etemplate', 'etemplate reference', 'eTemplate Handbuch'),
('de', 'etemplate', 'etemplate ''%1'' written to ''%2''', 'eTemplate ''%1'' wurde nach ''%2'' geschrieben'),
('de', 'etemplate', 'etemplate ''%1'' imported, use save to put it in the database', 'eTemplate ''%1'' importiert, benutze Speichern um es in der Datenbank abzulegen'),
('de', 'etemplate', 'error: writing file (no write-permission for the webserver) !!!', 'Fehler: Datei schreiben (keine Schreibberechtigung für den Webserver) !!!'),
('de', 'etemplate', 'error: while saving !!!', 'Fehler: beim Speichern !!!'),
('de', 'etemplate', 'error: webserver is not allowed to write into ''%1'' !!!', 'Fehler: der Webserver hat keine Schreibberechtigung in ''%1'' !!!'),
('de', 'etemplate', 'error deleting %1!', 'Fehler beim Löschen von %1!'),
('de', 'etemplate', 'error: template not found !!!', 'Fehler: eTemplate nicht gefunden !!!'),
('de', 'etemplate', 'error create parent directory %1!', 'Fehler beim Anlegen des Elternverzeichnisses %1!'),
('de', 'etemplate', 'enter the new version number here (has to be > old_version)', 'Neue Versionsnummer eingeben (muss größer als die alte sein)'),
('de', 'etemplate', 'entry saved', 'Eintrag gespeichert'),
('de', 'etemplate', 'error copying uploaded file to vfs!', 'Fehler beim Kopieren der  hoch geladenen Datei ins VFS!'),
('de', 'etemplate', 'enter the new version number here (> old_version), empty for no update-file', 'Neue Versionsnummer eingeben (größer als alte), leer wenn keine Update-Datei erzeugt werden soll'),
('de', 'etemplate', 'enter a search pattern', 'Suchmuster eingeben'),
('de', 'etemplate', 'enter filename to upload and attach, use [browse...] to search for it', 'Dateinamen zum Hochladen oder Anhängen eingeben, [Browse ...] zum Suchen verwenden'),
('de', 'etemplate', 'enter '''' for an empty default, nothing mean no default', ''''' für einen leeren Vorgabewert eingeben, nichts bedeutet keine Vorgabe'),
('de', 'etemplate', 'enable javascript onchange submit', 'JavaScript absenden bei Änderung (onChange) aktivieren'),
('de', 'etemplate', 'embeded css styles, eg. ''.red { background: red; }'' (note the ''.'' before the class-name) or ''@import url(...)'' (class names are ', 'eingebettete CSS Stile, zb. ''.red { background: red; }'' (man beachte den ''.'' vor der CSS class) oder ''@import url(...)'' (Angaben gelten für die gesamte Seite!)'),
('de', 'etemplate', 'editable templates - editor', 'eTemplates - Bearbeiten'),
('de', 'etemplate', 'editable templates - search', 'eTemplates - Suchen'),
('de', 'etemplate', 'editable templates - show template', 'eTemplates - Anzeigen'),
('de', 'etemplate', 'editable templates - delete template', 'eTemplates - Löschen'),
('de', 'etemplate', 'editable templates - db-tools', 'eTemplates - DB-Tools'),
('de', 'etemplate', 'edit...', 'Bearbeiten...'),
('de', 'etemplate', 'edit the etemplate spez. above', 'das oben spezifizierte eTemplate bearbeiten'),
('de', 'etemplate', 'duration', 'Dauer'),
('de', 'etemplate', 'edit', 'Bearbeiten'),
('de', 'etemplate', 'edit embeded css styles or of the applications app.css file', 'bearbeitet die eingebetteten CSS Stile oder die app.css Datei der Anwendung'),
('de', 'etemplate', 'dump4setup', 'Dump4Setup'),
('de', 'etemplate', 'drop table', 'Tabelle löschen'),
('de', 'etemplate', 'drop a table - this can not be undone', 'Tabelle löschen (drop) - NICHT rückgängig zu machen'),
('de', 'etemplate', 'doesn''t matter', 'spielt keine Rolle'),
('de', 'etemplate', 'documentation', 'Dokumentation'),
('de', 'etemplate', 'do you want to save the changes you made in table %s?', 'Wollen Sie die Änderungen in der Tabelle ''%s'' speichern?'),
('de', 'etemplate', 'displayed in the top line of the groupbox (legend)', 'wird oben in der Umrandung der Gruppierung angezeigt (Legende)'),
('de', 'etemplate', 'displayed in statusline of browser if input-field gets focus', 'wird in der Statuszeile des Browsers angezeigt, wenn das Eingabefeld angesprochen wird'),
('de', 'etemplate', 'displayed in front of input or input is inserted for a ''%s'' in the label (label of the submitbutton or image-filename)', 'wird vor dem Eingabefeld angezeigt oder das Feld wird für ein ''%s'' eingefügt (Beschriftung einer Schaltfläche oder Dateiname eine Grafik)'),
('de', 'etemplate', 'deletes this column', 'Löscht diese Spalte'),
('de', 'etemplate', 'deletes this index', 'Löscht diesen Index'),
('de', 'etemplate', 'discard changes', 'verwirft Änderungen'),
('de', 'etemplate', 'deletes the etemplate spez. above', 'löscht das oben spezifizierte eTemplate'),
('de', 'etemplate', 'deletes the above spez. etemplate from the database, can not be undone', 'löscht das oben spezifiziert eTemplate aus der Datenbank, kann NICHT rückgängig gemacht werden'),
('de', 'etemplate', 'delete whole column (can not be undone!!!)', 'ganze Zeile löschen (kann NICHT rückgängig gemacht werden)'),
('de', 'etemplate', 'delete this row', 'diese Zeile löschen'),
('de', 'etemplate', 'delete this file', 'Diese Datei löschen'),
('de', 'etemplate', 'delete this etemplate', 'dieses eTemplate löschen'),
('de', 'etemplate', 'delete this column', 'diese Spalte löschen'),
('de', 'etemplate', 'delete the spezified etemplate', 'löscht das angegebene eTemplate'),
('de', 'etemplate', 'delete column', 'Spalte löschen'),
('de', 'etemplate', 'delete index', 'Index löschen'),
('de', 'etemplate', 'delete and cut save the template!', 'Löschen und Ausschneiden speichern das Template!'),
('de', 'etemplate', 'delete all selected etemplates, without further inquiry', 'löscht ALLE ausgewählten eTemplates OHNE weitere Rückfrage'),
('de', 'etemplate', 'delete a single entry by passing the id.', 'Löscht einen einzelnen Eintrag über seine Id.'),
('de', 'etemplate', 'default', 'Vorgabe'),
('de', 'etemplate', 'deck', 'Deck (intern)'),
('de', 'etemplate', 'db-tools', 'DB-Tools'),
('de', 'etemplate', 'db-specific index options (comma-sep.), eg. mysql(fulltext) or mysql(100) for the indexed length of a col', 'DB-spezifische Index-Optionen (Komma-getrennt), z.B. mysql(FULLTEXT) oder mysql(100) für die indizierte Länge der Spalte'),
('de', 'etemplate', 'db ensures that every row has a unique value in that column', 'die Datenbank stellt sicher das alle Zeilen einen einmaligen Wert in dieser Spalte haben'),
('de', 'etemplate', 'datum', 'Datum'),
('de', 'etemplate', 'day', 'Tag'),
('de', 'etemplate', 'days', 'Tage'),
('de', 'etemplate', 'date+time', 'Datum+Uhrzeit'),
('de', 'etemplate', 'cut', 'Ausschneiden'),
('de', 'etemplate', 'custom javascript for onchange', 'Benutzerdefiniertes Javascript für onChange'),
('de', 'etemplate', 'custom fields', 'Benutzerdefinierte Felder'),
('de', 'etemplate', 'custom', 'Benutzerdefiniert'),
('de', 'etemplate', 'css-styles', 'CSS Stile'),
('de', 'etemplate', 'css-class name for this row, preset: ''th'' = header, ''row'' = alternating row, ''row_off''+''row_on'' rows', 'Name der CSS class dieser Zeile, vorbelegt sind: ''th'' = Kopfzeile, ''row'' = zeilenweise wechselnde Farbe bzw. ''row_on'', ''row_off'''),
('de', 'etemplate', 'css properties', 'CSS Attribute'),
('de', 'etemplate', 'css-class name for this row, preset: ''nmh'' = nextmatch header, ''nmr'' = alternating nm row, ''nmr0''+''nmr1'' nm rows', 'Name der CSS class dieser Zeile, vorbelegt sind: ''th'' = Kopfzeile, ''row'' = zeilenweise wechselnde Farbe bzw. ''row_on'', ''row_off'''),
('de', 'etemplate', 'css class for the table-tag', 'CSS class der Tabelle'),
('de', 'etemplate', 'creates an english (''en'') langfile from label and helptexts (for application in name)', 'erzeugt eine englische (''en'') Sprachdatei aus den Beschriftungen und Hilfetexten (für die Anwendung in Name)'),
('de', 'etemplate', 'create a new table for the application', 'Neue Tabelle für die Anwendung anlegen'),
('de', 'etemplate', 'contact fields', 'Kontaktfelder'),
('de', 'etemplate', 'contains', 'enthalten'),
('de', 'etemplate', 'contact', 'Kontakt'),
('de', 'etemplate', 'contact field to show', 'Kontaktfeld zum Anzeigen'),
('de', 'etemplate', 'confirmation necesary or custom java-script', 'Bestätigung notwendig oder spezielles Javascript'),
('de', 'etemplate', 'confirm', 'bestätigen'),
('de', 'etemplate', 'confirmation message or custom javascript (returning true or false)', 'Bestätigungsmeldung oder spezielles Javascript (true oder false zurückliefernd)'),
('de', 'etemplate', 'comment', 'Kommentar'),
('de', 'etemplate', 'columnname', 'Spaltenname'),
('de', 'etemplate', 'column...', 'Spalte...'),
('de', 'etemplate', 'closes the window without saving the changes', 'schließt das Fenster ohne zu speichern'),
('de', 'etemplate', 'clickable path', 'anklickbarer Pfad'),
('de', 'etemplate', 'click to order after that criteria', 'anklicken um nach diesem Kriterium zu sortieren'),
('de', 'etemplate', 'click here to start the search', 'hier klicken um die Suche zu starten'),
('de', 'etemplate', 'click here to upload the file', 'hier klicken um die Datei hochzuladen'),
('de', 'etemplate', 'click here to create the link', 'hier klicken um die Verknüpfung anzulegen'),
('de', 'etemplate', 'click here to attach the file', 'hier klicken um die Datei anzuhängen'),
('de', 'etemplate', 'class, valign', 'Class, Valign'),
('de', 'etemplate', 'checkbox', 'Checkbox'),
('de', 'etemplate', 'class', 'Class'),
('de', 'etemplate', 'check if field has to be filled by user', 'abhaken wenn das Eingabefeld vom Benutzer zwingend ausgefüllt werden muss'),
('de', 'etemplate', 'check if content should only be displayed but not altered (the content is not send back then!)', 'abhaken wenn der Inhalt nur angezeigt aber nicht geändert werden soll (der Inhalt wird dann nicht zurückgesendet!)'),
('de', 'etemplate', 'center', 'Zentriert'),
('de', 'etemplate', 'changed', 'Geändert'),
('de', 'etemplate', 'cells', 'Zellen'),
('de', 'etemplate', 'cellspacing for the table-tag', 'Zellenabstand (cellspacing) der Tabelle'),
('de', 'etemplate', 'cellpadding for the table-tag', 'Innenabstand (cellpadding) der Tabelle'),
('de', 'etemplate', 'category tree', 'Kategoriebaum'),
('de', 'etemplate', 'category', 'Kategorie'),
('de', 'etemplate', 'cant delete the only row in a grid !!!', 'Kann nicht die einzige Zeile einer Tabelle löschen !!!'),
('de', 'etemplate', 'cant delete the only column of a grid !!!', 'Kann nicht die einzige Spalte einer Tabelle löschen !!!'),
('de', 'etemplate', 'cancel', 'Abbruch'),
('de', 'etemplate', 'cant delete a single widget from a grid !!!', 'Kann kein einzelnes Widget aus einer Tabelle löschen !!!'),
('de', 'etemplate', 'can not have special sql-value null', 'darf nicht den speziellen SQL Wert NULL annehmen'),
('de', 'etemplate', 'bottom', 'Unten'),
('de', 'etemplate', 'box', 'Box'),
('de', 'etemplate', 'box...', 'Box...'),
('de', 'etemplate', 'border-line-thickness for the table-tag', 'Randbreite (border) für die Tabelle'),
('de', 'etemplate', 'border', 'Rand'),
('de', 'etemplate', 'baseline', 'Grundlinie'),
('de', 'etemplate', 'blurtext', 'blurText'),
('de', 'etemplate', 'as default', 'als Vorgabe'),
('de', 'etemplate', 'attach', 'Anhängen'),
('de', 'etemplate', 'attach file', 'Datei anhängen'),
('de', 'etemplate', 'applies the changes made', 'übernimmt die Änderungen'),
('de', 'etemplate', 'applies the changes to the given version of the template', 'übernimmt die Änderungen in die angegebene Version des Templates'),
('de', 'etemplate', 'an indexed column speeds up querys using that column (cost space on the disk !!!)', 'eine indizierte Spalte beschleunigt Anfragen die diese benutzen (kostet Plattenplatz !!!)'),
('de', 'etemplate', 'application', 'Anwendung'),
('de', 'etemplate', 'application name needed to write a langfile or dump the etemplates !!!', 'Name der Anwendung benötigt um eine Sprachdatei oder eTemplate-Distibutionsdate zu schreiben !!!'),
('de', 'etemplate', 'allowed file type: %1', 'Erlaubter Dateityp: %1'),
('de', 'etemplate', 'am', 'Vormittag'),
('de', 'etemplate', 'all days', 'alle Tage'),
('de', 'etemplate', 'all operations save the template!', 'alle Operation speichern das Template!'),
('de', 'etemplate', 'alignment of the v/hbox containing table-cell', 'Ausrichtung der die V/HBox enthaltenden Tabellenzelle'),
('de', 'etemplate', 'align', 'Ausrichtung'),
('de', 'etemplate', 'alignment of label and input-field in table-cell', 'Ausrichtung der Beschriftung und des Eingabefeldes in der Tabellenzelle'),
('de', 'etemplate', 'add table', 'Tabelle zufügen'),
('de', 'etemplate', 'advanced search', 'Erweiterte Suche'),
('de', 'etemplate', 'add index', 'Index zufügen'),
('de', 'etemplate', 'add new', 'Neu hinzufügen'),
('de', 'etemplate', 'add column', 'Spalte zufügen'),
('de', 'etemplate', 'add a new column (after the existing ones)', 'Neue Spalte hinzufügen (hinter den bestehenden)'),
('de', 'etemplate', 'add a new entry of the selected application', 'Einen neuen Eintrag der ausgewählten Anwendung hinzufügen'),
('de', 'etemplate', 'add a new multi-column index', 'Fügt einen mehrspaltigen Index hinzu'),
('de', 'etemplate', 'accesskeys can also be specified with an & in the label (eg. &name)', 'Ein Tastaturkürzel kann auch über ein & in der Beschriftung angegeben werden'),
('de', 'etemplate', 'account contactdata', 'Kontaktdaten eines Benutzers'),
('de', 'etemplate', 'accesskey', 'Tastaturkürzel'),
('de', 'etemplate', '''%1'' is not allowed (''%2'')!', '''%1'' ist NICHT erlaubt (''%2'')!'),
('de', 'etemplate', 'a pattern to be searched for', 'ein Muster nach dem gesucht werden soll'),
('de', 'etemplate', '''%1'' is not a valid integer !!!', '''%1'' ist keine gültige Ganzzahl !!!'),
('de', 'etemplate', '''%1'' is not a valid floatingpoint number !!!', '''%1'' ist keine gültige Gleitkommazahl !!!'),
('de', 'etemplate', '''%1'' is not a valid date !!!', '''%1'' ist ein ungültiges Datum !!!'),
('de', 'etemplate', '''%1'' is no php file in the egw server root (%2)!', '''%1'' ist keine php Datei in dem EGW Server Wurzelverzeichnis (%2)!'),
('de', 'etemplate', '%s readonly', '%s Schreibschutz'),
('de', 'etemplate', '''%1'' has an invalid format !!!', '''%1'' hat ein ungültiges Format !!!'),
('de', 'etemplate', '%s onchange', '%s onChange'),
('de', 'etemplate', '%s notranslation', '%s nicht übersetzen'),
('de', 'etemplate', '%s disabled', '%s deaktiviert'),
('de', 'etemplate', '%s needed', '%s benötigt'),
('de', 'etemplate', '%1 new etemplates imported for application ''%2''', '%1 neue eTemplate(s) importiert für die Anwendung ''%2'''),
('de', 'etemplate', '%1 more...', '%1 mehr...'),
('de', 'etemplate', '%1 matches on search criteria', '%1 Treffer bei der Suche'),
('de', 'etemplate', '%1 etemplates found', '%1 eTemplate(s) gefunden'),
('de', 'etemplate', '%1 etemplates deleted', '%1 eTemplate(s) gelöscht'),
('de', 'etemplate', '%1 etemplates for application ''%2'' dumped to ''%3''', '%1 eTemplate(s) für die Anwendung ''%2'' nach ''%3'' geschrieben'),
('de', 'etemplate', '%1 entries found, select one ...', '%1 Einträge gefunden, einen auswählen ...'),
('de', 'etemplate', '%1 (%2 new) messages writen for application ''%3'' and languages ''%4''', '%1 (%2 neue) Texte für die Anwendung ''%3'' und die Sprache ''%4'' geschrieben'),
('de', 'emailadmin', 'you have received a new message on the', 'Sie haben eine neue Nachricht erhalten.'),
('de', 'emailadmin', 'yes, use credentials of current user or if given credentials below', 'Ja, benutze Daten des aktuellen Benutzers oder wenn angegeben die Daten darunter'),
('de', 'emailadmin', 'virtual mail manager', 'Virtual MAIL ManaGeR'),
('de', 'emailadmin', 'yes, use credentials below only for alarms and notifications, otherwise use credentials of current user', 'Ja, die Daten darunter nur für Alarme und Benachrichtigungen verwenden, ansonsten die Daten des aktiven Benutzers.'),
('de', 'emailadmin', 'users can utilize these stationery templates', 'Benutzer können diese Briefpapiervorlagen verwenden'),
('de', 'emailadmin', 'vacation messages with start- and end-date require an admin account to be set', 'Abwesenheitsnotizen mit Start- und Enddatum benötigen einen gesetzten Administrator Benutzer!'),
('de', 'emailadmin', 'username/password defined by admin', 'Benutzername / Passwort vordefiniert'),
('de', 'emailadmin', 'username@domainname (virtual mail manager)', 'Benutzername@Domänenname (Virtual MAIL ManaGeR)'),
('de', 'emailadmin', 'users can define their own emailaccounts', 'Anwender können ihre eigenen Konten definieren'),
('de', 'emailadmin', 'users can define their own identities', 'Anwender können ihre eigenen Identitäten definieren'),
('de', 'emailadmin', 'users can define their own signatures', 'Anwender können ihre eigenen Signaturen definieren'),
('de', 'emailadmin', 'username (standard)', 'Benutzername (Standard)'),
('de', 'emailadmin', 'userid@domain eg. u1234@domain', 'UserId@domain z.B. u1234@domain'),
('de', 'emailadmin', 'user can edit forwarding address', 'Anwender können ihre Weiterleitungsadresse bearbeiten'),
('de', 'emailadmin', 'use users email-address (as seen in useraccount)', 'Benutzt E-Mail Adresse des Benutzers (Die unter seinem Benutzerkonto angezeigt wird)'),
('de', 'emailadmin', 'use tls encryption', 'TLS Verschlüsselung benutzen'),
('de', 'emailadmin', 'use tls authentication', 'TLS Authentifizierung benutzen'),
('de', 'emailadmin', 'use smtp auth', 'SMTP Authentifizierung benutzen'),
('de', 'emailadmin', 'use predefined username and password defined below', 'Verwende den unten vordefinierten Benutzernamen und Passwort'),
('de', 'emailadmin', 'use ldap defaults', 'LDAP Standardeinstellungen benutzen'),
('de', 'emailadmin', 'unsupported action ''%1'' !!!', 'Nicht unterstützte Aktion ''%1'' !!!'),
('de', 'emailadmin', 'update current email address:', 'Aktualisiere aktuelle E-Mailadresse'),
('de', 'emailadmin', 'unknown imap response from the server. server responded: %s', 'Unbekannte IMAP Antwort vom Server. Server antwortet: %s'),
('de', 'emailadmin', 'unexpected response from server to login command.', 'Unerwartete Antwort des Servers auf das LOGIN Kommando.'),
('de', 'emailadmin', 'unexpected response from server to digest-md5 response.', 'Unerwartete Antwort des Servers auf die Digest-MD5 Antwort.'),
('de', 'emailadmin', 'unexpected response from server to authenticate command.', 'Unerwartete Antwort des Servers auf das AUTHENTICATE Kommando.'),
('de', 'emailadmin', 'to use a tls connection, you must be running a version of php 5.1.0 or higher.', 'Um eine TLS Verbindung zu verwenden, benötigen Sie PHP 5.1.0 oder aktueller.'),
('de', 'emailadmin', 'this php has no imap support compiled in!!', 'Dieses PHP hat keine IMAP Unterstützung!!!'),
('de', 'emailadmin', 'the imap server does not appear to support the authentication method selected. please contact your system administrator.', 'Der IMAP Server scheint die eingestellte Authentifizierungsmethode nicht zu unterstützen. Bitte fragen Sie Ihren Systemadministrator.'),
('de', 'emailadmin', 'stationery', 'Briefpapier'),
('de', 'emailadmin', 'starts with', 'startet mit'),
('de', 'emailadmin', 'standard smtp-server', 'Standard SMTP-Server'),
('de', 'emailadmin', 'standard pop3 server', 'Standard POP3-Server'),
('de', 'emailadmin', 'standard imap server', 'Standard IMAP-Server'),
('de', 'emailadmin', 'smtp-server port', 'SMTP Server Port'),
('de', 'emailadmin', 'standard', 'Vorgabe'),
('de', 'emailadmin', 'smtp settings', 'SMTP Einstellungen'),
('de', 'emailadmin', 'smtp-server hostname or ip address', 'SMTP Server Hostname oder IP-Adresse'),
('de', 'emailadmin', 'smtp server name', 'SMTP Server Name'),
('de', 'emailadmin', 'smtp options', 'SMTP Optionen'),
('de', 'emailadmin', 'smtp authentication', 'SMTP Anmeldung'),
('de', 'emailadmin', 'sieve settings', 'Sieve Einstellungen'),
('de', 'emailadmin', 'sieve server hostname or ip address', 'Sieve-Server Hostname oder IP-Adresse'),
('de', 'emailadmin', 'sieve server port', 'Sieve-Server Port'),
('de', 'emailadmin', 'server settings', 'Server-Einstellungen'),
('de', 'emailadmin', 'send using this email-address', 'zum Versenden wird diese E-Mail Adresse benutzt'),
('de', 'emailadmin', 'select type of smtp server', 'SMTP-Server Typ auswählen'),
('de', 'emailadmin', 'select type of imap/pop3 server', 'IMAP/POP3-Server Typ auswählen'),
('de', 'emailadmin', 'reset filter', 'Filter zurücksetzen'),
('de', 'emailadmin', 'select type of imap server', 'IMAP-Server Typ auswählen'),
('de', 'emailadmin', 'remove', 'Entfernen'),
('de', 'emailadmin', 'quota size in mbyte', 'Quota Größe in MByte'),
('de', 'emailadmin', 'qmaildotmode', 'qmaildotmode'),
('de', 'emailadmin', 'quota settings', 'Quota Einstellungen'),
('de', 'emailadmin', 'profile name', 'Profilname'),
('de', 'emailadmin', 'profile list', 'Profilliste'),
('de', 'emailadmin', 'profile is active', 'Profil ist aktiv'),
('de', 'emailadmin', 'profile access rights', 'Profilzugriffsrechte'),
('de', 'emailadmin', 'pop3 server port', 'POP3-Server Port'),
('de', 'emailadmin', 'postfix with ldap', 'Postfix mit LDAP'),
('de', 'emailadmin', 'pop3 server hostname or ip address', 'POP3-Server Hostname oder IP-Adresse'),
('de', 'emailadmin', 'plesk smtp-server (qmail)', 'Plesk SMTP-Server (Qmail)'),
('de', 'emailadmin', 'plesk requires passwords to have at least 5 characters and not contain the account-name --> password not set!!!', 'Plesk verlangt, dass Passwörter mindestens 5 Zeichen lang sind und nicht den Benutzernamen enthalten --> Passwort nicht gesetzt!!!'),
('de', 'emailadmin', 'plesk mail script ''%1'' not found !!!', 'Plesk Mail Skript ''%1'' nicht gefunden !!!'),
('de', 'emailadmin', 'plesk imap server (courier)', 'Plesk IMAP Server (Courier)'),
('de', 'emailadmin', 'plesk can''t rename users --> request ignored', 'Plesk kann keine Benutzer umbenennen --> Anforderung ignoriert'),
('de', 'emailadmin', 'order', 'Reihenfolge'),
('de', 'emailadmin', 'organisation', 'Organisation'),
('de', 'emailadmin', 'no supported imap authentication method could be found.', 'Keine unterstützte IMAP-Authentifizierungsmethode gefunden.'),
('de', 'emailadmin', 'no message returned.', 'Keine Nachricht zurückgeliefert.'),
('de', 'emailadmin', 'no forwarding email address', 'keine Weiterleitungsadresse definiert'),
('de', 'emailadmin', 'no encryption', 'keine Verschlüsselung'),
('de', 'emailadmin', 'no alternate email address', 'keine zusätzlichen E-Mail-Adressen'),
('de', 'emailadmin', 'name of organisation', 'Name der Organisation'),
('de', 'emailadmin', 'mb used', 'MB belegt'),
('de', 'emailadmin', 'manage stationery templates', 'Briefpapiervorlagen verwalten'),
('de', 'emailadmin', 'leave empty for no quota', 'leer lassen um Quota zu deaktivieren'),
('de', 'emailadmin', 'ldap server hostname or ip address', 'LDAP-Server Hostname oder IP-Adresse'),
('de', 'emailadmin', 'ldap settings', 'LDAP-Einstellungen'),
('de', 'emailadmin', 'ldap server admin password', 'LDAP-Server Administrator-Passwort'),
('de', 'emailadmin', 'ldap server admin dn', 'LDAP-Server Administrator DN');
INSERT INTO `egw_lang` (`lang`, `app_name`, `message_id`, `content`) VALUES
('de', 'emailadmin', 'ldap server accounts dn', 'LDAP-Server Benutzerkonten DN'),
('de', 'emailadmin', 'ldap server', 'LDAP Server'),
('de', 'emailadmin', 'ldap basedn', 'LDAP BaseDN'),
('de', 'emailadmin', 'inactive', 'inaktiv'),
('de', 'emailadmin', 'in mbyte', 'in MByte'),
('de', 'emailadmin', 'imap/pop3 server name', 'IMAP/POP3-Server Name'),
('de', 'emailadmin', 'imap server port', 'IMAP-Server Port'),
('de', 'emailadmin', 'imap server name', 'IMAP-Server Name'),
('de', 'emailadmin', 'imap server logintyp', 'IMAP-Server Loginverfahren'),
('de', 'emailadmin', 'imap server closed the connection.', 'IMAP Server hat die Verbindung beendet.'),
('de', 'emailadmin', 'imap server closed the connection. server responded: %s', 'IMAP Server hat die Verbindung beendet. Server Antwort: %s'),
('de', 'emailadmin', 'imap server hostname or ip address', 'IMAP-Server Hostname oder IP-Adresse'),
('de', 'emailadmin', 'imap c-client version < 2001', 'IMAP C-Client Version < 2001'),
('de', 'emailadmin', 'if you specify port 5190 as sieve server port, you enforce ssl for sieve (server must support that)', 'Wenn Sie als SIEVE Server Port 5190 eintragen, wird für die Kommunikation mit dem SIEVE-Server eine SSL-Verbindung verwendet (der Server muss das natürlich unterstützen)'),
('de', 'emailadmin', 'if using ssl or tls, you must have the php openssl extension loaded.', 'Wenn Sie SSL oder TLS benutzen, müssen Sie die openssl PHP Erweiterung geladen haben.'),
('de', 'emailadmin', 'global options', 'Globale Optionen'),
('de', 'emailadmin', 'forward email''s to', 'E-Mails weiterleiten an'),
('de', 'emailadmin', 'forward only', 'nur weiterleiten'),
('de', 'emailadmin', 'forward also to', 'zusätzlich weiterleiten'),
('de', 'emailadmin', 'filtered by group', 'Suche nach Gruppenprofilen'),
('de', 'emailadmin', 'filtered by account', 'Suche nach Benutzerprofilen'),
('de', 'emailadmin', 'error saving the entry!!!', 'Fehler beim Speichern !!!'),
('de', 'emailadmin', 'error deleting entry!', 'Fehler beim Löschen des Eintrags'),
('de', 'emailadmin', 'error connecting to imap server: [%s] %s.', 'Fehler beim Verbinden mit dem IMAP Server. [%s] %s.'),
('de', 'emailadmin', 'error connecting to imap server. %s : %s.', 'Fehler beim Verbinden mit dem IMAP Server. %s : %s.'),
('de', 'emailadmin', 'entry saved', 'Eintrag gespeichert'),
('de', 'emailadmin', 'enter your default mail domain (from: user@domain)', 'Standard E-Mail-Domain (Von: benutzer@domain)'),
('de', 'emailadmin', 'encryption settings', 'Verschlüsselungseinstellungen'),
('de', 'emailadmin', 'encrypted connection', 'verschlüsselte Verbindung'),
('de', 'emailadmin', 'enable sieve', 'Sieve aktivieren'),
('de', 'emailadmin', 'enable cyrus imap server administration', 'Cyrus IMAP-Server Administration aktivieren'),
('de', 'emailadmin', 'email account active', 'E-Mail-Konto aktiv'),
('de', 'emailadmin', 'email address', 'E-Mail-Adresse'),
('de', 'emailadmin', 'emailadmin', 'E-Mail-Admin'),
('de', 'emailadmin', 'edit email settings', 'E-Mail-Einstellungen'),
('de', 'emailadmin', 'domainname', 'Domänenname'),
('de', 'emailadmin', 'do you really want to delete this profile', 'Wollen Sie dieses Profil wirklich löschen'),
('de', 'emailadmin', 'do you really want to reset the filter for the profile listing', 'Möchten Sie den Filter für die Profilliste wirklich zurücksetzen?'),
('de', 'emailadmin', 'do not validate certificate', 'Zertifikat nicht überprüfen'),
('de', 'emailadmin', 'cyrus imap server administration', 'Cyrus IMAP-Server Administration'),
('de', 'emailadmin', 'default', 'Vorgabe'),
('de', 'emailadmin', 'deliver extern', 'extern ausliefern'),
('de', 'emailadmin', 'cyrus imap server', 'Cyrus IMAP-Server'),
('de', 'emailadmin', 'could not open secure connection to the imap server. %s : %s.', 'Konnte keine sichere Verbindung zum IMAP Server aufbauen. %s: %s.'),
('de', 'emailadmin', 'cram-md5 or digest-md5 requires the auth_sasl package to be installed.', 'CRAM-MD5 oder DIGEST-MD5 erfordert, das das Auth_SASL Packet installiert ist.'),
('de', 'emailadmin', 'could not complete request. reason given: %s', 'Konnte Anfrage nicht beenden. Grund: %s'),
('de', 'emailadmin', 'connection dropped by imap server.', 'Verbindung von IMAP-Server beendet.'),
('de', 'emailadmin', 'can be used by group', 'Kann von folgender Gruppe verwendet werden'),
('de', 'emailadmin', 'can be used by user', 'Kann von folgendem Benutzer verwendet werden'),
('de', 'emailadmin', 'can be used by application', 'Kann von folgender Anwendung verwendet werden'),
('de', 'emailadmin', 'bad request: %s', 'Falsche Anfrage: %s'),
('de', 'emailadmin', 'bad or malformed request. server responded: %s', 'Falsche oder ungültige Anfrage. Server antwortet: %s'),
('de', 'emailadmin', 'bad login name or password.', 'Falscher Benutzername oder Passwort.'),
('de', 'emailadmin', 'back to admin/userlist', 'Zurück zu: Admin / Benutzerverwaltung'),
('de', 'emailadmin', 'any group', 'jede Gruppe'),
('de', 'emailadmin', 'any user', 'jeder Benutzer'),
('de', 'emailadmin', 'back to admin/grouplist', 'Zurück zu: Admin / Gruppenverwaltung'),
('de', 'emailadmin', 'alternate email address', 'zusätzliche E-Mail-Adressen'),
('de', 'emailadmin', 'any application', 'jede Anwendung'),
('de', 'emailadmin', 'advanced options', 'erweiterte Einstellungen'),
('de', 'emailadmin', 'admin username', 'Administrator Benutzername'),
('de', 'emailadmin', 'add profile', 'Profil hinzufügen'),
('de', 'emailadmin', 'admin dn', 'Admin DN'),
('de', 'emailadmin', 'admin password', 'Admin Passwort'),
('de', 'emailadmin', 'add new email address:', 'Neue E-Mailadresse hinzufügen'),
('de', 'emailadmin', 'active templates', 'Aktive Vorlagen'),
('de', 'emailadmin', 'account ''%1'' not found !!!', 'Benutzerkonto ''%1'' nicht gefunden !!!'),
('de', 'emailadmin', '(imapclass must support this feature by querying the corresponding config value and pass it as defaultquota to the imapserver)', '(Die IMAP Klasse muss dieses Verfahren unterstützen indem es den entsprechenden Konfig Wert der Instanz ausliest und als Default Quota an den IMAP Server meldet.)'),
('de', 'emailadmin', '%1 entries deleted.', '%1 Einträge gelöscht'),
('de', 'preferences', 'your preferences', 'Persönliche Einstellungen'),
('de', 'preferences', 'your current theme is: %1', 'Ihr aktuelles Farbschema ist: %1'),
('de', 'preferences', 'you must enter a password', 'Sie müssen ein Passwort angeben'),
('de', 'preferences', 'write prefs for the specified application.', 'Schreibt die Einstellungen für die jeweilige Anwendung.'),
('de', 'preferences', 'you can show the applications as icons only, icons with app-name or both.', 'Sie können die Anwendungen als Symbol (Icon), Text oder beides anzeigen.'),
('de', 'preferences', 'you do not have permission to set acl''s in this mode!', 'Sie haben keine Berechtigung die ACL in diesem Modus zu setzen.'),
('de', 'preferences', 'which currency symbol or name should be used in egroupware.', 'Welches Währungssymbol oder Name soll in EGroupware verwendet werden.'),
('de', 'preferences', 'thousands separator is only used for displaying and not for editing numbers.', 'Tausender Trennzeichen werden nur zur Anzeige benutzt, aber nicht, zum bearbeiten von Zahlen.'),
('de', 'preferences', 'time format', 'Zeitformat'),
('de', 'preferences', 'use default', 'Vorgabe benutzen'),
('de', 'preferences', 'users choice', 'Benutzerauswahl'),
('de', 'preferences', 'when you say yes the home and logout buttons are presented as applications in the main top applcation bar.', 'Wenn Sie hier Ja auswählen, werden in der Hauptnavigationsleiste oben zusätzlich Buttons für die Startseite und zum Abmelden angezeigt.'),
('de', 'preferences', 'this server is located in the %1 timezone', 'Der Server befindet sich in der Zeitzone %1'),
('de', 'preferences', 'theme (colors/fonts) selection', 'Auswahl des Themas (Farben/Schriften)'),
('de', 'preferences', 'the two passwords are not the same', 'Die beiden Passworte sind nicht identisch'),
('de', 'preferences', 'the two last options limit the visibility of other users. therefore they should be forced and apply not to administrators.', 'Die beiden letzten Optionen beschränken die Sichtbarkeit von anderen Benutzern. Daher sollten sie erzwungen werden und treffen NICHT auf Administratoren zu.'),
('de', 'preferences', 'the selectbox shows all available users (can be very slow on big installs with many users). the popup can search users by name o', 'Das Auswahlfeld zeigt alle verfügbaren Benutzer (kann sehr langsam sein bei großen Installationen mit vielen Benutzern). Das Pop-up ist ein extra Fenster, in dem nach Namen oder Gruppen gesucht werden kann. Die beiden letzten Optionen begrenzen die Sichtbarkeit von Benutzern. Aus diesem Grund sollten diese erzwungen werden, werden aber nicht auf Administratoren angewendet.'),
('de', 'preferences', 'the old password is not correct', 'Das alte Passwort ist nicht korrekt'),
('de', 'preferences', 'silver theme', 'Silbern'),
('de', 'preferences', 'text only', 'nur Text'),
('de', 'preferences', 'the default application will be started when you enter egroupware or click on the homepage icon.<br>you can also have more than ', 'Diese Anwendung wird gestartet, wenn sie EGroupware neu starten oder auf das Symbol der Startseite klicken. Sie können auch mehrere Anwendungen auf Ihrer Startseite anzeigen, dazu wählen sie keine Anwendung aus. Welche Anwendungen dann angezeigt werden, wird in den Einstellungen der jeweiligen Anwendungen konfiguriert.'),
('de', 'preferences', 'show text on navigation icons', 'Text zu Icons in der Navigationsleiste anzeigen'),
('de', 'preferences', 'show number of current users', 'Anzahl gegenwärtiger Benutzer anzeigen'),
('de', 'preferences', 'show navigation bar as', 'Anzeige der Navigationsleiste'),
('de', 'preferences', 'show helpmessages by default', 'Hilfetexte standardmäßig anzeigen'),
('de', 'preferences', 'should this help messages shown up always, when you enter the preferences or only on request.', 'Sollen die Hilfetexte immer angezeigt werden, wenn Sie die Einstellungen aufrufen oder nur auf Anforderung?'),
('de', 'preferences', 'should the number of active sessions be displayed for you all the time.', 'Soll die Anzahl aktiver Sitzungen permanent für Sie angezeigt werden.'),
('de', 'preferences', 'set this to your convenience. for security reasons, you might not want to show your loginname in public.', 'Stellen Sie das nach Ihren Vorlieben ein. Aus Sicherheitsgründen sollte der Benutzername nicht in der Öffentlichkeit gezeigt werden.'),
('de', 'preferences', 'selectbox with primary group and search', 'Auswahlfeld mit primärer Gruppe und Suche'),
('de', 'preferences', 'selectbox', 'Auswahlfeld'),
('de', 'preferences', 'select the theme (visualization) of the rich text editor.', 'Farbschema (Aussehen) des Editors auswählen.'),
('de', 'preferences', 'select the language of the spellchecker integrated into the rich text editor.', 'Sprache der integrierten Rechtschreibprüfung des Editors.'),
('de', 'preferences', 'select the language of texts and messages within egroupware.<br>some languages may not contain all messages, in that case you wi', 'Wählen sie die Sprache der Texte und Mitteilungen innerhalb der EGroupware.<br>Manche Sprachen enthalten evtl. nicht alle Texte, in diesem Fall wird der englische Text angezeigt.'),
('de', 'preferences', 'select one', 'Bitte wählen'),
('de', 'preferences', 'select how the rich text editor will generate the enter (linebreak) tag.', 'Auswählen welches Tag der Editor bei einem Zeilenumbruch verwendet.'),
('de', 'preferences', 'select different theme', 'anderes Schema wählen'),
('de', 'preferences', 'rich text editor theme', 'Farbschema des Editors'),
('de', 'preferences', 'rich text editor enter mode', 'Zeilenumbruchmodus des Editors'),
('de', 'preferences', 'read prefs for the specified application.', 'Liest Einstellungen von den ausgewählten Anwendungen.'),
('de', 'preferences', 'popup with search', 'Pop-up mit Suche'),
('de', 'preferences', 're-enter your password', 'Neues Passwort wiederholen'),
('de', 'preferences', 'please, select a new theme', 'Bitte ein neues Schema wählen'),
('de', 'preferences', 'please select your timezone.', 'Bitte wählen Sie Ihre Zeitzone'),
('de', 'preferences', 'please select timezones, you want to be able to quickly switch between. switch is not shown, if less then two are selected.', 'Zeitzonen auswählen, zwischen den schnell umgeschaltet werden soll. Der Umschalter wird NICHT angezeigt, wenn weniger als zwei ausgewählt werden.'),
('de', 'preferences', 'permanent time zone selection', 'Ständige Zeitzonen Auswahl'),
('de', 'preferences', 'p: paragraph', 'p: Absatz'),
('de', 'preferences', 'office 2003 theme', 'Office 2003'),
('de', 'preferences', 'number format', 'Format von Zahlen'),
('de', 'preferences', 'note: this feature does *not* change your email password. this will need to be done manually.', 'Hinweis: Diese Funktion ändert *nicht* Ihr Passwort auf dem E-Mail-Server. Dies müssen Sie separat tun.'),
('de', 'preferences', 'note: this feature does *not* change your email password. this will', 'Anmerkung: Diese Funktion ändert nicht Ihr E-Mail Passwort.'),
('de', 'preferences', 'max number of icons in navbar', 'Maximale Anzahl von Icons in der Navigationsleiste'),
('de', 'preferences', 'no default', 'Keine Vorgabe'),
('de', 'preferences', 'max matches per page', 'maximale Treffer pro Seite'),
('de', 'preferences', 'language', 'Sprache'),
('de', 'preferences', 'interface/template selection', 'Auswahl der Benutzeroberfläche'),
('de', 'preferences', 'in which country are you. this is used to set certain defaults for you.', 'In welchen Land befinden Sie sich? Damit werden verschiedene Voreinstellungen für Sie vorgenommen.'),
('de', 'preferences', 'icons and text', 'Icons und Text'),
('de', 'preferences', 'icons only', 'nur Icons'),
('de', 'preferences', 'images linked to an entry can be displayed as thumbnails.  you can turn this off to speed up page display.', 'Bilder die mit einem Eintrag verlinkt sind können als Vorschaubild angezeigt werden. Kann ausgeschaltet werden um die Geschwindigkeit der Anzeige zu erhöhen.'),
('de', 'preferences', 'icon', 'Icon'),
('de', 'preferences', 'how should egroupware display dates for you.', 'Wie soll EGroupware das Datum für Sie anzeigen?'),
('de', 'preferences', 'how many icons should be shown in the navbar (top of the page). additional icons go into a kind of pulldown menu, callable by th', 'Wie viele Icons sollen in der Navigationsleiste am Kopf der Seite angezeigt werden. Zusätzliche Icons erscheinen in einem Pulldown-Menü, das über ein Icon ganz rechts in der Navigation aufgerufen wird.'),
('de', 'preferences', 'how many hours are you in front or after the timezone of the server.<br>if you are in the same time zone as the server select 0 ', 'Wie viele Stunden beträgt die Abweichung Ihrer Zeitzone von der Zeitzone des Servers?<br> Wenn Sie sich in derselben Zeitzone befinden, wählen Sie 0 Stunden, sonst wählen Sie Ihre lokalen Datum-/Zeiteinstellungen'),
('de', 'preferences', 'how do you like to select accounts', 'Wie sollen Benutzer ausgewählt werden'),
('de', 'preferences', 'help off', 'Keine Hilfe'),
('de', 'preferences', 'hours', 'Stunden'),
('de', 'preferences', 'how do you like to display accounts', 'Wie sollen Benutzer angezeigt werden'),
('de', 'preferences', 'forced preferences', 'Erzwungene Einstellungen'),
('de', 'preferences', 'failed to change password.  please contact your administrator.', 'Passwortänderung fehlgeschlagen. Bitte kontaktieren Sie Ihren Administrator!'),
('de', 'preferences', 'enter your old password', 'Altes Passwort eingeben'),
('de', 'preferences', 'enter your new password', 'Neues Passwort eingeben'),
('de', 'preferences', 'enables or disables dropdown selectbox resizing for ie in all applications. if the browser is not an ie , the option will not ap', 'Hier können die die Funktion aktiveren oder deaktivieren, die es Ihnen im Internet Explorer ermöglicht Auswahl Boxen automatisch auf Ihre wirkliche Größe (bei langen Texten) zu erweitern. Falls Sie einen anderen Browser verwenden, hat dies keine Auswirkungen. Diese Funktion ist noch in der Erprobung.'),
('de', 'preferences', 'enables or disables drag and drop functions in all applications. if the browser does not support drag and drop, it will be disab', 'Schaltet drag-and-drop in allen Anwendungen ein. Wenn vom Browser nicht unterstützt, wird es automatisch ausgeschaltet. Ist im Moment noch experimentell.'),
('de', 'preferences', 'enable selectbox dropdown resizing for ie (experimental)', 'Aktiviere Selectbox-Drop-Down-Menue Grössenanpassung für IE (experimentell)'),
('de', 'preferences', 'edit custom fields', 'Benutzerdefinierte Felder editieren'),
('de', 'preferences', 'enable drag and drop functionality (experimental)', 'Drag-and-Drop einschalten (experimentell)'),
('de', 'preferences', 'do you prefer a 24 hour time format, or a 12 hour one with am/pm attached.', 'Bevorzugen Sie ein 24 Stunden Zeitformat oder 12 Stunden mit angehängtem Vor-/Nachmittag.'),
('de', 'preferences', 'div', 'div'),
('de', 'preferences', 'display thumbnails for linked images', 'Zeige Vorschaubilder für verlinkte Bilder'),
('de', 'preferences', 'description can not exceed 255 characters in length !', 'Die Beschreibung darf nicht länger als 255 Zeichen sein !'),
('de', 'preferences', 'delete categories', 'Kategorie löschen'),
('de', 'preferences', 'default theme', 'Vorgabe Farbschema'),
('de', 'preferences', 'default preferences', 'Voreinstellungen'),
('de', 'preferences', 'default application', 'Standard-Anwendung'),
('de', 'preferences', 'default', 'Vorgabe'),
('de', 'preferences', 'date format', 'Datumsformat'),
('de', 'preferences', 'color', 'Farbe'),
('de', 'preferences', 'country', 'Land'),
('de', 'preferences', 'click to select a color', 'Anklicken um eine Farbe auszuwählen'),
('de', 'preferences', 'change your settings', 'Einstellungen ändern'),
('de', 'preferences', 'change your profile', 'Profil ändern'),
('de', 'preferences', 'change your password', 'Passwort ändern'),
('de', 'preferences', 'change a user password by passing the old and new passwords.  returns true on success, false on failure.', 'Ändern Sie Ihr Passwort, indem Sie Ihr altes und neues Passwort angeben. Es wird TRUE zurückgegeben für eine erfolgreiche Änderung und FALSE wenn es nicht erfolgreich war.'),
('de', 'preferences', 'are you sure you want to delete this category ?', 'Sind sie sicher, dass sie diese Kategorie löschen wollen ?'),
('de', 'preferences', 'any listing in egw will show you this number of entries or lines per page.<br>to many slow down the page display, to less will c', 'Jede Liste in EGroupware zeigt diese Anzahl Zeilen pro Seite.<br>Zu viele verlangsamen den Aufbau der Seite, zu wenige kosten den Überblick.'),
('de', 'preferences', 'acl grants have been updated', 'ACL (Zugangskontrollliste) wurde upgedatet'),
('de', 'preferences', 'a theme defines the colors and fonts used by the template.', 'Das Thema definiert die Farben und Schriftarten der Benutzeroberfläche.'),
('de', 'preferences', '%1 hours', '%1 Stunden'),
('de', 'preferences', '12 hour', '12 Stunden'),
('de', 'preferences', '24 hour', '24 Stunden'),
('de', 'preferences', 'a template defines the layout of egroupware and it contains icons for each application.', 'Die Benutzeroberfläche definiert das Layout von EGroupWare und enthält die Icons (Symbole) der Anwendungen.'),
('de', 'preferences', '%1 - preferences', '%1 - Einstellungen'),
('de', 'preferences', 'manage emailfilter / vacation', 'Verwalten der E-Mail-Filter und Abwesenheitsnotiz'),
('de', 'preferences', 'sf project tracker preferences', 'SF Projekt Tracker Einstellungen'),
('de', 'developer_tools', 'you need to set your preferences for this app', 'Sie müssen Ihre Einstellungen für diese Anwendung setzen'),
('de', 'developer_tools', 'you must select a project', 'Sie müssen ein Projekt auswählen'),
('de', 'developer_tools', 'you must enter a change', 'Sie müssen eine Änderungen eingeben'),
('de', 'developer_tools', 'you must a version', 'Sie benötigen eine Version'),
('de', 'developer_tools', 'you have to [save] every manual change in the above fields, before you can go to the next step !!!', '!!! Sie müssen nach jeder manuellen Änderung in den obigen Feldern [Speichern], bevor sie zum nächsten Schritt weitergehen !!!'),
('de', 'developer_tools', 'writing langfile for ''%1'' ...', 'Sprachdatei für ''%1'' schreiben ...'),
('de', 'developer_tools', 'write to lang table', 'Datenbank schreiben'),
('de', 'developer_tools', 'write the lang-file to the apps setup-dir', 'Schreibt die Übersetzungsdatei in das Setup-Verzeichnis der Anwendung'),
('de', 'developer_tools', 'version', 'Version'),
('de', 'developer_tools', 'write', 'Schreiben'),
('de', 'developer_tools', 'update', 'Schreiben'),
('de', 'developer_tools', 'update database', 'Datenbank aktualisieren'),
('de', 'developer_tools', 'updates the translations of both lang-files in your database, so you can verify your work immediately', 'Aktualisiert die Übersetzungen für beide Sprachen in Ihrer Datenbank, damit Sie Ihre Arbeit sofort überprüfen können'),
('de', 'developer_tools', 'translation', 'Übersetzung'),
('de', 'developer_tools', 'translation of phrase', 'Übersetzung des Textes'),
('de', 'developer_tools', 'title', 'Titel'),
('de', 'developer_tools', 'translate', 'Übersetzen'),
('de', 'developer_tools', 'submit', 'Übertragen'),
('de', 'developer_tools', 'target language', 'Ziel-Sprache'),
('de', 'developer_tools', 'step', 'Schritt'),
('de', 'developer_tools', 'sourceforge project tracker preferences', 'Sourceforge Projekt Tracker Einstellungen'),
('de', 'developer_tools', 'sourceforge project tracker', 'Sourceforge Projekt Tracker'),
('de', 'developer_tools', 'sourceforge project id', 'Sourceforge Projekt-ID'),
('de', 'developer_tools', 'source language', 'Quell-Sprache'),
('de', 'developer_tools', 'sf project tracker', 'SF Projekt Tracker'),
('de', 'developer_tools', 'select project', 'Projekt auswählen'),
('de', 'developer_tools', 'search new phrases', 'Neue Texte suchen'),
('de', 'developer_tools', 'searches the source-code for phrases not in the actual source-lang-file', 'Durchsucht den Quellcode nach neuen Texten die noch nicht in der Quell-Datei sind'),
('de', 'developer_tools', 'search for missing phrase', 'fehlende Texte suchen'),
('de', 'developer_tools', 'search changelogs', 'Änderungslog durchsuchen'),
('de', 'developer_tools', 'saves the added/changed translations to an internal buffer, to be used in further steps', 'Speichert die zugefügten/geänderten Übersetzungen intern, für die weiteren Schritte'),
('de', 'developer_tools', 'revert', 'Rückgängig machen'),
('de', 'developer_tools', 'returns to the application list, not saved changes get lost !!!', 'Kehrt zur Liste der Anwendungen zurück, nicht gespeicherte Änderungen gehen verloren !!!'),
('de', 'developer_tools', 'project', 'Projekt'),
('de', 'developer_tools', 'remove', 'Entfernen'),
('de', 'developer_tools', 'removed %1 phrases from the target language, as they are not present in the source language!', '%1 Phrasen der Zielsprache entfernt die nicht in der Quellsprache vorhanden sind!'),
('de', 'developer_tools', 'preferences', 'Einstellungen'),
('de', 'developer_tools', 'preferences have been updated', 'Einstellungen wurden geschrieben'),
('de', 'developer_tools', 'phrase in english (or empty if identical)', 'Text in Englisch (oder leer wenn identisch)'),
('de', 'developer_tools', 'original', 'Original'),
('de', 'developer_tools', 'ok', 'Ok'),
('de', 'developer_tools', 'no file', 'keine Datei'),
('de', 'developer_tools', 'message_id in english', 'Text-Schlüssel in Englisch'),
('de', 'developer_tools', 'message', 'Text'),
('de', 'developer_tools', 'loads the selected lang-files, to be modified in the next steps', 'Lädt die ausgewählten Sprachen, um sie in den nächsten Schritten zu bearbeiten'),
('de', 'developer_tools', 'loading target langfile', 'Ziel-Sprachdatei laden'),
('de', 'developer_tools', 'loading source langfile', 'Quell-Sprachdatei laden'),
('de', 'developer_tools', 'load', 'Laden'),
('de', 'developer_tools', 'list changelogs', 'Änderungslogs anzeigen'),
('de', 'developer_tools', 'installed applications', 'Installierte Anwendungen'),
('de', 'developer_tools', 'language file management', 'Sprachdateiverwaltung'),
('de', 'developer_tools', 'edit', 'Bearbeiten'),
('de', 'developer_tools', 'download', 'Download'),
('de', 'developer_tools', 'download the lang-file to be saved in the apps setup-dir', 'Download der Übersetzungsdatei, um sie im Setup-Verzeichnis der Anwendung zu speichern'),
('de', 'developer_tools', 'done', 'Fertig'),
('de', 'developer_tools', 'diary', 'Tagebuch'),
('de', 'developer_tools', 'developer tools - preferences', 'Entwicklerwerkzeuge - Einstellungen'),
('de', 'developer_tools', 'create sgml file', 'SGML Datei erzeugen'),
('de', 'developer_tools', 'create new language file', 'Neue Sprachdatei erzeugen'),
('de', 'developer_tools', 'clears the internal buffer, all changes made sofar are lost', 'Löscht den internen Speicher, alle bisherigen Änderungen gehen verloren'),
('de', 'developer_tools', 'changelogs', 'Änderungslog'),
('de', 'developer_tools', 'changelog entry has been added', 'Änderungslog Eintrag wurde zugefügt'),
('de', 'developer_tools', 'back', 'Zurück'),
('de', 'developer_tools', 'cancel', 'Abbruch'),
('de', 'developer_tools', 'change', 'Ändern'),
('de', 'developer_tools', 'application', 'Anwendung'),
('de', 'developer_tools', 'allows you to add a single phrase', 'Erlaubt einen einzelnen Text zuzufügen'),
('de', 'developer_tools', 'add more', 'Weitere zufügen'),
('de', 'developer_tools', 'add new phrase', 'Neuer Text'),
('de', 'developer_tools', 'add phrase', 'Text zufügen'),
('de', 'developer_tools', 'add change', 'Änderung zufügen'),
('de', 'developer_tools', 'add', 'Zufügen'),
('de', 'calendar', 'your meeting that had been scheduled for %1 has been rescheduled to %2', 'Ihr Termin am %1 wurde auf %2 verschoben.'),
('de', 'calendar', 'you requested more than available for the selected resource:', 'Sie versuchen mehr zu buchen, als zur Verfügung steht.'),
('de', 'calendar', 'your meeting scheduled for %1 has been canceled', 'Ihr Termin am %1 wurde abgesagt.'),
('de', 'calendar', 'you need to set either a day or a occurence !!!', 'Sie müssen entweder einen Tag oder eine Wiederholung angeben !!!'),
('de', 'calendar', 'you need to select an ical file first', 'Sie müssen zuerst eine iCal Datei auswählen'),
('de', 'calendar', 'you need to select an account, contact or resource first!', 'Sie müssen zuerst einen Benutzer, einen Kontakt oder eine Ressource auswählen!'),
('de', 'calendar', 'you have been disinvited from the meeting at %1', 'Sie wurden vom Termin am %1 ausgeladen'),
('de', 'calendar', 'you have a meeting scheduled for %1', 'Sie haben einen Termin am %1.'),
('de', 'calendar', 'you do not have permission to read this record!', 'Sie haben keine Berechtigung diesen Eintrag zu lesen!'),
('de', 'calendar', 'you can only set a year or a occurence !!!', 'Sie können nur ein Jahr oder eine Wiederholung angeben !'),
('de', 'calendar', 'you can either set a year or a occurence, not both !!!', 'Sie können nur entweder das Jahr oder die Wiederholung angeben, nicht beides!'),
('de', 'calendar', 'you are not allowed to book the resource selected:', 'Sie sind nicht berechtigt die ausgewählte Ressource zu buchen.'),
('de', 'calendar', 'yearview', 'Jahresansicht'),
('de', 'calendar', 'yearly', 'Jährlich'),
('de', 'calendar', 'workdays', 'Arbeitstage'),
('de', 'calendar', 'workday', 'Arbeitstag'),
('de', 'calendar', 'work day starts on', 'Arbeitstag beginnt um'),
('de', 'calendar', 'work day ends on', 'Arbeitstag endet um'),
('de', 'calendar', 'wk', 'KW'),
('de', 'calendar', 'whole day', 'ganztägig'),
('de', 'calendar', 'which of calendar view do you want to see, when you start calendar ?', 'Welche der möglichen Ansichten des Kalenders möchten Sie als Standard sehen, wenn der Kalender geöffnet wird?'),
('de', 'calendar', 'which events do you want to see when you enter the calendar.', 'Welche Termine möchten Sie angezeigt bekommen wenn Sie den Kalender öffnen?'),
('de', 'calendar', 'weekview without weekend', 'Wochenansicht ohne Wochenende'),
('de', 'calendar', 'weekview with weekend', 'Wochenansicht mit Wochenende'),
('de', 'calendar', 'weekview', 'Wochenansicht'),
('de', 'calendar', 'weeks in multiple week view', 'Wochen in der Mehrwochenansicht'),
('de', 'calendar', 'weekly', 'Wöchentlich'),
('de', 'calendar', 'weekdays to use in search', 'Wochentage für die Suche'),
('de', 'calendar', 'weekday starts on', 'Arbeitswoche beginnt am'),
('de', 'calendar', 'weekdays', 'Wochentage'),
('de', 'calendar', 'weekday', 'Wochentag'),
('de', 'calendar', 'week', 'Woche'),
('de', 'calendar', 'wed', 'Mi'),
('de', 'calendar', 'views with fixed time intervals', 'Ansichten mit festen Zeitintervallen'),
('de', 'calendar', 'view this event', 'Diesen Termin anzeigen'),
('de', 'calendar', 'view series', 'Terminserie anzeigen'),
('de', 'calendar', 'view exception', 'Ausnahme anzeigen'),
('de', 'calendar', 'user or group', 'Benutzer oder Gruppe'),
('de', 'calendar', 'use this timezone to export calendar data.', 'Diese Zeitzone zum exportieren von Kalenderdaten verwenden'),
('de', 'calendar', 'use the selected time and close the popup', 'benutzt die ausgewählte Zeit und schließt das Pop-up'),
('de', 'calendar', 'use end date', 'Enddatum benutzen'),
('de', 'calendar', 'updated', 'Aktualisiert'),
('de', 'calendar', 'tue', 'Di'),
('de', 'calendar', 'two weeks', 'zwei Wochen'),
('de', 'calendar', 'update timezones', 'Zeitzonen aktualisieren'),
('de', 'calendar', 'tomorrow', 'Morgen'),
('de', 'calendar', 'translation', 'Übersetzung'),
('de', 'calendar', 'to-lastname', 'An Nachname'),
('de', 'calendar', 'to-fullname', 'An Vor- und Nachname'),
('de', 'calendar', 'to-firstname', 'An Vorname'),
('de', 'calendar', 'to many might exceed your execution-time-limit', 'zu viele können Ihre Laufzeitbeschränkung überschreiten'),
('de', 'calendar', 'title of the event', 'Titel des Termin'),
('de', 'calendar', 'timezones updated to version %1 (%2 records updated).', 'Zeitzonen aktualisiert zu Version %1 (%2 Datensätze aktualisiert).'),
('de', 'calendar', 'timezone of event exports', 'Zeitzone des exportierten Termins'),
('de', 'calendar', 'timezone', 'Zeitzone'),
('de', 'calendar', 'timezone in which recurrences have identical time', 'Zeitzone in der Wiederholungen zu identischer Uhrzeit stattfinden'),
('de', 'calendar', 'timeframe to search', 'Zeitrahmen für die Suche'),
('de', 'calendar', 'timeframe', 'Zeitrahmen'),
('de', 'calendar', 'til', 'bis'),
('de', 'calendar', 'thu', 'Do'),
('de', 'calendar', 'three month', 'drei Monate'),
('de', 'calendar', 'this module displays the current month', 'Dieses Modul zeigt den aktuellen Monat an'),
('de', 'calendar', 'this message is sent when you set an alarm for a certain event. include all information you might need.', 'Diese Alarm-Meldung wird Ihnen gesendet, wenn Sie einen Alarm für einen Termin aktivieren. Nehmen Sie alle Informationen darin auf, die Sie zum gewünschten Alarm-Zeitpunkt benötigen.'),
('de', 'calendar', 'this message is sent when you accept, tentative accept or reject an event.', 'Diese Nachricht wird gesendet wenn Sie einen Termin zusagen, vorläufig zusagen oder absagen.'),
('de', 'calendar', 'this message is sent to every participant of events you own, who has requested notifcations about new events.<br>you can use cer', 'Diese Nachricht wird an alle Teilnehmer der Termine versendet, die Sie anlegen. (Teilnehmer müssen die Benachrichtigung per E-Mail aktiviert haben!) <br>Sie können verschiedene Variablen verwenden, die die notwendigen Informationen der Termin-Mitteilung beinhalten. Die erste Zeile ist der Betreff der E-Mail.'),
('de', 'calendar', 'this message is sent to disinvited participants.', 'Diese Nachricht wird ausgeladenen Teilnehmern gesendet.'),
('de', 'calendar', 'this message is sent for modified or moved events.', 'Diese Benachrichtigung wird für geänderte Termine versendet.'),
('de', 'calendar', 'this message is sent for canceled or deleted events.', 'Diese Benachrichtigung wird für stornierte oder gelöschte Termine versendet.'),
('de', 'calendar', 'this group that is preselected when you enter the planner. you can change it in the planner anytime you want.', 'Diese Gruppe wird als Vorauswahl ausgewählt wenn Sie den Planer öffnen. Sie können die Gruppe jederzeit wechseln wenn Sie möchten.'),
('de', 'calendar', 'this event is part of a series', 'Dieser Termin ist Teil einer Serie'),
('de', 'calendar', 'this entry is opened by user:', 'Dieser Eintrag ist von einem anderen Benutzer innerhalb des konfigurierten Zeitintervalls geöffnet worden:'),
('de', 'calendar', 'this entry is currently opened by %1!', 'Dieser Termin ist im Moment von %1 geöffnet!'),
('de', 'calendar', 'this defines the start of your dayview. events before this time, are shown above the dayview.<br>this time is also used as a def', 'Diese Zeit definiert den Anfang des Arbeitstags in der Tagesansicht. Alle früheren Einträge werden darüber dargestellt.'),
('de', 'calendar', 'this day is shown as first day in the week or month view.', 'Dieser Tag wird als erster in der Wochen- oder Monatsansicht angezeigt'),
('de', 'calendar', 'this defines the end of your dayview. events after this time, are shown below the dayview.', 'Diese Zeit definiert das Ende des Arbeitstags in der Tagesansicht. Alle späteren Einträge werden darunter dargestellt.'),
('de', 'calendar', 'the resource you selected is already overbooked:', 'Die Ressource, die Sie buchen möchten, ist bereits überbucht.'),
('de', 'calendar', 'tentative', 'Vorläufige Zusage'),
('de', 'calendar', 'test import (show importable records <u>only</u> in browser)', 'Test Import (zeigt importierte Datensätze <u>nur</u> im Webbrowser an)'),
('de', 'calendar', 'sun', 'So'),
('de', 'calendar', 'submit to repository', 'Übertragen zu www.egroupware.org'),
('de', 'calendar', 'status of participants set to unknown because of missing category rights', 'Status der Teilnehmer auf unbekannt gesetzt wegen fehlender Kategorie Rechte'),
('de', 'calendar', 'status for this particular day changed', 'Status für diesen Tag geändert'),
('de', 'calendar', 'status for all future scheduled days changed', 'Status alle zukünftig geplanten Termine geändert'),
('de', 'calendar', 'status changed', 'Status geändert'),
('de', 'calendar', 'startrecord', 'Startdatensatz'),
('de', 'calendar', 'startdate of the export', 'Startdatum des Exports'),
('de', 'calendar', 'startdate and -time of the search', 'Startdatum und -zeit der Suche'),
('de', 'calendar', 'startdate / -time', 'Startdatum / -zeit'),
('de', 'calendar', 'startdate', 'Startdatum'),
('de', 'calendar', 'start date/time', 'Startdatum/ -zeit'),
('de', 'calendar', 'start', 'Start'),
('de', 'calendar', 'single event', 'Einzelner Termin'),
('de', 'calendar', 'show this week', 'Diese Woche anzeigen'),
('de', 'calendar', 'show this month', 'Diesen Monat anzeigen'),
('de', 'calendar', 'show only tentative accepted events', 'Zeige nur vorläufig zugesagte Termine'),
('de', 'calendar', 'show only rejected events', 'Zeige nur abgesagte Termine'),
('de', 'calendar', 'show only invitations, not yet accepted or rejected', 'Zeige nur Einladungen, nicht bereits zu- oder abgesagte Termine'),
('de', 'calendar', 'show only accepted events', 'Zeige nur zugesagte Termine'),
('de', 'calendar', 'show list of upcoming events', 'Zeige eine Liste der kommenden Termine'),
('de', 'calendar', 'show empty rows in planner', 'Zeige leere Zeilen im Planer'),
('de', 'calendar', 'show default view on main screen', 'Kalenderansicht auf der Startseite anzeigen'),
('de', 'calendar', 'show also events just owned by selected user', 'Zeige zusätzlich Termine die dem ausgewählten Benutzer nur gehören'),
('de', 'calendar', 'show all status, but rejected', 'Zeige alle Status außer abgesagte Termine'),
('de', 'calendar', 'show all status incl. rejected events', 'Zeige alle Status einschl. abgesagte Termine'),
('de', 'calendar', 'show all events, as if they were private', 'Zeige alle Termine, so als wären sie privat'),
('de', 'calendar', 'should the status of the event-participants (accept, reject, ...) be shown in brakets after each participants name ?', 'Soll der Status (zugesagt, abgesagt ...) der Termin- Teilnehmer in Klammern hinter jeden Teilnehmer angezeigt werden?'),
('de', 'calendar', 'should the planner display an empty row for users or categories without any appointment.', 'Soll der Planer eine leere Zeile für Benutzer oder Kategorien ohne einen Termin anzeigen.'),
('de', 'calendar', 'should not loged in persons be able to see your freebusy information? you can set an extra password, different from your normal ', 'Sollen nicht angemeldete Personen Ihre Belegtzeiten einsehen können? Sie können ein Passwort setzen um diese Informationen zu schützen. Das Passwort sollte sich von Ihrem normalen Passwort unterscheiden. Die Belegtzeiten sind im iCal Format und enthalten ausschließlich die Zeiten, an denen Sie nicht verfügbar sind. Sie enthalten NICHT den Namen, die Beschreibung oder den Ort des Termins. Die Adresse (URL) Ihrer Belegtzeiten ist %1.'),
('de', 'calendar', 'should new events created as private by default ?', 'Sollen neue Termine generell als Privat angelegt werden?'),
('de', 'calendar', 'set new events to private', 'Neue Termine als private Termine eintragen'),
('de', 'calendar', 'set a year only for one-time / non-regular holidays.', 'Nur für einmalige bzw. unregelmäßige Feiertage das Jahr angeben.'),
('de', 'calendar', 'selected range', 'Ausgewählter Zeitraum'),
('de', 'calendar', 'select who should get the alarm', 'Auswählen wer den Alarm erhalten soll'),
('de', 'calendar', 'select resources', 'Ressourcen auswählen'),
('de', 'calendar', 'select multiple contacts for a further action', 'mehrere Adressen für weiteren Befehl auswählen'),
('de', 'calendar', 'select an action', 'Befehl auswählen'),
('de', 'calendar', 'select a time', 'eine Zeit auswählen'),
('de', 'calendar', 'select a %1', '%1 auswählen'),
('de', 'calendar', 'scheduling conflict', 'Terminüberschneidung'),
('de', 'calendar', 'saves the event ignoring the conflict', 'Speichert den Konflikt ignorierend den Termin'),
('de', 'calendar', 'saves the changes made', 'Speichert die Änderungen'),
('de', 'calendar', 'role', 'Rolle'),
('de', 'calendar', 'rule', 'Regel'),
('de', 'calendar', 'sat', 'Sa'),
('de', 'calendar', 'save event as exception - delete single occurrence - edit status or alarms for this particular day', 'Termin als Ausnahme speichern - Einzelne Ausnahme löschen - Status oder Alarm dieses Tages bearbeiten'),
('de', 'calendar', 'restrict set status to', 'Beschränke Statusänderungen auf'),
('de', 'calendar', 'restrict add category to', 'Beschränke hinzufügen der Kategorie auf'),
('de', 'calendar', 'resources with conflict detection', 'Ressourcen mit bereits gebuchten'),
('de', 'calendar', 'resources except conflicting ones', 'Ressourcen ausgenommen bereits gebuchte'),
('de', 'calendar', 'resources', 'Ressourcen'),
('de', 'calendar', 'reset', 'Zurücksetzen'),
('de', 'calendar', 'requested', 'Erforderlich'),
('de', 'calendar', 'repetitiondetails (or empty)', 'Details der Wiederholung (oder leer)'),
('de', 'calendar', 'repetition', 'Wiederholung'),
('de', 'calendar', 'repeating interval, eg. 2 to repeat every second week', 'Wiederholungsintervall, z.B. 2 für jeder zweite Woche'),
('de', 'calendar', 'repeating event information', 'Informationen zu sich wiederholenden Ereignissen'),
('de', 'calendar', 'repeat type', 'Wiederholungstyp'),
('de', 'calendar', 'repeat the event until which date (empty means unlimited)', 'Bis zu welchen Datum soll der Termin wiederholt werden (leer bedeutet unbegrenzt)'),
('de', 'calendar', 'repeat days', 'Wiederholungstage'),
('de', 'calendar', 'rejected', 'Abgesagt'),
('de', 'calendar', 'receive summary of appointments', 'Zusammenfassung der Termine erhalten'),
('de', 'calendar', 'recurrence', 'Wiederholung'),
('de', 'calendar', 'recurring event', 'Wiederholender Termin'),
('de', 'calendar', 're-edit event', 'Termin erneut bearbeiten'),
('de', 'calendar', 'receive email updates', 'Empfange E-Mail-Updates'),
('de', 'calendar', 'quantity', 'Menge'),
('de', 'calendar', 'private only', 'nur private'),
('de', 'calendar', 'private and group public', 'Privat und Gruppen öffentlich'),
('de', 'calendar', 'private and global public', 'Privat und Global öffentlich'),
('de', 'calendar', 'previous', 'vorherig'),
('de', 'calendar', 'preselected group for entering the planner', 'Vorausgewählte Gruppe beim Planer-Aufruf'),
('de', 'calendar', 'please note: you can configure the field assignments after you uploaded the file.', 'Bitte beachten: Die Feldzuordnung kann NACH dem Hochladen der Datei konfiguriert werden.'),
('de', 'calendar', 'planner by user', 'Planer nach Benutzern'),
('de', 'calendar', 'people holiday', 'Feiertag'),
('de', 'calendar', 'permission denied', 'Zugriff verweigert'),
('de', 'calendar', 'planner by category', 'Planer nach Kategorien'),
('de', 'calendar', 'password for not loged in users to your freebusy information?', 'Ihr Passwort, um nicht angemeldeten Benutzern Zugang zu Ihrer Terminverfügbarkeit zu gewähren.'),
('de', 'calendar', 'participants disinvited from an event', 'Ausgeladene Teilnehmer eines Termins'),
('de', 'calendar', 'participants, resources, ...', 'Teilnehmer, Ressourcen'),
('de', 'calendar', 'owner too', 'Auch Besitzer'),
('de', 'calendar', 'participants', 'Teilnehmer'),
('de', 'calendar', 'overlap holiday', 'überlappender Feiertag'),
('de', 'calendar', 'open todo''s:', 'unerledigte Aufgaben:'),
('de', 'calendar', 'optional', 'Optional'),
('de', 'calendar', 'one month', 'ein Monat'),
('de', 'calendar', 'one week', 'eine Woche'),
('de', 'calendar', 'one year', 'ein Jahr'),
('de', 'calendar', 'only group-events', 'nur Gruppentermine'),
('de', 'calendar', 'only the initial date of that recuring event is checked!', 'Nur das Startdatum diese wiederholenden Termins wird geprüft!'),
('de', 'calendar', 'on time change of more than 4 hours too', 'bei zeitlichen Änderungen größer als 4 Stunden'),
('de', 'calendar', 'on participant responses too', 'auch bei Antworten der Teilnehmer'),
('de', 'calendar', 'on invitation / cancelation only', 'nur bei Einladungen/Absagen'),
('de', 'calendar', 'on any time change too', 'auch jede zeitliche Veränderung'),
('de', 'calendar', 'on all modification, but responses', 'bei allen Änderungen, außer Antworten'),
('de', 'calendar', 'on %1 %2 %3 your meeting request for %4', 'Am %1 hat %2 Ihre Einladung für den %4 %3'),
('de', 'calendar', 'olddate', 'Ursprüngliches Datum'),
('de', 'calendar', 'old startdate', 'Altes Startdatum'),
('de', 'calendar', 'occurence', 'Wiederholung'),
('de', 'calendar', 'observance rule', 'Observance Rule'),
('de', 'calendar', 'number of weeks to show', 'Anzahl Wochen anzuzeigen'),
('de', 'calendar', 'number of records to read (%1)', 'Anzahl der zu lesenden Datensätze (%1)'),
('de', 'calendar', 'notification messages for your responses', 'Benachrichtigungstext für Ihre Antworten'),
('de', 'calendar', 'notification messages for your alarms', 'Benachrichtigungstext für Ihre Alarme'),
('de', 'calendar', 'notification messages for modified events', 'Benachrichtigungstext für geänderte Termine'),
('de', 'calendar', 'notification messages for disinvited participants', 'Benachrichtigungstext für ausgeladene Teilnehmer'),
('de', 'calendar', 'notification messages for canceled events', 'Benachrichtigungstext für stornierte Termine'),
('de', 'calendar', 'notification messages for added events', 'Benachrichtigungstext für neue Termine'),
('de', 'calendar', 'nothing to update, version is already %1.', 'Nichts aktualisiert, Version ist bereits %1.'),
('de', 'calendar', 'not rejected', 'Nicht abgesagt'),
('de', 'calendar', 'not', 'nicht'),
('de', 'calendar', 'non blocking', 'nicht blockierend'),
('de', 'calendar', 'no response', 'Keine Antwort'),
('de', 'calendar', 'no recurrence', 'Keine Wiederholung'),
('de', 'calendar', 'no matches found', 'Keine Treffer gefunden'),
('de', 'calendar', 'no filter', 'Kein Filter'),
('de', 'calendar', 'multiple week view', 'Mehrwochenansicht'),
('de', 'calendar', 'needs action', 'Zu erledigen'),
('de', 'calendar', 'new search with the above parameters', 'neue Suche mit den obigen Parametern'),
('de', 'calendar', 'no events found', 'Keine Termine gefunden'),
('de', 'calendar', 'monthview', 'Monatsansicht'),
('de', 'calendar', 'monthly (by day)', 'Monatlich (nach Wochentag)'),
('de', 'calendar', 'monthly (by date)', 'Monatlich (nach Datum)'),
('de', 'calendar', 'mon', 'Mo'),
('de', 'calendar', 'monthly', 'Monatlich'),
('de', 'calendar', 'modified', 'Geändert'),
('de', 'calendar', 'minutes', 'Minuten'),
('de', 'calendar', 'make freebusy information available to not loged in persons?', 'Die freien/nicht verfügbaren Zeiten für nicht angemeldete Personen sichtbar machen?'),
('de', 'calendar', 'mail all participants', 'Mail an alle Teilnehmer'),
('de', 'calendar', 'location, start- and endtimes, ...', 'Ort, Start- und Endzeiten'),
('de', 'calendar', 'location', 'Ort'),
('de', 'calendar', 'links, attachments', 'Verknüpfungen, Datei-Anhänge'),
('de', 'calendar', 'listview', 'Listenansicht'),
('de', 'calendar', 'links', 'Verknüpfungen'),
('de', 'calendar', 'link to view the event', 'Verweis (Weblink) um den Termin anzuzeigen'),
('de', 'calendar', 'link', 'Termin-URL'),
('de', 'calendar', 'length of the time interval', 'Länge des Zeitintervalls'),
('de', 'calendar', 'lastname of person to notify', 'Nachname der zu benachrichtigenden Person'),
('de', 'calendar', 'last', 'letzte'),
('de', 'calendar', 'invite', 'Einladen'),
('de', 'calendar', 'invitations', 'Einladungen'),
('de', 'calendar', 'invalid email-address "%1" for user %2', 'Ungültige E-Mail-Adresse "%1" für Benutzer %2'),
('de', 'calendar', 'interval', 'Intervall'),
('de', 'calendar', 'ignore conflict', 'Konflikt ignorieren'),
('de', 'calendar', 'import', 'Importieren'),
('de', 'calendar', 'imports events into your calendar from a csv file. csv means ''comma seperated values''. however in the options tab you can also c', 'Importieren von Terminen von einer CSV Datei. CSV bedeutet: mit Komma getrennte Werte. Sie können in den Optionen des Import ebenso einen anderen Separator (Tab) wählen.'),
('de', 'calendar', 'if you dont set a password here, the information is available to everyone, who knows the url!!!', 'Wenn Sie hier kein Passwort angeben, ist die Information für jeden verfügbar, der die Adresse (URL) kennt!!!'),
('de', 'calendar', 'if checked holidays falling on a weekend, are taken on the monday after.', 'Wenn ausgewählt werden Feiertage die auf ein Wochenende fallen, am drauf folgenden Montag nachgeholt.'),
('de', 'calendar', 'ical / rfc2445', 'iCal / RFC2445'),
('de', 'calendar', 'ical export', 'iCal Export'),
('de', 'calendar', 'ical file', 'iCal Datei'),
('de', 'calendar', 'ical import', 'iCal Import'),
('de', 'calendar', 'ical successful imported', 'iCal erfolgreich importiert'),
('de', 'calendar', 'ical', 'iCal'),
('de', 'calendar', 'how many minutes should each interval last?', 'Wie viele Minuten soll jedes Intervall dauern?'),
('de', 'calendar', 'how many weeks should the multiple week view show?', 'Wie viele Wochen soll die Mehrwochenansicht zeigen?'),
('de', 'calendar', 'how far to search (from startdate)', 'wie weit suchen (vom Startdatum)'),
('de', 'calendar', 'hours', 'Stunden'),
('de', 'calendar', 'holidays', 'Feiertage'),
('de', 'calendar', 'holiday management', 'Feiertagsverwaltung'),
('de', 'calendar', 'holiday', 'Feiertag'),
('de', 'calendar', 'history', 'Historie'),
('de', 'calendar', 'high priority', 'Hohe Priorität'),
('de', 'calendar', 'hide private infos', 'Private Informationen ausblenden'),
('de', 'calendar', 'here is your requested alarm.', 'Hier ist Ihr bestellter Alarm.'),
('de', 'calendar', 'h', 'h'),
('de', 'calendar', 'groupmember(s) %1 not included, because you have no access.', 'Gruppenmitglied(er) %1 nicht enthalten, da Sie keinen Zugriff haben.'),
('de', 'calendar', 'group public only', 'Gruppen-öffentlich'),
('de', 'calendar', 'group planner', 'Gruppenplaner'),
('de', 'calendar', 'group invitation', 'Gruppeneinladung'),
('de', 'calendar', 'global public only', 'nur Global öffentlich'),
('de', 'calendar', 'global public and group public', 'Global öffentlich und Gruppen öffentlich'),
('de', 'calendar', 'global categories', 'Globale Kategorien'),
('de', 'calendar', 'general', 'Allgemein'),
('de', 'calendar', 'fullname of person to notify', 'Name der zu benachrichtigenden Person'),
('de', 'calendar', 'full description', 'vollständige Beschreibung'),
('de', 'calendar', 'fri', 'Fr'),
('de', 'calendar', 'freetime search', 'Terminsuche'),
('de', 'calendar', 'four days view', 'Vier-Tagesansicht'),
('de', 'calendar', 'freebusy: unknow user ''%1'', wrong password or not availible to not loged in users !!!', 'Free/Busy: Unbekannter Benutzer ''%1'', falsches Passwort oder Daten ohne Authentisierung nicht verfügbar!'),
('de', 'calendar', 'forward one month', 'einen Monat weiter'),
('de', 'calendar', 'forward half a month', 'einen halben Monat weiter'),
('de', 'calendar', 'format of event updates', 'Format der Benachrichtigungen'),
('de', 'calendar', 'for which views should calendar show distinct lines with a fixed time interval.', 'Für welche Ansichten soll der Kalender einzelne Zeilen mit festen Zeitintervallen anzeigen.'),
('de', 'calendar', 'for', 'für'),
('de', 'calendar', 'firstname of person to notify', 'Vorname der zu benachrichtigenden Person'),
('de', 'calendar', 'find free timeslots where the selected participants are availible for the given timespan', 'Suche freie Zeitabschnitte, an denen die ausgewählten Teilnehmer für die gegebene Zeitspanne verfügbar sind.'),
('de', 'calendar', 'filename of the download', 'Name der herunterzuladenden Datei'),
('de', 'calendar', 'filename', 'Dateiname'),
('de', 'calendar', 'fieldseparator', 'Feldtrenner'),
('de', 'calendar', 'extended updates always include the complete event-details. ical''s can be imported by certain other calendar-applications.', 'Erweiterte Benachrichtigungen enthalten immer die kompletten Termindetails. iCal''s können von vielen anderen Kalenderprogrammen importiert werden.'),
('de', 'calendar', 'extended', 'Erweitert'),
('de', 'calendar', 'export', 'Export'),
('de', 'calendar', 'existing links', 'Bestehende Verknüpfungen');
INSERT INTO `egw_lang` (`lang`, `app_name`, `message_id`, `content`) VALUES
('de', 'calendar', 'execute a further action for this entry', 'Führt einen weiteren Befehl für diesen Eintrag aus'),
('de', 'calendar', 'exceptions', 'Ausnahmen'),
('de', 'calendar', 'exception created - you can now edit or delete it', 'Ausnahme erzeugt - Sie können sie jetzt bearbeiten oder löschen'),
('de', 'calendar', 'exception', 'Ausnahme'),
('de', 'calendar', 'event will occupy the whole day', 'Termin nimmt den ganzen Tag ein'),
('de', 'calendar', 'event saved', 'Termin gespeichert'),
('de', 'calendar', 'event details follow', 'Details zum Termin folgen'),
('de', 'calendar', 'event deleted', 'Termin gelöscht'),
('de', 'calendar', 'event copied - the copy can now be edited', 'Termin kopiert - die Kopie kann jetzt bearbeitet werden'),
('de', 'calendar', 'error: the entry has been updated since you opened it for editing!', 'Fehler: Der Eintrag wurde geändert seit Sie ihn zum Bearbeiten geöffnet haben!'),
('de', 'calendar', 'error: starttime has to be before the endtime !!!', 'Fehler: Startzeit muss vor Endzeit liegen !!!'),
('de', 'calendar', 'error: saving the event !!!', 'Fehler beim Speichern des Termins !!!'),
('de', 'calendar', 'error: ressources reservation in private events is not allowed!!!', 'Fehler: Die Reservierung von Ressourcen für private Termine ist nicht erlaubt !!!'),
('de', 'calendar', 'error: no participants selected !!!', 'Fehler: Keine Teilnehmer ausgewählt !!!'),
('de', 'calendar', 'error: importing the ical', 'Fehler beim Importieren des iCal'),
('de', 'calendar', 'error: duration of event longer then recurrence interval!', 'Fehler: Termindauer ist länger als das Intervall der Wiederholung!'),
('de', 'calendar', 'error: can''t delete original series!', 'Fehler beim Löschen der bestehenden Serie'),
('de', 'calendar', 'error adding the alarm', 'Fehler beim Zufügen des Alarms'),
('de', 'calendar', 'ends', 'endet'),
('de', 'calendar', 'enddate of the export', 'Enddatum des Exports'),
('de', 'calendar', 'enddate / -time of the meeting, eg. for more then one day', 'Enddatum und -zeit des Termins, z.B. für mehr als einen Tag'),
('de', 'calendar', 'enddate', 'Enddatum'),
('de', 'calendar', 'end date/time', 'Enddatum /-zeit'),
('de', 'calendar', 'end', 'Ende'),
('de', 'calendar', 'empty for all', 'leer für alle'),
('de', 'calendar', 'edit this series of recuring events', 'Diese Serie von wiederholenden Terminen bearbeiten'),
('de', 'calendar', 'edit this event', 'Diesen Termin bearbeiten'),
('de', 'calendar', 'edit series', 'Serie bearbeiten'),
('de', 'calendar', 'edit status or alarms for this particular day', 'Bearbeite Status oder Alarme für diesen speziellen Tag'),
('de', 'calendar', 'edit exception', 'Ausnahme bearbeiten'),
('de', 'calendar', 'duration of the meeting', 'Dauer des Termins'),
('de', 'calendar', 'download this event as ical', 'Termin als iCal herunterladen'),
('de', 'calendar', 'download', 'Herunterladen'),
('de', 'calendar', 'do you want to receive a regulary summary of your appointsments via email?<br>the summary is sent to your standard email-address', 'Möchten Sie eine regelmäßige Zusammenfassung Ihrer Termine via E-Mail erhalten?<br>Die Zusammenfassung wird täglich (jeden Morgen), oder für eine wöchentliche Zusammenfassung Montags an Ihre Standard E-Mail Adresse gesendet.<br> Die Benachrichtigung wird nur versendet, wenn Sie am nächsten Tag oder in der nächsten Woche auch einen Termin haben.'),
('de', 'calendar', 'do you want to edit this event as an exception or the whole series?', 'Wollen Sie diesen Termin als Ausnahme bearbeiten oder die ganze Serie?'),
('de', 'calendar', 'do you want to be notified about new or changed appointments? you are not notified about changes you made yourself.<br>you can l', 'Möchten Sie über neue oder geänderte Termine informiert werden? Sie werden NICHT über Änderungen informiert, die Sie selbst anwenden.<br />Sie können die Benachrichtigungen auf bestimmte Änderungen beschränken. Jede Auswahl beinhaltet die oben aufgeführten Benachrichtigungen. Alle Änderungen beinhalten Änderungen des Titels, der Beschreibung, der Teilnehmer, aber keine Antworten der Teilnehmer. Falls der Besitzer eines Termins eine Benachrichtigung angefordert hat, werden auch die Teilnehmer-Antworten (Annahmen oder Absagen) zur Verfügung gestellt.'),
('de', 'calendar', 'do you want a weekview with or without weekend?', 'Möchten Sie eine Wochenansicht mit oder ohne Wochenende?'),
('de', 'calendar', 'do not include events of group members', 'Zeige nicht die Termine der Gruppenmitglieder'),
('de', 'calendar', 'displays your default calendar view on the startpage (page you get when you enter egroupware or click on the homepage icon)?', 'Soll Ihre Standard-Kalender-Ansicht auf der Startseite angezeigt werden (die Seite die sich nach dem Login öffnet oder wenn Sie auf Home klicken)?'),
('de', 'calendar', 'displayed view', 'Ansicht'),
('de', 'calendar', 'display status of events', 'Status von Terminen anzeigen'),
('de', 'calendar', 'disinvited', 'Ausgeladen'),
('de', 'calendar', 'deny ressources reservation for private events', 'Verbiete die Reservierung von Ressourcen für private Termine'),
('de', 'calendar', 'deleted', 'Gelöscht'),
('de', 'calendar', 'delete this series of recuring events', 'Diese Serie von wiederholenden Terminen löschen'),
('de', 'calendar', 'delete this exception', 'Diese Ausnahme löschen'),
('de', 'calendar', 'delete this event', 'Diesen Termin löschen'),
('de', 'calendar', 'delete this alarm', 'Diesen Alarm löschen'),
('de', 'calendar', 'delete series', 'Serie löschen'),
('de', 'calendar', 'delete selected events', 'Ausgewählte Termine löschen'),
('de', 'calendar', 'default week view', 'Vorgabe Wochenansicht'),
('de', 'calendar', 'default type of resources selection', 'Vorgabe für die Ressourcen-Suche'),
('de', 'calendar', 'default type of resources application selected in the calendar particpants research form.', 'Vorgabe für die gewählte Anwendung bei der Ressourcen-Suche im Kartenreiter Teilnehmer'),
('de', 'calendar', 'default length of newly created events. the length is in minutes, eg. 60 for 1 hour.', 'Vorgabe für die Länge von neuen Kalendereinträgen. Die Länge ist in Minuten, z.B. 60 für 1 Stunde.'),
('de', 'calendar', 'default calendar view', 'Standard-Ansicht des Kalenders'),
('de', 'calendar', 'default calendar filter', 'Standard-Filter des Kalenders'),
('de', 'calendar', 'default appointment length (in minutes)', 'Standardlänge eines neuen Kalendereintrags (in Minuten)'),
('de', 'calendar', 'dayview', 'Tagesansicht'),
('de', 'calendar', 'days repeated', 'wiederholte Tage'),
('de', 'calendar', 'days of the week for a weekly repeated event', 'Wochentage für wöchentlich wiederholten Termin'),
('de', 'calendar', 'daily', 'Täglich'),
('de', 'calendar', 'day', 'Tag'),
('de', 'calendar', 'days', 'Tage'),
('de', 'calendar', 'csv-filename', 'CSV-Dateiname'),
('de', 'calendar', 'csv', 'CSV'),
('de', 'calendar', 'csv-fieldname', 'CSV-Feldname'),
('de', 'calendar', 'create new links', 'Neue Verknüpfung erstellen'),
('de', 'calendar', 'create exception', 'Ausnahme erzeugen'),
('de', 'calendar', 'create an exception for the given date', 'Erzeugt eine Ausnahme am angegebenen Datum'),
('de', 'calendar', 'country', 'Land'),
('de', 'calendar', 'countries', 'Länder'),
('de', 'calendar', 'copy your changes to the clipboard, %1reload the entry%2 and merge them.', 'Kopieren Sie ihre Änderungen in die Zwischenablage, %1laden den Eintrag neu%2 und fügen diese wieder ein.'),
('de', 'calendar', 'copy this event', 'Kopiert diesen Termin'),
('de', 'calendar', 'copy of:', 'Kopie von:'),
('de', 'calendar', 'conflict', 'Konflikt'),
('de', 'calendar', 'compose a mail to all participants after the event is saved', 'Schreibe eine E-Mail an alle Teilnehmer, nachdem der Termin gespeichert wurde.'),
('de', 'calendar', 'close the window', 'Schließt das Fenster'),
('de', 'calendar', 'check all', 'Alle auswählen'),
('de', 'calendar', 'charset of file', 'Zeichensatz der Datei'),
('de', 'calendar', 'chair', 'Vorsitz'),
('de', 'calendar', 'change history', 'Änderungshistorie'),
('de', 'calendar', 'category acl only restrict adding a category to an event or changing status of a participant. it does not change the visibility ', 'Kategorie Rechte beschränken nur das Hinzufügen einer Kategorie zu einem Termin oder das Ändern des Status eines Teilnehmers. Sie ändern NICHT die Sichtbarkeit eines Termins!'),
('de', 'calendar', 'category acl', 'Kategorie Rechte'),
('de', 'calendar', 'category %1 removed because of missing rights', 'Kategorie %1 entfernt wegen fehlender Rechte'),
('de', 'calendar', 'canceled', 'Abgesagt'),
('de', 'calendar', 'can''t aquire lock!', 'Kann Termin nicht sperren!'),
('de', 'calendar', 'can''t add alarms in the past !!!', 'Kann keine Alarme in der Vergangenheit setzen !!!'),
('de', 'calendar', 'calendar preferences', 'Kalender Einstellungen'),
('de', 'calendar', 'calendar-fieldname', 'Kalender Feldname'),
('de', 'calendar', 'calendar menu', 'Kalender Menü'),
('de', 'calendar', 'calendar event', 'Kalender Aktualisierung'),
('de', 'calendar', 'birthday', 'Geburtstag'),
('de', 'calendar', 'busy', 'belegt'),
('de', 'calendar', 'by', 'von'),
('de', 'calendar', 'calendar csv export', 'Kalender CSV Export'),
('de', 'calendar', 'before the event', 'vor dem Termin'),
('de', 'calendar', 'before current date', 'Vor dem aktuellen Datum'),
('de', 'calendar', 'before %1', 'Vor dem %1'),
('de', 'calendar', 'back one month', 'einen Monat zurück'),
('de', 'calendar', 'are you sure you want to delete this holiday ?', 'Sind Sie sicher, dass Sie diesen Feiertag löschen möchten?'),
('de', 'calendar', 'back half a month', 'einen halben Monat zurück'),
('de', 'calendar', 'are you sure you want to delete this country ?', 'Sind Sie sicher, dass Sie dieses Land löschen möchten?'),
('de', 'calendar', 'apply the changes', 'Übernimmt die Änderungen'),
('de', 'calendar', 'apply the action on the whole query, not only the shown events', 'Befehl auf die gesamte Abfrage anwenden, NICHT nur auf die angezeigten Termine'),
('de', 'calendar', 'all participants', 'Alle Teilnehmer'),
('de', 'calendar', 'allows to edit the event again', 'Erlaubt den Termin erneut zu bearbeiten'),
('de', 'calendar', 'all incl. rejected', 'Alle einschl. abgesagte'),
('de', 'calendar', 'all future', 'Alle zukünftigen'),
('de', 'calendar', 'all events', 'Alle Termine'),
('de', 'calendar', 'all day', 'ganztägig'),
('de', 'calendar', 'all categories', 'Alle Kategorien'),
('de', 'calendar', 'alarms', 'Alarme'),
('de', 'calendar', 'alarm management', 'Alarm Management'),
('de', 'calendar', 'alarm for %1 at %2 in %3', 'Alarm für %1 am %2 in %3'),
('de', 'calendar', 'alarm deleted', 'Alarm gelöscht'),
('de', 'calendar', 'alarm added', 'Alarm zugefügt'),
('de', 'calendar', 'after current date', 'Nach dem aktuellen Datum'),
('de', 'calendar', 'alarm', 'Alarm'),
('de', 'calendar', 'after %1', 'Nach dem %1'),
('de', 'calendar', 'added by synchronisation', 'Durch Synchronisation hinzugefügt'),
('de', 'calendar', 'added', 'Neuer Termin'),
('de', 'calendar', 'add alarm', 'Alarm zufügen'),
('de', 'calendar', 'actions', 'Befehle'),
('de', 'calendar', 'action that caused the notify: added, canceled, accepted, rejected, ...', 'Aktion, welche die Benachrichtigung verursacht hat: Zugefügt, Storniert, Zugesagt, Abgesagt'),
('de', 'calendar', 'accepted', 'Zugesagt'),
('de', 'calendar', 'access denied to the calendar of %1 !!!', 'Zugriff zum Kalender von %1 verweigert !!!'),
('de', 'calendar', 'accept or reject an invitation', 'Einladung zu- oder absagen'),
('de', 'calendar', 'a non blocking event will not conflict with other events', 'Ein nicht blockierender Termin ergibt keine Konflikt mit anderen Terminen'),
('de', 'calendar', '<b>please note</b>: the calendar use the holidays of your country, which is set to %1. you can change it in your %2.<br />holida', '<b>Bitte beachten</b>: Der Kalender verwendet die Feiertages des Landes, welches auf %1 eingestellt ist. Das können Sie in Ihren %2 ändern.<br />Feiertage werden %3 automatisch von %4 installiert, was in %5 änderbar ist.'),
('de', 'calendar', '%1 weeks', '%1 Wochen'),
('de', 'calendar', '%1 records read (not yet imported, you may go back and uncheck test import)', '%1 Datensätze gelesen (noch nicht importiert, Sie können zurück gehen und Test Import ausschalten)'),
('de', 'calendar', '%1 records imported', '%1 Datensätze importiert'),
('de', 'calendar', '%1 %2 in %3', '%1 %2 im %3'),
('de', 'calendar', '%1 participants removed because of missing invite grants', '%1 Teilnehmer entfernt wegen fehlender Einladungsrechte'),
('de', 'bookmarks', 'you must select a category', 'Sie müssen eine Kategorie auswählen'),
('de', 'bookmarks', 'you need to select a category!', 'Sie müssen erst eine Kategorie auswählen!'),
('de', 'bookmarks', 'warning', 'Warnung'),
('de', 'bookmarks', 'you are viewing this site outside of egroupware', 'Sie besuchen diese Seite von außerhalb der EGroupware'),
('de', 'bookmarks', 'view bookmark', 'Lesezeichen anzeigen'),
('de', 'bookmarks', 'view this bookmark', 'Lesezeichen anzeigen'),
('de', 'bookmarks', 'unable to open temp file %1 for import.', 'Kann temp. Datei %1 nicht importieren.'),
('de', 'bookmarks', 'url is required.', 'Eine URL wird benötigt'),
('de', 'bookmarks', 'tree view', 'Baumansicht'),
('de', 'bookmarks', 'total visits', 'Gesamtbesuche'),
('de', 'bookmarks', 'to e-mail addresses', 'An E-Mail-Adressen'),
('de', 'bookmarks', 'to which category should the imported folder hierarchy be attached', 'Zu welcher Kategorie sollen die importierten Ordern hinzugefügt werden'),
('de', 'bookmarks', 'to address %1 invalid. format must be <strong>user@domain</strong> and domain must exist!', 'An Adresse %1 ungültig. Das Format muss <strong>benutzer@domain</strong> sein und die Domain muss existieren.'),
('de', 'bookmarks', 'this module displays bookmarks in a javascript based tree', 'Dieses Modul zeigt Lesezeichen in einer javascriptbasierenden Baumstruktur an.'),
('de', 'bookmarks', 'send bookmark', 'Lesezeichen versenden'),
('de', 'bookmarks', 'sub category', 'Unterkategorie'),
('de', 'bookmarks', 'select the format you would like to export to', 'In welchem Format möchten Sie exportieren'),
('de', 'bookmarks', 'search for:', 'Suchen nach:'),
('de', 'bookmarks', 'query condition', 'Abfrage'),
('de', 'bookmarks', 'rating', 'Bewertung'),
('de', 'bookmarks', 'please select the categories to export', 'Bitte wählen Sie die zu exportierenden Kategorien'),
('de', 'bookmarks', 'please fill out <b>to e-mail address</b>, <b>subject</b>, and <b>message</b>!', 'Bitte <b>An E-Mail-Adresse</b>, <b>Betreff</b> und <b>Nachricht</b> ausfüllen!'),
('de', 'bookmarks', 'new bookmark', 'Neues Lesezeichen'),
('de', 'bookmarks', 'or', 'oder'),
('de', 'bookmarks', 'new', 'Neu'),
('de', 'bookmarks', 'netscape bookmark filename is required!', 'Dateinamen der Netscape-Lesezeichen ist erforderlich!'),
('de', 'bookmarks', 'netscape bookmark file', 'Netscape-Lesezeichendatei'),
('de', 'bookmarks', 'more', 'Mehr'),
('de', 'bookmarks', 'name', 'Name'),
('de', 'bookmarks', 'name is required', 'Name wird benötigt'),
('de', 'bookmarks', 'message from', 'Nachricht von'),
('de', 'bookmarks', 'mass update:', 'Massenbearbeitung:'),
('de', 'bookmarks', 'mail-this-link message sent to %1.', 'Nachricht mit Link versendet an %1.'),
('de', 'bookmarks', 'lowest', 'Niedrigste'),
('de', 'bookmarks', 'mail this bookmark', 'Dieses Lesezeichen mailen'),
('de', 'bookmarks', 'like', 'enthält'),
('de', 'bookmarks', 'list view', 'Listenansicht'),
('de', 'bookmarks', 'from category %1', 'von Kategorie %1'),
('de', 'bookmarks', 'global categories', 'Globale Kategorien'),
('de', 'bookmarks', 'highest', 'Höchste'),
('de', 'bookmarks', 'i thought you would be interested in the following link(s):', 'Diese Link(s) könnten für Sie von Interesse sein:'),
('de', 'bookmarks', 'from', 'von'),
('de', 'bookmarks', 'fewer', 'Weniger'),
('de', 'bookmarks', 'filter by', 'Filtern nach'),
('de', 'bookmarks', 'found a link you might like', 'Habe einen interessanten Link gefunden'),
('de', 'bookmarks', 'enter the name of the netscape bookmark file<br>that you want imported into bookmarker below.', 'Geben Sie den Namen der Netscape-Lesezeichendatei an<br>die Sie importieren möchten.'),
('de', 'bookmarks', 'edit bookmark', 'Lesezeichen bearbeiten'),
('de', 'bookmarks', 'edit this bookmark', 'Dieses Lesezeichen bearbeiten'),
('de', 'bookmarks', 'date last visited', 'Datum des letzten Besuches'),
('de', 'bookmarks', 'descending', 'Aufsteigend'),
('de', 'bookmarks', 'date changed', 'Datum geändert'),
('de', 'bookmarks', 'date last updated', 'Datum der letzten Überarbeitung'),
('de', 'bookmarks', 'create new bookmark', 'Neues Lesezeichen anlegen'),
('de', 'bookmarks', 'date added', 'Datum'),
('de', 'bookmarks', 'create bookmark', 'Lesezeichen anlegen'),
('de', 'bookmarks', 'close this window to return', 'Zurück und diese Fenster schließen'),
('de', 'bookmarks', 'change bookmark', 'Lesezeichen ändern'),
('de', 'bookmarks', 'choose the categories to display', 'Wählen Sie eine Kategorie zum Anzeigen'),
('de', 'bookmarks', 'bookmarks settings', 'Lesezeichen - Einstellungen'),
('de', 'bookmarks', 'bookmark not readable', 'Lesezeichen ist nicht lesbar'),
('de', 'bookmarks', 'bookmark deleted successfully.', 'Lesezeichen erfolgreich gelöscht.'),
('de', 'bookmarks', 'bookmark not editable', 'Dieses Lesezeichen ist nicht editierbar'),
('de', 'bookmarks', 'bookmark deleted successfully', 'Lesezeichen erfolgreich gelöscht.'),
('de', 'bookmarks', 'bookmark created successfully.', 'Lesezeichen erfolgreich erzeugt.'),
('de', 'bookmarks', 'ascending', 'Absteigend'),
('de', 'bookmarks', 'bookmark changed sucessfully', 'Lesezeichen erfolgreich geändert.'),
('de', 'bookmarks', 'append this message to mailed bookmarks', 'Diese Nachricht an zu verschickende Lesezeichen anhängen.'),
('de', 'bookmarks', 'all bookmarks', 'Alle Lesezeichen'),
('de', 'bookmarks', 'and', 'Und'),
('de', 'bookmarks', '<b>note:</b> this currently works with netscape bookmarks only', '<b>Achtung:</b> Geht im Moment nur mit Lesezeichen von Netscape.'),
('de', 'bookmarks', '(comma separate multiple addresses)', '(mehrere Adressen mit Komma getrennt)'),
('de', 'common', 'wiki', 'Wiki'),
('de', 'bookmarks', '%1 bookmarks have been deleted', '%1 Lesezeichen wurden gelöscht'),
('de', 'bookmarks', '%1 bookmarks imported from %2 successfully.', '%1 Lesezeichen erfolgreich von %2 importiert.'),
('de', 'common', 'tracker', 'Verfolgungssystem'),
('de', 'common', 'block / unblock hosts', 'Sperren/Freigeben von Rechnern'),
('de', 'common', 'lock / unlock pages', 'Sperren / freigeben von Seiten'),
('de', 'common', 'timesheet', 'Stundenzettel'),
('de', 'common', 'define escalations', 'Eskalation definieren'),
('de', 'common', 'device history', 'Geräte Historie'),
('de', 'common', 'documentation', 'Dokumentation'),
('de', 'common', 'web content manager', 'SiteMgr Contentmanagement'),
('de', 'common', 'sitemgr-link', 'Website'),
('de', 'common', 'there was an error accessing the requested page. either you do not have permission to view this page, or the page does not exist', 'Ein Fehler ist aufgetreten beim Aufruf der angeforderten Seite. Entweder haben Sie nicht die Rechte diese Seite anzusehen, oder diese Seite existiert nicht.'),
('de', 'common', 'sitemgr web content manager', 'SiteMgr Contentmanagement'),
('de', 'common', 'sitemgr', 'SiteMgr'),
('de', 'common', 'site setup', 'Setup der Website'),
('de', 'common', 'manage pages', 'Seiten verwalten'),
('de', 'common', 'error accessing page', 'Fehler beim Aufruf der Seite'),
('de', 'common', 'edit individual pages', 'Einzelne Seiten bearbeiten'),
('de', 'common', 'edit site header and footer', 'Seiten Kopf- und Fußzeile bearbeiten'),
('de', 'common', 'edit categories and permissions', 'Kategorien und Zugriffsrechte bearbeiten'),
('de', 'common', 'define websites', 'Websites definieren'),
('de', 'common', 'as', 'als'),
('de', 'common', 'sambaadmin', 'Sambaadmin'),
('de', 'common', 'select resources', 'Ressourcen auswählen'),
('de', 'common', 'samba settings', 'Samba Einstellungen'),
('de', 'common', 'resources', 'Ressourcen'),
('de', 'common', 'registration', 'Registrierung'),
('de', 'common', 'projectmanager', 'Projektmanager'),
('de', 'common', 'selectbox with groupmembers', 'Auswahlbox mit Gruppenmitgliedern'),
('de', 'common', 'no user-selection at all', 'Überhaupt keine Benutzerauswahl'),
('de', 'common', 'show questions', 'Umfragen zeigen'),
('de', 'common', 'your settings have been updated', 'Ihre Einstellungen wurden aktualisiert'),
('de', 'common', 'zambia', 'ZAMBIA'),
('de', 'common', 'zimbabwe', 'ZIMBABWE'),
('de', 'common', 'zoom', 'Zoomen'),
('de', 'common', 'polls', 'Umfragen'),
('de', 'common', 'your search returned 1 match', 'Ihre Suche ergab einen Treffer'),
('de', 'common', 'your search returned %1 matchs', 'Ihre Suche ergab %1 Treffer'),
('de', 'common', 'your message has been sent', 'Ihre Nachricht wurde versendet'),
('de', 'common', 'your message could <b>not</b> be sent!<br>', 'Ihre Nachricht konnte <b>nicht</b> gesendet werden!<br>'),
('de', 'common', 'you''ve tried to open the egroupware application: %1, but you have no permission to access this application.', 'Sie haben versucht auf die EGroupware Anwendung %1 zuzugreifen, auf die Sie keine Rechte haben.'),
('de', 'common', 'you need to be an egroupware administrator to access this functionality!', 'Sie müssen ein EGroupware Administrator sein, um auf diese Funktion zuzugreifen!'),
('de', 'common', 'you need to add the webserver user ''%1'' to the group ''%2''.', 'Sie müssen den Webserver-User ''%1'' zur Gruppe ''%2'' hinzufügen.'),
('de', 'common', 'you have successfully logged out', 'Sie haben sich erfolgreich abgemeldet'),
('de', 'common', 'you need to %1set your timezone preference%2.', 'Sie müssen %1Ihre Zeitzone in den Einstellungen setzen%2'),
('de', 'common', 'you have selected an invalid main category', 'Sie haben eine ungültige Hauptkategorie gewählt !'),
('de', 'common', 'you have selected an invalid date', 'Sie haben ein ungültiges Datum gewählt !'),
('de', 'common', 'you have not entered a valid time of day', 'Sie haben keine gültige Uhrzeit eingegeben'),
('de', 'common', 'you have not entered participants', 'Sie haben keine Teilnehmer eingegeben'),
('de', 'common', 'you have not entered a valid date', 'Sie haben kein gültiges Datum eingegeben'),
('de', 'common', 'you have not entered a title', 'Sie haben keinen Titel eingegeben'),
('de', 'common', 'you can customize how many icons and toolbars the editor shows.', 'Sie können bestimmen, wie viele Icons und Toolbars der Editor anzeigt.'),
('de', 'common', 'yemen', 'JEMEN'),
('de', 'common', 'yes', 'Ja'),
('de', 'common', 'you are required to change your password during your first login', 'Sie müssen Ihr Passwort bei der ersten Anmeldung ändern'),
('de', 'common', 'written by:', 'geschrieben von:'),
('de', 'common', 'year', 'Jahr'),
('de', 'common', 'writing', 'schreiben'),
('de', 'common', 'would you like to display the page generation time at the bottom of every window?', 'Möchten Sie die Zeit zur Erstellung der Seite am Ende jedes Fensters anzeigen?'),
('de', 'common', 'which groups', 'Welche Gruppen'),
('de', 'common', 'width', 'Breite'),
('de', 'common', 'work email', 'geschäftliche E-Mail'),
('de', 'common', 'where and how will the egroupware links like preferences, about and logout be displayed.', 'Wo und wie werden die EGroupware Verknüpfungen wie Einstellungen, Über ..., und Abmelden angezeigt.'),
('de', 'common', 'when you say yes the home and logout buttons are presented as applications in the main top applcation bar.', 'Wenn Sie dies aktivieren,  werden die Start und Abmelde Symbole als Anwendungen im oberen Anwendungsbalken angezeigt.'),
('de', 'common', 'what style would you like the image to have?', 'Welchen Stil soll das Bild haben?'),
('de', 'common', 'what color should all the blank space on the desktop have', 'Welche Farbe soll der freie Platz auf der Arbeitsfläche haben'),
('de', 'common', 'western sahara', 'WEST SAHARA'),
('de', 'common', 'western european', 'Westeuropäisch'),
('de', 'common', 'welcome', 'Willkommen'),
('de', 'common', 'wednesday', 'Mittwoch'),
('de', 'common', 'wallis and futuna', 'WALLIS AND FUTUNA'),
('de', 'common', 'virgin islands, u.s.', 'VIRGIN ISLANDS, U.S.'),
('de', 'common', 'virgin islands, british', 'VIRGIN ISLANDS, BRITISH'),
('de', 'common', 'view', 'Anzeigen'),
('de', 'common', 'viet nam', 'VIETNAM'),
('de', 'common', 'version', 'Version'),
('de', 'common', 'venezuela', 'VENEZUELA'),
('de', 'common', 'vanuatu', 'VANUATU'),
('de', 'common', 'value', 'Wert'),
('de', 'common', 'uzbekistan', 'UZBEKISTAN'),
('de', 'common', 'username', 'Benutzername'),
('de', 'common', 'users', 'Benutzer'),
('de', 'common', 'users choice', 'Benutzerauswahl'),
('de', 'common', 'user accounts', 'Benutzerkonten'),
('de', 'common', 'user groups', 'Benutzergruppen'),
('de', 'common', 'user', 'Benutzer'),
('de', 'common', 'use button to search for project', 'benutze Knopf zum Suchen nach Projekten'),
('de', 'common', 'use button to search for calendarevent', 'benutze Knopf zum Suchen nach Terminen'),
('de', 'common', 'use button to search for address', 'benutze Knopf zum Suchen nach Adressen'),
('de', 'common', 'uruguay', 'URUGUAY'),
('de', 'common', 'use button to search for', 'benutze Knopf zum suchen nach'),
('de', 'common', 'upload requires the directory to be writable by the webserver!', 'Der Upload verlangt, dass der Webserver Schreibrechte auf diesem Verzeichnis hat!'),
('de', 'common', 'url', 'Webseite'),
('de', 'common', 'upload', 'Hochladen'),
('de', 'common', 'upload directory does not exist, or is not writeable by webserver', 'Das Verzeichnis zum Hochladen existiert nicht oder der Webserver hat dort keine Schreibrechte.'),
('de', 'common', 'update the clock per minute or per second', 'Uhr pro Minute oder pro Sekunde aktualisieren'),
('de', 'common', 'update', 'Aktualisieren'),
('de', 'common', 'unknown', 'Unbekannt'),
('de', 'common', 'united states minor outlying islands', 'UNITED STATES MINOR OUTLYING ISLANDS'),
('de', 'common', 'united states', 'VEREINIGTE STAATEN VON AMERIKA'),
('de', 'common', 'united kingdom', 'GROSSBRITANIEN'),
('de', 'common', 'type', 'Typ'),
('de', 'common', 'uganda', 'UGANDA'),
('de', 'common', 'ukraine', 'UKRAINE'),
('de', 'common', 'underline', 'Unterstrichen'),
('de', 'common', 'united arab emirates', 'VEREINIGTEN ARABISCHEN EMIRATE'),
('de', 'common', 'turks and caicos islands', 'TURKS AND CAICOS ISLANDS'),
('de', 'common', 'tuvalu', 'TUVALU'),
('de', 'common', 'tunisia', 'TUNISIEN'),
('de', 'common', 'turkey', 'TÜRKEI'),
('de', 'common', 'turkmenistan', 'TURKMENISTAN'),
('de', 'common', 'tuesday', 'Dienstag'),
('de', 'common', 'total', 'Gesamt'),
('de', 'common', 'transparant bg for the icons?', 'Transparenter Hintergrund für Symbole'),
('de', 'common', 'trinidad and tobago', 'TRINIDAD AND TOBAGO'),
('de', 'common', 'top', 'Oben'),
('de', 'common', 'tokelau', 'TOKELAU'),
('de', 'common', 'tonga', 'TONGA'),
('de', 'common', 'too many unsucessful attempts to login: %1 for the user ''%2'', %3 for the ip %4', 'Zu viele ungültige Anmeldeversuche: %1 für den Benutzer ''%2'', %3 für die IP %4'),
('de', 'common', 'togo', 'TOGO'),
('de', 'common', 'todays date, eg. "%1"', 'heutiges Datum, z.B. "%1"'),
('de', 'common', 'today', 'Heute'),
('de', 'common', 'to go back to the msg list, click <a href= %1 >here</a>', 'Um zur Liste der Meldungen zurück zu gehen, <a href="%1">hier</a> anklicken'),
('de', 'common', 'to correct this error for the future you will need to properly set the', 'Um diesen Fehler in der Zukunft zu verhindern, müssen sie folgendes setzen:'),
('de', 'common', 'title', 'Titel'),
('de', 'common', 'to', 'An'),
('de', 'common', 'time zone offset', 'Zeitzonendifferenz'),
('de', 'common', 'time', 'Zeit'),
('de', 'common', 'time zone', 'Zeitzone'),
('de', 'common', 'tiled', 'gekachelt'),
('de', 'common', 'thursday', 'Donnerstag'),
('de', 'common', 'this name has been used already', 'Dieser Name ist bereits in Benutzung !'),
('de', 'common', 'this application requires an upgrade', 'Diese Anwendung benötigt eine Aktualisierung'),
('de', 'common', 'this application is current', 'Diese Anwendung ist aktuell'),
('de', 'common', 'there already is a system-user with this name. user''s should not have the same name as a systemuser', 'Es gibt schon einen System Benutzer mit dem selben Namen. Die Benutzer sollten nicht die gleichen Namen haben, wie die Systembenutzer.'),
('de', 'common', 'the mail server returned', 'Der E-Mail-Server liefert zurück'),
('de', 'common', 'the following applications require upgrades', 'Die folgenden Anwendungen benötigen eine Aktualisierung'),
('de', 'common', 'the api requires an upgrade', 'Die API benötigt eine Aktualisierung'),
('de', 'common', 'the api is current', 'Die API ist aktuell'),
('de', 'common', 'thailand', 'THAILAND'),
('de', 'common', 'text color:', 'Textfarbe:'),
('de', 'common', 'tanzania, united republic of', 'TANZANIA, VEREINIGTE REPUBLIK'),
('de', 'common', 'taiwan', 'TAIWAN/TAIPEI'),
('de', 'common', 'tajikistan', 'TAJIKISTAN'),
('de', 'common', 'table properties', 'Tabelleneigenschaften'),
('de', 'common', 'table %1 is excluded from backup and restore. data will not be restored.', 'Tabelle %1 ist ausgeschlossen von der Datensicherung und der Wiederherstellung. Die Daten werden nicht wiederhergestellt.'),
('de', 'common', 'syrian arab republic', 'SYRIEN, ARABISCHE REPUBLIK'),
('de', 'common', 'sweden', 'SCHWEDEN'),
('de', 'common', 'switzerland', 'SCHWEIZ'),
('de', 'common', 'swaziland', 'SWAZILAND'),
('de', 'common', 'svalbard and jan mayen', 'SVALBARD AND JAN MAYEN'),
('de', 'common', 'suriname', 'SURINAME'),
('de', 'common', 'sunday', 'Sonntag'),
('de', 'common', 'sudan', 'SUDAN'),
('de', 'common', 'substitutions and their meanings:', 'Ersetzungen und ihre Bedeutung'),
('de', 'common', 'submit', 'Absenden'),
('de', 'common', 'subject', 'Betreff'),
('de', 'common', 'stretched', 'ausgedehnt'),
('de', 'common', 'status', 'Status'),
('de', 'common', 'start time', 'Startzeit'),
('de', 'common', 'start with', 'beginnt mit'),
('de', 'common', 'starting up...', 'Starte...'),
('de', 'common', 'start date', 'Startdatum'),
('de', 'common', 'sri lanka', 'SRI LANKA'),
('de', 'common', 'spain', 'SPANIEN'),
('de', 'common', 'somalia', 'SOMALIA'),
('de', 'common', 'south africa', 'SÜDAFRIKA'),
('de', 'common', 'south georgia and the south sandwich islands', 'SOUTH GEORGIA AND THE SOUTH SANDWICH ISLANDS'),
('de', 'common', 'slovakia', 'SLOVAKEI'),
('de', 'common', 'slovenia', 'SLOVENIEN'),
('de', 'common', 'solomon islands', 'SOLOMON INSELN'),
('de', 'common', 'size', 'Größe'),
('de', 'common', 'singapore', 'SINGAPUR'),
('de', 'common', 'site configuration', 'Konfiguration der Anwendung'),
('de', 'common', 'sierra leone', 'SIERRA LEONE'),
('de', 'common', 'simple', 'Einfach'),
('de', 'common', 'showing %1 - %2 of %3', '%1 - %2 von %3 Einträgen'),
('de', 'common', 'showing %1', '%1 Einträge'),
('de', 'common', 'show_more_apps', 'Mehr Anwendungen anzeigen'),
('de', 'common', 'show the logo''s of egroupware and x-desktop on the desktop.', 'Zeige Logos von EGroupware und x-desktop auf dem Desktop.'),
('de', 'common', 'show page generation time?', 'Erstellungszeit der Seite anzeigen?'),
('de', 'common', 'show page generation time on the bottom of the page?', 'Zeit zum Erstellen der Seite in der Fußzeile anzeigen'),
('de', 'common', 'show page generation time', 'Zeit zum Erstellen der Seite anzeigen'),
('de', 'common', 'show menu', 'Menü anzeigen'),
('de', 'common', 'show logo''s on the desktop.', 'Logos auf der Arbeitsfläche anzeigen.'),
('de', 'common', 'show in sidebox', 'In Seitenmenü anzeigen'),
('de', 'common', 'show home and logout button in main application bar?', 'Zeige Start und Abmelde Symbol im Hauptnavigations-Balken?'),
('de', 'common', 'show clock?', 'Uhr anzeigen?'),
('de', 'common', 'show as topmenu', 'Menü oben anzeigen'),
('de', 'common', 'show all', 'alle anzeigen'),
('de', 'common', 'show all categorys', 'Alle Kategorien anzeigen'),
('de', 'common', 'seychelles', 'SEYCHELLEN'),
('de', 'common', 'setup', 'Setup'),
('de', 'common', 'setup main menu', 'Setup Hauptmenü'),
('de', 'common', 'server name', 'Server Name'),
('de', 'common', 'session has been killed', 'Session wurde beendet'),
('de', 'common', 'server answered. processing response...', 'Server antwortet. Bearbeite Antwort...'),
('de', 'common', 'server contacted. waiting for response...', 'Server kontaktiert. Warte auf Antwort...'),
('de', 'common', 'server %1 has been added', 'Server %1 wurde zugefügt'),
('de', 'common', 'serbia', 'SERBIEN'),
('de', 'common', 'september', 'September'),
('de', 'common', 'senegal', 'SENEGAL'),
('de', 'common', 'send', 'senden'),
('de', 'common', 'selection', 'Auswahl'),
('de', 'common', 'select work email address', 'geschäftl. E-Mail-Adresse auswählen'),
('de', 'common', 'select user', 'Benutzer auswählen'),
('de', 'common', 'select the default width for the application windows', 'Vorgabewert für die Breite des Anwendungsfensters auswählen'),
('de', 'common', 'select the default height for the application windows', 'Vorgabewert für die Höhe des Anwendungsfensters auswählen'),
('de', 'common', 'select one', 'Eine(n) auswählen'),
('de', 'common', 'select home email address', 'private E-Mail-Adresse auswählen'),
('de', 'common', 'select multiple accounts', 'mehrere Benutzer auswählen'),
('de', 'common', 'select date', 'Datum auswählen'),
('de', 'common', 'select group', 'Gruppe auswählen'),
('de', 'common', 'select category', 'Kategorie auswählen'),
('de', 'common', 'select all %1 %2 for %3', 'Alles auswählen %1 %2 von %3'),
('de', 'common', 'select', 'Auswählen'),
('de', 'common', 'section', 'Sektion'),
('de', 'common', 'second', 'Sekunden'),
('de', 'common', 'search or select accounts', 'Suchen und auswählen von Benutzern'),
('de', 'common', 'search', 'Suchen'),
('de', 'common', 'search %1 ''%2''', 'Suche %1 ''%2'''),
('de', 'common', 'search accounts', 'Benutzer suchen'),
('de', 'common', 'save', 'Speichern'),
('de', 'common', 'savant2 version differs from savant2 wrapper. <br/>this version: %1 <br/>savants version: %2', 'Savant2 Version unterscheidet sich von Savant2 Wrapper<br />Diese Version: %1<br />Savant version: %2'),
('de', 'common', 'saudi arabia', 'SAUDI ARABIEN'),
('de', 'common', 'saturday', 'Samstag'),
('de', 'common', 'sao tome and principe', 'SAO TOME AND PRINCIPE'),
('de', 'common', 'san marino', 'SAN MARINO'),
('de', 'common', 'samoa', 'SAMOA'),
('de', 'common', 'saint vincent and the grenadines', 'SAINT VINCENT AND THE GRENADINES'),
('de', 'common', 'saint pierre and miquelon', 'SAINT PIERRE AND MIQUELON'),
('de', 'common', 'saint lucia', 'SANTA LUCIA'),
('de', 'common', 'saint kitts and nevis', 'SAINT KITTS AND NEVIS'),
('de', 'common', 'saint helena', 'SANKT HELENA'),
('de', 'common', 'rwanda', 'RWANDA'),
('de', 'common', 'romania', 'RUMÄNIEN'),
('de', 'common', 'russian', 'Russisch'),
('de', 'common', 'russian federation', 'RUSSISCHE FÖDERATION'),
('de', 'common', 'right', 'Rechts'),
('de', 'common', 'reunion', 'REUNION'),
('de', 'common', 'returns struct of users application access', 'Liefert eine Struktur mit Benutzerzugriffsrechten auf Anwendungen'),
('de', 'common', 'returns an array of todo items', 'Liefert eine Aufstellung mit ToDo Einträgen'),
('de', 'common', 'returns a full list of accounts on the system.  warning: this is return can be quite large', 'Liefert eine vollständige Lister der Benutzerkonten auf diesem System. Warnung: Die Rückgabe kann sehr gross sein'),
('de', 'common', 'restore failed', 'Wiederherstellung fehlgeschlagen'),
('de', 'common', 'replace with', 'Ersetzen durch'),
('de', 'common', 'resource type', 'Ressource Typ'),
('de', 'common', 'remove shortcut', 'Abkürzung entfernen'),
('de', 'common', 'rename', 'Umbenennen'),
('de', 'common', 'replace', 'Ersetzen'),
('de', 'common', 'reject', 'Zurückweisen'),
('de', 'common', 'remember me', 'Automatisch anmelden'),
('de', 'common', 'remove selected accounts', 'Ausgewählte Benutzer entfernen'),
('de', 'common', 'read this list of methods.', 'Diese Liste der Methoden lesen.'),
('de', 'common', 'reading', 'lesen'),
('de', 'common', 'register', 'Registrieren'),
('de', 'common', 'regular', 'Normal'),
('de', 'common', 'puerto rico', 'PUERTO RICO'),
('de', 'common', 'qatar', 'QATAR'),
('de', 'common', 'read', 'Lesen'),
('de', 'common', 'public', 'öffentlich'),
('de', 'common', 'properties', 'Eigenschaften'),
('de', 'common', 'project', 'Projekt'),
('de', 'common', 'programs', 'Programme'),
('de', 'common', 'private', 'Privat'),
('de', 'common', 'priority', 'Priorität'),
('de', 'common', 'print', 'Drucken'),
('de', 'common', 'primary style-sheet:', 'Haupt-Stylesheet:'),
('de', 'common', 'previous page', 'Vorherige Seite'),
('de', 'common', 'portugal', 'PORTUGAL'),
('de', 'common', 'powered by', 'Powered by'),
('de', 'common', 'preferences', 'Einstellungen'),
('de', 'common', 'preferences for the idots template set', 'Einstellungen für das Idots Template'),
('de', 'common', 'poland', 'POLEN'),
('de', 'common', 'please, check back with us shortly.', 'Bitte schauen Sie bald wieder vorbei.'),
('de', 'common', 'please wait...', 'Bitte warten...'),
('de', 'common', 'please set your preferences for this application', 'Bitte editieren Sie Ihre Einstellungen für diese Anwendung !'),
('de', 'common', 'please set your global preferences', 'Bitte editieren Sie Ihre globalen Einstellungen !'),
('de', 'common', 'please select', 'Bitte wählen'),
('de', 'common', 'please %1 by hand', 'Bitte %1 per Hand'),
('de', 'common', 'please enter a name', 'Bitte geben Sie einen Namen ein !'),
('de', 'common', 'please run setup to become current', 'Bitte rufen Sie Setup auf um zu aktualisieren'),
('de', 'common', 'personal', 'persönlich'),
('de', 'common', 'peru', 'PERU'),
('de', 'common', 'philippines', 'PHILIPPINEN'),
('de', 'common', 'phpgwapi', 'EGroupware API'),
('de', 'common', 'pitcairn', 'PITCAIRN'),
('de', 'common', 'permisson denied!', 'Zugriff verweigert!'),
('de', 'common', 'permissions to the files/users directory', 'Zugriffsrechte zu den Dateien / Benutzerverzeichnissen'),
('de', 'common', 'permission denied!', 'Zugriff verweigert!'),
('de', 'common', 'path to user and group files has to be outside of the webservers document-root!!!', 'Der Pfad für Benutzer oder Gruppen Ordner muss ausserhalb des Webserver Root Verzeichnisses liegen (Webserver Root = /var/www/html; Pfad für Benutzer/Gruppen Ordner /var/www'),
('de', 'common', 'password must have at least %1 characters', 'Das Passwort muss mindestens %1 Zeichen lang sein'),
('de', 'common', 'password must contain at least %1 uppercase letters', 'Das Passwort muss mindestens %1 Großbuchstaben enthalten'),
('de', 'common', 'password must contain at least %1 special characters', 'Das Passwort muss mindestens %1 Sonderzeichen enthalten'),
('de', 'common', 'password must contain at least %1 numbers', 'Das Passwort muss mindestens %1 Nummern enthalten'),
('de', 'common', 'password must contain at least %1 lowercase letters', 'Das Passwort muss mindestens %1 Kleinbuchstaben enthalten'),
('de', 'common', 'password has been updated', 'Passwort wurde aktualisiert'),
('de', 'common', 'password could not be changed', 'Passwort konnte nicht geändert werden'),
('de', 'common', 'password', 'Passwort'),
('de', 'common', 'paraguay', 'PARAGUAY'),
('de', 'common', 'parcel', 'Paket'),
('de', 'common', 'parent category', 'Übergeordnete Kategorie'),
('de', 'common', 'papua new guinea', 'PAPUA NEU GUINEA'),
('de', 'common', 'panama', 'PANAMA'),
('de', 'common', 'palau', 'PALAU'),
('de', 'common', 'palestinian territory, occupied', 'PALESTINENSISCHES TERRITORIUM, BESETZT'),
('de', 'common', 'pakistan', 'PAKISTAN'),
('de', 'common', 'page', 'Seite'),
('de', 'common', 'page was generated in %1 seconds', 'Seite wurde erstellt in %1 Sekunden'),
('de', 'common', 'overview', 'Überblick'),
('de', 'common', 'owner', 'Besitzer'),
('de', 'common', 'open notify window', 'Benachrichtigungsfenster öffnen'),
('de', 'common', 'open popup window', 'Pop-up Fenster öffnen'),
('de', 'common', 'open sidebox', 'Seitenmenü öffnen'),
('de', 'common', 'ordered list', 'Nummerierung'),
('de', 'common', 'original', 'Original'),
('de', 'common', 'other', 'Andere'),
('de', 'common', 'only private', 'nur private'),
('de', 'common', 'only yours', 'nur eigene'),
('de', 'common', 'oops! you caught us in the middle of system maintainance.', 'Hoppla! Sie haben uns in der Mitte einer Systemwartung erwischt.'),
('de', 'common', 'oman', 'OMAN'),
('de', 'common', 'on *nix systems please type: %1', 'Auf *nix Systemen bitte %1 eingeben'),
('de', 'common', 'on mouse over', 'On Maus Over'),
('de', 'common', 'old value', 'Alter Wert'),
('de', 'common', 'october', 'Oktober'),
('de', 'common', 'ok', 'OK'),
('de', 'common', 'november', 'November'),
('de', 'common', 'notify your administrator to correct this situation', 'Benachrichtigen Sie Ihren Administrator um diese Situation zu lösen'),
('de', 'common', 'note', 'Notiz'),
('de', 'common', 'notes', 'Notizen'),
('de', 'common', 'notifications', 'Benachrichtigungen'),
('de', 'common', 'notify window', 'Benachrichtigungsfenster'),
('de', 'common', 'not a user yet? register now', 'Noch kein Benutzer? Registrieren Sie sich jetzt'),
('de', 'common', 'not assigned', 'nicht zugewiesen'),
('de', 'common', 'not readable %1 entry of user %2', 'Nicht lesbarer %1 Eintrag des Benutzers %2'),
('de', 'common', 'norway', 'NORWEGEN'),
('de', 'common', 'not', 'Niemals'),
('de', 'common', 'none', 'Keine'),
('de', 'common', 'norfolk island', 'NORFOLK INSELN'),
('de', 'common', 'normal', 'Normal'),
('de', 'common', 'northern mariana islands', 'NORTHERN MARIANA ISLANDS'),
('de', 'common', 'no savant2 template directories were found in:', 'Kein Savant2 Vorlagen Verzeichnis gefunden in:'),
('de', 'common', 'no subject', 'Kein Betreff'),
('de', 'common', 'no history for this record', 'Keine Historie für diesen Datensatz'),
('de', 'common', 'nigeria', 'NIGERIA'),
('de', 'common', 'niue', 'NIUE'),
('de', 'common', 'no', 'Nein'),
('de', 'common', 'no entries found, try again ...', 'Keine Einträge gefunden, nochmal versuchen ...'),
('de', 'common', 'nicaragua', 'NICARAGUA'),
('de', 'common', 'niger', 'NIGER'),
('de', 'common', 'next', 'Nächste'),
('de', 'common', 'next page', 'Nächste Seite'),
('de', 'common', 'new main category', 'neue Hauptkategorie'),
('de', 'common', 'new value', 'Neuer Wert'),
('de', 'common', 'new zealand', 'NEUSEELAND'),
('de', 'common', 'new entry added sucessfully', 'Neuer Eintrag wurde erfolgreich hinzugefügt'),
('de', 'common', 'never', 'Niemals'),
('de', 'common', 'new caledonia', 'NEU CALEDONIEN'),
('de', 'common', 'netherlands antilles', 'NIEDERLÄNDISCHE ANTILLEN'),
('de', 'common', 'netherlands', 'NIEDERLANDE'),
('de', 'common', 'nepal', 'NEPAL'),
('de', 'common', 'nauru', 'NAURU'),
('de', 'common', 'namibia', 'NAMIBIA'),
('de', 'common', 'name', 'Name'),
('de', 'common', 'name of the user, eg. "%1"', 'Name des Benutzers, z.B. "%1"'),
('de', 'common', 'namespace', 'Namensraum'),
('de', 'common', 'myanmar', 'MYANMAR'),
('de', 'common', 'multiple', 'mehrere'),
('de', 'common', 'morocco', 'MAROKKO'),
('de', 'common', 'mozambique', 'MOZAMBIQUE'),
('de', 'common', 'montserrat', 'MONTSERRA'),
('de', 'common', 'montenegro', 'MONTENEGRO'),
('de', 'common', 'mongolia', 'MONGOLEI'),
('de', 'common', 'monday', 'Montag'),
('de', 'common', 'monaco', 'MONACO'),
('de', 'common', 'moldova, republic of', 'MOLDAVIEN, REPUBLIK'),
('de', 'common', 'minute', 'Minute'),
('de', 'common', 'micronesia, federated states of', 'MICRONESIEN, VEREINIGTE STAATEN VON'),
('de', 'common', 'message', 'Nachricht'),
('de', 'common', 'mexico', 'MEXICO'),
('de', 'common', 'medium', 'Mittel'),
('de', 'common', 'menu', 'Menü'),
('de', 'common', 'mayotte', 'MAYOTTE'),
('de', 'common', 'may', 'Mai'),
('de', 'common', 'max number of icons in navbar', 'Maximale Anzahl der Icons in der Menüleiste'),
('de', 'common', 'mauritius', 'MAURITIUS'),
('de', 'common', 'mauritania', 'MAURITANIEN'),
('de', 'common', 'martinique', 'MARTINIQUE'),
('de', 'common', 'march', 'März'),
('de', 'common', 'marshall islands', 'MARSHALLINSELN'),
('de', 'common', 'mali', 'MALI'),
('de', 'common', 'malta', 'MALTA'),
('de', 'common', 'maldives', 'MALEDIVEN'),
('de', 'common', 'maintainer', 'Maintainer'),
('de', 'common', 'malawi', 'MALAWI'),
('de', 'common', 'malaysia', 'MALAYSIA'),
('de', 'common', 'main category', 'Hauptkategorie'),
('de', 'common', 'main screen', 'Startseite'),
('de', 'common', 'madagascar', 'MADAGASCAR'),
('de', 'common', 'mail domain, eg. "%1"', 'Mail Domain, z.B. "%1"'),
('de', 'common', 'macedonia, the former yugoslav republic of', 'MAZEDONIEN, FRÜHERE JUGOSLAVISCHE REPUBLIK'),
('de', 'common', 'macau', 'MACAU'),
('de', 'common', 'luxembourg', 'LUXEMBURG'),
('de', 'common', 'lowest', 'Niedrigste'),
('de', 'common', 'low', 'Niedrig'),
('de', 'common', 'lost login id', 'Anmeldenamen vergessen'),
('de', 'common', 'lost password', 'Anmeldepasswort vergessen'),
('de', 'common', 'loginid', 'Benutzerkennung'),
('de', 'common', 'logout', 'Abmelden'),
('de', 'common', 'lithuania', 'LITAUEN'),
('de', 'common', 'local', 'lokal'),
('de', 'common', 'login', 'Anmelden'),
('de', 'common', 'list', 'Liste'),
('de', 'common', 'list members', 'Mitglieder anzeigen'),
('de', 'common', 'line %1: ''%2''<br><b>csv data does not match column-count of table %3 ==> ignored</b>', 'Zeile %1: ''%2''<br /><b>CSV haben andere Spaltenanzahl als Tabelle %3 ==> ignoriert</b>'),
('de', 'common', 'line %1: ''%2''<br><b>csv data does contain ##last-check-run## of table %3 ==> ignored</b>', 'Zeile %1: ''%2''<br /><b>CSV enthalten ##last-check-run## der Tabelle %3 ==> ignoriert</b>'),
('de', 'common', 'liechtenstein', 'LIECHTENSTEIN'),
('de', 'common', 'license', 'Lizenz'),
('de', 'common', 'liberia', 'LYBIEN'),
('de', 'common', 'libyan arab jamahiriya', 'LIBYAN ARAB JAMAHIRIYA'),
('de', 'common', 'left', 'Links'),
('de', 'common', 'lesotho', 'LESOTHO'),
('de', 'common', 'ldap-mgr', 'LDAP-Manager'),
('de', 'common', 'lebanon', 'LIBANON'),
('de', 'common', 'lastname', 'Name'),
('de', 'common', 'latvia', 'LATVIA'),
('de', 'common', 'last page', 'Letzte Seite'),
('de', 'common', 'last name of the user, eg. "%1"', 'Nachname des Benutzers, z.B. "%1"'),
('de', 'common', 'last name', 'Nachname'),
('de', 'common', 'last modified', 'Letzte Änderung'),
('de', 'common', 'lao peoples democratic republic', 'LAOS, VOLKSREPUBLIK'),
('de', 'common', 'language_direction_rtl', 'language_direction_rtl'),
('de', 'common', 'kyrgyzstan', 'KYRGYZSTAN'),
('de', 'common', 'language', 'Sprache'),
('de', 'common', 'korean', 'Koreanisch'),
('de', 'common', 'kuwait', 'KUWAIT'),
('de', 'common', 'korea, republic of', 'KOREA, REPUBLIK'),
('de', 'common', 'korea, democratic peoples republic of', 'KOREA, DEMOKRATISCHE VOLKSREPUBLIK'),
('de', 'common', 'kiribati', 'KIRIBATI'),
('de', 'common', 'keywords', 'Schlüsselwort'),
('de', 'common', 'kenya', 'KENIA'),
('de', 'common', 'kazakstan', 'KASACHSTAN'),
('de', 'common', 'justify right', 'Ausrichtung rechts'),
('de', 'common', 'justify full', 'Ausrichtung im Block'),
('de', 'common', 'justify left', 'Ausrichtung links'),
('de', 'common', 'june', 'Juni'),
('de', 'common', 'justify center', 'Ausrichtung mittig'),
('de', 'common', 'jun', 'Jun'),
('de', 'common', 'july', 'Juli'),
('de', 'common', 'jordan', 'JORDANIEN'),
('de', 'common', 'japanese', 'Japanisch'),
('de', 'common', 'japan', 'JAPAN'),
('de', 'common', 'january', 'Januar'),
('de', 'common', 'jamaica', 'JAMAICA'),
('de', 'common', 'italy', 'ITALIEN'),
('de', 'common', 'italic', 'Kursiv'),
('de', 'common', 'it is recommended that you run setup to upgrade your tables to the current version', 'Es ist notwendig, mit dem Setup-Programm die Tabellen zu aktualisieren.'),
('de', 'common', 'israel', 'ISRAEL'),
('de', 'common', 'it has been more then %1 days since you changed your password', 'Sie haben Ihr Passwort seit mehr als %1 Tagen nicht geändert.'),
('de', 'common', 'invalid ip address', 'Ungültige IP Adresse'),
('de', 'common', 'invalid password', 'Ungültiges Passwort'),
('de', 'common', 'iran, islamic republic of', 'IRAN, ISLAMISCHE REPUBLIC'),
('de', 'common', 'iraq', 'IRAK'),
('de', 'common', 'ireland', 'IRLAND'),
('de', 'common', 'international', 'International'),
('de', 'common', 'invalid filename', 'Ungültiger Dateiname'),
('de', 'common', 'insert row before', 'Zeile davor einfügen'),
('de', 'common', 'insert row after', 'Zeile danach einfügen'),
('de', 'common', 'insert column before', 'Spalte davor einfügen'),
('de', 'common', 'insert column after', 'Spalte danach einfügen'),
('de', 'common', 'indonesia', 'INDONESIEN'),
('de', 'common', 'insert all %1 addresses of the %2 contacts in %3', 'Alle %1 Adressen der %2 Kontakte in %3 einfügen'),
('de', 'common', 'image url', 'Bild URL'),
('de', 'common', 'india', 'INDIEN'),
('de', 'common', 'image directory relative to document root (use / !), example:', 'Bildverzeichnis entsprechend zur Dokumentroot (benutze / !), Beispiel:'),
('de', 'common', 'if there are some images in the background folder you can choose the one you would like to see.', 'Wenn mehrere Bilder im Hintergrund Ordner sind können Sie wählen, welches Sie sehen möchten.'),
('de', 'common', 'if the clock is enabled would you like it to update it every second or every minute?', 'Möchten Sie bei aktivierter Uhr, dass diese sekündlich aktualisiert wird?'),
('de', 'common', 'iespell not detected. click ok to go to download page.', 'ieSpell nicht gefunden. OK klicken um zur Download Seite zu gehen.'),
('de', 'common', 'iceland', 'ISLAND'),
('de', 'common', 'hungary', 'UNGARN'),
('de', 'common', 'how to show the general egroupware menu ?', 'Wie soll das allgemeine EGroupware Menü angezeigt werden?'),
('de', 'common', 'hong kong', 'HONG KONG'),
('de', 'common', 'how many icons should be shown in the navbar (top of the page). additional icons go into a kind of pulldown menu, callable by th', 'Wie viele Icons sollen in der Navigation angezeigt werden (die obere Navigation). Weitere Applikationen werden über ein Auswahlmenü angeboten. Das Auswahlmenü kann über das rechte Icon geöffnet werden'),
('de', 'common', 'holy see (vatican city state)', 'VATICAN'),
('de', 'common', 'home', 'Home'),
('de', 'common', 'home email', 'private E-Mail'),
('de', 'common', 'honduras', 'HONDURAS'),
('de', 'common', 'height', 'Höhe'),
('de', 'common', 'help', 'Hilfe'),
('de', 'common', 'high', 'Hoch'),
('de', 'common', 'highest', 'Höchste'),
('de', 'common', 'guyana', 'GUYANA'),
('de', 'common', 'haiti', 'HAITI'),
('de', 'common', 'heard island and mcdonald islands', 'HEARD UND MCDONALD INSELN'),
('de', 'common', 'guam', 'GUAM'),
('de', 'common', 'guatemala', 'GUATEMALA'),
('de', 'common', 'guinea', 'GUINEA'),
('de', 'common', 'guinea-bissau', 'GUINEA-BISSAU'),
('de', 'common', 'guadeloupe', 'GUADELOUPE');
INSERT INTO `egw_lang` (`lang`, `app_name`, `message_id`, `content`) VALUES
('de', 'common', 'groups without permission for %1', 'Gruppen ohne Berechtigung für %1'),
('de', 'common', 'groups with permission for %1', 'Gruppen mit Berechtigung für %1'),
('de', 'common', 'groupdav', 'CalDAV, CardDAV und GroupDAV Server'),
('de', 'common', 'groups', 'Gruppen'),
('de', 'common', 'group public', 'Group Public'),
('de', 'common', 'group', 'Gruppe'),
('de', 'common', 'group access', 'Gruppenzugriff'),
('de', 'common', 'group name', 'Gruppenname'),
('de', 'common', 'greenland', 'GRÖNLAND'),
('de', 'common', 'grenada', 'GRENADA'),
('de', 'common', 'greece', 'GRIECHENLAND'),
('de', 'common', 'greek', 'Griechisch'),
('de', 'common', 'global public', 'Global Public'),
('de', 'common', 'grant access', 'Zugriff gewähren'),
('de', 'common', 'global', 'Global'),
('de', 'common', 'ghana', 'GHANA'),
('de', 'common', 'gibraltar', 'GIBRALTAR'),
('de', 'common', 'germany', 'DEUTSCHLAND'),
('de', 'common', 'german', 'Deutsch'),
('de', 'common', 'general menu', 'Hauptmenü'),
('de', 'common', 'georgia', 'GEORGIEN'),
('de', 'common', 'gambia', 'GAMBIA'),
('de', 'common', 'gabon', 'GABUN'),
('de', 'common', 'fullscreen mode', 'Vollbild Modus'),
('de', 'common', 'fullname', 'Vor- und Nachname'),
('de', 'common', 'friday', 'Freitag'),
('de', 'common', 'ftp', 'FTP'),
('de', 'common', 'french southern territories', 'FRANZÖSISCHEN SÜD- und ANTARKTISGEBIETE'),
('de', 'common', 'french guiana', 'FRANZÖSISCH GUYANA'),
('de', 'common', 'french polynesia', 'FRANZÖSISCH POLYNESIEN'),
('de', 'common', 'forever', 'Für immer'),
('de', 'common', 'france', 'FRANKREICH'),
('de', 'common', 'folder already exists.', 'Verzeichnis existiert bereits.'),
('de', 'common', 'force selectbox', 'Auswahlfeld erzwingen'),
('de', 'common', 'first page', 'Erste Seite'),
('de', 'common', 'firstname', 'Vorname'),
('de', 'common', 'fixme!', 'KORREGIER MICH!'),
('de', 'common', 'first name of the user, eg. "%1"', 'Vorname des Benutzers, z.B. "%1"'),
('de', 'common', 'finland', 'FINNLAND'),
('de', 'common', 'first name', 'Vorname'),
('de', 'common', 'filter', 'Filter'),
('de', 'common', 'fields', 'Felder'),
('de', 'common', 'fiji', 'FIJI'),
('de', 'common', 'files', 'Dateien'),
('de', 'common', 'february', 'Februar'),
('de', 'common', 'falkland islands (malvinas)', 'FALKLAND INSELN (MALVINAS)'),
('de', 'common', 'faroe islands', 'FAROE INSELN'),
('de', 'common', 'features of the editor?', 'Funktionen des Editors?'),
('de', 'common', 'exact', 'exakt'),
('de', 'common', 'failed to contact server or invalid response from server. try to relogin. contact admin in case of faliure.', 'Konnte Server nicht erreichen oder ungültige Antwort vom Server. Versuchen Sie sich nochmals anzumelden. Benachrichtigen Sie Ihren Administrator  wenn dies fehlschlägt.'),
('de', 'common', 'everything', 'Alles'),
('de', 'common', 'ethiopia', 'ÄTHIOPIEN'),
('de', 'common', 'error renaming %1 %2 directory', 'Fehler beim Umbenennen des Verzeichnisses %1 %2'),
('de', 'common', 'estonia', 'ESTONIEN'),
('de', 'common', 'etag', 'ETag'),
('de', 'common', 'error deleting %1 %2 directory', 'Fehler beim Löschen des Verzeichnisses %1 %2'),
('de', 'common', 'error creating %1 %2 directory', 'Fehler beim Erstellen des Verzeichnisses %1 %2'),
('de', 'common', 'error', 'Fehler'),
('de', 'common', 'eritrea', 'ERITREA'),
('de', 'common', 'equatorial guinea', 'EQUATORIAL GUINEA'),
('de', 'common', 'entry has been deleted sucessfully', 'Eintrag wurde erfolgreich gelöscht'),
('de', 'common', 'entry not found!', 'Eintrag nicht gefunden!'),
('de', 'common', 'entry updated sucessfully', 'Eintrag wurde erfolgreich aktualisiert'),
('de', 'common', 'end time', 'Endzeit'),
('de', 'common', 'end date', 'Enddatum'),
('de', 'common', 'enabled', 'Verfügbar'),
('de', 'common', 'email-address of the user, eg. "%1"', 'E-Mail-Adresse des Benutzers, z.B. "%1"'),
('de', 'common', 'email', 'E-Mail'),
('de', 'common', 'el salvador', 'EL SALVADOR'),
('de', 'common', 'egypt', 'ÄGYPTEN'),
('de', 'common', 'egroupware: login blocked for user ''%1'', ip %2', 'EGroupware: Anmelden gesperrt für Benutzer ''%1'', IP %2'),
('de', 'common', 'egroupware api version', 'EGroupware API Version'),
('de', 'common', 'egroupware', 'EGroupware'),
('de', 'common', 'edit category', 'Kategorie editieren'),
('de', 'common', 'edit categories', 'Kategorien editieren'),
('de', 'common', 'edit %1 category for', '%1 Kategorie editieren für'),
('de', 'common', 'ecuador', 'EQUADOR'),
('de', 'common', 'edit', 'Editieren'),
('de', 'common', 'eastern european', 'Osteuropäische'),
('de', 'common', 'dominica', 'DOMINICA'),
('de', 'common', 'dominican republic', 'DOMINIKANISCHE REPUBLIK'),
('de', 'common', 'e-mail', 'E-Mail'),
('de', 'common', 'east timor', 'OST TIMOR'),
('de', 'common', 'domestic', 'Inland'),
('de', 'common', 'domain name for mail-address, eg. "%1"', 'Domainname für E-Mail Adresse, z.B. "%1"'),
('de', 'common', 'domain', 'Domain'),
('de', 'common', 'document title:', 'Titel des Dokuments:'),
('de', 'common', 'doctype:', 'DOCTYPE:'),
('de', 'common', 'document properties', 'Dokument Eigenschaften'),
('de', 'common', 'do you also want to delete all subcategories ?', 'Sollen alle Unterkategorien gelöscht werden ?'),
('de', 'common', 'djibouti', 'DSCHIBUTI'),
('de', 'common', 'disabled', 'Deaktiviert'),
('de', 'common', 'disable the execution a bugfixscript for internet explorer 5.5 and higher to show transparency in png-images?', 'Deaktivieren des Fehlerbehebungsskripts für den Internetexplorer 5.5 und höher, um transparente PNG-Bilder anzuzeigen?'),
('de', 'common', 'disable the animated slider effects when showing or hiding menus in the page? opera and konqueror users will probably must want ', 'Die animierten Schwebeeffekte beim Anzeigen oder Verstecken des Navigationsmenüs in der Seite abschalten? Benutzer von Opera oder Konquerer müssen diese Funktion abschalten.'),
('de', 'common', 'disable slider effects', 'Schwebeeffekte des Navigationsmenüs abschalten'),
('de', 'common', 'disable internet explorer png-image-bugfix', 'Internet Explorer PNG-Bilder-Bugfix abschalten'),
('de', 'common', 'directory does not exist, is not readable by the webserver or is not relative to the document root!', 'Verzeichnis existiert nicht, ist nicht vom Webserver lesbar oder ist nicht entsprechend zur Dokumentroot!'),
('de', 'common', 'directory', 'Verzeichnis'),
('de', 'common', 'direction left to right', 'Richtung von links nach rechts'),
('de', 'common', 'diable the execution a bugfixscript for internet explorer 5.5 and higher to show transparency in png-images?', 'Deaktivieren des Fehlerbehebungsskripts für den Internetexplorer 5.5 und höher, um transparente PNG-Bilder anzuzeigen?'),
('de', 'common', 'detail', 'Detail'),
('de', 'common', 'details', 'Details'),
('de', 'common', 'description', 'Beschreibung'),
('de', 'common', 'denmark', 'DÄNEMARK'),
('de', 'common', 'delete row', 'Zeile löschen'),
('de', 'common', 'delete', 'Löschen'),
('de', 'common', 'default width for the windows', 'Vorgabewert für Breite des Fensters'),
('de', 'common', 'default category', 'Standard-Kategorie'),
('de', 'common', 'default height for the windows', 'Vorgabewert für Höhe des Fensters'),
('de', 'common', 'december', 'Dezember'),
('de', 'common', 'date due', 'fällig am'),
('de', 'common', 'database error!', 'Datenbank Fehler!'),
('de', 'common', 'date', 'Datum'),
('de', 'common', 'czech republic', 'TSCHECHISCHE REPUBLIK'),
('de', 'common', 'database error', 'Datenbank Fehler'),
('de', 'common', 'cyprus', 'ZYPERN'),
('de', 'common', 'current', 'derzeit'),
('de', 'common', 'current users', 'Derzeit angemeldete Benutzer'),
('de', 'common', 'currency', 'Währung'),
('de', 'common', 'croatia', 'KROATIEN'),
('de', 'common', 'cuba', 'KUBA'),
('de', 'common', 'created by', 'Erstellt von'),
('de', 'common', 'create', 'Erstellen'),
('de', 'common', 'could not contact server. operation timed out!', 'Konnte Server nicht kontaktieren. Zeitüberschreitung!'),
('de', 'common', 'cote d ivoire', 'COTE D IVOIRE'),
('de', 'common', 'copy', 'Kopieren'),
('de', 'common', 'costa rica', 'COSTA RICA'),
('de', 'common', 'content type', 'Content Typ'),
('de', 'common', 'cook islands', 'COOK INSELN'),
('de', 'common', 'contacting server...', 'Kontaktiere Server...'),
('de', 'common', 'comoros', 'KOMOREN'),
('de', 'common', 'congo', 'KONGO'),
('de', 'common', 'congo, the democratic republic of the', 'KONGO, DIE DEMOKRATISCHE REPUBLIK DES'),
('de', 'common', 'colombia', 'KOLUMBIEN'),
('de', 'common', 'common preferences', 'Allgemeine Einstellungen'),
('de', 'common', 'collection empty.', 'Collection ist leer'),
('de', 'common', 'collection listing', 'Auflistung der Collection'),
('de', 'common', 'close', 'Schließen'),
('de', 'common', 'close sidebox', 'Seitenmenü schließen'),
('de', 'common', 'cocos (keeling) islands', 'COCOS INSELN'),
('de', 'common', 'click this image on the navbar: %1', 'Klicken Sie auf dieses Symbol in der Navigation: %1'),
('de', 'common', 'click or mouse over to show menus', 'Klicken oder "mit dem Mauszeiger darüber fahren" um das Menü anzuzeigen.'),
('de', 'common', 'click or mouse over to show menus?', 'Klicken oder "mit dem Mauszeiger darüber fahren" um das Menü anzuzeigen?'),
('de', 'common', 'click', 'Klicken'),
('de', 'common', 'click here to resume your egroupware session.', 'Hier klicken um die EGroupware Sitzung wieder aufzunehmen.'),
('de', 'common', 'clear', 'Zurücksetzen'),
('de', 'common', 'clear form', 'Eingaben löschen'),
('de', 'common', 'christmas island', 'WEIHNACHTS INSEL'),
('de', 'common', 'choose the category', 'Kategorie auswählen'),
('de', 'common', 'choose the parent category', 'Wählen der übergeordneten Kategorie'),
('de', 'common', 'choose a text color for the icons', 'Wählen Sie eine Textfarbe für die Symbole'),
('de', 'common', 'choose a background style.', 'Wählen Sie einen Hintergrundstil.'),
('de', 'common', 'choose a background image.', 'Wählen Sie ein Hintergrundbild.'),
('de', 'common', 'choose a background color for the icons', 'Wählen Sie eine Hintergrundfarbe für die Symbole'),
('de', 'common', 'china', 'CHINA'),
('de', 'common', 'choose a background color', 'Wählen Sie eine Hintergrundfarbe'),
('de', 'common', 'chile', 'CHILE'),
('de', 'common', 'charset', 'UTF-8'),
('de', 'common', 'check installation', 'Installation überprüfen'),
('de', 'common', 'check now', 'jetzt überprüfen'),
('de', 'common', 'change', 'ändern'),
('de', 'common', 'chad', 'TSCHAD'),
('de', 'common', 'central african republic', 'ZENTRAL AFRIKANISCHE REPUBLIK'),
('de', 'common', 'category', 'Kategorie'),
('de', 'common', 'category %1 has been added !', 'Kategorie %1 wurde hinzugefügt !'),
('de', 'common', 'category %1 has been updated !', 'Kategorie %1 wurde überarbeitet !'),
('de', 'common', 'cayman islands', 'KAIMAN INSELN'),
('de', 'common', 'cc', 'Kopie'),
('de', 'common', 'centered', 'zentriert'),
('de', 'common', 'cant open ''%1'' for %2', 'Kann ''%1'' nicht zum %2 öffnen'),
('de', 'common', 'cape verde', 'KAP VERDE'),
('de', 'common', 'caption', 'Text'),
('de', 'common', 'categories', 'Kategorien'),
('de', 'common', 'categories for', 'Kategorien für'),
('de', 'common', 'cancel', 'Abbrechen'),
('de', 'common', 'cannot replace %1 because it is a directory', 'Kann %1 nicht ersetzen, da es ein Verzeichnis ist'),
('de', 'common', 'cant open %1, needs ziparchive', 'Kann die %1 nicht öffnen, benötigt ZipAchive'),
('de', 'common', 'burundi', 'BURUNDI'),
('de', 'common', 'calendar', 'Kalender'),
('de', 'common', 'cambodia', 'KAMBODSCHA'),
('de', 'common', 'cameroon', 'KAMERUN'),
('de', 'common', 'canada', 'KANADA'),
('de', 'common', 'burkina faso', 'BURKINA FASO'),
('de', 'common', 'bulgarian', 'Bulgarisch'),
('de', 'common', 'bouvet island', 'BOUVET INSELN'),
('de', 'common', 'brazil', 'BRASILIEN'),
('de', 'common', 'british indian ocean territory', 'BRITISCH INDIEN OZEAN TERRITORIUM'),
('de', 'common', 'brunei darussalam', 'BRUNEI DARUSSALAM'),
('de', 'common', 'bulgaria', 'BULGARIEN'),
('de', 'common', 'bosnia and herzegovina', 'BOSNIEN UND HERZEGOVINA'),
('de', 'common', 'botswana', 'BOTSWANA'),
('de', 'common', 'bottom', 'Unten'),
('de', 'common', 'bold', 'Fett'),
('de', 'common', 'bolivia', 'BOLIVIEN'),
('de', 'common', 'border', 'Rahmen'),
('de', 'common', 'blocked, too many attempts', 'Gesperrt, zu viele Versuche'),
('de', 'common', 'bhutan', 'BHUTAN'),
('de', 'common', 'benin', 'BENIN'),
('de', 'common', 'bermuda', 'BERMUDA'),
('de', 'common', 'belgium', 'BELGIEN'),
('de', 'common', 'belize', 'BELIZE'),
('de', 'common', 'bcc', 'Blindkopie'),
('de', 'common', 'belarus', 'BELORUSSLAND (WEISSRUSSLAND)'),
('de', 'common', 'barbados', 'BARBADOS'),
('de', 'common', 'bad login or password', 'Falscher Benutzername oder Passwort'),
('de', 'common', 'bahamas', 'BAHAMAS'),
('de', 'common', 'bahrain', 'BAHRAIN'),
('de', 'common', 'bangladesh', 'BANGLADESH'),
('de', 'common', 'backupdir ''%1'' is not writeable by the webserver', 'Der Webserver hat keine Schreibrechte auf das Backupverzeichnis ''%1'' .'),
('de', 'common', 'back to user login', 'Zurück zur Benutzer Anmeldung'),
('de', 'common', 'background color:', 'Hintergrund Farbe:'),
('de', 'common', 'azerbaijan', 'ASERBAIDSCHAN'),
('de', 'common', 'back', 'Zurück'),
('de', 'common', 'autosave default category', 'Standard-Kategorie automatisch speichern'),
('de', 'common', 'automatically hide the sidebox menus?', 'Automatisch linkes Navigationsmenü ausblenden?'),
('de', 'common', 'automatically hide the sidebox menu''s?', 'Automatisch linkes Navigationsmenü ausblenden?'),
('de', 'common', 'autohide sidebox menus', 'Linkes Navigationsmenü ausblenden'),
('de', 'common', 'austria', 'ÖSTERREICH'),
('de', 'common', 'author', 'Autor'),
('de', 'common', 'autohide sidebox menu''s', 'Linkes Navigationsmenü ausblenden'),
('de', 'common', 'aruba', 'ARUBA'),
('de', 'common', 'august', 'August'),
('de', 'common', 'australia', 'AUSTRALIEN'),
('de', 'common', 'argentina', 'ARGENTINIEN'),
('de', 'common', 'armenia', 'ARMENIEN'),
('de', 'common', 'are you sure you want to delete this entry ?', 'Sind Sie sicher, daß Sie diesen Eintrag löschen möchten?'),
('de', 'common', 'april', 'April'),
('de', 'common', 'are you sure you want to delete these entries ?', 'Sind Sie sicher, daß Sie diese Einträge löschen möchten?'),
('de', 'common', 'application', 'Anwendung'),
('de', 'common', 'apply', 'Übernehmen'),
('de', 'common', 'anguilla', 'ANGUILLA'),
('de', 'common', 'antarctica', 'ANTARKTIS'),
('de', 'common', 'antigua and barbuda', 'ANTIGUA UND BARBUDA'),
('de', 'common', 'andorra', 'ANDORRA'),
('de', 'common', 'angola', 'ANGOLA'),
('de', 'common', 'an existing and by the webserver readable directory enables the image browser and upload.', 'Ein existierendes, und vom Webserver lesbares Verzeichnis, schaltet den Bild Browser und Upload ein.'),
('de', 'common', 'an error happened', 'Ein Fehler ist aufgetreten.'),
('de', 'common', 'alternate style-sheet:', 'Alternatives Style-sheet'),
('de', 'common', 'american samoa', 'AMERICANISCH SAMOA'),
('de', 'common', 'all languages', 'Alle Sprachen'),
('de', 'common', 'alphabet', 'a,ä,b,c,d,e,f,g,h,i,j,k,l,m,n,o,ö,p,q,r,s,t,u,ü,v,w,x,y,z'),
('de', 'common', 'all fields', 'alle Felder'),
('de', 'common', 'all', 'alle'),
('de', 'common', 'algeria', 'ALGERIEN'),
('de', 'common', 'afghanistan', 'AFGHANISTAN'),
('de', 'common', 'albania', 'ALBANIEN'),
('de', 'common', 'admin', 'Admin'),
('de', 'common', 'administration', 'Administration'),
('de', 'common', 'addressbooks to sync with apple clients', 'Adressbücher zum Synchronisieren mit Apple Programmen'),
('de', 'common', 'addressbooks for carddav attribute "addressbook-home-set".', 'Adressbücher für CardDAV Attribut "addressbook-home-set".'),
('de', 'common', 'add sub', 'Untergeordnete hinzufügen'),
('de', 'common', 'add shortcut', 'Abkürzung hinzufügen'),
('de', 'common', 'add category', 'Kategorie hinzufügen'),
('de', 'common', 'add %1 category for', '%1 Kategorie hinzufügen für'),
('de', 'common', 'active', 'Aktiv'),
('de', 'common', 'add', 'Hinzufügen'),
('de', 'common', 'accounts', 'Benutzerkonten'),
('de', 'common', 'acl', 'ACL'),
('de', 'common', 'action', 'Aktion'),
('de', 'common', 'account is expired', 'Benutzerkennung ist abgelaufen'),
('de', 'common', 'access', 'Zugriff'),
('de', 'common', 'access not permitted', 'Zugriff verweigert'),
('de', 'common', 'about', 'Über'),
('de', 'common', 'about %1', 'Über %1'),
('de', 'common', 'about egroupware', 'Über EGroupware'),
('de', 'common', '1 month', 'Für einen Monat'),
('de', 'common', '1 week', 'Für eine Woche'),
('de', 'common', '1 hour', 'Für eine Stunde'),
('de', 'common', '(session restored in %1 seconds)', '(Sitzung in %1 Sekunden wiederhergestellt)'),
('de', 'common', '1 day', 'Den ganzen Tag'),
('de', 'common', '%1egroupware%2 is a multi-user, web-based groupware suite written in %3php%4.', '%1EGroupware%2 ist eine, in %3PHP%4 programmierte, webbasierte, Mehrbenutzer Groupware Suite.'),
('de', 'common', '%1choose an other directory%2<br />or make %3 writeable by webserver', '%1Anderes Verzeichnis auswählen%2<br />oder %3 geben Sie dem Webserver Schreibrechte für dieses Verzeichnis.'),
('de', 'common', '%1 is not executable by the webserver !!!', '%1 ist nicht ausführbar durch den Webserver !!!'),
('de', 'common', '%1 email addresses inserted', '%1 E-Mail-Adressen eingefügt'),
('de', 'common', '%1 file', '%1 Datei'),
('de', 'common', 'phpfreechat', 'freeChat'),
('de', 'common', 'publish questions automatically?', 'Fragen automatisch veröffentlichen'),
('de', 'common', 'publish comments automatically?', 'Kommentare automatisch veröffentlichen'),
('de', 'common', 'publish articles automatically?', 'Artikel automatisch veröffentlichen'),
('de', 'common', 'knowledge base configuration', 'Wissensdatenbank Konfiguration'),
('de', 'common', 'phpbrain', 'Wissensdatenbank'),
('de', 'common', 'notification', 'Benachrichtigung'),
('de', 'common', 'have to be approved first', 'Muss zuerst überprüft werden'),
('de', 'common', 'news_admin', 'Nachrichten'),
('de', 'common', 'submitted by', 'Eingetragen von'),
('de', 'common', 'linked entries:', 'Verknüpfte Einträge:'),
('de', 'common', 'configure rss exports', 'RSS Export konfigurieren'),
('de', 'common', 'configure access permissions', 'Zugriffsrechte konfigurieren'),
('de', 'common', 'manual', 'Handbuch / Hilfe'),
('de', 'common', 'infolog preferences', 'InfoLog Einstellungen'),
('de', 'common', 'infolog', 'InfoLog'),
('de', 'common', 'info log', 'InfoLog'),
('de', 'common', 'done', 'Fertig'),
('de', 'common', 'custom fields, typ and status', 'Benutzerdefinierte Felder, Typen und Status'),
('de', 'common', 'csv-import', 'CSV-Import'),
('de', 'common', 'schedule import / export', 'Zeitplan für Import/Export'),
('de', 'common', 'importexport', 'Import/Export'),
('de', 'common', 'schedule', 'Zeitplan'),
('de', 'common', 'import definitions', 'Import von Definitionsdateien'),
('de', 'common', 'define imports|exports', 'Profil definieren'),
('de', 'common', 'filemanager', 'Dateimanager'),
('de', 'common', 'all files', 'Alle Dateien'),
('de', 'common', 'applications', 'Anwendungen'),
('de', 'common', '%1 files', '%1 Dateien'),
('de', 'common', 'vacation notice', 'Abwesenheitsnotiz'),
('de', 'common', 'manage sieve', 'Sieve-Scripte verwalten'),
('de', 'common', 'new', 'Neu'),
('de', 'common', 'unread', 'Ungelesen'),
('de', 'common', 'manage folders', 'Ordner verwalten'),
('de', 'common', 'manage emailaccounts', 'E-Mail-Konten verwalten'),
('de', 'common', 'manage email accounts and identities', 'Verwaltung von E-Mail-Konten/Identitäten'),
('de', 'common', 'filter rules', 'Filter Regeln'),
('de', 'common', 'felamimail', 'E-Mail'),
('de', 'common', 'new search', 'Neue Suche'),
('de', 'common', 'etemplate', 'eTemplate'),
('de', 'common', 'emailadmin: user assigned profile', 'E-Mail-Admin: Vordefiniertes Benutzerprofil'),
('de', 'common', 'emailadmin: group assigned profile', 'E-Mail-Admin: Vordefiniertes Gruppenprofil'),
('de', 'common', 'email settings', 'E-Mail-Konto'),
('de', 'common', 'developer_tools', 'Übersetzungswerkzeuge'),
('de', 'common', 'import csv-file', 'CSV-Datei importieren'),
('de', 'common', 'freebusy', 'frei / belegt'),
('de', 'common', 'custom_2', 'frei / besetzt'),
('de', 'common', 'custom fields', 'Benutzerdefinierte Felder'),
('de', 'common', 'export bookmarks', 'Lesezeichen exportieren'),
('de', 'common', 'import bookmarks', 'Lesezeichen importieren'),
('de', 'common', 'bookmarks', 'Lesezeichen'),
('de', 'common', 'book marks', 'Lesezeichen'),
('de', 'common', 'user data', 'Benutzerdaten'),
('de', 'common', 'installed applications', 'Installierte Anwendungen'),
('de', 'common', 'group has been updated', 'Gruppe wurde  aktualisiert'),
('de', 'common', 'group has been deleted', 'Gruppe wurde  gelöscht'),
('de', 'common', 'group has been added', 'Gruppe wurde zugefügt'),
('de', 'common', 'global categories', 'Globale Kategorien'),
('de', 'common', 'are you sure you want to delete this category ?', 'Sind Sie sicher, dass Sie diese Kategorie löschen möchten?'),
('de', 'common', 'acl rights', 'ACL-Rechte'),
('de', 'common', 'account has been updated', 'Benutzerkennung wurde aktualisiert'),
('de', 'common', 'phone numbers', 'Telefonnummern'),
('de', 'common', 'postal', 'Postadresse'),
('de', 'common', 'state', 'Bundesland'),
('de', 'common', 'street', 'Straße'),
('de', 'common', 'today is %1''s birthday!', 'Heute ist der Geburtstag von %1!'),
('de', 'common', 'tomorrow is %1''s birthday.', 'Morgen ist der Geburtstag von %1.'),
('de', 'common', 'vcard', 'VCard'),
('de', 'common', 'zip code', 'PLZ'),
('de', 'common', 'account has been created', 'Benutzerkennung wurde angelegt'),
('de', 'common', 'account has been deleted', 'Benutzerkennung wurde gelöscht'),
('de', 'common', 'phone number', 'Telefonnummer'),
('de', 'common', 'pager', 'Pager'),
('de', 'common', 'grant addressbook access', 'Berechtigungen'),
('de', 'common', 'fax number', 'Fax Nummer'),
('de', 'common', 'country', 'Land'),
('de', 'common', 'department', 'Abteilung'),
('de', 'common', 'configuration', 'Konfiguration'),
('de', 'common', 'contact', 'Kontakt'),
('de', 'common', 'company', 'Unternehmen'),
('de', 'common', 'city', 'Stadt'),
('de', 'common', 'business', 'Geschäftlich'),
('de', 'common', 'birthdays', 'Geburtstage'),
('de', 'common', 'birthday', 'Geburtstag'),
('de', 'common', 'addressbook', 'Adressbuch'),
('de', 'common', 'address book', 'Adressbuch'),
('de', 'admin', 'yes with navbar', 'Ja mit Navigation'),
('de', 'admin', 'yes always', 'Ja immer'),
('de', 'admin', 'url of the upload directory', 'URL / Webadresse des Verzeichnisses zum Hochladen'),
('de', 'admin', 'readonly', 'Nur lesbar'),
('de', 'admin', 'picture upload via richtext editor (leave the upload directory empty to disable the upload)', 'Hochladen von Bildern über den Editor für formatierten Text (das Verzeichnis leer lassen um das Hochladen abzuschalten)'),
('de', 'admin', 'path of the upload directory (has to be writable by the webserver!)', 'Pfad des Verzeichnisses zum Hochladen (muß vom Webserver beschreibbar sein!)'),
('de', 'admin', 'only if browser supports a richtext-editor', 'Nur wenn der Webbrowser das Bearbeiten von formatiertem Text unterstütz'),
('de', 'admin', 'name wiki home link', 'Namen der Wiki Startseite'),
('de', 'admin', 'no never', 'Nein niemals'),
('de', 'admin', 'no only on request', 'Nein nur auf Anforderung'),
('de', 'admin', 'interwikiprefix', 'InterWikiPrefix'),
('de', 'admin', 'enable free links', 'Freie Links erlauben'),
('de', 'admin', 'enable wiki links', 'Wiki Links erlauben'),
('de', 'admin', 'emailaddress administrator', 'E-Mail-Adresse des Administrators'),
('de', 'admin', 'editable', 'editierbar'),
('de', 'admin', 'edit with preview', 'Bearbeiten mit Vorschau'),
('de', 'admin', 'automatically convert pages with wiki-syntax to richtext (if edited)?', 'Automatisch Seiten in Wiki Syntax (beim Bearbeiten) in formatierten Text konvertieren?'),
('de', 'admin', 'anonymous session type', 'Typ der anonymen Sitzung'),
('de', 'admin', 'allow anonymous access', 'Anonymen Zugriff erlauben'),
('de', 'admin', 'after how many days should old versions of a page be removed (0 for never)', 'Nach wievielen Tagen sollen alter Versionen einer Seite gelöscht werden (0 für niemals)'),
('de', 'admin', '(don''t offer the possibility)', '(Möglichkeit dazu auch nicht anbieten)'),
('de', 'admin', 'projectmanager integration', 'Integration des Projektmanagers'),
('de', 'admin', 'show a quantity sum (eg. to sum up negative overtime)', 'Zeige eine Mengensumme (z.B. um negative Überstunden zu summieren)'),
('de', 'admin', 'none: use only free project-names', 'Keine: verwende nur freie Projektnamen'),
('de', 'admin', 'full: use only projectmanager', 'Komplett: verwende nur Projektmanager'),
('de', 'admin', 'smb homepath', 'SMB Heimatpfad'),
('de', 'admin', 'both: allow to use projectmanager and free project-names', 'Beides: verwende Projektmanager und freie Projektnamen'),
('de', 'admin', 'samba sid', 'Samba SID'),
('de', 'admin', 'path to mkntpwd', 'Pfad zu mkntpwd'),
('de', 'admin', 'profilepath', 'Profilepfad'),
('de', 'admin', 'new account defaults', 'Standards für neue Benutzerkonten'),
('de', 'admin', 'computer ou', 'Computer OU'),
('de', 'admin', 'homedrive', 'Heimatlaufwerk'),
('de', 'admin', 'logonscript', 'Anmeldescript'),
('de', 'admin', 'computer group', 'Computer Gruppe'),
('de', 'admin', 'check ldap setup (experimental!!!)', 'LDAP Setup überprüfen (experimentell!!!!)'),
('de', 'admin', 'use trial accounts?', 'Testzugänge benutzen?'),
('de', 'admin', 'username is', 'Benutzername ist'),
('de', 'admin', 'configure access permissions', 'Zugangseinstellungen konfigurieren'),
('de', 'admin', 'use html', 'HTML benutzen'),
('de', 'admin', 'terms of service text', 'Inhalt der Nutzungsbedingungen'),
('de', 'admin', 'send email', 'E-Mail senden'),
('de', 'admin', 'subject for confirmation email', 'Betreff für Bestätigungs-E-Mail'),
('de', 'admin', 'registration settings', 'Registrierungseinstellungen'),
('de', 'admin', 'name sender to send notices from', 'Name des Senders, um die Benachrichtigung zu senden'),
('de', 'admin', 'password is', 'Das Passwort ist'),
('de', 'admin', 'register link at login screen?', 'Möchten Sie eine Link zur Registrierung auf der Login Seite anzeigen'),
('de', 'admin', 'manage fields', 'Felder verwalten'),
('de', 'admin', 'lost user id link at login screen?', 'Link für Benutzername vergessen auf Login-Seite anzeigen?'),
('de', 'admin', 'enable registration?', 'Registrierung einschalten?'),
('de', 'admin', 'http password', 'HTTP Passwort'),
('de', 'admin', 'http username', 'HTTP Benutzername'),
('de', 'admin', 'immediately', 'Sofort'),
('de', 'admin', 'lost password link at login screen?', 'Link für Passwort vergessen auf der Login-Seite anzeigen?'),
('de', 'admin', 'email address to send notices from', 'E-Mail-Adresse an welche Informationen gesendet werden sollen'),
('de', 'admin', 'email address to display for support', 'E-Mail-Adresse welche für den Support benutzt werden soll'),
('de', 'admin', 'days until trial accounts expire', 'Nach wie vielen Tagen verfällt der Testzugang?'),
('de', 'admin', 'display terms of service?', 'Nutzungsbedingungen anzeigen'),
('de', 'admin', 'activate account', 'Benutzerkonto aktivieren'),
('de', 'admin', 'convert user login id to 7 bit string', 'Konvertiere Benutzer Login ID zu einem 7 Bit String'),
('de', 'admin', 'voting booth admin', 'Umfragen'),
('de', 'admin', 'view system information', 'Systeminformationen anzeigen'),
('de', 'admin', 'phpsysinfo', 'Systeminformationen'),
('de', 'admin', '80 (http)', '80 (http)'),
('de', 'admin', 'datetime port.<br>if using port 13, please set firewall rules appropriately before submitting this page.<br>(port: 13 / host: 12', 'Datum-Zeit Port.<br>Wenn Sie Port 13 benutzen, passen Sie bitte die Regeln der Firewall an bevor Sie die Seite speichern.<br>(Port: 13 / Host: 129.6.15.28)'),
('de', 'admin', '13 (ntp)', '13 (ntp)'),
('de', 'admin', '00 (disable)', '00 (deaktiviert)'),
('de', 'admin', 'should the article view make an automatic table of contents?', 'Soll die Artikelansicht ein Inhaltsverzeichnis generieren?'),
('de', 'admin', 'sms backend', 'SMS Schnittstelle'),
('de', 'admin', 'windows-popup backend', 'Windows-Popup Schnittstelle'),
('de', 'admin', 'name of the backlink to the index:', 'Name des Rückverweises zum Index'),
('de', 'admin', 'maximum sms messages per notification', 'Maximale Anzahl an SMS Nachrichten pro Benachrichtigung'),
('de', 'admin', 'mail backend', 'E-Mail Schnittstelle'),
('de', 'admin', 'enable windows-popup backend', 'Windows-Popup Schnittstelle aktivieren'),
('de', 'admin', 'enable sms backend', 'SMS Schnittstelle aktivieren'),
('de', 'admin', 'enable egroupware-popup backend', 'EGroupware-Popup Schnittstelle aktivieren'),
('de', 'admin', 'egroupware-popup backend', 'EGroupware-Popup Schnittstelle'),
('de', 'admin', 'emailadmin profile only (do not use user defined (active) mail profiles for notification)', 'Nur Emailadmin Profil (aktive Benutzerdefinierte Konten werden nicht für die Notifizierung per E-Mail verwendet)'),
('de', 'admin', 'choose from mailsettings used for notification', 'Auswahl der für die Benachrichtigung per E-Mail verwendeten Mailprofile'),
('de', 'admin', 'check both (first try (active) user defined account, if none use emailadmin profile)', 'Prüfe beides (wenn vorhanden verwende das aktive Benutzerdefinierte Konto, sonst das Email-adminprofil)'),
('de', 'admin', 'picture upload (leave the upload directory empty to disable the upload)', 'Hochladen von Dateien (Lassen sie die Felder frei um das Hochladen abzuschalten)'),
('de', 'admin', 'maintain news', 'Nachrichten pflegen'),
('de', 'admin', 'wiki id for the local manual, default 1, 0 to use the wiki to edit the manual pages', 'Wiki Id für das lokale Handbuch, Vorgabe 1, 0 um das Wiki zur Bearbeitung der Seiten zu benutzen'),
('de', 'admin', 'update url for the local manual, default', 'Aktualisierungsadresse (URL) für das lokale Handbuch, Vorgabe'),
('de', 'admin', 'remote egroupware url for the manual to use, empty for a local manual, default', 'Entfernte EGroupware Internetadresse (URL) für das Handbuch, leer lassen für ein lokales Handbuch, Vorgabe'),
('de', 'admin', 'install or update the manual-pages', 'Installieren oder Aktualisieren der Handbuchseiten'),
('de', 'admin', 'anonymous username', 'Benutzername des anonymen Benutzers'),
('de', 'admin', 'anonymous password', 'Passwort des anonymen Benutzers'),
('de', 'admin', 'allow anonymous access to the manual, only necessary to act as remote manual', 'Anonymen Zugriff auf das Handbuch erlauben, nur notwendig um als entferntes Handbuch zu agieren'),
('de', 'admin', 'filemanager configuration', 'Konfiguration Dateimanager'),
('de', 'admin', 'max folderlinks', 'maximale Anzahl von Links zu Verzeichnissen'),
('de', 'admin', 'allow a maximum of the above configured folderlinks to be configured in settings', 'Erlaube das oben eingestellte Maximum an Einstellungen für Verzeichnisverweise'),
('de', 'admin', 'users can define their own emailaccounts', 'Anwender können ihre eigenen Konten definieren'),
('de', 'admin', 'use smtp auth', 'SMTP Authentifizierung benutzen'),
('de', 'admin', 'smtp settings', 'SMTP Einstellungen'),
('de', 'admin', 'sieve settings', 'Sieve Einstellungen'),
('de', 'admin', 'select your mail server type', 'Wählen Sie den Typ des Mailservers'),
('de', 'admin', 'mail server login type', 'Typ der Mailserver Anmeldung'),
('de', 'admin', 'organization name', 'Name der Organisation'),
('de', 'admin', 'enter your sieve server port', 'Port Adresse des Sieve Servers'),
('de', 'admin', 'enter your sieve server hostname or ip address', 'Sieve-Server Hostname oder IP-Adresse'),
('de', 'admin', 'enter your imap mail server hostname or ip address', 'IMAP-Server Hostname oder IP-Adresse'),
('de', 'admin', 'imap admin user', 'IMAP Administrator Benutzer'),
('de', 'admin', 'imap admin password', 'IMAP Administrator Passwort'),
('de', 'admin', 'users + groups: inviting both allways requires an invite grant', 'Benutzer + Gruppen: Einladungen beider brauchen eine Freigabe'),
('de', 'admin', 'show only the date, not the year', 'Zeige nur das Datum nicht das Jahr'),
('de', 'admin', 'show birthdays from addressbook', 'Zeige Geburtstage vom Adressbuch'),
('de', 'admin', 'setting lock time calender', 'Zeitintervall für Datensatzlock (Voreinstellung beträgt eine Sekunde)'),
('de', 'admin', 'require an acl grant to invite other users and groups', 'Freigabe um andere Benutzer oder Gruppen einzuladen erforderlich'),
('de', 'admin', 'prevent deleting of entries', 'Das Löschen von Einträgen verhindern'),
('de', 'admin', 'location to autoload from', 'Von wo sollen sie geladen werden'),
('de', 'admin', 'groups: other users can allways be invited, only groups require an invite grant', 'Gruppen: andere Benutzer können immer eingeladen werden, nur Gruppen benötigen eine Freigabe'),
('de', 'admin', 'do you wish to autoload calendar holidays files dynamically?', 'Sollen die Feiertage automatisch geladen werden?'),
('de', 'admin', 'every user can invite other users and groups', 'Jeder Benutzer kann andere Benutzer und Gruppen einladen'),
('de', 'admin', 'calendar settings', 'Kalender Einstellungen'),
('de', 'admin', 'calendar holiday management', 'Feiertage verwalten'),
('de', 'admin', 'your session could not be verified.', 'Ihre Sitzung konnte nicht verifiziert werden.'),
('de', 'admin', 'birthdays', 'Geburtstage'),
('de', 'admin', 'your last submission was less then %1 days ago!', 'Ihre letzte Übertragung liegt weniger als %1 Tage zurück!'),
('de', 'admin', 'you will need to remove the subcategories before you can delete this category', 'Sie müssen erst die Unterkategorien löschen bevor Sie diese Kategorie löschen können!'),
('de', 'admin', 'you need to enter install id and password!', 'Sie müssen die Install-ID UND das Passwort eingeben!'),
('de', 'admin', 'you must select at least one group member.', 'Sie müssen mindestens ein Gruppenmitglied auswählen.'),
('de', 'admin', 'you must select a file type', 'Sie müssen einen Dateityp auswählen'),
('de', 'admin', 'you must enter an application name.', 'Sie müssen der Anwendung einen Namen geben.'),
('de', 'admin', 'you must enter an application title.', 'Sie müssen der Anwendung einen Titel geben.'),
('de', 'admin', 'you must enter an application name and title.', 'Sie müssen der Anwendung einen Namen und einen Titel geben.'),
('de', 'admin', 'you must enter a loginid', 'Sie müssen einen Benutzernamen angeben'),
('de', 'admin', 'you must enter a lastname', 'Sie müssen einen Nachnamen angeben'),
('de', 'admin', 'you must enter a group name.', 'Sie müssen einen Gruppennamen angeben.'),
('de', 'admin', 'you must add at least 1 permission or group to this account', 'Sie müssen mindestens ein Zugriffsrecht oder eine Gruppe für diesen Benutzer angeben'),
('de', 'admin', 'you have to enter a name, to create a new field!!!', 'Sie müssen einen Namen angeben um ein neues Feld anzulegen!!!'),
('de', 'admin', 'you have to enter a name, to create a new type!!!', 'Sie müssen einen Namen angeben um einen neuen Typ anzulegen!!!'),
('de', 'admin', 'you have no email address for your user set !!!', 'Sie haben noch keine E-Mail für den Benutzer vergeben.'),
('de', 'admin', 'xml-rpc', 'XML-RPC'),
('de', 'admin', 'you have entered an invalid expiration date', 'Sie haben ein ungültiges Ablaufdatum angegeben'),
('de', 'admin', 'wrong admin-account or -password !!!', 'Falscher Admin-Account oder Passwort !!!'),
('de', 'admin', 'wrong account type: %1 is no %2 !!!', 'Falscher Konten Typ: %1 ist kein(e) %2 !!!'),
('de', 'admin', 'would you like to show each application''s upgrade status ?', 'Soll der Upgrade-Status aller Anwendungen angezeigt werden ?'),
('de', 'admin', 'would you like to automaticaly load new langfiles (at login-time) ?', 'Sollen neue Sprachdateien automatisch geladen werden (beim Login) ?'),
('de', 'admin', 'would you like egroupware to check for new application versions when admins login ?', 'Soll EGroupware auf neue Versionen der Anwendungen prüfen, wenn sich ein Administrator anmeldet ?'),
('de', 'admin', 'would you like egroupware to check for a new version<br>when admins login ?', 'Soll EGroupware prüfen ob eine neue Version vorhanden ist,<br> wenn sich ein Administrator anmeldet ?'),
('de', 'admin', 'would you like egroupware to cache the egw info array ?', 'Soll EGroupware das egw_info Array cachen ?'),
('de', 'admin', 'who would you like to transfer all records owned by the deleted user to?', 'Wem sollen alle Datensätze, die dem zu löschenden Benutzer gehören, übertragen werden?'),
('de', 'admin', 'we hope you understand the importance for this voluntary statistic and not deny it lightly.', 'Wir speichern keine Herkunftsdaten oder Informationen, die einen Rückschluss auf Ihre Identität ermöglichen würden.'),
('de', 'admin', 'we ask for the data to improve our profile in the press and to get a better understanding of egroupware''s user base and it''s nee', 'Wir erheben diese Daten zu auschliesslich statistischen Zwecken, um einen Überblick über den weltweiten Einsatz von EGroupware zu gewinnen.'),
('de', 'admin', 'view user account', 'Benutzerkonto anzeigen'),
('de', 'admin', 'view error log', 'Fehlerprotokoll anzeigen'),
('de', 'admin', 'view sessions', 'Sitzungen anzeigen'),
('de', 'admin', 'view this user', 'Diesen Benutzer anzeigen'),
('de', 'admin', 'view category', 'Kategorie anzeigen'),
('de', 'admin', 'view account', 'Benutzerkonto anzeigen'),
('de', 'admin', 'view access log', 'Zugangsprotokoll anzeigen'),
('de', 'admin', 'user groups', 'Benutzergruppen'),
('de', 'admin', 'userdata', 'Benutzerkonto'),
('de', 'admin', 'users choice', 'Benutzerauswahl'),
('de', 'admin', 'value for column %1 is not unique!', 'Wert für die Spalte %1 ist nicht eindeutig!'),
('de', 'admin', 'use theme', 'Benutztes Farbschema'),
('de', 'admin', 'user accounts', 'Benutzerkonten'),
('de', 'admin', 'user for smtp-authentication (leave it empty if no auth required)', 'Benutzer für SMTP Authentifizierung (leer lassen falls keine Authentifizierung nötig)'),
('de', 'admin', 'use secure cookies (transmitted only via https)', 'Benutzer sichere Cookies (werden nur per https übertragen)'),
('de', 'admin', 'use pure html compliant code (not fully working yet)', 'Vollständig HTML kompatiblen Code verwenden (nicht vollständig implementiert)'),
('de', 'admin', 'use cookies to pass sessionid', 'Sitzungs-ID in einem Cookie speichern'),
('de', 'admin', 'usage', 'Einsatz'),
('de', 'admin', 'updated', 'aktualisiert'),
('de', 'admin', 'url of the egroupware installation, eg. http://domain.com/egroupware', 'URL der EGroupware Installation, z.B. http://domain.com/egroupware'),
('de', 'admin', 'unknown option %1', 'Unbekannte Option %1'),
('de', 'admin', 'unknown command %1!', 'Unbekannter Befehl %1 !'),
('de', 'admin', 'unknown account: %1 !!!', 'Unbekanntes Benutzerkonto: %1 !!!'),
('de', 'admin', 'under windows you need to install the asyncservice %1manually%2 or use the fallback mode. fallback means the jobs get only check', 'Unter Windows muß der asynchrone Service %1von Hand%2 installiert werden oder es wird nur die Ausweichmöglichkeit benutzt. Bei der Ausweichmöglichkeit werden die Jobs nur nach jedem Seitenaufbau überprüft!!!'),
('de', 'admin', 'type of customfield', 'Typ des Benutzerdefinierten Feldes'),
('de', 'admin', 'type ''%1'' already exists !!!', 'Typ ''%1'' existiert bereits !!!'),
('de', 'admin', 'two weeks', 'zwei Wochen'),
('de', 'admin', 'two days', 'zwei Tage'),
('de', 'admin', 'two hours', 'zwei Stunden'),
('de', 'admin', 'two months', 'zwei Monate'),
('de', 'admin', 'total records', 'Anzahl Datensätze insgesamt'),
('de', 'admin', 'true', 'Wahr'),
('de', 'admin', 'trust level', 'Grad des Vertrauens'),
('de', 'admin', 'trust relationship', 'Vertrauensverhältnis'),
('de', 'admin', 'top', 'oben'),
('de', 'admin', 'total of %1 id''s changed.', 'Die Gesamtanzahl von %1 IDs wurde geändert.'),
('de', 'admin', 'times', 'Zeiten'),
('de', 'admin', 'to allow us to track the growth of your individual installation use this submit id, otherwise delete it:', 'Benutzen Sie diese Übertragungs ID damit wir das Wachstum Ihrer individuellen Installation erfassen können, ansonsten löschen sie diese:'),
('de', 'admin', 'timeout for sessions in seconds (default 14400 = 4 hours)', 'Zeit nach der Sitzungen verfallen (Vorgabe 14400 = 4 Stunden)'),
('de', 'admin', 'timeout for application session data in seconds (default 86400 = 1 day)', 'Zeit nach der Anwendungsdaten der Sitzung gelöscht werden in Sekunden (Vorgabe 86400 = 1 Tag)'),
('de', 'admin', 'this category is currently being used by applications as a parent category', 'Diese Kategorie wird gegenwärtig als übergeordnete Kategorie benutzt.'),
('de', 'admin', 'this application requires an upgrade', 'Diese Anwednung benötigt ein Upgrade'),
('de', 'admin', 'they must be removed before you can continue', 'Sie müssen zuvor aus dieser entfernt werden'),
('de', 'admin', 'this application is current', 'Diese Anwendung ist aktuell'),
('de', 'admin', 'there already is a group with this name. userid''s can not have the same name as a groupid', 'Es gibt bereits ein Gruppe mit diesem Namen. Benutzernamen dürfen nicht identisch mit Gruppennamen sein.'),
('de', 'admin', 'the users bellow are still members of group %1', 'Die unten angezeigten Benutzer sind Mitglied der Gruppe %1'),
('de', 'admin', 'the two passwords are not the same', 'Die beiden Passwörter stimmen nicht überein'),
('de', 'admin', 'the testjob sends you a mail everytime it is called.', 'Der Testjob sendet Ihnen jedesmal eine E-Mail wenn er aufgerufen wird.'),
('de', 'admin', 'the text displayed to the user', 'für den Benutzer angezeiter Text'),
('de', 'admin', 'the name used internaly (<= 20 chars), changeing it makes existing data unavailible', 'intern benutzter Name (<= 20 Buchstaben), Veränderungen machen existierende Daten unerreichbar !'),
('de', 'admin', 'the loginid can not be more then 8 characters', 'Der Benutzername darf nich länger als 8 Zeichen sein'),
('de', 'admin', 'the login and password can not be the same', 'Benutzername und Passwort dürfen nicht identisch sein'),
('de', 'admin', 'the install id of an instance can be found under admin > site configuration', 'Installations ID für diese Instanz wird unter Admin >> Konfiguration der Anwendung angezeigt'),
('de', 'admin', 'the groups must include the primary group', 'Die Gruppen müssen die primäre Gruppe beinhalten'),
('de', 'admin', 'the cumulated and anonymised data will be publically available:', 'Die kumulierten und anonymisierten Daten werden öffentlich verfügbar sein:'),
('de', 'admin', 'the api requires an upgrade', 'Die API benötigt ein Upgrade'),
('de', 'admin', 'that name has been used already', 'Dieser Name wird bereits verwendet'),
('de', 'admin', 'that server name has been used already !', 'Dieser Server-Name wird bereits verwendet!'),
('de', 'admin', 'the api is current', 'Die API ist aktuell'),
('de', 'admin', 'that loginid has already been taken', 'Diese Login-ID ist bereits vergeben'),
('de', 'admin', 'that application order must be a number.', 'Die Anwendungsreihenfolge muss eine Zahl sein.'),
('de', 'admin', 'text entry', 'Texteingabe'),
('de', 'admin', 'that application name already exists.', 'Diesen Anwendungsname gibt es bereits.'),
('de', 'admin', 'template selection', 'Auswahl der Benutzeroberfläche'),
('de', 'admin', 'switch it off, if users are randomly thrown out', 'schalten Sie es aus, wenn Benutzer immer wieder zufällig rausgeworfen werden'),
('de', 'admin', 'success', 'erfolgreich'),
('de', 'admin', 'subtype', 'Untertyp'),
('de', 'admin', 'subversion checkout', 'Subversion checkout (svn)'),
('de', 'admin', 'submit the search string', 'Geben Sie Ihren Suchbegriff ein'),
('de', 'admin', 'submit to egroupware.org', 'Übertragen an egroupware.org'),
('de', 'admin', 'submit statistic information', 'Statistische Informationen übertragen'),
('de', 'admin', 'submit changes', 'Änderungen speichern'),
('de', 'admin', 'submit displayed information?', 'Angezeigte Informationen übertragen?'),
('de', 'admin', 'standard smtp-server', 'Standard SMTP Server'),
('de', 'admin', 'start testjob!', 'Testjob starten!'),
('de', 'admin', 'ssl', 'verschlüsselt (SSL)'),
('de', 'admin', 'standard', 'Standard'),
('de', 'admin', 'standard imap server', 'Standard IMAP Server'),
('de', 'admin', 'standard pop3 server', 'Standard POP3 Server'),
('de', 'admin', 'sort the entries', 'Einträge sortieren'),
('de', 'admin', 'sorry, the above users are still a member of the group %1', 'Diese Benutzer sind noch Mitglied der Gruppe %1.'),
('de', 'admin', 'sorry, the follow users are still a member of the group %1', 'Die folgenden Benutzer sind noch Mitglied der Gruppe %1.'),
('de', 'admin', 'sorry, that group name has already been taken.', 'Dieser Gruppenname wird bereits verwendet.'),
('de', 'admin', 'soap', 'SOAP'),
('de', 'admin', 'site', 'Site'),
('de', 'admin', 'show session ip address', 'IP-Adresse der Sitzung anzeigen'),
('de', 'admin', 'show error log', 'Fehlerprotokoll anzeigen'),
('de', 'admin', 'show phpinfo()', 'phpinfo() anzeigen'),
('de', 'admin', 'show access log', 'Zugangsprotokoll anzeigen'),
('de', 'admin', 'show current action', 'aktuelle Aktion anzeigen'),
('de', 'admin', 'show ''powered by'' logo on', 'Zeige "powered by" Logo'),
('de', 'admin', 'should the login page include a language selectbox (useful for demo-sites) ?', 'Soll die Anmeldeseite eine Sprachauswahl beinhalten (nützlich für Demosites) ?'),
('de', 'admin', 'set preference values.', 'Einstellungswert wurde geändert'),
('de', 'admin', 'should exceptions contain a trace (including function arguments)', 'Sollen Ausnahmefehler eine Rückverfolgung enthalten (einschl. Funktionsargumente)'),
('de', 'admin', 'server username', 'Server-Benutzername'),
('de', 'admin', 'sessions last 30 days', 'Sitzungen in letzten 30 Tagen'),
('de', 'admin', 'server url', 'Server-URL'),
('de', 'admin', 'server list', 'Server-Liste'),
('de', 'admin', 'server password', 'Server-Passwort'),
('de', 'admin', 'server type(mode)', 'Server-Typ (Modus)'),
('de', 'admin', 'selectbox', 'Auswahlfeld'),
('de', 'admin', 'server %1 has been updated', 'Server %1 wurde aktualisiert'),
('de', 'admin', 'select which location this app should appear on the navbar, lowest (left) to highest (right)', 'An welcher Position soll die Anwendung in der Navigationsleiste erscheinen, von ganz unten (links) bis ganz oben (rechts)'),
('de', 'admin', 'select where you want to store/retrieve user accounts', 'Wo möchten Sie die Benutzerkonten speichern'),
('de', 'admin', 'select users for inclusion', 'Benutzer für diese Gruppe auswählen'),
('de', 'admin', 'select where you want to store/retrieve filesystem information', 'Wo möchten Sie Datei Informationen ablegen / lesen'),
('de', 'admin', 'select the parent category. if this is a main category select no category', 'Eine übergeordnete Kategorie auswählen. Wenn dies eine Hauptkategorie ist, KEINE KATEGORIE auswählen.'),
('de', 'admin', 'select permissions this group will have', 'wählen Sie die Zugriffsrechte für diese Gruppe.'),
('de', 'admin', 'select group managers', 'Gruppenmanager auswählen'),
('de', 'admin', 'select accounts for which the custom field should be visible', 'Benutzer auswählen, für die dieses benutzerdefinierte Feld sichtbar sein soll.'),
('de', 'admin', 'search peer servers', 'Serververbund durchsuchen'),
('de', 'admin', 'security', 'Sicherheit'),
('de', 'admin', 'search groups', 'Gruppen durchsuchen'),
('de', 'admin', 'search categories', 'Kategorien durchsuchen'),
('de', 'admin', 'search accounts', 'Benutzerkonten durchsuchen'),
('de', 'admin', 'saves this entry', 'speichert diesen Eintrag'),
('de', 'admin', 'scheduled', 'geplant'),
('de', 'admin', 'saves the changes made and leaves', 'beendet und speichert die Änderungen'),
('de', 'admin', 'save the category and return back to the list', 'Kategorie speichern und zur Liste zurückkehren'),
('de', 'admin', 'save the category', 'Kategorie speichern'),
('de', 'admin', 'run asynchronous services', 'Asynchrone Dienste ausführen'),
('de', 'admin', 'route all mails to', 'Alle E-Mails senden an'),
('de', 'admin', 'rpm or debian package', 'RPM oder Debian Pakete'),
('de', 'admin', 'return to view account', 'Zurück zum Anzeigen des Benutzerkontos'),
('de', 'admin', 'return to admin mainscreen', 'zum Administrationsmenü zurückkehren'),
('de', 'admin', 'requested', 'angefordert'),
('de', 'admin', 'remove all users from this group ?', 'Entferne alle Benutzer aus dieser Gruppe?'),
('de', 'admin', 'remove', 'entfernen'),
('de', 'admin', 'remove all users from this group', 'Entferne alle Benutzer aus dieser Gruppe.'),
('de', 'admin', 'remote instance saved', 'Remote Instanz gespeichert'),
('de', 'admin', 'remote administration need to be enabled in the remote instance under admin > site configuration!', 'Die Remote Administration muss von der Remote-Instanz (unter Admin -> Konfiguration der Anwendung) freigegeben werden.'),
('de', 'admin', 'remote administration instances', 'Remote Administrations Instanzen'),
('de', 'admin', 'register application hooks', 'Registrieren der "Hooks" der Anwendungen'),
('de', 'admin', 'read this list of methods.', 'Diese Liste der Methoden lesen'),
('de', 'admin', 're-enter password', 'Passwort wiederholen'),
('de', 'admin', 'quota size in mbyte', 'Quotagröße in MByte'),
('de', 'admin', 'quota settings', 'Quota-Einstellungen'),
('de', 'admin', 'postpone for', 'Aufschieben um'),
('de', 'admin', 'preferences', 'Einstellungen'),
('de', 'admin', 'primary group', 'primäre Gruppe'),
('de', 'admin', 'qmaildotmode', 'qmaildotmode'),
('de', 'admin', 'postfix with ldap', 'Postfix mit LDAP'),
('de', 'admin', 'please run setup to become current', 'Bitte Setup ausführen um die Installation zu aktualisieren'),
('de', 'admin', 'please select', 'Bitte auswählen'),
('de', 'admin', 'please enter a name for that server !', 'Bitte einen Namen für diesen Server eingeben!'),
('de', 'admin', 'please enter a name', 'Bitte einen Namen eingeben'),
('de', 'admin', 'php version', 'PHP Version'),
('de', 'admin', 'phpinfo', 'PHP-Informationen'),
('de', 'admin', 'personal: eg. within a family', 'Persönlich: z.B. innerhalb einer Familie'),
('de', 'admin', 'permissions this group has', 'Zugriffsrechte für diese Gruppe'),
('de', 'admin', 'permissions', 'Zugriffsrechte'),
('de', 'admin', 'permission denied !!!', 'Zugriff verweigert !!!'),
('de', 'admin', 'permission denied', 'Zugriff verweigert'),
('de', 'admin', 'percent this user has logged out', 'Prozentsatz, wie oft sich dieser Benutzer abgemeldet hat'),
('de', 'admin', 'percent of users that logged out', 'Prozent der Benutzer, die sich korrekt abgemeldet haben'),
('de', 'admin', 'peer servers', 'Server-Verbund'),
('de', 'admin', 'path information', 'Pfad-Information');
INSERT INTO `egw_lang` (`lang`, `app_name`, `message_id`, `content`) VALUES
('de', 'admin', 'peer server list', 'Liste der Server im Verbund'),
('de', 'admin', 'password updated', 'Passwort aktualisiert'),
('de', 'admin', 'password for smtp-authentication', 'Passwort für SMTP Authentifizierung'),
('de', 'admin', 'own install id:', 'eigene Install-ID'),
('de', 'admin', 'passthrough', 'durchgehend'),
('de', 'admin', 'operating system', 'Betriebssystem'),
('de', 'admin', 'order', 'Reihenfolge'),
('de', 'admin', 'outbound', 'ausgehend'),
('de', 'admin', 'one week', 'eine Woche'),
('de', 'admin', 'only below displayed information is directly submitted to %s.', 'Nur die unterhalb angezeigte Information wird direkt zu %s übertragen.'),
('de', 'admin', 'one month', 'ein Monat'),
('de', 'admin', 'one hour', 'eine Stunde'),
('de', 'admin', 'one day', 'ein Tag'),
('de', 'admin', 'number of users', 'Anzahl Benutzer'),
('de', 'admin', 'official egroupware usage statistic', 'Offizielle EGroupware Nutzungsstatistik'),
('de', 'admin', 'number of sessions / egroupware logins in the last 30 days', 'Anzahl Sitzungen / EGroupware Logins in den letzten 30 Tagen'),
('de', 'admin', 'number of active users', 'Anzahl aktiver User'),
('de', 'admin', 'number of row for a multiline inputfield or line of a multi-select-box', 'Anzahl der Zeilen in einem mehrzeiligen Feld oder eine multi-select-box'),
('de', 'admin', 'note: ssl available only if php is compiled with curl support', 'Notiz: SSL ist nur verfügbar, wenn PHP mit CURL-Unterstützung gebaut wurde'),
('de', 'admin', 'non profit: clubs, associations, ...', 'Gemeinnützig: Vereine, Verbände, ...'),
('de', 'admin', 'no permission to create groups', 'Sie haben keine ausreichenden Rechte um eine Gruppe zu erstellen'),
('de', 'admin', 'no permission to add users', 'Sie haben keine ausreichenden Rechte eine Benutzer hinzuzufügen'),
('de', 'admin', 'no permission to add groups', 'Sie haben keine ausreichenden Rechte eine Gruppe hinzuzufügen'),
('de', 'admin', 'no modes available', 'Kein Modus verfügbar'),
('de', 'admin', 'no matches found', 'Keine Übereinstimmungen gefunden'),
('de', 'admin', 'no login history exists for this user', 'Benutzer hat sich noch nie angemeldet'),
('de', 'admin', 'no jobs in the database !!!', 'Keine Jobs in der Datenbank!'),
('de', 'admin', 'no alternate email address', 'keine Aliase definiert'),
('de', 'admin', 'no algorithms available', 'Kein Algorithmus verfügbar'),
('de', 'admin', 'next run', 'nächste Ausführung'),
('de', 'admin', 'new name', 'neuer Name'),
('de', 'admin', 'new password [ leave blank for no change ]', 'Neues Passwort [ Feld leer lassen, wenn das Passwort nicht geändert werden soll ]'),
('de', 'admin', 'new group name', 'Neuer Gruppenname'),
('de', 'admin', 'name of the egroupware instance, eg. default', 'Name der EGroupware Instanz, z.B. default'),
('de', 'admin', 'more secure', 'sicherer'),
('de', 'admin', 'name must not be empty !!!', 'Name darf nicht leer sein!'),
('de', 'admin', 'month', 'Monat'),
('de', 'admin', 'modified', 'Geändert'),
('de', 'admin', 'mode', 'Modus'),
('de', 'admin', 'minute', 'Minute'),
('de', 'admin', 'method', 'Methode'),
('de', 'admin', 'minimum account id (e.g. 500 or 100, etc.)', 'Minimum für Benutzer ID (z.B. 500 oder 100)'),
('de', 'admin', 'message has been updated', 'Nachricht wurde geändert'),
('de', 'admin', 'maximum entries in click path history', 'Max. Anzahl Einträge in der Click-Path-Historie'),
('de', 'admin', 'maximum account id (e.g. 65535 or 1000000)', 'Maximum für Benutzer-ID (z.B. 65535 oder 1000000)'),
('de', 'admin', 'max length of the input [, length of the inputfield (optional)]', 'maximale Länge für die Ausgabe [. Länge des Feldes (optional)]'),
('de', 'admin', 'manager', 'Manager'),
('de', 'admin', 'main screen message', 'Nachricht der Startseite'),
('de', 'admin', 'main email-address', 'Stamm-E-Mail-Adresse'),
('de', 'admin', 'mail settings', 'E-Mail-Einstellungen'),
('de', 'admin', 'logoutime', 'Abmeldezeit'),
('de', 'admin', 'loginid', 'Login-ID'),
('de', 'admin', 'logintime', 'Anmeldezeit'),
('de', 'admin', 'login-status', 'Angemeldet-Status'),
('de', 'admin', 'login time', 'Login Zeit'),
('de', 'admin', 'login shell', 'Login-Kommandointerpreter (Login-Shell)'),
('de', 'admin', 'login screen', 'Login-Seite'),
('de', 'admin', 'login message', 'Meldung der Login-Seite'),
('de', 'admin', 'logged out', 'abgemeldet'),
('de', 'admin', 'login history', 'Login-Kontrolle'),
('de', 'admin', 'list current sessions', 'aktive Sitzungen anzeigen'),
('de', 'admin', 'list of current users', 'Liste der gegenwärtigen Benutzer'),
('de', 'admin', 'leaves without saveing', 'beendet ohne zu speichern'),
('de', 'admin', 'length<br>rows', 'Länge<br>Zeilen'),
('de', 'admin', 'list config settings', 'Konfigurationseinstellungen auflisten'),
('de', 'admin', 'leave without saveing the entry', 'beendet ohne den Eintrag zu speichern'),
('de', 'admin', 'leave the group untouched and return back to the list', 'Gruppe unverändert lassen und zur Liste zurückkehren'),
('de', 'admin', 'leave empty for no quota', 'Leer lassen für keine Quota'),
('de', 'admin', 'leave the category untouched and return back to the list', 'Kategorie unverändert lassen und zur Liste zurückkehren'),
('de', 'admin', 'ldap host', 'LDAP-Host'),
('de', 'admin', 'ldap root password', 'LDAP-Root-Passwort'),
('de', 'admin', 'ldap rootdn', 'LDAP rootdn'),
('de', 'admin', 'ldap encryption type', 'LDAP-Verschlüsselungstyp'),
('de', 'admin', 'ldap groups context', 'LDAP-Kontext für Gruppen'),
('de', 'admin', 'ldap default shell (e.g. /bin/bash)', 'LDAP-Vorgabewert für Kommandointerpreter (Shell) (z.B. /bin/bash)'),
('de', 'admin', 'ldap default homedirectory prefix (e.g. /home for /home/username)', 'LDAP-Vorgabewert für Benutzerverzeichnisse (z.B. /home für /home/username)'),
('de', 'admin', 'ldap accounts context', 'LDAP-Kontext für Benutzerkonten'),
('de', 'admin', 'last time read', 'Zuletzt gelesen'),
('de', 'admin', 'last login from', 'Letzer Login von'),
('de', 'admin', 'last submission:', 'Letzte Absendung:'),
('de', 'admin', 'last login', 'Letzter Login'),
('de', 'admin', 'last action', 'Letzte Aktion'),
('de', 'admin', 'last %1 logins', 'Letze %1 Logins'),
('de', 'admin', 'last %1 logins for %2', 'Letze %1 Logins für %2'),
('de', 'admin', 'kill', 'Beenden'),
('de', 'admin', 'kill session', 'Sitzung beenden'),
('de', 'admin', 'ip', 'IP'),
('de', 'admin', 'jobs', 'Jobs'),
('de', 'admin', 'invalid value "%1" use yes or no!', 'Ungültiger Wert "%1". Verwenden Sie Ja oder Nein (yes/no)'),
('de', 'admin', 'international use', 'Internationale Benutzung'),
('de', 'admin', 'invalid formated date "%1"!', 'Ungültig formatiertes Datum "%1"!'),
('de', 'admin', 'invalid remote id or name "%1"!', 'Ungültige RemoteID oder Name "%1"!'),
('de', 'admin', 'interface', 'Schnittstelle'),
('de', 'admin', 'installed crontab', 'Installierte Crontab'),
('de', 'admin', 'instance', 'Instanz'),
('de', 'admin', 'installed applications, percentage of allowed users and total number of entries.', 'Installierte Anwendungen, Prozentsatz erlaubte Benutzer und Gesamtzahl der Einträge.'),
('de', 'admin', 'installation type', 'Installationstyp'),
('de', 'admin', 'install id', 'Installations ID'),
('de', 'admin', 'install crontab', 'Crontab installieren'),
('de', 'admin', 'inbound', 'eingehend'),
('de', 'admin', 'initial', 'Anfangsbuchstabe'),
('de', 'admin', 'in mbyte', 'in MByte'),
('de', 'admin', 'if using ldap, do you want to manage homedirectory and loginshell attributes?', 'Wenn Sie LDAP verwenden, möchten Sie Benutzerverzeichnisse und Kommandointerpreter verwalten ?'),
('de', 'admin', 'idle', 'im Leerlauf'),
('de', 'admin', 'if no acl records for user or any group the user is a member of', 'Wenn es keinen ACL-Eintrag für einen Benutzer oder eine Gruppe, der er angehört, gibt'),
('de', 'admin', 'icon', 'Icon'),
('de', 'admin', 'how should email addresses for new users be constructed?', 'In welchem Format sollen E-Mail-Adressen von neuen Benutzern erzeugt werden?'),
('de', 'admin', 'how many minutes should an account or ip be blocked (default 30) ?', 'Wie viele Minuten soll ein Benutzerkonto oder eine IP gesperrt werden (Vorgabe 30)?'),
('de', 'admin', 'how many entries should non-admins be able to export (empty = no limit, no = no export)', 'Wie viele Einträge sollen Nicht-Administratoren exportieren können (leer = kein Limit, Nein = kein Export)'),
('de', 'admin', 'how many days should entries stay in the access log, before they get deleted (default 90) ?', 'Wie viele Tage sollen Einträge im Zugangsprotokoll bleiben, bevor sie gelöscht werden (Vorgabe 90)?'),
('de', 'admin', 'how big should thumbnails for linked images be (maximum in pixels) ?', 'Wie gross sollen Thumbnails für verknüpfte Bilder sein (maximum in Bildpunkten)?'),
('de', 'admin', 'hour<br>(0-23)', 'Stunde<br>(0-23)'),
('de', 'admin', 'host information', 'Host-Information'),
('de', 'admin', 'home directory', 'Benutzerverzeichnis'),
('de', 'admin', 'hash', 'Hash-Wert'),
('de', 'admin', 'hide php information', 'PHP-Informationen ausblenden'),
('de', 'admin', 'group name', 'Gruppenname'),
('de', 'admin', 'group manager', 'Gruppenmanager'),
('de', 'admin', 'group list', 'Liste der Gruppen'),
('de', 'admin', 'group ?', 'Gruppe ?'),
('de', 'admin', 'grant', 'Berechtigungen'),
('de', 'admin', 'governmental: incl. state or municipal authorities or services', 'Öffentlicher Dienst: Bundes-, Länder- oder stättische Behörden und Dienstleistungen'),
('de', 'admin', 'go directly to admin menu, returning here the next time you click on administration.', 'Geht direkt zum Administrationsmenü, kehrt hier her zurück wenn Sie das nächste mal auf die Administration klicken.'),
('de', 'admin', 'full name', 'Vollständiger Name'),
('de', 'admin', 'forward emails to', 'E-Mails weiterleiten an'),
('de', 'admin', 'forward only', 'nur weiterleiten'),
('de', 'admin', 'forward also to', 'Zusätzlich weiterleiten an'),
('de', 'admin', 'force users to change their password regularily?(empty for no,number for after that number of days', 'Erzwinge das ändern von Passwörtern durch den Benutzer nach X Tagen. (leer für nein, eine positive Zahl für alle X Tage)'),
('de', 'admin', 'force selectbox', 'Auswahl erzwingen'),
('de', 'admin', 'force password strength (1-5, default empty: no check against rules for a strong password)?', 'Erzwinge eine gewisse Qualität der Passwörter im Passwort-Ändern Dialog (1-5, 1:gering, 5=stark; Default=leer kein Check gegen Regeln zur Passwortqualität)'),
('de', 'admin', 'for the times below (empty values count as ''*'', all empty = every minute)', 'für die darunter angegebenen Zeiten (leere Felder zählen als "*", alles leer = jede Minute)'),
('de', 'admin', 'file space', 'Speicherplatz'),
('de', 'admin', 'file space must be an integer', 'Speicherplatz muss eine Zahl sein'),
('de', 'admin', 'find and register all application hooks', 'Suchen und registrieren der "Hooks" aller Anwendungen'),
('de', 'admin', 'for the times above', 'für die oben angegebenen Zeiten'),
('de', 'admin', 'field ''%1'' already exists !!!', 'Feld ''%1'' existiert bereits !!!'),
('de', 'admin', 'false', 'Falsch'),
('de', 'admin', 'fallback (after each pageview)', 'Ausweichmöglichkeit (nach jedem Seitenaufbau)'),
('de', 'admin', 'explanation of ldapman', 'Dieses Modul ist derzeit nur für folgende Konfiguration getestet: Postfix, LDAP, Courier-Imap, Procmail und erfordert die Schemas: core und qmail(OID 7914). Weitere Konfigurationshinweise sind im README.ldapman im DOC Verzeichnis des Moduls ADMIN zu finden.'),
('de', 'admin', 'expires', 'abgelaufen'),
('de', 'admin', 'error: %1 not found or other error !!!', 'Fehler: %1 nicht gefunden oder anderer Fehler!'),
('de', 'admin', 'error! no appname found', 'Fehler: Kein Anwendungsname gefunden'),
('de', 'admin', 'error setting timer, wrong syntax or maybe there''s one already running !!!', 'Fehler beim Starten des Test-Jobs, falsche Syntax oder es läuft schon einer!'),
('de', 'admin', 'error saving to db:', 'Fehler beim Speichern in der Datenbank:'),
('de', 'admin', 'error saving the command!', 'Fehler beim Speichern des Befehls!'),
('de', 'admin', 'error saving account!', 'Fehler beim Speichern des Benutzerkontos!'),
('de', 'admin', 'error saving', 'Fehler beim Speichern'),
('de', 'admin', 'error deleting log entry!', 'Fehler beim Löschen des Protokolleintrags!'),
('de', 'admin', 'error changing the password for %1 !!!', 'Fehler beim Ändern des Passworts für %1 !'),
('de', 'admin', 'error changing the password for % !!!', 'Fehler beim Ändern des Passworts für % !'),
('de', 'admin', 'error canceling timer, maybe there''s none set !!!', 'Fehler beim Abbrechen des Test-Jobs, eventuell läuft gar kein Job !!!'),
('de', 'admin', 'enter your smtp server hostname or ip address', 'SMTP-Server Hostname oder IP-Adresse'),
('de', 'admin', 'enter your smtp server port', 'Port Adresse des SMTP Servers'),
('de', 'admin', 'enter your http proxy server port', 'HTTP-Proxy-Server-Port'),
('de', 'admin', 'enter your http proxy server', 'HTTP-Proxy-Server'),
('de', 'admin', 'enter your default ftp server', 'Standard-FTP-Server'),
('de', 'admin', 'enter your default mail domain ( from: user@domain )', 'Geben Sie eine Vorgabewert für die Maildomain ein (Von: benutzer@domain)'),
('de', 'admin', 'enter the vfs-path where additional images, icons or logos can be placed (and found by egroupwares applications). the path must ', 'Geben Sie den VFS-Pfad an, in dem noch mehr Bilder oder Icons abgelegt und von EGroupware Applikationen verwendet werden können. Der Pfad muss mit einem "/" beginnen und von allen Benutzern lesbar sein.'),
('de', 'admin', 'enter the url where your logo should link to', 'URL mit der das Logo verlinkt werden soll'),
('de', 'admin', 'enter the url or filename (in phpgwapi/templates/default/images) of your logo', 'URL oder Dateiname (in phpgwapi/templates/default/images) Ihres Logos'),
('de', 'admin', 'enter the url or filename (in your templates image directory) of your favicon (the little icon that appears in the browsers tabs', 'Geben Sie eine URL oder einen Dateinamen (in Ihrem Templates Bilder Verzeichnis) für Ihrem Favoriten (das kleine Icon oben links im Browserfenster) an.'),
('de', 'admin', 'enter the site password for peer servers', 'Site-Passwort für Peer-Server'),
('de', 'admin', 'enter the site username for peer servers', 'Site-Benutzername für Peer-Server'),
('de', 'admin', 'enter the title for your site', 'Titel der Egroupware-Installation'),
('de', 'admin', 'enter the title of your logo', 'Titel Ihres Logos'),
('de', 'admin', 'enter the search string. to show all entries, empty this field and press the submit button again', 'Geben Sie Ihren Suchbegriff ein. Um alle Einträge anzuzeigen geben Sie keinen Begriff ein und drücken Sie den Suchen-Knopf noch einmal.'),
('de', 'admin', 'enter the location of egroupware''s url.<br>example: http://www.domain.com/egroupware &nbsp; or &nbsp; /egroupware<br><b>no trail', 'Bitte geben Sie die URL ein über welche Ihre EGroupware erreichbar sein wird.<br>Beispiel: http://www.domain.de/egroupware   oder   /egroupware<br><b> KEINEN Slash "/" am ende</b>'),
('de', 'admin', 'enter the hostname of the machine on which this server is running', 'Hostname des Computers auf dem der Server läuft'),
('de', 'admin', 'enter the full path for users and group files.<br>examples: /files, e:files', 'Vollständiger Pfad für Benutzer- und Gruppendateien.<br>Beispiel: /files, E:\\Files'),
('de', 'admin', 'enter the full path for temporary files.<br>examples: /tmp, c:temp', 'Vollständiger Pfad für temporäre Dateien.<br>Beispiel: /tmp, C:\\TEMP'),
('de', 'admin', 'enter the full path for users and group files.<br>examples: /files, e:\\files', 'Vollständiger Pfad für Benutzer- und Gruppendateien.<br>Beispiel: /files, E:\\Files'),
('de', 'admin', 'enter the full path for temporary files.<br>examples: /tmp, c:\\temp', 'Vollständiger Pfad für temporäre Dateien.<br>Beispiel: /tmp, C:\\TEMP'),
('de', 'admin', 'enter the background color for the site title', 'Hintergrundfarbe für den Titel der Installation'),
('de', 'admin', 'enter the background color for the login page', 'Hintergrundfarbe für die Anmeldeseite'),
('de', 'admin', 'enter some random text for app_session <br>encryption (requires mcrypt)', 'Zufälligen Text für app_session<br>Verschlüsselung (braucht mcrypt)'),
('de', 'admin', 'enter a description for the category', 'Geben Sie eine Beschreibung für diese Kategorie ein'),
('de', 'admin', 'enabled - popup window', 'Verfügbar, Popup-Fenster'),
('de', 'admin', 'enabled - hidden from navbar', 'Verfügbar, aber nicht in der Navigationsleiste'),
('de', 'admin', 'enable the xmlrpc service', 'xmlrpc Service einschalten'),
('de', 'admin', 'enable spellcheck in rich text editor', 'Aktiviere die Rechtschreibprüfung im RichText Editor'),
('de', 'admin', 'enable debug-messages', 'Debug-Meldungen einschalten'),
('de', 'admin', 'enable the soap service', 'soap Service einschalten'),
('de', 'admin', 'email account active', 'E-Mail-Konto aktiv'),
('de', 'admin', 'email address', 'E-Mail-Adresse'),
('de', 'admin', 'egroupware directory', 'EGroupware Verzeichnis'),
('de', 'admin', 'egroupware version', 'EGroupware Version'),
('de', 'admin', 'either install id and config password needed or the remote hash!', 'Sie benötigen entweder die Install ID UND das Konfigurationspasswort ODER den Remote Hash!'),
('de', 'admin', 'edit user account', 'Benutzerkonto bearbeiten'),
('de', 'admin', 'educational: universities, schools, ...', 'Ausbildung: Universitäten, Schulen, ...'),
('de', 'admin', 'edit this group', 'Diese Gruppe bearbeiten'),
('de', 'admin', 'edit this user', 'Diesen Benutzer bearbeiten'),
('de', 'admin', 'edit user', 'Benutzer bearbeiten'),
('de', 'admin', 'edit this category', 'Diese Kategorie bearbeiten'),
('de', 'admin', 'edit table format', 'Tabellenformat bearbeiten'),
('de', 'admin', 'edit peer server', 'Server in Serververbund bearbeiten'),
('de', 'admin', 'edit main screen message', 'Nachricht der Startseite bearbeiten'),
('de', 'admin', 'edit login screen message', 'Nachricht der Login-Seite bearbeiten'),
('de', 'admin', 'edit application', 'Anwendung bearbeiten'),
('de', 'admin', 'edit email settings', 'E-Mail-Einstellungen bearbeiten'),
('de', 'admin', 'edit global category', 'Globale Kategorie bearbeiten'),
('de', 'admin', 'edit global category for %1', 'Globale Kategorie für %1 bearbeiten'),
('de', 'admin', 'edit group', 'Gruppe bearbeiten'),
('de', 'admin', 'edit group acl''s', 'Gruppen-ACLs bearbeiten'),
('de', 'admin', 'edit account', 'Benutzerkonto bearbeiten'),
('de', 'admin', 'do you want to move all global subcategories one level down ?', 'Wollen Sie alle globalen Unterkategorien eine Ebene nach unten verschieben?'),
('de', 'admin', 'document root (default)', 'Wurzelverzeichnis des Webservers (Vorgabe)'),
('de', 'admin', 'each value is a line like <id>[=<label>]', 'jeder Wert ist ein Zeile <id>[=<label>]'),
('de', 'admin', 'each value is a line like id[=label]', 'jeder Wert ist eine Zeile id[=label]'),
('de', 'admin', 'do you also want to delete all global subcategories ?', 'Wollen Sie auch alle globalen Unterkategorien löschen?'),
('de', 'admin', 'do you want to delete all global subcategories ?', 'Möchten Sie alle globale Unterkategorien löschen?'),
('de', 'admin', 'display', 'anzeigen'),
('de', 'admin', 'do not delete the category and return back to the list', 'Kategorie NICHT löschen und zurück zur Liste gehen'),
('de', 'admin', 'deny all users access to grant other users access to their entries ?', 'Allen Benutzern verbieten, anderen Benutzern Zugriff zu ihren Daten zu gewähren?'),
('de', 'admin', 'description can not exceed 255 characters in length !', 'Die Beschreibung darf nicht länger als 255 Zeichen sein!'),
('de', 'admin', 'determines the order the fields are displayed', 'bestimmt die Reihenfolge der angezeigten Felder'),
('de', 'admin', 'disable "auto completion" of the login form', 'Automatisches Vervollständigen der Logindaten abschalten'),
('de', 'admin', 'disable wysiwyg-editor', 'WYSIWYG Editor (formatierter Text) abschalten'),
('de', 'admin', 'disabled (not recomended)', 'abgeschaltet (nicht empfohlen)'),
('de', 'admin', 'deny access to site configuration', 'Zugriff auf Konfiguration der Anwendung verbieten'),
('de', 'admin', 'deny access to user accounts', 'Zugriff auf Benutzerkonten verbieten'),
('de', 'admin', 'deny access to phpinfo', 'Zugriff auf phpinfo verbieten'),
('de', 'admin', 'deny access to peer servers', 'Zugriff auf Serververbund verbieten'),
('de', 'admin', 'deny access to groups', 'Zugriff auf Benutzergruppen verbieten'),
('de', 'admin', 'deny access to mainscreen message', 'Zugriff auf Startseiten-Nachricht verbieten'),
('de', 'admin', 'deny access to error log', 'Zugriff auf Fehlerprotokoll verbieten'),
('de', 'admin', 'deny access to global categories', 'Zugriff auf globalen Kategorien verbieten'),
('de', 'admin', 'deny access to db backup and restore', 'Zugriff auf DB Datensicherung und Wiederherstellung verbieten'),
('de', 'admin', 'deny access to current sessions', 'Zugriff auf aktuelle Sitzungen verbieten'),
('de', 'admin', 'deny access to asynchronous timed services', 'Zugriff auf asynchroner zeitgesteuerter Dienst verbieten'),
('de', 'admin', 'deny access to applications', 'Zugriff auf Anwendungen verbieten'),
('de', 'admin', 'deny access to application registery', 'Zugriff auf Anwendungsdatenbank verbieten'),
('de', 'admin', 'deny access to access log', 'Zugriff auf Zugangsprotokoll verbieten'),
('de', 'admin', 'deliver extern', 'Extern ausliefern'),
('de', 'admin', 'deletes this field', 'löscht dieses Feld'),
('de', 'admin', 'delete this user', 'Benutzer löschen'),
('de', 'admin', 'delete this log entry', 'Diesen Protokolleintrag löschen'),
('de', 'admin', 'delete this group', 'Gruppe löschen'),
('de', 'admin', 'delete this category', 'Kategorie löschen'),
('de', 'admin', 'delete the selected entries', 'Die ausgewählten Einträge löschen'),
('de', 'admin', 'delete the group', 'Gruppe löschen'),
('de', 'admin', 'delete the category', 'Kategorie löschen'),
('de', 'admin', 'delete selected entries', 'Ausgewählte Einträge löschen'),
('de', 'admin', 'delete peer server', 'Server von Serververbund löschen'),
('de', 'admin', 'delete application', 'Anwendung löschen'),
('de', 'admin', 'delete category', 'Kategorie löschen'),
('de', 'admin', 'delete group', 'Gruppe löschen'),
('de', 'admin', 'deinstall crontab', 'Crontab deinstallieren'),
('de', 'admin', 'delete account', 'Benutzerkonto löschen'),
('de', 'admin', 'delete account %1', 'Benutzerkonto %1 löschen'),
('de', 'admin', 'delete all records', 'Alle Einträge löschen'),
('de', 'admin', 'default', 'Vorgabe'),
('de', 'admin', 'default file system space per user', 'Vorgabewert für Dateisystemplatz pro Benutzer'),
('de', 'admin', 'default file system space per user/group ?', 'Vorgabewert für Dateisystemplatz pro Benutzer/Gruppe verwenden?'),
('de', 'admin', 'db backup and restore', 'DB Datensicherung und Wiederherstellung'),
('de', 'admin', 'custom fields', 'Benutzerdefinierte Felder'),
('de', 'admin', 'cyrus imap server', 'Cyrus IMAP Server'),
('de', 'admin', 'data', 'Daten'),
('de', 'admin', 'day', 'Tag'),
('de', 'admin', 'day of week<br>(0-6, 0=sun)', 'Wochentag<br>(0-6, 0=Sonntag)'),
('de', 'admin', 'country selection', 'Länderauswahl'),
('de', 'admin', 'create group', 'Erstelle Gruppe'),
('de', 'admin', 'created', 'Erstellt'),
('de', 'admin', 'created with id #%1', 'erstellt mit der ID #%1'),
('de', 'admin', 'creates a new field', 'erstellt ein neues Feld'),
('de', 'admin', 'crontab only (recomended)', 'nur Crontab (empfohlen)'),
('de', 'admin', 'country', 'Land'),
('de', 'admin', 'could not remote execute the command', 'Kann den Befehl nicht Remote ausführen.'),
('de', 'admin', 'cookie path (allows multiple egw sessions with different directories, has problemes with sitemgr!)', 'Cookie Pfad (erlaubt mehrere eGW Sitzungen mit unterschiedlichen Verzeichnissen, hat Probleme mit SiteMgr!)'),
('de', 'admin', 'cookie domain (default empty means use full domain name, for sitemgr eg. ".domain.com" allows to use the same cookie for egw.dom', 'Cookie Domain (Vorgabe ''leer'' bedeutet den kompletten Domainnamen, für SiteMgr erlaubt zB. ".domain.com" das gleiche Cookie für egw.domain.com und www.domain.com zu verwenden)'),
('de', 'admin', 'config password or md5 hash from the header.inc.php', 'Konfigurationspasswort oder md5 Hash von der header.inc.php Datei'),
('de', 'admin', 'command scheduled to run at %1', 'Ausführung des Befehls eingeplant am/um %1'),
('de', 'admin', 'commercial: all sorts of companies', 'Kommerziell: alle Arten von Firmen'),
('de', 'admin', 'click to select a color', 'Anklicken um eine Farbe auszuwählen'),
('de', 'admin', 'color', 'Farbe'),
('de', 'admin', 'check ip address of all sessions', 'IP-Adresse für alle Sessions überprüfen'),
('de', 'admin', 'check items to <b>%1</b> to %2 for %3', 'Durch Abhaken %3 in %2 <b>%1</b>'),
('de', 'admin', 'children', 'Kinder'),
('de', 'admin', 'change password for %1', 'Ändern des Passworts für %1'),
('de', 'admin', 'check acl for entries of not (longer) existing accounts', 'Prüfe ACL Einträge auf Bezüge zu nicht (mehr) existierenden Benutzerkonten'),
('de', 'admin', 'change config settings', 'Konfiguration der Anwendung ändern'),
('de', 'admin', 'change main screen message', 'Nachricht der Startseite ändern'),
('de', 'admin', 'change account_id', 'Änderung der account_id'),
('de', 'admin', 'change acl rights', 'ACL-Rechte ändern'),
('de', 'admin', 'category list', 'Kategorieliste'),
('de', 'admin', 'category saved.', 'Kategorie gespeichert'),
('de', 'admin', 'category %1 has been saved !', 'Kategorie %1 wurde gespeichert'),
('de', 'admin', 'category deleted.', 'Kategorie gelöscht'),
('de', 'admin', 'categories list', 'Liste der Kategorien'),
('de', 'admin', 'cancel this scheduled command', 'Diesen geplanten Befehl abbrechen'),
('de', 'admin', 'can change password', 'darf Passwort ändern'),
('de', 'admin', 'cancel testjob!', 'Test-Job abbrechen!'),
('de', 'admin', 'bi-dir passthrough', 'Weiterleitung in beide Richtungen'),
('de', 'admin', 'bi-directional', 'beide Richtungen'),
('de', 'admin', 'bottom', 'unten'),
('de', 'admin', 'calculate next run', 'nächste Ausführung berechnen'),
('de', 'admin', 'back to the list', 'zurück zur Liste'),
('de', 'admin', 'attribute mailforwardingaddress explained', 'Dies betrifft das Attribut <b>-mailForwardingAddress-</b> aus dem QMAIL Schema. Darf nicht leer sein. Der Begriff mailRoutingAddress wurde hierfür früher als Alias verwendet.'),
('de', 'admin', 'authentication / accounts', 'Benutzerauthentifizierung / Benutzerkonten'),
('de', 'admin', 'auto create account records for authenticated users', 'Automatisch Benutzerkonten für authentifizierte Benutzer anlegen'),
('de', 'admin', 'attribute mailalternateaddress explained', 'Dies betrifft das Attribut <b>-mailAlternateAddress-</b> aus dem QMAIL Schema. Das experimentelle Schema verwendet dies auch als Alias für mailLocalAddress.'),
('de', 'admin', 'attribute mail explained', 'Dies betrifft das Attribut <b><i>-mail-</i></b> aus dem CORE Schema. Dieses Attribut darf nicht leer sein und wird gleichzeitig als E-Mail-Adresse innerhalb eGW verwendet.'),
('de', 'admin', 'attribute accountstatus explained', 'Dies betrifft das Attribut <b>-accountStatus-</b> aus dem QMAIL Schema'),
('de', 'admin', 'attempt to use correct mimetype for ftp instead of default ''application/octet-stream''', 'Es wird versucht, den richtigen MIME-typ für FTP zu verwenden, statt dem Vorgabewert "application/octet-stream".'),
('de', 'admin', 'asynchronous timed services', 'Asynchroner zeitgesteuerter Dienst'),
('de', 'admin', 'asyncservices not yet installed or other error (%1) !!!', 'Asynchroner Dienst ist noch nicht installiert oder ein anderer Fehler ist aufgetreten (%1) !!!'),
('de', 'admin', 'async services last executed', 'Asynchroner Dienst zuletzt ausgeführt'),
('de', 'admin', 'are you sure you want to kill this session ?', 'Sind Sie sicher, dass Sie diese Session beenden möchten?'),
('de', 'admin', 'are you sure you want to delete this server?', 'Sind sie sicher, dass sie diesen Server löschen möchten?'),
('de', 'admin', 'are you sure you want to delete this group ?', 'Sind Sie sicher, dass Sie diese Gruppe löschen möchten?'),
('de', 'admin', 'are you sure you want to delete this global category ?', 'Sind Sie sicher, dass Sie diese globale Kategorie löschen möchten?'),
('de', 'admin', 'are you sure you want to delete this application ?', 'Sind Sie sicher, dass Sie diese Applikation löschen möchten?'),
('de', 'admin', 'are you sure you want to delete this account ?', 'Sind Sie sicher, dass Sie dieses Konto löschen möchten?'),
('de', 'admin', 'are you sure you want to delete the application %1 ?', 'Sind Sie sicher, dass Sie die Anwendung %1 löschen möchten?'),
('de', 'admin', 'apply the changes', 'Änderungen übernehmen'),
('de', 'admin', 'archive: zip or tar', 'Archive: ZIP oder TAR'),
('de', 'admin', 'applies the changes', 'übernimmt Änderungen'),
('de', 'admin', 'applications run rights updated.', 'Anwendungsrechte aktualisiert.'),
('de', 'admin', 'applications list', 'Liste der Anwendungen'),
('de', 'admin', 'application title', 'Titel der Anwendung'),
('de', 'admin', 'applications', 'Anwendungen'),
('de', 'admin', 'application name', 'Name der Anwendung'),
('de', 'admin', 'application ''%1'' not found (maybe not installed or misspelled)!', 'Anwendung ''%1'' nicht gefunden. (eventuell nicht installiert oder falsch geschrieben)!'),
('de', 'admin', 'appearance', 'Aussehen'),
('de', 'admin', 'application', 'Anwendung'),
('de', 'admin', 'anonymous user has no run-rights for the application!', 'Anonymer Benutzer hat KEINE Ausführungsrechte für die Anwendung!'),
('de', 'admin', 'anonymous user does not exist!', 'Anonymer Benutzer existiert NICHT!'),
('de', 'admin', 'anonymous user (not shown in list sessions)', 'Anonymer Benutzer (wird bei ''Sitzungen anzeigen'' nicht angezeigt)'),
('de', 'admin', 'anonymous user', 'Anonymer Benutzer'),
('de', 'admin', 'alternate email address', 'Alternative E-Mail-Adresse'),
('de', 'admin', 'all users', 'Alle Benutzer'),
('de', 'admin', 'allow anonymous access to this app', 'Anonymen Zugriff auf diese Anwendung zulassen'),
('de', 'admin', 'allow remote administration from following install id''s (comma separated)', 'Erlaube die Remote-Verwaltung durch folgende (Komma separierte) Install IDs'),
('de', 'admin', 'all records and account information will be lost!', 'Alle Datensätze und Kontoinformationen sind dann verloren!'),
('de', 'admin', 'aliases', 'E-Mail-Alias'),
('de', 'admin', 'after how many unsuccessful attempts to login, an ip should be blocked (default 3) ?', 'Nach wievielen erfolglosen Anmeldeversuchen soll eine IP-Adresse gesperrt werden (Vorgabe 3)?'),
('de', 'admin', 'after how many unsuccessful attempts to login, an account should be blocked (default 3) ?', 'Nach wievielen erfolglosen Anmeldeversuchen soll ein Benutzerkonto gesperrt werden (Vorgabe 3)?'),
('de', 'admin', 'administration', 'Administration'),
('de', 'admin', 'admins', 'Administatoren'),
('de', 'admin', 'advanced options', 'erweiterte Optionen'),
('de', 'admin', 'admin name', 'Admininistratorname'),
('de', 'admin', 'admin queue and history', 'Admin Queue und Historie'),
('de', 'admin', 'add sub-category', 'Unterkategorie hinzufügen'),
('de', 'admin', 'admin email', 'E-Mail-Administration'),
('de', 'admin', 'admin email addresses (comma-separated) to be notified about the blocking (empty for no notify)', 'E-Mail-Adressen der Administratoren (mit Komma getrennt) die über eine Sperre benachrichtigt werden sollen (''leer'' für keine Benachrichtigung)'),
('de', 'admin', 'add new account', 'Neues Benutzerkonto hinzufügen'),
('de', 'admin', 'add new application', 'Neue Anwendung hinzufügen'),
('de', 'admin', 'add peer server', 'Server zu Serververbund hinzufügen'),
('de', 'admin', 'add global category', 'Globale Kategorie hinzufügen'),
('de', 'admin', 'add global category for %1', 'Globale Kategorie für %1 hinzufügen'),
('de', 'admin', 'add group', 'Gruppe hinzufügen'),
('de', 'admin', 'add application', 'Anwendung hinzufügen'),
('de', 'admin', 'add auto-created users to this group (''default'' will be attempted if this is empty.)', 'Automatisch erzeugte Benutzer in diese Gruppe aufnehmen ("default" wird versucht wenn sie hier nichts eintragen.)'),
('de', 'admin', 'add a subcategory', 'Ein Unterkategorie hinzufügen'),
('de', 'admin', 'add a user', 'Einen Benutzer hinzufügen'),
('de', 'admin', 'add account', 'Benutzerkonto hinzufügen'),
('de', 'admin', 'add a new account.', 'Neues Benutzerkonto anlegen'),
('de', 'admin', 'add a new remote instance', 'Eine neue entfernte Instanz hinzufügen'),
('de', 'admin', 'add a category', 'Eine Kategorie hinzufügen'),
('de', 'admin', 'add a group', 'Eine Gruppe hinzufügen'),
('de', 'admin', 'actions', 'Befehle'),
('de', 'admin', 'activate wysiwyg-editor', 'WYSIWYG Editor (formatierter Text) aktivieren'),
('de', 'admin', 'account permissions', 'Zugriffsrechte'),
('de', 'admin', 'account preferences', 'Einstellungen der Benutzerkonten'),
('de', 'admin', 'account-id''s have to be integers!', 'Konten-ID`s müssen vom Typ Integer (Zahl) sein!'),
('de', 'admin', 'acl manager', 'ACL-Manager'),
('de', 'admin', 'action', 'Befehl'),
('de', 'admin', 'account active', 'Konto aktiv'),
('de', 'admin', 'account list', 'Benutzerkonten anzeigen'),
('de', 'admin', 'accesslog and bruteforce defense', 'Zugangsprotokoll und Abwehr von Brute-Force-Angriffen'),
('de', 'admin', 'account %1 %2', 'Benutzerkonto %1 %2'),
('de', 'admin', 'account ''%1'' deleted.', 'Benutzerkonto ''%1'' gelöscht.'),
('de', 'admin', '-  type', '-Typ'),
('de', 'admin', '(stored password will not be shown here)', '(Gespeichertes Passwort wird hier nicht angezeigt)'),
('de', 'admin', '(to install new applications use<br><a href="setup/" target="setup">setup</a> [manage applications] !!!)', '(Zur Installation neuer Anwendungen verwenden Sie bitte<br><a href="setup/" target="setup">Setup</a> [Anwendungen Verwalten] !!!)'),
('de', 'admin', '%1 user %2', '%1 Benutzer %2'),
('de', 'admin', '(default no, leave it off if you dont use it)', '(Vorgabe Nein, ausgeschaltet lassen, wenn nicht benutzt)'),
('de', 'admin', '%1 sessions killed', '%1 Sitzungen beendet'),
('de', 'admin', '%1 rights for %2 and applications %3', '%1 Rechte für %2 und Anwendung(en) %3'),
('de', 'admin', '%1 not found or not executable !!!', '%1 nicht gefunden oder nicht ausführbar !!!'),
('de', 'admin', '%1 is no command!', '%1 ist kein Befehl !'),
('de', 'admin', '%1 log entries deleted.', '%1 Protokolleinträge gelöscht.'),
('de', 'admin', '%1 class not instanciated', '%1 Klasse nicht instanziert'),
('de', 'admin', '%1 group %2', '%1 Gruppe %2'),
('de', 'admin', '%1 - %2 of %3 user groups', '%1 - %2 von %3 Benutzergruppen'),
('de', 'admin', '%1 acl records of not (longer) existing accounts deleted.', '%1 ACL Einträge von nicht (mehr) existierenden Accounts gelöscht.'),
('de', 'admin', '%1 - %2 of %3 user accounts', '%1 - %2 von %3 Benutzerkonten'),
('de', 'admin', 'yes, only admins can purge deleted items', 'Ja, nur Administratoren können gelöschte Einträge bereinigen'),
('de', 'admin', 'yes, users can purge their deleted items', 'Ja, Benutzer können gelöschte Einträge selbst bereinigen'),
('de', 'admin', 'you can only use ldap as contact repository if the accounts are stored in ldap too!', 'Sie können LDAP nur dann zum Speichern von Kontakten verwenden, wenn die Benutzerkonten auch in LDAP gespeichert sind!'),
('de', 'admin', 'use setup for a full account-migration', 'für eine komplette Benutzer Migration setup verwenden'),
('de', 'admin', 'warning!! ldap is valid only if you are not using contacts for accounts storage!', 'WARNUNG!! LDAP darf nur verwendet werden, wenn sie die Benutzerkonten nicht im Adressbuch speichern!'),
('de', 'admin', 'use an extra tab for private custom fields?', 'Separaten Reiter für private benutzerdefinierte Felder verwenden?'),
('de', 'admin', 'url to link telephone numbers to (use %1 = number to call, %u = account name, %t = account phone)', 'URL mit denen Telefonnummern verlinkt werden sollen (verwenden Sie %1 = anzurufende Nummer, %u = Benutzernamen, %t = Telefon des Benutzers)'),
('de', 'admin', 'telephony integration', 'Telefonie Integration'),
('de', 'admin', 'update fields by edited organisations?', 'Welche Felder sollen  beim Bearbeiten von Organisationen aktualisiert werden?'),
('de', 'admin', 'start', 'Starten'),
('de', 'admin', 'size of popup (wxh, eg.400x300, if a popup should be used)', 'Größe des Popup (WxH, zB. 400x300, falls ein Popup verwendet werden soll)'),
('de', 'admin', 'set full name and file as field in contacts of all users (either all or only empty values)', 'Setzt vollen Namen und eigene Sortierung in Kontakten aller Benutzer (entweder alle oder nur leere Werte)'),
('de', 'admin', 'prevent deleting of contacts', 'Das Löschen von Adressen verhindern'),
('de', 'admin', 'select migration type', 'Migrationstyp auswählen'),
('de', 'admin', 'select where you want to store / retrieve contacts', 'Auswählen wo Sie Adressen speichern möchten'),
('de', 'admin', 'ldap host for contacts', 'LDAP Host für Kontakte'),
('de', 'admin', 'ldap settings for contacts', 'LDAP Einstellungen für Kontakte'),
('de', 'admin', 'migration to ldap', 'Migration nach LDAP'),
('de', 'admin', 'options for type', 'Optionen für Typ'),
('de', 'admin', 'ldap context for contacts', 'LDAP Kontext für Kontakte'),
('de', 'admin', 'if accounts are already in ldap', 'wenn die Benutzer bereits im LDAP sind'),
('de', 'admin', 'how many contacts should non-admins be able to export', 'Wie viele Kontakte sollen Nicht-Adminstratoren exportieren können?'),
('de', 'admin', 'history logging', 'Protokollierung der Historie'),
('de', 'admin', 'for read only ldap', 'für nur lesendes LDAP'),
('de', 'admin', 'empty', 'leere'),
('de', 'admin', 'fields the user is allowed to edit himself', 'Felder, die der Benutzer selbst bearbeiten darf'),
('de', 'admin', 'edit extra account-data in the addressbook', 'Zusätzliche Benutzerdaten im Adressbuch bearbeiten.'),
('de', 'admin', 'edit custom fields', 'Benutzerdefinierte Felder bearbeiten'),
('de', 'admin', 'contacts to ldap, account contact-data to sql', 'Kontakte nach LDAP, Kontaktdaten der Benutzer nach SQL'),
('de', 'admin', 'contacts to ldap', 'Kontakte nach LDAP'),
('de', 'admin', 'contacts and account contact-data to sql', 'Kontakte und Kontaktdaten der Benutzer nach SQL'),
('de', 'admin', 'contact settings', 'Kontakt Einstellungen'),
('de', 'admin', 'contacts and account contact-data to ldap', 'Kontakte und Kontaktdaten der Benutzer nach LDAP'),
('de', 'admin', 'contact application', 'Kontakt Anwendung'),
('de', 'admin', 'contact maintenance', 'Kontakt Wartung'),
('de', 'admin', 'contact repository', 'Speicherort Kontakte'),
('de', 'admin', 'allow users to maintain their own account-data', 'Erlaube Benutzern ihre eigenen Benutzerdaten zu verwalten'),
('de', 'admin', 'can be changed via setup >> configuration', 'Kann über Setup >> Konfiguration geändert werden'),
('de', 'admin', 'category tree', 'Kategoriebaum'),
('de', 'admin', 'choose an icon for this contact type', 'Wählen Sie ein Icon für diesen Kontakt Typ'),
('de', 'admin', 'chosse an etemplate for this contact type', 'Wählen Sie ein eTemplate für diesen Kontakt Typ'),
('de', 'admin', 'additional information about using ldap as contact repository', 'Zusätzliche Information über die Nutzung von LDAP zum Speichern der Kontakte'),
('de', 'admin', 'account repository', 'Speicherort für Benutzerkonten'),
('de', 'admin', '(empty = use global limit, no = no export at all)', '(leer = globale Begrenzung verwenden, nein = gar kein Export)'),
('de', 'addressbook', 'spellchecker language', 'Sprache Rechtschreibprüfung'),
('de', 'addressbook', 'you can show the linked entries with icons only, icons with app-name or both.', 'Sie können verknüpfte Einträge mit Bild, Anwendungsnamen oder beidem anzeigen.'),
('de', 'addressbook', 'show links between egroupware aps as', 'Zeige Verknüpfungen zwischen EGroupware Anwendungen als'),
('de', 'addressbook', 'you must select a vcard. (*.vcf)', 'Sie müssen eine VCard auswählen (*.vcf)'),
('de', 'addressbook', 'you must select at least 1 column to display', 'Sie müssen mindestens eine Spalte zum Anzeigen auswählen'),
('de', 'addressbook', 'you need to select a distribution list', 'Sie müssen eine Verteilerliste auswählen'),
('de', 'addressbook', 'you need to select some contacts first', 'Sie müssen zuerst Kontakte auswählen'),
('de', 'addressbook', 'zip_note', '<p><b>Notiz:</b>Die Datei kann ein zip Archiv sein, bestehend aus .csv, .vcf oder .ldif Dateien. Sie dürfen die Dateitypen pro Import nicht mischen!'),
('de', 'addressbook', 'you are not permittet to view this contact', 'Sie haben keine Berechtigung diesen Kontakt zu lesen.'),
('de', 'addressbook', 'you can respond by visiting:', 'Link zum Anzeigen:'),
('de', 'addressbook', 'you are not permittet to edit this contact', 'Sie haben keine Berechtigung diesen Kontakt zu bearbeiten'),
('de', 'addressbook', 'you are not permitted to delete contact %1', 'Sie haben keine Berechtigungen um den Kontakt %1 zu löschen'),
('de', 'addressbook', 'you are not permittet to delete this contact', 'Sie haben keine Berechtigung diesen Kontakt zu löschen'),
('de', 'addressbook', 'yes, for the next week', 'Ja, für die nächste Woche'),
('de', 'addressbook', 'yes, for today and tomorrow', 'Ja, für heute und morgen'),
('de', 'addressbook', 'yes, for the next two weeks', 'Ja, für die nächsten zwei Wochen'),
('de', 'addressbook', 'yes, for the next three days', 'Ja, für die nächsten drei Tage'),
('de', 'addressbook', 'wrong - try again ...', 'Falsch - nochmal versuchen ...'),
('de', 'addressbook', 'write (update or add) a single entry by passing the fields.', 'Schreibt (aktualisieren oder hinzufügen) eines einzelnen Eintrags durch Übergabe der Felder'),
('de', 'addressbook', 'work phone', 'Tel dienstl.'),
('de', 'addressbook', 'whole query', 'gesamte Abfrage'),
('de', 'addressbook', 'work email if given, else home email', 'Geschäftliche E-Mail wenn vorhanden, ansonsten private E-Mail'),
('de', 'addressbook', 'which fields should be exported. all means every field stored in the addressbook incl. the custom fields. the business or home a', 'Welche Felder sollen exportiert werden. ''Alle'' bedeutet jedes Feld, welches im Adressbuch gespeichert ist, einschl. der benutzerdefinierten Felder. Die Geschäfts- oder Privatadresse enthält nur Name, Firma und die ausgewählte Adresse.'),
('de', 'addressbook', 'which charset should be used for the csv export. the system default is the charset of this egroupware installation.', 'Wählen Sie hier den Zeichensatz für den CSV Import|Export. Der Standard Zeichensatz, ist der Zeichensatz Ihrer EGroupware Installation.'),
('de', 'addressbook', 'which addressbook should be selected when adding a contact and you have no add rights to the current addressbook.', 'Welches Adressbuch soll beim Hinzufügen von Kontakten ausgewählt sein, wenn Sie keine Hinzufügen Rechte zum aktuellen Adressbuch haben.'),
('de', 'addressbook', 'which address format should the addressbook use for countries it does not know the address format. if the address format of a co', 'Welches Format soll das Adressbuch für Adressen verwenden, deren landesübliches Adressformat unbekannt ist. Wenn das Adressformat eines Landes dem Adressbuch bekannt ist, wird das unabhängig von dieser Einstellung benutzt.'),
('de', 'addressbook', 'where to add the email address', 'wo soll die E-Mailadresse hinzugefügt werden'),
('de', 'addressbook', 'what should links to the addressbook display in other applications. empty values will be left out. you need to log in anew, if y', 'Was sollen Verknüpfungen zum Adressbuch in anderen Anwendungen anzeigen. Leere Werte werden ausgelassen. Sie müssen sich neu anmelden, wenn Sie hier eine Änderung vornehmen!'),
('de', 'addressbook', 'weekday', 'Wochentag'),
('de', 'addressbook', 'warning: template "%1" not found, using default template instead.', 'WARNUNG: Template "%1" nicht gefunden, das Standard-Template wird stattdessen benutzt.'),
('de', 'addressbook', 'warning: all contacts found will be deleted!', 'WARNUNG: Alle gefundenen Kontakte werden gelöscht !'),
('de', 'addressbook', 'view linked infolog entries', 'Verknüpfte InfoLog Einträge anzeigen'),
('de', 'addressbook', 'verification', 'Verifikation'),
('de', 'addressbook', 'vcards require a last name entry.', 'VCards benötigen einen Nachnamen.'),
('de', 'addressbook', 'vcards require a first name entry.', 'VCards benötigen einen Vornamen.'),
('de', 'addressbook', 'used for links and for the own sorting of the list', 'wird für Verknüpfungen und die eigene Sortierung der Liste benutzt'),
('de', 'addressbook', 'use this tag for addresslabels. put the content, you want to repeat, between two tags.', 'Benutzen Sie diesen Markierungszeichen für Adressetiketten. Platzieren Sie den Inhalt, der wiederholt werden soll, zwischen zwei Markierungszeichen.'),
('de', 'addressbook', 'use country list', 'Länderliste benutzen'),
('de', 'addressbook', 'upload or delete the photo', 'Foto hochladen oder löschen'),
('de', 'addressbook', 'use an extra category tab?', 'Separaten Reiter für Kategorien verwenden?'),
('de', 'addressbook', 'updated', 'Aktualisiert'),
('de', 'addressbook', 'update a single entry by passing the fields.', 'Aktualisiert einen einzelnen Eintrag durch Übergabe seiner Felder.'),
('de', 'addressbook', 'unique id<br />(to update existing records)', 'Eindeutige ID<br />(um existierende Datensätze zu aktualisieren)'),
('de', 'addressbook', 'unique id (uid)', 'Eindeutige ID (UID)'),
('de', 'addressbook', 'two of: %1', 'Zwei von: %1'),
('de', 'addressbook', 'type', 'Typ'),
('de', 'addressbook', 'to many might exceed your execution-time-limit', 'Zu viele können Ihre Laufzeitbeschränkung überschreiten'),
('de', 'addressbook', 'translation', 'Übersetzung'),
('de', 'addressbook', 'timezone', 'Zeitzone'),
('de', 'addressbook', 'this person''s last name was not in the address book.', 'Der Nachname dieser Person ist nicht im Adressbuch vorhanden.'),
('de', 'addressbook', 'this person''s first name was not in the address book.', 'Der Vorname dieser Person ist nicht im Adressbuch vorhanden.'),
('de', 'addressbook', 'this module displays block from a adddressbook group.', 'Dieses Modul zeigt einen Block vom Adressbuch an.'),
('de', 'addressbook', 'there was an error saving your data :-(', 'Beim Speichern Ihrer Daten ist ein Fehler aufgetreten :-('),
('de', 'addressbook', 'this module displays a contactform, that stores direct into the addressbook.', 'Dieses Modul ist ein Kontaktformular, welches direkt in das Adressbuch speichert.'),
('de', 'addressbook', 'the document can contain placeholder like $$n_fn$$, to be replaced with the contact data (%1full list of placeholder names%2).', 'Das Dokument kann Platzhalter wie $$n_fn$$ enthalten, die mit den Kontaktdaten ersetzt werden (%1komplette Liste der Platzhalter%2).'),
('de', 'addressbook', 'the anonymous user needs read it!', 'Der Anonymous Benutzer muss dies lesen können'),
('de', 'addressbook', 'the anonymous user needs add rights for it!', 'Der Anonymous Benutzer benötigt Hinzufügen Rechte dafür!'),
('de', 'addressbook', 'the anonymous user has probably no add rights for this addressbook.', 'Der anonyme Benutzer hat vermutlich keine Hinzufügen Rechte für dieses Adressbuch.'),
('de', 'addressbook', 'that field name has been used already !', 'Dieser Feldname wird bereits benutzt!'),
('de', 'addressbook', 'thank you for contacting us.', 'Danke das Sie uns kontaktierten.'),
('de', 'addressbook', 'tel home', 'Telefon privat'),
('de', 'addressbook', 'test import (show importable records <u>only</u> in browser)', 'Test-Import (zeigt importierbare Datensätze <u>nur</u> im Browser an)'),
('de', 'addressbook', 'tag to mark positions for address labels', 'Markierungszeichen, um die Positionen von Adressetiketten zu markieren'),
('de', 'addressbook', 'suffix', 'Zusatz'),
('de', 'addressbook', 'successfully imported %1 records into your addressbook.', '%1 Kontakte wurden erfolgreich in Ihr Adressbuch importiert'),
('de', 'addressbook', 'subject for email', 'Betreff der E-Mail'),
('de', 'addressbook', 'startrecord', 'Startdatensatz'),
('de', 'addressbook', 'show the contacts of this organisation', 'Kontakte dieser Organisation anzeigen'),
('de', 'addressbook', 'stadt', 'Stadt'),
('de', 'addressbook', 'show infolog entries for this organisation', 'InfoLog Einträge dieser Organisation anzeigen'),
('de', 'addressbook', 'show birthday reminders on main screen', 'Geburtstagserinnerungen auf der Startseite anzeigen'),
('de', 'addressbook', 'show', 'Anzeigen'),
('de', 'addressbook', 'should the columns photo and home address always be displayed, even if they are empty.', 'Sollen die Spalten Foto und Privatadresse immer angezeigt werden, auch wenn sie leer sind?'),
('de', 'addressbook', 'set only full name', 'Nur vollen Namen setzen'),
('de', 'addressbook', 'seperator', 'Feldtrenner'),
('de', 'addressbook', 'select the type of conversion:', 'Typ der Umwandlung auswählen:'),
('de', 'addressbook', 'selected contacts', 'ausgewählte Kontakte'),
('de', 'addressbook', 'select the type of conversion', 'Typ der Umwandlung auswählen'),
('de', 'addressbook', 'select phone number as prefered way of contact', 'Telefonnummer als präferierten Kontaktweg auswählen'),
('de', 'addressbook', 'select multiple contacts for a further action', 'Mehrere Adressen für weiteren Befehl auswählen'),
('de', 'addressbook', 'select an action or addressbook to move to...', 'Befehl oder Adressbuch zum Verschieben auswählen...'),
('de', 'addressbook', 'select an action or addressbook to move to', 'Befehl oder Adressbuch zum Verschieben auswählen'),
('de', 'addressbook', 'select all', 'Alles auswählen'),
('de', 'addressbook', 'select addressbook type', 'Typ des Adressbuchs auswählen'),
('de', 'addressbook', 'select a view', 'Eine Ansicht auswählen'),
('de', 'addressbook', 'room', 'Raum'),
('de', 'addressbook', 'search for ''%1''', 'Suche nach ''%1'''),
('de', 'addressbook', 'select a portrait format jpeg photo. it will be resized to 60 pixel width.', 'Wählen Sie ein hochformatiges jpeg Foto. Es wird 60 Pixel breit skaliert.'),
('de', 'addressbook', 'role', 'Beruf'),
('de', 'addressbook', 'required fields *', 'unbedingt auszufüllende Felder *'),
('de', 'addressbook', 'repetition', 'Wiederholung');
INSERT INTO `egw_lang` (`lang`, `app_name`, `message_id`, `content`) VALUES
('de', 'addressbook', 'replacements for inserting contacts into documents', 'Platzhalter für das Einfügen von Kontakten in Dokumente'),
('de', 'addressbook', 'removed from distribution list', 'vom Verteiler gelöscht'),
('de', 'addressbook', 'remove selected contacts from distribution list', 'Ausgewählte Kontakte vom Verteiler löschen'),
('de', 'addressbook', 'region', 'Region'),
('de', 'addressbook', 'record owner', 'Datensatzeigentümer'),
('de', 'addressbook', 'record access', 'Zugriffsrechte'),
('de', 'addressbook', 'read only', 'nur lesend'),
('de', 'addressbook', 'read a single entry by passing the id and fieldlist.', 'Liest einen einzelnen Eintrag über seine ID und Feldliste.'),
('de', 'addressbook', 'read a list of entries.', 'Liest eine Liste von Einträgen.'),
('de', 'addressbook', 'read a list / search for entries.', 'Lese die Liste / Suche nach Einträgen'),
('de', 'addressbook', 'publish into groups:', 'In folgenden Gruppen veröffentlichen:'),
('de', 'addressbook', 'public key', 'öffentlicher Schlüssel'),
('de', 'addressbook', 'private custom fields', 'Private Benutzerdefinierte Felder'),
('de', 'addressbook', 'prefix', 'Anrede'),
('de', 'addressbook', 'preferred type of email address to add for distribution lists', 'bevorzugter Typ der E-Mailadresse für Verteilerlisten'),
('de', 'addressbook', 'preferred phone', 'bevorzugte Telefonnummer'),
('de', 'addressbook', 'pref', 'bevorzugt'),
('de', 'addressbook', 'preferred email address to use in distribution lists', 'Bevorzugte E-Mailadresse für Verteilerlisten'),
('de', 'addressbook', 'please update the templatename in your customfields section!', 'Passen Sie bitte in der Sektion "Benutzerdefinierte Felder" Ihren Templatenamen an!'),
('de', 'addressbook', 'please select only one category', 'Bitte nur eine Kategorie auswählen'),
('de', 'addressbook', 'photo', 'Foto'),
('de', 'addressbook', 'please enter a name for that field !', 'Bitte geben Sie einen Namen für das Feld an!'),
('de', 'addressbook', 'permission denied !!!', 'Zugriff verweigert !!!'),
('de', 'addressbook', 'participants', 'Teilnehmer'),
('de', 'addressbook', 'parcel', 'Lieferadresse'),
('de', 'addressbook', 'own sorting', 'eigene Sortierung'),
('de', 'addressbook', 'other number', 'andere Nr.'),
('de', 'addressbook', 'other phone', 'anderes Telefon'),
('de', 'addressbook', 'organisations by departments', 'Organisationen nach Abteilungen'),
('de', 'addressbook', 'organisations by location', 'Organisationen nach Standorten'),
('de', 'addressbook', 'organisation', 'Organisation'),
('de', 'addressbook', 'organisations', 'Organisationen'),
('de', 'addressbook', 'number', 'Nummer'),
('de', 'addressbook', 'number of records to read (%1)', 'Anzahl der einzulesenden Datensätze (%1)'),
('de', 'addressbook', 'no vcard', 'Keine VCard'),
('de', 'addressbook', 'no categories selected', 'keine Kategorien ausgewählt'),
('de', 'addressbook', 'no fallback', 'Keine Ausweichlösung'),
('de', 'addressbook', 'next date', 'Nächster Termin'),
('de', 'addressbook', 'new window opened to edit infolog for your selection', 'Es wird ein neues Fenster zum erstellen des Infolog Eintrags geöffnet'),
('de', 'addressbook', 'name, address', 'Name, Adresse'),
('de', 'addressbook', 'new contact submitted by %1 at %2', 'Neuer Kontakt eingetragen von %1 am %2'),
('de', 'addressbook', 'name for the distribution list', 'Name für die Verteilerliste'),
('de', 'addressbook', 'name of current user, all other contact fields are valid too', 'Name des aktuellen Benutzers, auch alle anderen Kontaktfelder sind erlaubt'),
('de', 'addressbook', 'multiple vcard', 'Mehrere VCards'),
('de', 'addressbook', 'moved', 'verschoben'),
('de', 'addressbook', 'more ...', 'Mehr ...'),
('de', 'addressbook', 'move to addressbook:', 'Verschiebe ins Adressbuch:'),
('de', 'addressbook', 'modem phone', 'Modem'),
('de', 'addressbook', 'mobile', 'Mobil'),
('de', 'addressbook', 'mobile phone', 'Mobiltelefon'),
('de', 'addressbook', 'migration finished', 'Migration beendet'),
('de', 'addressbook', 'middle name', 'Zweiter Vorname'),
('de', 'addressbook', 'message phone', 'Anrufbeantworter'),
('de', 'addressbook', 'merged', 'vereinigt'),
('de', 'addressbook', 'message after submitting the form', 'Nachricht nach dem Versenden des Formulars'),
('de', 'addressbook', 'merge into first or account, deletes all other!', 'Vereinige im ersten oder Benutzerkonto, löscht alle anderen !'),
('de', 'addressbook', 'mark records as private', 'Eintrag als Privat kennzeichnen'),
('de', 'addressbook', 'locations', 'Standorte'),
('de', 'addressbook', 'manage mapping', 'Feldzuordnungen verwalten'),
('de', 'addressbook', 'location', 'Standort'),
('de', 'addressbook', 'load vcard', 'VCard laden'),
('de', 'addressbook', 'load sample file', 'Beispieldatei laden'),
('de', 'addressbook', 'list creation failed, no rights!', 'Verteiler erzeugen fehlgeschlagen, keine Rechte!'),
('de', 'addressbook', 'list created', 'Verteiler erzeugt'),
('de', 'addressbook', 'list all customfields', 'Liste alle benutzerdefinierten Felder'),
('de', 'addressbook', 'list already exists!', 'Die Liste existiert bereits!'),
('de', 'addressbook', 'links', 'Verknüpfungen'),
('de', 'addressbook', 'list all categories', 'Liste alle Kategorien'),
('de', 'addressbook', 'link title for contacts show', 'Titel der Verknüpfung für Kontakte zeigt'),
('de', 'addressbook', 'line 2', 'Zeile 2'),
('de', 'addressbook', 'last modified by', 'Letzte Änderung durch'),
('de', 'addressbook', 'ldif', 'LDIF'),
('de', 'addressbook', 'last modified', 'Letzte Änderung'),
('de', 'addressbook', 'label', 'Adressetikett'),
('de', 'addressbook', 'last date', 'Letzter Termin'),
('de', 'addressbook', 'international', 'International'),
('de', 'addressbook', 'internet', 'Internet'),
('de', 'addressbook', 'insufficent rights to delete this list!', 'Keine Rechte vorhanden um diese Liste zu löschen!'),
('de', 'addressbook', 'insert in document', 'In ein Dokument einfügen'),
('de', 'addressbook', 'infolog', 'InfoLog'),
('de', 'addressbook', 'income', 'Einkommen'),
('de', 'addressbook', 'in %1 days (%2) is %3''s birthday.', 'In %1 Tagen (%2) ist der Geburtstag von %3.'),
('de', 'addressbook', 'imports contacts into your addressbook from a csv file. csv means ''comma seperated values''. however in the options tab you can a', 'Importiert Kontakte aus einer CSV Datei in Ihr Adressbuch. CSV bedeutet Komma getrennte Werte. Sie können in dem Reiter Einstellungen auch ein anderes Trennzeichen wählen.'),
('de', 'addressbook', 'import_instructions', 'In Netscape: Öffnen Sie das Adressbuch und wählen Sie <b>Exportieren</b> aus dem Datei Menü aus. Die Dateien werden im LDIF Format exportiert.<p> In Outlook wählen Sie den Ordner Kontakte aus, wählen Sie <b>Importieren und Exportieren...</p> aus dem <b>Datei</b> Menü aus und Exportieren Sie die Kontakte als eine CSV Datei.<p> In Palm Desktop 4.0 oder größer, öffnen Sie Ihr Adressbuch und wählen Sie <b>Export</b> aus dem Datei-Menü aus. Die Datei wird im VCard-Format exportiert.'),
('de', 'addressbook', 'import next set', 'Nächsten Satz importieren'),
('de', 'addressbook', 'import multiple vcard', 'Import mehrere VCards'),
('de', 'addressbook', 'import from outlook', 'Aus Outlook importieren'),
('de', 'addressbook', 'import from ldif, csv, or vcard', 'Import von LDIF, CSV oder VCard'),
('de', 'addressbook', 'import from', 'Importieren von'),
('de', 'addressbook', 'import file', 'Datei importieren'),
('de', 'addressbook', 'import csv-file into addressbook', 'Import CSV-Datei ins Adressbuch'),
('de', 'addressbook', 'import contacts', 'Kontakte importieren'),
('de', 'addressbook', 'import', 'Importieren'),
('de', 'addressbook', 'ignore first line', 'Erste Zeile ignorieren'),
('de', 'addressbook', 'if you specify a document (full vfs path) here, addressbook displays an extra document icon for each address. that icon allows t', 'Wenn Sie hier ein Dokument (kompletter VFS Pfad) angeben, zeigt das Adressbuch ein zusätzliches Dokumenten Icon. Dieses Icon erlaubt das Dokument mit Kontaktdaten eingefügt herunterzuladen.'),
('de', 'addressbook', 'if you specify a directory (full vfs path) here, addressbook displays an action for each document. that action allows to downloa', 'Wenn Sie hier ein Verzeichnis (kompletter VFS Pfad) angeben, zeigt das Adressbuch einen Befehl für jedes Dokument darin. Diese Befehle erlauben das angegebene Dokument mit Kontaktdaten eingefügt herunterzuladen.'),
('de', 'addressbook', 'icon', 'Icon'),
('de', 'addressbook', 'home state', 'Bundesland privat'),
('de', 'addressbook', 'home street', 'Straße privat'),
('de', 'addressbook', 'home zip code', 'PLZ privat'),
('de', 'addressbook', 'home phone', 'Tel. privat'),
('de', 'addressbook', 'home email', 'E-Mail privat'),
('de', 'addressbook', 'home email if given, else work email', 'Private E-Mail wenn vorhanden, ansonsten geschäftliche E-Mail'),
('de', 'addressbook', 'home city', 'Stadt privat'),
('de', 'addressbook', 'home country', 'Land privat'),
('de', 'addressbook', 'home address, birthday, ...', 'Privatadresse, Geburtstag, ...'),
('de', 'addressbook', 'home address', 'Privatadresse'),
('de', 'addressbook', 'group %1', 'Gruppe %1'),
('de', 'addressbook', 'h', 'h'),
('de', 'addressbook', 'hide accounts from addressbook', 'Benutzer im Adressbuch ausblenden'),
('de', 'addressbook', 'hides accounts completly from the adressbook.', 'Entfernt die Benutzer komplett aus dem Adressbuch.'),
('de', 'addressbook', 'global categories', 'Globale Kategorien'),
('de', 'addressbook', 'geo', 'GEO'),
('de', 'addressbook', 'general', 'Allgemein'),
('de', 'addressbook', 'general fields:', 'Allgemeine Felder:'),
('de', 'addressbook', 'full name', 'vollständiger Name'),
('de', 'addressbook', 'freebusy uri', 'Freebusy URI'),
('de', 'addressbook', 'for serial letter use this tag. put the content, you want to repeat between two tags.', 'Wenn Sie Serienbriefe erzeugen möchten, dann benutzen Sie dieses ''Markierungszeichen''. Setzen Sie den Inhalt, der wiederholt werden soll (Anschriftstags und Briefinhalt) zwischen zwei ''Seiten-Wiederholungs-Zeichen''.'),
('de', 'addressbook', 'for more then one contact in a document use the tag pagerepeat!', 'Um mehr als eine Adresse in ein Dokument einzufügen, benutzen Sie das ''Seiten-Wiederholungs-Zeichen'' in Ihrer Vorlage. Auf diese Art können Sie Serienbriefe erstellen.'),
('de', 'addressbook', 'fieldseperator', 'Feldtrenner'),
('de', 'addressbook', 'fieldseparator', 'Feldtrenner'),
('de', 'addressbook', 'fields to show in address list', 'Felder, die in der Adressliste angezeigt werden sollen'),
('de', 'addressbook', 'field name', 'Feldname'),
('de', 'addressbook', 'fields for the csv export', 'Felder für den CSV Export'),
('de', 'addressbook', 'field %1 has been updated !', 'Feld %1 wurde aktualisiert !'),
('de', 'addressbook', 'fax', 'Telefax'),
('de', 'addressbook', 'field %1 has been added !', 'Feld %1 wurde hinzugefügt !'),
('de', 'addressbook', 'failed to change %1 organisation member(s) (insufficent rights) !!!', '%1 Mitglied(er) der Organisation nicht geändert (fehlende Rechte) !!!'),
('de', 'addressbook', 'extra private', 'Extra Privat'),
('de', 'addressbook', 'extra', 'Extra'),
('de', 'addressbook', 'exports contacts from your addressbook into a csv file. csv means ''comma seperated values''. however in the options tab you can a', 'Exportiert Kontakte vom Adressbuch in eine CSV Datei. CSV bedeutet ''Komma getrennte Werte''. Im Optionen Reiter können Sie aber auch ein anderes Trennzeichen wählen.'),
('de', 'addressbook', 'exported', 'exportiert'),
('de', 'addressbook', 'export selection', 'Auswahl exportieren'),
('de', 'addressbook', 'export from addressbook', 'Export vom Adressbuch'),
('de', 'addressbook', 'export file name', 'Dateiname zum Exportieren'),
('de', 'addressbook', 'export contacts', 'Kontakte exportieren'),
('de', 'addressbook', 'export as vcard', 'Exportieren als VCard'),
('de', 'addressbook', 'export as csv', 'Exportieren als CSV'),
('de', 'addressbook', 'export', 'Export'),
('de', 'addressbook', 'existing links', 'Bestehende Verknüpfungen'),
('de', 'addressbook', 'error: the entry has been updated since you opened it for editing!', 'Fehler: der Eintrag wurde geändert, seit Sie ihn zum Bearbeiten geöffnet haben!'),
('de', 'addressbook', 'example $$if n_prefix~mr~hello mr.~hello ms.$$ - search the field "n_prefix", for "mr", if found, write hello mr., else write he', 'Beispiel: "$$IF n_prefix~Herr~Sehr geehrter~Sehr geehrte$$" - suche in dem Feld "n_prefix" nach "Herr", wenn gefunden, schreibe "Sehr geehrter", wenn nicht gefunden schreibe "Sehr geehrte". Es ist auch möglich anstatt fixer Werte, den Wert eines andren Feldes zu übernehmen. Beispiel(Land wird nur dann angezeit, denn es nicht DEUTSCHLAND ist: $$IFadr_one_countryname~DEUTSCHLAND~~adr_one_countryname$$'),
('de', 'addressbook', 'error saving the contact !!!', 'Fehler beim Speichern des Kontakts !!!'),
('de', 'addressbook', 'error deleting the contact !!!', 'Fehler beim Löschen des Kontakts !!!'),
('de', 'addressbook', 'enter the path to the exported file here', 'Bitte geben Sie den Pfad für die exportierte Datei an'),
('de', 'addressbook', 'enable an extra private addressbook', 'Privates Adressbuch einschalten'),
('de', 'addressbook', 'enclosure', 'Einschluss'),
('de', 'addressbook', 'end', 'Ende'),
('de', 'addressbook', 'empty for all', 'leer für alle'),
('de', 'addressbook', 'email addresses (comma separated) to send the contact data', 'E-Mail Adressen (Komma getrennt) zum Senden der Kontaktdaten'),
('de', 'addressbook', 'email & internet', 'E-Mail & Internet'),
('de', 'addressbook', 'either the configured email addesses are wrong or the mail configuration.', 'Entweder die konfigurierte E-Mail Adresse ist falsch oder die E-Mail Konfiguration.'),
('de', 'addressbook', 'edit phonenumbers -', 'Telefonnummern bearbeiten'),
('de', 'addressbook', 'edit custom field', 'Benutzerdefiniertes Feld bearbeiten'),
('de', 'addressbook', 'duration', 'Dauer'),
('de', 'addressbook', 'download this contact as vcard file', 'Diese Adresse als vCard Datei herunterladen'),
('de', 'addressbook', 'download export file (uncheck to debug output in browser)', 'Download Export-Datei (zur Vorschau im Browser Ankreuzfeld frei lassen)'),
('de', 'addressbook', 'don''t hide empty columns', 'Leere Spalten nicht ausblenden'),
('de', 'addressbook', 'download', 'Herunterladen'),
('de', 'addressbook', 'doesn''t matter', 'egal'),
('de', 'addressbook', 'domestic', 'Wohnung'),
('de', 'addressbook', 'do your really want to delete this contact?', 'Wollen Sie diesen Kontakt wirklich löschen?'),
('de', 'addressbook', 'document ''%1'' does not exist or is not readable for you!', 'Das Dokument ''%1'' steht nicht zur Verfügung, oder ist für Sie nicht lesbar!'),
('de', 'addressbook', 'do you want a private addressbook, which can not be viewed by users, you grant access to your personal addressbook?', 'Sie können mit dieser Funktion ein privates Adressbuch nutzen, das nicht an andere Benutzer freigegeben werden kann und Ihre Privatsphäre optimal schützt. Aktivieren Sie diese Funktion nach Bedarf.'),
('de', 'addressbook', 'distribution lists, ...', 'Verteilerlisten, ...'),
('de', 'addressbook', 'distribution lists', 'Verteilerlisten'),
('de', 'addressbook', 'distribution list deleted', 'Verteiler gelöscht'),
('de', 'addressbook', 'displays a remider for birthdays on the startpage (page you get when you enter egroupware or click on the homepage icon).', 'Zeigt auf der Startseite eine Geburtstags Erinnerung an. Die Startseite ist die Seite die Sie sehen, wenn Sie sich in der EGroupware anmelden oder auf das Startseiten Icon (Haus) klicken.'),
('de', 'addressbook', 'display contact', 'Kontakte Anzeigen'),
('de', 'addressbook', 'directory with documents to insert contacts', 'Verzeichnis mit Dokumenten zum Einfügen von Kontakten'),
('de', 'addressbook', 'deleted', 'gelöscht'),
('de', 'addressbook', 'deletes the photo', 'Löscht das Foto'),
('de', 'addressbook', 'departments', 'Abteilungen'),
('de', 'addressbook', 'delete this organisation including all its contacts', 'Diese Organisation einschließlich ALLER Kontakte löschen'),
('de', 'addressbook', 'delete this contact', 'Diesen Kontakt löschen'),
('de', 'addressbook', 'delete selected distribution list!', 'Löscht die ausgewählten Verteilerliste!'),
('de', 'addressbook', 'delete a single entry by passing the id.', 'Löscht einen einzelnen Eintrag durch Übergabe seiner ID.'),
('de', 'addressbook', 'defines which email address (business or home) to use as the preferred one for distribution lists in mail.', 'Legt fest, welche E-Mailadresse (geschäftlich oder privat) für Verteilerlisten in E-Mail bevorzugt benutzt werden soll.'),
('de', 'addressbook', 'default format for fileas, eg. for new entries.', 'Vorgegebenes Format für eigene Sortierung, z.B. für neue Einträge'),
('de', 'addressbook', 'default filter', 'Standardfilter'),
('de', 'addressbook', 'default file as format', 'Vorgabe für eigene Sortierung'),
('de', 'addressbook', 'default document to insert contacts', 'Standarddokument zum Einfügen von Kontakten'),
('de', 'addressbook', 'default addressbook for adding contacts', 'Vorgabe Adressbuch beim Hinzufügen von Kontakten'),
('de', 'addressbook', 'default', 'Standard'),
('de', 'addressbook', 'default address format', 'Vorgabe für Format der Adresse'),
('de', 'addressbook', 'debug output in browser', 'Debug - Ausgabe in Browser'),
('de', 'addressbook', 'custom fields', 'Benutzerdefinierte Felder'),
('de', 'addressbook', 'custom', 'Benutzerdefiniert'),
('de', 'addressbook', 'custom etemplate for the contactform', 'Eigenes eTemplate für das Kontaktformular'),
('de', 'addressbook', 'credit', 'Darlehen'),
('de', 'addressbook', 'csv field', 'CSV Feld (Importdatei)'),
('de', 'addressbook', 'csv-fieldname', 'CSV-Feldname'),
('de', 'addressbook', 'csv-filename', 'CSV-Dateiname'),
('de', 'addressbook', 'created', 'Angelegt'),
('de', 'addressbook', 'create new links', 'Neue Verknüpfung erstellen'),
('de', 'addressbook', 'copy your changes to the clipboard, %1reload the entry%2 and merge them.', 'Kopieren Sie Ihre Änderungen in die Zwischenablage, %1laden Sie den Eintrag neu%2 und fügen diese wieder ein.'),
('de', 'addressbook', 'copy a contact and edit the copy', 'Kopiert einen Kontakt und bearbeitet dann die Kopie'),
('de', 'addressbook', 'copied by %1, from record #%2.', 'Kopiert von %1, vom Datensatz Nr. %2.'),
('de', 'addressbook', 'contactform', 'Kontaktformular'),
('de', 'addressbook', 'contains', 'beinhaltet'),
('de', 'addressbook', 'contact not found!', 'Kontakt nicht gefunden!'),
('de', 'addressbook', 'contact saved', 'Kontakt gespeichert'),
('de', 'addressbook', 'contact id', 'Kontakt ID'),
('de', 'addressbook', 'contact modified by %1 at %2', 'Kontakt geändert von %1 am %2'),
('de', 'addressbook', 'contact deleted', 'Kontakt gelöscht'),
('de', 'addressbook', 'contact fields to show', 'Kontaktfelder die angezeigt werden sollen'),
('de', 'addressbook', 'contact fields:', 'Kontaktfelder:'),
('de', 'addressbook', 'company name', 'Firmenname'),
('de', 'addressbook', 'contact copied', 'Kontakt kopiert'),
('de', 'addressbook', 'cleanup addressbook fields (apply if synchronization creates duplicates)', 'Bereinige Adressbuch Felder (anwenden, wenn die Synchronisation Duplikate erzeugt)'),
('de', 'addressbook', 'choose seperator and charset', 'Wählen Sie das Trennzeichen und den Zeichensatz aus'),
('de', 'addressbook', 'charset of file', 'Zeichensatz der Datei'),
('de', 'addressbook', 'check all', 'Alle auswählen'),
('de', 'addressbook', 'choose owner of imported data', 'Wählen Sie den Besitzer der importierten Daten'),
('de', 'addressbook', 'charset for the csv export', 'Zeichensatz für den CSV Export'),
('de', 'addressbook', 'cell phone', 'Mobiltelefon'),
('de', 'addressbook', 'change all organisation members', 'Alle Mitglieder der Organisation ändern'),
('de', 'addressbook', 'categories, notes, ...', 'Kategorien, Notizen, ...'),
('de', 'addressbook', 'categorie delete', 'Kategorie (n) gelöscht'),
('de', 'addressbook', 'categorie', 'Kategorie'),
('de', 'addressbook', 'categorie added', 'Kategorie (n) hinzugefügt'),
('de', 'addressbook', 'car phone', 'Autotelefon'),
('de', 'addressbook', 'calendar uri', 'Kalender URI'),
('de', 'addressbook', 'calendar fields:', 'Kalender Felder:'),
('de', 'addressbook', 'business zip code', 'PLZ geschäftl.'),
('de', 'addressbook', 'business state', 'Bundesland geschäftl.'),
('de', 'addressbook', 'business street', 'Straße geschäftl.'),
('de', 'addressbook', 'business phone', 'Tel. geschäftl.'),
('de', 'addressbook', 'business fax', 'Fax geschäftl.'),
('de', 'addressbook', 'business email', 'E-Mail geschäftl.'),
('de', 'addressbook', 'business country', 'Land geschäftl.'),
('de', 'addressbook', 'business city', 'Stadt geschäftl.'),
('de', 'addressbook', 'business address', 'Geschäftsadresse'),
('de', 'addressbook', 'blank', 'Leer'),
('de', 'addressbook', 'assistent phone', 'Telefon Assistent'),
('de', 'addressbook', 'at the moment the following document-types are supported:', 'Aktuell werden die folgenden Dokumenttypen unterstützt:'),
('de', 'addressbook', 'assistent', 'Assistent'),
('de', 'addressbook', 'are you sure you want to delete this field?', 'Sind Sie sicher, dass Sie dieses Feld löschen möchten?'),
('de', 'addressbook', 'are you shure you want to delete this contact?', 'Diesen Kontakt löschen?'),
('de', 'addressbook', 'apply the action on the whole query, not only the shown contacts!!!', 'Wendet den Befehl auf die gesamte Abfrage an, NICHT nur auf die angezeigten Kontakte !!!'),
('de', 'addressbook', 'apply changes to all members, whose fields have the same previous content', 'Wendet die Änderungen auf alle Mitglieder an, deren Felder gleichen vorherigen Inhalt haben'),
('de', 'addressbook', 'always', 'immer'),
('de', 'addressbook', 'alt. csv import', 'Alt. CSV Import'),
('de', 'addressbook', 'all contacts', 'Alle Kontakte'),
('de', 'addressbook', 'advanced search', 'Erweiterte Suche'),
('de', 'addressbook', 'addvcard', 'VCard hinzufügen'),
('de', 'addressbook', 'addressbook the contact should be shown', 'Adressbuch in dem der Kontakt angezeigt werden soll'),
('de', 'addressbook', 'addressbook-fieldname', 'Adressbuch Feldname'),
('de', 'addressbook', 'addressbook the contact should be saved to', 'Adressbuch in dem der Kontakt gespeichert werden soll'),
('de', 'addressbook', 'addressbook preferences', 'Adressbuch Einstellungen'),
('de', 'addressbook', 'addressbook field', 'Adressbuch Feld'),
('de', 'addressbook', 'addressbook menu', 'Adressbuch Menü'),
('de', 'addressbook', 'address type', 'Adresstyp'),
('de', 'addressbook', 'addressbook csv export', 'Adressbuch CSV Export'),
('de', 'addressbook', 'address line 2', 'Adresszeile 2'),
('de', 'addressbook', 'address book - view', 'Adressbuch - Anzeigen'),
('de', 'addressbook', 'address book - vcard in', 'Adressbuch - VCard in'),
('de', 'addressbook', 'added to distribution list', 'hinzugefügt zum Verteiler'),
('de', 'addressbook', 'added by synchronisation', 'Hinzugefügt über die Synchronisation'),
('de', 'addressbook', 'added', 'hinzugefügt'),
('de', 'addressbook', 'add to distribution list:', 'Hinzufügen zu Verteiler:'),
('de', 'addressbook', 'add or delete categories', 'Kategorien hinzufügen oder löschen'),
('de', 'addressbook', 'add emails of whole distribution list?', 'E-Mails der gesamten Verteilerliste hinzufügen?'),
('de', 'addressbook', 'add custom field', 'Benutzerdefiniertes Feld hinzufügen'),
('de', 'addressbook', 'add business email of whole distribution list?', 'E-Mail geschäftl. der kompletten Liste hinzufügen?'),
('de', 'addressbook', 'add a single entry by passing the fields.', 'Hinzufügen eines einzelnen Eintrags durch Übergeben der Felder.'),
('de', 'addressbook', 'add a new list', 'Neuen Verteiler hinzufügen'),
('de', 'addressbook', 'add a new contact', 'Neuen Kontakt anlegen'),
('de', 'addressbook', 'add a new infolog', 'Neuen Infolog Eintrag hinzufügen'),
('de', 'addressbook', 'add a contact to this organisation', 'Einen Kontakt zu dieser Organisation hinzufügen'),
('de', 'addressbook', 'actions', 'Befehle'),
('de', 'addressbook', 'add %1', '%1 hinzufügen'),
('de', 'addressbook', 'accounts', 'Benutzerkonten'),
('de', 'addressbook', '@-eval() is only availible to admins!!!', '@-eval() ist nur für Administratoren verfügbar !!!'),
('de', 'addressbook', '<b>no conversion type &lt;none&gt; could be located.</b>  please choose a conversion type from the list', '<b>Kein Übersetzungstyp <none> konnte gefunden werden.</b> Bitte wählen Sie einen Übersetzungstyp aus der Liste aus.'),
('de', 'addressbook', '(e.g. 1969)', '(z.B. 1969)'),
('de', 'addressbook', '%s please calculate the result', '%s Bitte berechnen Sie das Ergebnis'),
('de', 'addressbook', '%1 starts with ''%2''', '%1 beginnt mit ''%2'''),
('de', 'addressbook', '%1 records read (not yet imported, you may go %2back%3 and uncheck test import)', '%1 Datensätze gelesen (noch nicht importiert, sie können %2zurück%3 gehen und Test-Import ausschalten)'),
('de', 'addressbook', '%1 records imported', '%1 Datensätze importiert'),
('de', 'addressbook', '%1 not implemented for %2!', '%1 nicht implementiert für %2!'),
('de', 'addressbook', '%1 fields in %2 other organisation member(s) changed', '%1 Felder in %2 Mitglied(ern) der Organisation geändert'),
('de', 'addressbook', '%1 contacts updated (%2 errors).', '%1 Kontakte aktualisiert (%2 Fehler).'),
('de', 'addressbook', '%1 contact(s) %2, %3 failed because of insufficent rights !!!', '%1 Kontakt(e) %2, %3 nicht wegen fehlender Rechte !!!'),
('de', 'addressbook', '%1 contact(s) %2', '%1 Kontakt(e) %2'),
('de', 'addressbook', '%1 added', '%1 hinzugefügt'),
('fr', 'wiki', 'your user name is "%1".', 'Votre nom d''utilisateur est "%1".'),
('fr', 'wiki', 'your changes', 'Vos modifications'),
('fr', 'wiki', 'you have no rights to view wiki content !!!', 'Vous n''avez pas d''autorisation d''afficher le contenu wiki !!!'),
('fr', 'wiki', 'you have exeeded the number of pages you are allowed to visit in a given period of time. please return later.', 'Vous avez dépassé le nombre de pages que vous êtes autorisé à visiter durant une période déterminée. Veuillez revenir plus tard.'),
('fr', 'wiki', 'you have entered an invalid user name.', 'Vous avez entré un nom d''utilisateur invalide.'),
('fr', 'wiki', 'you have been denied access to this site.', 'L''accès à ce site vous a été refusé.'),
('fr', 'wiki', 'writable by', 'Modifiable par'),
('fr', 'wiki', 'wiki menu', 'Menu du Wiki'),
('fr', 'wiki', 'wiki startpage', 'Page d''accueil du wiki'),
('fr', 'wiki', 'wiki administration', 'Administration du Wiki'),
('fr', 'wiki', 'who should be able to read this page', 'qui devrait être capable de lire cette page'),
('fr', 'wiki', 'who should be able to edit this page', 'qui devrait être capable de modifier cette page'),
('fr', 'wiki', 'warning: since you started editing, this document has been changed by someone else.  please merge your edits into the current ve', 'Attention: pendant que vous avez démarré l''édition, ce document a été modifié par quelqu''un d''autre. Veuillez svp fusionner vos modifications dans la version actuelle de ce document.'),
('fr', 'wiki', 'visit %1 to set your user name', 'Visitez %1 pour indiquer votre nom d''utilisateur'),
('fr', 'wiki', 'view document history', 'Voir l''historique du document'),
('fr', 'wiki', 'users', 'utilisateurs'),
('fr', 'wiki', 'use this module for displaying wiki-pages', 'Utilisez ce module pour afficher les pages wiki'),
('fr', 'wiki', 'unblock', 'Débloquer'),
('fr', 'wiki', 'updates the preview', 'Met à jour la prévisualisation'),
('fr', 'wiki', 'twin pages', 'Pages jumelles'),
('fr', 'wiki', 'this page can not be edited.', 'Cette page ne peut pas être modifiée'),
('fr', 'wiki', 'the search returned no result!', 'La requête n''a rien retourné!'),
('fr', 'wiki', 'summary', 'Sommaire'),
('fr', 'wiki', 'summary of change', 'Résumé des changements'),
('fr', 'wiki', 'show the title of the wiki page', 'Montrer le titre d''une page wiki'),
('fr', 'wiki', 'show a search', 'Montrer une requête'),
('fr', 'wiki', 'see complete list (%1 entries)', 'Voir la liste complète (%1 entrées)'),
('fr', 'wiki', 'saves and continues editing', 'Enregistrer les modifications et continuer l''édition'),
('fr', 'wiki', 'search for', 'Chercher'),
('fr', 'wiki', 'save the changes and exit', 'Enregistrer les modifications et quitter'),
('fr', 'wiki', 'richtext', 'Texte enrichi'),
('fr', 'wiki', 'rows', 'Lignes'),
('fr', 'wiki', 'renames page to the given name and language', 'Renomme la page avec le nom et la langue donnée'),
('fr', 'wiki', 'readable by', 'Lisible par'),
('fr', 'wiki', 'recent changes', 'Modifications Récentes'),
('fr', 'wiki', 'rate control / ip blocking disabled', 'Contrôle de fréquence / blocage adresse IP désactivé'),
('fr', 'wiki', 'preview', 'Aperçu'),
('fr', 'wiki', 'preview of current version', 'Aperçu de la Version Actuelle'),
('fr', 'wiki', 'page ''%1'' not found !!!', 'Page ''%1'' introuvable !!!'),
('fr', 'wiki', 'please contact the %1administrator%2 for assistance.', 'Veuillez contacter l''%1Administrateur%2 pour de l''assistance.'),
('fr', 'wiki', 'only on the first page', 'seulement sur la première page'),
('fr', 'wiki', 'on all pages', 'sur toutesles pages'),
('fr', 'wiki', 'not set', 'pas spécifié'),
('fr', 'wiki', 'older', 'Plus anciens'),
('fr', 'wiki', 'locked', 'Verrouillé'),
('fr', 'wiki', 'newer', 'Plus récents'),
('fr', 'wiki', 'loads the named page in the given language, all change so far get lost !!!', 'Charge la page nommée dans la langue données, toutes les modifications seront perdues !!!'),
('fr', 'wiki', 'load', 'Charge'),
('fr', 'wiki', 'invalid page name.', 'Nom de page invalide.'),
('fr', 'wiki', 'history lists', 'Listes d''historique'),
('fr', 'wiki', 'history of', 'Historique de'),
('fr', 'wiki', 'history display should show <em>all</em> changes made by the latest author.  otherwise, show only the last change made.', 'L''historique devrait montrer <em>toutes</em> les modifications faites par le même auteur. Sinon seules les dernières modifications sont affichées.'),
('fr', 'wiki', 'history', 'Historique'),
('fr', 'wiki', 'find', 'Rechercher'),
('fr', 'wiki', 'everyone', 'chacun'),
('fr', 'wiki', 'error writing to temporary file.', 'Erreur lors de l''écriture du fichier temporaire.'),
('fr', 'wiki', 'error creating temporary file.', 'Erreur en créant le fichier temporaire.'),
('fr', 'wiki', 'enter ip address range in form <tt>12.*</tt>, <tt>34.56.*</tt>, or <tt>78.90.123.*</tt>', 'Entrez la plage d''adresses IP sous la forme <tt>12.*</tt>, <tt>34.56.*</tt>, or <tt>78.90.123.*</tt>'),
('fr', 'wiki', 'enter here the number of days of edits to display on recentchanges or any other subscription list.  set this to zero if you wish', 'Entrez ici le nombre de jours à afficher dans les changements récents ou une liste de souscription. Mettez à zéro si vous voulez voir toutes les pages dans les changements récents, sans tenir compte de quand ils furent édités.'),
('fr', 'wiki', 'enter here the maximum number of entries to display in a document''s history list.', 'Entrez ici le nombre maximal d''entrées à afficher dans la liste d''historique d''un document.'),
('fr', 'wiki', 'edit box', 'Boîte de modification'),
('fr', 'wiki', 'edit this <em>archive version</em> of this document', 'Modifier la<em>VERSION ARCHIVEE</em> de ce document'),
('fr', 'wiki', 'edit this document', 'Modifier le document'),
('fr', 'wiki', 'editing', 'Modifiant'),
('fr', 'wiki', 'document last modified', 'Dernière modification du document'),
('fr', 'wiki', 'different languages can have different titles', 'différentes langues peuvent avoir différents titres'),
('fr', 'wiki', 'differences in', 'Différences dans'),
('fr', 'wiki', 'difference between versions', 'Différences entre les versions'),
('fr', 'wiki', 'deleted', 'Effacé'),
('fr', 'wiki', 'deletes this page', 'Supprime cette page'),
('fr', 'wiki', 'current version', 'Version en cours'),
('fr', 'wiki', 'converts the page to richtext', 'Convertit cette page vers du texte enrichi'),
('fr', 'wiki', 'columns', 'Colonnes'),
('fr', 'wiki', 'compute difference', 'Voir la différence'),
('fr', 'wiki', 'cancel without saving', 'Annuler sans enregistrer'),
('fr', 'wiki', 'changed', 'Modifié'),
('fr', 'wiki', 'changes by last author', 'Changements par auteur'),
('fr', 'wiki', 'choose your current time here, so the server may figure out what time zone you are in.', 'Choisissez votre heure actuelle ici, ainsi le serveur se rend compte dans quelle fuseau horaire vous vous trouvez.'),
('fr', 'wiki', 'admins', 'administrateurs'),
('fr', 'wiki', 'block', 'Bloquer'),
('fr', 'wiki', 'blocked ip address ranges', 'Plage d''adresses IP bloquées'),
('fr', 'wiki', 'add document to category', 'Ajouter un document à la catégorie'),
('fr', 'wiki', 'added', 'Ajouté'),
('fr', 'wiki', 'administration features are disabled for this wiki.', 'Les options d''administration sont désactivées pour ce wiki.'),
('fr', 'tracker', 'you voted %1.', 'Vous avez voté %1.'),
('fr', 'wiki', '<em>but</em> display at least this many entries in recentchanges and other subscription lists:', '<em>Mais</em> affiche au moins ces entrées dans les changements récents et autres listes de souscription :'),
('fr', 'tracker', 'you need to specify amount, donators name and email address!', 'Vous devez spécifier le montant, le nom du donateur ET son adresse email !'),
('fr', 'tracker', 'you need to login to vote!', 'Vous devez vous connecter pour voter !'),
('fr', 'tracker', 'you need to select something to change and some tracker items!', 'Vous devez sélectionner quelque chose à modifier et un élément de traqueur !'),
('fr', 'tracker', 'you can respond by visiting:', 'Vous pouvez répondre en visitant:'),
('fr', 'tracker', 'you need to enter a name', 'Vous devez entrer un nom'),
('fr', 'tracker', 'you can enable/disable the queue access restrictions in the configuration tab (for all queues)', 'Vous pouvez activer/désactiver les restrictions d''accès à la que dans l''onglet configuration pour toutes les queues.'),
('fr', 'tracker', 'yes, with larger fontsize', 'Oui, avec une taille de caractères plus grande'),
('fr', 'tracker', 'yes, display users first', 'Oui, afficher les utilisateurs en premier'),
('fr', 'tracker', 'wont fix', 'Ne corrigerai pas'),
('fr', 'tracker', 'works for me', 'Fonctionne pour moi'),
('fr', 'tracker', 'yes, display groups first', 'Oui, afficher les groupes en premier'),
('fr', 'tracker', 'use a default user for mails that where not recognized', 'Utiliser un utilisateur par défaut pour les emails non reconnus'),
('fr', 'tracker', 'versions', 'Versions'),
('fr', 'tracker', 'vote for it!', 'Voter !'),
('fr', 'tracker', 'votes', 'Votes'),
('fr', 'tracker', 'when emails are received from an unknown email address, tag this field to have them added to the tracker''s cc field automaticall', 'Lorsque les emails sont reçues d''une adresse email inconnue, cocher ce champ pour ajouter l''adresse dans le champ CC du tracker automatiquement. Ce champ est ignoré si les adresses non reconnues ne sont pas traitées.'),
('fr', 'tracker', 'url to be included in the notification, eg. to the page with the sitemgr module, default tracker inside egw', 'URL devant être inclue dans la notification, p.ex. vers la page du module SiteMgr, Traqueur par défaut dans eGW'),
('fr', 'tracker', 'url of the tracker', 'URL du traqueur'),
('fr', 'tracker', 'unrecognized mails', 'emails non reconnus'),
('fr', 'tracker', 'unchanged', 'Inchangé'),
('fr', 'tracker', 'tracker-%1 deleted.', 'Traqueur-%1 ''%2'' supprimé'),
('fr', 'tracker', 'tracker-%1 ''%2'' updated.', 'Traqueur-%1 ''%2'' mis à jour.'),
('fr', 'tracker', 'tracker-%1 ''%2'' added.', 'Traqueur-%1 ''%2'' ajouté.'),
('fr', 'tracker', 'tracker queue', 'Queue de traqueur'),
('fr', 'tracker', 'tracker item not found !!!', 'Elément de Traqueur introuvable !!!'),
('fr', 'tracker', 'tracker item modified by %1 at %2', 'Elément de Traqueur modifié par %1 à %2'),
('fr', 'tracker', 'tracker configuration', 'Configuration du Traqueur'),
('fr', 'tracker', 'tracker deleted', 'Queue de Traqueur supprimée'),
('fr', 'tracker', 'tracker for new tickets', 'Traqueur pour les nouveaux tickets'),
('fr', 'tracker', 'tracker added', 'Queue de Traqueur ajoutée'),
('fr', 'tracker', 'tracker admins', 'Administrateurs du Traqueur'),
('fr', 'tracker', 'tracker admins & technicians', 'Administrateurs & techniciens du Traqueur'),
('fr', 'tracker', 'times', 'Heures'),
('fr', 'tracker', 'ticket modified by %1 at %2', 'Ticket modifié par %1 à %2'),
('fr', 'tracker', 'ticket count', 'Compteur de tickets'),
('fr', 'tracker', 'this tracker item was closed automatically by the system. it was previously set to a pending status, and the original submitter ', 'Cet élément du Traqueur a été automatiquement fermé par le système. Il avait été mis en status ''En attente'', et le créateur original n''a pas répondu dans les %1 jours.'),
('fr', 'tracker', 'this module displays information from the tracker.', 'Ce module affiche les informations du Traqueur'),
('fr', 'tracker', 'there already an escalation for that filter!', 'Il y a déjà une escalade pour ce filtre !'),
('fr', 'tracker', 'the canned response will be prefix the text you type.', 'La réponse standard précédera le texte que vous entrez.'),
('fr', 'tracker', 'the bounty will not be shown, until the money is received.', 'La prime ne sera PAS affichée jusqu''à ce que l''argent sera reçu.'),
('fr', 'tracker', 'thank you for voting.', 'Merci d''avoir voté.'),
('fr', 'tracker', 'thank you for setting this bounty.', 'Merci d''avoir fixé cette prime.'),
('fr', 'tracker', 'technicians', 'Techniciens'),
('fr', 'tracker', 'summary', 'Description'),
('fr', 'tracker', 'stati', 'Statut'),
('fr', 'tracker', 'store as', 'Enregistrer comme'),
('fr', 'tracker', 'state', 'Région'),
('fr', 'tracker', 'staff', 'Equipe'),
('fr', 'tracker', 'show the tracker send you notification mails, in tracker items that you updates?', 'Le Traqueur doit-il vous envoyer des notifications par email sur les éléments que vous mettez à jour ?'),
('fr', 'tracker', 'should the tracker send you notification mails, if tracker items you created get updated?', 'Le Traqueur doit-il vous envoyer des notifications par email si des éléments que vous avez créé sont modifiés?'),
('fr', 'tracker', 'set bounty', 'Fixer une prime'),
('fr', 'tracker', 'should the tracker send you notification mails, if tracker items assigned to you get updated?', 'Le Traqueur doit-il vous envoyer des notifications par email si des éléments dont vous êtes assignés sont modifiés?'),
('fr', 'tracker', 'sent autoreplies', 'Définir les réponses automatiques'),
('fr', 'tracker', 'server type', 'Type de serveur'),
('fr', 'tracker', 'set %1', 'Définir %1'),
('fr', 'tracker', 'set an own bounty (in %s)', 'Fixer sa propre prime (en %s)'),
('fr', 'tracker', 'sender address', 'Adresse de l''expéditeur'),
('fr', 'tracker', 'sender address for all notifications, eg. noreply@egroupware.org', 'Adresse de l''expéditeur pour toutes les notifications, p.ex. noreply@egroupware.org'),
('fr', 'tracker', 'restriction', 'Restriction'),
('fr', 'tracker', 'select multiple', 'Sélectionner plusieurs'),
('fr', 'tracker', 'select tracker queue', 'Sélectionner une queue de traqueur'),
('fr', 'tracker', 'restrict tracker items to staff and:', 'Restreindre les éléments du ticket au staff et :'),
('fr', 'tracker', 'resolution', 'Résolution'),
('fr', 'tracker', 'reply also to unknown addresses', 'Répondre aussi aux adresses inconnues'),
('fr', 'tracker', 'receive notifications in html', 'Recevoir les notifications en HTML'),
('fr', 'tracker', 'rejected', 'Rejeté'),
('fr', 'tracker', 'remind', 'Rappeler'),
('fr', 'tracker', 'receive notifications about created tracker-items', 'Recevoir les notifications des éléments de traqueur créés'),
('fr', 'tracker', 'receive notifications about assigned tracker-items', 'Recevoir les notifications des éléments de traqueur assignés'),
('fr', 'tracker', 'read mail address', 'Lire l''adresse email'),
('fr', 'tracker', 'projects', 'Projets'),
('fr', 'tracker', 'queue', 'Queue'),
('fr', 'tracker', 'priorities with empty label are not available to the user', 'Les priorités sans label ne sont pas disponibles pour l''utilisateur.'),
('fr', 'tracker', 'project selection', 'Sélection de projets'),
('fr', 'tracker', 'port number', 'Numéro de port'),
('fr', 'tracker', 'postponed', 'Remis à plus tard'),
('fr', 'tracker', 'print entry', 'Imprimer l''entrée'),
('fr', 'tracker', 'priorities', 'Priorités'),
('fr', 'tracker', 'permit html editing in overview and comments', 'Autoriser l''édition en HTML dans le résumé et les commentaires'),
('fr', 'tracker', 'permission denied !!!', 'Accès interdit !!!'),
('fr', 'tracker', 'pending items will be closed automatic after %1 days without response.', 'Les éléments en attente seront fermés automatiquement après %1 jours sans réponse.'),
('fr', 'tracker', 'pending items never get close automatic.', 'Les éléments en attente ne sont jamais fermés automatiquement.'),
('fr', 'tracker', 'pending', 'En attente'),
('fr', 'tracker', 'ownership of the ticket', 'Propriétaire du ticket'),
('fr', 'tracker', 'overdue after', 'En retard après'),
('fr', 'tracker', 'out of date', 'Expiré'),
('fr', 'tracker', 'notification', 'Notification'),
('fr', 'tracker', 'noone', 'Personne'),
('fr', 'tracker', 'non-anonymous users', 'Utilisateur non-anonyme'),
('fr', 'tracker', 'no trackers found, aborting', 'Aucun traqueur trouvé, abandon.'),
('fr', 'tracker', 'no change', 'Aucune modification'),
('fr', 'tracker', 'new tracker item submitted by %1 at %2', 'Nouvel élément de traqueur soumis par %1 à %2'),
('fr', 'tracker', 'new %1', 'Nouveau %1'),
('fr', 'tracker', 'new items', 'Nouvel élément'),
('fr', 'tracker', 'new ticket submitted by %1 at %2', 'Nouveau ticket soumis par %1 à %2'),
('fr', 'tracker', 'list of coma separated email address', 'Adresses emails séparées par des virgules'),
('fr', 'tracker', 'mail handling', 'Traitement des emails'),
('fr', 'tracker', 'last reply', 'Dernière réponse'),
('fr', 'tracker', 'later', 'Plus tard'),
('fr', 'tracker', 'links', 'Liens'),
('fr', 'tracker', 'last modified', 'Dernière modification'),
('fr', 'tracker', 'language for the copy', 'Langage pour la copie'),
('fr', 'tracker', 'invalid', 'Invalide'),
('fr', 'tracker', 'item assignee', 'Acquéreur de l''élément'),
('fr', 'tracker', 'item creator', 'Créateur de l''élément'),
('fr', 'tracker', 'introduction message', 'Message d''introduction'),
('fr', 'tracker', 'interval in minutes for checking the incoming mails', 'Intervalle en minutes pour relever les emails entrants'),
('fr', 'tracker', 'info only', 'Informations seules'),
('fr', 'tracker', 'incoming mail server', 'Serveur des emails entrant'),
('fr', 'tracker', 'incoming mail rules', 'Règles des emails entrants'),
('fr', 'tracker', 'incoming mail folder', 'Dossier des emails entrants'),
('fr', 'tracker', 'ignore', 'Ignorer'),
('fr', 'tracker', 'import tts tickets', 'Importer des tickets TTS'),
('fr', 'tracker', 'if this item is important for you, please vote for it.', 'Si cet élément est important pour vous, veuillez le voter.'),
('fr', 'tracker', 'from', 'De'),
('fr', 'tracker', 'history', 'Historique'),
('fr', 'tracker', 'html editing', 'Modification en HTML'),
('fr', 'tracker', 'id', 'ID'),
('fr', 'tracker', 'if this item is important for you, please consider to set a bounty for it!', 'Si cet élément est important pour vous, veuillez considérer d''y fixer une prime!'),
('fr', 'tracker', 'fixed', 'Corrigé'),
('fr', 'tracker', 'forward to', 'transférer à'),
('fr', 'tracker', 'everybody', 'Tout le monde'),
('fr', 'tracker', 'existing links', 'Liens existants'),
('fr', 'tracker', 'field', 'Champ'),
('fr', 'tracker', 'escalation not found!', 'Escalade non trouvée !'),
('fr', 'tracker', 'escalation saved.', 'Escalade enregistrée.'),
('fr', 'tracker', 'escalation', 'Escalade'),
('fr', 'tracker', 'escalation added.', 'Escalade ajoutée.'),
('fr', 'tracker', 'escalation deleted.', 'Escalade supprimée.'),
('fr', 'tracker', 'error saving the entry!!!', 'Erreur à l''enregistrement de l''entrée !!!'),
('fr', 'tracker', 'error adding the new tracker!', 'Erreur lors de l''ajout du nouveau traqueur!'),
('fr', 'tracker', 'error deleting escalation!', 'Erreur à la suppression de l''escalade !'),
('fr', 'tracker', 'entry saved', 'Entrée enregistrée'),
('fr', 'tracker', 'enter the mail address that will be read.', 'Entrer l''adresse email à lire'),
('fr', 'tracker', 'enter the imap server from which emails should be fetched', 'Entrer sur le serveur IMAP depuis lequel les emails doivent être récupérés'),
('fr', 'tracker', 'enter an opening text for the reply message', 'Entrer en ouvrant la redaction du message de réponse'),
('fr', 'tracker', 'enter an email address here if unrecognized mails should be forwarded', 'Entrer une adresse email vers laquelle transférer les emails non reconnus'),
('fr', 'tracker', 'email handling can be configured only for all trackers', 'Le traitement des emails ne peut être configuré que pour tous les traqueurs.'),
('fr', 'tracker', 'email address to contact you', 'Adresse email pour vous contacter'),
('fr', 'tracker', 'edit entry', 'Ajouter une entrée'),
('fr', 'tracker', 'edit %1', 'Modifier %1'),
('fr', 'tracker', 'e-mail notifications', 'Notifications email'),
('fr', 'tracker', 'e-mail address to which a copy of all tracker-notifications should be send', 'Adresse email où toutes les notifications du traqueur seront envoyées'),
('fr', 'tracker', 'duplicate', 'Duplicata'),
('fr', 'tracker', 'donator name to show', 'Nom du donateur à afficher'),
('fr', 'tracker', 'do you want to vote for this item', 'Voulez-vous voter pour cet élément ?'),
('fr', 'tracker', 'deleted', 'Supprimé'),
('fr', 'tracker', 'delete unrecognized mails from the server, even if ''delete mails'' above is not tagged.', 'Supprimer les emails non reconnus du serveur, même si "Supprimer les emails" ci-dessus n''est pas coché.'),
('fr', 'tracker', 'delete this version', 'Supprimer cette version'),
('fr', 'tracker', 'delete this tracker including all it''s items and categories', 'Supprimer ce traqueur y-compris tous ses éléments et catégories'),
('fr', 'tracker', 'delete this status', 'Supprimer ce status'),
('fr', 'tracker', 'delete this escalation', 'Supprimer cette escalade'),
('fr', 'tracker', 'delete this entry', 'Supprimer cette entrée'),
('fr', 'tracker', 'delete this canned response', 'Supprimer cette réponse standard'),
('fr', 'tracker', 'delete this category', 'Supprimer cette catégorie'),
('fr', 'tracker', 'delete this bounty', 'Supprimer cette prime'),
('fr', 'tracker', 'date opened', 'Date d''ouverture'),
('fr', 'tracker', 'delete mails from server', 'Supprimer des emails du serveur'),
('fr', 'tracker', 'custom tracker priorities', 'Priorités personnalisées'),
('fr', 'tracker', 'custom fields', 'Champs personnalisés'),
('fr', 'tracker', 'creator', 'Créateur'),
('fr', 'tracker', 'copy to', 'Copier vers'),
('fr', 'tracker', 'create new links', 'Créer de nouveaux liens'),
('fr', 'tracker', 'created', 'Créé'),
('fr', 'tracker', 'creation date', 'Date de création'),
('fr', 'tracker', 'converted count', 'Compteur des conversion'),
('fr', 'tracker', 'convert all open tickets', 'Convertir tous les tickets ouverts'),
('fr', 'tracker', 'confirmed', 'Confirmé'),
('fr', 'tracker', 'convert all closed tickets', 'Convertir tous les tickets fermés'),
('fr', 'tracker', 'confirm the receipt of money for this bounty', 'Confirmez la réception de l''argent pour cette prime'),
('fr', 'tracker', 'confirm that you pay the specified bounty to implement or fix the issue', 'Confirmer que vous avez payé la prime spécifiée pour implémenter ou corriger le cas'),
('fr', 'tracker', 'configuration, acl, notifications', 'Configuration, contrôle d''accès (ACL), Notifications'),
('fr', 'tracker', 'configuration updated.', 'Configuration mise à jour'),
('fr', 'tracker', 'configuration for all trackers', 'Configuration pour toutes les queues du traqueur'),
('fr', 'tracker', 'configuration', 'Configuration'),
('fr', 'tracker', 'completed', 'Complété'),
('fr', 'tracker', 'comment by %1 at %2:', 'Commentaire par %1 à %2:'),
('fr', 'tracker', 'comments', 'Commentaires'),
('fr', 'tracker', 'close pending', 'Fermer en attente'),
('fr', 'tracker', 'closed', 'Fermé'),
('fr', 'tracker', 'choose a project from the drop-down list', 'Choisir un projet dans le liste déroulante'),
('fr', 'tracker', 'check mail interval', 'Intervalle de vérification des emails'),
('fr', 'tracker', 'check all', 'Tout sélectionner'),
('fr', 'tracker', 'changes made below will be lost, if not applied before!', 'Les modifications effectuées seront perdues, si vous ne cliquez pas sur "appliquer" d''abord !'),
('fr', 'tracker', 'categories, versions, canned responses', 'Catégories, versions, réponses standard'),
('fr', 'tracker', 'category for new tickets', 'Catégorie pour les nouveaux tickets'),
('fr', 'tracker', 'bounty set', 'Prime fixée'),
('fr', 'tracker', 'canned response', 'Réponse standard'),
('fr', 'tracker', 'canned responses', 'Réponses standard'),
('fr', 'tracker', 'bounties', 'Primes'),
('fr', 'tracker', 'bounty confirmed', 'Prime confirmée'),
('fr', 'tracker', 'bounty confirmed.', 'Prime confirmée.'),
('fr', 'tracker', 'bounty deleted', 'Prime supprimée'),
('fr', 'tracker', 'bounty deleted.', 'Prime supprimée.'),
('fr', 'tracker', 'automatic email handling', 'Traitement des emails automatique'),
('fr', 'tracker', 'autoassign to', 'Assigner automatiquement à'),
('fr', 'tracker', 'attachments & links', 'Attachements & Liens'),
('fr', 'tracker', 'assigning groups', 'Groupes d''assignation'),
('fr', 'tracker', 'assigned to', 'Assigné à'),
('fr', 'tracker', 'assign to project', 'Assigné au projet'),
('fr', 'tracker', 'amount', 'Montant'),
('fr', 'tracker', 'already escalated', 'Déjà escaladés'),
('fr', 'tracker', 'allow voting on tracker items, show and sort after the votes', 'Permettre de voter, afficher et trier des éléments du traqueur'),
('fr', 'tracker', 'allow voting', 'Permettre les votes'),
('fr', 'tracker', 'allow the predefinition of projects that will be assigned to new tracker-items.', 'Autoriser la pré-définition de projet qui seront assigné à de nouveaux éléments du tracker'),
('fr', 'tracker', 'allow to assign groups to tracker items', 'Permettre d''assigner des groupes aux éléments du traqueur'),
('fr', 'tracker', 'allow editing by', 'Permettre la modification par');
INSERT INTO `egw_lang` (`lang`, `app_name`, `message_id`, `content`) VALUES
('fr', 'tracker', 'allow default projects for tracker', 'Projets par défaut'),
('fr', 'tracker', 'allow bounties', 'Permettre les primes'),
('fr', 'tracker', 'all tickets are already converted to tracker', 'Tous les tickets déjà convertis vers le traqueur'),
('fr', 'tracker', 'after how many days pending items should be closed automatic', 'Après combien de jours les éléments en attente seront automatiquement fermés'),
('fr', 'tracker', 'after how many days a not replied item should be marked overdue?', 'Après combien de jours un élément non répondu sera marqué en retard?'),
('fr', 'tracker', 'after', 'Après'),
('fr', 'tracker', 'add unrecognized mail address to the cc field', 'Ajouter une adresse email non reconnue au champ CC'),
('fr', 'tracker', 'add timesheet entry', 'Ajouter une entrée feuille de temps'),
('fr', 'tracker', 'add additionally', 'Ajouter en plus'),
('fr', 'tracker', 'add assigned', 'Ajouter un assigné'),
('fr', 'tracker', 'add comment', 'Ajouter un commentaire'),
('fr', 'tracker', '5 - medium', '5 - moyenne'),
('fr', 'tracker', '9 - highest', '9 - haute'),
('fr', 'tracker', 'accepted', 'Accepté'),
('fr', 'tracker', 'activate users queue access control', 'Activer le contrôle d''accès aux files des utilisteurs'),
('fr', 'tracker', '1 - lowest', '1- basse'),
('fr', 'tracker', '--> enter new name', '--> entrez un nouveau nom'),
('fr', 'tracker', '--> choose a project from the drop-down list', '--> choisir un projet dans la liste déroulante'),
('fr', 'tracker', '(new tickets as', 'Nouveaux tickets comme'),
('fr', 'tracker', '&#9830; without reply not closed', '♦ Sans réponse et non fermés'),
('fr', 'tracker', '&#9830; without 30 days reply not closed', '♦ Sans réponse depuis 30 jours et non fermés'),
('fr', 'tracker', '&#9830; own not closed', '♦ Mes traqueurs non fermés'),
('fr', 'tracker', '&#9830; own without reply not closed', '♦ Mes traqueurs sans réponse non fermés'),
('fr', 'tracker', '&#9830; not closed', '♦ Non fermés'),
('fr', 'tracker', '%1 tickets have been converted', '%1 tickets ont été convertis'),
('fr', 'tracker', '%1 entries updated.', '%1 entrées mises à jour.'),
('fr', 'timesheet', 'your database is not up to date (%1 vs. %2), please run %3setup%4 to update your database.', 'Votre base de données n''est PAS à jour (%1 contre %2), veuillez exécuter %3setup%4 pour mettre à jour votre base de données.'),
('fr', 'timesheet', 'week', 'Semaine'),
('fr', 'timesheet', 'yesterday', 'Hier'),
('fr', 'timesheet', 'view this entry', 'Voir cette entrée'),
('fr', 'timesheet', 'values for selectbox', 'Valeurs des boîtes de sélection'),
('fr', 'timesheet', 'unitprice', 'Prix à l''unité'),
('fr', 'timesheet', 'tracker', 'Traqueur'),
('fr', 'timesheet', 'timesheet-%1 deleted.', 'Feuille de temps - %1 supprimé.'),
('fr', 'timesheet', 'timesheet-%1 ''%2'' updated.', 'Feuille de temps - %1 ''%2'' mis à jour.'),
('fr', 'timesheet', 'timesheet status-%1 ''%2'' added.', 'Statut de feuille de temps - %1 ''%2'' ajouté.'),
('fr', 'timesheet', 'timesheet openoffice export', 'Export OpenOffice de feuille de temps'),
('fr', 'timesheet', 'timesheet modified by %1 at %2', 'Feuille de temps modifié par by %1 à %2'),
('fr', 'timesheet', 'timesheet csv export', 'Export CSV de feuilles de temps'),
('fr', 'timesheet', 'ticket modified by %1 at %2', 'Ticket modifié par %1 à %2'),
('fr', 'timesheet', 'this week', 'Cette semaine'),
('fr', 'timesheet', 'this year', 'Cette année'),
('fr', 'timesheet', 'this month', 'Ce mois'),
('fr', 'timesheet', 'the text displayed to the user', 'le texte montré à l''utilisateur'),
('fr', 'timesheet', 'sum %1:', 'Somme %1 :'),
('fr', 'timesheet', 'the name used internaly (<= 20 chars), changeing it makes existing data unavailible', 'Nom utilisé en interne (<= 20 caractères), le changer rendra certaines données inaccessibles.'),
('fr', 'timesheet', 'status updated.', 'Statut mis à jour.'),
('fr', 'timesheet', 'status deleted.', 'Statut supprimé.'),
('fr', 'timesheet', 'status of created timesheets', 'Statut des feuilles de temps créés.'),
('fr', 'timesheet', 'starttime has to be before endtime !!!', 'L''heure de début doit être avant l''heure de fin !!!'),
('fr', 'timesheet', 'start', 'Début'),
('fr', 'timesheet', 'starttime', 'Heure de début'),
('fr', 'timesheet', 'select the predefined status, whan creating a new timesheet', 'Choisissez un statut par défaut pour la création d''une nouvelle entrée.'),
('fr', 'timesheet', 'select multiple timeshhets for a further action', 'Sélectionner plusieurs feuilles de temps pour un action'),
('fr', 'timesheet', 'select infolog', 'Choisissez un infolog'),
('fr', 'timesheet', 'select a status of the timesheet', 'Choisissez un statut de la feuille de temps'),
('fr', 'timesheet', 'select a project', 'Choisissez un projet'),
('fr', 'timesheet', 'select a price', 'Choisissez un prix'),
('fr', 'timesheet', 'saves this entry and add a new one', 'Enregistrer cette entrée et en ajouter une nouvelle'),
('fr', 'timesheet', 'saves the changes made and leaves', 'Enregistrer les modifications et quitter'),
('fr', 'timesheet', 'saves the changes made', 'Enregistrer les modifications'),
('fr', 'timesheet', 'save & new', 'Enregistrer & Nouveau'),
('fr', 'timesheet', 'quantity', 'Quantité'),
('fr', 'timesheet', 'permission denied!!!', 'Autorisation refusée!!!'),
('fr', 'timesheet', 'price', 'Prix'),
('fr', 'timesheet', 'parent', 'Parent'),
('fr', 'timesheet', 'order', 'Ordre'),
('fr', 'timesheet', 'or endtime', 'ou Date de fin'),
('fr', 'timesheet', 'only admin can edit this status', 'Seulement les administrateurs peuvent modifier les feuilles de temps avec ce statut'),
('fr', 'timesheet', 'only admin', 'Seulement les administrateurs'),
('fr', 'timesheet', 'number of row for a multiline inputfield or line of a multi-select-box', 'Nombre de lignes pour un champ multiligne ou pour une boîte de sélection multiple.'),
('fr', 'timesheet', 'no status', 'Pas de statut'),
('fr', 'timesheet', 'no project', 'Pas de projet'),
('fr', 'timesheet', 'no details', 'pas de détails'),
('fr', 'timesheet', 'new timesheet submitted by %1 at %2', 'Nouvelle feuille de temps soumis par %1 à %2'),
('fr', 'timesheet', 'new ticket submitted by %1 at %2', 'Nouveau ticket soumis par %1 à %2'),
('fr', 'timesheet', 'max length of the input [, length of the inputfield (optional)]', 'Longueur maximum de l''entrée [, longueur du champ de saisi (optionnel)]'),
('fr', 'timesheet', 'links', 'Liens'),
('fr', 'timesheet', 'leaves without saveing', 'Quitter sans enregistrer'),
('fr', 'timesheet', 'length<br>rows', 'Longueur<br>lignes'),
('fr', 'timesheet', 'leave it empty for a full week', 'Laisser vide pour une semaine pleine'),
('fr', 'timesheet', 'last year', 'L''année dernière'),
('fr', 'timesheet', 'last month', 'Le mois dernier'),
('fr', 'timesheet', 'last week', 'La semaine dernière'),
('fr', 'timesheet', 'last modified', 'Dernière modification'),
('fr', 'timesheet', 'general', 'Général'),
('fr', 'timesheet', 'global categories', 'Catégorie globale'),
('fr', 'timesheet', 'history', 'Historique'),
('fr', 'timesheet', 'id', 'Id'),
('fr', 'timesheet', 'field must not be empty !!!', 'Le champ ne doit pas être vide !!!'),
('fr', 'timesheet', 'exports entries from your timesheet into a csv file. csv means ''comma seperated values''. however in the options tab you can also', 'Exporter les éléments de feuilles de temps vers un fichier CSV. CSV tient pour "Comma Separated Values". Dans l''onglet Options, vous pouvez aussi choisir d''autres séparateurs.'),
('fr', 'timesheet', 'export to openoffice spreadsheet', 'Export vers un classeur OpenOffice'),
('fr', 'timesheet', 'export', 'Exportation'),
('fr', 'timesheet', 'existing links', 'Liens existants'),
('fr', 'timesheet', 'error saving the entry!!!', 'Erreur lors de l''enregistrement de l''entrée !!!'),
('fr', 'timesheet', 'entry saved', 'Entrée enregistrée'),
('fr', 'timesheet', 'error deleting the entry!!!', 'Erreur lors de la suppression de l''entrée !!!'),
('fr', 'timesheet', 'entry deleted', 'Entrée supprimée'),
('fr', 'timesheet', 'end', 'Fin'),
('fr', 'timesheet', 'empty if identical to duration', 'vide si identique à la durée'),
('fr', 'timesheet', 'edit this entry', 'Modifier cette entrée'),
('fr', 'timesheet', 'edit status', 'Modifier Statut'),
('fr', 'timesheet', 'each value is a line like <id>[=<label>]', 'Chaque valeur est une ligne comme <id>[=<label>]'),
('fr', 'timesheet', 'determines the order the fields are displayed', 'Détermine l''ordre d''afficahge des champs'),
('fr', 'timesheet', 'deleted', 'supprimé'),
('fr', 'timesheet', 'deletes this field', 'Supprimer ce champ'),
('fr', 'timesheet', 'delete this status', 'Supprimer ce status'),
('fr', 'timesheet', 'custom fields', 'Champs personnalisés'),
('fr', 'timesheet', 'creating new entry', 'nouvelle entrée en création'),
('fr', 'timesheet', 'creates a new field', 'Créer un nouveau champ'),
('fr', 'timesheet', 'create new links', 'Créer de nouveaux liens'),
('fr', 'timesheet', 'comment by %1 at %2:', 'Commentaire par %1 à %2:'),
('fr', 'timesheet', 'check all', 'Vérifier tout'),
('fr', 'timesheet', 'by', 'par'),
('fr', 'timesheet', 'changed status', 'Statut modifié.'),
('fr', 'timesheet', 'apply the action on the whole query, not only the shown timesheets!!!', 'Appliquer l''action sur la requête entière, PAS SEULEMENT sur les feuilles de temps affichés !'),
('fr', 'timesheet', 'applies the changes', 'appliquer les changements'),
('fr', 'timesheet', 'and its members', 'Et ses mebres'),
('fr', 'timesheet', '3 years ago', 'Il y a 3 ans'),
('fr', 'timesheet', 'all projects', 'Tous les projets'),
('fr', 'timesheet', '2 years ago', 'Il y a 2 ans'),
('fr', 'timesheet', '2 month ago', 'Il y a 2 mois'),
('fr', 'timesheet', '--> enter new name', '--> entrez un nouveau nom'),
('fr', 'timesheet', '%1 timesheets(s) %2, %3 failed because of insufficent rights !!!', '%1 feuille(s) de temps %2, %3 en échec pour cause de droits insuffisants !'),
('fr', 'timesheet', '%1 timesheets(s) %2', '%1 feuille(s) de temps %2'),
('fr', 'syncml', 'primary group', 'groupe initial'),
('fr', 'syncml', 'owner too', 'Aussi les propriétaires'),
('fr', 'syncml', 'jobs', 'Travaux'),
('fr', 'syncml', 'not rejected', 'Pas rejeté'),
('fr', 'syncml', 'all incl. rejected', 'Tout y compris les rejets'),
('fr', 'syncml', 'accepted', 'Accepté'),
('fr', 'sitemgr-link', 'your administrator has not yet setup the web content manager for public viewing.  go bug your administrator to get their butt in', 'Votre administrateur n''a pas encore configuré le gestionnaire de contenu Web pour l''accès public.  Allez pousser votre administrateur pour qu''il bouge ses fesses rapidement.'),
('fr', 'sitemgr-link', 'sitemgr setup page', 'Page de configuration de sitemgr'),
('fr', 'sitemgr-link', 'note that you may get this message if your preferences are incorrect.  for example, if config.inc.php is not found in the direct', 'Notez que vous pouvez avoir ce message si vos préférences sont incorrectes. Par exemple, si config.inc.php n''est pas trouvé dans le répertoire que vous avez spécifié.'),
('fr', 'sitemgr', 'zip code', 'Code postal'),
('fr', 'sitemgr-link', 'before the public web site can be viewed, you must configure the various locations and preferences.  please go to the sitemgr se', 'Avant que le site web public puisse être visualisé, vous devez configurer les différents emplacements et préférences. SVP allez à la page de configuration de sitemgr en suivant ce lien:'),
('fr', 'sitemgr', 'your name', 'Votre nom'),
('fr', 'sitemgr', 'your comment', 'Votre commentaire'),
('fr', 'sitemgr', 'your connection is not secure.', 'Votre connexion n''est pas sécurisée'),
('fr', 'sitemgr', 'your calendar', 'Votre calendrier'),
('fr', 'sitemgr', 'you will remove the message in the following language from your notification system:', 'Dans votre système de notification, vous allez supprimer le message dans la langue suivante'),
('fr', 'sitemgr', 'you removed one ore more languages from your site languages.', 'Vous avez supprimé une ou plusieurs des langues de votre site.'),
('fr', 'sitemgr', 'you need to be an administrator of this website to enter javascript!', 'Vous devez être administrateur de ce site web pour entrer du javascript !'),
('fr', 'sitemgr', 'you must be an administrator to setup the site manager.', 'Seul l''administrateur peut configurer le gestionnaire de site.'),
('fr', 'sitemgr', 'you must be an admin to edit categories.', 'Seul un administrateur peut éditer les catégories.'),
('fr', 'sitemgr', 'you must be an admin to edit the site header and footer.', 'Seul un administrateur peut éditer l''entête et le bas de page du site.'),
('fr', 'sitemgr', 'you must be an admin to manage module properties.', 'Vous devez être un administrateur pour gérer les propriétés de module.'),
('fr', 'sitemgr', 'you may have deinstalled the used template ''%1''. reinstall it or go to sitemgr --> configure website and select an other one.', 'Vous avez peut-être désinstallé le gabarit ''%1'' utilisé. Réinstallez le ou allez au Gestionnaire de Site --> Configurer les Sites Web et sélectionnez-en un autre.'),
('fr', 'sitemgr', 'you have to enable url rewriting on the webserver!', 'Vous devez activer la réécriture d''URL sur le site web !'),
('fr', 'sitemgr', 'you have no rights to view wiki content or the wiki is not installed at all !!!', 'Vous n''avez pas l''autorisation de voir le contenu wiki, ou wiki n''est pas installé du tout !!!'),
('fr', 'sitemgr', 'you failed to fill in one or more required fields.', 'Vous n''avez pas rempli un ou plusieurs des champs requis.'),
('fr', 'sitemgr', 'you don''t have permission to write to that category.', 'Vous n''avez pas la permission d''écrire dans cette catégorie.'),
('fr', 'sitemgr', 'you don''t have permission to write in the category', 'Vous n''avez pas la permission d''écrire dans cette catégorie'),
('fr', 'sitemgr', 'you do not have write permissions for any site categories.', 'Vous n''avez les permissions en écriture pour aucune catégorie de site.'),
('fr', 'sitemgr', 'you do not have access to any content on this site.', 'Vous n''avez accès à aucun contenu sur ce site.'),
('fr', 'sitemgr', 'you did not choose a module.', 'Vous n''avez pas choisi de module.'),
('fr', 'sitemgr', 'you can use %1 to fetch the above defined url of your logo.', 'Vous pouvez utiliser %1 pour aller chercher l''URL de votre logo ci-dessus'),
('fr', 'sitemgr', 'you can override each content blocks default title. be aware that not in all content areas the block title will be visible.', 'Vous pouvez écraser le titre par défaut de chaque bloc de contenu. Soyez prévenu que le titre de bloc ne sera pas visible dans toutes les zones de contenu.'),
('fr', 'sitemgr', 'you can either migrate them to a new language or delete them', 'Vous pouvez soit les migrer vers une nouvelle langue soit les effacer'),
('fr', 'sitemgr', 'you can choose the modules that can be used on the site. the first list is a sort of master list, that is consulted if you do no', 'Vous pouvez sélectionner les modules qui peuvent être utilisés sur le site. La première liste est un tri de la liste maître, qui est consultée si vous ne configurez pas les listes spécifiques aux zones de contenus ou (sous)catégories. Puis vous pouvez sélectionner les listes spécifiques à chaque zone de contenu. Dans le gestionnaire de catégories ces listes peuvent être écrasées pour chaque (sous)catégorie.'),
('fr', 'sitemgr', 'you are not entitled to edit block %1', 'Vous n''êtes pas autorisé à modifier le bloc %1'),
('fr', 'sitemgr', 'you are not entitled to create module %1 on this scope', 'Vous n''êtes pas autorisé à créer le module %1 dans ce scope'),
('fr', 'sitemgr', 'you are not entitled to change the scope of block %1 to cat %2 and page %3', 'Vous êtes invité à modifier la portée du bloc %1 à Cat %2 et Page %3'),
('fr', 'sitemgr', 'xml browser', 'Navigateur XML'),
('fr', 'sitemgr', 'yes, please delete it', 'Oui, SVP effacez-le'),
('fr', 'sitemgr', 'write permission', 'Permission d''écriture'),
('fr', 'sitemgr', 'with which view should the module be displayed in the beginning?', 'Avec quelle vue le module devrait être affiché au début?'),
('fr', 'sitemgr', 'wiki', 'Wiki'),
('fr', 'sitemgr', 'wiki startpage', 'Page de démarrage Wiki'),
('fr', 'sitemgr', 'which main categories should be included (comma separated list, empty for all)', 'Quelles catégories principales doivent-elles êtres incluses ? (liste séparée par des virgules ; vide = toutes)'),
('fr', 'sitemgr', 'which application should be executed after login?', 'Quelle application doit être exécutée après la connexion?'),
('fr', 'sitemgr', 'when is a tab activated?', 'Lorsqu''un onglet est activé ?'),
('fr', 'sitemgr', 'week', 'semaine'),
('fr', 'sitemgr', 'what do you want to do with existing translations of categories and pages for this language?', 'Qu''est-ce que vous voulez faire avec les traductions existantes des catégories et pages pour cette langue?'),
('fr', 'sitemgr', 'web content manager administration', 'Administration du gestionnaire de contenu de site web'),
('fr', 'sitemgr', 'web site manager', 'Gestionnaire de Site Web'),
('fr', 'sitemgr', 'website', 'Site Web'),
('fr', 'sitemgr', 'want more templates?', 'Plus de gabarits'),
('fr', 'sitemgr', 'viewed', 'Vu'),
('fr', 'sitemgr', 'view threads', 'Voir les fils de discussion'),
('fr', 'sitemgr', 'view template on this site', 'Voir les modèles sur ce site'),
('fr', 'sitemgr', 'view generated site', 'Voir le site généré'),
('fr', 'sitemgr', 'view full index', 'Voir l''index complet'),
('fr', 'sitemgr', 'view administrative menu', 'Voir le menu administratif'),
('fr', 'sitemgr', 'validator', 'Validateur'),
('fr', 'sitemgr', 'vertical', 'Vertical'),
('fr', 'sitemgr', 'user name', 'Nom d''utilisateur'),
('fr', 'sitemgr', 'use this module for displaying wiki-pages', 'Utilisez ce module pour afficher les pages wiki'),
('fr', 'sitemgr', 'use this module for displaying book ads for the amazon web site', 'Utilisez ce module pour afficher les pubs des livres pour le site Web amazon'),
('fr', 'sitemgr', 'use phpnuke themes instead of templates', 'Utilisez les thèmes phpnuke à la place des gabarits'),
('fr', 'sitemgr', 'use default', 'Utiliser le défaut'),
('fr', 'sitemgr', 'use current user selected language', 'Utiliser la langue sélectionnée par l''utilisateur courant'),
('fr', 'sitemgr', 'url pointing to the image-directory', 'URL pointant vers le répertoire d''images'),
('fr', 'sitemgr', 'url to sitemgr-site', 'URL de sitemgr-site'),
('fr', 'sitemgr', 'updating to new category system', 'Mise à jour vers le nouveau système de catégories'),
('fr', 'sitemgr', 'update notification', 'Notification de mise à jour'),
('fr', 'sitemgr', 'up to parent', 'Vers le niveau supérieur'),
('fr', 'sitemgr', 'up to table of contents', 'Vers la table de matières'),
('fr', 'sitemgr', 'unsubscribe', 'Se désinscrire'),
('fr', 'sitemgr', 'translation status', 'Status de traduction'),
('fr', 'sitemgr', 'unpack the downloaded template in your templates directory (%1) or use a custom template directory.', 'Décompresser le gabarit téléchargé dans votre dossier de gabarits (%1) ou bien utiliser un dossier de gabarit personnalisé.'),
('fr', 'sitemgr', 'translation manager', 'Gestionnaire des traductions'),
('fr', 'sitemgr', 'translate site-wide content blocks', 'Traduire les blocs de contenu sur l''ensemble du site'),
('fr', 'sitemgr', 'translate page', 'Traduire la page'),
('fr', 'sitemgr', 'translate', 'Traduire'),
('fr', 'sitemgr', 'translate category', 'Traduire la catégorie'),
('fr', 'sitemgr', 'title', 'Titre'),
('fr', 'sitemgr', 'topic', 'Sujet'),
('fr', 'sitemgr', 'this site', 'Ce site'),
('fr', 'sitemgr', 'this should be a page that is readable by everyone. if you leave this blank, the site index will be shown by default.', 'Ceci devrait être une page lisible par tout le monde. Si vous laissez ceci vide, c''est la page index du site qui va être montré par défaut.'),
('fr', 'sitemgr', 'this should be a comma-separated list of language-codes.', 'Ceci devrait être une liste de codes de langue séparée par des virgules'),
('fr', 'sitemgr', 'this must be an absolute directory location.  <b>no trailing slash</b>.', 'Ceci doit être un emplacement répertoire absolu.  <b>Pas de slash (/) à la fin</b>.'),
('fr', 'sitemgr', 'this module show the status / percentage of the translation of egw', 'Ce module affiche le statut/pourcentage de la traduction d''eGroupWare'),
('fr', 'sitemgr', 'this module search throw the content (page title/description and html content)', 'Ce module recherche parmi le contenu (titres de page, descriptions et contenus HTML)'),
('fr', 'sitemgr', 'this module provides the site index, it is automatically used by the index get parameter', 'Ce module fournit l''index du site, il est automatiquement utilisé par le paramètre GET d''index'),
('fr', 'sitemgr', 'this module provides the path to the element currently shown', 'Ce module fournit le chemin le chemin de l''élément actuellement affiché'),
('fr', 'sitemgr', 'this module provides tabs', 'Ce module affiche des onglets'),
('fr', 'sitemgr', 'this module provides an xml sitemap (see www.sitemap.org)', 'Ce module affiche un plan de site en XML (voir www.sitemap.org)'),
('fr', 'sitemgr', 'this module provides a condensed table of contents, meant for side areas', 'Ce module fournit une table des matières condensée, destinée aux zones latérales'),
('fr', 'sitemgr', 'this module provides a complete table of contents, it is automatically used by the toc and category_id get parameters', 'Ce module fournit une table de contenus complète, il est automatiquement utilisé par la table de contenus et les paramètres GET de l''ID catégorie'),
('fr', 'sitemgr', 'this module permits browsing through xml files stored in a directory, and transformed by xslt', 'Ce module permet de naviguer dans les fichiers XML stockés dans un répertoire, et transformés par XSLT'),
('fr', 'sitemgr', 'this module lets you show a given url inside an iframe in the page.', 'Ce module vous permet d''afficher une URL dans un IFRAME dans la page page.'),
('fr', 'sitemgr', 'this module lets you include an applet into the page.', 'Ce module vous permet d''intégrer une applet dans la page.'),
('fr', 'sitemgr', 'this module lets you define pages that redirect to another url, if you use it, there should be no other block defined for the pa', 'Ce module vous permet de définir les pages qui rédirigent vers une autre URL, si vous l''utilisez, il ne devrait pas y avoir d''autre bloc défini pour la page'),
('fr', 'sitemgr', 'this module lets users choose language', 'Ce module permet aux utilisateurs de sélectionner leur langue'),
('fr', 'sitemgr', 'this module lets the users choose a template or shows a template gallery', 'Ce module permet à l''utilisateur de choisir un gabarit ou affiche une galerie de gabarits'),
('fr', 'sitemgr', 'this module is a simple html editor', 'Ce module est un éditeur HTML simple'),
('fr', 'sitemgr', 'this module is a selectbox to change the mode (production, draft or edit) plus a link back to sitemgr and to log out. it is mean', 'Ce module est une boîte de sélection pour changer le mode (production, brouillon ou édition) et un lien de retour sur SiteMgr et Déconnexion. Ceci est utilisé par les utilisateurs enregistrés seulement.'),
('fr', 'sitemgr', 'this module is a customisable navigation element', 'Ce module est un élément de navigation personnalisable'),
('fr', 'sitemgr', 'this module includes the contents of an url or file (readable by the webserver and in its docroot !)', 'Ce module inclus le contenu d''une URL ou fichier (lisible par le serveur Web et dans le ''docroot'' !)'),
('fr', 'sitemgr', 'this module displays the root categories, its pages and evtl. subcategories. it is meant for side areas', 'Ce module affiche les catégories principales, ses pages, et éventl. ses sous-catégories. Ceci est utilisé pour les zones de côté'),
('fr', 'sitemgr', 'this module displays the root categories in one block each, with pages and subcategories (incl. their pages if activated).', 'Ce module affiche les catégories principales chacunes dans un bloc, avec les pages et les sous-catégories (y-compris leurs pages si activées).'),
('fr', 'sitemgr', 'this module displays the egw forums on the web site', 'Ce module affiche les forums eGroupWare sur le site web'),
('fr', 'sitemgr', 'this module displays the current month', 'Ce module affiche le mois en cours'),
('fr', 'sitemgr', 'this module displays bookmarks in a javascript based tree', 'Ce module affiche les signets dans un arbre basé sur javascript'),
('fr', 'sitemgr', 'this module displays block from a adddressbook group.', 'Ce module affiche un bloc de carnet d''adresses d''un groupe.'),
('fr', 'sitemgr', 'this module displays a login form', 'Ce module affiche un formulaire de login'),
('fr', 'sitemgr', 'this module displays any kind of navigation element.', 'Ce module affiche n''importe quel élément de navigation.'),
('fr', 'sitemgr', 'this module create a link for downloading a file(s) from the vfs', 'Ce module crée un lien pour télécharger un/des fichier(s) depuis le VFS'),
('fr', 'sitemgr', 'this module demonstrates how handling data stored in xml and building an interacvite interface from it', 'Ce module démontre comment gérer les données stockées dans XML et construire une interface interactive depuis elles'),
('fr', 'sitemgr', 'this module create a link for downloading a file from the vfs', 'Ce module crée un lien pour downloader un fichier depuis le VFS'),
('fr', 'sitemgr', 'this is used chiefly for meta data. if you change the site languages below you have to save before being able to set this prefer', 'Ceci est utilisé en premier chef pour les meta-données. Si vous modifiez les langues du site ci-desssous vous allez devoir enregistrer avant de pouvoir régler cette préférence pour une nouvelle langue.'),
('fr', 'sitemgr', 'this is a simple sample module', 'Ceci est un module d''exemple simple'),
('fr', 'sitemgr', 'this is only used as an internal name for the website.', 'Ceci est uniquement utilisé comme nom interne pour le site Web.'),
('fr', 'sitemgr', 'this is used chiefly for meta data and the title bar. if you change the site languages below you have to save before being able ', 'Ceci est utilisé en premier chef pour les meta-données et la barre de titres. Si vous modifiez les langues du site ci-desssous vous allez devoir enregistrer avant de pouvoir régler cette préférence pour une nouvelle langue.'),
('fr', 'sitemgr', 'this category has no pages.', 'Cette catégorie n''a pas de page.'),
('fr', 'sitemgr', 'this block displays the current section''s table of contents', 'Ce bloc montre la table du contenu de la section actuelle'),
('fr', 'sitemgr', 'this block displays a javascript based tree menu', 'Ce bloc montre un menu arborescent basé sur javascript'),
('fr', 'sitemgr', 'there is nothing to list.', 'Il n''y a rien à lister.'),
('fr', 'sitemgr', 'there was an error writing to the database.', 'Erreur à l''écriture dans la base de données.'),
('fr', 'sitemgr', 'there is no website configured for url %1.  notify the administrator.', 'IL N''Y A AUCUN SITE WEB CONFIGURE POUR L''URL %1.  NOTIFIEZ L''ADMINISTRATEUR.'),
('fr', 'sitemgr', 'there can only be one version in (pre(un))published state, with the one exeption that one prepublished version can coexist with ', 'Il ne peut y avoir qu''une version dans l''état (pré(dé))publié, avec l''unique exception qu''une version prépubliée peut coexister avec une version prédépubliée'),
('fr', 'sitemgr', 'there are no sections available to you.', 'Il n''y a pas de section disponible pour vous.'),
('fr', 'sitemgr', 'there are two subdirectories off of your sitemgr directory that you should move before you do anything else.  you don''t <i>have<', 'Il y a deux sous-répertoires de votre répertoire de sitemgr que vous devriez déplacer avant de faire quoi que ce soit.  Vous n''avez <i>pas</i> à déplacer aucun de ces répertoires, mais vous allez probablement vouloir le faire.'),
('fr', 'sitemgr', 'there are no properties defined for this module', 'Il n''y a pas de propriétés définies pour ce module'),
('fr', 'sitemgr', 'there are no pages in this section', 'Il n''y a pas de page dans cette section.'),
('fr', 'sitemgr', 'there are no categories', 'Il n''y a pas de catégories'),
('fr', 'sitemgr', 'there are no forums in this category', 'Il n''y a pas de forums dans cette catégorie'),
('fr', 'sitemgr', 'there are %1 elements in the list.', 'Il y a %1 éléments dans la liste.'),
('fr', 'sitemgr', 'theme or template select', 'Selection du thème ou du gabarit'),
('fr', 'sitemgr', 'theme "%1" not found!', 'Thème "%1" non trouvé !'),
('fr', 'sitemgr', 'the whole page', 'La page complète'),
('fr', 'sitemgr', 'the xml files'' common name', 'Le nom commun des fichiers XML'),
('fr', 'sitemgr', 'the website has changed. too see the change, follow this url: $url.', 'Le site web a été modifié. Pour voir les modifications, suivez cette URL: $URL.'),
('fr', 'sitemgr', 'the web', 'le Web'),
('fr', 'sitemgr', 'the url to redirect to', 'L''URL vers laquelle rediriger'),
('fr', 'sitemgr', 'the url to display', 'L''URL à afficher'),
('fr', 'sitemgr', 'the url must be absolute and end in a slash, for example http://mydomain.com/mysite/', 'L''URL doit être absolue et finir par un slash (/), par exemple http://mondomaine.com/monsite/'),
('fr', 'sitemgr', 'the url can be relative or absolute.  name must end in a slash.', 'L''URL peut être relative ou absolue.  Le nom doit finir avec un slash (/).'),
('fr', 'sitemgr', 'the text for the link, if empty the module returns the raw url (without a link)', 'Le texte pour le lien, si vide le module retourne l''URL brut (sans l''élément A de HTML)'),
('fr', 'sitemgr', 'the second directory is the sitemgr-site directory.  this can be moved <i>anywhere</i>.  it can also be named <i>anything</i>.  ', 'Le deuxième répertoire est le répertoire de sitemgr-site.  Ceci peut être déplacé <i>n''importe où</i>.  Ceci peut être renommé en <i>n''importe quoi</i>.  Dès qu''il est monté, quand vous pointez un navigateur vers lui, vous avez le site Web généré.  En considérant, bien sûr, que vous avez correctement complété les champs du setup ci-dessous et aussi <b><i>édité le fichier config.inc.php</i></b>.'),
('fr', 'sitemgr', 'the requested path %1 is not available.', 'Le chemin demandé %1 n''est pas disponible !'),
('fr', 'sitemgr', 'the person to say hello to', 'La personne à qui dire bonjour'),
('fr', 'sitemgr', 'the path to the file to be downloaded', 'Le chemin vers le fichier à downloader'),
('fr', 'sitemgr', 'the page was successfully saved.', 'La page a été enregistrée avec succès.'),
('fr', 'sitemgr', 'the page name must be unique.', 'Le nom de la page doit être unique.'),
('fr', 'sitemgr', 'the name field cannot contain punctuation or spaces (field modified).', 'Le champ nom ne peut contenir de caractères de ponctuation ou d''espaces (le champ a été modifié).'),
('fr', 'sitemgr', 'the first directory to think about is sitemgr-link.  if you move this to the parent directory of sitemgr (your egroupware root d', 'Le premier répertoire auquel il faut penser est sitemgr-link.  Si vous déplacez ceci dans le répertoire parent de sitemgr (le répertoire principal de votre egroupware) alors vous pouvez utiliser setup pour installer l''application et tous ceux qui ont un accès à l''application vont avoir une icône sur leur barre de navigation qui les renvoie directement vers le site Web public.  Si vous ne voulez pas de cette icône, il n''y a aucune raison de s''occuper de ce répertoire.'),
('fr', 'sitemgr', 'the filesystem path to your sitemgr-site directory ''%1'' is probably wrong. go to sitemgr --> define websites and edit/fix the co', 'Le système de fichier de votre répertoire sitemgr-site ''%1'' est probablement faux. Allez dans SiteMgr --> Définir des sites Web et editez/corrigez le Site concerné.'),
('fr', 'sitemgr', 'the file to be downloaded', 'Le fichier à downloader'),
('fr', 'sitemgr', 'the config.inc.php file needs to be edited to point to the egroupware directory. copy the config.inc.php.template file to config', 'Le fichier config.inc.php doit être édité pour pointer vers le répertoire de eGroupWare. Copiez le fichier config.inc.php.template vers config.inc.php puis éditez-le.'),
('fr', 'sitemgr', 'the complete url or path to a file to be included', 'L''URL complète ou le chemin du fichier à inclure'),
('fr', 'sitemgr', 'the category to display, 0 for complete table of contents', 'La catégorie à afficher, 0 pour une table complète des contenus'),
('fr', 'sitemgr', 'the anonymous user needs read it!', 'L''utilisateur anonyme doit avoir des droits de lecture !'),
('fr', 'sitemgr', 'textarea', 'Zone de texte'),
('fr', 'sitemgr', 'text allignment', 'Alignement de texte'),
('fr', 'sitemgr', 'template select', 'Choix de gabarit'),
('fr', 'sitemgr', 'template preferences', 'Préférence de gabarit'),
('fr', 'sitemgr', 'table of contents', 'Table des matières'),
('fr', 'sitemgr', 'template based navigation module', 'Module de navigation basé sur un modèle'),
('fr', 'sitemgr', 'suppress the current page', 'Supprimer la page en cours'),
('fr', 'sitemgr', 'suppress the current category', 'Supprimer la catégorie en cours'),
('fr', 'sitemgr', 'suppress main categories', 'Supprimer les catégories principales'),
('fr', 'sitemgr', 'suppress link to parent category', 'Supprimer le lien à la catégorie parente'),
('fr', 'sitemgr', 'suppress link to index (show all)', 'Supprimer le lien à l''index (montrer tout)'),
('fr', 'sitemgr', 'summary of one forum', 'Sommaire d''un forum'),
('fr', 'sitemgr', 'subtitle', 'Sous-titre'),
('fr', 'sitemgr', 'subtext for image %1', 'Sous-titre pour image %1'),
('fr', 'sitemgr', 'subsections:', 'Sous-sections :'),
('fr', 'sitemgr', 'subcategories', 'Sous-catégories'),
('fr', 'sitemgr', 'strip html from block content?', 'Enlever le code HTML du contenu du bloc?'),
('fr', 'sitemgr', 'state', 'Etat'),
('fr', 'sitemgr', 'string to return (default api version)', 'Chaîne à retourner (version de l''API par défaut)'),
('fr', 'sitemgr', 'sort order', 'Ordre de tri'),
('fr', 'sitemgr', 'startdirectory in vfs for image uploads', 'Répertoire de base dans le VFS pour les uploads d''images'),
('fr', 'sitemgr', 'sort files by', 'Trier les fichiers par'),
('fr', 'sitemgr', 'sorry, no content found for you search criteria', 'Aucun contenu trouvé pour ce critère de recherche'),
('fr', 'sitemgr', 'size', 'Taille'),
('fr', 'sitemgr', 'sitemgr websites', 'Sites Web SiteMgr'),
('fr', 'sitemgr', 'sitemgr manual', 'Manuel SiteMgr'),
('fr', 'sitemgr', 'sitemgr options', 'Options de SiteMgr'),
('fr', 'sitemgr', 'sitemgr setup instructions', 'Instructions de configuration de SiteMgr'),
('fr', 'sitemgr', 'site tree menu', 'Menu de l''arbre du site'),
('fr', 'sitemgr', 'site wide', 'Sur l''ensemble du site'),
('fr', 'sitemgr', 'site language', 'Langue du site'),
('fr', 'sitemgr', 'site name', 'Nom du site'),
('fr', 'sitemgr', 'site index', 'Index du site'),
('fr', 'sitemgr', 'site export', 'Export de site'),
('fr', 'sitemgr', 'site format manager', 'Gestionnaire de format du site'),
('fr', 'sitemgr', 'site description', 'Description du site'),
('fr', 'sitemgr', 'site administrators', 'Administrateurs de site'),
('fr', 'sitemgr', 'site %1 has been added, you need to %2configure the site%3 now', 'Le site %1 a été ajouté, vous devez %2configurer le site%3 maintenant'),
('fr', 'sitemgr', 'site %1 has been updated', 'Le site %1 a été mis à jour'),
('fr', 'sitemgr', 'site', 'Site'),
('fr', 'sitemgr', 'single file download', 'Téléchargement d''un seul fichier'),
('fr', 'sitemgr', 'simple: only selected mode, no more options displayed', 'Simple : uniquement le mode sélectionné, aucun autre option affichée'),
('fr', 'sitemgr', 'show the title of the wiki page', 'Afficher le titre de la page wiki'),
('fr', 'sitemgr', 'show the link as text?', 'Afficher les liens comme du texte'),
('fr', 'sitemgr', 'show subcategories', 'Afficher les sous-catégories'),
('fr', 'sitemgr', 'show site index', 'Afficher l''index du site.'),
('fr', 'sitemgr', 'show searchbox', 'Afficher la boîte de recherche'),
('fr', 'sitemgr', 'show path?', 'Afficher le chemin ?'),
('fr', 'sitemgr', 'show only (in the next field) selected templates', 'Afficher seulement les gabarits sélectionnés dans le champ suivant'),
('fr', 'sitemgr', 'show files including the ones from subdirectories', 'Afficher les fichiers y compris ceux des sous-répertoires'),
('fr', 'sitemgr', 'show current section only', 'Afficher uniquement la section courante'),
('fr', 'sitemgr', 'show details for the applications', 'Afficher les détails pour les applications'),
('fr', 'sitemgr', 'show comments?', 'Afficher les commentaires'),
('fr', 'sitemgr', 'show contents of a directory', 'Affiche le contenu d''un répertoire'),
('fr', 'sitemgr', 'show contents of a directory with subdirectories', 'Affiche le contenu d''un répertoire et ses sous-répertoires'),
('fr', 'sitemgr', 'show a template-gallery (thumbnail and informations)', 'Afficher une galerie de gabarits, vignettes et informations.'),
('fr', 'sitemgr', 'show a file upload (if user has write rights to current directory)', 'Montrer un champ d''upload de fichier, si l''utilisateur a les droits d''écriture sur le répertoire courant'),
('fr', 'sitemgr', 'should the file be viewed in the browser or downloaded', 'Le fichier doit-il être vu dans le navigateur ou downloadé'),
('fr', 'sitemgr', 'shipping address', 'Adresse de livraison'),
('fr', 'sitemgr', 'seperate cats / pages of one tab by :', 'Catégories / Pages d''un onglet séparées par'),
('fr', 'sitemgr', 'selected theme %1 does not exist.', 'Le thème %1 sélectionné n''existe pas.'),
('fr', 'sitemgr', 'send emailcopy to receiver', 'Envoyer une copie email au destinataire'),
('fr', 'sitemgr', 'selected template %1 does not exist.', 'Le gabarit %1 sélectionné n''existe pas.'),
('fr', 'sitemgr', 'select type of navigation', 'Choisissez le type de navigation'),
('fr', 'sitemgr', 'select the templates the user is allowed to see', 'Sélectionnez les modèles que l''utilisateur est autorisé à voir'),
('fr', 'sitemgr', 'select persons and groups that are entitled to configure the website.', 'Choisir les personnes et groupes attitrés pour configurer le site web.'),
('fr', 'sitemgr', 'select layout for lang selection', 'Sélectionner la présentation pour la sélection de la langue'),
('fr', 'sitemgr', 'select allowed modules', 'Choisissez les modules autorisés'),
('fr', 'sitemgr', 'select a forum', 'Choisissez un forum'),
('fr', 'sitemgr', 'seen by', 'Vu par'),
('fr', 'sitemgr', 'select a category', 'Choisissez une catégorie'),
('fr', 'sitemgr', 'search with', 'Rechercher avec'),
('fr', 'sitemgr', 'seconds before redirect', 'Secondes avant la redirection'),
('fr', 'sitemgr', 'search modes', 'Mode de recherche'),
('fr', 'sitemgr', 'root site index', 'Index de la racine du site'),
('fr', 'sitemgr', 'save', 'Enregistrer'),
('fr', 'sitemgr', 'save block', 'Enregistrer le bloc'),
('fr', 'sitemgr', 'saved', 'Enregistré'),
('fr', 'sitemgr', 'scope', 'Etendue'),
('fr', 'sitemgr', 'search keyword', 'Recherche par mot-clé'),
('fr', 'sitemgr', 'search language options', 'Options linguistiques de la recherche'),
('fr', 'sitemgr', 'return to message list', 'Retourner à la liste de messages'),
('fr', 'sitemgr', 'reset', 'Réinitialisation'),
('fr', 'sitemgr', 'return to forums', 'Retourner aux forums'),
('fr', 'sitemgr', 'return to main menu.', 'Retour au menu principal'),
('fr', 'sitemgr', 'required fields', 'Champs requis'),
('fr', 'sitemgr', 'reload', 'Recharger'),
('fr', 'sitemgr', 'replies', 'Réponses'),
('fr', 'sitemgr', 'required', 'Nécessaire'),
('fr', 'sitemgr', 'register new modules', 'Enregistrer de nouveaux modules'),
('fr', 'sitemgr', 'regular expression modifier "%1" in "%2" is not allowed!', 'Expression régulière "%1" n''est pas autorisé dans "%2"  !'),
('fr', 'sitemgr', 'register for one now.', 'Enregistrez-vous maintenant.'),
('fr', 'sitemgr', 'redirection', 'Redirection'),
('fr', 'sitemgr', 'refresh', 'Actualiser'),
('fr', 'sitemgr', 'read permission', 'Permission en lecture'),
('fr', 'sitemgr', 'reactivate content', 'Réactiver le contenu'),
('fr', 'sitemgr', 'quantity items (empty allows buyer to specify)', 'Quantité d''éléments, laisser vide pour autoriser l''acheteur à spécifier la quantité'),
('fr', 'sitemgr', 'published', 'Publié'),
('fr', 'sitemgr', 'production mode', 'Mode production'),
('fr', 'sitemgr', 'price of the item (empty allows buyer to choose, eg. for donations)', 'Prix de l''élément, laisser vide pour autoriser l''acheteur à spécifier le montant (par exemple pour les dons)'),
('fr', 'sitemgr', 'previous', 'Précédent'),
('fr', 'sitemgr', 'preunpublished', 'Prédépublié'),
('fr', 'sitemgr', 'prepublished', 'Prépublié'),
('fr', 'sitemgr', 'prefix', 'Préfixe'),
('fr', 'sitemgr', 'post a message to this thread', 'Poster un message dans ce fil de discussion'),
('fr', 'sitemgr', 'please sign the guestbook', 'Veuillez signer le livre d''or'),
('fr', 'sitemgr', 'please enter a name for that site !', 'Veuillez entrer un nom pour ce site !'),
('fr', 'sitemgr', 'plain selectbox', 'Boîte de sélection entière'),
('fr', 'sitemgr', 'phrases in total', 'Phrases totales'),
('fr', 'sitemgr', 'paypal', 'PayPayl'),
('fr', 'sitemgr', 'paypal pay now button', 'Bouton de PayPal "payer maintenant"'),
('fr', 'sitemgr', 'percentage', 'Pourcentage'),
('fr', 'sitemgr', 'pay with paypal', 'Payer avec PayPal'),
('fr', 'sitemgr', 'path to zip binary if not in path of the webserver', 'Chemin de l''exécutable zip si pas dans le chemin du serveur web'),
('fr', 'sitemgr', 'path', 'Chemin'),
('fr', 'sitemgr', 'path to image-directory ''%1'' is not valid or readable by the webserver !!!', 'Chemin du répertoire d''images ''%1'' invalide ou illisible par le serveur Web !'),
('fr', 'sitemgr', 'password', 'Mot de passe'),
('fr', 'sitemgr', 'password that you assigned for the anonymous user account.', 'Le mot de passe que vous avez assigné pour le compte anonyme.'),
('fr', 'sitemgr', 'parent', 'Parent'),
('fr', 'sitemgr', 'parent directory', 'répertoire parent'),
('fr', 'sitemgr', 'parent section:', 'Section Parente:'),
('fr', 'sitemgr', 'pages', 'Pages'),
('fr', 'sitemgr', 'pages:', 'Pages :'),
('fr', 'sitemgr', 'parameters saved.', 'Paramètres enregistrés.'),
('fr', 'sitemgr', 'page name', 'Nom de la page'),
('fr', 'sitemgr', 'page saved', 'Page enregistrée'),
('fr', 'sitemgr', 'page saved.', 'Page enregistrée.'),
('fr', 'sitemgr', 'page subtitle', 'Sous-titre de la page'),
('fr', 'sitemgr', 'page title', 'Titre de la page'),
('fr', 'sitemgr', 'page', 'Page'),
('fr', 'sitemgr', 'page content', 'Contenu de la page'),
('fr', 'sitemgr', 'page manager', 'Gestionnaire de pages'),
('fr', 'sitemgr', 'own amazon partner-id or empty to donate to the egroupware project', 'Votre n° de partenaire Amazon ou vide pour faire un don au projet eGroupWare'),
('fr', 'sitemgr', 'other websites', 'Autres sites Web'),
('fr', 'sitemgr', 'overview of all available categories', 'Vue globale de toutes les catégories disponibles'),
('fr', 'sitemgr', 'overview of one specific category', 'Vue globale d''une catégorie spécifique'),
('fr', 'sitemgr', 'or use a template compatible with %1.', 'Utiliser un gabarit compabiel avec %1.'),
('fr', 'sitemgr', 'or enter the title for a new guestbook', 'ou entrez le titre pour un nouveau livre d''or'),
('fr', 'sitemgr', 'options in search result page', 'Option de la page de résulats de la recherche'),
('fr', 'sitemgr', 'only on the first page', 'Seulement sur la première page'),
('fr', 'sitemgr', 'only gallery', 'Galerie seulement'),
('fr', 'sitemgr', 'on all pages', 'Sur toutes les pages'),
('fr', 'sitemgr', 'oldest first', 'Les plus anciens en premier'),
('fr', 'sitemgr', 'notification not found !!!', 'Notification non trouvée !'),
('fr', 'sitemgr', 'number of results', 'Nombre de résultats'),
('fr', 'sitemgr', 'notification message not found !!!', 'Message de notification non trouvé !'),
('fr', 'sitemgr', 'not yet translated', 'Pas encore traduit'),
('fr', 'sitemgr', 'none selected', 'Aucun sélectionné'),
('fr', 'sitemgr', 'no, chooser with preview', 'Non, sélectionneur avec prévisualisation'),
('fr', 'sitemgr', 'no websites defined', 'Aucun site web défini !'),
('fr', 'sitemgr', 'no, chooser only (for side-areas)', 'Non, sélectionneur seulement (pour les zones de côté)'),
('fr', 'sitemgr', 'no users defined.', 'Aucun utilisateur défini !'),
('fr', 'sitemgr', 'no thumbnail availible', 'Pas de vignette disponible !'),
('fr', 'sitemgr', 'no templates found.', 'Pas de gabarits trouvés !'),
('fr', 'sitemgr', 'no template file found.', 'Aucun fichier de gabarit trouvé !'),
('fr', 'sitemgr', 'no states defined', 'Aucun état défini !'),
('fr', 'sitemgr', 'no sitelanguages configured', 'Pas de langues de site configurées !'),
('fr', 'sitemgr', 'no pages available', 'Aucune page disponible !'),
('fr', 'sitemgr', 'no options available.', 'Aucune option disponible !'),
('fr', 'sitemgr', 'no new modules found !!!', 'Pas de nouveau module trouvé !'),
('fr', 'sitemgr', 'no modules permitted for this content area/category', 'Pas de modules autorisé pour cette zone/catégorie de contenu !'),
('fr', 'sitemgr', 'no link to full index', 'Pas de lien vers l''index complet !'),
('fr', 'sitemgr', 'no groups defined.', 'Aucun groupe défini !'),
('fr', 'sitemgr', 'no content found', 'Aucun contenu trouvé !'),
('fr', 'sitemgr', 'no content areas found in selected template', 'Pas de zones de contenu trouvées dans le gabarit sélectionné'),
('fr', 'sitemgr', 'no anonymous user accounts installed.  notify the administrator.', 'IL N''Y A PAS DE COMPTE UTILISATEUR ANONYME INSTALLE.  PREVENEZ L''ADMINISTRATEUR.'),
('fr', 'sitemgr', 'no additional arguments required', 'Aucun argument supplémentaire n''est requis'),
('fr', 'sitemgr', 'newest first', 'Les plus récents en premier'),
('fr', 'sitemgr', 'new guestbook', 'Nouveau livre d''or'),
('fr', 'sitemgr', 'new sitemgr site', 'Nouveau site sitemgr'),
('fr', 'sitemgr', 'new application', 'Nouvelle application'),
('fr', 'sitemgr', 'name of the tabs (comma seperated)', 'Noms des onglets, séparés par des virgules'),
('fr', 'sitemgr', 'name of the item for sale', 'Nom de l''élément à vendre'),
('fr', 'sitemgr', 'name of page or numeric category to go to, if website was selected above:', 'Nom de la page ou numéro de la catégorie vers laquelle aller, si le site web a été sélectionné ci-dessus :'),
('fr', 'sitemgr', 'name has been translated to lower case', 'Le nom a été traduit en caractères minuscules'),
('fr', 'sitemgr', 'move to', 'Déplacer vers'),
('fr', 'sitemgr', 'name', 'Nom'),
('fr', 'sitemgr', 'move block up (decrease sort order)', 'Déplacer le bloc vers le haut (décrémente l''ordre de tri)'),
('fr', 'sitemgr', 'move block down (increase sort order)', 'Déplacer le bloc vers le bas (incrémente l''ordre de tri)'),
('fr', 'sitemgr', 'module: %1, scope: %2, contentarea: %3, viewable: %4', 'Module: %1, Portée: %2, Zone de contenu: %3, Visible: %4'),
('fr', 'sitemgr', 'module returns api version or an arbitrary string.', 'Le module affiche la version de l''API ou bien une chaîne arbritraire'),
('fr', 'sitemgr', 'module manager', 'Gestionnaire de modules'),
('fr', 'sitemgr', 'module ''%1'' not found in: %2! --> exiting', 'Le module  ''%1'' n''est pas trouvé dans  ''%2'' !  ---> sortie'),
('fr', 'sitemgr', 'module %1 is not permitted in this context!', 'Le module %1 n''est pas permis dans ce contexte !'),
('fr', 'sitemgr', 'migrating data for %1 to %2', 'Migre les données de %1 vers %2'),
('fr', 'sitemgr', 'messages are defined for all site languages.', 'Les messages sont définis pour toutes les langues des sites.'),
('fr', 'sitemgr', 'message text:', 'Texte du message :'),
('fr', 'sitemgr', 'message not found !!!', 'Message non trouvé !'),
('fr', 'sitemgr', 'maximal page depth to be shown', 'Profondeur max des pages à afficher'),
('fr', 'sitemgr', 'maximal category depth to be shown', 'Profondeur max des catégories à afficher'),
('fr', 'sitemgr', 'master list of permitted modules', 'Liste principale des modules permis'),
('fr', 'sitemgr', 'manage translations', 'Gérer les traductions'),
('fr', 'sitemgr', 'manage site-wide module properties', 'Gérer les propriétés des modules sur l''ensemble du site'),
('fr', 'sitemgr', 'manage site-wide content', 'Gérer le contenu de tout le site'),
('fr', 'sitemgr', 'manage site content', 'Gérer le contenu du site'),
('fr', 'sitemgr', 'manage page specific content', 'Gérer le contenu spécifique à la page'),
('fr', 'sitemgr', 'manage notifications', 'Gérer les notifications'),
('fr', 'sitemgr', 'manage notification messages', 'Gerer les messages de notification'),
('fr', 'sitemgr', 'manage modules', 'Gérer les modules'),
('fr', 'sitemgr', 'manage content', 'Gérer le contenu'),
('fr', 'sitemgr', 'manage category wide module properties', 'Gérer les propriétés de module sur l''ensemble de la catégorie'),
('fr', 'sitemgr', 'manage categories and pages', 'Gérer les catégories et pages'),
('fr', 'sitemgr', 'manage category wide content', 'Gérer le contenu sur l''ensemble de la catégorie'),
('fr', 'sitemgr', 'manage categories', 'Gérer les catégories'),
('fr', 'sitemgr', 'manage archived content', 'Gérer le contenu des archives'),
('fr', 'sitemgr', 'mains', 'Principaux'),
('fr', 'sitemgr', 'main content', 'Contenu principal'),
('fr', 'sitemgr', 'logo, custom css', 'Logo, CSS personnalisé'),
('fr', 'sitemgr', 'logo url', 'Logo URL'),
('fr', 'sitemgr', 'login name', 'Nom du login'),
('fr', 'sitemgr', 'login', 'Login'),
('fr', 'sitemgr', 'logged in as:', 'Connecté comme :'),
('fr', 'sitemgr', 'list of permitted modules specific to content area %1', 'Liste des modules autorisés, spécifiques à la zone de contenu %1'),
('fr', 'sitemgr', 'links for the tabs (comma seperated)', 'Liens des onglets, séparés par virgules'),
('fr', 'sitemgr', 'latest reply', 'Dernière réponse'),
('fr', 'sitemgr', 'last entries to the guestbook', 'Dernières entrées du livre d''or'),
('fr', 'sitemgr', 'languages the site user can choose from', 'Les langues que l''utilisateur du site peut choisir'),
('fr', 'sitemgr', 'language:', 'Langue :'),
('fr', 'sitemgr', 'knowledge base', 'Base de connaissances');
INSERT INTO `egw_lang` (`lang`, `app_name`, `message_id`, `content`) VALUES
('fr', 'sitemgr', 'just download one from our %1template gallery%2 on %3.', 'En télécharger un depuis la %1galerie de gabarits%2 sur %3.'),
('fr', 'sitemgr', 'invalid template directory ''%1'' !!!', 'Répertoire de modèles ''%1'' invalide !!!'),
('fr', 'sitemgr', 'interface to google website', 'Interface vers le site Web de Google'),
('fr', 'sitemgr', 'individual access permissions', 'Permissions d''accès individuelles'),
('fr', 'sitemgr', 'individual access permission', 'Permissions d''accès individuelles'),
('fr', 'sitemgr', 'imported', 'importé.'),
('fr', 'sitemgr', 'index', 'Index'),
('fr', 'sitemgr', 'import site', 'Importer le site'),
('fr', 'sitemgr', 'implies read permission', 'Implique les permissions en lecture'),
('fr', 'sitemgr', 'import', 'Importation'),
('fr', 'sitemgr', 'import a sitemgr website', 'Importer une site de type Gestionnaire de Site'),
('fr', 'sitemgr', 'image type', 'Type d''image'),
('fr', 'sitemgr', 'if you haven''t done so already, create a user that will be used for public viewing of the site.  recommended name: anonymous.', 'Si vous ne l''avez pas déjà fait, créez un utilisateur qui va être utilisé pour le visionnage public du site.  Nom recommandé: anonyme.'),
('fr', 'sitemgr', 'if nonsecure redirect to:', 'Si non sécurisé rediriger vers:'),
('fr', 'sitemgr', 'id', 'Id'),
('fr', 'sitemgr', 'identifier you can use to track an internal inventory number', 'Identifiant à suivre pour traquer un numéro d''inventaire interne'),
('fr', 'sitemgr', 'i''m sorry, you do not have write permissions for any site categories.', 'Désolé, vous n''avez les droits d''écriture pour aucune catégorie du site.'),
('fr', 'sitemgr', 'html frame', 'Cadre HTML'),
('fr', 'sitemgr', 'html module', 'Module HTML'),
('fr', 'sitemgr', 'horizontal', 'Horizontal'),
('fr', 'sitemgr', 'how long to cache downloaded content (seconds)', 'Combien de temps mettre en cache le contenu téléchargé (secondes)'),
('fr', 'sitemgr', 'highlight current page', 'Mettre la page courange en surbrillance'),
('fr', 'sitemgr', 'helps you respect html/xhtml standards.', 'Vous aide à respecter les standards HTML/XHTML.'),
('fr', 'sitemgr', 'hello world', 'Bonjour, le monde'),
('fr', 'sitemgr', 'hello', 'Bonjour'),
('fr', 'sitemgr', 'header editor', 'Editeur d''entête'),
('fr', 'sitemgr', 'headlines', 'Titres'),
('fr', 'sitemgr', 'group name', 'Nom du groupe'),
('fr', 'sitemgr', 'group access permissions', 'Permissions d''accès de groupe'),
('fr', 'sitemgr', 'google', 'Google'),
('fr', 'sitemgr', 'google search', 'Recherche Google'),
('fr', 'sitemgr', 'go to page manager', 'Aller au gestionnaire de pages'),
('fr', 'sitemgr', 'go to', 'Aller à'),
('fr', 'sitemgr', 'go back to the category manager.', 'Retourner au gestionnaire de catégories.'),
('fr', 'sitemgr', 'go', 'Allez'),
('fr', 'sitemgr', 'go back to page manager', 'Retourner au gestionnaire de pages'),
('fr', 'sitemgr', 'generates "%1" instead of "%2" urls.', 'Génère des URLs "%1" au lie de "%2"'),
('fr', 'sitemgr', 'gallery plus chooser', 'Sélecteur Gallery plus'),
('fr', 'sitemgr', 'gallery plus chooser and download', 'Sélecteur Gallery plus et téléchargement'),
('fr', 'sitemgr', 'gallery plus download', 'Téléchargement Gallery plus'),
('fr', 'sitemgr', 'generate search engine friendly urls', 'Générer des URLs adaptés pour les moteurs de recherche'),
('fr', 'sitemgr', 'galerie', 'Galerie'),
('fr', 'sitemgr', 'full path of the xslt file that should be applied to the xml files', 'Chemin complet des fichiers XSLT qui doivent être appliqués aux fichiers XML'),
('fr', 'sitemgr', 'flag symbols', 'Drapeaux'),
('fr', 'sitemgr', 'following new modules registed: %1', 'Les nouveaux modules suivants ont été enregistrés: %1'),
('fr', 'sitemgr', 'footer editor', 'Editeur de bas de page'),
('fr', 'sitemgr', 'forum', 'Forum'),
('fr', 'sitemgr', 'filesystem path to sitemgr-site directory', 'Chemin du système de fichiers vers le dossier sitemgr-site'),
('fr', 'sitemgr', 'fill in permissions from parent category? if you check this, below values will be ignored', 'Remplir les permissions depuis les catégories parentes? Si vous activez ceci, les valeurs ci-dessous vont être ignorées'),
('fr', 'sitemgr', 'filesystem path of the directory where xml files are stored', 'Chemin du répertoire dans le système de fichiers où les fichiers xml seront stockés'),
('fr', 'sitemgr', 'filesystem path of the image-directory', 'Chemin du répertoire d''images dans le système de fichiers'),
('fr', 'sitemgr', 'file download', 'Download du fichier.'),
('fr', 'sitemgr', 'file successful uploaded.', 'Fichier uploadé avec succès !'),
('fr', 'sitemgr', 'filename', 'Nom du fichier'),
('fr', 'sitemgr', 'file contents', 'Le fichier contient'),
('fr', 'sitemgr', 'file %1 is not readable by the webserver !!!', 'Le fichier %1 n''est pas lisible par le serveur web !'),
('fr', 'sitemgr', 'file %1 is outside the docroot of the webserver !!!<br>this module does not allow - for security reasons - to open files outside', 'Le fichier %1 se trouve en dehors du ''docroot'' du serveur Web !!!<br>Ce module ne permet pas - pour des raisons de sécurité - d''ouvrir des fichiers à l''extérieur de ''docroot'''),
('fr', 'sitemgr', 'fax', 'Fax'),
('fr', 'sitemgr', 'export a sitemgr site', 'Exporter un site du gestionnaire de site'),
('fr', 'sitemgr', 'export', 'Exportation'),
('fr', 'sitemgr', 'expand current category', 'Développer la catégorie en cours'),
('fr', 'sitemgr', 'exact phrase', 'Phrase exacte'),
('fr', 'sitemgr', 'everybody', 'Tout le monde'),
('fr', 'sitemgr', 'error writing to the database.', 'Erreur lors de l''écriture en base de données.'),
('fr', 'sitemgr', 'error writing to the database: %1.', 'Erreur lors de l''écriture en base de données: %1.'),
('fr', 'sitemgr', 'error uploading file!', 'Erreur à l''upload du fichier !'),
('fr', 'sitemgr', 'error saving the entry!!!', 'Erreur lors de l''enregistrement de l''entrée !'),
('fr', 'sitemgr', 'error deleting the entry!!!', 'Erreur lors de la suppression de l''entrée !'),
('fr', 'sitemgr', 'error deleting the element.', 'Erreur lors de l''effacement de l''élément.'),
('fr', 'sitemgr', 'entry saved', 'Entrée enregistrée'),
('fr', 'sitemgr', 'entry saved.', 'Entrée enregistrée.'),
('fr', 'sitemgr', 'entry duplicated.', 'Entrée dupliquée.'),
('fr', 'sitemgr', 'entry deleted', 'Entrée supprimée'),
('fr', 'sitemgr', 'enter the page content here', 'Entrez le contenu de la page ici'),
('fr', 'sitemgr', 'enterprise knowledge articles repository', 'Recueil des articles de la base de connaissances'),
('fr', 'sitemgr', 'enter the email to be notified about changes of the website:', 'Entrez l''email qui sera notifié à propos des modifications du site web:'),
('fr', 'sitemgr', 'enter the block content here', 'Entrez le contenu du bloc ici'),
('fr', 'sitemgr', 'enter the email to be notified about changes of the website.', 'Entrez l''email qui sera notifié à propos des modifications du site web.'),
('fr', 'sitemgr', 'email address', 'Adresse email'),
('fr', 'sitemgr', 'email address of the paypal account selling the item', 'Adresse email du compte PayPal vendant l''élément'),
('fr', 'sitemgr', 'enter a name', 'Entrez un nom'),
('fr', 'sitemgr', 'element successfully deleted.', 'Elément effacé avec succès.'),
('fr', 'sitemgr', 'egw users', 'Utilisateurs eGroupWare'),
('fr', 'sitemgr', 'eg. by renaming %1 to %2 in the %3 directory for an apache.', 'Par exemple, en renommant %1 en %2 dans le répertoire %3 sur un serveur Apache'),
('fr', 'sitemgr', 'eg. %1 or %2', 'par exemple : %1 ou %2'),
('fr', 'sitemgr', 'edit website', 'Modifier le site web'),
('fr', 'sitemgr', 'edit site', 'Editer le Site'),
('fr', 'sitemgr', 'edit template preferences for %1', 'Modifier les préférences de gabarit pour %1'),
('fr', 'sitemgr', 'edit this block', 'Modifier ce bloc'),
('fr', 'sitemgr', 'edit properties of module %1 for %2 with scope %3', 'Modifier les propriétés du module %1 pour %2 avec le scope %3'),
('fr', 'sitemgr', 'edit page', 'Modifier la page'),
('fr', 'sitemgr', 'edit notification message', 'Modifier les messages de notifications'),
('fr', 'sitemgr', 'edit notification', 'Modifier les notifications'),
('fr', 'sitemgr', 'edit mode', 'Mode édition'),
('fr', 'sitemgr', 'edit category', 'Modifier la catégorie'),
('fr', 'sitemgr', 'draft mode', 'Mode brouillon'),
('fr', 'sitemgr', 'downloaded', 'Downloadé'),
('fr', 'sitemgr', 'draft', 'Brouillon'),
('fr', 'sitemgr', 'dont ask', 'Ne pas demander'),
('fr', 'sitemgr', 'download as zip-archiv', 'Télécharger en tant qu''archive ZIP'),
('fr', 'sitemgr', 'done', 'Fait'),
('fr', 'sitemgr', 'don''t show hiden pages in the path way', 'Ne pas afficher les pages cachées dans le chemin'),
('fr', 'sitemgr', 'don''t have an account?', 'Vous n''avez pas de compte ?'),
('fr', 'sitemgr', 'domain-name (offical dns-name eg. www.egroupware.org) if you want to give the user a choice between searching this site or the w', 'Nom de domaine (nom DNS officiel, p.ex. www.eGroupWare.org) si vous voulez donner à l''utilisateur le choix de chercher sur ce site our sur tout le Web. Si vous ne mettez rien la recherche est limité au Web seulement)'),
('fr', 'sitemgr', 'do you want to delete them?', 'Voulez-vous les effacer ?'),
('fr', 'sitemgr', 'documentation', 'Documentation'),
('fr', 'sitemgr', 'do you realy want to delete this page?', 'Voulez-vous vraiment effacer cette page ?'),
('fr', 'sitemgr', 'do you realy want to delete this block?', 'Voulez-vous vraiment effacer ce bloc ?'),
('fr', 'sitemgr', 'do you realy want to delete the selected categories (including all pages), pages and blocks?', 'Voulez-vous vraiment effacer les Catégories sélectionnées (y-compris toutes les paes), Pages et Blocs?'),
('fr', 'sitemgr', 'display contact', 'Afficher le contact'),
('fr', 'sitemgr', 'display link to autoregistration below login form?', 'Afficher le lien vers l''auto-enregistrement sous le formulaire de login?'),
('fr', 'sitemgr', 'descending', 'Décroissant'),
('fr', 'sitemgr', 'details for language %1 (%2)', 'Détails pour la langue %1 (%2)'),
('fr', 'sitemgr', 'discussions', 'Discussions'),
('fr', 'sitemgr', 'department', 'Département'),
('fr', 'sitemgr', 'delete version', 'Effacer la version'),
('fr', 'sitemgr', 'deleting all data for %1', 'Effacement de toutes les données pour %1'),
('fr', 'sitemgr', 'delete this guestbook', 'Effacer ce livre d''or'),
('fr', 'sitemgr', 'delete this file or directory', 'Supprimer ce fichier ou répertoire ?'),
('fr', 'sitemgr', 'delete this block', 'Effacer ce bloc'),
('fr', 'sitemgr', 'delete this application', 'Effacer cette application'),
('fr', 'sitemgr', 'delete page', 'Effacer la page'),
('fr', 'sitemgr', 'delete category', 'Effacer la catégorie'),
('fr', 'sitemgr', 'delete block', 'Effacer le bloc'),
('fr', 'sitemgr', 'default home page id number', 'ID de la page racine par défaut'),
('fr', 'sitemgr', 'default', 'Défaut'),
('fr', 'sitemgr', 'custom template directory does not exist or is not accessible by webserver!', 'Le répertoire de gabarit personnalisé n''existe pas ou n''est pas accessible par le serveur web !'),
('fr', 'sitemgr', 'custom template directory', 'Répertoire de gabarit personnalisé'),
('fr', 'sitemgr', 'custom etemplate for the contactform', 'eTemplate personnalisé pour le formulaire contact'),
('fr', 'sitemgr', 'custom', 'Personnalisé'),
('fr', 'sitemgr', 'custom css will be included in each page as last style-sheet in the header.', 'Le CSS personnalisé sera inclus dans chaque entête de page comme la dernière feuille de style.'),
('fr', 'sitemgr', 'current section', 'Section actuelle'),
('fr', 'sitemgr', 'currency code of the value specified in amount (eg. usd, eur)', 'Code devise de la valeur spécifiée. Par exemple : EUR, USD, GBP...'),
('fr', 'sitemgr', 'css styles', 'Styles CSS'),
('fr', 'sitemgr', 'create new version', 'Créer une nouvelle version'),
('fr', 'sitemgr', 'css selector to use only part of html file', 'Sélecteur de CSS pour n''utuiliser qu''une partie du fichier HTML'),
('fr', 'sitemgr', 'could not add block %1', 'Echec de l''ajout du bloc  %1'),
('fr', 'sitemgr', 'copyright', 'Droits d''auteur'),
('fr', 'sitemgr', 'contributor menu', 'Menu du contributeur'),
('fr', 'sitemgr', 'contentarea', 'Zone de contenu'),
('fr', 'sitemgr', 'content manager', 'Gestionnaire de contenu'),
('fr', 'sitemgr', 'content blocks', 'Blocs de contenu'),
('fr', 'sitemgr', 'content blocks for category', 'Bloc de contenu pour la catégorie'),
('fr', 'sitemgr', 'contact fields to show', 'Champs à afficher'),
('fr', 'sitemgr', 'contact the administrator.', 'Contactez l''administrateur.'),
('fr', 'sitemgr', 'content areas', 'Zones de contenu'),
('fr', 'sitemgr', 'configure website', 'Configurer le site Web'),
('fr', 'sitemgr', 'configure sitemgr', 'Configurer SiteMgr'),
('fr', 'sitemgr', 'configure module properties', 'Configurer les propriétés du module'),
('fr', 'sitemgr', 'common prefix of the image-name (a number starting with 1 will be appended)', 'préfixe générique du nom de l''image (un nombre commençant par 1 sera ajouté)'),
('fr', 'sitemgr', 'commit changes', 'Appliquer les changements'),
('fr', 'sitemgr', 'comment', 'Commentaire'),
('fr', 'sitemgr', 'code file', 'Fichier code'),
('fr', 'sitemgr', 'codebase url', 'URL base de code'),
('fr', 'sitemgr', 'collapse threads', 'Développer les fils de discussion'),
('fr', 'sitemgr', 'click here to login through a secure connection.', 'Cliquer pour vous connecter par une connexion sécurisée'),
('fr', 'sitemgr', 'choose your site''s theme or template.  note that if you changed the above checkbox you need to save before choosing a theme or t', 'Sélectionnez le thème ou gabarit de votre site.  Notez que si vous avez changé la case à cocher ci-dessus vous devez enregistrer avant de sélectionner un thème ou gabarit.'),
('fr', 'sitemgr', 'choose the valid html type (note: not all icons are available):', 'Choisissez un type VALID HTML (note: toutes les icônes ne sont pas disponibles):'),
('fr', 'sitemgr', 'choose template', 'Choisissez un gabarit'),
('fr', 'sitemgr', 'choose the categories to display', 'Sélectionnez les catégories à afficher'),
('fr', 'sitemgr', 'choose language', 'Sélectionnez la langue'),
('fr', 'sitemgr', 'choose a guestbook', 'Choisissez un livre d''or'),
('fr', 'sitemgr', 'choose a format', 'Choisissez un format'),
('fr', 'sitemgr', 'choose a category', 'Sélectionnez une catégorie'),
('fr', 'sitemgr', 'check to hide from condensed site index.', 'Cochez pour cacher la page de l''index condensé du site.'),
('fr', 'sitemgr', 'check here after every upgrade', 'Vérifiez ici après chaque mise à jour'),
('fr', 'sitemgr', 'center', 'Centre'),
('fr', 'sitemgr', 'changes saved.', 'Changements enregistrés.'),
('fr', 'sitemgr', 'category saved', 'Catégorie enregistrée'),
('fr', 'sitemgr', 'category name', 'Nom de la catégorie'),
('fr', 'sitemgr', 'category manager', 'Gestionnaire des catégories'),
('fr', 'sitemgr', 'category description', 'Description de la catégorie'),
('fr', 'sitemgr', 'category', 'Catégorie'),
('fr', 'sitemgr', 'cannot move page until it has been saved.', 'Ne peut déplacer une page avant son enregistrement.'),
('fr', 'sitemgr', 'cancel the delete', 'Annuler l''effacement'),
('fr', 'sitemgr', 'can''t open an url or execute a script, because allow_url_fopen is not set in your php.ini !!!', 'Impossible d''ouvrir une URL ou d''exécuter un script, car allow_url_fopen n''est pas paramétré dans votre php.ini !'),
('fr', 'sitemgr', 'buy at %1', 'Achetez à %1'),
('fr', 'sitemgr', 'calendar', 'Calendrier'),
('fr', 'sitemgr', 'bookmarks', 'Signets'),
('fr', 'sitemgr', 'block saved', 'Bloc enregistré'),
('fr', 'sitemgr', 'block reloaded', 'Bloc rechargé'),
('fr', 'sitemgr', 'block returned no content.', 'Le bloc n''a retourné aucun contenu.'),
('fr', 'sitemgr', 'block not found.', 'Bloc non trouvé.'),
('fr', 'sitemgr', 'basic settings', 'Réglages de base'),
('fr', 'sitemgr', 'back to the list of languages', 'Retour à la liste de langues'),
('fr', 'sitemgr', 'back to module manager', 'Retourner au gestionnaire de modules'),
('fr', 'sitemgr', 'automatic index', 'Index automatique'),
('fr', 'sitemgr', 'automatically generated notification', 'Notification générée automatiquement'),
('fr', 'sitemgr', 'attempt to access information outside current website', 'Tentative d''accéder à de l''information en dehors du site web actuel'),
('fr', 'sitemgr', 'attempt to edit non-editable block', 'Tentative de modifier un bloc non modifiable'),
('fr', 'sitemgr', 'ask customer', 'Demander au client'),
('fr', 'sitemgr', 'asin[=title] pairs (title is optional)', 'ASIN[=titre] paires (le titre est en option)'),
('fr', 'sitemgr', 'ascending', 'Croissant'),
('fr', 'sitemgr', 'are you sure you want to delete the category %1 and all of its associated pages?  you cannot retrieve the deleted pages if you c', 'Etes-vous sûr de vouloir effacer la catégorie %1 et toutes ses pages associées ?  Vous ne pourrez plus récupérer les pages effacées si vous continuez.'),
('fr', 'sitemgr', 'are you sure you want to delete site %1 and all its content? you cannot retrieve it if you continue.', 'Etes-vous sûr de vouloir effacer le site %1 et tout son contenu ? Vous ne pourrez pas le récupérer si vous continuez.'),
('fr', 'sitemgr', 'are contributors allowed to define new guestbooks?', 'Les contributeurs sont-ils autorisés à définir de nouveaux livres d''or ?'),
('fr', 'sitemgr', 'archived content', 'Contenu archivé'),
('fr', 'sitemgr', 'archived', 'Archivé'),
('fr', 'sitemgr', 'apply permissions also to subcategories?', 'Appliquer les permissions aussi aux sous-catégories ?'),
('fr', 'sitemgr', 'application sitemgr_module_guestbook must be installed as a egroupware application for this module to run', 'L''application sitemgr_module_guestbook doit être installée en tant qu''application eGroupWare pour que ce module fonctionne'),
('fr', 'sitemgr', 'application', 'Application'),
('fr', 'sitemgr', 'application ''%1'' is not installed !!!<br>please install it, to be able to use the block.', 'L''application ''%1'' n''est pas installée !<br>Veuillez l''installer afin de pouvoir utiliser ce bloc.'),
('fr', 'sitemgr', 'any words', 'Tous les mots'),
('fr', 'sitemgr', 'applet', 'Applet'),
('fr', 'sitemgr', 'anvanced: show all search modes', 'Avancé : afficher tous les modes de recherche'),
('fr', 'sitemgr', 'anonymous user''s password', 'Mot de passe de l''utilisateur anonyme'),
('fr', 'sitemgr', 'anonymous user''s username', 'Nom de l''utilisateur anonyme'),
('fr', 'sitemgr', 'anonymous user login domain', 'Domaine de l''utilisateur anonyme'),
('fr', 'sitemgr', 'anonymous', 'Anonyme'),
('fr', 'sitemgr', 'an application directory', 'Un répertoire d''application'),
('fr', 'sitemgr', 'amazon server (without www), eg. amazon.com', 'Serveur Amazon (sans www), p.ex. amazon.com'),
('fr', 'sitemgr', 'amazon', 'Amazon'),
('fr', 'sitemgr', 'allow posting of questions', 'Autoriser la publication de questions'),
('fr', 'sitemgr', 'allow customer to input a note', 'Autoriser un client à entrer une note'),
('fr', 'sitemgr', 'all words', 'Tous les mots'),
('fr', 'sitemgr', 'allignment of navigation elements', 'Alignement des éléments de navigation'),
('fr', 'sitemgr', 'all sites', 'Tous les sites'),
('fr', 'sitemgr', 'all languages', 'Toutes les langues'),
('fr', 'sitemgr', 'all forums in category %1', 'Tous les forums dans la catégorie %1'),
('fr', 'sitemgr', 'all categories', 'Toutes les catégories'),
('fr', 'sitemgr', 'all available languages', 'Toutes les langues disponibles'),
('fr', 'sitemgr', 'advanced plus google: also show google search', 'Avancé : Aussi afficher la recherche google'),
('fr', 'sitemgr', 'administrators', 'Administrateurs'),
('fr', 'sitemgr', 'administrative menu', 'Menu administratif'),
('fr', 'sitemgr', 'administration', 'Administration'),
('fr', 'sitemgr', 'address line 2', 'Adresse ligne 2'),
('fr', 'sitemgr', 'addressbook the contact should be shown', 'Carnet d''adresse à afficher au contact'),
('fr', 'sitemgr', 'add page to category', 'Ajouter la page à la catégorie'),
('fr', 'sitemgr', 'add website', 'Ajouter un site web'),
('fr', 'sitemgr', 'add new page to this category', 'Ajouter une nouvelle page à cette catégorie'),
('fr', 'sitemgr', 'add page', 'Ajouter une page'),
('fr', 'sitemgr', 'add category', 'Ajouter une catégorie'),
('fr', 'sitemgr', 'add block ...', 'Ajouter un bloc'),
('fr', 'sitemgr', 'add block to content area %1', 'Ajouter un bloc à la zone de contenu %1'),
('fr', 'sitemgr', 'add a new guestbook', 'Ajouter un nouveau livre d''or'),
('fr', 'sitemgr', 'add a category', 'Ajouter une catégorie'),
('fr', 'sitemgr', 'add a new application', 'Ajouter une nouvelle application'),
('fr', 'sitemgr', 'actions', 'Actions'),
('fr', 'sitemgr', 'actif', 'Actif'),
('fr', 'sitemgr', 'a simple picture galery', 'Une simple galerie d''images'),
('fr', 'sitemgr', '<b>autoregistration is not enabled / configured in the registration app !!!</b><br>you need to do so, to get the autoregistratio', '<b>L''enregistrement automatique n''est pas activé / configuré dans l''application enregistrement !!!</b><br>Vous devez le faire pour que le lien d''enregistrement automatique fonctionne.'),
('fr', 'sitemgr', '(only used in case of single file)', '(utilisé seulement pour un fichier seul)'),
('fr', 'sitemgr', '(leave blank to stay on current page)', '(laisser vide pour rester sur la page courante)'),
('fr', 'sitemgr', '(leave blank to allow insecure logins)', '(laisser vide pour autoriser les connexions non sécurisées)'),
('fr', 'sitemgr', '(do not put spaces or punctuation in the name field.)', '(Ne mettez pas d''espace ou de ponctuation dans le champ Nom.)'),
('fr', 'sitemgr', '''%1'' is no valid sitemgr-site directory !!!', '''%1'' n''est pas un répertoire sitemgr-site valide !'),
('fr', 'sitemgr', '%1 module manager', 'Gestionnaire de module %1'),
('fr', 'sitemgr', '%1 content manager', 'Gestionnaire de contenu %1'),
('fr', 'sambaadmin', 'workstationaccount active', 'Compte de station de travail actif'),
('fr', 'sambaadmin', 'workstations', 'Stations de travail'),
('fr', 'sambaadmin', 'workstation name', 'Nom de la station de travail'),
('fr', 'sambaadmin', 'workstation configuration', 'Configuration de station de travail'),
('fr', 'sambaadmin', 'workstation list', 'Liste des stations de travail'),
('fr', 'sambaadmin', 'workstation account for', 'Compte de station de travail pour'),
('fr', 'sambaadmin', 'samba config', 'Configuration Samba'),
('fr', 'sambaadmin', 'participants', 'Participants'),
('fr', 'sambaadmin', 'homepath', 'Chemin par défaut'),
('fr', 'sambaadmin', 'displayname', 'Nom affiché'),
('fr', 'sambaadmin', 'do you really want to delete selected workstation accounts?', 'Voulez vous vraiment supprimer les comptes des stations de travail sélectionnées ?'),
('fr', 'sambaadmin', 'add workstation', 'Ajouter une station de travail'),
('fr', 'sambaadmin', '%1 - %2 of %3', '%1 - %2 de %3'),
('fr', 'resources', 'you chose more resources than available', 'Vous avez choisi plus de ressources que disponibles'),
('fr', 'resources', 'you are not permitted to get information about this resource!', 'Vous n''êtes pas autorisé à obtenir des informations sur cette ressource !'),
('fr', 'resources', 'you are not permitted to edit this resource!', 'Vous n''êtes pas autorisé à modifier cette ressource !'),
('fr', 'resources', 'you are not permitted to delete this resource!', 'Vous n''êtes pas autorisé à supprimer cette ressource !'),
('fr', 'resources', 'write permissions', 'Permissions d''écriture'),
('fr', 'resources', 'which category does this resource belong to?', 'À quelle catégorie cette ressource appartient-elle?'),
('fr', 'resources', 'where to find this resource?', 'Ou trouver cette ressource ?'),
('fr', 'resources', 'web-site for this resource', 'Site web de cette ressource'),
('fr', 'resources', 'view this entry', 'Voir cette entrée'),
('fr', 'resources', 'web-page of resource', 'Page web de la ressource'),
('fr', 'resources', 'view accessories for this resource', 'Voir les accessoires pour cette ressource'),
('fr', 'resources', 'useable', 'utilisable'),
('fr', 'resources', 'useable:', 'Utilisable:'),
('fr', 'resources', 'use the category''s icon', 'Utilisez l''icône de la catégorie'),
('fr', 'resources', 'use general resources icon', 'Utilisez  l''icône de la ressource générale'),
('fr', 'resources', 'use own picture', 'Utilisez  votre propre propre image'),
('fr', 'resources', 'this module displays the resources app', 'Ce module montre l''application ressources'),
('fr', 'resources', 'the calendar of this resource', 'Le calendrier de cette ressource'),
('fr', 'resources', 'storage information:', 'Information de stockage :'),
('fr', 'resources', 'storage', 'Stockage'),
('fr', 'resources', 'storage information', 'Information de stockage'),
('fr', 'resources', 'something went wrong by saving resource', 'Erreur à l''enregistrement de la ressource !'),
('fr', 'resources', 'something went wrong by deleting resource', 'Erreur à la suppression de la ressource !'),
('fr', 'resources', 'show calendar of resource', 'Montrez le calendrier de la ressource'),
('fr', 'resources', 'short description', 'Description courte'),
('fr', 'resources', 'short description of resource', 'Description courte de ressource'),
('fr', 'resources', 'select a category', 'Choisissez une catégorie'),
('fr', 'resources', 'select resource', 'Choisissez la ressource'),
('fr', 'resources', 'select/deselect all', 'Tout cocher/décocher'),
('fr', 'resources', 'resources csv import', 'Import CSV de ressources'),
('fr', 'resources', 'resources list', 'Liste des ressources'),
('fr', 'resources', 'responsible:', 'Responsable:'),
('fr', 'resources', 'saves entry and exits', 'Enregistrer et quitter'),
('fr', 'resources', 'resources csv export', 'Export CSV de ressources'),
('fr', 'resources', 'related links', 'Liens relatifs'),
('fr', 'resources', 'resource id', 'ID de ressource'),
('fr', 'resources', 'read permissions', 'Permissions de lecture'),
('fr', 'resources', 'read calendar permissions', 'Lire les permissions de calendrier'),
('fr', 'resources', 'quantity:', 'Quantité :'),
('fr', 'resources', 'quantity of resource', 'Quantité de ressources'),
('fr', 'resources', 'quantity', 'Quantité'),
('fr', 'resources', 'prizeing information for booking or buying', 'Information de Prix  pour la réservation ou les achats'),
('fr', 'resources', 'prize', 'Prix'),
('fr', 'resources', 'planer', 'planificateur'),
('fr', 'resources', 'pictures or resource', 'Images ou ressource'),
('fr', 'resources', 'picture type is not supported, sorry!', 'Type d''image non supporté, désolé !'),
('fr', 'resources', 'picture source', 'Source de l''image'),
('fr', 'resources', 'picture', 'Image'),
('fr', 'resources', 'notify your administrator to correct this situation', 'Informez votre administrateur afin qu''il corrige cette situation.'),
('fr', 'resources', 'no resources selected', 'Aucune ressource choisie'),
('fr', 'resources', 'no description available', 'Aucune description disponible'),
('fr', 'resources', 'name:', 'Nom :'),
('fr', 'resources', 'name of resource', 'Nom de ressource'),
('fr', 'resources', 'manage mapping', 'Gestion des correspondances'),
('fr', 'resources', 'locations / rooms', 'Lieux / emplacements'),
('fr', 'resources', 'long description', 'Description longue'),
('fr', 'resources', 'location:', 'Emplacement:'),
('fr', 'resources', 'location of resource', 'Emplacementde la ressource'),
('fr', 'resources', 'links', 'Liens'),
('fr', 'resources', 'location', 'Emplacement'),
('fr', 'resources', 'is this resource buyable?', 'Peut on acheter cette ressource ?'),
('fr', 'resources', 'is this resource bookable?', 'Peut-on réserver cette ressource ?'),
('fr', 'resources', 'is resource buyable?', 'Peut-on acheter les ressources ?'),
('fr', 'resources', 'is resource bookable?', 'Peut-on réserver les ressources ?'),
('fr', 'resources', 'inventory number:', 'Numéro d''inventaire :'),
('fr', 'resources', 'inventory number', 'Numéro d''inventaire'),
('fr', 'resources', 'insert', 'Insérer'),
('fr', 'resources', 'informations about the location of resource', 'Informations sur le lieu de la ressource'),
('fr', 'resources', 'information about storage', 'Informations sur le lieu'),
('fr', 'resources', 'imports a list of resources from a csv file.', 'Importe une liste de ressources depuis un fichier csv'),
('fr', 'resources', 'implies read permission', 'implique la permission de lecture'),
('fr', 'resources', 'implies booking permission', 'implique la permission de lire le calendrier'),
('fr', 'resources', 'if you specify an export definition, it will be used when you export', 'Si vous spécifier un format d''export, il sera utilisé à l''export.'),
('fr', 'resources', 'how many of this resource exists', 'Combien en existe-t-il'),
('fr', 'resources', 'how many of this resource are usable', 'Combien sont utilisables'),
('fr', 'resources', 'how many of them are useable?', 'Combien parmi elle sont utilisables?'),
('fr', 'resources', 'how many of the resources are useable?', 'Combien de ces ressources sont utilisables?'),
('fr', 'resources', 'hours', 'Heures'),
('fr', 'resources', 'global categories', 'Catégorie globale'),
('fr', 'resources', 'gernal resource', 'Ressources générales'),
('fr', 'resources', 'general informations about resource', 'Informations générales au sujet des ressources'),
('fr', 'resources', 'general', 'Général'),
('fr', 'resources', 'exports a list of resources to a csv file.', 'Exporter une liste de ressources dans un fichier csv'),
('fr', 'resources', 'exists', 'Existe'),
('fr', 'resources', 'existing links', 'Liens existants'),
('fr', 'resources', 'edit this entry', 'Modifier cette entrée'),
('fr', 'resources', 'don''t use vfs (this will need a symlink --> see readme)', 'Ne pas utilisé VFS (ceci nécessitera un lien symbolique --> voir README)'),
('fr', 'resources', 'direct booking permissions', 'Permissions directes de réservation'),
('fr', 'resources', 'description (short)', 'Description (courte)'),
('fr', 'resources', 'delete selected resources', 'Supprimer les ressources selectionnées'),
('fr', 'resources', 'delete this entry', 'Supprimer cette entrée'),
('fr', 'resources', 'create new links', 'Créer de nouveaux liens'),
('fr', 'resources', 'custom fields', 'Champs personnalisés'),
('fr', 'resources', 'days', 'jours'),
('fr', 'resources', 'conflict', 'Conflit'),
('fr', 'resources', 'create new accessory for this resource', 'Créer de nouveaux accessoires pour cette ressource'),
('fr', 'resources', 'clear selection', 'Vider la sélection'),
('fr', 'resources', 'choose categories admin', 'Choisissez les administrateurs de la catégorie'),
('fr', 'resources', 'buyable', 'Achetable'),
('fr', 'resources', 'categories admin', 'Administrateur de la catégorie'),
('fr', 'resources', 'category:', 'Catégorie :'),
('fr', 'resources', 'check all', 'Tout cocher'),
('fr', 'resources', 'buy this resource', 'Acheter cette ressource'),
('fr', 'resources', 'buy this article', 'Acheter cet article'),
('fr', 'resources', 'bookable', 'Réservable'),
('fr', 'resources', 'book this resource', 'Réserver cette ressource'),
('fr', 'resources', 'book selected resources', 'Réserver les ressources selectionnées'),
('fr', 'resources', 'all categories', 'Toutes les catégories'),
('fr', 'resources', 'book', 'Réserver'),
('fr', 'resources', 'administrator', 'Administrateur'),
('fr', 'resources', 'add resources', 'Ajouter des ressources'),
('fr', 'resources', 'add accessory', 'Ajouter un accessoire'),
('fr', 'resources', 'add resource', 'Ajouter une ressource'),
('fr', 'resources', 'accessories:', 'Accessoires:'),
('fr', 'resources', 'actions', 'Actions'),
('fr', 'registration', 'zip/postal', 'Code Postal'),
('fr', 'resources', 'accessories of', 'Accessoires de'),
('fr', 'registration', 'your registration code is missing or incorrect.', 'Votre code de confirmation est manquant ou incorrect.'),
('fr', 'registration', 'your password was changed.', 'Votre mot de passe a été modifié.'),
('fr', 'registration', 'your login is not available. time is expired', 'Votre login n''est plus disponible. Le délais a expiré.'),
('fr', 'registration', 'your account is now active!', 'Votre compte est actif maintenant !'),
('fr', 'registration', 'you specified a value for %1 that is not a choice', 'Vous avez specifié une valeur pour %1 mais ce n''est pas un choix possible'),
('fr', 'registration', 'you requested to change your password. please follow the url below to do so. this url will expire in two hours. after this delay', 'Vous avez demandé de changer votre mot de passe. Veuillez svp suivre l''URL ci-dessous pour le faire. Cette URL expirera dans 2 heures. Passé ce délai, vous devrez recommencer la procédure de récupération de mot de passe.'),
('fr', 'registration', 'you must fill in all of the required fields', 'Vous devez remplir tous les champs demandés'),
('fr', 'registration', 'you must enter an email address', 'Vous devez entrer une adresse email.'),
('fr', 'registration', 'you must enter an email account', 'Vous devez entrer un compte email'),
('fr', 'registration', 'you must enter a username', 'Vous devez entrer un nom d''utilisateur'),
('fr', 'registration', 'you must enter a password', 'Vous devez entrer un mot de passe'),
('fr', 'registration', 'you have entered an invalid email address', 'Vous avez entré une adresse email invalide'),
('fr', 'registration', 'you have entered an invalid birthday', 'Vous avez entré une date d''anniversaire invalide'),
('fr', 'registration', 'you can go back to the login page', 'Vous pouvez retourner à la page de connexion.'),
('fr', 'registration', 'wrong session', 'Mauvaise session'),
('fr', 'registration', 'we have sent a mail with instructions to change your password. you should follow the included link within two hours. if you do n', 'Nous vous avons envoyé un e-mail contenant les instructions pour modifier votre mot de passe. Vous devrez cliquer sur le lien dans les 2 heures. Si vous ne le faites pas, il faudra retourner à nouveau sur l''écran de récupération de mot de passe.'),
('fr', 'registration', 'we have sent a mail to your email account: %s with your lost user ids.', 'Nous avons envoyé un mail à votre adresse e-mail %s avec vos IDs perdus.'),
('fr', 'registration', 'we have sent a confirmation email to your email address. you must click on the link within 2 hours. if you do not, it may take a', 'Nous vous avons envoyé un e-mail de confirmation. Vous devez cliquer sur le lien dans les 2 heures. Si vous ne le faites pas, il faudra quelques jours pour que votre compte (loginid) soit disponible à nouveau.'),
('fr', 'registration', 'values (for dropdown only; comma separated)', 'Valeurs (Pour Liste déroulante seulement; séparées par des virgules)'),
('fr', 'registration', 'update/add', 'Mettre à jour/Ajouter'),
('fr', 'registration', 'unknown last name', 'Nom de famille inconnu'),
('fr', 'registration', 'unknown first name', 'Prénom inconnu'),
('fr', 'registration', 'type', 'Type'),
('fr', 'registration', 'unable to send mail, contact your administrator', 'Impossible d''envoyer l''e-mail, veuillez contacter votre administration'),
('fr', 'registration', 'this is a confirmation email for your new account.  click on the following link to finish activating your account. this link wil', 'C''est un e-mail de confirmation pour votre nouveau compte. Cliquez sur le lien suivant pour terminer l''activation de votre compte. Ce lien expirera dans 2 heures.'),
('fr', 'registration', 'the two passwords are not the same', 'Les deux mots de passe ne sont pas les mêmes'),
('fr', 'registration', 'the passwords you entered don''t match', 'Les mots de passe que vous avez entrés ne correspondent pas'),
('fr', 'registration', 'textarea', 'ChampTexte'),
('fr', 'registration', 'text', 'Texte'),
('fr', 'registration', 'terms of service', 'Termes et Conditions'),
('fr', 'registration', 'state', 'Région'),
('fr', 'registration', 'sorry, we are having a problem retrieving the information needed for changing your password. note that links sent by e-mail are ', 'Désolé mais nous avons des problèmes pour récupérer l''information nécessaire pour changer le mot de passe. Notez que le lien envoyé par e-mail n''est valable que pendant 2 heures. Si vous pensez que ce délai a expiré, réessayez. Sinon, contactez votre administrateur.'),
('fr', 'registration', 'sorry, we are having a problem activating your account. note that links sent by e-mail are only valid during two hours. if you t', 'Désolé mais nous avons des problèmes pour activer votre compte. Notez que le lien envoyé par e-mail n''est valable que pendant 2 heures. Si vous pensez que ce délai a expiré, réessayez. Sinon contactez votre administrateur.'),
('fr', 'registration', 'sorry, that username is already taken.', 'Désolé, ce nom d''utilisateur existe déjà.'),
('fr', 'registration', 'sorry, that username does not exist.', 'Désolé, ce nom d''utilisateur n''existe pas.'),
('fr', 'registration', 'sorry, no account exists for', 'Désolé, il n''existe pas de compte pour'),
('fr', 'registration', 'response', 'Réponse'),
('fr', 'registration', 'required', 'Nécessaire'),
('fr', 'registration', 'report all problems and abuse to', 'Rapporter tous les problèmes et abus à'),
('fr', 'registration', 'remove', 'Enlever'),
('fr', 'registration', 're-enter your password', 'Ré-entrez votre mot de passe'),
('fr', 'registration', 'problem sending email:', 'Problème à l''envoi de l''e-mail:'),
('fr', 'registration', 're-enter password', 'Ré-entrez le mot de passe'),
('fr', 'registration', 'please contact the site administrator.', 'Veuillez contacter l''administrateur du site.'),
('fr', 'registration', 'phone', 'Appel téléphonique'),
('fr', 'registration', 'order', 'Ordre'),
('fr', 'registration', 'on-line registration is not activated. please contact the site administrator for more information about registration.', 'L''enregistrement en ligne n''est pas activé. Veuillez contacter votre administrateur pour plus d''informations sur l''enregistrement.'),
('fr', 'registration', 'male', 'Masculin'),
('fr', 'registration', 'name (blank unless text, textarea, dropdown, checkbox; else alphanumeric only)', 'Nom (vide ou alors Texte, Zone de texte, Liste déroulante, Boîte à cocher; sinon alphanumérique seulement)'),
('fr', 'registration', 'lost_user_id_message', 'Voici les comptes d''utilisateur pour ce compte e-mail:'),
('fr', 'registration', 'lost user id', 'ID utilisateur perdu'),
('fr', 'registration', 'lost user account retrieval', 'Récupération du compte utilisateur perdu'),
('fr', 'registration', 'if you did not request this change, simply ignore this message.', 'Si vous n''avez pas demandé ce changement, ignorez simplement ce message.'),
('fr', 'registration', 'if you did not request this account, simply ignore this message.', 'Si vous n''avez pas demandé ce compte, ignorez simplement ce message.'),
('fr', 'registration', 'i have read the terms and conditions and agree by them.', 'J''ai lu les termes et conditions et je les accepte.'),
('fr', 'registration', 'hi', 'Bonjour'),
('fr', 'registration', 'gender', 'Sexe'),
('fr', 'registration', 'female', 'Féminin'),
('fr', 'registration', 'error: dropdown list ''%1'' has no values', 'Erreur: la liste déroulante ''%1'' est vide'),
('fr', 'registration', 'enter your new password', 'Introduisez votre nouveau mot de passe'),
('fr', 'registration', 'email address', 'adresse e-mail'),
('fr', 'registration', 'current fields:', 'Champs actuels:'),
('fr', 'registration', 'dropdown', 'Menu déroulant'),
('fr', 'registration', 'country', 'Pays'),
('fr', 'registration', 'close window', 'Fermer la fenêtre'),
('fr', 'registration', 'click to log into your account', 'Cliquez pour entrer dans votre compte'),
('fr', 'registration', 'city', 'Ville'),
('fr', 'registration', 'choose language', 'Sélectionnez la langue'),
('fr', 'registration', 'choose your language', 'Choisissez votre langue'),
('fr', 'registration', 'checkbox', 'Case à cocher'),
('fr', 'registration', 'change password for user', 'Changer le mot de passe pour l''utilisateur'),
('fr', 'registration', 'challenge question', 'Question de référence'),
('fr', 'registration', 'birthday', 'Anniversaire'),
('fr', 'registration', 'an unknown error occured. <a href="%1">please try registering again.</a>', 'Erreur. <a href="%1">Veuillez essayer de vous enregistrer à nouveau</a>'),
('fr', 'registration', 'an error occured. please remove your cookies and try again.', 'Une erreur s''est produite. Veuillez supprimer vos cookies et réessayer.'),
('fr', 'registration', 'an error occured. please contact our technical support and let them know.', 'Une erreur s''est produite. Veuillez contacter le support.'),
('fr', 'registration', 'an error occured while updating your password. please contact the site administrator.', 'Une erreur s''est produite lors de la mise à jour de votre mot de passe. Veuillez contacter l''administrateur.'),
('fr', 'registration', 'after you enter your username, instructions to change your password will be sent to you by e-mail to the address you gave when y', 'Lorsque vous avez introduit votre nom d''utilisateur, les intructions pour changer votre mot de passe vous seront envoyées par EMail à l''adresse que vous avez introduite lors de votre enregistrement.'),
('fr', 'registration', 'after you enter your email address, the user accounts associated with this email address will be mailed to that address.', 'Lorsque vous avez introduit votre adresse e-mail, le compte utilisateur correspondant à cette adresse e-mail sera envoyé à cette adresse.'),
('fr', 'registration', 'address', 'Adresse'),
('fr', 'registration', 'account registration', 'Enregistrement de compte'),
('fr', 'registration', 'account password retrieval', 'Récupération de mot de passe'),
('fr', 'registration', '[unknown first name]', '[prénom inconnu]'),
('fr', 'registration', '[unknown last name]', '[nom de famille inconnu]'),
('fr', 'registration', 'account %1 record could not be found, report to site administrator', 'Enregistrement Compte %1 est introuvable, contactez l''administrateur du site'),
('fr', 'registration', '13: error occured', '13 : erreur'),
('fr', 'registration', '<br>please contact the site administrator.', '<br> Veuillez contacter l''administrateur du site'),
('fr', 'projectmanager', 'your database is not up to date (%1 vs. %2), please run %3setup%4 to update your database.', 'Votre base de données n''est PAS à jour (%1 contre %2), exécutez %3setup%4 pour la mettre à jour.'),
('fr', 'projectmanager', 'you need to select a project first', 'Vous devez d''abord sélectionner un projet'),
('fr', 'projectmanager', 'you can leave the date of the first price empty', 'vous pouvez laisser la date du premier prix vide'),
('fr', 'projectmanager', 'you dont have jpgraph version %1 or higher installed! it is needed from projectmanager for ganttcharts.', 'Vous n''avez pas de version de JPGraph %1 ou plus !  Ceci est nécessaire pour les diagrammes de Gantt dans le gestionnaire de projets.'),
('fr', 'projectmanager', 'working duration on %1', 'Durée de travail sur %1'),
('fr', 'projectmanager', 'view this project', 'Voir ce projet'),
('fr', 'projectmanager', 'view this project-element', 'Voir cet élément de projet'),
('fr', 'projectmanager', 'view this milestone', 'Voir cette étape'),
('fr', 'projectmanager', 'view this price', 'Voir ce prix'),
('fr', 'projectmanager', 'view project-elements', 'Voir les éléments du projet'),
('fr', 'projectmanager', 'view this element in %1', 'Voir cet élément dans %1'),
('fr', 'projectmanager', 'view price', 'Voir le prix'),
('fr', 'projectmanager', 'view project', 'Voir le projet'),
('fr', 'projectmanager', 'view milestone', 'Voir l''étape'),
('fr', 'projectmanager', 'view ganttchart of this project', 'Voir le diagramme de Gantt de ce projet'),
('fr', 'projectmanager', 'used', 'Utilisé'),
('fr', 'projectmanager', 'valid since', 'Valide depuis'),
('fr', 'projectmanager', 'unitprice', 'Unité de prix'),
('fr', 'projectmanager', 'unit', 'Unité'),
('fr', 'projectmanager', 'tree with %1', 'Arborescence avec %1'),
('fr', 'projectmanager', 'translation', 'Traduction'),
('fr', 'projectmanager', 'to many might exceed your execution-time-limit', 'trop pourrait dépasser votre temps limite d''exécution'),
('fr', 'projectmanager', 'title must not be empty', 'Le titre ne doit pas être vide'),
('fr', 'projectmanager', 'time', 'Temps'),
('fr', 'projectmanager', 'times', 'Temps'),
('fr', 'projectmanager', 'test import (show importable records <u>only</u> in browser)', 'Tester l''import (montrer <u>seulement</u> les enregistrements importables dans le navigateur)'),
('fr', 'projectmanager', 'template including elment-tree saved as new project', 'Modèle comprenant son arborescence enregistrée comme sous-projet'),
('fr', 'projectmanager', 'template', 'Modèle'),
('fr', 'projectmanager', 'synchronise all', 'Tout synchroniser'),
('fr', 'projectmanager', 'subprojects', 'Sous-projets'),
('fr', 'projectmanager', 'subelements', 'Sous-éléments'),
('fr', 'projectmanager', 'status filter', 'Filtre de statut'),
('fr', 'projectmanager', 'startrecord', 'Enregistrement de départ'),
('fr', 'projectmanager', 'startdate', 'Date de début'),
('fr', 'projectmanager', 'start- & enddate', 'Dates de début et de fin'),
('fr', 'projectmanager', 'start, end, category, ...', 'Début, Fin, Catégorie...'),
('fr', 'projectmanager', 'start working on %1', 'Commencer de travailler sur %1'),
('fr', 'projectmanager', 'start after', 'Commencer après'),
('fr', 'projectmanager', 'site configuration saved', 'Configuration du site enregistrée'),
('fr', 'projectmanager', 'show the project selection as', 'Montrer la sélection de projet comme'),
('fr', 'projectmanager', 'show status icons of the datasources', 'Montrer les icônes de statut de la source de données'),
('fr', 'projectmanager', 'show planned times instead of the real times', 'Montrer les temps prévus au lieu des temps réels'),
('fr', 'projectmanager', 'show constraints and milestones', 'Montrer les contraintes et les étapes'),
('fr', 'projectmanager', 'should projectmanager display the status icons of the datasource (eg. infolog) or just a progressbar with the numerical status (', 'Le Gestionnaire de projets doit-il afficher les icônes de statut de la source de données (c''est-à-dire InfoLog) ou seulement une barre de progression avec le statut numérique (plus rapide).'),
('fr', 'projectmanager', 'share on the whole project in hours or percent, defaults to planned time', 'Partager sur le projet entier en heures ou pourcentage, par défaut sur le temps planifié'),
('fr', 'projectmanager', 'share on the whole project', 'Partager sur le projet entier'),
('fr', 'projectmanager', 'share', 'Partager'),
('fr', 'projectmanager', 'selectbox with %1', 'Boîte de sélection avec %1'),
('fr', 'projectmanager', 'select this project and show it''s elements', 'Sélectionner ce projet et montrer ses éléments'),
('fr', 'projectmanager', 'select the accounting types visible for users of projectmanager', 'Sélectionnez les types de comptabilités visibles par les utilisateurs du gestionnaire de projets'),
('fr', 'projectmanager', 'select multiple projects for a further action', 'Choisissez plusieurs projets pour continuer'),
('fr', 'projectmanager', 'select an activity if you want to calculate costs by quantity (time) and price', 'choisissez une activité si vous désirez calculer les coûts par quantité (temps) et prix'),
('fr', 'projectmanager', 'select a project', 'Sélectionner un projet'),
('fr', 'projectmanager', 'save this project element', 'Enregistre l''élément de projet'),
('fr', 'projectmanager', 'save the changes made', 'Enregistre les modifications'),
('fr', 'projectmanager', 'real start', 'Début réel'),
('fr', 'projectmanager', 'resources', 'Ressources'),
('fr', 'projectmanager', 'role', 'Rôle'),
('fr', 'projectmanager', 'role deleted', 'Rôle supprimé'),
('fr', 'projectmanager', 'role saved', 'Rôle enregistré'),
('fr', 'projectmanager', 'roles', 'Rôles'),
('fr', 'projectmanager', 'real end', 'Fin réelle'),
('fr', 'projectmanager', 'read access, no budget', 'Accès en lecture, ne comprenant pas le budget'),
('fr', 'projectmanager', 'read access, incl. budget and adding elements', 'Accès en lecture, comprenant le budget et l''ajout d''éléments'),
('fr', 'projectmanager', 're-planned', 'Re-planifié'),
('fr', 'projectmanager', 'quantity', 'Quantité'),
('fr', 'projectmanager', 'projectmember', 'Membre de projet'),
('fr', 'projectmanager', 'projectlist', 'Liste de projets'),
('fr', 'projectmanager', 'project-elements', 'Eléments de projet'),
('fr', 'projectmanager', 'project-element saved', 'Elément de projet enregistré'),
('fr', 'projectmanager', 'project-element deleted', 'Elément de projet supprimé'),
('fr', 'projectmanager', 'project saved', 'Projet enregistré'),
('fr', 'projectmanager', 'project specific title, prices, ...', 'Titres, prix, etc. spécifiques au projet'),
('fr', 'projectmanager', 'project overview', 'Aperçu du projet'),
('fr', 'projectmanager', 'project members and roles', 'Membres et rôles du projet'),
('fr', 'projectmanager', 'project id', 'ID de projet'),
('fr', 'projectmanager', 'project deleted', 'Projet supprimé'),
('fr', 'projectmanager', 'project availibility', 'Disponibilité du projet'),
('fr', 'projectmanager', 'pricelist', 'Liste de prix'),
('fr', 'projectmanager', 'price deleted', 'Prix supprimé'),
('fr', 'projectmanager', 'price saved', 'Prix enregistré'),
('fr', 'projectmanager', 'price / unit', 'Prix / Unité'),
('fr', 'projectmanager', 'price', 'Prix'),
('fr', 'projectmanager', 'please download a recent version from %1 and install it in %2.', 'Téléchargez une version récente sur %1 et installez-la dans %2.'),
('fr', 'projectmanager', 'planned times', 'Temps prévus'),
('fr', 'projectmanager', 'planned', 'prévu'),
('fr', 'projectmanager', 'permission denied !!!', 'Permission refusée !!!'),
('fr', 'projectmanager', 'percentage the member is availible for this project', 'Pourcentage de disponibilité pour ce projet'),
('fr', 'projectmanager', 'not working', 'ne fonctionne pas'),
('fr', 'projectmanager', 'number of records to read (%1)', 'Nombre d''enregistrements à lire (%1)'),
('fr', 'projectmanager', 'only this project', 'Seulement ce projet'),
('fr', 'projectmanager', 'overwrite the datasource', 'Ecraser la source de données'),
('fr', 'projectmanager', 'percentage the member is availible for projects', 'Pourcentage de disponibilité pour les projets'),
('fr', 'projectmanager', 'not started (0%)', 'Non commencé (0%)');
INSERT INTO `egw_lang` (`lang`, `app_name`, `message_id`, `content`) VALUES
('fr', 'projectmanager', 'nonactive', 'Inactif'),
('fr', 'projectmanager', 'no save necessary', 'Aucun enregistrement nécessaire'),
('fr', 'projectmanager', 'no details', 'Pas de détail'),
('fr', 'projectmanager', 'no read access to the datasource: removing overwritten values will just empty them !!!', 'Aucun droit en LECTURE à la source des données: enlever les valeurs écrasées va juste les vider !!!'),
('fr', 'projectmanager', 'no accounting, only times and status', 'Pas de comptabilité, temps et statut uniquement'),
('fr', 'projectmanager', 'no accounting, only status', 'Pas de comptabilité, statut uniquement'),
('fr', 'projectmanager', 'new', 'Nouveau'),
('fr', 'projectmanager', 'necessary php extentions %1 not loaded and can''t be loaded !!!', 'Les extensions PHP nécessaires %1 ne sont pas chargées et ne peuvent pas l''être !!!'),
('fr', 'projectmanager', 'necessary for project-elements doing that not automatic', 'nécessaire pour les éléments de projet ne le faisant pas automatiquement'),
('fr', 'projectmanager', 'modified', 'Modifié'),
('fr', 'projectmanager', 'modified by', 'Modifié par'),
('fr', 'projectmanager', 'milestones before this element has to be finished', 'Etapes avant que cet élément ne soit terminé'),
('fr', 'projectmanager', 'milestones', 'Etapes'),
('fr', 'projectmanager', 'milestone saved', 'Etape sauvegardée'),
('fr', 'projectmanager', 'milestone deleted', 'Etape effacée'),
('fr', 'projectmanager', 'members', 'Membres'),
('fr', 'projectmanager', 'mainprojects', 'Projets principaux'),
('fr', 'projectmanager', 'links', 'Liens'),
('fr', 'projectmanager', 'mainproject only', 'Projet principal seulement'),
('fr', 'projectmanager', 'linked elements', 'Eléments liés'),
('fr', 'projectmanager', 'leave it empty, if identitcal to the time', 'Laissez ce champ vide si identique au temps'),
('fr', 'projectmanager', 'leave it empty if you dont need a different customer title', 'laissez vide si vous n''avez pas besoin d''un titre de client différent'),
('fr', 'projectmanager', 'leave it empty to have one generated', 'Laissez ce champ vide pour que la valeur soit générée automatiquement'),
('fr', 'projectmanager', 'last modified', 'Dernière modification'),
('fr', 'projectmanager', 'import', 'Importation'),
('fr', 'projectmanager', 'ignored', 'Ignoré'),
('fr', 'projectmanager', 'ignore that entry', 'Ignorer cette entrée'),
('fr', 'projectmanager', 'how should the project selection in the menu be displayed: a tree gives a better overview, a selectbox might perform better.', 'Comment doit apparaître la sélection du projet dans lemenu: une arborescence donne une meilleure vue d''ensemble, une boîte de sélection peut être plus efficace.'),
('fr', 'projectmanager', 'how long do you work on the given day.', 'Combien de temps travaillez-vous ce jour-là.'),
('fr', 'projectmanager', 'hours', 'heures'),
('fr', 'projectmanager', 'hours per workday', 'Heures par jour ouvré'),
('fr', 'projectmanager', 'health', 'Santé'),
('fr', 'projectmanager', 'h', 'h'),
('fr', 'projectmanager', 'global categories', 'Catégorie globale'),
('fr', 'projectmanager', 'general pricelist', 'Liste de prix générale'),
('fr', 'projectmanager', 'general availibility', 'Disponibilité générale'),
('fr', 'projectmanager', 'general', 'Général'),
('fr', 'projectmanager', 'ganttchart parameter', 'Paramètre du diagramme de Gantt'),
('fr', 'projectmanager', 'ganttchart', 'Diagramme de Gantt'),
('fr', 'projectmanager', 'full access', 'Acccès complet'),
('fr', 'projectmanager', 'from %1 to %2', 'de %1 à %2'),
('fr', 'projectmanager', 'free descriptiv text', 'Descriptif libre'),
('fr', 'projectmanager', 'fieldseparator', 'Séparateur de champs'),
('fr', 'projectmanager', 'exit without saving', 'Quitter sans enregistrer'),
('fr', 'projectmanager', 'existing links', 'Liens existants'),
('fr', 'projectmanager', 'everything recursive', 'Tout récursif'),
('fr', 'projectmanager', 'error: saving the project-element (%1) !!!', 'Erreur: enregistrement de l''élément de projet (%1) !!!'),
('fr', 'projectmanager', 'error: saving the project (%1) !!!', 'Erreur: enregistrement du projet (%1) !!!'),
('fr', 'projectmanager', 'error: saving the price (%1) !!!', 'Erreur: enregistrement du rôle !!!'),
('fr', 'projectmanager', 'error: saving role !!!', 'Erreur: enregistrement du rôle !!!'),
('fr', 'projectmanager', 'error: saving milestone', 'Erreur: enregistrement de l''étape !!!'),
('fr', 'projectmanager', 'error: project-id already exist, choose an other one or have one generated by leaving it emtpy !!!', 'Erreur : cet ID de projet existe déjà, choisissez-en un autre ou laissez le champ vide pour que l''application génère l''ID !!!'),
('fr', 'projectmanager', 'error: deleting role !!!', 'Erreur: suppression du rôle !!!'),
('fr', 'projectmanager', 'error: deleting project-element !!!', 'Erreur: suppression de l''élément de projet !!!'),
('fr', 'projectmanager', 'error: deleting project !!!', 'Erreur: suppression du projet !!!'),
('fr', 'projectmanager', 'error: deleting price !!!', 'Erreur: suppression du prix !!!'),
('fr', 'projectmanager', 'end before', 'Fin avant'),
('fr', 'projectmanager', 'enddate', 'Date de fin'),
('fr', 'projectmanager', 'empty for all', 'vide pour tous'),
('fr', 'projectmanager', 'empty', 'Vide'),
('fr', 'projectmanager', 'elements which have to be finished before this can start', 'Eléments ne pouvant être terminés avant que celui-ci ne commence'),
('fr', 'projectmanager', 'elements that can''t start before this one is finished', 'Eléments ne pouvant commencer avant que celui-ci ne soit terminé'),
('fr', 'projectmanager', 'elements of elements', 'Eléments d''éléments'),
('fr', 'projectmanager', 'elementlist', 'Liste d''éléments'),
('fr', 'projectmanager', 'edit this role', 'Modifier ce rôle'),
('fr', 'projectmanager', 'edit this project-element', 'Modifier cet élément de projet'),
('fr', 'projectmanager', 'edit this project', 'Modifier ce projet'),
('fr', 'projectmanager', 'edit this milestone', 'Modifier cette étape'),
('fr', 'projectmanager', 'edit this price', 'Modifier ce prix'),
('fr', 'projectmanager', 'edit project-elements', 'Modifier les éléments de projet'),
('fr', 'projectmanager', 'edit price', 'Modifier le prix'),
('fr', 'projectmanager', 'edit project', 'Modifier le projet'),
('fr', 'projectmanager', 'edit milestone', 'Modifier l''étape'),
('fr', 'projectmanager', 'edit budget', 'Modifier le budget'),
('fr', 'projectmanager', 'edit access, incl. editing budget and elements', 'Accès en édition (comprenant l''édition du budget et des éléments)'),
('fr', 'projectmanager', 'done (100%)', 'Fait (100%)'),
('fr', 'projectmanager', 'do not use that entry as project-element', 'Ne pas utiliser cette entrée comme élément de projet'),
('fr', 'projectmanager', 'details of subelements', 'Détails des sous-éléments'),
('fr', 'projectmanager', 'details of cumulated', 'Détail cumul'),
('fr', 'projectmanager', 'delete this role', 'Supprimer ce rôle'),
('fr', 'projectmanager', 'depth of display', 'Profondeur d''affichage'),
('fr', 'projectmanager', 'delete this project-element, does not remove the linked entry', 'Supprimer cet élément de projet (n''efface PAS l''entrée liée)'),
('fr', 'projectmanager', 'delete this price', 'Supprimer ce prix'),
('fr', 'projectmanager', 'delete this project', 'Supprimer ce projet'),
('fr', 'projectmanager', 'delete all checked projects', 'Supprimer tous les projets sélectionnés'),
('fr', 'projectmanager', 'delete this milestone', 'Supprimer cette étape'),
('fr', 'projectmanager', 'default all and a selectbox to choose', 'par défaut tous et une boîte de sélection pour choisir'),
('fr', 'projectmanager', 'dates', 'Dates'),
('fr', 'projectmanager', 'customer title', 'Titre client'),
('fr', 'projectmanager', 'datasource', 'Source de données'),
('fr', 'projectmanager', 'custom fields', 'Champs personnalisés'),
('fr', 'projectmanager', 'cumulated elements too', 'Eléments cumulés aussi'),
('fr', 'projectmanager', 'csv-fieldname', 'CSV - Nom du champ'),
('fr', 'projectmanager', 'csv-filename', 'CSV - Nom du fichier'),
('fr', 'projectmanager', 'created a ganttchart from the checked projects', 'Créé un diagramme de Gantt à partir des projets sélectionnés'),
('fr', 'projectmanager', 'created', 'créé'),
('fr', 'projectmanager', 'create new links', 'Créer de nouveaux liens'),
('fr', 'projectmanager', 'create a new empty project or use a template', 'Créer un projet vide ou utiliser un modèle'),
('fr', 'projectmanager', 'cost per time', 'Coût Temporel'),
('fr', 'projectmanager', 'constraints', 'Contraintes'),
('fr', 'projectmanager', 'conversation between days and hours, default 8', 'conversion entre jours et heures, par défaut 8'),
('fr', 'projectmanager', 'coordinator', 'Coordinateur'),
('fr', 'projectmanager', 'close the window, discard the changes made', 'Fermer la fenêtre en ignorant les modifications'),
('fr', 'projectmanager', 'check all', 'Tout cocher'),
('fr', 'projectmanager', 'charset of the above selected font', 'Jeu de caractères de la police sélectionnée ci-dessus'),
('fr', 'projectmanager', 'charset of file', 'Jeu de caractères du fichier'),
('fr', 'projectmanager', 'calculate budget by quantity (eg. time) and price', 'Calculer le budget par quantité (p.ex. temps) et prix'),
('fr', 'projectmanager', 'by', 'par'),
('fr', 'projectmanager', 'budget and pricelist', 'Budget et liste de prix'),
('fr', 'projectmanager', 'bookable', 'qu''on peut réserver'),
('fr', 'projectmanager', 'budget', 'Budget'),
('fr', 'projectmanager', 'budget (no pricelist)', 'Budget (sans liste de prix)'),
('fr', 'projectmanager', 'billable', 'facturable'),
('fr', 'projectmanager', 'availible', 'Disponible'),
('fr', 'projectmanager', 'assistant', 'Assistant'),
('fr', 'projectmanager', 'at which time do you start working on the given day.', 'A quelle heure commencez-vous à travailler ce jour-là ?'),
('fr', 'projectmanager', 'archive', 'Archive'),
('fr', 'projectmanager', 'apply the changes', 'Appliquer les modifications'),
('fr', 'projectmanager', 'app.', 'App.'),
('fr', 'projectmanager', 'anonymous public', 'Anonyme'),
('fr', 'projectmanager', 'allowed units', 'Unités autorisées'),
('fr', 'projectmanager', 'allowed accounting types', 'Types de comptabilité autorisés'),
('fr', 'projectmanager', 'allow users to change their working times', 'Autoriser les utilisateurs à changer leurs horaires de travail'),
('fr', 'projectmanager', 'add this role', 'Ajouter ce rôle'),
('fr', 'projectmanager', 'add project-elements', 'Ajouter des éléments de projet'),
('fr', 'projectmanager', 'add project', 'Ajouter un projet'),
('fr', 'projectmanager', 'add price', 'Ajouter un prix'),
('fr', 'projectmanager', 'add or edit roles and their acl', 'Ajouter ou éditer les rôles et leurs ACL'),
('fr', 'projectmanager', 'add milestone', 'Ajouter une étape'),
('fr', 'projectmanager', 'add existing', 'Ajouter un élément existant'),
('fr', 'projectmanager', 'add element', 'Ajouter un élément'),
('fr', 'projectmanager', 'add a new project', 'Ajouter un nouveau projet'),
('fr', 'projectmanager', 'add a new milestone', 'Ajouter une nouvelle étape'),
('fr', 'projectmanager', 'activity', 'Activité'),
('fr', 'projectmanager', 'actions', 'Actions'),
('fr', 'projectmanager', 'accounting type', 'Type de comptabilité'),
('fr', 'projectmanager', 'accounting options', 'Options de comptabilité'),
('fr', 'projectmanager', 'accounting', 'Comptabilité'),
('fr', 'projectmanager', 'a describtive title for the project, must not be empty', 'Un titre descriptif pour le projet (ne doit pas être vide)'),
('fr', 'projectmanager', '- planned', '- prévue'),
('fr', 'projectmanager', '0ngoing (0 < % < 100)', 'En cours (0 < % < 100)'),
('fr', 'projectmanager', '%1 times permission denied, %2 projects deleted', '%1 fois accès refusé, %2 projets supprimés'),
('fr', 'projectmanager', '%1 records read (not yet imported, you may go %2back%3 and uncheck test import)', '%1 enregistrements lus (non encore importé, vous devriez retourner en arrière %2back%3 et décocher le test de límportation)'),
('fr', 'projectmanager', '%1 records imported', '%1 enregistrements importés'),
('fr', 'projectmanager', '%1 projects deleted', '%1 projets supprimés'),
('fr', 'projectmanager', '%1 new project-elements imported', '%1 nouveaux éléments de projet importés'),
('fr', 'projectmanager', '%1 element(s) updated', '%1 élément(s) mis à jour'),
('fr', 'polls', 'you are not (yet) allowed view the result of this vote.', 'Vous n''êtes pas autorisé à voir le résultat de ce vote.'),
('fr', 'polls', 'which poll', 'Quel sondage'),
('fr', 'polls', 'view results', 'Voir les résultats'),
('fr', 'polls', 'vote', 'Voter'),
('fr', 'polls', 'voting booth administration', 'Administration des isoloirs'),
('fr', 'polls', 'what to show', 'Que montrer'),
('fr', 'polls', 'view poll', 'Voir le sondage'),
('fr', 'polls', 'total votes', 'Total'),
('fr', 'polls', 'this module displays polls.', 'Ce module affiche un système de sondage'),
('fr', 'polls', 'show only the ballot', 'N''afficher que le sondage'),
('fr', 'polls', 'show only the result', 'N''afficher que le résultat'),
('fr', 'polls', 'show bullet if allowed to vote and result else', 'Afficher le sondage si l''utilisateur est autorisé à voter, le résultat sinon'),
('fr', 'polls', 'result visible to', 'Résultat visibles pour'),
('fr', 'polls', 'select current poll', 'Choisissez le sondage actif'),
('fr', 'polls', 'settings updated', 'Réglages mis à jour.'),
('fr', 'polls', 'show answers', 'Afficher les réponses'),
('fr', 'polls', 'question has been updated', 'La question a été mise à jour'),
('fr', 'polls', 'noone', 'Personne'),
('fr', 'polls', 'poll question', 'Question du sondage'),
('fr', 'polls', 'poll votable by', 'Electorat'),
('fr', 'polls', 'new poll has been added.  you should now add some answers for this poll', 'Le nouveau sondage a été ajouté. Vous devriez maintenant ajouter des réponses pour ce sondage'),
('fr', 'polls', 'everyone incl. anonymous users', 'Tout le monde, y compris les utilisateurs anonymes'),
('fr', 'polls', 'edit answer', 'Modifier la réponse'),
('fr', 'polls', 'edit poll question', 'Modifier la question du sondage'),
('fr', 'polls', 'egroupware users (non-anonymous)', 'Les utilisateurs eGroupWare'),
('fr', 'polls', 'enter poll question', 'Entrer la question du sondage'),
('fr', 'polls', 'current poll', 'Sondage actif'),
('fr', 'polls', 'are you sure want to delete this question ?', 'Etes-vous sûr de vouloir supprimer cette question ?'),
('fr', 'polls', 'are you sure want to delete this answer ?', 'Etes-vous sûr de vouloir supprimer cette réponse ?'),
('fr', 'polls', 'answers', 'Réponses'),
('fr', 'polls', 'answer has been updated', 'La réponse a été mise à jour.'),
('fr', 'polls', 'answer has been added to poll', 'La réponse a été ajoutée au sondage'),
('fr', 'polls', 'allways use latest poll', 'Toujours utiliser le dernier sondage'),
('fr', 'polls', 'answer', 'Réponse'),
('fr', 'polls', 'allow users to vote more then once', 'Autoriser les utilisateurs à voter plus d''une fois'),
('fr', 'polls', 'administrators', 'Administrateurs'),
('fr', 'polls', 'add questions', 'Ajouter les questions'),
('fr', 'polls', 'add answers', 'Ajouter des réponses'),
('fr', 'polls', 'add new poll question', 'Ajouter une nouvelle question au sondage'),
('fr', 'polls', '%1 group', 'Groupe %1'),
('fr', 'polls', 'actions', 'Actions'),
('fr', 'polls', 'add answer to poll', 'Ajouter une réponse au sondage'),
('fr', 'login', 'not a user yet? register now', 'Pas encore enregistré? S''enregistrer maintenant'),
('fr', 'login', 'lost login id', 'ID de connexion perdu'),
('fr', 'login', 'lost password', 'Mot de passe perdu'),
('fr', 'login', 'your session could not be verified.', 'Votre session n''a pas pu être vérifiée.'),
('fr', 'login', 'you have been successfully logged out', 'Déconnexion réussie'),
('fr', 'login', 'sorry, your login has expired', 'Désolé, votre login a expiré'),
('fr', 'jscalendar', 'wk', 'S.'),
('fr', 'jscalendar', 'toggle first day of week', 'Voir le premier jour de la semaine'),
('fr', 'jscalendar', 'time selection:', 'Sélection du temps:'),
('fr', 'jscalendar', 'prev. year (hold for menu)', 'Année précédente (maintenir pour le menu)'),
('fr', 'jscalendar', 'prev. month (hold for menu)', 'Mois précédent (maintenir pour le menu)'),
('fr', 'jscalendar', 'next year (hold for menu)', 'Année suivante (maintenir pour menu)'),
('fr', 'jscalendar', 'next month (hold for menu)', 'Mois suivant (maintenir pour menu)'),
('fr', 'jscalendar', 'drag to move', 'Glisser pour le déplacer'),
('fr', 'jscalendar', 'go today', 'Aller à aujourd''hui'),
('fr', 'jscalendar', 'display %s first', 'Affiche %s en premier'),
('fr', 'jscalendar', 'date selection:', 'Sélection de la date :'),
('fr', 'jscalendar', 'about the calendar', 'A propos du Calendrier'),
('fr', 'jscalendar', '3 number of chars for month-shortcut', '3 nombre de caractères pour le raccourci mois'),
('fr', 'jscalendar', '3 number of chars for day-shortcut', '3 nombre de caractères pour le raccourci jour'),
('fr', 'jscalendar', '- use the %1, %2 buttons to select year', '- Utiliser les boutons %1, %2 pour sélectionner l''année'),
('fr', 'jscalendar', '- use the %1, %2 buttons to select month', '- Utiliser les boutons %1, %2 pour sélectionner le mois'),
('fr', 'jscalendar', '- or shift-click to decrease it', '- ou Shift-cliquer pour la décrémenter'),
('fr', 'jscalendar', '- or click and drag for faster selection.', '- ou cliquer et glisser pour une sélection plus rapide'),
('fr', 'jscalendar', '- hold mouse button on any of the above buttons for faster selection.', '- Maintenir le bouton de la souris sur n''importe lequel des boutons ci-dessus pour une sélection plus rapide.'),
('fr', 'jscalendar', '- click on any of the time parts to increase it', '- Cliquer sur les chiffres horaires pour les augmenter'),
('fr', 'jscalendar', '(shift-)click or drag to change value', '(Shift-)Cliquer ou glisser pour changer la valeur'),
('fr', 'phpfreechat', 'you should remove the write access, once you see the chat!', 'Vous devriez supprimer l''accès en écriture, une fois que vous voyez le tchat !'),
('fr', 'phpfreechat', 'to complete the phpfreechat installation you have to give the webserver write access to:', 'Pour terminer l''installation du tchat, vous devez donner au serveur web un accès en écriture à :'),
('fr', 'phpfreechat', 'the chat opens in a new window.', 'Le tchat ouvre une nouvelle fenêtre'),
('fr', 'phpfreechat', 'phpfreechat integration into egroupware', 'Intégration d''un tchat dans eGroupware'),
('fr', 'phpfreechat', 'egroupware chat', 'Tchat eGroupware'),
('fr', 'phpbrain', 'your question will be published immediately', 'Votre question sera publiée immédiatement'),
('fr', 'phpbrain', 'your question will be posted, but only will be published after approval by a user with publishing rights', 'Votre question sera postée, mais sera publiée seulement après approbation par un compte possédant les droits de publication'),
('fr', 'phpbrain', 'your message could not be sent!', 'Votre message ne peut être envoyé'),
('fr', 'phpbrain', 'you must enter a topic', 'Vous devez entrer un sujet'),
('fr', 'phpbrain', 'you must enter a title', 'Vous devez entrer un titre'),
('fr', 'phpbrain', 'you have not the proper permissions to do that', 'Vous n''avez pas les droits suffisants pour cela'),
('fr', 'phpbrain', 'you are in %1', 'Vous êtes dans %1'),
('fr', 'phpbrain', 'you have already qualified this article', 'Vous avez déjà noté cet article'),
('fr', 'phpbrain', 'without the words', 'Sans ces mots'),
('fr', 'phpbrain', 'with the exact phrase', 'Avec la phrase exacte'),
('fr', 'phpbrain', 'with at least one of the words', 'Avec au moins un de ces mots'),
('fr', 'phpbrain', 'with all the words', 'Avec tous ces mots'),
('fr', 'phpbrain', 'when navigating through categories, choose whether the list of articles shown corresponds only to the present category, or the p', 'En naviguant à travers les catégories, choisissez si la liste d''articles doit uniquement correspondre à la catégorie actuelle, ou a la catégorie actuelle et à l''ensemble de ses sous-catégories.'),
('fr', 'phpbrain', 'user preferences', 'Préférences utilisateurs'),
('fr', 'phpbrain', 'views', 'Vues'),
('fr', 'phpbrain', 'was it easy to find this article using the above search string?', 'Etait-ce facile de trouver cet article en utilisant la chaîne de recherche ci-dessus ?'),
('fr', 'phpbrain', 'unpublished', 'non publié'),
('fr', 'phpbrain', 'unpublish', 'Non publier'),
('fr', 'phpbrain', 'unanswered questions', 'Questions sans réponses'),
('fr', 'phpbrain', 'topic', 'Sujet'),
('fr', 'phpbrain', 'unable to add rating to database', 'Impossible d''ajouter la note dans la base'),
('fr', 'phpbrain', 'title', 'Titre'),
('fr', 'phpbrain', 'to create categories, press ''edit categories'' in the preferences menu', 'Pour crééer des catégories, presser "Editer les catégories" dans le menu des préférences'),
('fr', 'phpbrain', 'this article hasn''t yet been published in the knowledge base', 'Cet article n''a pas encore été publie dans la base des connaissances'),
('fr', 'phpbrain', 'there are no articles available', 'Aucun article disponible'),
('fr', 'phpbrain', 'there are no articles', 'Il n''y a pas d''articles'),
('fr', 'phpbrain', 'the present category only', 'La catégorie actuelle uniquement'),
('fr', 'phpbrain', 'the present category and all subcategories under it', 'La catégorie actuelle et l''ensemble de ses sous-catégories'),
('fr', 'phpbrain', 'the mail server returned:', 'Le serveur de messagerie répond :'),
('fr', 'phpbrain', 'the following errors occurred', 'Les erreurs suivantes ont été commises'),
('fr', 'phpbrain', 'the file was already missing in the server', 'Le fichier était déjà absent du serveur'),
('fr', 'phpbrain', 'the article is empty', 'Cet article est vide'),
('fr', 'phpbrain', 'the article id must be a number', 'L''ID d''article doit être un nombre'),
('fr', 'phpbrain', 'that file already exists', 'Ce fichier existe déjà'),
('fr', 'phpbrain', 'table of contents', 'Table de matières'),
('fr', 'phpbrain', 'suggested category', 'Catégorie suggérée'),
('fr', 'phpbrain', 'summary', 'Sommaire'),
('fr', 'phpbrain', 'show messages in category', 'Afficher les articles dans la catégorie'),
('fr', 'phpbrain', 'submit comment', 'Soumettre un commentaire'),
('fr', 'phpbrain', 'submit comment and rating', 'Soumettre un commentaire et une note'),
('fr', 'phpbrain', 'show articles belonging to:', 'Afficher les articles appartenant à:'),
('fr', 'phpbrain', 'show all comments', 'Afficher l''ensemble des commentaires'),
('fr', 'phpbrain', 'select articles', 'Sélectionner les articles'),
('fr', 'phpbrain', 'see more questions...', 'Voir plus de questions...'),
('fr', 'phpbrain', 'see more questions', 'Voir d''autres questions'),
('fr', 'phpbrain', 'search results', 'Résultats de la recherche'),
('fr', 'phpbrain', 'reply-to', 'Répondre à'),
('fr', 'phpbrain', 'search in all the knowledge base', 'Rechercher dans toute la base de connaissances'),
('fr', 'phpbrain', 'removed link %1', 'Lien supprimé %1'),
('fr', 'phpbrain', 'removed file %1', 'Fichier supprimé %1'),
('fr', 'phpbrain', 'relation with article was removed successfully', 'La relation avec l''article a été supprimée avec succès'),
('fr', 'phpbrain', 'recipient', 'Destinataire'),
('fr', 'phpbrain', 'related articles in the knowledge base', 'Articles liés dans la base de connaissances'),
('fr', 'phpbrain', 'rating invalid', 'La note est invalide'),
('fr', 'phpbrain', 'rating has been submited', 'La note a été enregistrée'),
('fr', 'phpbrain', 'publish', 'Publier'),
('fr', 'phpbrain', 'publish selected', 'Publier'),
('fr', 'phpbrain', 'published', 'Publié'),
('fr', 'phpbrain', 'question deleted successfully', 'Question supprimée avec succès'),
('fr', 'phpbrain', 'questions deleted successfully', 'Questions supprimées avec succès'),
('fr', 'phpbrain', 'problem relating articles', 'Problèmes liés à l''article'),
('fr', 'phpbrain', 'publication date', 'Date de publication'),
('fr', 'phpbrain', 'please rate the pertinence and quality of this article', 'Merci de noter la pertinence et la qualité de cet article'),
('fr', 'phpbrain', 'please try again', 'Merci d''essayer à nouveau'),
('fr', 'phpbrain', 'poor', 'Pauvre'),
('fr', 'phpbrain', 'printer view', 'Affichage optimisé pour l''impression'),
('fr', 'phpbrain', 'past year', 'de l''année dernière'),
('fr', 'phpbrain', 'people have rated this article', 'personnes ont noté cet article'),
('fr', 'phpbrain', 'past %1 months', 'des derniers %1 mois'),
('fr', 'phpbrain', 'overwrite file', 'Ecraser le ficher existant?'),
('fr', 'phpbrain', 'outstanding published questions', 'Questions éditées en suspens'),
('fr', 'phpbrain', 'order results by', 'Trier les résultats par'),
('fr', 'phpbrain', 'or browse the categories', 'Où consulter les catégories'),
('fr', 'phpbrain', 'ocurrences', 'Occurences'),
('fr', 'phpbrain', 'number of results per page', 'Nombre de résultats'),
('fr', 'phpbrain', 'nothing was uploaded!', 'Rien n''a été enregistré sur le serveur!'),
('fr', 'phpbrain', 'nobody has rated this article so far', 'Personne n''a noté cet article à ce jour'),
('fr', 'phpbrain', 'new article', 'Nouvel article'),
('fr', 'phpbrain', 'modification date', 'Date de modification'),
('fr', 'phpbrain', 'most viewed', 'Les plus consultés'),
('fr', 'phpbrain', 'maintain articles', 'Maintenir les articles'),
('fr', 'phpbrain', 'maintain questions', 'Maintenir les réponses'),
('fr', 'phpbrain', 'maximum number of comments to show:', 'Nombre maximum de commentaires à montrer'),
('fr', 'phpbrain', 'maximum number of most popular articles, latest articles and unanswered questions to show in the main view:', 'Nombre maximum d''articles les plus populaires, les plus récents et de questions sans réponses dans la vue principale:'),
('fr', 'phpbrain', 'main view', 'Vue principale'),
('fr', 'phpbrain', 'mail article', 'Envoyer l''article par email'),
('fr', 'phpbrain', 'links', 'Liens'),
('fr', 'phpbrain', 'links & files', 'Liens & Fichiers'),
('fr', 'phpbrain', 'link has been added', 'Le lien a été ajouté'),
('fr', 'phpbrain', 'link deleted successfully', 'Lien supprimé avec succès'),
('fr', 'phpbrain', 'link could not be added', 'Le lien ne peut être ajouté'),
('fr', 'phpbrain', 'leave empty to automatically generate an id', 'Laisser vide pour générer automatiquement un ID'),
('fr', 'phpbrain', 'latest comments', 'Derniers commentaires'),
('fr', 'phpbrain', 'latest', 'Les derniers en date'),
('fr', 'phpbrain', 'last modified', 'Dernière modification'),
('fr', 'phpbrain', 'last modification by %1 on %2', 'Dernière modification par %1 le %2'),
('fr', 'phpbrain', 'knowledge base article #%1', 'Base de connaissance article n°%1'),
('fr', 'phpbrain', 'keywords', 'Mots-clés'),
('fr', 'phpbrain', 'knowledge base', 'Base de Connaissances'),
('fr', 'phpbrain', 'in the title', 'dans le titre'),
('fr', 'phpbrain', 'in the topic', 'dans le sujet'),
('fr', 'phpbrain', 'include subcategories', 'Inclure les sous-catégories'),
('fr', 'phpbrain', 'in %1', 'dans %1'),
('fr', 'phpbrain', 'in the text', 'dans le texte'),
('fr', 'phpbrain', 'if you wish, you can comment this article here', 'Si vous le souhaitez vous pouvez commenter cet article ici'),
('fr', 'phpbrain', 'if you can''t find answers to your problem in the knowledge base, describe it below', 'Si vous ne pouvez pas trouvez de réponses à vos problème dans la base de connaissances, décrivez le ci-dessous'),
('fr', 'phpbrain', 'find results', 'Chercher les résultats'),
('fr', 'phpbrain', 'global categories', 'Catégories globales'),
('fr', 'phpbrain', 'history', 'Historique'),
('fr', 'phpbrain', 'file wasn''t in server and it couldn''t be deleted from the database', 'Le fichier n''était pas sur le serveur et n''a pu être supprimé de la base.'),
('fr', 'phpbrain', 'file was deleted successfully', 'Le fichier a été supprimé avec succès'),
('fr', 'phpbrain', 'file has been successfully uploaded', 'Le fichier a été enregistré sur le serveur avec succès'),
('fr', 'phpbrain', 'file was already missing from server, and was deleted from the database', 'Le fichier n''était plus sur le serveur et a été supprimé de la base de données'),
('fr', 'phpbrain', 'file could be deleted from server but not from database', 'Le fichier a pu être effacé du serveur mais pas de la base de données'),
('fr', 'phpbrain', 'failure trying to delete the file', 'Echec lors de la tentative de suppression du fichier'),
('fr', 'phpbrain', 'excellent', 'Excellent'),
('fr', 'phpbrain', 'error: file doesn''t exist in the database', 'Erreur: le fichier n''existe pas dans la base de données'),
('fr', 'phpbrain', 'error trying to publish article', 'Erreur en essayant de publier l''article'),
('fr', 'phpbrain', 'error trying to edit article', 'Erreur en essayant d''éditer l''article'),
('fr', 'phpbrain', 'error trying to delete question', 'Erreur en essayant de supprimer la question'),
('fr', 'phpbrain', 'error trying to delete comment', 'Erreur en essayant de supprimer le commentaire'),
('fr', 'phpbrain', 'error retrieving article', 'Erreur lors de la récuperation de l''article'),
('fr', 'phpbrain', 'error publishing comment', 'Erreur lors de la publication du commentaire'),
('fr', 'phpbrain', 'error locating files directory', 'Erreur lors de la tentative d''accès au répertoire'),
('fr', 'phpbrain', 'error moving file to directory', 'Erreur lors du déplacement du fichier vers le répertoire'),
('fr', 'phpbrain', 'error downloading file', 'Erreur lors du téléchargement du fichier'),
('fr', 'phpbrain', 'error deleting link', 'Erreur lors de la suppression du lien'),
('fr', 'phpbrain', 'error deleting article from database', 'Erreur lors de la suppression de l''article en base'),
('fr', 'phpbrain', 'enterprise knowledge articles repository', 'Repertoire d''article des Connaissances de l''Entreprise'),
('fr', 'phpbrain', 'edit article', 'Editer l''article'),
('fr', 'phpbrain', 'enter one or two words describing the issue, or type the article number if you know it', 'Entrez un ou deux mots décrivant le problème, ou tapez le numéro d''article si vous le connaissez'),
('fr', 'phpbrain', 'e-groupware knowledge base article attached', 'Article intégré à la base de connaissances E-GroupWare'),
('fr', 'phpbrain', 'e-mail has been sent', 'l''e-mail a été envoyé'),
('fr', 'phpbrain', 'descendent', 'Descendant'),
('fr', 'phpbrain', 'details', 'Détails'),
('fr', 'phpbrain', 'deleted relation to article %1', 'Relation avec article %1 supprimée'),
('fr', 'phpbrain', 'deleted relation to  article %1', 'Relation avec article %1 supprimée'),
('fr', 'phpbrain', 'delete article', 'Supprimer l''article'),
('fr', 'phpbrain', 'delete selected', 'Supprimer la sélection'),
('fr', 'phpbrain', 'creation date', 'Date de création'),
('fr', 'phpbrain', 'creation', 'création'),
('fr', 'phpbrain', 'created by %1 on %2', 'Créé par %1 le %2'),
('fr', 'phpbrain', 'configuration', 'Configuration'),
('fr', 'phpbrain', 'contents', 'Contenus'),
('fr', 'phpbrain', 'create a new article to answer the question asked by %1 in %2', 'Créez un nouvel article pour répondre à la question posée par %1 dans %2'),
('fr', 'phpbrain', 'comment has been submited for revision and rating will be published', 'Le commentaire a été soumis à la relecture et la note sera publiée.'),
('fr', 'phpbrain', 'comments', 'Commentaires'),
('fr', 'phpbrain', 'comment has been submited for revision', 'Le commentaire a été soumis à relecture'),
('fr', 'phpbrain', 'comment has been published', 'Le commentaire a été publié'),
('fr', 'phpbrain', 'comment has been deleted', 'Le commentaire a été supprimé'),
('fr', 'phpbrain', 'comment could not be inserted in the database', 'Le commentaire ne peut être inséré dans la base.'),
('fr', 'phpbrain', 'by answering this question you will help to get the answer quicker the next time', 'En répondant à cette question, vous contribuez à rendre l''accès à la réponse plus rapidement la prochaine fois.'),
('fr', 'phpbrain', 'comment', 'Commentaire'),
('fr', 'phpbrain', 'comment and rating have been published', 'Les commentaire et note ont été publiés'),
('fr', 'phpbrain', 'before submiting a question, please search in the knowledge base first', 'Avant de soumettre la question, merci de consulter la base de connaissances.'),
('fr', 'phpbrain', 'base directory does not exist, please ask the adminstrator to check the global configuratio', 'Le répertoire de base n''existe pas, demandez svp à votre administrateur de vérifier la configuration globale'),
('fr', 'phpbrain', 'average rating', 'Note moyenne'),
('fr', 'phpbrain', 'attached files', 'Fichiers attachés'),
('fr', 'phpbrain', 'attach file', 'Attacher un fichier'),
('fr', 'phpbrain', 'ascendent', 'Ascendant'),
('fr', 'phpbrain', 'articles not classified under any category', 'Articles non classés dans une catégorie'),
('fr', 'phpbrain', 'articles in %1 and all its subcategories', 'Articles dans %1 et toutes ses sous-catégories'),
('fr', 'phpbrain', 'articles in %1', 'Articles dans %1'),
('fr', 'phpbrain', 'articles deleted successfully', 'Articles supprimés avec succès'),
('fr', 'phpbrain', 'articles have been published', 'Les articles ont été publiés'),
('fr', 'phpbrain', 'article id', 'Identifiant d''article'),
('fr', 'phpbrain', 'articles added', 'Articles supprimés'),
('fr', 'phpbrain', 'article edited', 'Article modifié'),
('fr', 'phpbrain', 'article has been published', 'L''article a été publié'),
('fr', 'phpbrain', 'article created', 'Article créé'),
('fr', 'phpbrain', 'article deleted', 'Article supprimé'),
('fr', 'phpbrain', 'article deleted successfully', 'Article supprimé avec succès'),
('fr', 'phpbrain', 'article', 'Article'),
('fr', 'phpbrain', 'article added to database, you can now attach files or links, or relate to other articles', 'Article ajouté en base de données, vous pouvez maintenant attaché des fichiers ou des liens, ou pointer vers d''autres articles.'),
('fr', 'phpbrain', 'anywhere in the article', 'N''importe où dans l''article'),
('fr', 'phpbrain', 'are you sure?', 'Etes-vous certain ?'),
('fr', 'phpbrain', 'answer', 'Réponse'),
('fr', 'phpbrain', 'anytime', 'N''importe quand'),
('fr', 'phpbrain', 'allow posting of questions', 'Permettre de poster des questions'),
('fr', 'phpbrain', 'all articles', 'Tous les articles'),
('fr', 'phpbrain', 'advanced search', 'Recherche avancée'),
('fr', 'phpbrain', 'added related articles %1', 'Article lié ajouté'),
('fr', 'phpbrain', 'added link %1', 'Lien ajouté %1'),
('fr', 'phpbrain', 'added file %1', 'Fichier ajouté %1'),
('fr', 'phpbrain', 'add link', 'Ajouter un lien'),
('fr', 'phpbrain', 'add question', 'Ajouter une question'),
('fr', 'phpbrain', 'actions', 'Actions'),
('fr', 'phpbrain', 'add articles', 'Ajouter un article'),
('fr', 'phpbrain', 'action', 'Action'),
('fr', 'phpbrain', '/kb directory does not exist and could not be created, please ask the adminstrator to check the global configuration', 'le répertoire /kb n''existe pas et n''a pas pu être créé, veuillez demander à votre administrateur qu''il vérifie la configuration globale'),
('fr', 'notifications', 'windows-popup first, if that fails notify me by sms', 'Popup windows en premier,  en cas d''échec, me notifier par SMS'),
('fr', 'notifications', 'windows-popup only', 'Popup windows seulement'),
('fr', 'notifications', 'you''ve got new mail', 'Vous avez un nouveau message'),
('fr', 'notifications', 'windows-popup first, if that fails notify me by e-mail', 'Popup windows en premier, en cas d''échec, me notifier par email'),
('fr', 'notifications', 'windows-popup and e-mail', 'Popup et email Windows'),
('fr', 'notifications', 'preferences for notification', 'Préférences de notification'),
('fr', 'notifications', 'received', 'Reçu'),
('fr', 'notifications', 'sms only', 'SMS seulement'),
('fr', 'notifications', 'minutes', 'Minutes'),
('fr', 'notifications', 'notify me by', 'Notifier avec mon compte'),
('fr', 'notifications', 'optimize e-mails for external mail client', 'Optimizer les emails pour des clients de messagerie externes'),
('fr', 'notifications', 'message from', 'Message de'),
('fr', 'notifications', 'from', 'Depuis'),
('fr', 'notifications', 'egroupware-popup only', 'Popup eGroupware seulement'),
('fr', 'notifications', 'egroupware-popup verbosity', 'Verbosité des Popup eGroupware'),
('fr', 'notifications', 'folder', 'Dossier'),
('fr', 'notifications', 'egroupware-popup and windows-popup', 'Popup eGroupware et popup Windows'),
('fr', 'notifications', 'egroupware-popup and e-mail', 'Popup et email eGroupware'),
('fr', 'notifications', 'e-mail only', 'Email seulement'),
('fr', 'notifications', 'egroupware has notifications for you', 'eGroupware a des notifications pour vous'),
('fr', 'notifications', 'do not notify me at all', 'Ne pas me notifier du tout.'),
('fr', 'notifications', 'all possible notification backends', 'Tous les backends de notification possibles'),
('fr', 'news_admin', 'write permissions', 'Permissions d''écriture'),
('fr', 'news_admin', 'write', 'Ecrire'),
('fr', 'news_admin', 'which news categories should be displayed on the main screen.', 'Quelles sont les catégories de communiqués qui devraient être affichées sur l''écran principal ?'),
('fr', 'news_admin', 'which information do you want to show (css class)', 'Quelle information voulez-vous afficher (classe CSS)'),
('fr', 'news_admin', 'visible', 'Visible'),
('fr', 'news_admin', 'webpage news admin', 'Page Web d''aministration des communiqués'),
('fr', 'news_admin', 'view this category', 'Voir cette catégorie'),
('fr', 'news_admin', 'until', 'Jusqu''au'),
('fr', 'news_admin', 'url of the rss or atom feed, empty for own news feed', 'URL du flux RSS ou Atom, vide pour l''alimentation de vos propres communiqués'),
('fr', 'news_admin', 'this module publishes news from the news_admin application on your website. be aware of news_admin''s acl restrictions.', 'Ce module publie les communiqués à partir de l''application news_admin sur votre site web. Attention aux restrictions ACL de news_admin.'),
('fr', 'news_admin', 'there no such translation.', 'Il n''existe pas de traduction.'),
('fr', 'news_admin', 'the subject is missing', 'Le sujet manque'),
('fr', 'news_admin', 'the number of articles to display on the main screen.', 'Le nombre d''articles à afficher sur l''écran principal.'),
('fr', 'news_admin', 'the news content is missing', 'Le contenu du communiqué manque'),
('fr', 'news_admin', 'teaser with read more link', 'Accroche avec un lien pour lire plus'),
('fr', 'news_admin', 'teaser', 'Accroche'),
('fr', 'news_admin', 'submitted by and date', 'Soumis par date et par'),
('fr', 'news_admin', 'submitted by %1 on %2', 'Soumis par %1 le %2'),
('fr', 'news_admin', 'start', 'Début'),
('fr', 'news_admin', 'small view', 'vue réduite'),
('fr', 'news_admin', 'show news articles on main page?', 'Montrer les communiqués sur la page principale?'),
('fr', 'news_admin', 'show latest news articles?', 'Montrer les derniers articles des communiqués?'),
('fr', 'news_admin', 'should news_admin display the latest article headlines on the main screen.', 'Est-ce que l''Administration des communiqués doit afficher les derniers entêtes d''articles sur l''écran principal.'),
('fr', 'news_admin', 'read permissions', 'Permissions de lecture'),
('fr', 'news_admin', 'reload', 'Recharger'),
('fr', 'news_admin', 'send mail to others', 'Envoyer un email aux autres'),
('fr', 'news_admin', 'read news', 'Lire les communiqués'),
('fr', 'news_admin', 'publish date', 'Date de publication'),
('fr', 'news_admin', 'read more', 'lire plus'),
('fr', 'news_admin', 'please select a category', 'Veuillez choisir une catégorie'),
('fr', 'news_admin', 'parent', 'Parent'),
('fr', 'news_admin', 'page-name the item should be displayed (empty = current page)', 'Le nom de la page de l''élément doit être affiché (si vide = page courante)'),
('fr', 'news_admin', 'old', 'Ancien'),
('fr', 'news_admin', 'on', 'le'),
('fr', 'news_admin', 'number of news items to be displayed on page', 'Nombre d''articles à afficher dans la page'),
('fr', 'news_admin', 'number of articles to display on the main screen', 'Nombre d''articles à afficher dans l''écran principal'),
('fr', 'news_admin', 'now', 'Maintenant'),
('fr', 'news_admin', 'no rss export', 'Pas d''exportation RSS'),
('fr', 'news_admin', 'no news', 'Aucune communiqué n''est actuellement disponible dans la catégorie'),
('fr', 'news_admin', 'no matching news item', 'Aucun communiqué correspondant'),
('fr', 'news_admin', 'no entries found', 'Aucune entrée trouvée'),
('fr', 'news_admin', 'no anonymous user accounts installed.  notify the administrator.', 'IL N''Y A PAS DE COMPTE UTILISATEUR ANONYME INSTALLE.  PREVENEZ L''ADMINISTRATEUR.'),
('fr', 'news_admin', 'news saved.', 'Communiqués enregistrés.'),
('fr', 'news_admin', 'news item has been updated', 'Communiqués mis à jour'),
('fr', 'news_admin', 'news deleted.', 'Communiqués supprimés.'),
('fr', 'news_admin', 'news item has been added', 'Communiqué ajouté'),
('fr', 'news_admin', 'news', 'Communiqués'),
('fr', 'news_admin', 'news admin', 'Communiqués'),
('fr', 'news_admin', 'news administration', 'Administration des communiqués'),
('fr', 'news_admin', 'new item has been added', 'Le nouvel objet a été ajouté'),
('fr', 'news_admin', 'more news link', 'Lien Autres communiqués'),
('fr', 'news_admin', 'more news', 'Autres communiqués'),
('fr', 'news_admin', 'message has been added', 'Le message a été ajouté'),
('fr', 'news_admin', 'main', 'Principal'),
('fr', 'news_admin', 'maintain', 'Maintenir'),
('fr', 'news_admin', 'link', 'Lien'),
('fr', 'news_admin', 'last updated', 'Dernière mise à jour'),
('fr', 'news_admin', 'item not found', 'Entrée non trouvée'),
('fr', 'news_admin', 'item has been deleted', 'L''entrée a été effacée'),
('fr', 'news_admin', 'import url', 'Importer l''URL'),
('fr', 'news_admin', 'imported feeds can not be writable!', 'L''import des flux N''EST PAS accessible en écriture !'),
('fr', 'news_admin', 'import every', 'Importer tous les'),
('fr', 'news_admin', 'import now', 'Importer maintenant'),
('fr', 'news_admin', 'image url', 'URL Image'),
('fr', 'news_admin', 'implies read permission', 'implique les droits en lecture'),
('fr', 'news_admin', 'image link', 'Lien Image'),
('fr', 'news_admin', 'image title', 'Titre Image'),
('fr', 'news_admin', 'headline', 'Entête'),
('fr', 'news_admin', 'headline with link', 'Entête avec lien'),
('fr', 'news_admin', 'global_news', 'Communiqués_Globaux'),
('fr', 'news_admin', 'global categories', 'catégories globales'),
('fr', 'news_admin', 'global news', 'Communiqués Globaux'),
('fr', 'news_admin', 'from all', 'Depuis tous'),
('fr', 'news_admin', 'future', 'Futur'),
('fr', 'news_admin', 'format of export', 'Format d''export'),
('fr', 'news_admin', 'from', 'Depuis'),
('fr', 'news_admin', 'format for links to items', 'Format pour les liens vers les éléments'),
('fr', 'news_admin', 'failed to add message', 'Echec lors de l''ajout du message'),
('fr', 'news_admin', 'error saving the news!', 'Erreur lors de l''enregistrement du communiqué !'),
('fr', 'news_admin', 'error saving the category!', 'Erreur lors de l''enregistrement de la catégorie !'),
('fr', 'news_admin', 'end', 'Fin'),
('fr', 'news_admin', 'error importing the feed!', 'Erreur lors de l''importation du flux !'),
('fr', 'news_admin', 'edit news item', 'Modifier un communiqué'),
('fr', 'news_admin', 'delete this news', 'Supprimer ce communiqué'),
('fr', 'news_admin', 'do you want to publish a rss feed for this news category', 'Voulez-vous publier un flux RSS pour cette catégorie de communiqués ?'),
('fr', 'news_admin', 'count', 'Décompte'),
('fr', 'news_admin', 'date and time', 'Date et heure'),
('fr', 'news_admin', 'contains html', 'Contient du HTML'),
('fr', 'news_admin', 'content', 'Contenu'),
('fr', 'news_admin', 'choose a category', 'Choisissez une catégorie'),
('fr', 'news_admin', 'configuration', 'Configuration'),
('fr', 'news_admin', 'category deleted.', 'Catégorie supprimée.'),
('fr', 'news_admin', 'category saved.', 'Catégorie enregistrée'),
('fr', 'news_admin', 'always', 'Toujours'),
('fr', 'news_admin', 'by date', 'Par date'),
('fr', 'news_admin', 'categories to displayed on main page?', 'Sélectionner les catégories qui doivent être affichées sur la page principale'),
('fr', 'news_admin', 'all news', 'Tous les communiqués'),
('fr', 'news_admin', 'add news item', 'Ajouter un communiqué'),
('fr', 'news_admin', 'add new news', 'Ajouter de nouveaux communiqués'),
('fr', 'news_admin', 'add new article', 'Ajouter un nouvel article'),
('fr', 'news_admin', 'active', 'Actif'),
('fr', 'news_admin', 'actions', 'Actions'),
('fr', 'news_admin', '%s hours', '%s heures'),
('fr', 'news_admin', '%1 news imported (%2 new).', '%1 communiqués importés (%2 nouveau)'),
('fr', 'news_admin', '%1 module', 'module %1'),
('fr', 'manual', 'the search returned no result!', 'Pas de résultat trouvé !'),
('fr', 'manual', 'starting import from %1, this might take several minutes (specialy if you start it the first time) ...', 'Démarrage de l''importation depuis %1, ceci pourrait durer quelques minutes (spécialement si vous le faites pour la première fois) ...'),
('fr', 'manual', 'search for', 'Recherche :'),
('fr', 'manual', 'index', 'Index'),
('fr', 'manual', 'page(s) %1 not found !!!', 'Page(s) %1 introuvable(s) !!!'),
('fr', 'manual', 'download', 'télécharger'),
('fr', 'manual', '%1 manual page(s) added or updated', '%1 page(s) du manuel ajoutée(s) ou mise(s) à jour'),
('fr', 'infolog', 'your database is not up to date (%1 vs. %2), please run %3setup%4 to update your database.', 'Votre base de données n''est PAS à jour (%1 au lieu de %2), veuillez exécuter %3setup%4 pour la mettre à jour.'),
('fr', 'infolog', 'you need to select some entries first', 'Vous devez sélectionner des entrées d''abord.'),
('fr', 'infolog', 'you need to select an entry for linking.', 'Vous devez sélectionner une entrée pour la lier'),
('fr', 'infolog', 'you must enter a subject or a description', 'Vous devez entrer un sujet ou une description'),
('fr', 'infolog', 'you have to enter a name, to create a new typ!!!', 'Vous devez entrer un nom pour créer un nouveau type!!!'),
('fr', 'infolog', 'you have entered an invalid ending date', 'Vous avez entré une date de fin invalide'),
('fr', 'infolog', 'you have entered an invalid starting date', 'Vous avez entré une date de début invalide'),
('fr', 'infolog', 'you can''t delete one of the stock types !!!', 'Vous ne pouvez pas effacer un des types de stock !!!'),
('fr', 'infolog', 'you can choose a categorie to be preselected, when you create a new infolog entry', 'Vous pouvez choisir une catégorie qui sera présélectionnée lors de la création de nouvelles entrées d''Infolog'),
('fr', 'infolog', 'yes, with purging of deleted items possible', 'Oui, avec la purge des éléments supprimés possible'),
('fr', 'infolog', 'yes, with larger fontsize', 'Oui, avec une taille de caractères plus grande'),
('fr', 'infolog', 'yes, only admins can purge deleted items', 'Oui, les administrateurs seuls peuvent purger les éléménts supprimés'),
('fr', 'infolog', 'yes, noone can purge deleted items', 'Oui, personne ne peut purger les éléments supprimés'),
('fr', 'infolog', 'yes - delete including sub-entries', 'Oui - Supprimer y-compris les sous-entrées'),
('fr', 'infolog', 'yes - delete', 'Oui - Supprimer'),
('fr', 'infolog', 'yes - close including sub-entries', 'Oui - Fermer y compris les sous-entrées'),
('fr', 'infolog', 'yes - close', 'Oui - Fermer'),
('fr', 'infolog', 'write (add or update) a record by passing its fields.', 'Ecrit (ajoute ou met à jour) un enregistrement en passant ses champs.'),
('fr', 'infolog', 'will-call', 'Va appeler'),
('fr', 'infolog', 'which types should the calendar show', 'Quels types le calendrier doit-il montrer'),
('fr', 'infolog', 'which implicit acl rights should the responsible get?', 'Quels droits ACL implicites le responsable devrait obtenir?'),
('fr', 'infolog', 'which additional fields should the responsible be allowed to edit without having edit rights?<br />status, percent and date comp', 'Quels champs supplémentaires le responsable devrait être autorisé à modifier sans avoir à modifier les droits d''édition??<br />Statuts, pourcentage et date de fin sont toujours permis.'),
('fr', 'infolog', 'when should the todo or phonecall be started, it shows up from that date in the filter open or own open (startpage)', 'Quand le A-faire ou l''appel téléphonique devrait être démarré, il s''affiche depuis cette date dans le filtre ouvert ou propre ouvert (page de démarrage)'),
('fr', 'infolog', 'view this linked entry in its application', 'Voir cette entrée liée dans son application'),
('fr', 'infolog', 'view the parent of this entry and all his subs', 'Voir le parent de cette entrée et tous ses Enfants'),
('fr', 'infolog', 'view subs', 'Voir les Enfants'),
('fr', 'infolog', 'view parent', 'Voir le parent'),
('fr', 'infolog', 'view other subs', 'Voir les autres Enfants'),
('fr', 'infolog', 'view all subs of this entry', 'Voir tous les Enfants de cette entrée'),
('fr', 'infolog', 'values for selectbox', 'Valeurs des boîtes de sélection'),
('fr', 'infolog', 'valid path on clientside<br>eg. \\\\server\\share or e:\\', 'Chemin valide côté client<br>p.e. \\\\Partage\\Serveur ou e:\\'),
('fr', 'infolog', 'used time', 'Temps utilisé'),
('fr', 'infolog', 'use this tag for addresslabels. put the content, you want to repeat, between two tags.', 'Utiliser cette balise pour les étiquettes d''adresse. Placer le contenu que vous voulez répéter entre deux balises.'),
('fr', 'infolog', 'use search results', 'Utiliser les résultats de la recherche'),
('fr', 'infolog', 'use field from csv if possible', 'Utiliser le champ du CSV si possible'),
('fr', 'infolog', 'urgent', 'Urgent'),
('fr', 'infolog', 'use all', 'Utiliser tout'),
('fr', 'infolog', 'unlinked from %1', 'Délier de %1'),
('fr', 'infolog', 'upcoming', 'Arrivant'),
('fr', 'infolog', 'urgency', 'Priorité'),
('fr', 'infolog', 'unlink', 'Délier'),
('fr', 'infolog', 'type of the log-entry: note, phonecall or todo', 'Type de l''entrée Log: Note, Appel téléphonique ou A-faire'),
('fr', 'infolog', 'type of customfield', 'Type de champ personnalisé'),
('fr', 'infolog', 'type', 'Type'),
('fr', 'infolog', 'type ...', 'Type ...'),
('fr', 'infolog', 'todo', 'A-faire'),
('fr', 'infolog', 'translation', 'Traduction'),
('fr', 'infolog', 'typ', 'Type');
INSERT INTO `egw_lang` (`lang`, `app_name`, `message_id`, `content`) VALUES
('fr', 'infolog', 'typ ''%1'' already exists !!!', 'Type ''%1'' existe déjà !!!'),
('fr', 'infolog', 'today', 'Aujourd''hui'),
('fr', 'infolog', 'todays date', 'date du jour'),
('fr', 'infolog', 'to what should the startdate of new entries be set.', 'A quoi devrait être fixée la date de départ de la nouvelle entrée.'),
('fr', 'infolog', 'to many might exceed your execution-time-limit', 'trop peut excéder votre temps limite d´exécution.'),
('fr', 'infolog', 'times', 'Heures'),
('fr', 'infolog', 'til when should the todo or phonecall be finished', 'jusqu''à quand le A-faire ou l''appel téléphonique devrait être terminé'),
('fr', 'infolog', 'this is the filter infolog uses when you enter the application. filters limit the entries to show in the actual view. there are ', 'Ceci est le filtre qu''InfoLog utilise quand vous entrez dans l''application. Les filtres limitent les entrées à montrer dans la  vue actuelle. Il y a des filtres pour montrer seulement ceux temrminés, encore ouverts ou les futures entrées de vous-même ou de tous les utilisateurs.'),
('fr', 'infolog', 'the text displayed to the user', 'le texte affiché pour l´utilisateur'),
('fr', 'infolog', 'the name used internaly (<= 20 chars), changeing it makes existing data unavailible', 'le nom est utilisé en interne (<= 20 caractères), si vous le modifiez vous rendez les données indisponibles'),
('fr', 'infolog', 'the name used internaly (<= 10 chars), changeing it makes existing data unavailible', 'le nom utilisé en interne (<= 10 caractères), le modifier rend les données indisponible'),
('fr', 'infolog', 'test import (show importable records <u>only</u> in browser)', 'Tester l''importation (montrer les enregistrements importables <u>seulement</u> dans le navigateur)'),
('fr', 'infolog', 'task', 'ToDo'),
('fr', 'infolog', 'tasks of', 'Tâche de'),
('fr', 'infolog', 'template', 'Modèle'),
('fr', 'infolog', 'sum', 'Somme'),
('fr', 'infolog', 'tag to mark positions for address labels', 'Balise pour marquer les positions des étiquettes d''adresses'),
('fr', 'infolog', 'subject', 'Sujet'),
('fr', 'infolog', 'sub-entries will not be closed', 'Les sous entrées ne seront pas clôturées'),
('fr', 'infolog', 'status ...', 'Statut ...'),
('fr', 'infolog', 'sub', 'Enfant'),
('fr', 'infolog', 'sub-entries become subs of the parent or main entries, if there''s no parent', 'Les sous-entrées deviennent les enfants des parents des entrées principales s''il n''y a pas de parent'),
('fr', 'infolog', 'status', 'Statut'),
('fr', 'infolog', 'startrecord', 'Enregistrement de départ'),
('fr', 'infolog', 'startdate for new entries', 'Date de début pour les nouvelles entrées'),
('fr', 'infolog', 'starting %1', 'Début le %1'),
('fr', 'infolog', 'startdate', 'Date de départ'),
('fr', 'infolog', 'startdate enddate', 'Date de départ date de fin'),
('fr', 'infolog', 'start', 'Début'),
('fr', 'infolog', 'start a new search, cancel this link', 'Démarre une nouvelle recherche, annule ce lien'),
('fr', 'infolog', 'show ticket id', 'Montrer l''Id de ticket'),
('fr', 'infolog', 'show times', 'Montrer les heures'),
('fr', 'infolog', 'small view', 'vue réduite'),
('fr', 'infolog', 'show full usernames', 'Montrer les noms complets d''utilisateurs'),
('fr', 'infolog', 'show in the infolog list', 'Montrer dans la liste InfoLog'),
('fr', 'infolog', 'show last modified', 'Montrer les derniers modifiés'),
('fr', 'infolog', 'show status and percent done separate', 'Montrer les statuts et pourcentage réalisés séparément'),
('fr', 'infolog', 'show a x if content equals this compare value, otherwise show nothing', 'Montrer un X si le contenu est égal à cette valeur de comparaison, autrement ne montre rien'),
('fr', 'infolog', 'should this entry only be visible to you and people you grant privat access via the acl', 'Cette entrée ne doit-elle être visible que par vous et les personnes à qui vous avez donné l''accès privé via ACL'),
('fr', 'infolog', 'show a column for used and planned times in the list.', 'Afficher une colonne dans la liste pour les temps utilisés et planifiés.'),
('fr', 'infolog', 'should the infolog list show the percent done only for status ongoing or two separate icons.', 'La liste InfoLog doit-elle afficher le pourcentage de réalisation seulement pour le statut en cours ou deux icônes séparées.'),
('fr', 'infolog', 'should the infolog list show the column "last modified".', 'La liste InfoLog doit-elle afficher la colonne "dernière modification".'),
('fr', 'infolog', 'should the infolog list show a unique numerical id, which can be used eg. as ticket id.', 'InfoLog doit-il afficher un Id numérique unique qui peut être utilisé p.ex. comme Id de ticket.'),
('fr', 'infolog', 'should infolog use full names (surname and familyname) or just the loginnames.', 'InfoLog doit-il utiliser les noms complets (surnom et nom de famille) ou juste les noms de connexion.'),
('fr', 'infolog', 'should infolog show up on the main screen and with which filter. works only if you dont selected an application for the main scr', 'InfoLog doit-il s''afficher sur l''écran principal et avec quel filtre. Ne fonctionne que si vous n''avez pas sélectionné une application pour l''écran principal (dans vos préférences)'),
('fr', 'infolog', 'should infolog show the links to other applications and/or the file-attachments in the infolog list (normal view when you enter ', 'InfoLog doit-il afficher les liens vers d''autres applications et/ou les attachements de fichiers dans la liste InfoLog (vue normale quand vous entrez dans InfoLog)'),
('fr', 'infolog', 'should infolog show subtasks, -calls or -notes in the normal view or not. you can always view the subs via there parent.', 'InfoLog doit-il afficher les sous-tâches, -appels ou -notes dans la vue normale ou pas. Vous pouvez toujours voir les sous- via leurs parents.'),
('fr', 'infolog', 'sets the status of this entry and its subs to done', 'Fixer le statut de cette entrée et ses sous-entrées à Fait'),
('fr', 'infolog', 'sets the status of this entry to done', 'Fixer le statut de cette entrée à Fait'),
('fr', 'infolog', 'set status to done for all entries', 'Fixer le statut à Fait pour toutes les entrées'),
('fr', 'infolog', 'sender', 'Emetteur'),
('fr', 'infolog', 'set status to done', 'Fixer le statut à Fait'),
('fr', 'infolog', 'selection cf', 'CP sélectionnés'),
('fr', 'infolog', 'select users or groups', 'Sélectionner des utilisateurs et groupes'),
('fr', 'infolog', 'select to filter by responsible', 'Filtrer par responsable'),
('fr', 'infolog', 'select to filter by owner', 'Filtrer par propriétaire'),
('fr', 'infolog', 'select new category', 'Sélectionner une nouvelle catégorie'),
('fr', 'infolog', 'select multiple contacts for a further action', 'Sélectionner des contacts multiples pour une prochaine action'),
('fr', 'infolog', 'select an action...', 'Sélectionner une action...'),
('fr', 'infolog', 'select an app to search in', 'Choisissez une App dans laquelle rechercher'),
('fr', 'infolog', 'select an entry to link with', 'Choisissez une entrée à lier'),
('fr', 'infolog', 'select an action', 'Sélectionner une action'),
('fr', 'infolog', 'select a typ to edit it''s status-values or delete it', 'sélectionnez un type dont la valeur est à éditer ou effacez-le'),
('fr', 'infolog', 'select a project', 'Sélectionnez un projet'),
('fr', 'infolog', 'select a responsible user: a person you want to delegate this task', 'Choisissez un utilisateur responsable: une personne à qui déléguer cette tâche'),
('fr', 'infolog', 'select a priority for this task', 'Choisissez une priorité pour cette tâche'),
('fr', 'infolog', 'select a price', 'Sélectionnez un prix'),
('fr', 'infolog', 'select', 'Choisir'),
('fr', 'infolog', 'select a category for this entry', 'Choisissez une catégorie pour cette entrée'),
('fr', 'infolog', 'search for:', 'Rechercher ceci:'),
('fr', 'infolog', 'second parameter for preg_replace', 'Second parametre pour preg_replace'),
('fr', 'infolog', 'save', 'Enregistrer'),
('fr', 'infolog', 'saves the changes made and leaves', 'enregistre les modifications et quitte'),
('fr', 'infolog', 'saves this entry', 'Enregistre cette entrée'),
('fr', 'infolog', 'search', 'Rechercher'),
('fr', 'infolog', 'same day', 'Même jour'),
('fr', 'infolog', 'rights for the responsible', 'Droits pour le responsable'),
('fr', 'infolog', 'responsible overdue', 'Responsable tardif'),
('fr', 'infolog', 'responsible upcoming', 'Responsable à venir'),
('fr', 'infolog', 'responsible user, priority', 'Responsable utilisateur, priorité'),
('fr', 'infolog', 'returns a list / search for records.', 'Retourne une liste / Recherche d´enregistrements.'),
('fr', 'infolog', 'replacements for inserting entries into documents', 'Remplacements pour insertion d''entrées dans des documents'),
('fr', 'infolog', 'responsible', 'Responsable'),
('fr', 'infolog', 'responsible open', 'Responsable ouverture'),
('fr', 'infolog', 'responsible open and upcoming', 'Responsable, ouvert et à venir'),
('fr', 'infolog', 'removed', 'Enlevé.'),
('fr', 'infolog', 'replacement', 'Remplacement'),
('fr', 'infolog', 'remove this link (not the entry itself)', 'Enlever ce lien (pas l''entrée elle-même)'),
('fr', 'infolog', 'remark', 'Remarque'),
('fr', 'infolog', 'regular expression', 'Expression régulière'),
('fr', 'infolog', 'reg. expr. for local ip''s<br>eg. ^192\\.168\\.1\\.', 'Expr. reg. pour les IPs locales<br>p.e. ^192\\.168\\.1\\.'),
('fr', 'infolog', 'receive notifications as html-mails', 'Recevoir les notifications comme des mails en HTML.'),
('fr', 'infolog', 'receive notifications about starting entries you are responsible for', 'Recevoir les notifications pour les entrées dont vous êtes responsables et qui commencent.'),
('fr', 'infolog', 'receive notifications about starting entries you delegated', 'Recevoir les notifications pour les entrées que vous avez déléguées et qui commencent.'),
('fr', 'infolog', 'receive notifications about items assigned to you', 'Recevoir les notifications pour les éléments qui vous ont été assignés'),
('fr', 'infolog', 'receive notifications about own items', 'Recevoir les notifications pour vous propres éléménts'),
('fr', 'infolog', 'receive notifications about due entries you delegated', 'Recevoir les notifications pour les entrées que vous avez déléguées.'),
('fr', 'infolog', 'receive notifications about due entries you are responsible for', 'Recevoir les notifications pour les entrées dont vous êtes responsables.'),
('fr', 'infolog', 'read rights (default)', 'droits de lecture (défaut)'),
('fr', 'infolog', 're:', 'Re:'),
('fr', 'infolog', 'read one record by passing its id.', 'Lire un enregistrement en passant son id.'),
('fr', 'infolog', 're-planned', 'Re-planifié'),
('fr', 'infolog', 're-planned time', 'Temps re-planifié'),
('fr', 'infolog', 'projectmanager', 'Gestionnaire de projets'),
('fr', 'infolog', 'project settings: price, times', 'Réglages projet: prix, heures'),
('fr', 'infolog', 'project', 'Projet'),
('fr', 'infolog', 'private', 'Privé'),
('fr', 'infolog', 'priority', 'Priorité'),
('fr', 'infolog', 'primary link', 'Lien primaire'),
('fr', 'infolog', 'pricelist', 'Liste de prix'),
('fr', 'infolog', 'price', 'Prix'),
('fr', 'infolog', 'planned time', 'Temps prévu'),
('fr', 'infolog', 'planned', 'planifié'),
('fr', 'infolog', 'phonecall', 'Appel téléphonique'),
('fr', 'infolog', 'phone/email', 'Téléphone/EMail'),
('fr', 'infolog', 'permission denied', 'Permission refusée'),
('fr', 'infolog', 'permissions error - %1 could not %2', 'Error de permission - %1 ne peut %2'),
('fr', 'infolog', 'phone', 'Appel téléphonique'),
('fr', 'infolog', 'percent completed', 'Pourcentage complété'),
('fr', 'infolog', 'pattern for search in addressbook', 'Chaîne de caractères à rechercher dans le carnet d''adresses'),
('fr', 'infolog', 'pattern for search in projects', 'Chaîne de caractères à rechercher dans les projets'),
('fr', 'infolog', 'path to user and group files has to be outside of the webservers document-root!!!', 'Le chemin vers les fichiers utilisateurs et groupes DOIT FIGURER EN DEHORS du répertoire racine des serveurs Web!!!'),
('fr', 'infolog', 'parent', 'Parent'),
('fr', 'infolog', 'parent infolog', 'Parent de l''Infolog'),
('fr', 'infolog', 'path on (web-)serverside<br>eg. /var/samba/share', 'Chemin côté (web)server<br>p.ex. /var/samba/Share'),
('fr', 'infolog', 'owner does not have edit rights', 'Le propriétaire n''a pas les droits en édition'),
('fr', 'infolog', 'own upcoming', 'Propre arrivant'),
('fr', 'infolog', 'own overdue', 'Propre tardif'),
('fr', 'infolog', 'own open and upcoming', 'Propriétaire, ouvert et à venir'),
('fr', 'infolog', 'own', 'Propre'),
('fr', 'infolog', 'own open', 'Propre ouvert'),
('fr', 'infolog', 'order', 'Tri'),
('fr', 'infolog', 'organization', 'Organisation'),
('fr', 'infolog', 'overdue', 'Tardif'),
('fr', 'infolog', 'optional note to the link', 'note optionnelle vers le lien'),
('fr', 'infolog', 'open and upcoming', 'Ouvert et à venir'),
('fr', 'infolog', 'only the links', 'Seulement les liens'),
('fr', 'infolog', 'only if i get assigned or removed', 'Seulement si je suis assigné ou enlevé'),
('fr', 'infolog', 'only the attachments', 'Seulement les attachements'),
('fr', 'infolog', 'only for details', 'Seulement pour les détails'),
('fr', 'infolog', 'one day in advance', 'Un jour plus tôt'),
('fr', 'infolog', 'ongoing', 'Entrant'),
('fr', 'infolog', 'offer', 'Offre'),
('fr', 'infolog', 'one day after', 'Un jour plus tard'),
('fr', 'infolog', 'not-started', 'Non démarré'),
('fr', 'infolog', 'note', 'Note'),
('fr', 'infolog', 'number of records to read (%1)', 'Nombre d''enregistrements à lire (%1)'),
('fr', 'infolog', 'number of row for a multiline inputfield or line of a multi-select-box', 'nombre de lignes pour un champ d´entrées multilignes ou pour une boîte de sélection multiple'),
('fr', 'infolog', 'not assigned', 'Pas attribué'),
('fr', 'infolog', 'not', 'pas'),
('fr', 'infolog', 'none', 'Aucun'),
('fr', 'infolog', 'normal', 'Normal'),
('fr', 'infolog', 'nonactive', 'Non actif'),
('fr', 'infolog', 'no project', 'Pas de projet'),
('fr', 'infolog', 'no links or attachments', 'Aucun lien ou attachement'),
('fr', 'infolog', 'no filter', 'Aucun filtre'),
('fr', 'infolog', 'no entries found, try again ...', 'Aucune occurrence trouvée, essayez à nouveau ...'),
('fr', 'infolog', 'no details', 'Pas de détails'),
('fr', 'infolog', 'no - cancel', 'Non - Abandonner'),
('fr', 'infolog', 'no describtion, links or attachments', 'Pas de description, de liens ou d''attachements'),
('fr', 'infolog', 'new search', 'Nouvelle recherche'),
('fr', 'infolog', 'new name', 'nouveau nom'),
('fr', 'infolog', 'new %1', 'Nouveau %1'),
('fr', 'infolog', 'new %1 created by %2 at %3', 'Nouveau %1 créé par %2 à %3'),
('fr', 'infolog', 'never hide search and filters', 'Ne jamais cacher la recherche et les filtres'),
('fr', 'infolog', 'name of new type to create', 'nom du nouveau type à créer'),
('fr', 'infolog', 'name must not be empty !!!', 'Le nom ne peut pas être vide !!!'),
('fr', 'infolog', 'name of current user, all other contact fields are valid too', 'Nom de l''utilisateur courant, tous les autres champs de contacts sont valides aussi'),
('fr', 'infolog', 'modifier', 'Editeur'),
('fr', 'infolog', 'modifierer', 'Editeur'),
('fr', 'infolog', 'low', 'Bas'),
('fr', 'infolog', 'manage mapping', 'Gestion des correspondances'),
('fr', 'infolog', 'max length of the input [, length of the inputfield (optional)]', 'taille max de l´entrée [, taille du champ d´entrée (optionnel)]'),
('fr', 'infolog', 'longer textual description', 'Description textuelle plus longue'),
('fr', 'infolog', 'location', 'Emplacement'),
('fr', 'infolog', 'list no subs/childs', 'Ne pas lister les Sous/Enfants'),
('fr', 'infolog', 'list all categories', 'Liste toutes les catégories'),
('fr', 'infolog', 'links', 'Liens'),
('fr', 'infolog', 'links of this entry', 'Liens de cette entrée'),
('fr', 'infolog', 'linked to %1', 'Lié à %1'),
('fr', 'infolog', 'link', 'Lien'),
('fr', 'infolog', 'limit width of description column ((effective only if lines limit is set), 0 for no limit)', 'Limiter la largeur de la colonne de description. Ne fonctionne que si le nombre de ligne est défini. 0 = pas de limite.'),
('fr', 'infolog', 'limit number of description lines (default 5, 0 for no limit)', 'Limiter le nombre de lignes de description. Défaut = 5, 0 = pas de limite.'),
('fr', 'infolog', 'length<br>rows', 'Longueur<br>Lignes'),
('fr', 'infolog', 'leaves without saveing', 'quitte sans enregistrer'),
('fr', 'infolog', 'leave without saveing the entry', 'quitter sans enregistrer l''entrée'),
('fr', 'infolog', 'leave it empty for a full week', 'Laisser vide pour une semaine complète'),
('fr', 'infolog', 'leave it empty', 'laisser vide'),
('fr', 'infolog', 'last modified', 'Dernière modification'),
('fr', 'infolog', 'leave blank to get the used time calculated by timesheet entries', 'Laisser blanc pour que le temps utilisé soit calculé par les entrées dans les feuilles de temps'),
('fr', 'infolog', 'last changed', 'Dernière modification'),
('fr', 'infolog', 'label<br>helptext', 'Label<br>Texte d´aide'),
('fr', 'infolog', 'invalid status for entry type %1.', 'Statut invalide pour l''entrée de type %1.'),
('fr', 'infolog', 'invalid owner id: %1.  might be a bad field translation.  used %2 instead.', 'Id de propriétaire invalide: %1. %2 utilisé à la place.'),
('fr', 'infolog', 'invalid filename', 'Nom de fichier invalide'),
('fr', 'infolog', 'insert', 'Insérer'),
('fr', 'infolog', 'insert in document', 'Insérer dans un document'),
('fr', 'infolog', 'infolog-fieldname', 'InfoLog - Nom du champ'),
('fr', 'infolog', 'infolog list', 'Liste InfoLog'),
('fr', 'infolog', 'infolog id', 'Infolog Id'),
('fr', 'infolog', 'infolog filter for the main screen', 'InfoLog filtre pour l''écran principal'),
('fr', 'infolog', 'infolog entry saved', 'InfoLog entrée enregistrée'),
('fr', 'infolog', 'infolog fields:', 'Champs d''Infolog:'),
('fr', 'infolog', 'infolog entry deleted', 'InfoLog entrée supprimée'),
('fr', 'infolog', 'infolog csv export', 'Infolog exportation CSV'),
('fr', 'infolog', 'infolog csv import', 'Infolog importation CSV'),
('fr', 'infolog', 'infolog - subprojects from', 'InfoLog - Sous-projets de'),
('fr', 'infolog', 'infolog copied - the copy can now be edited', 'Infolog copié - la copie peut maintenant être modifiée'),
('fr', 'infolog', 'infolog - new subproject', 'InfoLog - Nouveau sous-projet'),
('fr', 'infolog', 'infolog - new', 'InfoLog - Nouveau'),
('fr', 'infolog', 'infolog - import csv-file', 'InfoLog - Importer fichier CSV'),
('fr', 'infolog', 'infolog - edit', 'InfoLog - Modifier'),
('fr', 'infolog', 'infolog - delete', 'InfoLog - Supprimer'),
('fr', 'infolog', 'imports entries into the infolog from a csv file. csv means ''comma seperated values''. however in the options tab you can also ch', 'Importe les entrées dans l''Infolog depuis un fichier CSV. CSV veut dire ''Valeurs Séparées par des Virgules". Dans l''onglet d''options, vous pouvez aussi choisir d''autres séparateurs.'),
('fr', 'infolog', 'importance', 'Importance'),
('fr', 'infolog', 'import next set', 'importer l´élément suivant'),
('fr', 'infolog', 'import', 'Importation'),
('fr', 'infolog', 'if you specify an export definition, it will be used when you export', 'Si vous spécifier un format d''export, il sera utilisé à l''export.'),
('fr', 'infolog', 'if not set, the line with search and filters is hidden for less entries then "max matches per page" (as defined in your common p', 'Si non renseigné, la ligne contenant la recherche et les filtres est cachée lorsqu''il y a plus d''entrées que le "Nombre max d''occurences correspondantes par page" (défini dans les préférences).'),
('fr', 'infolog', 'if a type has a group owner, all entries of that type will be owned by the given group and not the user who created it!', 'Si un type a un propriétaire de groupe, toutes les entrées de ce type appartiendront à ce groupe, et NON à l''utilisateur qui l''a créé!'),
('fr', 'infolog', 'id#', 'Id#'),
('fr', 'infolog', 'id', 'Id'),
('fr', 'infolog', 'how wide should the description area be. this value is numeric and interpreted as em; 60 works reasonably well.', 'Quelle largeur devrait avoir la zone de description. Cette valeur est numérique, par ex 60.'),
('fr', 'infolog', 'how many describtion lines should be directly visible. further lines are available via a scrollbar.', 'Combien de lignes de descriptions devraient être directement visibles. Les lignes supplémentaires sont disponibles via une barre de défilement.'),
('fr', 'infolog', 'history logging and deleting of items', 'Enregistrement de l''historique et suppression d''éléments'),
('fr', 'infolog', 'history logging', 'Enregistrement de l''historique'),
('fr', 'infolog', 'history', 'Historique'),
('fr', 'infolog', 'high', 'Haut'),
('fr', 'infolog', 'group owner for', 'Propriétaire de Groupe pour'),
('fr', 'infolog', 'global categories', 'Catégories globales'),
('fr', 'infolog', 'general fields:', 'Champs généraux :'),
('fr', 'infolog', 'from', 'De'),
('fr', 'infolog', 'general', 'Général'),
('fr', 'infolog', 'for which types should this field be used', 'pour quels types ce champ devrait être utilisé'),
('fr', 'infolog', 'for serial letter use this tag. put the content, you want to repeat between two tags.', 'Pour les lettres en série utiliser cette balise. Placer le contenu que vous voulez répéter entre deux balises.'),
('fr', 'infolog', 'first argument for preg_replace', 'Premier argument pour preg_replace'),
('fr', 'infolog', 'finish', 'Terminer'),
('fr', 'infolog', 'fax', 'Fax'),
('fr', 'infolog', 'field must not be empty !!!', 'Ce champ ne peut être vide!'),
('fr', 'infolog', 'fieldseparator', 'Séparateur de champ'),
('fr', 'infolog', 'existing links', 'Liens existants'),
('fr', 'infolog', 'exists', 'Existe'),
('fr', 'infolog', 'exports infolog entries into a csv file.', 'Exporter les entrées d''Infolog dans un fichier CSV.'),
('fr', 'infolog', 'error: saving the entry', 'Erreur: lors de l''enregistrement de l''entrée'),
('fr', 'infolog', 'error: the entry has been updated since you opened it for editing!', 'Erreur: cette entrée a été mise à jour pendant que vous l''aviez ouverte pour la modifier!'),
('fr', 'infolog', 'execute a further action for this entry', 'Exécuter une action de plus pour cette entrée'),
('fr', 'infolog', 'entry and all files', 'Entrée et tous les fichiers'),
('fr', 'infolog', 'enter the query pattern', 'Entrez le champ de requête'),
('fr', 'infolog', 'enter a textual description of the log-entry', 'Entrez une description textuelle de l''entrée de Log'),
('fr', 'infolog', 'enter a custom phone/email, leave empty if linked entry should be used', 'Entrez un EMail/numéro de téléphone personnalisé, laissez vide si l''entrée liée devait être utilisée'),
('fr', 'infolog', 'enter a custom contact, leave empty if linked entry should be used', 'Entrez un contact personnalisé, laissez vide si l''entrée liée devrait être utilisée'),
('fr', 'infolog', 'end', 'Fin'),
('fr', 'infolog', 'enddate', 'Date de fin'),
('fr', 'infolog', 'enddate can not be before startdate', 'La date de fin ne peut pas être avant la date de début'),
('fr', 'infolog', 'edit status', 'Modifier Statut'),
('fr', 'infolog', 'edit the entry', 'Modifier l''entrée'),
('fr', 'infolog', 'edit this entry', 'Modifier cette entrée'),
('fr', 'infolog', 'empty for all', 'vide pour tous'),
('fr', 'infolog', 'edit rights (full edit rights incl. making someone else responsible!)', 'modifier les droits (édition complète des droits, pouvant rendre quelqu''un d''autre responsable!)'),
('fr', 'infolog', 'edit', 'Modifier'),
('fr', 'infolog', 'edit or create categories for ingolog', 'Modifier ou créer des catégories pour InfoLog'),
('fr', 'infolog', 'e-mail:', 'Email:'),
('fr', 'infolog', 'each value is a line like <id>[=<label>]', 'chaque valeur est une ligne telle que <id>[=<label>]'),
('fr', 'infolog', 'download', 'Télécharger'),
('fr', 'infolog', 'due %1', 'Dû %'),
('fr', 'infolog', 'duration', 'Durée'),
('fr', 'infolog', 'don''t show infolog', 'NE PAS afficher InfoLog'),
('fr', 'infolog', 'document ''%1'' does not exist or is not readable for you!', 'Le document ''%1'' n''existe pas ou n''est pas lisible avec votre profil !'),
('fr', 'infolog', 'do you want to receive notifications as html-mails or plain text?', 'Recevoir les notifications en mail HTML ou texte simple.'),
('fr', 'infolog', 'do you want a notification, if items you delegated are due?', 'Etre notifiés si des entrées que vous avez déléguées sont dues.'),
('fr', 'infolog', 'do you want a notification, if items you delegated are about to start?', 'Etre notifiés si des entrées que vous avez déléguées sont sur le point de commencer.'),
('fr', 'infolog', 'do you want a notification, if items you created get updated?', 'Etre notifiés si des entrées que vous avez créées sont mises à jour'),
('fr', 'infolog', 'do you want a notification, if items you are responsible for are due?', 'Etre notifiés si des entrées dont vous êtes responsables sont dues.'),
('fr', 'infolog', 'do you want a notification, if items you are responsible for are about to start?', 'Etre notifiés si des entrées dont vous êtes responsables sont sur le point de commencer.'),
('fr', 'infolog', 'do you want a notification, if items get assigned to you or assigned items get updated?', 'Etre notifiés si des entrées vous sont assignée ou si des entrées qui vous en été assignées sont mises à jour'),
('fr', 'infolog', 'do not notify of these changes', 'Ne pas notifier de ces changements'),
('fr', 'infolog', 'do you want a confirmation of the responsible on: accepting, finishing the task or both', 'Voulez-vous une confirmation du responsable sur: accepter, finir la tâche, ou les deux'),
('fr', 'infolog', 'disables a status without deleting it', 'désactive un statut sans le supprimer'),
('fr', 'infolog', 'directory with documents to insert entries', 'Répertoire avec les documents pour insérer les entrées'),
('fr', 'infolog', 'deletes this field', 'supprime ce champ'),
('fr', 'infolog', 'deletes this status', 'supprime ce statut'),
('fr', 'infolog', 'description', 'Description'),
('fr', 'infolog', 'determines the order the fields are displayed', 'détermine l´ordre d´affichage des champs'),
('fr', 'infolog', 'deleted', 'Supprimé'),
('fr', 'infolog', 'deletes the selected typ', 'supprime le type sélectionné'),
('fr', 'infolog', 'delegation', 'Délégation'),
('fr', 'infolog', 'delete', 'Supprimer'),
('fr', 'infolog', 'delete one record by passing its id.', 'Effacer un enregistrement en passant son id.'),
('fr', 'infolog', 'delete selected entries?', 'Supprimer les entrées sélectionnées?'),
('fr', 'infolog', 'delete the entry', 'supprimer l´entrée'),
('fr', 'infolog', 'delete this entry and all listed sub-entries', 'Détruire cette entrée et toutes les sous-entrées listées'),
('fr', 'infolog', 'delegated overdue', 'Délégué en retard'),
('fr', 'infolog', 'delegated upcomming', 'Délégué à venir'),
('fr', 'infolog', 'delegated open and upcoming', 'Délégué ouvert et à venir'),
('fr', 'infolog', 'delegated', 'Délégué'),
('fr', 'infolog', 'delegated open', 'Délégué ourvert'),
('fr', 'infolog', 'default status for a new log entry', 'statut par défaut pour une nouvelle entrée de log'),
('fr', 'infolog', 'default filter for infolog', 'Filtre par défaut pour InfoLog'),
('fr', 'infolog', 'default document to insert entries', 'Document par défaut pour insérer les entrées.'),
('fr', 'infolog', 'default category for new infolog entries', 'Catégorie par défaut pour les entrées d''Infolog'),
('fr', 'infolog', 'days', 'Jours'),
('fr', 'infolog', 'dates, status, access', 'Dates, Statut, Accès'),
('fr', 'infolog', 'datecreated', 'Date de création'),
('fr', 'infolog', 'date completed (leave it empty to have it automatic set if status is done or billed)', 'Date de clôture (laisser vide pour que ce soit rempli automatiquement si le statut est Fait ou Rempli)'),
('fr', 'infolog', 'date completed', 'Date de clôture'),
('fr', 'infolog', 'customfields', 'Champs personnalisés'),
('fr', 'infolog', 'custom status for typ', 'Statuts personnalisés pour le type'),
('fr', 'infolog', 'custom regarding', 'Personnalisé concernant'),
('fr', 'infolog', 'custom from', 'Personnalisé de'),
('fr', 'infolog', 'custom fields', 'Champs personnalisés'),
('fr', 'infolog', 'custom contact-information, leave emtpy to use information from most recent link', 'Information de contact personnalisée, laissez vide pour utiliser l''information du lien le plus récent'),
('fr', 'infolog', 'csv-filename', 'CSV-Nomdefichier'),
('fr', 'infolog', 'custom', 'Personnalisé'),
('fr', 'infolog', 'custom contact-address, leave empty to use information from most recent link', 'Adresse de contact personnalisée, laissez vide pour utiliser l''information du lien le plus récent'),
('fr', 'infolog', 'csv-fieldname', 'CSV-Nomdechamp'),
('fr', 'infolog', 'creation', 'Création'),
('fr', 'infolog', 'creates a new typ with the given name', 'créée un nouveau type avec le nom spécifié'),
('fr', 'infolog', 'creates a new status with the given values', 'crée un nouveau statut avec la valeur spécifiée'),
('fr', 'infolog', 'creates a new field', 'crée un nouveau champ'),
('fr', 'infolog', 'create new links', 'Créer de nouveaux liens'),
('fr', 'infolog', 'copy your changes to the clipboard, %1reload the entry%2 and merge them.', 'Copie vos changements vers le presse-papiers, %1recharger l''entrée%2 et les fusionne.'),
('fr', 'infolog', 'contact fields', 'Champs de contact'),
('fr', 'infolog', 'contactfield', 'Champ de contact'),
('fr', 'infolog', 'copy of:', 'Copie de:'),
('fr', 'infolog', 'contact cf', 'Contact CP'),
('fr', 'infolog', 'contact', 'Contact'),
('fr', 'infolog', 'confirm', 'Confirmer'),
('fr', 'infolog', 'compare', 'Comparer'),
('fr', 'infolog', 'completed', 'Terminé'),
('fr', 'infolog', 'configuration', 'Configuration'),
('fr', 'infolog', 'comment', 'Commentaire'),
('fr', 'infolog', 'colon (:) separated list of field names to use if value is empty or to sum up', 'liste de nom de champs séparés par des deux points (:) à utiliser si la valeur est vide ou à additionner'),
('fr', 'infolog', 'closed', 'Fermé.'),
('fr', 'infolog', 'close', 'Fermer'),
('fr', 'infolog', 'close all', 'Fermer tout'),
('fr', 'infolog', 'close this entry and all listed sub-entries', 'Fermer cette entrée et toutes les sous-entrées listées'),
('fr', 'infolog', 'click here to start the search', 'Cliquer ici pour démarrer la recherche'),
('fr', 'infolog', 'click here to create the link', 'Cliquer ici pour créer le lien'),
('fr', 'infolog', 'choose owner of imported data', 'Choisir le propriétaire des données importées'),
('fr', 'infolog', 'check to specify custom contact', 'Vérifiez pour spécifier un contact personnalisé'),
('fr', 'infolog', 'check to set startday', 'Vérifier pour mettre le jour de départ'),
('fr', 'infolog', 'check all', 'Vérifier tout'),
('fr', 'infolog', 'changed type', 'Changer le type'),
('fr', 'infolog', 'charset of file', 'Jeu de caractères du fichier'),
('fr', 'infolog', 'changed status to %1', 'Changer le statut en %1'),
('fr', 'infolog', 'changed completion to %1%', 'Changer la réalisation en %1%'),
('fr', 'infolog', 'changed category to %1', 'Changer la catégorie en %1'),
('fr', 'infolog', 'change the status of an entry, eg. close it', 'Change le statut d´une entrée, c''est-à-dire la ferme'),
('fr', 'infolog', 'change owner when updating', 'Changer le propriètaire lors de la mise à jour'),
('fr', 'infolog', 'change history', 'Historique des changements'),
('fr', 'infolog', 'change completed', 'Changement réalisé.'),
('fr', 'infolog', 'change completion', 'Avancemenent du changement'),
('fr', 'infolog', 'category', 'Catégorie'),
('fr', 'infolog', 'change category', 'Changer la catégorie'),
('fr', 'infolog', 'cancelled', 'Annulé'),
('fr', 'infolog', 'categories', 'Catégories'),
('fr', 'infolog', 'cancel', 'Annuler'),
('fr', 'infolog', 'can be used to show further infolog types in the calendar or limit it to show eg. only tasks.', 'Peut être utilisé pour montrer plus de types d''Infolog dans le calendrier ou les limiter par ex aux tâches seulement'),
('fr', 'infolog', 'call', 'Appel'),
('fr', 'infolog', 'both', 'Les deux'),
('fr', 'infolog', 'billed', 'Facturé'),
('fr', 'infolog', 'back to main list', 'Retour à la liste principale'),
('fr', 'infolog', 'attention: no contact with address %1 found.', 'Attention: Aucun contact trouvé avec l''adresse %1'),
('fr', 'infolog', 'attach file', 'Attacher un fichier'),
('fr', 'infolog', 'attach a file', 'Attacher un fichier'),
('fr', 'infolog', 'at the moment the following document-types are supported:', 'À l''heure actuelle les types de documents supportés  :'),
('fr', 'infolog', 'are you shure you want to delete this entry ?', 'Etes-vous sûr de vouloir supprimer cette entrée ?'),
('fr', 'infolog', 'are you shure you want to close this entry ?', 'Etês vous certain de vouloir fermer cette entrée ?'),
('fr', 'infolog', 'archive', 'Archiver'),
('fr', 'infolog', 'apply the changes', 'Appliquer les changements'),
('fr', 'infolog', 'apply the action on the whole query, not only the shown entries!!!', 'Appliquer l''action sur toute la requête, PAS seulement sur les entrées montrées!!!'),
('fr', 'infolog', 'alternatives', 'Alternatives'),
('fr', 'infolog', 'add:', 'Ajouter:'),
('fr', 'infolog', 'added', 'Ajouté'),
('fr', 'infolog', 'all', 'Tous'),
('fr', 'infolog', 'all links and attachments', 'Tous les liens et attachements'),
('fr', 'infolog', 'all projects', 'Tous les projets'),
('fr', 'infolog', 'allows to set the status of an entry, eg. set a todo to done if it''s finished (values depend on entry-typ)', 'permet de changer le statut d´une entrée, c''est-à-dire de spécifier un A-Faire à fait s''il est terminé (les valeurs dépendent du type d´entrée).'),
('fr', 'infolog', 'add timesheet entry', 'Ajouter une entrée feuille de temps'),
('fr', 'infolog', 'add file', 'Ajouter un fichier'),
('fr', 'infolog', 'add or delete links', 'Ajouter ou supprimer les liens'),
('fr', 'infolog', 'add sub', 'Ajouter enfant'),
('fr', 'infolog', 'add a new todo', 'Ajouter un nouveau A-faire'),
('fr', 'infolog', 'add a new sub-task, -note, -call to this entry', 'Ajouter un(e) nouvelle sous-tâche, -note, -appel à cette entrée'),
('fr', 'infolog', 'add a new phonecall', 'Ajouter un nouvel appel téléphonique'),
('fr', 'infolog', 'add a new note', 'Ajouter une nouvelle Note'),
('fr', 'infolog', 'add a file', 'Ajouter un fichier'),
('fr', 'infolog', 'add a new entry', 'Ajouter uen nouvelle entrée'),
('fr', 'infolog', 'add', 'Ajouter'),
('fr', 'infolog', 'add / remove link', 'Ajouter / Enlever le lien'),
('fr', 'infolog', 'actual date and time', 'date et heure actuelles'),
('fr', 'infolog', 'actions...', 'Actions...'),
('fr', 'infolog', 'action', 'Action'),
('fr', 'infolog', 'accept', 'Accepte'),
('fr', 'infolog', 'abort without deleting', 'Annuler sans supprimer'),
('fr', 'infolog', 'a short subject for the entry', 'Un court sujet pour l''entrée'),
('fr', 'infolog', '<b>file-attachments via symlinks</b> instead of uploads and retrieval via file:/path for direct lan-clients', '<b>Attachement de fichiers via des liens symboliques</b> à la place du dépôt de fichiers et récupération via fichier:/chemin pour les clients avec accès réseau direct'),
('fr', 'infolog', '90%', '90%'),
('fr', 'infolog', '80%', '80%'),
('fr', 'infolog', '70%', '70%'),
('fr', 'infolog', '60%', '60%'),
('fr', 'infolog', '50%', '50%'),
('fr', 'infolog', '40%', '40%'),
('fr', 'infolog', '20%', '20%'),
('fr', 'infolog', '30%', '30%'),
('fr', 'infolog', '10%', '10%'),
('fr', 'infolog', '100%', '100%'),
('fr', 'infolog', '0%', '0%'),
('fr', 'infolog', '- subprojects from', '- Sous-projets de'),
('fr', 'infolog', '%1 you delegated is due at %2', '%1 que vous avez délégué est dû le %2'),
('fr', 'infolog', '%1 you delegated is starting at %2', '%1 que vous avez délégué commence le %2'),
('fr', 'infolog', '%1 you are responsible for is starting at %2', '%1 dont vous êtes responsables commence le %2'),
('fr', 'infolog', '%1 you are responsible for is due at %2', '%1 dont vous êtes responsables est dû le %2'),
('fr', 'infolog', '%1 records read (not yet imported, you may go %2back%3 and uncheck test import)', '%1 enregistrements lus (pas encore importés, vous pourriez %2revenir%3 et désélectionner Test d''Importation)'),
('fr', 'infolog', '%1 records imported', '%1 enregistrements importés'),
('fr', 'infolog', '%1 modified', '%1 modifié(s)'),
('fr', 'infolog', '%1 modified by %2 at %3', '%1 modifié(s) par %2 à %3'),
('fr', 'infolog', '%1 entries %2, %3 failed because of insufficent rights !!!', '%1 entrées %2, %3 ont échoués par manque de droits suffisants !!!'),
('fr', 'infolog', '%1 days in advance', '%1 jours en avance'),
('fr', 'infolog', '%1 deleted', '%1 supprimé(s).'),
('fr', 'infolog', '%1 deleted by %2 at %3', '%1 supprimé(s) par %2 à %3'),
('fr', 'infolog', '%1 entries %2', '%1 entrées %2'),
('fr', 'importexport', 'you need to select an app and format first!', 'Vous devez d''abord sélectionner une application et un format !'),
('fr', 'importexport', 'which users are allowed to use this definition', 'Quels utilisateurs sont-ils autorisés pour cette définition'),
('fr', 'importexport', 'which useres are allowed for this definition', 'Quels utilisateurs sont-ils autorisés pour cette définition'),
('fr', 'importexport', 'unable to schedule', 'Incapable d''établir la planification'),
('fr', 'importexport', 'some nice text', 'Un peu de texte sympathique...'),
('fr', 'importexport', 'select plugin', 'Sélectionner un plugin'),
('fr', 'importexport', 'schedule not found', 'Planification non trouvée.'),
('fr', 'importexport', 'select definition', 'Sélectionner une définition'),
('fr', 'importexport', 'save as definition', 'Sauvegarder comme une définition'),
('fr', 'importexport', 'preview', 'Aperçu'),
('fr', 'importexport', 'previous', 'précédent'),
('fr', 'importexport', 'no records selected', 'Aucun enregistrement sélectionné !'),
('fr', 'importexport', 'manage mapping', 'Gestion des correspondances'),
('fr', 'importexport', 'next', 'prochain'),
('fr', 'importexport', 'load sample file', 'Charger un fichier exemple'),
('fr', 'importexport', 'imports information from a csv file.  this is only a base class, and doesn''t do anything on its own.', 'Importer les informations depuis un fichier CSV. Il s''agit seulement d''une fonction de base, et ne fait rien toute seule.'),
('fr', 'importexport', 'importexport wizard finished successfully!', 'L''assistant Import|Export s''est terminé avec succès !'),
('fr', 'importexport', 'import definitions (attension: existing definitions with equal names will be overwritten!!!)', 'Importer des définitions. Attention : les définitions avec les mêmes nom seront écrasées !'),
('fr', 'importexport', 'general', 'Général'),
('fr', 'importexport', 'import', 'Importation'),
('fr', 'importexport', 'finish', 'Terminer'),
('fr', 'importexport', 'export all selected definitions', 'Exporter toutes les définitions sélectionnées'),
('fr', 'importexport', 'export', 'Exportation'),
('fr', 'importexport', 'expert options', 'Options expert'),
('fr', 'importexport', 'edit conditions', 'Modifier les conditions'),
('fr', 'importexport', 'choose a plugin', 'Choisissez un module enfichable'),
('fr', 'importexport', 'choose an application', 'Choisissez une application'),
('fr', 'importexport', 'choose seperator and charset', 'Choisisser le séparateur et l''encodage'),
('fr', 'importexport', 'delete all selected definitions', 'Supprimer toutes les définitions sélectionnées'),
('fr', 'importexport', 'choose a name for this definition', 'Choisissez un nom pour cette définition'),
('fr', 'home', 'displays home', 'Afficher l''écran d''accueil'),
('fr', 'home', 'egroupware', 'eGroupWare'),
('fr', 'home', 'home', 'Accueil'),
('fr', 'home', 'there is a new version of egroupware available', 'Une nouvelle version de eGroupWare est disponible'),
('fr', 'importexport', '%1 records processed', '%1 enregistrements traités.'),
('fr', 'importexport', 'allowed users', 'Utilisateurs autorisés'),
('fr', 'importexport', 'automatically created by importexport', 'Automatiquement créé par l'' Import | Export'),
('fr', 'importexport', 'basic csv import', 'Import CSV simple'),
('fr', 'felamimail', 'your message to %1 was displayed.', 'Votre message pour %1 a été affiché.'),
('fr', 'felamimail', 'you have received a new message on the', 'Vous avez reçu un nouveau message sur le'),
('fr', 'felamimail', 'yes, offer copy option', 'oui, proposer une option de copie'),
('fr', 'felamimail', 'you can use %1 for the above start-date and %2 for the end-date.', 'Vous pouvez utiliser %1 pour la date de début et 2% pour la date de fin.'),
('fr', 'felamimail', 'wrote', 'Ecrivait'),
('fr', 'felamimail', 'writing', 'Ecrire'),
('fr', 'felamimail', 'wrap incoming text at', 'Couper le texte entrant à'),
('fr', 'felamimail', 'with message', 'avec message'),
('fr', 'felamimail', 'with message "%1"', 'avec message "%1"'),
('fr', 'felamimail', 'which folders - in general - should not be automatically created, if not existing', 'Quels dossiers - en général - NE doivent PAS être automatiquement créés, s''il n''existent pas au préalable ?'),
('fr', 'felamimail', 'which folders (additional to the sent folder) should be displayed using the sent folder view schema', 'Quels dossiers (en plus du dossier Envoyés) doivent être affichés en utilisant le Schéma des Éléments Envoyés ?'),
('fr', 'felamimail', 'viewing message', 'Visualise le message'),
('fr', 'felamimail', 'viewing messages', 'Visualise les messages'),
('fr', 'felamimail', 'when deleting messages', 'Quand j''efface les messages'),
('fr', 'felamimail', 'viewing full header', 'Visualise toutes les entêtes'),
('fr', 'felamimail', 'view full header', 'Voir l''entête complet'),
('fr', 'felamimail', 'view header lines', 'voir les lignes d''entête'),
('fr', 'felamimail', 'view message', 'Voir message'),
('fr', 'felamimail', 'validate certificate', 'valider le certificat'),
('fr', 'felamimail', 'vacation start-date must be before the end-date!', 'La date de début de la notice d''absence doit être ANTERIEURE à la date de fin.'),
('fr', 'felamimail', 'vacation notice is active', 'La notice d''absence est activée'),
('fr', 'felamimail', 'use regular expressions', 'Utiliser des expressions régulières'),
('fr', 'felamimail', 'use custom settings', 'Utiliser les préférences personnelles'),
('fr', 'felamimail', 'use addresses', 'Utiliser les adresses'),
('fr', 'felamimail', 'use custom identities', 'utiliser des identités personnalisées'),
('fr', 'felamimail', 'use a signature?', 'Utiliser une signature?'),
('fr', 'felamimail', 'use a signature', 'Utiliser une signature'),
('fr', 'felamimail', 'use <a href="%1">emailadmin</a> to create profiles', 'utiliser <a href="%1">Admin mail</a>pour créer les profiles'),
('fr', 'felamimail', 'updating view', 'mise à jour des vues'),
('fr', 'felamimail', 'updating message status', 'mise à jour du statut des messages'),
('fr', 'felamimail', 'unsubscribed successfully!', 'Désinscrit avec succès!'),
('fr', 'felamimail', 'up', 'Haut'),
('fr', 'felamimail', 'unsubscribed', 'Désinscrit'),
('fr', 'felamimail', 'unsubscribe', 'Se désinscrire'),
('fr', 'felamimail', 'unselect all', 'Désélectionner tout'),
('fr', 'felamimail', 'unknown sender', 'Expéditeur inconnu'),
('fr', 'felamimail', 'unknown user or password incorrect.', 'Utilisateur inconnu ou mot de passe incorrect.'),
('fr', 'felamimail', 'unseen', 'Non-lu'),
('fr', 'felamimail', 'unknown error', 'Erreur inconnue'),
('fr', 'felamimail', 'unknown imap response from the server. server responded: %s', 'Réponse IMAP inconnue du serveur. Le serveur a répondu: %s'),
('fr', 'felamimail', 'unknown err', 'Erreur inconnue'),
('fr', 'felamimail', 'unflagged', 'Dé-marqué'),
('fr', 'felamimail', 'unexpected response from server to login command.', 'Réponse inattendue du serveur à la commande LOGIN.'),
('fr', 'felamimail', 'unexpected response from server to digest-md5 response.', 'Réponse inattendue du serveur à la réponse Digest-MD5.'),
('fr', 'felamimail', 'unexpected response from server to authenticate command.', 'Réponse inattendue du serveur à la commande AUTHENTICATE.'),
('fr', 'felamimail', 'type', 'Type'),
('fr', 'felamimail', 'trash folder', 'Dossier Corbeille'),
('fr', 'felamimail', 'trash fold', 'Corbeille'),
('fr', 'felamimail', 'translation server', 'Serveur de traduction'),
('fr', 'felamimail', 'trash', 'Corbeille'),
('fr', 'felamimail', 'translation preferences', 'Préférences de traduction'),
('fr', 'felamimail', 'to use a tls connection, you must be running a version of php 5.1.0 or higher.', 'Pour utiliser une connexion TLS vous devez avoir PHP 5.1.0 ou supérieur.'),
('fr', 'felamimail', 'to', 'A'),
('fr', 'felamimail', 'to mail sent to', 'au message envoyé à'),
('fr', 'felamimail', 'this php has no imap support compiled in!!', 'PHP n''est pas compilé avec le support IMAP!'),
('fr', 'felamimail', 'this folder is empty', 'CE DOSSIER EST VIDE'),
('fr', 'felamimail', 'there is no imap server configured.', 'Il n''ya pas de serveur IMAP configuré.'),
('fr', 'felamimail', 'then', 'ALORS'),
('fr', 'felamimail', 'the mimeparser can not parse this message.', 'L''analyseur mime ne peut pas décoder ce message.'),
('fr', 'felamimail', 'the message sender has requested a response to indicate that you have read this message. would you like to send a receipt?', 'L''expéditeur du message a demandé une réponse pour indiquer que vous avez lu ce message. Souhaitez-vous envoyer un accusé de réception?'),
('fr', 'felamimail', 'the imap server does not appear to support the authentication method selected. please contact your system administrator.', 'Le serveur IMAP ne supporte pas la méthode d''authentification choisie. Veuillez contacter votre administrateur système.'),
('fr', 'felamimail', 'text/plain', 'text/plain'),
('fr', 'felamimail', 'the connection to the imap server failed!!', 'La connexion au serveur IMAP a échoué!!'),
('fr', 'felamimail', 'system signature', 'signature systéme'),
('fr', 'felamimail', 'table of contents', 'Table des contenus'),
('fr', 'felamimail', 'template folder', 'Dossier de modèles'),
('fr', 'felamimail', 'templates', 'Templates'),
('fr', 'felamimail', 'text only', 'Texte seulement'),
('fr', 'felamimail', 'subscribed successfully!', 'Souscrit avec succès!'),
('fr', 'felamimail', 'submit', 'Soumettre'),
('fr', 'felamimail', 'subscribe', 'Souscrire'),
('fr', 'felamimail', 'subscribed', 'Souscrit'),
('fr', 'felamimail', 'subject', 'Sujet'),
('fr', 'felamimail', 'subject(a->z)', 'Sujet (A->Z)'),
('fr', 'felamimail', 'subject(z->a)', 'Sujet (Z->A)'),
('fr', 'felamimail', 'stationery', 'Entrepôt'),
('fr', 'felamimail', 'start new messages with mime type plain/text or html?', 'Créer les nouveaux messages au format plain/text ou HTML ?'),
('fr', 'felamimail', 'skipping previous', 'saut en arrière'),
('fr', 'felamimail', 'small view', 'Affichage réduit'),
('fr', 'felamimail', 'skipping forward', 'saut en avant'),
('fr', 'felamimail', 'size(...->0)', 'Taille (MAX -> 0)'),
('fr', 'felamimail', 'size(0->...)', 'Taille (0 -> MAX)'),
('fr', 'felamimail', 'size of editor window', 'Taille de la fenêtre d''édition'),
('fr', 'felamimail', 'size', 'Taille'),
('fr', 'felamimail', 'simply click the target-folder', 'Cliquer sur le dossier de destination'),
('fr', 'felamimail', 'sieve script name', 'nom du script sieve'),
('fr', 'felamimail', 'signatur', 'Signature'),
('fr', 'felamimail', 'signature', 'Signature'),
('fr', 'felamimail', 'show header', 'Montrer les entêtes'),
('fr', 'felamimail', 'show new messages on main screen', 'Afficher les nouveaux messages sur l''écran principal'),
('fr', 'felamimail', 'show all folders (subscribed and unsubscribed) in main screen folder pane', 'Afficher tous les dossiers (avec ET sans abonnement) dans le volet Dossier de l''écran principal ?'),
('fr', 'felamimail', 'set as default', 'Définir par défaut'),
('fr', 'felamimail', 'server supports mailfilter(sieve)', 'le serveur support les filtres de messages (sieve)'),
('fr', 'felamimail', 'sent folder', 'Dossier contenant les messages envoyés'),
('fr', 'felamimail', 'sent', 'Envoyer'),
('fr', 'felamimail', 'select folder', 'Sélectionner un dossier'),
('fr', 'felamimail', 'send', 'Envoyer'),
('fr', 'felamimail', 'send a reject message', 'envoyez un message de rejet'),
('fr', 'felamimail', 'select emailprofile', 'Sélectionner le profil de messagerie'),
('fr', 'felamimail', 'select', 'Sélectionner'),
('fr', 'felamimail', 'select all', 'Sélectionner tous'),
('fr', 'felamimail', 'search for', 'Rechercher'),
('fr', 'felamimail', 'search', 'Rechercher'),
('fr', 'felamimail', 'script status', 'status du script'),
('fr', 'felamimail', 'script name', 'nom du script'),
('fr', 'felamimail', 'save message to disk', 'enregistrer le message sur le disque'),
('fr', 'felamimail', 'save as infolog', 'enregistrer comme infolog'),
('fr', 'felamimail', 'save changes', 'enregistrer les modifications'),
('fr', 'felamimail', 'save as draft', 'enregistrer comme brouillon'),
('fr', 'felamimail', 'rule', 'Règle'),
('fr', 'felamimail', 'save', 'Sauver'),
('fr', 'felamimail', 'save all', 'Enregistrer tout'),
('fr', 'felamimail', 'row order style', 'style d''ordonnancement de ligne'),
('fr', 'felamimail', 'right', 'Droit'),
('fr', 'felamimail', 'return', 'Retourner'),
('fr', 'felamimail', 'return to options page', 'Retourner à la page des options'),
('fr', 'felamimail', 'replyto', 'Répondre A'),
('fr', 'felamimail', 'respond', 'Répondre'),
('fr', 'felamimail', 'respond to mail sent to', 'Répondre au courrier envoyé à'),
('fr', 'felamimail', 'reply to', 'Répondre à'),
('fr', 'felamimail', 'reply all', 'Répondre à tous'),
('fr', 'felamimail', 'reply', 'Répondre'),
('fr', 'felamimail', 'replied', 'Répondu'),
('fr', 'felamimail', 'renamed successfully!', 'Renommage réussi!'),
('fr', 'felamimail', 'rename folder', 'Renommer le dossier'),
('fr', 'felamimail', 'rename a folder', 'Renommer un dossier'),
('fr', 'felamimail', 'rename', 'Renommer'),
('fr', 'felamimail', 'remove', 'Enlever'),
('fr', 'felamimail', 'remove immediately', 'Enlever immédiatement'),
('fr', 'felamimail', 'reject with', 'rejecter avec'),
('fr', 'felamimail', 'refresh time in minutes', 'Temps de rafraîchissement en minutes'),
('fr', 'felamimail', 'recent', 'Récent'),
('fr', 'felamimail', 'reading', 'Lire');
INSERT INTO `egw_lang` (`lang`, `app_name`, `message_id`, `content`) VALUES
('fr', 'felamimail', 'receive notification', 'Notification de réception'),
('fr', 'felamimail', 'quicksearch', 'Recherche Rapide'),
('fr', 'felamimail', 'read', 'lu'),
('fr', 'felamimail', 'printview', 'aperçu avant impression'),
('fr', 'felamimail', 'print this page', 'Imprimer cette page'),
('fr', 'felamimail', 'print it', 'Imprimes-la'),
('fr', 'felamimail', 'previous message', 'Message précédent'),
('fr', 'felamimail', 'previous', 'Précédent'),
('fr', 'felamimail', 'posting', 'Poster'),
('fr', 'felamimail', 'port', 'port'),
('fr', 'felamimail', 'please supply the message to send with auto-responses', 'Ecriver le message pour envoyer en réponse automatique'),
('fr', 'felamimail', 'please select the number of days to wait between responses', 'Sélectionner le nombre de jours pour attendre entre les réponses'),
('fr', 'felamimail', 'please select a address', 'Sélectionner une adresse'),
('fr', 'felamimail', 'please configure access to an existing individual imap account.', 'Veuillez configurer l''accès à un compte IMAP individuel existant.'),
('fr', 'felamimail', 'please ask the administrator to correct the emailadmin imap server settings for you.', 'Veuillez demander à votre administrateur système de corriger les paramètres emailadmin de votre serveur IMAP.'),
('fr', 'felamimail', 'original message', 'message d''origine'),
('fr', 'felamimail', 'outgoing mail server(smtp)', 'serveur de courrier sortant (SMTP)'),
('fr', 'felamimail', 'participants', 'Participants'),
('fr', 'felamimail', 'personal information', 'Informations personnelles'),
('fr', 'felamimail', 'organisation', 'Entreprise'),
('fr', 'felamimail', 'organization', 'Entreprise'),
('fr', 'felamimail', 'or', 'ou'),
('fr', 'felamimail', 'or configure an valid imap server connection using the manage accounts/identities preference in the sidebox menu.', 'ou configurer une connexion à un serveur IMAP valide à l''aide des préférences de Gestion des comptes/Identités  dans le menu Sidebox.'),
('fr', 'felamimail', 'open all', 'Tout ouvrir'),
('fr', 'felamimail', 'options', 'Options'),
('fr', 'felamimail', 'only unseen', 'Seulement les non-vus'),
('fr', 'felamimail', 'only one window', 'Seulement une fenêtre'),
('fr', 'felamimail', 'only inbox', 'Seulement INBOX'),
('fr', 'felamimail', 'one address is not valid', 'Une adresse n''est pas valide'),
('fr', 'felamimail', 'on behalf of', 'sur la base de'),
('fr', 'felamimail', 'on', 'le'),
('fr', 'felamimail', 'notify when new mails arrive on these folders', 'Me notifier lors de l''arrivée de nouveaux mails sur ces dossiers :'),
('fr', 'felamimail', 'not allowed', 'pas autorisé'),
('fr', 'felamimail', 'none', 'Aucun'),
('fr', 'felamimail', 'none, create all', 'aucun, créer tous'),
('fr', 'felamimail', 'no valid emailprofile selected!!', 'Aucun profil de messagerie selectionné!'),
('fr', 'felamimail', 'no valid data to create mailprofile!!', 'Aucune donnée valide pour créer le profil email'),
('fr', 'felamimail', 'no supported imap authentication method could be found.', 'Aucune méthode d''authentification IMAP n''a été trouvée.'),
('fr', 'felamimail', 'no signature', 'pas de signature'),
('fr', 'felamimail', 'no stationery', 'aucun entrepôt'),
('fr', 'felamimail', 'no subject given!', 'Votre message n''a pas de sujet!'),
('fr', 'felamimail', 'no recipient address given!', 'Il n''a pas d''adresse de destinataire'),
('fr', 'felamimail', 'no plain text part found', 'aucune section texte plein trouvée'),
('fr', 'felamimail', 'no previous message', 'Pas de message précédent'),
('fr', 'felamimail', 'no messages were selected.', 'Aucun message n''a été choisi.'),
('fr', 'felamimail', 'no messages selected, or lost selection. changing to folder', 'Aucun message sélectionné, ou sélection perdue. Changer de dossier'),
('fr', 'felamimail', 'no messages found...', 'Aucuns messages trouvés...'),
('fr', 'felamimail', 'no message returned.', 'Aucun message retourné.'),
('fr', 'felamimail', 'no imap server host configured!!', 'Aucun hôte de serveur IMAP configuré!!'),
('fr', 'felamimail', 'no highlighting is defined', 'Aucune mise en évidence n''est définie'),
('fr', 'felamimail', 'no folders were found to unsubscribe from!', 'Aucun dossier auquel se désinscrire n''a été trouvé!'),
('fr', 'felamimail', 'no folders found', 'Aucun dossier trouvé'),
('fr', 'felamimail', 'no folders were found to subscribe to!', 'Aucun dossier auquel s''inscrire n''a été trouvé!'),
('fr', 'felamimail', 'no folders', 'Pas de dossiers'),
('fr', 'felamimail', 'no filter', 'Pas de filtre'),
('fr', 'felamimail', 'no encryption', 'pas de chiffrement'),
('fr', 'felamimail', 'no address to/cc/bcc supplied, and no folder to save message to provided.', 'Aucune adresse POUR/CC/BCC n''a été fournie et aucun répertoire pour sauvegarder le message a été indiqué.'),
('fr', 'felamimail', 'next', 'Suivant'),
('fr', 'felamimail', 'next message', 'Message suivant'),
('fr', 'felamimail', 'no active imap server found!!', 'Aucun serveur IMAP trouvé!!'),
('fr', 'felamimail', 'name', 'Nom'),
('fr', 'felamimail', 'never display html emails', 'Ne jamais afficher les messages HTML'),
('fr', 'felamimail', 'new filter', 'Nouveau filtre'),
('fr', 'felamimail', 'move to trash', 'Déplacer vers la Corbeille'),
('fr', 'felamimail', 'moving messages to', 'Déplacer les messages vers'),
('fr', 'felamimail', 'move messages?', 'Déplacer les messages?'),
('fr', 'felamimail', 'move selected to', 'Déplacer le choix vers'),
('fr', 'felamimail', 'move messages', 'Déplacer les messages'),
('fr', 'felamimail', 'move folder', 'déplacez le répertoire'),
('fr', 'felamimail', 'move', 'Déplacer'),
('fr', 'felamimail', 'messages', 'Messages'),
('fr', 'felamimail', 'message list', 'Liste des messages'),
('fr', 'felamimail', 'message highlighting', 'Mise en évidence de message'),
('fr', 'felamimail', 'max uploadsize', 'taille de dépôt maximale'),
('fr', 'felamimail', 'matches regexp', 'correspond'),
('fr', 'felamimail', 'matches', 'correspond'),
('fr', 'felamimail', 'match', 'Correspond'),
('fr', 'felamimail', 'mark selected as unread', 'Marquer le choix comme non-lus'),
('fr', 'felamimail', 'mark selected as unflagged', 'Marquer le choix comme non-marqués'),
('fr', 'felamimail', 'mark selected as read', 'Marquer le choix comme lus'),
('fr', 'felamimail', 'mark selected as flagged', 'Marquer le choix comme marqués'),
('fr', 'felamimail', 'mark messages as', 'Marquer les messages sélectionnés comme'),
('fr', 'felamimail', 'manage signatures', 'Gérer les signatures'),
('fr', 'felamimail', 'mark as deleted', 'Marquer comme effacé'),
('fr', 'felamimail', 'mainmessage', 'Message principal'),
('fr', 'felamimail', 'location of buttons when composing', 'Emplacement des boutons lors de la composition'),
('fr', 'felamimail', 'mail settings', 'Réglages EMail'),
('fr', 'felamimail', 'loading', 'chargement'),
('fr', 'felamimail', 'list all', 'Lister tous'),
('fr', 'felamimail', 'less than', 'Moins que'),
('fr', 'felamimail', 'light gray', 'Gris léger'),
('fr', 'felamimail', 'less', 'Moins'),
('fr', 'felamimail', 'left', 'Gauche'),
('fr', 'felamimail', 'last name', 'Nom de famille'),
('fr', 'felamimail', 'language', 'Langue'),
('fr', 'felamimail', 'kilobytes', 'kilo-octets'),
('fr', 'felamimail', 'keep local copy of email', 'Garder un copie local de votre email'),
('fr', 'felamimail', 'keep a copy of the message in your inbox', 'Garder une copie du message dans votre courrier entrant'),
('fr', 'felamimail', 'junk', 'Déchet'),
('fr', 'felamimail', 'jumping to start', 'saut au début'),
('fr', 'felamimail', 'jumping to end', 'saut à la fin'),
('fr', 'felamimail', 'info', 'Info'),
('fr', 'felamimail', 'invalid user name or password', 'Nom d''utilisateur ou mot de passe invalide'),
('fr', 'felamimail', 'javascript', 'JavaScript'),
('fr', 'felamimail', 'index order', 'Ordre d''index'),
('fr', 'felamimail', 'incoming mail server(imap)', 'serveur de courier entrant (IMAP)'),
('fr', 'felamimail', 'in', 'Dans'),
('fr', 'felamimail', 'inbox', 'Boîte de réception'),
('fr', 'felamimail', 'import message', 'Importation de message'),
('fr', 'felamimail', 'import', 'Importation'),
('fr', 'felamimail', 'import mail', 'Importation d''email'),
('fr', 'felamimail', 'imaps encryption only', 'Chiffrement IMAPS seulement'),
('fr', 'felamimail', 'imaps authentication', 'Authentification IMAPS'),
('fr', 'felamimail', 'imap server username', 'utilisateur du serveur imap'),
('fr', 'felamimail', 'imap server type', 'Type de serveur IMAP'),
('fr', 'felamimail', 'imap server password', 'mot de passe du serveur imap'),
('fr', 'felamimail', 'imap server closed the connection.', 'le serveur IMAP a fermé la connexion.'),
('fr', 'felamimail', 'imap server closed the connection. server responded: %s', 'le serveur IMAP a fermé la connexion. Le serveur a répondu: %s'),
('fr', 'felamimail', 'imap server address', 'Adresse IP du serveur IMAP'),
('fr', 'felamimail', 'imap', 'IMAP'),
('fr', 'felamimail', 'imap server', 'Serveur IMAP'),
('fr', 'felamimail', 'illegal folder name.  please select a different name.', 'Nom de dossier illégal. SVP choisissez-en un autre.'),
('fr', 'felamimail', 'if using ssl or tls, you must have the php openssl extension loaded.', 'Si vous utilisez SSL ou TLS, l''extension PHP openssl doit être chargée.'),
('fr', 'felamimail', 'if to contains', 'Si A contient'),
('fr', 'felamimail', 'if shown, which folders should appear on main screen', 'Indiquer quels dossiers doivent apparaître sur l''écran principal :'),
('fr', 'felamimail', 'if subject contains', 'Si le sujet contient'),
('fr', 'felamimail', 'if message size', 'Si la taille du message'),
('fr', 'felamimail', 'if mail header', 'Si l''en-tête de courrier'),
('fr', 'felamimail', 'if from contains', 'Si l''expéditeur contient'),
('fr', 'felamimail', 'if', 'SI'),
('fr', 'felamimail', 'identity', 'identité'),
('fr', 'felamimail', 'identifying name', 'Identifie le nom'),
('fr', 'felamimail', 'icons only', 'Icônes seulement'),
('fr', 'felamimail', 'icons and text', 'Icônes et texte'),
('fr', 'felamimail', 'html', 'HTML'),
('fr', 'felamimail', 'how to forward messages', 'Comment les messages doivent-ils être transférés ?'),
('fr', 'felamimail', 'hostname / address', 'nom d''hôte / adresse'),
('fr', 'felamimail', 'hide header', 'Cacher l''entête'),
('fr', 'felamimail', 'header lines', 'Lignes d''Entête'),
('fr', 'felamimail', 'have a look at <a href="http://www.felamimail.org" target="_new">www.felamimail.org</a> to learn more about squirrelmail.<br>', 'Jettez un oeil à <a href="http://www.felamimail.org" target="_new">www.felamimail.org</a> pour en savoir plus sur Squirrelmail.<br>'),
('fr', 'felamimail', 'greater than', 'plus grand que'),
('fr', 'felamimail', 'full name', 'Nom complet'),
('fr', 'felamimail', 'from(a->z)', 'De (A->Z)'),
('fr', 'felamimail', 'from(z->a)', 'De (Z->A)'),
('fr', 'felamimail', 'found', 'Trouvé'),
('fr', 'felamimail', 'from', 'De'),
('fr', 'felamimail', 'forward to address', 'Tranférer à l''adresse'),
('fr', 'felamimail', 'forwarding', 'Transfert'),
('fr', 'felamimail', 'forward to', 'transférer à'),
('fr', 'felamimail', 'forward messages to', 'Transférer les messages à'),
('fr', 'felamimail', 'forward inline', 'Transférer intégré'),
('fr', 'felamimail', 'forward', 'Transférer'),
('fr', 'felamimail', 'forward as attachment', 'Transférer en pièce jointe'),
('fr', 'felamimail', 'for received mail', 'Pour le mail reçu'),
('fr', 'felamimail', 'for mail to be send - not functional yet', 'Pour le mail à envoyer - pas encore fonctionnel'),
('fr', 'felamimail', 'follow', 'Suivre'),
('fr', 'felamimail', 'folders created successfully!', 'Dossiers crées avec succès!'),
('fr', 'felamimail', 'folders', 'Dossiers'),
('fr', 'felamimail', 'foldername', 'Nom du dossier'),
('fr', 'felamimail', 'folderlist', 'Liste des dossiers'),
('fr', 'felamimail', 'folder settings', 'Réglages du dossier'),
('fr', 'felamimail', 'folder status', 'Etat du dossier'),
('fr', 'felamimail', 'folder preferences', 'Préférences du dossier'),
('fr', 'felamimail', 'folder path', 'Chemin du dossier'),
('fr', 'felamimail', 'folder name', 'Nom du dossier'),
('fr', 'felamimail', 'folder', 'Dossier'),
('fr', 'felamimail', 'folder acl', 'Droits sur le dossier'),
('fr', 'felamimail', 'first name', 'Prénom'),
('fr', 'felamimail', 'flagged', 'Marqué'),
('fr', 'felamimail', 'flags', 'Drapeaux'),
('fr', 'felamimail', 'filter active', 'Filtre actif'),
('fr', 'felamimail', 'filter name', 'Nom du filtre'),
('fr', 'felamimail', 'files', 'Fichiers'),
('fr', 'felamimail', 'filemanager', 'Gestionnaire de fichiers'),
('fr', 'felamimail', 'file into', 'Fichier dans'),
('fr', 'felamimail', 'extended', 'étendu'),
('fr', 'felamimail', 'expunge', 'Purger'),
('fr', 'felamimail', 'every %1 days', 'tous les %1 jours'),
('fr', 'felamimail', 'every', 'tous'),
('fr', 'felamimail', 'error: message could not be displayed.', 'ERREUR: Impossible d''afficher le message.'),
('fr', 'felamimail', 'error: could not save rule', 'Erreur: Impossible d''enregistrer la règle'),
('fr', 'felamimail', 'error: could not save message as draft', 'Erreur: Impossible d''enregistrer le message comme brouillon'),
('fr', 'felamimail', 'error opening', 'Erreur à l''ouverture'),
('fr', 'felamimail', 'error saving %1!', 'Erreur durant l''enregistrement de %1'),
('fr', 'felamimail', 'error:', 'Erreur:'),
('fr', 'felamimail', 'error creating rule while trying to use forward/redirect.', 'Erreur de création de règle, durant le transfert/redirection.'),
('fr', 'felamimail', 'error connecting to imap server: [%s] %s.', 'Erreur lors de connexion au serveur IMAP: [%s] %s.'),
('fr', 'felamimail', 'error connecting to imap server. %s : %s.', 'Erreur lors de connexion au serveur IMAP. %s : %s.'),
('fr', 'felamimail', 'error connecting to imap serv', 'Erreur lors de la connexion au serveur IMAP'),
('fr', 'felamimail', 'error', 'ERREUR'),
('fr', 'felamimail', 'entry saved', 'Entrée enregistrée'),
('fr', 'felamimail', 'enable', 'Activer'),
('fr', 'felamimail', 'encrypted connection', 'connexion chiffrée'),
('fr', 'felamimail', 'empty trash', 'Vider la Corbeille'),
('fr', 'felamimail', 'email signature', 'Signature de messagerie'),
('fr', 'felamimail', 'emailaddress', 'adresse email'),
('fr', 'felamimail', 'email notification update failed', 'la mise à jour de la notification par email a échoué'),
('fr', 'felamimail', 'email forwarding address', 'Adresse mail de transfert'),
('fr', 'felamimail', 'email address', 'Adresse de messagerie'),
('fr', 'felamimail', 'editor type', 'Type d''éditeur'),
('fr', 'felamimail', 'edit vacation settings', 'Editer les paramètre de vacances'),
('fr', 'felamimail', 'edit selected', 'Modifier sélectionné'),
('fr', 'felamimail', 'edit rule', 'Modifier la règle'),
('fr', 'felamimail', 'edit filter', 'Modifier le filtre'),
('fr', 'felamimail', 'edit email forwarding address', 'Editer l''adresse de transfert d''email'),
('fr', 'felamimail', 'e-mail folders', 'Dossiers EMail'),
('fr', 'felamimail', 'e-mail address', 'Adresse de messagerie'),
('fr', 'felamimail', 'e-mail', 'EMail'),
('fr', 'felamimail', 'drafts', 'Projets'),
('fr', 'felamimail', 'draft folder', 'dossier brouillon'),
('fr', 'felamimail', 'download', 'Télécharger'),
('fr', 'felamimail', 'download this as a file', 'Télécharger en tant que fichier'),
('fr', 'felamimail', 'down', 'bas'),
('fr', 'felamimail', 'dont strip any tags', 'ne pas supprimer toutes les balises'),
('fr', 'felamimail', 'don''t use trash', 'Ne pas utiliser la Corbeille'),
('fr', 'felamimail', 'don''t use template folder', 'Ne pas utiliser le dossier des modèles'),
('fr', 'felamimail', 'don''t use sent', 'Ne pas utiliser Eléments envoyés'),
('fr', 'felamimail', 'don''t use draft folder', 'Ne pas utiliser un dossier brouillon'),
('fr', 'felamimail', 'does not match regexp', 'ne correspond pas à la regexp'),
('fr', 'felamimail', 'does not match', 'ne correspond pas'),
('fr', 'felamimail', 'does not contain', 'ne contient pas'),
('fr', 'felamimail', 'does not exist on imap server.', 'n''existe pas sur le serveur IMAP'),
('fr', 'felamimail', 'do you want to prevent the managing of folders (creation, accessrights and subscribtion)?', 'Voulez-vous prévenir la gestion des dossiers (création, gestion des droits d''accès et abonnement) ?'),
('fr', 'felamimail', 'do you want to prevent the editing/setup of the absent/vacation notice (, even if sieve is enabled)?', 'Voulez-vous prévenir l''édition/configuration de la notification d''absences/vacances (même si SIEVE est activé) ?'),
('fr', 'felamimail', 'do you want to prevent the editing/setup of notification by mail to other emailadresses if emails arrive (, even if sieve is ena', 'Voulez-vous prévenir l''édition/configuration de la notification par email à d''autres adresses emails si des emails arrivent (même si SIEVE est activé) ?'),
('fr', 'felamimail', 'do you want to prevent the editing/setup of filter rules (, even if sieve is enabled)?', 'Voulez-vous prévenir l''édition/configuration des règles de filtrages (même si SIEVE est activé) ?'),
('fr', 'felamimail', 'do you want to prevent the editing/setup for forwarding of mails via settings (, even if sieve is enabled)?', 'Voulez-vous prévenir l''édition/configuration du transfert des mails par règles (même si SIEVE est activé) ?'),
('fr', 'felamimail', 'do you want to be asked for confirmation before moving selected messages to another folder?', 'Voulez-vous recevoir une notification de confirmation avant de déplacer les messages sélectionnés dans un autre dossier ?'),
('fr', 'felamimail', 'do you really want to move the selected messages to folder:', 'Voulez-vous vraiment déplacer les messages sélectionnés dans le dossier:'),
('fr', 'felamimail', 'do you really want to move or copy the selected messages to folder:', 'Voulez-vous vraiment déplacer ou copier les messages sélectionnés dans le dossier:'),
('fr', 'felamimail', 'do you really want to delete the selected signatures?', 'Voulez-vous vraiment supprimer les signatures sélectionnées?'),
('fr', 'felamimail', 'do you really want to delete the selected accountsettings and the assosiated identity.', 'Voulez-vous vraiment effacer le Compte sélectionné ainsi que son Identité associée?'),
('fr', 'felamimail', 'do you really want to delete the ''%1'' folder?', 'Voulez-vous vraiment effacer le dossier ''%1''?'),
('fr', 'felamimail', 'do not validate certificate', 'ne pas valider le certificat'),
('fr', 'felamimail', 'do not use trash', 'Ne pas utiliser la corbeille'),
('fr', 'felamimail', 'do not use sent', 'Ne pas utiliser Sent (envoyés)'),
('fr', 'felamimail', 'do it!', 'Fais-le!'),
('fr', 'felamimail', 'displaying html messages is disabled', 'l''affichage des messages html est désactivé'),
('fr', 'felamimail', 'display preferences', 'Afficher les préférences'),
('fr', 'felamimail', 'display only when no plain text is available', 'Afficher seulement quand le format texte n''est pas disponible'),
('fr', 'felamimail', 'display of html emails', 'Afficher les messages HTML'),
('fr', 'felamimail', 'display messages in multiple windows', 'afficher les messages dans plusieurs fenêtres'),
('fr', 'felamimail', 'display message in new window', 'Afficher le message dans une nouvelle fenêtre'),
('fr', 'felamimail', 'discard message', 'annuler les modifications'),
('fr', 'felamimail', 'disable', 'Désactiver'),
('fr', 'felamimail', 'discard', 'annuler'),
('fr', 'felamimail', 'deleting messages', 'suppression des messages'),
('fr', 'felamimail', 'deleted folder successfully!', 'Dossier effacé avec succès!'),
('fr', 'felamimail', 'deleted', 'Effacés'),
('fr', 'felamimail', 'delete selected messages', 'Effacer les messages sélectionnés'),
('fr', 'felamimail', 'delete selected', 'Effacer sélectionnés'),
('fr', 'felamimail', 'delete script', 'Effacer le script'),
('fr', 'felamimail', 'delete folder', 'Effacer le dossier'),
('fr', 'felamimail', 'delete all', 'Effacer tous'),
('fr', 'felamimail', 'default sorting order', 'Ordre de tri par défaut'),
('fr', 'felamimail', 'default signature', 'signature par défaut'),
('fr', 'felamimail', 'default', 'défaut'),
('fr', 'felamimail', 'deactivate script', 'désactiver les scripts'),
('fr', 'felamimail', 'days', 'jours'),
('fr', 'felamimail', 'date(oldest first)', 'Date (plus ancienne d''abord)'),
('fr', 'felamimail', 'date(newest first)', 'Date (plus récente d''abord)'),
('fr', 'felamimail', 'dark yellow', 'Jaune foncé'),
('fr', 'felamimail', 'dark magenta', 'Magenta foncé'),
('fr', 'felamimail', 'dark green', 'Vert foncé'),
('fr', 'felamimail', 'dark gray', 'Gris foncé'),
('fr', 'felamimail', 'dark cyan', 'Cyan foncé'),
('fr', 'felamimail', 'dark blue', 'Bleu foncé'),
('fr', 'felamimail', 'created folder successfully!', 'Dossier créé avec succès!'),
('fr', 'felamimail', 'create trash', 'Créer la corbeille'),
('fr', 'felamimail', 'create subfolder', 'Créer un sous-dossier'),
('fr', 'felamimail', 'create sent', 'Créer Sent (envoyés)'),
('fr', 'felamimail', 'create folder', 'Créer un dossier'),
('fr', 'felamimail', 'create', 'Créer'),
('fr', 'felamimail', 'cram-md5 or digest-md5 requires the auth_sasl package to be installed.', 'CRAM-MD5 ou DIGEST-MD5 requièrent l''installation du paquetage Auth_SASL.'),
('fr', 'felamimail', 'could not import message:', 'Impossible d''importer le message:'),
('fr', 'felamimail', 'could not open secure connection to the imap server. %s : %s.', 'Impossible d''avoir une connexion sécurisée avec le serveur IMAP. %s : %s.'),
('fr', 'felamimail', 'copying messages to', 'Copier le message pour'),
('fr', 'felamimail', 'could not complete request. reason given: %s', 'Requête non achevée. Raison invoquée: %s'),
('fr', 'felamimail', 'copy or move messages?', 'Copier ou Déplacer les messages?'),
('fr', 'felamimail', 'contains', 'contient'),
('fr', 'felamimail', 'contact not found!', 'Contact introuvable!'),
('fr', 'felamimail', 'connection dropped by imap server.', 'Connexion annulée par le serveur IMAP'),
('fr', 'felamimail', 'configure a valid imap server in emailadmin for the profile you are using.', 'Configurer dans emailadmin un serveur IMAP valide pour le profil que vous utilisez.'),
('fr', 'felamimail', 'configuration', 'Configuration'),
('fr', 'felamimail', 'condition', 'condition'),
('fr', 'felamimail', 'compress folder', 'Compresser le dossier'),
('fr', 'felamimail', 'compose as new', 'composer comme nouveau'),
('fr', 'felamimail', 'compose', 'Composer'),
('fr', 'felamimail', 'color', 'Couleur'),
('fr', 'felamimail', 'close window', 'Fermer la fenêtre'),
('fr', 'felamimail', 'close this page', 'Fermer cette page'),
('fr', 'felamimail', 'close all', 'Tout fermer'),
('fr', 'felamimail', 'click here to return to %1', 'Cliquez ici pour retourner à %1'),
('fr', 'felamimail', 'click here to log back in.', 'Cliquez ici pour vous reconnecter'),
('fr', 'felamimail', 'clear search', 'réinitialiser termes de la recherche'),
('fr', 'felamimail', 'checkbox', 'Case à cocher'),
('fr', 'felamimail', 'check message against next rule also', 'vérifiez le message avec la prochaine règle également'),
('fr', 'felamimail', 'can''t connect to inbox!!', 'Impossible de se connecter au serveur!'),
('fr', 'felamimail', 'cc', 'Copie à'),
('fr', 'felamimail', 'change folder', 'Changer de dossier'),
('fr', 'felamimail', 'can not send message. no recipient defined!', 'Impossible d''envoyer le message, il n''y a pas de destinataire'),
('fr', 'felamimail', 'by date', 'Par date'),
('fr', 'felamimail', 'body part', 'Corps du message'),
('fr', 'felamimail', 'between headers and message body', 'Entre les entêtes et le corps du message'),
('fr', 'felamimail', 'before headers', 'Avant les entêtes'),
('fr', 'felamimail', 'bcc', 'Copie cachée'),
('fr', 'felamimail', 'based upon given criteria, incoming messages can have different background colors in the message list.  this helps to easily dis', 'En se basant sur les critères donnés, les messages entrants peuvent avoir des couleurs de fond différentes dans la liste des messages. Ceci aide à distinguer aisément de qui sont les messages, spécialement pour les listes de diffusion.'),
('fr', 'felamimail', 'bad request: %s', 'Requête invalide: %s'),
('fr', 'felamimail', 'back to folder', 'Retour au dossier'),
('fr', 'felamimail', 'bad login name or password.', 'Mauvais login ou mot de passe'),
('fr', 'felamimail', 'bad or malformed request. server responded: %s', 'Requête invalide ou malformée. Le serveur a répondu: %s'),
('fr', 'felamimail', 'authentication required', 'authentification requise'),
('fr', 'felamimail', 'auto refresh folder list', 'Auto-rafraîchir la liste des dossiers'),
('fr', 'felamimail', 'attach', 'Attacher'),
('fr', 'felamimail', 'attachments', 'Attachements'),
('fr', 'felamimail', 'as a subfolder of', 'Comme un sous-dossier de'),
('fr', 'felamimail', 'any status', 'n''importe quel statut'),
('fr', 'felamimail', 'anyone', 'N''importe qui'),
('fr', 'felamimail', 'allways a new window', 'toujours une nouvelle fenêtre'),
('fr', 'felamimail', 'always show html emails', 'Toujours affecher les messages HTML'),
('fr', 'felamimail', 'and', 'et'),
('fr', 'felamimail', 'any of', 'un de'),
('fr', 'felamimail', 'allow images from external sources in html emails', 'Autoriser les images de sources externes dans les emails HTML'),
('fr', 'felamimail', 'all of', 'tous de'),
('fr', 'felamimail', 'all messages in folder', 'Tous les messages du dossier'),
('fr', 'felamimail', 'all folders', 'Tous les dossiers'),
('fr', 'felamimail', 'all address books', 'Tous les carnets d''adresses'),
('fr', 'felamimail', 'after message body', 'Après le corps du message'),
('fr', 'felamimail', 'address book search', 'Recherche dans le carnet d''adresses'),
('fr', 'felamimail', 'address book', 'Carnet d''adresses'),
('fr', 'felamimail', 'additional info', 'Informations additionnelles'),
('fr', 'felamimail', 'adding file to message. please wait!', 'Ajout fichier au message. Veuillez patienter!'),
('fr', 'felamimail', 'add to addressbook', 'Ajouter au carnet d''adresses'),
('fr', 'felamimail', 'add to address book', 'Ajouter au carnet d''adresses'),
('fr', 'felamimail', 'add to %1', 'Ajouter à %1'),
('fr', 'felamimail', 'add script', 'Ajouter un script'),
('fr', 'felamimail', 'add rule', 'Ajouter une règle'),
('fr', 'felamimail', 'add address', 'Ajouter l''adresse'),
('fr', 'felamimail', 'add acl', 'ajouter acl'),
('fr', 'felamimail', 'activating by date requires a start- and end-date!', 'Activation par date nécessite une date de début ET de fin!'),
('fr', 'felamimail', 'activate script', 'Activer le script'),
('fr', 'felamimail', 'activate', 'Activer'),
('fr', 'felamimail', 'aborted', 'annulé'),
('fr', 'felamimail', '3paneview: if you want to see a preview of a mail by single clicking onto the subject, set the height for the message-list and t', '3PaneView: Si vous voulez voir un aperçu d''un email par simple clic sur le sujet, régler la hauteur de la liste des messages et de la zone d''aperçu (300 semble être une bonne valeur). La visualisation sera affichée à la fin de la liste des messages sur demande (en cliquant).'),
('fr', 'felamimail', '(unknown sender)', '(envoyeur inconnu)'),
('fr', 'felamimail', '(separate multiple addresses by comma)', '(séparer les adresses multiples par des virgules)'),
('fr', 'felamimail', '(only cc/bcc)', '(seulement Cc/Bcc)'),
('fr', 'felamimail', '(no subject)', '(pas de sujet)'),
('fr', 'filemanager', 'your home directory', 'Répertoire personnel'),
('fr', 'felamimail', '%1 is not writable by you!', '%1 n''est pas accessible en écriture!'),
('fr', 'filemanager', 'your home dir did not exist, egroupware created a new one.', 'Votre répertoire personnel n''existait pas alors eGroupWare l''a créé.'),
('fr', 'filemanager', 'you will be redirected to your start folder.', 'Vous allez être redirigé vers votre dossier par défaut.'),
('fr', 'filemanager', 'you will be redirected to your home directory.', 'Vous allez être redigiré vers votre répertoire personnel.'),
('fr', 'filemanager', 'you need to select some files first!', 'Vous devez d''abord sélectionner des fichiers !'),
('fr', 'filemanager', 'you need to select an owner!', 'Vous devez choisir un propriétaire !'),
('fr', 'filemanager', 'you do not have access to %1', 'Vous n''avez pas accès à %1'),
('fr', 'filemanager', 'you can only grant additional rights, you can not take rights away!', 'Vous pouvez seulement attribuer des droits supplémentaires mais pas en retirer !'),
('fr', 'filemanager', 'you are not allowed to upload a script!', 'Vous n''êtes pas autorisé à uploader un script !'),
('fr', 'filemanager', 'users and groups', 'Utilisateurs et groupes'),
('fr', 'filemanager', 'wrong username or password!', 'Mauvais login ou mot de passe !'),
('fr', 'filemanager', 'used space', 'Espace utilisé'),
('fr', 'filemanager', 'updated comment for %1', 'Commentaire pour %1 mis à jour'),
('fr', 'filemanager', 'up', 'Haut'),
('fr', 'filemanager', 'unused space', 'Espace inutilisé'),
('fr', 'filemanager', 'total files', 'Nombre de Fichiers'),
('fr', 'filemanager', 'there''s already a file with that name!', 'Il y a déjà un fichier avec ce nom !'),
('fr', 'filemanager', 'there''s already a directory with that name!', 'Il y a déjà un répertoire avec ce nom !'),
('fr', 'filemanager', 'the requested path %1 is not available.', 'Le chemin demandé %1 n''est pas disponible !'),
('fr', 'filemanager', 'symlink to %1 created.', 'Lien symbolique vers %1 créé'),
('fr', 'filemanager', 'superuser', 'Super-utilisateur'),
('fr', 'filemanager', 'startfolder', 'Dossier de début'),
('fr', 'filemanager', 'start search', 'Début de la recherche'),
('fr', 'filemanager', 'size', 'Taille'),
('fr', 'filemanager', 'show link to filemanagers basedirectory (/) in side box menu?', 'Afficher un lien vers la racine (/) du gestionnaire de fichiers dans le menu latéral'),
('fr', 'filemanager', 'select file to upload in current directory', 'Choisissez un fichier à télécharger dans le répertoire courant'),
('fr', 'filemanager', 'show', 'Afficher'),
('fr', 'filemanager', 'show hidden files', 'Afficher les fichiers cachés'),
('fr', 'filemanager', 'select action...', 'Sélectionner une acion...'),
('fr', 'filemanager', 'search for ''%1''', 'Recherche de ''%1'''),
('fr', 'filemanager', 'searchstring', 'Chaine de recherche'),
('fr', 'filemanager', 'saved %1', '%1 enregistré'),
('fr', 'filemanager', 'saving properties failed!', 'Echec de l''enregistrement des propriétés !'),
('fr', 'filemanager', 'save changes', 'Enregistrer les changements'),
('fr', 'filemanager', 'root access stopped.', 'Fin de l''attribution de l''accès root'),
('fr', 'filemanager', 'save %1', 'Enregistrer %1'),
('fr', 'filemanager', 'save %1, and go back to file listing', 'Enregistrer %1, et retour au listing'),
('fr', 'filemanager', 'root access granted.', 'Attribution de l''accès root'),
('fr', 'filemanager', 'root', 'Root'),
('fr', 'filemanager', 'rights', 'Droits'),
('fr', 'filemanager', 'replaced %1', 'Remplacé %1'),
('fr', 'filemanager', 'renamed %1 to %2.', 'Renommé %1 en %2'),
('fr', 'filemanager', 'renamed %1 to %2', 'Renommé %1 en %2'),
('fr', 'filemanager', 'rename, change permissions or ownership', 'Renommage, changements de permissions et de propriétaire'),
('fr', 'filemanager', 'rename of %1 to %2 failed!', 'Renommage de %1 en %2 en échec !'),
('fr', 'filemanager', 'reload', 'Recharger'),
('fr', 'filemanager', 'read access only', 'Accès en lecture seule'),
('fr', 'filemanager', 'read & write access', 'Accès en lecture-écriture'),
('fr', 'filemanager', 'quick jump to', 'Aller à'),
('fr', 'filemanager', 'properties saved.', 'Propriétés enregistrées.'),
('fr', 'filemanager', 'preview of %1', 'Prévisualisation de %1'),
('fr', 'filemanager', 'projectmanager', 'Gestionnaire de projets'),
('fr', 'filemanager', 'preview %1', 'Prévisualisation %1'),
('fr', 'filemanager', 'preview', 'Aperçu'),
('fr', 'filemanager', 'please select a file to delete.', 'Sélectionnez un fichier à effacer.'),
('fr', 'filemanager', 'permissions of %1 changed.', 'Permissions de %1 modifiées !'),
('fr', 'filemanager', 'permissions', 'Permissions'),
('fr', 'filemanager', 'permission denied!', 'Permission refusée !'),
('fr', 'filemanager', 'operation', 'Opération'),
('fr', 'filemanager', 'open', 'Ouvrir'),
('fr', 'filemanager', 'only owner can rename or delete the content', 'Seul le propriétaire peut renommer ou supprimer le contenu.'),
('fr', 'filemanager', 'no preview available', 'Aucune prévisualisation disponible.'),
('fr', 'filemanager', 'no version history for this file/directory', 'Pas d''historique de versions pour ce fichier/répertoire'),
('fr', 'filemanager', 'no files in this directory.', 'Pas de fichiers dans ce répertoire.'),
('fr', 'filemanager', 'no access', 'Pas d''accès'),
('fr', 'filemanager', 'moved %1 to %2', 'Déplacé %1 dans %2'),
('fr', 'filemanager', 'move to', 'Déplacer dans'),
('fr', 'filemanager', 'move', 'Déplacer'),
('fr', 'filemanager', 'modify all subdirectories and their content', 'Modifier tous les sous-répertoires et leurs contenus'),
('fr', 'filemanager', 'modified', 'Modifié'),
('fr', 'filemanager', 'modified between', 'Modifié entre'),
('fr', 'filemanager', 'mime type', 'Type MIME'),
('fr', 'filemanager', 'log out as superuser', 'Log out du profil super-utilisateur'),
('fr', 'filemanager', 'location', 'Emplacement'),
('fr', 'filemanager', 'link target %1 not found!', 'Cible du lien %1 non trouvé'),
('fr', 'filemanager', 'link %1: %2', 'Lien %1: %2'),
('fr', 'filemanager', 'link', 'Lien'),
('fr', 'filemanager', 'inherited', 'hérité'),
('fr', 'filemanager', 'id', 'Id'),
('fr', 'filemanager', 'go up', 'Remonter'),
('fr', 'filemanager', 'go to your home directory', 'Aller dans votre répertoire "home" (maison)'),
('fr', 'filemanager', 'go to', 'Aller dans'),
('fr', 'filemanager', 'go home', 'Répertoire personnel'),
('fr', 'filemanager', 'general', 'Général'),
('fr', 'filemanager', 'folder up', 'Répertoire parent'),
('fr', 'filemanager', 'files in this directory', 'Fichiers dans ce répertoire'),
('fr', 'filemanager', 'files from subdirectories', 'Fichier des sous-répertoires'),
('fr', 'filemanager', 'file successful uploaded.', 'Fichier uploadé avec succès !'),
('fr', 'filemanager', 'file or directory not found!', 'Fichier ou répertoire non trouvé !'),
('fr', 'filemanager', 'file names cannot contain "%1"', 'Les noms de fichier ne peuvent contenir "%1"'),
('fr', 'filemanager', 'file deleted.', 'Fichier supprimé'),
('fr', 'filemanager', 'file %1 may be too big. contact your systemadministrator for further info', 'Le fichier %1 est peut-être trop volumineux.'),
('fr', 'filemanager', 'file %1 could not be created.', 'Le fichier %1 n''a pas pu être créé.'),
('fr', 'filemanager', 'file %1 already exists. please edit it or delete it first.', 'Le fichier %1 existe déjà. SVP modifiez-le ou effacez-le d''abord.'),
('fr', 'filemanager', 'file', 'Fichier'),
('fr', 'filemanager', 'favorites', 'Favoris'),
('fr', 'filemanager', 'failed to create directory!', 'Echec de la création du répertoire !'),
('fr', 'filemanager', 'failed to change permissions of %1!', 'Echec du changement des droits sur %1 !'),
('fr', 'filemanager', 'extended acl', 'ACL étendus'),
('fr', 'filemanager', 'executable', 'Exécutable'),
('fr', 'filemanager', 'extended access control list', 'Droits d''accès (ACL) étendus'),
('fr', 'filemanager', 'error deleting the acl entry!', 'Erreur à la suppression de l''entrée ACL !'),
('fr', 'filemanager', 'error creating symlink to target %1!', 'Erreur à la création du lien symbolique vers la cible %1 !'),
('fr', 'filemanager', 'error adding the acl!', 'Erreur à l''ajout de l''ACL !'),
('fr', 'filemanager', 'enter the complete vfs path to specify your desired start folder.', 'Entrer un chemin VFS complet pour spécifier votre dossier par défaut'),
('fr', 'filemanager', 'enter the complete vfs path to specify a fast access link to a folder', 'Entrer le chemin VFS complet pour spécifier un accès rapide à un dossier.'),
('fr', 'filemanager', 'enter setup user and password to get root rights', 'Entrer un login et mot de passe de setup pour obtenir les droits root'),
('fr', 'filemanager', 'enter setup user and password', 'Entrer un login et mot de passe de setup'),
('fr', 'filemanager', 'edit settings', 'Modifier les paramètres'),
('fr', 'filemanager', 'download', 'Downloader'),
('fr', 'filemanager', 'edit comments', 'Modifier les commentaires'),
('fr', 'filemanager', 'do you want to overwrite the existing file %1?', 'Voulez-vous écraser le fichier existant %1 ?'),
('fr', 'filemanager', 'display and modification of content', 'Affichage et modification de contenu'),
('fr', 'filemanager', 'display of content', 'Affichage de contenu'),
('fr', 'filemanager', 'directory not found or no permission to access it!', 'Répertoire non trouvé ou pas de permission d''accès !'),
('fr', 'filemanager', 'directory names cannot contain "%1"', 'Les noms de répertoire ne peuvent pas contenir "%1"'),
('fr', 'filemanager', 'directory %1 does not exist', 'Le répertoire %1 n''existe pas'),
('fr', 'filemanager', 'directory %1 already exists', 'Le répertoire %1 existe déjà'),
('fr', 'filemanager', 'directory', 'Répertoire'),
('fr', 'filemanager', 'directories sorted in', 'Répertoires triés'),
('fr', 'filemanager', 'deleted %1', '%1 supprimé'),
('fr', 'filemanager', 'delete this file or directory', 'Supprimer ce fichier ou répertoire ?'),
('fr', 'filemanager', 'cut', 'Couper'),
('fr', 'filemanager', 'cut to clipboard', 'Couper vers le presse-papier'),
('fr', 'filemanager', 'custom fields', 'Champs personnalisés'),
('fr', 'filemanager', 'current directory', 'Répertoire courant'),
('fr', 'filemanager', 'created directory %1', 'Répertoire %1 créé'),
('fr', 'filemanager', 'created %1,%2', 'Création de %1,%2'),
('fr', 'filemanager', 'created', 'Créé'),
('fr', 'filemanager', 'create folder', 'Créer dossier'),
('fr', 'filemanager', 'create file', 'Créer fichier'),
('fr', 'filemanager', 'create directory', 'Créer un répertoire'),
('fr', 'filemanager', 'create a link', 'Créer un lien'),
('fr', 'filemanager', 'could not save %1', 'N''a pas pu enregistrer %1'),
('fr', 'filemanager', 'could not rename %1 to %2', 'N''a pas pu renommer %1 to %2'),
('fr', 'filemanager', 'could not move file because no destination directory is given', 'Impossible de déplacer le fichier car aucun répertoire de destination n''a été donné'),
('fr', 'filemanager', 'could not delete %1', 'N''a pas pu effacer %1'),
('fr', 'filemanager', 'could not move %1 to %2', 'N''a pas pu déplacer %1 to %2'),
('fr', 'filemanager', 'could not create %1', 'N''a pas pu créér %1'),
('fr', 'filemanager', 'could not copy file because no destination directory is given', 'Impossible de copier le fichier car aucun répertoire de destination n''a été donné'),
('fr', 'filemanager', 'could not copy %1 to %2', 'N''a pas pu copier %1 vers %2'),
('fr', 'filemanager', 'copy to clipboard', 'Copier vers le presse-papier'),
('fr', 'filemanager', 'copy to', 'Copier vers'),
('fr', 'filemanager', 'copy', 'Copier'),
('fr', 'filemanager', 'copied', 'Copié'),
('fr', 'filemanager', 'copied %1 to %2', 'Copié %1 vers %2'),
('fr', 'filemanager', 'comments cannot contain "%1"', 'Les commentaires ne peuvent pas contenir "%1"'),
('fr', 'filemanager', 'comment', 'Commentaire'),
('fr', 'filemanager', 'clear search', 'réinitialiser termes de la recherche'),
('fr', 'filemanager', 'check all', 'Vérifier tout'),
('fr', 'filemanager', 'cannot create directory because it begins or ends in a space', 'Ne peut créér le répertoire car il commence ou finit sur un espace'),
('fr', 'filemanager', 'cancel editing %1 without saving', 'Annuler les modifications de "%1"'),
('fr', 'filemanager', 'can''t open directory %1!', 'Ne peut pas ouvrir le répertoire %1 !'),
('fr', 'filemanager', 'basedirectory', 'Répertoire de base'),
('fr', 'filemanager', 'and all it''s childeren', 'et tous ses sous-éléments'),
('fr', 'filemanager', 'actions', 'Actions'),
('fr', 'filemanager', 'acl deleted.', 'ACL supprimé'),
('fr', 'filemanager', 'acl added.', 'ACL ajouté'),
('fr', 'filemanager', 'accessrights', 'Droits d''accès'),
('fr', 'filemanager', '%1 urls %2 to clipboard.', '%1 URLs %2 dans le presse-papier'),
('fr', 'filemanager', '%1 the following files into current directory', '%1 les  fichiers suivants dans le répertoire courant'),
('fr', 'filemanager', '%1 successful uploaded.', '%1 chargé avec succès'),
('fr', 'filemanager', '%1 starts with ''%2''', '%1 débute avec ''%2'''),
('fr', 'filemanager', '%1 files moved.', '%1 fichier(s) déplacé(s)'),
('fr', 'filemanager', '%1 files deleted.', '%1 fichier(s) supprimé(s)'),
('fr', 'filemanager', '%1 files copied.', '%1 fichier(s) copié(s).'),
('fr', 'filemanager', '%1 failed, %2 succeded', '%1 en échec, %2 réussi.'),
('fr', 'filemanager', '%1 errors moving (%2 files moved)!', '%1 erreur en déplaçant. %2 fichier(s) déplacé(s) !'),
('fr', 'filemanager', '%1 errors linking (%2)!', '%1 erreur à la liaison (%2)!'),
('fr', 'filemanager', '%1 errors deleteting (%2 directories and %3 files deleted)!', '%1 erreur(s) à la suppression, %2 répertoire(s) et %3 fichier(s) copié(s) !'),
('fr', 'filemanager', '%1 errors copying (%2 diretories and %3 files copied)!', '%1 erreur(s) à la copie, %2 répertoire(s) et %3 fichier(s) copié(s) !'),
('fr', 'filemanager', '%1 elements linked.', '%1 élément(s) lié(s).'),
('fr', 'filemanager', '%1 directories and %2 files deleted.', '%1 répertoires et %2 fichiers supprimés.'),
('fr', 'filemanager', '%1 directories and %2 files copied.', '%1 répertoires et %2 fichiers copiés.'),
('fr', 'filemanager', 'maximum size for uploads', 'Taille maximale d''un upload'),
('fr', 'filemanager', '%1 already exists as a file', '%1 existe déjà en tant que fichier'),
('fr', 'filemanager', 'error uploading file!', 'Erreur à l''upload du fichier !'),
('fr', 'etemplate', 'you need to select a file first!', 'Sélectionner d''abord un fichier !'),
('fr', 'etemplate', 'year', 'Année'),
('fr', 'etemplate', 'you can respond by visiting:', 'Pour le voir, visitez:'),
('fr', 'etemplate', 'xslt template', 'Template XSLT'),
('fr', 'etemplate', 'xml-file to import', 'Fichier XML à importer'),
('fr', 'etemplate', 'writes a ''etemplates.inc.php'' file (for application in name) in the setup-dir of the app', 'Ecrit un fichier ''etemplates.inc.php'' (pour l''application dans le nom) dans le répertoire setup de l''application'),
('fr', 'etemplate', 'write tables', 'Ecrire les tables'),
('fr', 'etemplate', 'write langfile', 'Ecrire le fichier de langage'),
('fr', 'etemplate', 'write <app>/setup/tables_current.inc.php', 'Ecrire <app>/setup/tables_current.inc.php'),
('fr', 'etemplate', 'working days', 'jours ouvrables'),
('fr', 'etemplate', 'width, disabled', 'Largeur, désactivé'),
('fr', 'etemplate', 'width of the table in % or pixels for the table-tag and (optional) div', 'Largeur de la table en % ou pixels, pour le tag de la table et div (optionnel)'),
('fr', 'etemplate', 'width of column (in % or pixel)', 'largeur de la colonne (en % ou pixel)'),
('fr', 'etemplate', 'width', 'Largeur'),
('fr', 'etemplate', 'width of col (in % or pixel), disable col: [! = not]<value>[=<check>] eg: ''!@data'' disable col if content of data is empty', 'Largeur de la colonne (en % ou pixels), désactiver col: [! = pas]<valeur>[=<verifier>] p.e.: ''!@donnees'' désactive la colonne  si le contenu de donnees est vide'),
('fr', 'etemplate', 'widget copied into clipboard', 'widget copié dans le presse-papiers'),
('fr', 'etemplate', 'what happens with overflowing content: visible (default), hidden, scroll, auto (browser decides)', 'ce qui se passe avec un contenu débordant: visible (défaut), caché, scroll, auto (le navigateur décide)'),
('fr', 'etemplate', 'weekend', 'weekend'),
('fr', 'etemplate', 'view this etemplate', 'voir cet eTemplate'),
('fr', 'etemplate', 'view this linked entry in its application', 'Voir cette entrée liée dans son application'),
('fr', 'etemplate', 'vertical alignment of row', 'alignement vertical de la ligne'),
('fr', 'etemplate', 'version-number, should be in the form: major.minor.revision.number (eg. 0.9.13.001 all numbers filled up with zeros)', 'Numéro de version, devrait être de la forme: majeur.mineur.revision.nombre (p.e. 0.9.13.001 tous les nombres remplis avec des zéros)'),
('fr', 'etemplate', 'vbox', 'BoîteV'),
('fr', 'etemplate', 'version', 'Version'),
('fr', 'etemplate', 'value has to be at maximum ''%1'' !!!', 'La valeur doit être au maximum ''%1'' !!!'),
('fr', 'etemplate', 'value', 'Valeur'),
('fr', 'etemplate', 'value has to be at least ''%1'' !!!', 'La valeur doit être d''au moins ''%1'' !!!'),
('fr', 'etemplate', 'valign', 'vAlign'),
('fr', 'etemplate', 'update from version ''%s'' to', 'Mettre à jour depuis la Version ''%s'' vers'),
('fr', 'etemplate', 'upload', 'Uploader'),
('fr', 'etemplate', 'update a single entry by passing the fields.', 'Mettre à jour une unique entrée en passant les champs.'),
('fr', 'etemplate', 'unlink', 'Délier'),
('fr', 'etemplate', 'unique', 'Unique'),
('fr', 'etemplate', 'type of the field (select label if field should be empty)', 'Type du champ (choisissez le label si le champ devrait être vide)'),
('fr', 'etemplate', 'type of the column', 'Type de la colonne'),
('fr', 'etemplate', 'type', 'Type'),
('fr', 'etemplate', 'tree', 'Arborescence'),
('fr', 'etemplate', 'top', 'Sommet'),
('fr', 'etemplate', 'today', 'Aujourd''hui'),
('fr', 'etemplate', 'to start the search', 'Pour démarrer la recherche'),
('fr', 'etemplate', 'to start the etemplate editor', 'Pour démarre l''éditeur d''eTemplate'),
('fr', 'etemplate', 'to start the db-tools', 'Pour démarre les outils base de données'),
('fr', 'etemplate', 'time', 'Heure'),
('fr', 'etemplate', 'to disable: [! = not]<value>[=<check>] eg: ''!@data'' disables if content of data is empty', 'pour désactiver: [! = not]<value>[=<vérification>] p.ex.: ''!@data'' désactive si les données sont vides'),
('fr', 'etemplate', 'this text gets displayed if the input-field is empty and has no focus (blur)', 'ce texte s''affiche si le champ de saisie est vide et n''a pas le focus (flou)'),
('fr', 'etemplate', 'textarea', 'ChampTexte'),
('fr', 'etemplate', 'text', 'Texte'),
('fr', 'etemplate', 'template saved', 'Template enregistré'),
('fr', 'etemplate', 'template', 'Template'),
('fr', 'etemplate', 'template deleted', 'Template effacé'),
('fr', 'etemplate', 'tablename', 'NomTable'),
('fr', 'etemplate', 'tabs', 'Tabs'),
('fr', 'etemplate', 'tabindex', 'Tabindex'),
('fr', 'etemplate', 'table unchanged, no write necessary !!!', 'Table non modifiée, aucune écriture nécessaire !!!'),
('fr', 'etemplate', 'switch to an other widgets of that container', 'change pour un autre widget de ce container'),
('fr', 'etemplate', 'switch to a parent widget', 'change pour un widget parent'),
('fr', 'etemplate', 'swap', 'rocade'),
('fr', 'etemplate', 'swap widget with next one', 'faire une rocade du widget avec le suivant'),
('fr', 'etemplate', 'swap with next column', 'faire une rocade avec la colonne suivante'),
('fr', 'etemplate', 'swap with next row', 'faire une rocade avec la ligne suivante'),
('fr', 'etemplate', 'submitbutton', 'BoutonSoumettre'),
('fr', 'etemplate', 'submit form', 'soumettre le formulaire'),
('fr', 'etemplate', 'start new search for the above pattern', 'Démarre une nouvelle recherche pour la chaîne de caractères ci-dessus'),
('fr', 'etemplate', 'start a new search, cancel this link', 'Démarre une nouvelle recherche, annule ce lien'),
('fr', 'etemplate', 'stack', 'Pile'),
('fr', 'etemplate', 'span', 'Envergure'),
('fr', 'etemplate', 'span, class', 'Envergure, Classe'),
('fr', 'etemplate', 'spacing', 'Espacement'),
('fr', 'etemplate', 'shows/displays etemplate for testing, does not save it before', 'montre/affiche l''eTemplate pour tester, ne l''enregistre pas avant'),
('fr', 'etemplate', 'showing', 'montre'),
('fr', 'etemplate', 'shows / allows you to enter values into the etemplate for testing', 'montre / autorise à entrer des valeurs dans l''eTemplate pour tester'),
('fr', 'etemplate', 'show values', 'Montrer les valeurs'),
('fr', 'etemplate', 'show (no save)', 'Montrer (pas de sauvegarde)'),
('fr', 'etemplate', 'show all / cancel filter', 'Montrer tout / annuler les filtres'),
('fr', 'etemplate', 'should the form be submitted or any custom javascript be executed', 'Est-ce que le formulaire doit être soumis ou un script java doit être exécuté'),
('fr', 'etemplate', 'show', 'Montrer'),
('fr', 'etemplate', 'selectbox', 'Boîte de sélection'),
('fr', 'etemplate', 'sets today as date', 'Fixe la date à aujourd''hui'),
('fr', 'etemplate', 'select year', 'Choisissez l''année'),
('fr', 'etemplate', 'select which accounts to show', 'sélectionnez quels comptes à afficher'),
('fr', 'etemplate', 'select which values to show', 'sélectionnez les valeurs à afficher'),
('fr', 'etemplate', 'select this etemplate to delete it', 'choisissez cet eTemplate pour l''effacer'),
('fr', 'etemplate', 'select the indexed columns in their desired order', 'Sélectionnez la colonne indexée dans leur ordre désiré'),
('fr', 'etemplate', 'select the columns to display in the list', 'Sélectionnez les colonnes à afficher dans la liste'),
('fr', 'etemplate', 'select state', 'Choisissez un état'),
('fr', 'etemplate', 'select one ...', 'CHoisissez un ...'),
('fr', 'etemplate', 'select percentage', 'Choisissez un pourcentage'),
('fr', 'etemplate', 'select priority', 'Choisissez une priorité'),
('fr', 'etemplate', 'select number', 'Choisissez un numéro'),
('fr', 'etemplate', 'select month', 'Choisissez un mois'),
('fr', 'etemplate', 'select language', 'Sélectionnez la langue'),
('fr', 'etemplate', 'select if content of field should not be translated (label gets always translated)', 'choisissez si le contenu du champ ne devrait pas être traduit (le label est toujours traduit)'),
('fr', 'etemplate', 'select hour', 'Sélectionnez l''heure'),
('fr', 'etemplate', 'select entry', 'Sélectionnez l''entrée'),
('fr', 'etemplate', 'select day of week', 'sélectionnez le jour de la semaine'),
('fr', 'etemplate', 'select day', 'Choisissez un jour'),
('fr', 'etemplate', 'select country', 'Choisissez un pays'),
('fr', 'etemplate', 'select columns', 'Sélectionnez les colonnes'),
('fr', 'etemplate', 'select category', 'Choisissez une catégorie'),
('fr', 'etemplate', 'select application', 'Choisissez une application'),
('fr', 'etemplate', 'select application to search', 'Sélectionnez une application à chercher'),
('fr', 'etemplate', 'select an table of the application', 'Choisissez une table pour l''application'),
('fr', 'etemplate', 'select an entry to link with', 'Choisissez une entrée à lier');
INSERT INTO `egw_lang` (`lang`, `app_name`, `message_id`, `content`) VALUES
('fr', 'etemplate', 'select an application, (*) = uninstalled', 'Choisissez une application, (*) = non installée'),
('fr', 'etemplate', 'select an application', 'Choisissez une application'),
('fr', 'etemplate', 'select an app to search in', 'Choisissez une application dans laquelle rechercher'),
('fr', 'etemplate', 'select an app first !!!', 'Choisissez une application d''abord !!!'),
('fr', 'etemplate', 'select access', 'Choisissez l''accès'),
('fr', 'etemplate', 'select account', 'Choisissez le compte'),
('fr', 'etemplate', 'select a category', 'choisissez une catégorie'),
('fr', 'etemplate', 'select a primary contact, to show in the list', 'Choisissez un contact primaire, à montrer dans la liste'),
('fr', 'etemplate', 'scale for float', 'échelle pour les flottants'),
('fr', 'etemplate', 'search', 'Rechercher'),
('fr', 'etemplate', 'scale', 'Echelle'),
('fr', 'etemplate', 'saves the template with given version number and closes the window', 'enregistre le modèle avec la version donnée et ferme la fenêtre'),
('fr', 'etemplate', 'saves changes to tables_current.inc.php', 'Enregistrer les changements dans tables_current.inc.php'),
('fr', 'etemplate', 'save the etemplate under the above keys (name, ...), change them for a saveas', 'Enregistrer l''eTemplate sous les clés ci-dessus (nom, ...), changez-les pour un Sauvegarder-sous'),
('fr', 'etemplate', 'save the changes made and close the window', 'Enregistrer les modifications et fermer la fenêtre'),
('fr', 'etemplate', 'save selected columns as default preference for all users.', 'Enregistre les colonnes sélectionnées comme préférence par défaut pour tous les utilisateurs.'),
('fr', 'etemplate', 'right', 'Droite'),
('fr', 'etemplate', 'row...', 'Ligne...'),
('fr', 'etemplate', 'required', 'Nécessaire'),
('fr', 'etemplate', 'returns savely, without deleting', 'Revient de manière sûre, sans effacer'),
('fr', 'etemplate', 'remove this link (not the entry itself)', 'Enlever ce lien (pas l''entrée elle-même)'),
('fr', 'etemplate', 'remove row (can not be undone!!!)', 'Enlever la ligne (ne peut PAS être annulé!!!)'),
('fr', 'etemplate', 'readonly', 'lecture seule'),
('fr', 'etemplate', 'read etemplate from database (for the keys above)', 'Lire eTemplate depuis la base de données (pour les clés ci-dessus)'),
('fr', 'etemplate', 'read a single entry by passing the id and fieldlist.', 'Lire une unique entrée en passant l''ID et la liste des champs.'),
('fr', 'etemplate', 'radiobutton', 'BoutonRadio'),
('fr', 'etemplate', 'read', 'Lire'),
('fr', 'etemplate', 'read a list of entries.', 'Lire une liste d''entrées.'),
('fr', 'etemplate', 'primary key for the table, gets automaticaly indexed', 'Clé primaire pour la table, est automatiquement indexée'),
('fr', 'etemplate', 'precision', 'Précision'),
('fr', 'etemplate', 'primary key', 'Clé primaire'),
('fr', 'etemplate', 'popup', 'Popup'),
('fr', 'etemplate', 'please enter table-name first !!!', 'SVP entrez le nom de la table d''abord !!!'),
('fr', 'etemplate', 'pm', 'Après-midi'),
('fr', 'etemplate', 'parent is a ''%1'' !!!', 'le parent est un ''%1'' !!!'),
('fr', 'etemplate', 'paste', 'Coller'),
('fr', 'etemplate', 'path', 'Chemin'),
('fr', 'etemplate', 'overflow', 'Débordement'),
('fr', 'etemplate', 'padding', 'Remplissage'),
('fr', 'etemplate', 'options', 'Options'),
('fr', 'etemplate', 'order to navigating by tab key through the form', 'Ordre pour la navigation avec la touche tab à travers le formulaire'),
('fr', 'etemplate', 'operator', 'Opérateur'),
('fr', 'etemplate', 'optional note about the link', 'Note optionnelle à propos du lien'),
('fr', 'etemplate', 'only an other version found !!!', 'Une seule autre version trouvée !!!'),
('fr', 'etemplate', 'open the online help.', 'Ouvrir l''aide en ligne.'),
('fr', 'etemplate', 'of', 'de'),
('fr', 'etemplate', 'onchange', 'onChange'),
('fr', 'etemplate', 'onclick', 'onClick'),
('fr', 'etemplate', 'number of rows/cols in a v/hbox, cellpadding, cellspacing', 'Nombre de lignes/colonnes dans une boîte H/V, remplissage de cellule, espacement de cellule'),
('fr', 'etemplate', 'number of colums the field/cell should span or ''all'' for the remaining columns, css-class name (for the td tag)', 'Nombre de colonnes sur lesquelles le champ/cellule devrait s''étendre ou ''tous'' pour les colonnes qui restent, nom de la classe CSS (pour le tag TD)'),
('fr', 'etemplate', 'nothing matched search criteria !!!', 'Aucune occurrence correspondant aux critères de recherche !!!'),
('fr', 'etemplate', 'nothing in clipboard to paste !!!', 'rien à coller !!!'),
('fr', 'etemplate', 'nothing found - try again !!!', 'Rien trouvé - essayez encore !!!'),
('fr', 'etemplate', 'nothing', 'rien'),
('fr', 'etemplate', 'not null', 'PAS NULL'),
('fr', 'etemplate', 'no matches found', 'Aucune occurrence trouvée'),
('fr', 'etemplate', 'no row to swap with !!!', 'aucune ligne à échanger !!!'),
('fr', 'etemplate', 'no filename given or selected via browse...', 'Pas de nom de fichier donné ou sélectionnée avec naviguer...'),
('fr', 'etemplate', 'no file', 'Pas de fichier'),
('fr', 'etemplate', 'no column to swap with !!!', 'aucune colonne à échanger !!!'),
('fr', 'etemplate', 'nextmatch header', 'Prochaine occurence Entête'),
('fr', 'etemplate', 'nextmatch sortheader', 'Prochaine occurence Entête de tri'),
('fr', 'etemplate', 'nextmatch filterheader', 'Prochaine occurence Entête de Filtre'),
('fr', 'etemplate', 'nextmatch custom filterheader', 'Prochaine occurence Filtre de compte personnalisé'),
('fr', 'etemplate', 'newer version ''%1'' exists !!!', 'La nouvelle version ''%1'' existe !!!'),
('fr', 'etemplate', 'nextmatch', 'Occurrence trouvée suivante'),
('fr', 'etemplate', 'nextmatch accountfilter', 'Prochaine occurence Filtre de compte'),
('fr', 'etemplate', 'new table created', 'Nouvelle table créée'),
('fr', 'etemplate', 'need to be unique in the table and no reseved word from sql, best prefix all with a common 2-digit short for the app, eg. ''et_''', 'Doit être unique dans la table et pas un mot SQL réservé, le mieux est de préfixer tout avec une abréviation sur 2 caractères du nom de l''application, p.e. ''et_'''),
('fr', 'etemplate', 'name of table to add', 'Nom de la table à ajouter'),
('fr', 'etemplate', 'name of the etemplate, should be in form application.function[.subtemplate]', 'Nom de l''eTemplate, devrait être dans le formulaire application.function[.subTemplate]'),
('fr', 'etemplate', 'name of phpgw-template set (e.g. verdilak): '''' = default (will read pref. template, us ''default'' to read default template '''')', 'Nom de l''ensemble phpgw-template (p.e. verdilak): '''' = défaut (va lire le template dans les préférences, utiliser ''default'' pour lire le template par défaut '''')'),
('fr', 'etemplate', 'multicolumn indices', 'Indices Multi-colonnes'),
('fr', 'etemplate', 'name', 'Nom'),
('fr', 'etemplate', 'name of other table where column is a key from', 'Nom de l''autre table où la colonne est une clé de'),
('fr', 'etemplate', 'month', 'Mois'),
('fr', 'etemplate', 'more than 1 match for ''%1''', 'Plusieurs résultats pour  ''%1'''),
('fr', 'etemplate', 'minute', 'Minute'),
('fr', 'etemplate', 'minutes', 'Minutes'),
('fr', 'etemplate', 'message ...', 'Message...'),
('fr', 'etemplate', 'middle', 'Milieu'),
('fr', 'etemplate', 'linkto', 'LierVers'),
('fr', 'etemplate', 'load this template into the editor', 'Charger ce template dans l''éditeur'),
('fr', 'etemplate', 'linklist', 'Liste de liens'),
('fr', 'etemplate', 'linkstring', 'ChaîneDeLien'),
('fr', 'etemplate', 'linkentry', 'LinkEntry'),
('fr', 'etemplate', 'link', 'Lien'),
('fr', 'etemplate', 'linkapps', 'LinkApps'),
('fr', 'etemplate', 'left', 'Gauche'),
('fr', 'etemplate', 'length for char+varchar, precisions int: 2, 4, 8 and float: 4, 8', 'Longueur pour char+varchar, précision d''entiers: 2, 4, 8 et flottants: 4, 8'),
('fr', 'etemplate', 'last', 'Dernier'),
('fr', 'etemplate', 'language-short (eg. ''en'' for english) for language-dependent template ('''' reads your pref. languages or the default, us ''default', 'raccourci-langue (p.e. ''en'' pour english) pour le template dépendant d''un langage ('''' lit vos préférences pour le langage ou la valeur par défaut, utiliser ''default'' pour lire le template par défaut '''')'),
('fr', 'etemplate', 'lang', 'Langue'),
('fr', 'etemplate', 'label:[bold][italic] text:[len][,max] numbers:[min][,[max][,len]] t.area:[rows][,cols] radiob.:value h.rule:[width] templ.:[inde', 'Label:[gras][italique] Texte:[longueur][,max] Nombres:[min][,[max][,longueur]] T.aire:[lignes][,colonnes] Radiob.:valeur H.Règle:[largeur] Templ.:[IndexDansContenu] Sélect:[multiselection] Date:[valeurs: p.e. ''A-m-j'']'),
('fr', 'etemplate', 'key', 'Clé'),
('fr', 'etemplate', 'label', 'Label'),
('fr', 'etemplate', 'integer', 'Nombre entier'),
('fr', 'etemplate', 'insert new row in front of first line', 'Insérer une nouvelle ligne devant la première ligne'),
('fr', 'etemplate', 'insert new row after this one', 'Insérer une nouvelle ligne après celle-ci'),
('fr', 'etemplate', 'insert new column in front of all', 'Insérer une nouvelle colonne devant toutes les autres'),
('fr', 'etemplate', 'insert new column behind this one', 'Insérer une nouvelle colonne après celle-ci'),
('fr', 'etemplate', 'insert a widget behind', 'insérer un widget après'),
('fr', 'etemplate', 'insert a widget before', 'insérer un widget avant'),
('fr', 'etemplate', 'insert a row below', 'insérer une ligne au-dessous'),
('fr', 'etemplate', 'insert a row above', 'insérer une ligne au-dessus'),
('fr', 'etemplate', 'insert a column behind', 'insérer une colonne après'),
('fr', 'etemplate', 'insert a column before', 'insérer une colonne avant'),
('fr', 'etemplate', 'indexoptions', 'Options d''Index'),
('fr', 'etemplate', 'indexed', 'Indexé'),
('fr', 'etemplate', 'index/name of returned content (name of the template, link / method for image)', 'index/nom du contenu renvoyé (nom du Template, Lien / Méthode pour Image)'),
('fr', 'etemplate', 'import xml', 'Importer XML'),
('fr', 'etemplate', 'increment version to not overwrite the existing template', 'incrémente la version pour ne pas écraser le modèle existant'),
('fr', 'etemplate', 'import table-definitions from existing db-table', 'Importer les définitions de table depuis la table de base de données existante'),
('fr', 'etemplate', 'import an etemplate from a xml-file', 'import an eTemplate from a xml-file'),
('fr', 'etemplate', 'import', 'Importer'),
('fr', 'etemplate', 'image', 'Image'),
('fr', 'etemplate', 'html', 'Html'),
('fr', 'etemplate', 'if field is disabled an empty table-cell is displayed, for (temporal) removement of a field/cell', 'Si le champ est désactivé, une cellule de table vide est affiché pour suppression (temporaire) d''un champ/cellule'),
('fr', 'etemplate', 'hour', 'Heure'),
('fr', 'etemplate', 'hours', 'heures'),
('fr', 'etemplate', 'how many entries should the list show', 'combien d''entrées la liste doit-elle afficher'),
('fr', 'etemplate', 'horizontal rule', 'Règle horizontale'),
('fr', 'etemplate', 'history log', 'Historique'),
('fr', 'etemplate', 'help', 'Aide'),
('fr', 'etemplate', 'height, disabled', 'Hauteur, désactivé'),
('fr', 'etemplate', 'height of the table in % or pixels for the table-tag and (optional) div', 'Hauteur de la table en % ou pixels pour le tag de la table et div (optionnel)'),
('fr', 'etemplate', 'height of row (in % or pixel)', 'hauteur d''une ligne (en % ou pixel)'),
('fr', 'etemplate', 'height of row (in % or pixel), disable row: [! = not]<value>[=<check>] eg: ''!@data'' disable row if content of data is empty', 'Hauteur de la ligne (en % ou pixels), désactiver la ligne: [! = pas]<valeur>[=<vérifier>] p.ex.: ''!@donnees'' désactive la ligne si le contenu de donnees est vide'),
('fr', 'etemplate', 'groupbox', 'GroupBox'),
('fr', 'etemplate', 'hbox', 'BoiteH'),
('fr', 'etemplate', 'height', 'Hauteur'),
('fr', 'etemplate', 'grid row attributes', 'Attributs de la ligne dans la grille'),
('fr', 'etemplate', 'grid', 'Grille'),
('fr', 'etemplate', 'grid column attributes', 'Attributs de la colonne dans la grille'),
('fr', 'etemplate', 'go to the previous page of entries', 'Aller à la page précédente d''entrées'),
('fr', 'etemplate', 'go to the next page of entries', 'Aller à la page suivante d''entrées'),
('fr', 'etemplate', 'go to the last entry', 'Aller à la dernière entrée'),
('fr', 'etemplate', 'go to the first entry', 'Aller à la première entrée'),
('fr', 'etemplate', 'formatted text (html)', 'Texte Formaté (HTML)'),
('fr', 'etemplate', 'foreign key', 'Clé étrangère'),
('fr', 'etemplate', 'floating point', 'Virgule flottante'),
('fr', 'etemplate', 'first', 'Premier'),
('fr', 'etemplate', 'fileupload', 'UploadFichier'),
('fr', 'etemplate', 'file writen', 'Fichier écrit'),
('fr', 'etemplate', 'file is of wrong type (%1 != %2)!', 'Le fichier est de mauvais type (%1 != %2) !'),
('fr', 'etemplate', 'file contains more than one etemplate, last one is shown !!!', 'Le fichier contient plus d''un eTemplate, le dernier est affiché !!!'),
('fr', 'etemplate', 'file ''%1'' not found!', 'Fichier  ''%1''  non trouvé !'),
('fr', 'etemplate', 'file', 'Fichier'),
('fr', 'etemplate', 'field', 'Champ'),
('fr', 'etemplate', 'field must not be empty !!!', 'Le champ ne doit pas être vide !'),
('fr', 'etemplate', 'export xml', 'Exporter XML'),
('fr', 'etemplate', 'extensions loaded:', 'Extensions chargées :'),
('fr', 'etemplate', 'export the loaded etemplate into a xml-file', 'exporter l''eTemplate chargé dans un fichier XML'),
('fr', 'etemplate', 'etemplate tutorial', 'Tutoriel eTemplate'),
('fr', 'etemplate', 'exchange this row with the one above', 'Echanger cette ligne avec celle du dessus'),
('fr', 'etemplate', 'exchange this two columns', 'Echanger ces deux colonnes'),
('fr', 'etemplate', 'etemplate reference', 'Référence eTemplate'),
('fr', 'etemplate', 'etemplate editor', 'Editeur d''eTemplate'),
('fr', 'etemplate', 'etemplate ''%1'' written to ''%2''', 'eTemplate ''%1'' écrit dans ''%2'''),
('fr', 'etemplate', 'etemplate ''%1'' imported, use save to put it in the database', 'eTemplate ''%1'' importé, utilisez Enregistrer pour le mettre dans la base de données'),
('fr', 'etemplate', 'error: writing file (no write-permission for the webserver) !!!', 'Erreur sur l''écriture du fichier (pas d''autorisation pour le serveur Web) !'),
('fr', 'etemplate', 'error: while saving !!!', 'Erreur lors de l''enregistrement !'),
('fr', 'etemplate', 'error: webserver is not allowed to write into ''%1'' !!!', 'Erreur: le serveur web n''est pas autorisé à écrire dans ''%1'' !!!'),
('fr', 'etemplate', 'error: template not found !!!', 'Erreur : Template non trouvé !'),
('fr', 'etemplate', 'error deleting %1!', 'Erreur à la suppression de %1 !'),
('fr', 'etemplate', 'error create parent directory %1!', 'Errreur à la création du dossier parent %1 !'),
('fr', 'etemplate', 'error copying uploaded file to vfs!', 'Erreur à la copie du fichier uploadé vers le VFS !'),
('fr', 'etemplate', 'entry saved', 'Entrée enregistrée'),
('fr', 'etemplate', 'enter the new version number here (has to be > old_version)', 'Entrez le nouveau numéro de version ici (doit être > à la vieille_version)'),
('fr', 'etemplate', 'enter the new version number here (> old_version), empty for no update-file', 'Entrez le nouveau numéro de version ici (> ancienne_version), vide pour aucun fichier de mise à jour'),
('fr', 'etemplate', 'enter a search pattern', 'Entrez une chaîne de recherche'),
('fr', 'etemplate', 'enter filename to upload and attach, use [browse...] to search for it', 'Entrez un nom de fichier à uploader et attacher, utilisez [naviguer...] pour le rechercher'),
('fr', 'etemplate', 'enter '''' for an empty default, nothing mean no default', 'entrez '''' pour une valeur par défaut vide, rien signifie pas de valeur par défaut'),
('fr', 'etemplate', 'enable javascript onchange submit', 'activer la soumission sur changement en JavaScript'),
('fr', 'etemplate', 'editable templates - show template', 'Templates modifiables - montrer le template'),
('fr', 'etemplate', 'embeded css styles, eg. ''.red { background: red; }'' (note the ''.'' before the class-name) or ''@import url(...)'' (class names are ', 'Styles CSS incorporés, p.e. ''.rouge { fond: rouge; }'' (notez le ''.'' avant le nom de la classe) ou ''@import url(...)'' (les noms de classe sont globaux pour la page entière!)'),
('fr', 'etemplate', 'editable templates - search', 'Templates modifiables - rechercher'),
('fr', 'etemplate', 'editable templates - editor', 'Templates modifiables - éditeur'),
('fr', 'etemplate', 'editable templates - delete template', 'Templates modifiables - effacer le template'),
('fr', 'etemplate', 'editable templates - db-tools', 'Templates modifiables - outils de bases de données'),
('fr', 'etemplate', 'edit...', 'Modifier...'),
('fr', 'etemplate', 'edit the etemplate spez. above', 'Modifier l''eTemplate spécifié ci-dessus'),
('fr', 'etemplate', 'edit embeded css styles or of the applications app.css file', 'modifier les feuilles de style CSS imbriquées ou celle de app.css'),
('fr', 'etemplate', 'duration', 'Durée'),
('fr', 'etemplate', 'edit', 'Modifier'),
('fr', 'etemplate', 'dump4setup', 'Dump4Setup'),
('fr', 'etemplate', 'drop table', 'Supprimer la table'),
('fr', 'etemplate', 'doesn''t matter', 'pas d''importance'),
('fr', 'etemplate', 'drop a table - this can not be undone', 'Supprimer une table - ceci ne peut PAS être annulé'),
('fr', 'etemplate', 'documentation', 'Documentation'),
('fr', 'etemplate', 'do you want to save the changes you made in table %s?', 'Voulez-vous enregistrer les modifications que vous avez effectuées dans la table %s?'),
('fr', 'etemplate', 'displayed in the top line of the groupbox (legend)', 'affiché en ligne de tête de la groupbox (légende)'),
('fr', 'etemplate', 'displayed in statusline of browser if input-field gets focus', 'affiché dans la ligne de statut du navigateur si le champ d''entrée a le focus'),
('fr', 'etemplate', 'displayed in front of input or input is inserted for a ''%s'' in the label (label of the submitbutton or image-filename)', 'affiché en face de l''entrée ou l''entrée est insérée pour un ''%s'' dans le label (le label du bouton Submit ou Image-filename)'),
('fr', 'etemplate', 'discard changes', 'Annuler les changements'),
('fr', 'etemplate', 'deletes this index', 'Supprimer cet index'),
('fr', 'etemplate', 'deletes this column', 'Efface cette colonne'),
('fr', 'etemplate', 'deletes the etemplate spez. above', 'Efface le eTemplate spécifié ci-dessus'),
('fr', 'etemplate', 'deletes the above spez. etemplate from the database, can not be undone', 'Efface le eTemplate spécifié ci-dessus de la base de données, ne peut PAS être annulé'),
('fr', 'etemplate', 'delete whole column (can not be undone!!!)', 'Effacer la colonne entière (ne peut PAS être annulé !)'),
('fr', 'etemplate', 'delete this row', 'Supprimer cette ligne'),
('fr', 'etemplate', 'delete this file', 'Supprimer ce fichier'),
('fr', 'etemplate', 'delete this column', 'Supprimer cette colonne'),
('fr', 'etemplate', 'delete this etemplate', 'Effacer cet eTemplate'),
('fr', 'etemplate', 'delete the spezified etemplate', 'Supprimer l''eTemplate spécifié'),
('fr', 'etemplate', 'delete index', 'Effacer l''index'),
('fr', 'etemplate', 'delete column', 'Effacer la colonne'),
('fr', 'etemplate', 'delete and cut save the template!', 'supprimer et couper enregistre le modèle!'),
('fr', 'etemplate', 'delete all selected etemplates, without further inquiry', 'Effacer TOUS les eTemplates sélectionnés, SANS demander de confirmation'),
('fr', 'etemplate', 'default', 'Défaut'),
('fr', 'etemplate', 'delete a single entry by passing the id.', 'Effacer une unique entrée en passant l''ID.'),
('fr', 'etemplate', 'deck', 'Bureau (interne)'),
('fr', 'etemplate', 'db-tools', 'Outils base de données'),
('fr', 'etemplate', 'db-specific index options (comma-sep.), eg. mysql(fulltext) or mysql(100) for the indexed length of a col', 'les options d''index spécifiques à la base de données (séparés par des virgules), p.ex. mysql(FULLTEXT) ou mysql(100) pour la longeur indexée d''une colonne'),
('fr', 'etemplate', 'db ensures that every row has a unique value in that column', 'La base de données s''assure que chaque ligne a une valeur unique dans cette colonne'),
('fr', 'etemplate', 'days', 'jours'),
('fr', 'etemplate', 'datum', 'Datum'),
('fr', 'etemplate', 'day', 'Jour'),
('fr', 'etemplate', 'cut', 'Couper'),
('fr', 'etemplate', 'date+time', 'Date+Heure'),
('fr', 'etemplate', 'custom javascript for onchange', 'scriptjava personnalisé pour onChange'),
('fr', 'etemplate', 'custom fields', 'champs personnalisé'),
('fr', 'etemplate', 'css-styles', 'Styles CSS'),
('fr', 'etemplate', 'custom', 'personnalisé'),
('fr', 'etemplate', 'css-class name for this row, preset: ''th'' = header, ''row'' = alternating row, ''row_off''+''row_on'' rows', 'nom de la classe CSS pour cette ligne, préréglé: ''th'' = en-tête, ''row'' = ligne alternante, ''row_off''+''row_on'' lignes'),
('fr', 'etemplate', 'css-class name for this row, preset: ''nmh'' = nextmatch header, ''nmr'' = alternating nm row, ''nmr0''+''nmr1'' nm rows', 'Nom de la classe CSS pour cette ligne, préréglé: ''nmh'' = entête prochaine correspondance, ''nmr'' = alterne la ligne prochaine correspondance, ''nmr0''+''nmr1'' lignes prochaines correspondances'),
('fr', 'etemplate', 'css properties', 'propriétés CSS'),
('fr', 'etemplate', 'css class for the table-tag', 'Classe CSS pour le tag de la table'),
('fr', 'etemplate', 'contains', 'contient'),
('fr', 'etemplate', 'create a new table for the application', 'Créer une nouvelle table pour l''application'),
('fr', 'etemplate', 'creates an english (''en'') langfile from label and helptexts (for application in name)', 'Crée un fichier lang anglais (''en'') à partir du label et des textes d''aide (pour l''application dans Nom)'),
('fr', 'etemplate', 'contact', 'Contact'),
('fr', 'etemplate', 'contact field to show', 'Champ contact à afficher'),
('fr', 'etemplate', 'contact fields', 'Champs contact'),
('fr', 'etemplate', 'confirmation necesary or custom java-script', 'message de confirmation ou script java personnalisé nécessaire'),
('fr', 'etemplate', 'confirmation message or custom javascript (returning true or false)', 'message de confirmation ou script java personnalisé (retournant true ou false)'),
('fr', 'etemplate', 'confirm', 'confirmer'),
('fr', 'etemplate', 'comment', 'Commentaire'),
('fr', 'etemplate', 'columnname', 'Nom de colonne'),
('fr', 'etemplate', 'column...', 'Colonne...'),
('fr', 'etemplate', 'clickable path', 'chemin cliquable'),
('fr', 'etemplate', 'closes the window without saving the changes', 'ferme la fenêtre sans enregistrer les modifications'),
('fr', 'etemplate', 'click here to upload the file', 'Cliquer ici pour déposer le fichier'),
('fr', 'etemplate', 'click to order after that criteria', 'Trier d''après ce critère'),
('fr', 'etemplate', 'click here to start the search', 'Cliquer ici pour démarrer la recherche'),
('fr', 'etemplate', 'class, valign', 'Vlass, Valign'),
('fr', 'etemplate', 'click here to attach the file', 'Cliquer ici pour attacher le fichier'),
('fr', 'etemplate', 'click here to create the link', 'Cliquer ici pour créer le lien'),
('fr', 'etemplate', 'class', 'Classe'),
('fr', 'etemplate', 'check if field has to be filled by user', 'Vérifier si le champ doit être rempli par l''utilisateur'),
('fr', 'etemplate', 'checkbox', 'Case à cocher'),
('fr', 'etemplate', 'check if content should only be displayed but not altered (the content is not send back then!)', 'vérifier si le contenu devrait être seulement affiché mais non modifié (le contenu n''est alors pas renvoyé!)'),
('fr', 'etemplate', 'center', 'Centre'),
('fr', 'etemplate', 'changed', 'Modifié'),
('fr', 'etemplate', 'cellspacing for the table-tag', 'Espacement des cellules pour le tag de la table'),
('fr', 'etemplate', 'cells', 'Cellules'),
('fr', 'etemplate', 'cellpadding for the table-tag', 'Remplissage de cellule pour le tag de la table'),
('fr', 'etemplate', 'cant delete the only row in a grid !!!', 'ne peut pas supprimer la seule ligne d''une grille !!!'),
('fr', 'etemplate', 'category', 'Catégorie'),
('fr', 'etemplate', 'category tree', 'Arborescence ces catégories'),
('fr', 'etemplate', 'cant delete the only column of a grid !!!', 'ne peut pas supprimer la seule colonne d''une grille !!!'),
('fr', 'etemplate', 'cant delete a single widget from a grid !!!', 'ne peut pas supprimer un widget d''une grille !!!'),
('fr', 'etemplate', 'can not have special sql-value null', 'ne peut pas avoir une valeur SQL spéciale NULL'),
('fr', 'etemplate', 'cancel', 'Annuler'),
('fr', 'etemplate', 'box', 'Boîte'),
('fr', 'etemplate', 'box...', 'Boîte...'),
('fr', 'etemplate', 'bottom', 'Bas'),
('fr', 'etemplate', 'border-line-thickness for the table-tag', 'Epaisseur de la ligne de bord pour le tag de la table eTemplate'),
('fr', 'etemplate', 'blurtext', 'texteFlou'),
('fr', 'etemplate', 'border', 'Bord'),
('fr', 'etemplate', 'baseline', 'Baseline'),
('fr', 'etemplate', 'attach', 'Attacher'),
('fr', 'etemplate', 'attach file', 'Attacher un fichier'),
('fr', 'etemplate', 'as default', 'comme défaut'),
('fr', 'etemplate', 'applies the changes to the given version of the template', 'applique les modifications à la version mentionnée du modèle'),
('fr', 'etemplate', 'applies the changes made', 'applique les modifications apportées'),
('fr', 'etemplate', 'application', 'Application'),
('fr', 'etemplate', 'application name needed to write a langfile or dump the etemplates !!!', 'Le nom de l''application dont on a besoin d''écrire un fichier de langue ou de dumper les eTemplates !'),
('fr', 'etemplate', 'allowed file type: %1', 'Type de fichier autorisé : %1'),
('fr', 'etemplate', 'am', 'matin'),
('fr', 'etemplate', 'an indexed column speeds up querys using that column (cost space on the disk !!!)', 'Une colonne indexée accélère les requêtes qui utilisent cette colonne (coûte de l''espace disque !)'),
('fr', 'etemplate', 'all days', 'Tous les jours'),
('fr', 'etemplate', 'all operations save the template!', 'Toutes les opérations enregistrent le modèle!'),
('fr', 'etemplate', 'alignment of label and input-field in table-cell', 'Alignement du label et du champ de saisie dans la cellule de la table'),
('fr', 'etemplate', 'alignment of the v/hbox containing table-cell', 'Alignement de la boite H/V contenant la cellule de table'),
('fr', 'etemplate', 'add table', 'Ajouter une table'),
('fr', 'etemplate', 'advanced search', 'Recherche avancée'),
('fr', 'etemplate', 'align', 'Aligner'),
('fr', 'etemplate', 'add new', 'Ajouter un nouveau'),
('fr', 'etemplate', 'add index', 'Ajouter un index'),
('fr', 'etemplate', 'add column', 'Ajouter une colonne'),
('fr', 'etemplate', 'add a new multi-column index', 'Ajouter un nouvel index multi-colonne'),
('fr', 'etemplate', 'add a new column (after the existing ones)', 'Ajouter une nouvelle colonne (après celles existant déjà)'),
('fr', 'etemplate', 'add a new entry of the selected application', 'Ajouter une nouvelle entrée de l''application sélectionnée'),
('fr', 'etemplate', 'accesskeys can also be specified with an & in the label (eg. &name)', 'Les clés d''accès peuvent être spécifiées avec un & dans le label (p.ex. &Nom)'),
('fr', 'etemplate', 'account contactdata', 'Compte contactdata'),
('fr', 'etemplate', 'a pattern to be searched for', 'Chaine de caractères à rechercher'),
('fr', 'etemplate', 'accesskey', 'Clé d''accès'),
('fr', 'etemplate', '''%1'' is not a valid integer !!!', '''%1'' n''est pas un entier valide !'),
('fr', 'etemplate', '''%1'' is not allowed (''%2'')!', '''%1'' n''est PAS permis (''%2'')!'),
('fr', 'etemplate', '''%1'' is not a valid floatingpoint number !!!', '''%1'' n''est pas un nombre à virgule flottante valide !'),
('fr', 'etemplate', '''%1'' has an invalid format !!!', '''%1'' a un format invalide !!!'),
('fr', 'etemplate', '''%1'' is not a valid date !!!', '''%1''  n''est pas une date valide !'),
('fr', 'etemplate', '%s notranslation', '%s PasDeTraduction'),
('fr', 'etemplate', '%s onchange', '%s onChange'),
('fr', 'etemplate', '%s readonly', '%s LectureSeule'),
('fr', 'etemplate', '%s disabled', '%s désactivé'),
('fr', 'etemplate', '%s needed', '%s nécessaire'),
('fr', 'etemplate', '%1 new etemplates imported for application ''%2''', '%1 nouveaux eTemplates importés pour l''Application ''%2'''),
('fr', 'etemplate', '%1 matches on search criteria', '%1 occurences sur les critères de recherche'),
('fr', 'etemplate', '%1 more...', '%1 plus...'),
('fr', 'etemplate', '%1 etemplates found', '%1 eTemplates trouvé(s)'),
('fr', 'etemplate', '%1 etemplates for application ''%2'' dumped to ''%3''', '%1 eTemplates pour l''Application ''%2'' écrits dans ''%3'''),
('fr', 'etemplate', '%1 etemplates deleted', '%1 eTemplates effacé(s)'),
('fr', 'etemplate', '%1 entries found, select one ...', '%1 élément(s) trouvé(s), sélectionnez en un...'),
('fr', 'etemplate', '%1 (%2 new) messages writen for application ''%3'' and languages ''%4''', '%1 (%2 nouveaux) Messages écrits pour l''Application ''%3'' et les langues ''%4'''),
('fr', 'emailadmin', 'you have received a new message on the', 'Vous avez reçu un nouveau message sur le'),
('fr', 'emailadmin', 'yes, use credentials of current user or if given credentials below', 'Oui, utiliser les informations du compte utilisateur actif ou bien de ces informations ci-dessous si elles sont renseignées'),
('fr', 'emailadmin', 'yes, use credentials below only for alarms and notifications, otherwise use credentials of current user', 'Oui, utiliser les infos ci-dessous  seulement pour les alarmes et les notifications, autrement utiliser les informations du compte utilisateur actif.'),
('fr', 'emailadmin', 'virtual mail manager', 'Virtual MAIL ManaGeR'),
('fr', 'emailadmin', 'vacation messages with start- and end-date require an admin account to be set', 'Les messages d''absence avec date de début et de fin doivent être définis par un administrateur !'),
('fr', 'emailadmin', 'users can define their own signatures', 'les utilisateurs peuvent définir leurs propres signatures'),
('fr', 'emailadmin', 'users can define their own identities', 'Les utilisateurs peuvent définir leurs propres identités'),
('fr', 'emailadmin', 'users can define their own emailaccounts', 'Les utilisateurs peuvent définir leurs propres comptes de messagerie'),
('fr', 'emailadmin', 'username@domainname (virtual mail manager)', 'utilisateur@domaine (Virtual MAIL ManaGeR)'),
('fr', 'emailadmin', 'username/password defined by admin', 'Login / mot de passe définis par l''administrateur'),
('fr', 'emailadmin', 'username (standard)', 'nom de l''utilisateur (standard)'),
('fr', 'emailadmin', 'userid@domain eg. u1234@domain', 'UserId@domain ie. u1234@domain'),
('fr', 'emailadmin', 'user can edit forwarding address', 'L''utilisateur peut modifier l''adresse de transfert.'),
('fr', 'emailadmin', 'use users email-address (as seen in useraccount)', 'Utiliser les adresses email des utilisateurs, tel que défini dans leur profil de compte'),
('fr', 'emailadmin', 'use tls encryption', 'Utiliser le cryptage TLS'),
('fr', 'emailadmin', 'use tls authentication', 'Utiliser l''authentification TLS'),
('fr', 'emailadmin', 'use smtp auth', 'Utiliser l''authentification SMTP'),
('fr', 'emailadmin', 'use predefined username and password defined below', 'Utiliser les login/mots de passe pré-définis ci-dessous'),
('fr', 'emailadmin', 'update current email address:', 'Mettre à jour l''adresse email actuelle :'),
('fr', 'emailadmin', 'use ldap defaults', 'Utiliser les paramètres LDAP par défaut'),
('fr', 'emailadmin', 'unsupported action ''%1'' !!!', 'Action ''%1'' non supportée !'),
('fr', 'emailadmin', 'unknown imap response from the server. server responded: %s', 'Réponse IMAP inconnue du serveur. Le serveur a répondu: %s'),
('fr', 'emailadmin', 'unexpected response from server to login command.', 'Réponse inattendue du serveur à la commande LOGIN.'),
('fr', 'emailadmin', 'unexpected response from server to digest-md5 response.', 'Réponse inattendue du serveur à la réponse Digest-MD5.'),
('fr', 'emailadmin', 'unexpected response from server to authenticate command.', 'Réponse inattendue du serveur à la commande AUTHENTICATE.'),
('fr', 'emailadmin', 'to use a tls connection, you must be running a version of php 5.1.0 or higher.', 'Pour utiliser une connexion TLS, vous devez utiliser une version PHP 5.1.0 ou supérieure.'),
('fr', 'emailadmin', 'this php has no imap support compiled in!!', 'Ce PHP n''est pas compilé avec le support de l''IMAP !!'),
('fr', 'emailadmin', 'the imap server does not appear to support the authentication method selected. please contact your system administrator.', 'Le serveur IMAP ne supporterait pas la méthode d''authentication sélectionnée. Veuillez contacter votre administrateur système.'),
('fr', 'emailadmin', 'stationery', 'Entrepôt'),
('fr', 'emailadmin', 'starts with', 'commence par'),
('fr', 'emailadmin', 'standard smtp-server', 'Serveur SMTP standard'),
('fr', 'emailadmin', 'standard pop3 server', 'Serveur POP3 standard'),
('fr', 'emailadmin', 'standard imap server', 'Serveur IMAP standard'),
('fr', 'emailadmin', 'standard', 'Standard'),
('fr', 'emailadmin', 'smtp-server port', 'Port SMTP'),
('fr', 'emailadmin', 'smtp-server hostname or ip address', 'Nom ou adresse IP du serveur SMTP'),
('fr', 'emailadmin', 'smtp settings', 'Paramètres SMTP'),
('fr', 'emailadmin', 'smtp server name', 'Nom du serveur SMTP'),
('fr', 'emailadmin', 'smtp options', 'Options SMTP'),
('fr', 'emailadmin', 'smtp authentication', 'Authentication SMTP'),
('fr', 'emailadmin', 'sieve settings', 'Paramètres Sieve'),
('fr', 'emailadmin', 'sieve server port', 'Port Sieve'),
('fr', 'emailadmin', 'sieve server hostname or ip address', 'Nom ou adresse IP du serveur Sieve'),
('fr', 'emailadmin', 'server settings', 'Configuration du serveur'),
('fr', 'emailadmin', 'send using this email-address', 'Envoyer en utilisant cette adresse email'),
('fr', 'emailadmin', 'select type of smtp server', 'Sélectionner le type de serveur SMTP'),
('fr', 'emailadmin', 'select type of imap/pop3 server', 'Sélectionner le type de serveur IMAP/POP3'),
('fr', 'emailadmin', 'select type of imap server', 'Sélectionner le type de serveur IMAP'),
('fr', 'emailadmin', 'quota settings', 'Paramètres de quota'),
('fr', 'emailadmin', 'quota size in mbyte', 'Taille des quota en Mo'),
('fr', 'emailadmin', 'remove', 'Supprimer'),
('fr', 'emailadmin', 'reset filter', 'Réinitialiser le filtre'),
('fr', 'emailadmin', 'profile name', 'Nom de profil'),
('fr', 'emailadmin', 'qmaildotmode', 'qmaildotmode'),
('fr', 'emailadmin', 'postfix with ldap', 'Postfix avec support LDAP'),
('fr', 'emailadmin', 'profile access rights', 'Droits d''accès du profil'),
('fr', 'emailadmin', 'profile is active', 'Le profil est actif'),
('fr', 'emailadmin', 'profile list', 'Liste des profils'),
('fr', 'emailadmin', 'pop3 server port', 'Port du serveur POP3'),
('fr', 'emailadmin', 'pop3 server hostname or ip address', 'Nom d''hôte ou adresse IP du serveur POP3'),
('fr', 'emailadmin', 'plesk smtp-server (qmail)', 'Serveur SMTP Plesk (Qmail)'),
('fr', 'emailadmin', 'plesk requires passwords to have at least 5 characters and not contain the account-name --> password not set!!!', 'Plesk requiert des mots de passe d''au moins 5 caractères qui ne comprennent pas le nom du compte --> le mot de passe n''est PAS fixé!!!'),
('fr', 'emailadmin', 'plesk mail script ''%1'' not found !!!', 'Le script email Plesk ''%1'' introuvable!!!'),
('fr', 'emailadmin', 'plesk imap server (courier)', 'Serveur IMAP Plesk (Courier)'),
('fr', 'emailadmin', 'plesk can''t rename users --> request ignored', 'Plesk ne peut pas renommer les utilisateurs --> requête ignorée'),
('fr', 'emailadmin', 'organisation', 'Organisation'),
('fr', 'emailadmin', 'order', 'Ordre'),
('fr', 'emailadmin', 'no supported imap authentication method could be found.', 'Il n''a été trouvé aucune méthode d''authentification IMAP supportée'),
('fr', 'emailadmin', 'no message returned.', 'Aucun message n''est retourné.'),
('fr', 'emailadmin', 'no forwarding email address', 'Pas d''adresse email de transfert'),
('fr', 'emailadmin', 'no encryption', 'Pas de chiffrement'),
('fr', 'emailadmin', 'no alternate email address', 'Pas d''adresse email alternative'),
('fr', 'emailadmin', 'name of organisation', 'Nom de l''organisation'),
('fr', 'emailadmin', 'leave empty for no quota', 'Laisser vide pour ne pas avoir de quota'),
('fr', 'emailadmin', 'mb used', 'Mo utilisés'),
('fr', 'emailadmin', 'ldap settings', 'LDAP Paramètres'),
('fr', 'emailadmin', 'ldap server admin password', 'LDAP Mot de passe administateur'),
('fr', 'emailadmin', 'ldap server hostname or ip address', 'LDAP Nom du serveur ou adresse IP'),
('fr', 'emailadmin', 'ldap server accounts dn', 'LDAP DN contenant les comptes utilisateurs'),
('fr', 'emailadmin', 'ldap server admin dn', 'LDAP DN administrateur'),
('fr', 'emailadmin', 'inactive', 'Inactif'),
('fr', 'emailadmin', 'ldap basedn', 'LDAP DN de base'),
('fr', 'emailadmin', 'ldap server', 'LDAP Serveur'),
('fr', 'emailadmin', 'imap/pop3 server name', 'Nom du serveur IMAP/POP3'),
('fr', 'emailadmin', 'in mbyte', 'en Mo'),
('fr', 'emailadmin', 'imap server name', 'Nom du serveur IMAP'),
('fr', 'emailadmin', 'imap server port', 'Port IMAP'),
('fr', 'emailadmin', 'imap server hostname or ip address', 'Nom du serveur IMAP ou adresse IP'),
('fr', 'emailadmin', 'imap server logintyp', 'Type d''authentification IMAP'),
('fr', 'emailadmin', 'imap server closed the connection. server responded: %s', 'Le serveur IMAP a interrompu la connexion. Réponse du serveur: %s.'),
('fr', 'emailadmin', 'imap server closed the connection.', 'Le serveur IMAP a interrompu la connexion.'),
('fr', 'emailadmin', 'imap c-client version < 2001', 'IMAP C-Client Version < 2001'),
('fr', 'emailadmin', 'if you specify port 5190 as sieve server port, you enforce ssl for sieve (server must support that)', 'Si vous spécifiez le port 5190 comme port du serveur SIEVE, vous forcer le SSL pour SIEVE (et le serveur doit le supporter...)'),
('fr', 'emailadmin', 'if using ssl or tls, you must have the php openssl extension loaded.', 'Si vous utilisez SSl ou TLS, vous devez avoir chargé l''extension PHP openssl'),
('fr', 'emailadmin', 'forward only', 'Seulement transférer'),
('fr', 'emailadmin', 'global options', 'Options globales'),
('fr', 'emailadmin', 'forward email''s to', 'Transférer les emails à'),
('fr', 'emailadmin', 'forward also to', 'Transférer aussi à'),
('fr', 'emailadmin', 'filtered by group', 'Filtrage par groupe'),
('fr', 'emailadmin', 'filtered by account', 'Filtrage par compte'),
('fr', 'emailadmin', 'error deleting entry!', 'Erreur à la suppression de l''entrée !'),
('fr', 'emailadmin', 'error saving the entry!!!', 'Erreur à l''enregistrement de l''entrée !'),
('fr', 'emailadmin', 'error connecting to imap server: [%s] %s.', 'Erreur de connexion avec le serveur IMAP. [%s] %s.'),
('fr', 'emailadmin', 'error connecting to imap server. %s : %s.', 'Erreur de connexion avec le serveur IMAP. %s: %s.'),
('fr', 'emailadmin', 'entry saved', 'Entrée enregistrée'),
('fr', 'emailadmin', 'enter your default mail domain (from: user@domain)', 'Introduisez votre domaine par défaut (utilisateur@domaine.com)'),
('fr', 'emailadmin', 'enable sieve', 'Activer Sieve'),
('fr', 'emailadmin', 'encrypted connection', 'connexion chiffrée'),
('fr', 'emailadmin', 'encryption settings', 'Paramètres de chiffrement'),
('fr', 'emailadmin', 'enable cyrus imap server administration', 'Activer la gestion du serveur Cyrus IMAP'),
('fr', 'emailadmin', 'emailadmin', 'Administration de la messagerie'),
('fr', 'emailadmin', 'email address', 'Adresse de messagerie'),
('fr', 'emailadmin', 'edit email settings', 'Modifier les paramètres de messagerie'),
('fr', 'emailadmin', 'email account active', 'Compte de messagerie actif'),
('fr', 'emailadmin', 'domainname', 'Nom de domaine'),
('fr', 'emailadmin', 'do you really want to reset the filter for the profile listing', 'Voulez-vous vraiment réinitialiser le filtre pour le listage des profils ?'),
('fr', 'emailadmin', 'do you really want to delete this profile', 'Voulez-vous vraiment supprimer ce profil ?'),
('fr', 'emailadmin', 'do not validate certificate', 'ne pas valider le certificat'),
('fr', 'emailadmin', 'cyrus imap server administration', 'Administration du serveur Cyrus IMAP'),
('fr', 'emailadmin', 'default', 'défaut'),
('fr', 'emailadmin', 'deliver extern', 'Relais de messagerie'),
('fr', 'emailadmin', 'cyrus imap server', 'Serveur Cyrus IMAP'),
('fr', 'emailadmin', 'cram-md5 or digest-md5 requires the auth_sasl package to be installed.', 'CRAM-MD5 ou DIGEST-MD5 requiert l''installation du progiciel Auth_SASL'),
('fr', 'emailadmin', 'could not open secure connection to the imap server. %s : %s.', 'Impossible d''ouvrir la connexion sécurisée avec le serveur IMAP. %s: %s'),
('fr', 'emailadmin', 'could not complete request. reason given: %s', 'Impossible d''effectuer la requête. Raison invoquée: %s'),
('fr', 'emailadmin', 'connection dropped by imap server.', 'Connexion interrompue par le serveur IMAP.'),
('fr', 'emailadmin', 'can be used by user', 'Peut être utilisée par un utilisateur'),
('fr', 'emailadmin', 'can be used by group', 'Peut être utilisée par un groupe'),
('fr', 'emailadmin', 'can be used by application', 'Peut être utilisée par application'),
('fr', 'emailadmin', 'bad request: %s', 'Requête invalide: %s'),
('fr', 'emailadmin', 'bad or malformed request. server responded: %s', 'Requête invalide ou erronnée. Réponse serveur: %s'),
('fr', 'emailadmin', 'bad login name or password.', 'ID login ou mot de passe erroné'),
('fr', 'emailadmin', 'back to admin/userlist', 'Retour à l''admin / liste des utilisateurs'),
('fr', 'emailadmin', 'back to admin/grouplist', 'Retour à l''admin / liste des groupes'),
('fr', 'emailadmin', 'any user', 'Tous les utilisateurs'),
('fr', 'emailadmin', 'any group', 'Tous les groupes'),
('fr', 'emailadmin', 'any application', 'Toutes les applications'),
('fr', 'emailadmin', 'admin username', 'Nom d''utilisateur de l''administrateur'),
('fr', 'emailadmin', 'advanced options', 'Options avancées'),
('fr', 'emailadmin', 'alternate email address', 'Adresse email alternative'),
('fr', 'emailadmin', 'admin password', 'Mot de passe administrateur'),
('fr', 'emailadmin', 'admin dn', 'DN administrateur'),
('fr', 'emailadmin', 'add profile', 'Ajouter un profil'),
('fr', 'emailadmin', 'add new email address:', 'Ajouter une nouvelle adresse email:'),
('fr', 'emailadmin', 'active templates', 'Modèles actifs'),
('fr', 'emailadmin', 'account ''%1'' not found !!!', 'Le compte %1 n''a pas été trouvé!!!'),
('fr', 'emailadmin', '%1 entries deleted.', '%1 éléments supprimés.'),
('fr', 'preferences', 'your preferences', 'Vos préférences'),
('fr', 'preferences', 'your current theme is: %1', 'Votre thème actuel est: %1'),
('fr', 'preferences', 'you must enter a password', 'Vous devez entrer un mot de passe'),
('fr', 'preferences', 'you do not have permission to set acl''s in this mode!', 'Vous n''avez pas les droits pour régler les ACLs dans ce mode!'),
('fr', 'preferences', 'you can show the applications as icons only, icons with app-name or both.', 'Vous pouvez montrer les applications comme des icônes seulement, des icônes avec le nom de l''application ou les deux.'),
('fr', 'preferences', 'write prefs for the specified application.', 'Ecrire les préférences pour l''apllication spécifiée.'),
('fr', 'preferences', 'which currency symbol or name should be used in egroupware.', 'Quel symbole de monnaie ou nom devrait être utilisé dans eGroupWare.'),
('fr', 'preferences', 'when you say yes the home and logout buttons are presented as applications in the main top applcation bar.', 'Si vous dites Oui, les boutons Accueil et Déconnexion sont présentés comme des applications dans la barre de navigation.'),
('fr', 'preferences', 'time format', 'Format d''heure'),
('fr', 'preferences', 'use default', 'Utiliser le défaut'),
('fr', 'preferences', 'users choice', 'Choix des utilisateurs'),
('fr', 'preferences', 'thousands separator is only used for displaying and not for editing numbers.', 'Le séparateur des milliers est utilisé seulement pour afficher et non pour modifier les nombres.'),
('fr', 'preferences', 'this server is located in the %1 timezone', 'Ce serveur est situé dans le fuseau horaire %1'),
('fr', 'preferences', 'the two passwords are not the same', 'Les deux mots de passe ne sont pas identiques'),
('fr', 'preferences', 'theme (colors/fonts) selection', 'Sélection de thème (couleurs/polices)'),
('fr', 'preferences', 'the two last options limit the visibility of other users. therefore they should be forced and apply not to administrators.', 'Les deux dernières options limitent la visibilité pour les autres utilisateurs. Pour cette raison, elles doivent être forcées et elles ne s''appliquent pas pour les administrateurs.'),
('fr', 'preferences', 'the selectbox shows all available users (can be very slow on big installs with many users). the popup can search users by name o', 'La boîte de sélection va afficher tous les utilisateurs (cela peut être très long pour les installations avec beaucoup d''utilisateurs).  Le popup permet de recherche sur le nom et le groupe. Les deux dernières options limite la visibilité pour les autres utilisateurs. Ainsi, elle peuvent être forcées et non appliquées pour les administrateurs.'),
('fr', 'preferences', 'the old password is not correct', 'L''ancien mon de passe est erroné'),
('fr', 'preferences', 'the default application will be started when you enter egroupware or click on the homepage icon.<br>you can also have more than ', 'L''application par défaut sera exécutée quand vous entrez dans eGroupWare ou cliquez sur l''icône de la page d''accueil.<br>Vous pouvez aussi avoir plus d''une application s''affichant sur la page d''accueil, si vous ne choisissez pas d''application spécifique ici (ceci doit être configuré dans les préférences de chaque application).'),
('fr', 'preferences', 'text only', 'Texte seulement'),
('fr', 'preferences', 'silver theme', 'Thème Argent'),
('fr', 'preferences', 'show text on navigation icons', 'Montrer le texte sur les icônes de navigation'),
('fr', 'preferences', 'show number of current users', 'Afficher le nombre d''utilisateurs courants'),
('fr', 'preferences', 'show navigation bar as', 'Afficher la barre de navigation comme'),
('fr', 'preferences', 'show helpmessages by default', 'Afficher les messages d''aide par défaut.'),
('fr', 'preferences', 'should this help messages shown up always, when you enter the preferences or only on request.', 'Ces messages d''aide doivent-ils toujours être affichés quand vous entrez dans les préférences, ou seulement à la demande?'),
('fr', 'preferences', 'should the number of active sessions be displayed for you all the time.', 'Le nombre de sessions actives doit-il vous être affiché en permanence?'),
('fr', 'preferences', 'set this to your convenience. for security reasons, you might not want to show your loginname in public.', 'Réglez ceci à votre convenance. Pour des raisons de sécurité, vous pourriez ne pas montrer votre nom d''utilisateur en public.'),
('fr', 'preferences', 'selectbox', 'Boîte de sélection'),
('fr', 'preferences', 'selectbox with primary group and search', 'Boîte de sélection avec groupe primaire et recherche'),
('fr', 'preferences', 'select the theme (visualization) of the rich text editor.', 'Sélectionner le thème de l''éditeur de texte.'),
('fr', 'preferences', 'select the language of the spellchecker integrated into the rich text editor.', 'Sélectionner la langue du correcteur orthographique intégré à l''éditeur de texte.'),
('fr', 'preferences', 'select one', 'Choisissez un(e)'),
('fr', 'preferences', 'select the language of texts and messages within egroupware.<br>some languages may not contain all messages, in that case you wi', 'Choisissez la langue des textes et messages dans eGroupWare.<br>Certaines langues peuvent ne pas contenir toutes les traductions, dans ce cas vous verrez le message en anglais.'),
('fr', 'preferences', 'select how the rich text editor will generate the enter (linebreak) tag.', 'Sélectionner comment l''éditeur de texte avancé va générer une balise de retour à la ligne.'),
('fr', 'preferences', 'select different theme', 'Choisissez un thème différent'),
('fr', 'preferences', 'rich text editor theme', 'Thème de l''éditeur de texte'),
('fr', 'preferences', 'rich text editor enter mode', 'Mode d''entrer dans l''éditeur de texte riche'),
('fr', 'preferences', 'read prefs for the specified application.', 'Lire les préférences pour l''apllication spécifiée.'),
('fr', 'preferences', 'popup with search', 'Ouvre une fenêtre Popup avec la recherche'),
('fr', 'preferences', 're-enter your password', 'Ré-entrez votre mot de passe'),
('fr', 'preferences', 'please, select a new theme', 'SVP, choisissez un nouveau thème'),
('fr', 'preferences', 'please select your timezone.', 'Chosir votre fuseau horaire'),
('fr', 'preferences', 'p: paragraph', 'p: Paragraphe'),
('fr', 'preferences', 'permanent time zone selection', 'Fuseau horaire permanent'),
('fr', 'preferences', 'please select timezones, you want to be able to quickly switch between. switch is not shown, if less then two are selected.', 'Sélectionner les fuseaux horaires'),
('fr', 'preferences', 'number format', 'Format de nombre'),
('fr', 'preferences', 'office 2003 theme', 'Thème office 2003'),
('fr', 'preferences', 'note: this feature does *not* change your email password. this will', 'note: cette fonctionnalité ne change *pas* votre mot de passe de compte EMail. Ceci devra'),
('fr', 'preferences', 'note: this feature does *not* change your email password. this will need to be done manually.', 'Note: cette fonctionnalité ne change PAS votre mot de passe de compte EMail. Ceci devra être fait manuellement.'),
('fr', 'preferences', 'language', 'Langue'),
('fr', 'preferences', 'max matches per page', 'Nombre max d''occurences par page'),
('fr', 'preferences', 'max number of icons in navbar', 'Nombre maximal d''icônes de la barre de navigation'),
('fr', 'preferences', 'no default', 'Pas de défaut'),
('fr', 'preferences', 'interface/template selection', 'Sélection de l''interface/modèle');
INSERT INTO `egw_lang` (`lang`, `app_name`, `message_id`, `content`) VALUES
('fr', 'preferences', 'in which country are you. this is used to set certain defaults for you.', 'Dans quel pays êtes-vous ? Ceci est utilisé pour définir certaines valeurs par défaut.'),
('fr', 'preferences', 'icons only', 'Icônes seulement'),
('fr', 'preferences', 'images linked to an entry can be displayed as thumbnails.  you can turn this off to speed up page display.', 'Les images liées à un élément peuvent être affichées en miniature. Désactiver cette option va accélérer l''affichage de la page.'),
('fr', 'preferences', 'icon', 'Icône'),
('fr', 'preferences', 'icons and text', 'Icônes et texte'),
('fr', 'preferences', 'how should egroupware display dates for you.', 'Choisir le format d''affichage des dates'),
('fr', 'preferences', 'how many icons should be shown in the navbar (top of the page). additional icons go into a kind of pulldown menu, callable by th', 'Combien d''icônes devraient-ils apparaître dans la barre de navigation en haut de page. Les icônes excédentaires iront dans un menu déroulant, appelé par l''icône située tout à droite de la barre de navigation.'),
('fr', 'preferences', 'how many hours are you in front or after the timezone of the server.<br>if you are in the same time zone as the server select 0 ', 'Combien d''heures en plus ou en moins vous séparent du fuseau horaire du serveur.<br>Si vous êtes dans le même fuseau horaire que le serveur, choisissez 0 heure, sinon choisissez votre date et heure locales.'),
('fr', 'preferences', 'how do you like to select accounts', 'Comment souhaitez-vous sélectionner les comptes'),
('fr', 'preferences', 'how do you like to display accounts', 'Comment souhaitez-vous afficher les comptes'),
('fr', 'preferences', 'help off', 'Aide désactivée'),
('fr', 'preferences', 'hours', 'Heures'),
('fr', 'preferences', 'forced preferences', 'Préférences forcées'),
('fr', 'preferences', 'failed to change password.  please contact your administrator.', 'Erreur lors du changement de mot de passe. Veuillez contacter votre administrateur.'),
('fr', 'preferences', 'enter your new password', 'Entrez votre nouveau mot de passe'),
('fr', 'preferences', 'enter your old password', 'Entrez votre ancien mot de passe'),
('fr', 'preferences', 'enables or disables dropdown selectbox resizing for ie in all applications. if the browser is not an ie , the option will not ap', 'Active ou désactive l''ajustement des menus déroulants pour Internet Explorer dans toutes les applications.  Si le navigateur n''est pas IE, cette option ne s''applique pas.'),
('fr', 'preferences', 'enable selectbox dropdown resizing for ie (experimental)', 'Sélectionner l''ajustement du menu déroulant'),
('fr', 'preferences', 'enables or disables drag and drop functions in all applications. if the browser does not support drag and drop, it will be disab', 'Active ou désactive les fonctions drag & drop dans toutes les applications. Si le navigateur ne supporte pas le drag & drop, cela sera désactivé automatiquement.'),
('fr', 'preferences', 'enable drag and drop functionality (experimental)', 'Drag & drop'),
('fr', 'preferences', 'edit custom fields', 'Modifier les champs personnalisés'),
('fr', 'preferences', 'div', 'div'),
('fr', 'preferences', 'do you prefer a 24 hour time format, or a 12 hour one with am/pm attached.', 'Préférez-vous un format d''heure sur 24h, ou un format sur 12h avec indication am/pm.'),
('fr', 'preferences', 'display thumbnails for linked images', 'Afficher des miniatures pour les images liées'),
('fr', 'preferences', 'delete categories', 'Supprimer les catégories'),
('fr', 'preferences', 'description can not exceed 255 characters in length !', 'La description ne peut pas faire plus de 255 caractères !'),
('fr', 'preferences', 'default theme', 'Thème par défaut'),
('fr', 'preferences', 'default application', 'Application par défaut'),
('fr', 'preferences', 'default preferences', 'Préférences par défaut'),
('fr', 'preferences', 'country', 'Pays'),
('fr', 'preferences', 'date format', 'Format de date'),
('fr', 'preferences', 'default', 'Défaut'),
('fr', 'preferences', 'color', 'Couleur'),
('fr', 'preferences', 'click to select a color', 'Cliquez pour sélectionner une couleur'),
('fr', 'preferences', 'change your settings', 'Changer vos paramètres'),
('fr', 'preferences', 'change your password', 'Changer votre mot de passe'),
('fr', 'preferences', 'change your profile', 'Changer votre profil'),
('fr', 'preferences', 'change a user password by passing the old and new passwords.  returns true on success, false on failure.', 'Change un mot de passe en fournissant l''ancien et le nouveau mot de passe. Retourne TRUE en cas de réussite, FALSE en cas d''échec.'),
('fr', 'preferences', 'are you sure you want to delete this category ?', 'Etes-vous sûr de vouloir effacer cette catégorie ?'),
('fr', 'preferences', 'acl grants have been updated', 'Les droits ACL ont été mis à jour'),
('fr', 'preferences', 'any listing in egw will show you this number of entries or lines per page.<br>to many slow down the page display, to less will c', 'Une liste dans eGroupWare affichera ce nombre d''entrées ou de lignes par page.<br>Une valeur trop grande ralentit l''affichage, une valeur trop petite empêche une vue d''ensemble.'),
('fr', 'preferences', 'a theme defines the colors and fonts used by the template.', 'Un thème définit les couleurs et polices utilisées par le modèle.'),
('fr', 'preferences', 'a template defines the layout of egroupware and it contains icons for each application.', 'Un modèle définit la disposition d''eGroupWare et contient les icônes pour chaque application.'),
('fr', 'preferences', '24 hour', '24 heures'),
('fr', 'preferences', '12 hour', '12 heures'),
('fr', 'preferences', '%1 - preferences', '%1 - Préférences'),
('fr', 'preferences', '%1 hours', '%1 heures'),
('fr', 'preferences', 'manage emailfilter / vacation', 'Gérer les filtres / les vacances'),
('fr', 'preferences', 'sf project tracker preferences', 'Préférences du traceur de projet SF'),
('fr', 'developer_tools', 'you need to set your preferences for this app', 'Vous devez régler vos préférences pour cette application'),
('fr', 'developer_tools', 'you must select a project', 'Vous devez choisir un projet'),
('fr', 'developer_tools', 'you must enter a change', 'Vous devez entrer une modification'),
('fr', 'developer_tools', 'you must a version', 'Vous devez une version'),
('fr', 'developer_tools', 'you have to [save] every manual change in the above fields, before you can go to the next step !!!', 'Vous devez [Enregistrer] tout changement manuel dans les champs ci-dessus, avant de pouvoir aller à l''étape suivante !!!'),
('fr', 'developer_tools', 'writing langfile for ''%1'' ...', 'Mise à jour fichier de langue pour  ''%1'' ...'),
('fr', 'developer_tools', 'write to lang table', 'Ecrire dans la table de langue'),
('fr', 'developer_tools', 'write', 'Ecrire'),
('fr', 'developer_tools', 'write the lang-file to the apps setup-dir', 'Ecrit le fichier de langue dans le répertoire setup de l''application'),
('fr', 'developer_tools', 'version', 'Version'),
('fr', 'developer_tools', 'updates the translations of both lang-files in your database, so you can verify your work immediately', 'Met à jour les traductions des deux fichiers de langue dans votre base de données, que vous puissiez vérifier votre travail immédiatement'),
('fr', 'developer_tools', 'update', 'Mettre à jour'),
('fr', 'developer_tools', 'update database', 'Mettre à jour la base de données'),
('fr', 'developer_tools', 'translation', 'Traduction'),
('fr', 'developer_tools', 'translation of phrase', 'Traduction de la phrase'),
('fr', 'developer_tools', 'translate', 'Traduire'),
('fr', 'developer_tools', 'title', 'Titre'),
('fr', 'developer_tools', 'target language', 'Langue destination'),
('fr', 'developer_tools', 'submit', 'Soumettre'),
('fr', 'developer_tools', 'step', 'Etape'),
('fr', 'developer_tools', 'sourceforge project tracker preferences', 'Préférences du traceur de projets Sourceforge'),
('fr', 'developer_tools', 'sourceforge project tracker', 'traceur de projet Sourceforge'),
('fr', 'developer_tools', 'sourceforge project id', 'ID de projet Sourceforge'),
('fr', 'developer_tools', 'source language', 'Langue source'),
('fr', 'developer_tools', 'sf project tracker', 'traceur de projet SF'),
('fr', 'developer_tools', 'select project', 'Choisir un projet'),
('fr', 'developer_tools', 'searches the source-code for phrases not in the actual source-lang-file', 'Recherche dans le code source les phrases non présentes dans le fichier de langue source actuel'),
('fr', 'developer_tools', 'search for missing phrase', 'Chercher les phrases manquantes'),
('fr', 'developer_tools', 'search new phrases', 'Rechercher les nouvelles phrases'),
('fr', 'developer_tools', 'search changelogs', 'Chercher les journaux de changements'),
('fr', 'developer_tools', 'saves the added/changed translations to an internal buffer, to be used in further steps', 'Enregistre les traductions ajoutées/modifiées dans un tampon interne afin qu''elles puissent être utilisées dans les étapes suivantes'),
('fr', 'developer_tools', 'revert', 'Revenir'),
('fr', 'developer_tools', 'returns to the application list, not saved changes get lost !!!', 'Retourne à la liste des applications, les changements non enregistrés seront perdus !!!'),
('fr', 'developer_tools', 'removed %1 phrases from the target language, as they are not present in the source language!', 'Enlevé %1 phrases de la langue de destination car elles sont absentes de la langue source!'),
('fr', 'developer_tools', 'remove', 'Enlever'),
('fr', 'developer_tools', 'project', 'Projet'),
('fr', 'developer_tools', 'preferences have been updated', 'Les préférences ont été mises à jour'),
('fr', 'developer_tools', 'preferences', 'Préférences'),
('fr', 'developer_tools', 'phrase in english (or empty if identical)', 'Phrase en  Anglais (ou rien si identique)'),
('fr', 'developer_tools', 'ok', 'ok'),
('fr', 'developer_tools', 'original', 'Original'),
('fr', 'developer_tools', 'no file', 'pas de fichier'),
('fr', 'developer_tools', 'message_id in english', 'message_id en Anglais'),
('fr', 'developer_tools', 'message', 'Message'),
('fr', 'developer_tools', 'loads the selected lang-files, to be modified in the next steps', 'Charge les fichiers de langue sélectionnés afin qu''ils soient modifiés dans les prochaines étapes'),
('fr', 'developer_tools', 'loading target langfile', 'Charge le fichier de langue destination'),
('fr', 'developer_tools', 'load', 'Charger'),
('fr', 'developer_tools', 'loading source langfile', 'Charge le fichier de langue source'),
('fr', 'developer_tools', 'list changelogs', 'Lister les journaux de changements'),
('fr', 'developer_tools', 'language file management', 'Gestion des fichiers de langue'),
('fr', 'developer_tools', 'download the lang-file to be saved in the apps setup-dir', 'Télécharger le fichier de langue pour qu''il soit enregistré dans le répertoire setup de l''application'),
('fr', 'developer_tools', 'edit', 'Editer'),
('fr', 'developer_tools', 'installed applications', 'Applications installées'),
('fr', 'developer_tools', 'create new language file', 'Créer un Nouveau Fichier de Langue'),
('fr', 'developer_tools', 'create sgml file', 'Créer un fichier SGML'),
('fr', 'developer_tools', 'developer tools - preferences', 'Outils développeurs - préférences'),
('fr', 'developer_tools', 'diary', 'Journal'),
('fr', 'developer_tools', 'done', 'fait'),
('fr', 'developer_tools', 'download', 'Télécharger'),
('fr', 'developer_tools', 'clears the internal buffer, all changes made sofar are lost', 'Vide le tampon interne, tous les changements faits jusqu''ici sont perdus'),
('fr', 'developer_tools', 'changelogs', 'Journaux de changements'),
('fr', 'developer_tools', 'changelog entry has been added', 'L''entrée a été ajoutée dans le journal des changements'),
('fr', 'developer_tools', 'change', 'Changer'),
('fr', 'developer_tools', 'cancel', 'Annuler'),
('fr', 'developer_tools', 'application', 'Application'),
('fr', 'developer_tools', 'back', 'Retour'),
('fr', 'developer_tools', 'allows you to add a single phrase', 'Vous permet d''ajouter une phrase'),
('fr', 'developer_tools', 'add', 'Ajouter'),
('fr', 'developer_tools', 'add change', 'Ajouter la modification'),
('fr', 'developer_tools', 'add more', 'Ajouter encore'),
('fr', 'developer_tools', 'add new phrase', 'Ajouter une nouvelle phrase'),
('fr', 'developer_tools', 'add phrase', 'ajouter la phrase'),
('fr', 'calendar', 'your meeting scheduled for %1 has been canceled', 'Votre réunion planifiée pour %1 a été annulée'),
('fr', 'calendar', 'your meeting that had been scheduled for %1 has been rescheduled to %2', 'Votre réunion qui avait été planifiée pour %1 a été replanifiée pour %2'),
('fr', 'calendar', 'you requested more than available for the selected resource:', 'Vous avez demandé plus que ce qui est disponible pour cette ressource :'),
('fr', 'calendar', 'you need to set either a day or a occurence !!!', 'Vous devez régler soit un jour soit une occurrence !!!'),
('fr', 'calendar', 'you need to select an ical file first', 'Vous devez d''abord sélectionner un iCal'),
('fr', 'calendar', 'you need to select an account, contact or resource first!', 'Vous devez d''abord sélectionner un compte, contact ou une ressource !'),
('fr', 'calendar', 'you have been disinvited from the meeting at %1', 'Votre invitation au rendez-vous de %1 a été annulée'),
('fr', 'calendar', 'you have a meeting scheduled for %1', 'Vous avez une réunion planifiée pour %1'),
('fr', 'calendar', 'you do not have permission to read this record!', 'Vous n''avez pas les droits de lire cet enregistrement!'),
('fr', 'calendar', 'you can only set a year or a occurence !!!', 'Vous pouvez uniquement régler une année ou une occurrence !!!'),
('fr', 'calendar', 'you can either set a year or a occurence, not both !!!', 'Vous pouvez soit régler une année ou une occurrence, pas les deux !!!'),
('fr', 'calendar', 'yearly', 'Annuel'),
('fr', 'calendar', 'yearview', 'vue annuelle'),
('fr', 'calendar', 'you are not allowed to book the resource selected:', 'Vous n''est pas autorisé à réserver la ressource sélectionnée :'),
('fr', 'calendar', 'workdays', 'Jour ouvrés'),
('fr', 'calendar', 'workday', 'Jour ouvré'),
('fr', 'calendar', 'work day starts on', 'La journée de travail démarre à'),
('fr', 'calendar', 'work day ends on', 'La journée de travail finit à'),
('fr', 'calendar', 'wk', 'Sem.'),
('fr', 'calendar', 'whole day', 'Journée entière'),
('fr', 'calendar', 'which of calendar view do you want to see, when you start calendar ?', 'Quelle vue du calendrier voulez-vous voir quand vous démarrez le calendrier ?'),
('fr', 'calendar', 'weeks in multiple week view', 'Semaines à afficher dans la vue multi-semaines'),
('fr', 'calendar', 'weekview', 'Vue hebdomadaire'),
('fr', 'calendar', 'weekview with weekend', 'Vue hebdomadaire avec weekend'),
('fr', 'calendar', 'weekview without weekend', 'Vue hebdomadaire sans weekend'),
('fr', 'calendar', 'which events do you want to see when you enter the calendar.', 'Quels événements voulez-vous voir quand vous entrez dans le calendrier.'),
('fr', 'calendar', 'weekly', 'Hebdomadaire'),
('fr', 'calendar', 'weekdays to use in search', 'Jour de la semaine à inclure dans la recherche'),
('fr', 'calendar', 'weekdays', 'Jours de la semaine'),
('fr', 'calendar', 'weekday starts on', 'la semaine débute'),
('fr', 'calendar', 'weekday', 'Jour de la semaine'),
('fr', 'calendar', 'week', 'Semaine'),
('fr', 'calendar', 'wed', 'Me'),
('fr', 'calendar', 'view exception', 'Voir l''exception'),
('fr', 'calendar', 'view series', 'Voir la série'),
('fr', 'calendar', 'view this event', 'Voir cet événement'),
('fr', 'calendar', 'views with fixed time intervals', 'Vues à intervalles de temps fixes'),
('fr', 'calendar', 'user or group', 'Utilisateur ou groupe'),
('fr', 'calendar', 'use this timezone to export calendar data.', 'Utiliser ce fuseau horaire pour exporter les données du calendrier'),
('fr', 'calendar', 'use end date', 'utiliser la date de fin'),
('fr', 'calendar', 'use the selected time and close the popup', 'choisir la date et l''heure sélectionnées et fermer le popup'),
('fr', 'calendar', 'updated', 'Mis à jour'),
('fr', 'calendar', 'update timezones', 'Mettre à jour les fuseaux horaires'),
('fr', 'calendar', 'tomorrow', 'Demain'),
('fr', 'calendar', 'translation', 'Traduction'),
('fr', 'calendar', 'tue', 'Ma'),
('fr', 'calendar', 'two weeks', 'deux semaines'),
('fr', 'calendar', 'to-lastname', 'Au nom de famille'),
('fr', 'calendar', 'to-firstname', 'Au prénom'),
('fr', 'calendar', 'to-fullname', 'Au nom complet'),
('fr', 'calendar', 'to many might exceed your execution-time-limit', 'trop pourrait excéder votre limite de temps d''exécution'),
('fr', 'calendar', 'title of the event', 'Titre de l''événement'),
('fr', 'calendar', 'timezone of event exports', 'Fuseau horaire des événéments à l''export'),
('fr', 'calendar', 'timezones updated to version %1 (%2 records updated).', 'Fuseaux horaires mise à jour à la version %1, %2 enregistrements mis à jour.'),
('fr', 'calendar', 'timezone in which recurrences have identical time', 'Fuseau horaire pour lequel les récurrences doivent avoir un temps identique'),
('fr', 'calendar', 'timezone', 'Fuseau horaire'),
('fr', 'calendar', 'timeframe', 'Plage horaire'),
('fr', 'calendar', 'timeframe to search', 'Plage horaire de recherche'),
('fr', 'calendar', 'thu', 'Jeu'),
('fr', 'calendar', 'til', 'jusqu''à'),
('fr', 'calendar', 'this module displays the current month', 'Ce module affiche le mois actuel'),
('fr', 'calendar', 'three month', 'trois mois'),
('fr', 'calendar', 'this message is sent when you set an alarm for a certain event. include all information you might need.', 'Ce message est envoyé quand vous réglez une Alarme pour un événement précis. Incluez toutes les informations dont vous pourriez avoir besoin.'),
('fr', 'calendar', 'this message is sent when you accept, tentative accept or reject an event.', 'Ce message est envoyé quand vous acceptez, essayez d''accepter ou rejetez un événement.'),
('fr', 'calendar', 'this message is sent to every participant of events you own, who has requested notifcations about new events.<br>you can use cer', 'Ce message est envoyé à tous les participants des événements vous appartenant ayant demandé des notifications à propos des nouveaux événements.<br>Vous pouvez utiliser certaines variables qui seront remplacées par les données de l''événement. La première ligne est le sujet de l''EMail.'),
('fr', 'calendar', 'this message is sent to disinvited participants.', 'Ce message est envoyé aux participants dont l''invitation a été annulée.'),
('fr', 'calendar', 'this message is sent for modified or moved events.', 'Ce message est envoyé pour les événements modifiés ou déplacés.'),
('fr', 'calendar', 'this message is sent for canceled or deleted events.', 'Ce message est envoyé pour les événements annulés ou effacés.'),
('fr', 'calendar', 'this group that is preselected when you enter the planner. you can change it in the planner anytime you want.', 'Ce groupe qui est présélectionné quand vous entrez dans le planificateur. Vous pouvez le modifier dans le planning chaque fois que vous le désirez.'),
('fr', 'calendar', 'this event is part of a series', 'Cet événements fait partie d''une série'),
('fr', 'calendar', 'this entry is opened by user:', 'Cet élément a été ouvert dans l''interface de temps défini par l''utilisateur :'),
('fr', 'calendar', 'this entry is currently opened by %1!', 'Cet élément est actuellement ouvert par %1!'),
('fr', 'calendar', 'this defines the start of your dayview. events before this time, are shown above the dayview.<br>this time is also used as a def', 'Ceci définit le début de votre vue journalière. Les événements avant cette heure sont affichés au-dessus de la vue journalière.<br>Cette heure est aussi utilisée comme l''heure de début par défaut pour les nouveaux événements.'),
('fr', 'calendar', 'this defines the end of your dayview. events after this time, are shown below the dayview.', 'Ceci définit la fin de votre vue journalière. Les événements après cette heure sont montrés dans la vue journalière.'),
('fr', 'calendar', 'this day is shown as first day in the week or month view.', 'Ce jour est affiché comme le premier jour de la vue hebdomadaire ou mensuelle.'),
('fr', 'calendar', 'the resource you selected is already overbooked:', 'La ressource sélectionnée est déjà over-bookée :'),
('fr', 'calendar', 'test import (show importable records <u>only</u> in browser)', 'Tester l''importation (montrer <u>seulement</u> les enregistrements importables dans le navigateur)'),
('fr', 'calendar', 'tentative', 'Tentative'),
('fr', 'calendar', 'sun', 'Di'),
('fr', 'calendar', 'submit to repository', 'Soumettre au Dépôt'),
('fr', 'calendar', 'status for this particular day changed', 'Le statut de ce jour précis a été modifié.'),
('fr', 'calendar', 'status of participants set to unknown because of missing category rights', 'Le statut des participants a été mis à "pas de réponse" pour cause de manque de droit sur la catégorie'),
('fr', 'calendar', 'status for all future scheduled days changed', 'Le statut de tous les jours futurs a été modifié.'),
('fr', 'calendar', 'status changed', 'Le statut a été modifié'),
('fr', 'calendar', 'startrecord', 'Enregistrement de début'),
('fr', 'calendar', 'startdate of the export', 'Date de début de l''exportation'),
('fr', 'calendar', 'startdate and -time of the search', 'Date/Heure de début de la recherche'),
('fr', 'calendar', 'startdate / -time', 'Date/Heure de début'),
('fr', 'calendar', 'startdate', 'Date de départ'),
('fr', 'calendar', 'start date/time', 'Date/Heure de début'),
('fr', 'calendar', 'start', 'Début'),
('fr', 'calendar', 'single event', 'événement unique'),
('fr', 'calendar', 'show this week', 'afficher cette semaine'),
('fr', 'calendar', 'show this month', 'afficher ce mois'),
('fr', 'calendar', 'show only tentative accepted events', 'Afficher seulement les événements en "tentative".'),
('fr', 'calendar', 'show only rejected events', 'Afficher seulement les événements rejetés.'),
('fr', 'calendar', 'show only invitations, not yet accepted or rejected', 'Afficher seulement les invitations non confirmées ou non rejetés'),
('fr', 'calendar', 'show list of upcoming events', 'Afficher la liste des événements à venir'),
('fr', 'calendar', 'show only accepted events', 'Afficher seulement les événements acceptés.'),
('fr', 'calendar', 'show empty rows in planner', 'Afficher les lignes vides dans le planificateur'),
('fr', 'calendar', 'show default view on main screen', 'Afficher la vue par défaut sur l''écran principal'),
('fr', 'calendar', 'show also events just owned by selected user', 'Afficher aussi les événements dont l''utilisateur est seulement propriétaire'),
('fr', 'calendar', 'show all status incl. rejected events', 'Afficher tous les statuts y compris les événements rejetés'),
('fr', 'calendar', 'show all status, but rejected', 'Afficher tous les statuts, sauf les rejetés.'),
('fr', 'calendar', 'show all events, as if they were private', 'Afficher tous les événements comme s''ils étaient privés'),
('fr', 'calendar', 'should the status of the event-participants (accept, reject, ...) be shown in brakets after each participants name ?', 'Le statut de chaque participant à l''événement (accepté, rejeté, ...) doit-il être montré entre crochets après le nom de chaque participant ?'),
('fr', 'calendar', 'should the planner display an empty row for users or categories without any appointment.', 'Est-ce que planificateur doit afficher une ligne vide pour les utilisateurs ou catégories sans aucun rendez-vous.'),
('fr', 'calendar', 'should not loged in persons be able to see your freebusy information? you can set an extra password, different from your normal ', 'Est-ce que les utilisateurs non connectés devraient avoir accès à l''information de disponibilité? Vous pouvez spécifier un mot de passe supplémentaire, différent de votre mot de passe habituel, afin de protéger cette information. L''information de disponibilité est au format iCal et comprend seulement les heures où vous êtes occupé. Elle n''inclut pas les noms d''événements, descriptions et locations. L''URL de votre information de disponibilité est %1.'),
('fr', 'calendar', 'should new events created as private by default ?', 'Les nouveaux événements doivent-ils être créés comme privés par défaut ?'),
('fr', 'calendar', 'set new events to private', 'Régler les nouveaux événements comme privés'),
('fr', 'calendar', 'set a year only for one-time / non-regular holidays.', 'Régler sur une année seulement pour les vacances uniques / non-régulières.'),
('fr', 'calendar', 'selected range', 'Etendue sélectionnée'),
('fr', 'calendar', 'select who should get the alarm', 'Sélectionner qui doit recevoir l''alarme'),
('fr', 'calendar', 'select resources', 'Sélectionner les ressources'),
('fr', 'calendar', 'select multiple contacts for a further action', 'Sélectionner plusieurs contacts pour une même action'),
('fr', 'calendar', 'select a time', 'Sélectionnez une heure'),
('fr', 'calendar', 'select an action', 'Sélectionner une action'),
('fr', 'calendar', 'scheduling conflict', 'Conflit de planification'),
('fr', 'calendar', 'select a %1', 'sélectionnez un %1'),
('fr', 'calendar', 'saves the event ignoring the conflict', 'Enregistre l''événement en ignorant le conflit'),
('fr', 'calendar', 'saves the changes made', 'Enregistre les modifications'),
('fr', 'calendar', 'sat', 'Sa'),
('fr', 'calendar', 'save event as exception - delete single occurrence - edit status or alarms for this particular day', 'Sauvegarder l''événement comme une exception - supprimer l''occurrence orpheline - Changer les status ou les alarmes sur ce jour en particulier.'),
('fr', 'calendar', 'role', 'Rôle'),
('fr', 'calendar', 'rule', 'Règle'),
('fr', 'calendar', 'restrict set status to', 'Restreindre la mise de statut à'),
('fr', 'calendar', 'restrict add category to', 'Restreindre l''ajout de catégorie à'),
('fr', 'calendar', 'resources with conflict detection', 'Ressources avec détection de conflits'),
('fr', 'calendar', 'resources except conflicting ones', 'Ressources à l''exception de celles en conflit'),
('fr', 'calendar', 'resources', 'Ressources'),
('fr', 'calendar', 'reset', 'Réinitialiser'),
('fr', 'calendar', 'requested', 'Requis'),
('fr', 'calendar', 'repetitiondetails (or empty)', 'Détails de répétition (ou vide)'),
('fr', 'calendar', 'repeating interval, eg. 2 to repeat every second week', 'Intervalle de répétition, par exemple 2 pour répéter chaque deuxième semaine'),
('fr', 'calendar', 'repetition', 'Répétition'),
('fr', 'calendar', 'repeating event information', 'Informations d''Evénement Répétitif'),
('fr', 'calendar', 'repeat type', 'Type de répétition'),
('fr', 'calendar', 'repeat the event until which date (empty means unlimited)', 'répéter l''événement jusqu''à quelle date (vide pour illimité)'),
('fr', 'calendar', 'repeat days', 'Jours répétés'),
('fr', 'calendar', 'rejected', 'Rejeté'),
('fr', 'calendar', 'receive email updates', 'Recevoir les mises à jour par EMail'),
('fr', 'calendar', 'receive summary of appointments', 'Recevoir le résumé des rendez-vous'),
('fr', 'calendar', 'recurrence', 'Récurrence'),
('fr', 'calendar', 'recurring event', 'Evénement récurrent'),
('fr', 'calendar', 're-edit event', 'Remodifier l''événement'),
('fr', 'calendar', 'quantity', 'Quantité'),
('fr', 'calendar', 'private only', 'Privé seulement'),
('fr', 'calendar', 'private and group public', 'Public privé et groupe'),
('fr', 'calendar', 'private and global public', 'Public privé et global'),
('fr', 'calendar', 'previous', 'Précédent'),
('fr', 'calendar', 'preselected group for entering the planner', 'Groupe présélectionné pour entrer dans le planificateur'),
('fr', 'calendar', 'please note: you can configure the field assignments after you uploaded the file.', 'Veuiller noter: Vous pourrez configurer l''affectation des champs APRES avoir déposé le fichier.'),
('fr', 'calendar', 'planner by user', 'Planificateur par utilisateur'),
('fr', 'calendar', 'planner by category', 'Planificateur par catégrie'),
('fr', 'calendar', 'people holiday', 'Vacances des personnes'),
('fr', 'calendar', 'permission denied', 'Permission refusée'),
('fr', 'calendar', 'password for not loged in users to your freebusy information?', 'Mot de passe des utilisateurs non connectés pour l''information de disponibilité?'),
('fr', 'calendar', 'participants, resources, ...', 'Participants, Ressources...'),
('fr', 'calendar', 'participants disinvited from an event', 'Participants dont l''invitation a été retirée'),
('fr', 'calendar', 'participants', 'Participants'),
('fr', 'calendar', 'owner too', 'Aussi les "propriétaires"'),
('fr', 'calendar', 'overlap holiday', 'Jour fériés chevauchant'),
('fr', 'calendar', 'open todo''s:', 'Tâches ouvertes'),
('fr', 'calendar', 'optional', 'Optionnel'),
('fr', 'calendar', 'only the initial date of that recuring event is checked!', 'Seule la première date de cet événement récurrent est vérifiée'),
('fr', 'calendar', 'one month', 'un mois'),
('fr', 'calendar', 'one week', 'une semaine'),
('fr', 'calendar', 'one year', 'un an'),
('fr', 'calendar', 'only group-events', 'Uniquement les evts de groupe'),
('fr', 'calendar', 'on time change of more than 4 hours too', 'sur le changement de temps de plus de 4 heures aussi'),
('fr', 'calendar', 'on participant responses too', 'sur les réponses des participants aussi'),
('fr', 'calendar', 'on any time change too', 'sur n''importe quel changement de temps aussi'),
('fr', 'calendar', 'on invitation / cancelation only', 'sur invitation / annulation seulement'),
('fr', 'calendar', 'old startdate', 'Ancienne date de début'),
('fr', 'calendar', 'olddate', 'Date d''origine'),
('fr', 'calendar', 'on %1 %2 %3 your meeting request for %4', 'Le %1 %2 %3 votre demande de réunion pour %4'),
('fr', 'calendar', 'on all modification, but responses', 'sur toutes les modifications, sauf les réponses'),
('fr', 'calendar', 'observance rule', 'Règle d''observation'),
('fr', 'calendar', 'occurence', 'Occurence'),
('fr', 'calendar', 'number of weeks to show', 'Nombre de semaines à afficher'),
('fr', 'calendar', 'number of records to read (%1)', 'Nombre d''enregistrements à lire (%1)'),
('fr', 'calendar', 'notification messages for your responses', 'Messages de notification pour vos réponses'),
('fr', 'calendar', 'notification messages for your alarms', 'Messages de notification pour vos alarmes'),
('fr', 'calendar', 'notification messages for modified events', 'Messages de notification pour les événements modifiés'),
('fr', 'calendar', 'notification messages for disinvited participants', 'Messages de notification pour les invitations annulées'),
('fr', 'calendar', 'notification messages for added events', 'Messages de notification pour les événements ajoutés'),
('fr', 'calendar', 'notification messages for canceled events', 'Messages de notification pour les événements annulés'),
('fr', 'calendar', 'nothing to update, version is already %1.', 'Rien à mettre à jour, la version est déjà %1.'),
('fr', 'calendar', 'not rejected', 'Pas rejetés'),
('fr', 'calendar', 'not', 'Pas'),
('fr', 'calendar', 'non blocking', 'non bloquant'),
('fr', 'calendar', 'no response', 'Pas de réponse'),
('fr', 'calendar', 'no filter', 'Pas de filtre'),
('fr', 'calendar', 'no matches found', 'Aucune occurence trouvée.'),
('fr', 'calendar', 'no recurrence', 'Pas de récurrence'),
('fr', 'calendar', 'no events found', 'Aucun événement trouvé.'),
('fr', 'calendar', 'new search with the above parameters', 'Nouvelle recherche avec les paramètres ci-dessus'),
('fr', 'calendar', 'multiple week view', 'Vue multi-semaines'),
('fr', 'calendar', 'needs action', 'Action nécessaire'),
('fr', 'calendar', 'monthview', 'Vue mensuelle'),
('fr', 'calendar', 'monthly (by day)', 'Mensuel (par jour)'),
('fr', 'calendar', 'monthly (by date)', 'Mensuel (par date)'),
('fr', 'calendar', 'minutes', 'Minutes'),
('fr', 'calendar', 'modified', 'Modifié'),
('fr', 'calendar', 'mon', 'Lu'),
('fr', 'calendar', 'monthly', 'Mensuel'),
('fr', 'calendar', 'make freebusy information available to not loged in persons?', 'Mettre à disposition les disponibilités aux personnes non connectées?'),
('fr', 'calendar', 'mail all participants', 'envoyer un email à tous les participants'),
('fr', 'calendar', 'links', 'Liens'),
('fr', 'calendar', 'links, attachments', 'Liens, Attachements'),
('fr', 'calendar', 'listview', 'Liste d''événements'),
('fr', 'calendar', 'location', 'Emplacement'),
('fr', 'calendar', 'location, start- and endtimes, ...', 'Emplacement, heures de Début/Fin...'),
('fr', 'calendar', 'link to view the event', 'Lien pour voir l''événement'),
('fr', 'calendar', 'link', 'Lien'),
('fr', 'calendar', 'invite', 'Inviter'),
('fr', 'calendar', 'last', 'Dernier'),
('fr', 'calendar', 'lastname of person to notify', 'Nom de famille de la personne à prévenir'),
('fr', 'calendar', 'length of the time interval', 'Longueur de l''intervalle de temps'),
('fr', 'calendar', 'invitations', 'Invitations'),
('fr', 'calendar', 'invalid email-address "%1" for user %2', 'Adresse email ''%1'' invalide pour l''utilisateur %2'),
('fr', 'calendar', 'interval', 'Intervalle'),
('fr', 'calendar', 'imports events into your calendar from a csv file. csv means ''comma seperated values''. however in the options tab you can also c', 'Importer des événements dans votre calendrier depuis un fichier csv. CSV tient pour  ''Comma Separated Values'' (Valeurs séparées par des virgules).  Dans l''onglet option, vous pouvez aussi définir d''autres séparateurs.'),
('fr', 'calendar', 'import', 'Importer'),
('fr', 'calendar', 'ignore conflict', 'Ignorer le conflit'),
('fr', 'calendar', 'if you dont set a password here, the information is available to everyone, who knows the url!!!', 'Si vous ne définissez pas de mot de passe ici, l''information est disponibles pour chaque personne connaissant l''URL!!!'),
('fr', 'calendar', 'if checked holidays falling on a weekend, are taken on the monday after.', 'Si les vacances sélectionnées tombent sur un weekend elles sont prises sur le lundi suivant.'),
('fr', 'calendar', 'ical import', 'Importation iCal'),
('fr', 'calendar', 'ical successful imported', 'Importation iCal réussie'),
('fr', 'calendar', 'ical export', 'Exportation iCal'),
('fr', 'calendar', 'ical file', 'Fichier iCal'),
('fr', 'calendar', 'ical', 'iCal'),
('fr', 'calendar', 'ical / rfc2445', 'iCal / rfc2445'),
('fr', 'calendar', 'how many weeks should the multiple week view show?', 'Combien de semaines afficher dans la vue multi-semaines ?'),
('fr', 'calendar', 'how many minutes should each interval last?', 'Combien de minutes doit durer chaque intervalle ?'),
('fr', 'calendar', 'hours', 'Heures'),
('fr', 'calendar', 'how far to search (from startdate)', 'rechercher jusqu''à quand (à partir de la date de début)'),
('fr', 'calendar', 'holiday management', 'Gestion des jours fériés'),
('fr', 'calendar', 'holidays', 'Jours fériés'),
('fr', 'calendar', 'holiday', 'Jour férié'),
('fr', 'calendar', 'hide private infos', 'Cacher les info privées'),
('fr', 'calendar', 'high priority', 'Priorité haute'),
('fr', 'calendar', 'history', 'Historique'),
('fr', 'calendar', 'h', 'h'),
('fr', 'calendar', 'here is your requested alarm.', 'Voici l''alarme que vous avez demandé.'),
('fr', 'calendar', 'group public only', 'public groupe seulement'),
('fr', 'calendar', 'groupmember(s) %1 not included, because you have no access.', 'Les membre(s) du groupe %1 ne sont pas inclus car vous n''avez aucun accès.'),
('fr', 'calendar', 'group planner', 'Planificateur de groupe'),
('fr', 'calendar', 'group invitation', 'Invitation de groupe'),
('fr', 'calendar', 'global public only', 'public global seulement'),
('fr', 'calendar', 'global public and group public', 'Public global et public groupe'),
('fr', 'calendar', 'general', 'Général'),
('fr', 'calendar', 'global categories', 'Catégorie globale'),
('fr', 'calendar', 'fri', 'Ve'),
('fr', 'calendar', 'full description', 'Description complète'),
('fr', 'calendar', 'fullname of person to notify', 'Nom complet de la personne à prévenir'),
('fr', 'calendar', 'freetime search', 'Recherche de Disponibilité'),
('fr', 'calendar', 'freebusy: unknow user ''%1'', wrong password or not availible to not loged in users !!!', 'Libre/occupé: Utilisateur ''%1'' inconnu, mot de passe incorrect ou non disponible pour les utilisateurs non connectés !!!'),
('fr', 'calendar', 'four days view', 'Vue sur 4 jours'),
('fr', 'calendar', 'forward one month', 'un mois dans le futur'),
('fr', 'calendar', 'forward half a month', '15 jours dans le futur'),
('fr', 'calendar', 'format of event updates', 'Format des mises à jour d''événements'),
('fr', 'calendar', 'for', 'pour'),
('fr', 'calendar', 'for which views should calendar show distinct lines with a fixed time interval.', 'Vues pour lesquelles le calendrier doit afficher des lignes distinctes pour un intervalle de temps fixe.'),
('fr', 'calendar', 'firstname of person to notify', 'Prénom de la personne à prévenir'),
('fr', 'calendar', 'find free timeslots where the selected participants are availible for the given timespan', 'Trouver des plages de temps libres sur lesquelles les participants sélectionnés sont disponibles'),
('fr', 'calendar', 'filename of the download', 'Nom du fichier téléchargé'),
('fr', 'calendar', 'filename', 'Nom du fichier'),
('fr', 'calendar', 'fieldseparator', 'Séparateur de champs'),
('fr', 'calendar', 'extended updates always include the complete event-details. ical''s can be imported by certain other calendar-applications.', 'Les mises à jour étendues incluent toujours les détails complets de l''événement. Les iCals peuvent être importés par certaines autres applications de calendrier.'),
('fr', 'calendar', 'extended', 'Etendu.'),
('fr', 'calendar', 'existing links', 'Liens existants'),
('fr', 'calendar', 'export', 'Exportation'),
('fr', 'calendar', 'execute a further action for this entry', 'Exécuter une action supplémentaire pour cette entrée'),
('fr', 'calendar', 'exceptions', 'Exceptions'),
('fr', 'calendar', 'exception', 'Exception'),
('fr', 'calendar', 'exception created - you can now edit or delete it', 'Exception créée - vous pouvez maintenant la modifier ou la supprimer.'),
('fr', 'calendar', 'event will occupy the whole day', 'L''événement occupera la journée entière'),
('fr', 'calendar', 'event saved', 'Evénement enregistré.'),
('fr', 'calendar', 'event details follow', 'Les détails de l''événement suivent'),
('fr', 'calendar', 'event deleted', 'Evénement supprimé.'),
('fr', 'calendar', 'event copied - the copy can now be edited', 'Evénement copié - la copie peut maintenant être modifiée.'),
('fr', 'calendar', 'error: the entry has been updated since you opened it for editing!', 'Erreur: cette entrée a été mise à jour depuis que vous l''avez ouverte pour la modifier !'),
('fr', 'calendar', 'error: starttime has to be before the endtime !!!', 'Erreur : le début doit être antérieur à la fin !!!'),
('fr', 'calendar', 'error: saving the event !!!', 'Erreur à ''enregistrement de l''événement !'),
('fr', 'calendar', 'error: ressources reservation in private events is not allowed!!!', 'Erreur: la réservation de ressources sur les rendez-vous privés n''est pas autorisée !'),
('fr', 'calendar', 'error: no participants selected !!!', 'Erreur : aucun participant sélectionné !'),
('fr', 'calendar', 'error: importing the ical', 'Erreur lors de l''importation de l''iCal'),
('fr', 'calendar', 'error: duration of event longer then recurrence interval!', 'Erreur : la durée de l''événement dépasse celle de l''intervalle de récurrence !'),
('fr', 'calendar', 'ends', 'finit'),
('fr', 'calendar', 'error adding the alarm', 'Erreur lors de l''ajout de l''alarme'),
('fr', 'calendar', 'error: can''t delete original series!', 'Erreur : impossible de supprimer la série d''origine !'),
('fr', 'calendar', 'enddate of the export', 'Date de la fin de l''exportation'),
('fr', 'calendar', 'enddate', 'Date de fin'),
('fr', 'calendar', 'enddate / -time of the meeting, eg. for more then one day', 'Date/heure de fin de la réunion, c''est-à-dire pour plus d''une journée'),
('fr', 'calendar', 'end date/time', 'Date/Heure de fin'),
('fr', 'calendar', 'end', 'Fin'),
('fr', 'calendar', 'empty for all', 'Vide pour tous'),
('fr', 'calendar', 'edit this series of recuring events', 'Modifier cette série d''événements récurrents'),
('fr', 'calendar', 'edit this event', 'Modifier cet événement'),
('fr', 'calendar', 'edit status or alarms for this particular day', 'Modifier les statuts ou alarmes de ce jour en particulier'),
('fr', 'calendar', 'edit series', 'Modifier des occurrences'),
('fr', 'calendar', 'edit exception', 'Modifier l''exception'),
('fr', 'calendar', 'duration of the meeting', 'Durée de la réunion'),
('fr', 'calendar', 'download this event as ical', 'Télécharger cet événément en iCal'),
('fr', 'calendar', 'download', 'Télécharger'),
('fr', 'calendar', 'do you want to receive a regulary summary of your appointsments via email?<br>the summary is sent to your standard email-address', 'Voulez-vous recevoir un résumé régulier de vos rendez-vous par email?<br>Le résumé est envoyé à votre adresse email standard le matin ou le lundi pour les résumés hebdomadaires.<br>Il est envoyé seulement quand vous avez des rendez-vous ce jour-là ou cette semaine-là.'),
('fr', 'calendar', 'do you want to edit this event as an exception or the whole series?', 'Souhaitez-vous modifier seulement cet événement comme une exception ou bien toute la série ?'),
('fr', 'calendar', 'do you want to be notified about new or changed appointments? you are not notified about changes you made yourself.<br>you can l', 'Voulez-vous être prévenu des rendez-vous nouveaux ou modifiés ? Vous serez prévenu des modifications que vous faites vous-même.<br>Vous pouvez limiter les notifications à certains changements seulement. Chaque objet inclut toutes les notifications listées au-dessus de lui. Toutes les modifications incluent les modifications de titre, description, participants, mais pas les réponses des participants. Si le propriétaire d''un événement a demandé une notification, il aura toujours les réponses des participants comme les acceptations et les rejets aussi.'),
('fr', 'calendar', 'do you want a weekview with or without weekend?', 'Voulez-vous voir les semaines avec ou sans week-end ?'),
('fr', 'calendar', 'do not include events of group members', 'Ne pas inclure les événements des membres du groupe.'),
('fr', 'calendar', 'displays your default calendar view on the startpage (page you get when you enter egroupware or click on the homepage icon)?', 'Affiche votre vue de calendrier par défaut sur la page d''accueil (page que vous obtenez quand vous entrez dans eGroupWare ou cliquez sur l''icône page accueil)?'),
('fr', 'calendar', 'displayed view', 'Vue affichée'),
('fr', 'calendar', 'display status of events', 'Afficher le statut des événements'),
('fr', 'calendar', 'disinvited', 'Invitation annulée.'),
('fr', 'calendar', 'deny ressources reservation for private events', 'Refuser la réservation des ressources pour des événements privés.'),
('fr', 'calendar', 'deleted', 'Supprimé(s).'),
('fr', 'calendar', 'delete this exception', 'Supprimer cet exception'),
('fr', 'calendar', 'delete this series of recuring events', 'Supprimer ces occurences d''événements récurrents'),
('fr', 'calendar', 'delete this event', 'Supprimer cet événement'),
('fr', 'calendar', 'delete this alarm', 'Supprimer cette alarme'),
('fr', 'calendar', 'delete series', 'Supprimer des occurences'),
('fr', 'calendar', 'delete selected events', 'Supprimer les événements sélectionnés'),
('fr', 'calendar', 'default week view', 'Vue par défaut'),
('fr', 'calendar', 'default type of resources selection', 'Type de sélection  de ressource par défaut'),
('fr', 'calendar', 'default type of resources application selected in the calendar particpants research form.', 'Type d''application de ressource sélectionnée par défaut dans le formulaire de recherche des participants.'),
('fr', 'calendar', 'default length of newly created events. the length is in minutes, eg. 60 for 1 hour.', 'Durée par défaut des nouveaux événements. La durée est en minutes, c''est-à-dire 60 vaut 1 heure.'),
('fr', 'calendar', 'default calendar view', 'Vue du calendrier par défaut'),
('fr', 'calendar', 'default calendar filter', 'Filtre de calendrier par défaut'),
('fr', 'calendar', 'default appointment length (in minutes)', 'Durée du rendez-vous par défaut (en minutes)'),
('fr', 'calendar', 'dayview', 'Vue journalière'),
('fr', 'calendar', 'days repeated', 'Jours répétés'),
('fr', 'calendar', 'day', 'Jour'),
('fr', 'calendar', 'days', 'jours'),
('fr', 'calendar', 'days of the week for a weekly repeated event', 'Jours de la semaine pour une répétition hebdomadaire'),
('fr', 'calendar', 'daily', 'Journalier'),
('fr', 'calendar', 'csv-filename', 'CSV - Nom du fichier'),
('fr', 'calendar', 'create new links', 'Créer de nouveaux liens'),
('fr', 'calendar', 'csv', 'CSV'),
('fr', 'calendar', 'csv-fieldname', 'CSV - Nom du champ'),
('fr', 'calendar', 'create exception', 'Créer une exception'),
('fr', 'calendar', 'country', 'Pays'),
('fr', 'calendar', 'create an exception for the given date', 'Créer une exception pour la date donnée'),
('fr', 'calendar', 'countries', 'Pays'),
('fr', 'calendar', 'copy this event', 'Copier cet événement'),
('fr', 'calendar', 'copy your changes to the clipboard, %1reload the entry%2 and merge them.', 'Copie vos changements vers le presse-papiers, %1recharger l''entrée%2 et les fusionne.'),
('fr', 'calendar', 'copy of:', 'Copie de :'),
('fr', 'calendar', 'conflict', 'Conflit'),
('fr', 'calendar', 'compose a mail to all participants after the event is saved', 'Écrire un email à tous les participants après l''enregistrement de l''événement'),
('fr', 'calendar', 'check all', 'Vérifier tout'),
('fr', 'calendar', 'close the window', 'Fermer la fenêtre'),
('fr', 'calendar', 'charset of file', 'Jeu de caractères du fichier'),
('fr', 'calendar', 'change history', 'Historique des changements'),
('fr', 'calendar', 'chair', 'Président'),
('fr', 'calendar', 'category acl only restrict adding a category to an event or changing status of a participant. it does not change the visibility ', 'Les ACL sur les catégories restreignent seulement l''ajout d''une catégorie sur un événement ou le changement de statut d''un participant.  Cela ne joue pas sur la visibilité de l''événement.'),
('fr', 'calendar', 'category acl', 'ACL sur les catégories'),
('fr', 'calendar', 'category %1 removed because of missing rights', 'Catégorie %1 supprimée pour manque de droits'),
('fr', 'calendar', 'can''t aquire lock!', 'Ne peut prendre le verrou sur l''enregistrement !'),
('fr', 'calendar', 'canceled', 'Annulé'),
('fr', 'calendar', 'can''t add alarms in the past !!!', 'Impossible d''ajouter des alarmes sur des dates révolues !!!'),
('fr', 'calendar', 'calendar-fieldname', 'Calendrier - Nom des champs'),
('fr', 'calendar', 'calendar preferences', 'Préférences du Calendrier'),
('fr', 'calendar', 'calendar menu', 'Menu du Calendrier'),
('fr', 'calendar', 'calendar event', 'Evénement de Calendrier'),
('fr', 'calendar', 'by', 'par'),
('fr', 'calendar', 'calendar csv export', 'Export csv du calendrier'),
('fr', 'calendar', 'busy', 'occupé'),
('fr', 'calendar', 'birthday', 'Anniversaire'),
('fr', 'calendar', 'before the event', 'avant l''événement'),
('fr', 'calendar', 'before current date', 'Avant la date courante'),
('fr', 'calendar', 'before %1', 'Avant %1'),
('fr', 'calendar', 'back one month', 'un mois dans le passé'),
('fr', 'calendar', 'back half a month', '15 jours dans le passé'),
('fr', 'calendar', 'are you sure you want to delete this holiday ?', 'Etes-vous sûr de vouloir effacer ces jours fériés ?'),
('fr', 'calendar', 'are you sure you want to delete this country ?', 'Etes-vous sûr de vouloir supprimer ce pays ?'),
('fr', 'calendar', 'apply the changes', 'Appliquer les modifications'),
('fr', 'calendar', 'allows to edit the event again', 'Autorise la réédition de l''événement'),
('fr', 'calendar', 'apply the action on the whole query, not only the shown events', 'Appliquer l''action sur la requête entière, PAS SEULEMENT sur les événements affichés.'),
('fr', 'calendar', 'all participants', 'Tous les participants'),
('fr', 'calendar', 'all incl. rejected', 'Tout y compris les rejets'),
('fr', 'calendar', 'all future', 'Tout dans le futur'),
('fr', 'calendar', 'all events', 'Tous les événements'),
('fr', 'calendar', 'all day', 'Journée entière'),
('fr', 'calendar', 'alarms', 'Alarmes'),
('fr', 'calendar', 'all categories', 'Toutes catégories'),
('fr', 'calendar', 'alarm management', 'Gestion des alarmes'),
('fr', 'calendar', 'alarm for %1 at %2 in %3', 'Alarme pour %1 à %2 dans %3'),
('fr', 'calendar', 'alarm deleted', 'Alarme supprimée'),
('fr', 'calendar', 'alarm added', 'Alarme ajoutée'),
('fr', 'calendar', 'alarm', 'Alarme'),
('fr', 'calendar', 'after %1', 'Après %1'),
('fr', 'calendar', 'after current date', 'Après la date courante'),
('fr', 'calendar', 'add alarm', 'Ajouter une alarme'),
('fr', 'calendar', 'added', 'Ajouté'),
('fr', 'calendar', 'added by synchronisation', 'ajouté par synchronisation'),
('fr', 'calendar', 'actions', 'Actions'),
('fr', 'calendar', 'action that caused the notify: added, canceled, accepted, rejected, ...', 'L''action qui a causé la notification: Ajouté, Annulé, Accepté, Rejeté, ...'),
('fr', 'calendar', 'access denied to the calendar of %1 !!!', 'Accès au calendrier de %1 refusé !!!'),
('fr', 'calendar', 'accept or reject an invitation', 'Accepter ou rejeter une invitation'),
('fr', 'calendar', 'accepted', 'Accepté'),
('fr', 'calendar', 'a non blocking event will not conflict with other events', 'Un événement non bloquant n''entrera pas en conflit avec d''autres événements.'),
('fr', 'calendar', '%1 weeks', '%1 semaines');
INSERT INTO `egw_lang` (`lang`, `app_name`, `message_id`, `content`) VALUES
('fr', 'calendar', '<b>please note</b>: the calendar use the holidays of your country, which is set to %1. you can change it in your %2.<br />holida', '<b> Note : </b> Le calendrier utilise les vacances de votre pays (%1). Vous pouvez le changer dans votre %2. <br/> Les vacances sont %3 positionnées automatiquement à partir de %4. Vous pouvez les modifier dans %5.'),
('fr', 'calendar', '%1 records read (not yet imported, you may go back and uncheck test import)', '%1 enregistrements lus (pas encore importés, vous pouvez revenir en arrière et décocher Tester l''import)'),
('fr', 'calendar', '%1 records imported', '%1 enregistrement(s) importé(s)'),
('fr', 'calendar', '%1 participants removed because of missing invite grants', '%1 participant(s)  supprimé(s) pour manque de confirmation d''invitation.'),
('fr', 'calendar', '%1 %2 in %3', '%1 %2 in %3'),
('fr', 'bookmarks', 'you need to select a category!', 'Vous devez sélectionner une catégorie!'),
('fr', 'bookmarks', 'you must select a category', 'Vous devez choisir une catégorie'),
('fr', 'bookmarks', 'you are viewing this site outside of egroupware', 'Vous visualisez ce site en dehors d''eGroupWare'),
('fr', 'bookmarks', 'view this bookmark', 'Voir ce signet'),
('fr', 'bookmarks', 'warning', 'Attention'),
('fr', 'bookmarks', 'view bookmark', 'Voir le signet'),
('fr', 'bookmarks', 'url is required.', 'L''URL est requise.'),
('fr', 'bookmarks', 'unable to open temp file %1 for import.', 'Impossible d''ouvrir le fichier temporaire %1 pour l''importation.'),
('fr', 'bookmarks', 'tree view', 'Arborescence'),
('fr', 'bookmarks', 'total visits', 'visites totales'),
('fr', 'bookmarks', 'to e-mail addresses', 'Adresses EMail des destinataires'),
('fr', 'bookmarks', 'to which category should the imported folder hierarchy be attached', 'A quelle catégorie la hiérarchie du dossier importé doit être attachée'),
('fr', 'bookmarks', 'to address %1 invalid. format must be <strong>user@domain</strong> and domain must exist!', 'L''adresse du destinataire %1 est invalide. Le format doit être <strong>utilisateur@domaine</strong> et le domaine doit exister!'),
('fr', 'bookmarks', 'this module displays bookmarks in a javascript based tree', 'Ce module affiche les signets dans un arbre basé sur javascript'),
('fr', 'bookmarks', 'sub category', 'Sous-catégorie'),
('fr', 'bookmarks', 'send bookmark', 'Envoyer le signet'),
('fr', 'bookmarks', 'rating', 'Note'),
('fr', 'bookmarks', 'search for:', 'Rechercher:'),
('fr', 'bookmarks', 'select the format you would like to export to', 'Sélectionnez le format dans lequel vous désirez exporter'),
('fr', 'bookmarks', 'please select the categories to export', 'Merci de sélectionner les catégories à exporter'),
('fr', 'bookmarks', 'query condition', 'Condition de Requête'),
('fr', 'bookmarks', 'or', 'ou'),
('fr', 'bookmarks', 'please fill out <b>to e-mail address</b>, <b>subject</b>, and <b>message</b>!', 'SVP remplissez <B>l''adresse EMail destinataire</B>, <B>le sujet</B>, et <B>le message</B>!'),
('fr', 'bookmarks', 'new', 'Nouveau'),
('fr', 'bookmarks', 'new bookmark', 'nouveau signet'),
('fr', 'bookmarks', 'netscape bookmark filename is required!', 'Le nom du fichier de signets Netscape est requis!'),
('fr', 'bookmarks', 'mass update:', 'Mise à jour de masse:'),
('fr', 'bookmarks', 'message from', 'Message de'),
('fr', 'bookmarks', 'more', 'Plus'),
('fr', 'bookmarks', 'name', 'Nom'),
('fr', 'bookmarks', 'name is required', 'Le nom est requis'),
('fr', 'bookmarks', 'netscape bookmark file', 'Fichier de Signets Netscape'),
('fr', 'bookmarks', 'lowest', 'Le plus bas'),
('fr', 'bookmarks', 'mail this bookmark', 'Envoyer ce signet par EMail'),
('fr', 'bookmarks', 'mail-this-link message sent to %1.', 'Message envoyer-ce-lien-par-email envoyé à %1.'),
('fr', 'bookmarks', 'like', 'comme'),
('fr', 'bookmarks', 'list view', 'vue liste'),
('fr', 'bookmarks', 'highest', 'Le plus haut'),
('fr', 'bookmarks', 'i thought you would be interested in the following link(s):', 'J''ai pensé que vous pourriez être intéressé par le(s) lien(s) suivant(s):'),
('fr', 'bookmarks', 'from', 'Depuis'),
('fr', 'bookmarks', 'from category %1', 'depuis la catégorie %1'),
('fr', 'bookmarks', 'global categories', 'Catégories Globales'),
('fr', 'bookmarks', 'filter by', 'Filtrer par'),
('fr', 'bookmarks', 'found a link you might like', 'J''ai trouvé un lien que vous pourriez aimer'),
('fr', 'bookmarks', 'edit this bookmark', 'Editer ce signet'),
('fr', 'bookmarks', 'enter the name of the netscape bookmark file<br>that you want imported into bookmarker below.', 'Entrez le nom du fichier des signets Netscape<br>que vous voulez importer dans le gestionnaire de signets ci-dessous.'),
('fr', 'bookmarks', 'fewer', 'Moins'),
('fr', 'bookmarks', 'date last updated', 'Date de dernière mise à jour'),
('fr', 'bookmarks', 'date last visited', 'Date de dernière visite'),
('fr', 'bookmarks', 'descending', 'Décroissant'),
('fr', 'bookmarks', 'edit bookmark', 'Editer le signet'),
('fr', 'bookmarks', 'date changed', 'Date modifiée'),
('fr', 'bookmarks', 'date added', 'Date ajoutée'),
('fr', 'bookmarks', 'create new bookmark', 'Créer un nouveau signet'),
('fr', 'bookmarks', 'create bookmark', 'Créer un signet'),
('fr', 'bookmarks', 'close this window to return', 'fermer cette fenêtre pour retourner'),
('fr', 'bookmarks', 'choose the categories to display', 'Sélectionnez les catégories à afficher'),
('fr', 'bookmarks', 'change bookmark', 'Modifier le signet'),
('fr', 'bookmarks', 'bookmarks settings', 'Réglages Signets'),
('fr', 'bookmarks', 'bookmark not readable', 'Signet illisible'),
('fr', 'bookmarks', 'bookmark not editable', 'Signet non modifiable'),
('fr', 'bookmarks', 'bookmark deleted successfully.', 'signet supprimé avec succès.'),
('fr', 'bookmarks', 'bookmark deleted successfully', 'Signet supprimé avec succès.'),
('fr', 'bookmarks', 'bookmark created successfully.', 'Signet créé avec succès.'),
('fr', 'bookmarks', 'ascending', 'Croissant'),
('fr', 'bookmarks', 'bookmark changed sucessfully', 'Signet modifié avec succès'),
('fr', 'bookmarks', 'all bookmarks', 'Tous les signets'),
('fr', 'bookmarks', 'and', 'Et'),
('fr', 'bookmarks', 'append this message to mailed bookmarks', 'Ajouter ce message aux signets envoyés par EMail'),
('fr', 'bookmarks', '(comma separate multiple addresses)', '(l''espace sépare les adresses multiples)'),
('fr', 'bookmarks', '<b>note:</b> this currently works with netscape bookmarks only', '<b>Note:</b> ceci fonctionne actuellement uniquement avec les signets Netscape'),
('fr', 'bookmarks', '%1 bookmarks have been deleted', '%1 signets ont été supprimés'),
('fr', 'bookmarks', '%1 bookmarks imported from %2 successfully.', '%1 signets importés depuis %2 avec succès.'),
('fr', 'common', 'lock / unlock pages', 'Verrouiller / Déverrouiller les Pages'),
('fr', 'common', 'wiki', 'Wiki'),
('fr', 'common', 'block / unblock hosts', 'Bloquer / Débloquer les hôtes'),
('fr', 'common', 'tracker', 'Traqueur'),
('fr', 'common', 'define escalations', 'Définir les escalades'),
('fr', 'common', 'timesheet', 'Feuille de temps'),
('fr', 'common', 'documentation', 'Documentation'),
('fr', 'common', 'web content manager', 'Gestionnaire de contenu de site web'),
('fr', 'common', 'sitemgr web content manager', 'Gestionnaire de sites web SiteMgr'),
('fr', 'common', 'sitemgr-link', 'Site web'),
('fr', 'common', 'there was an error accessing the requested page. either you do not have permission to view this page, or the page does not exist', 'Une erreur s''est produite en accédant à la page demandée. Soit vous n''avez pas la permission de voir cette page, soit la page n''existe pas.'),
('fr', 'common', 'edit site header and footer', 'Modifier l''entête et le pied de page'),
('fr', 'common', 'error accessing page', 'Erreur en accédant à la page !'),
('fr', 'common', 'manage pages', 'Gérer les pages'),
('fr', 'common', 'site setup', 'Configuration du site'),
('fr', 'common', 'sitemgr', 'Gestionnaire de site'),
('fr', 'common', 'define websites', 'Définir les sites Web'),
('fr', 'common', 'edit categories and permissions', 'Modifier les catégories et les permissions'),
('fr', 'common', 'edit individual pages', 'Modifier les pages individuellement'),
('fr', 'common', 'samba settings', 'Paramétrage Samba'),
('fr', 'common', 'sambaadmin', 'Administration Samba'),
('fr', 'common', 'as', 'comme'),
('fr', 'common', 'zoom', 'Agrandissement'),
('fr', 'common', 'polls', 'Sondages'),
('fr', 'common', 'show questions', 'Afficher les questions'),
('fr', 'common', 'no user-selection at all', 'L''utilisateur n''a rien sélectionné.'),
('fr', 'common', 'selectbox with groupmembers', 'Boîte de sélection avec membres du groupe'),
('fr', 'common', 'projectmanager', 'Gestionnaire de projets'),
('fr', 'common', 'registration', 'Enregistrement'),
('fr', 'common', 'resources', 'Ressources'),
('fr', 'common', 'select resources', 'Choisissez les ressources'),
('fr', 'common', 'your settings have been updated', 'Vos préférences ont été mises à jour'),
('fr', 'common', 'zambia', 'ZAMBIE'),
('fr', 'common', 'zimbabwe', 'ZIMBABWE'),
('fr', 'common', 'your search returned 1 match', 'Votre recherche a retourné 1 résultat'),
('fr', 'common', 'your search returned %1 matchs', 'Votre recherche a retourné %1 résultats'),
('fr', 'common', 'your message has been sent', 'Votre message a été envoyé'),
('fr', 'common', 'your message could <b>not</b> be sent!<br>', 'Votre message n''a <b>pas</b> pu être envoyé!<br>'),
('fr', 'common', 'you''ve tried to open the egroupware application: %1, but you have no permission to access this application.', 'Vous avez tenté d''ouvrir l''application eGroupWare: %1, mais vous n''avez aucune permission d''y accéder.'),
('fr', 'common', 'you need to be an egroupware administrator to access this functionality!', 'Vous devez être administrateur d''eGroupware pour accéder à cette fonction !'),
('fr', 'common', 'you need to add the webserver user ''%1'' to the group ''%2''.', 'Vous devez ajouter l''utilisateur du serveur web ''%1'' au groupe ''%2''.'),
('fr', 'common', 'you need to %1set your timezone preference%2.', 'Vous devez %1 définir votre préférence de fuseau horaire %2.'),
('fr', 'common', 'you have successfully logged out', 'Vous vous êtes correctement déconnecté'),
('fr', 'common', 'you have selected an invalid main category', 'Vous avez sélectionné une catégorie principale invalide !'),
('fr', 'common', 'you have selected an invalid date', 'Vous avez sélectionné une date invalide !'),
('fr', 'common', 'you have not entered participants', 'Vous n''avez pas entré de participants'),
('fr', 'common', 'you have not entered a valid time of day', 'Vous n''avez pas entré une heure du jour valide'),
('fr', 'common', 'you have not entered a title', 'Vous n''avez pas entré de titre'),
('fr', 'common', 'you have not entered a valid date', 'Vous n''avez pas entré une date valide'),
('fr', 'common', 'you can customize how many icons and toolbars the editor shows.', 'Combien d''icônes et de barres d''outils l''éditeur doit-il afficher ?'),
('fr', 'common', 'writing', 'écriture'),
('fr', 'common', 'written by:', 'Ecrit par:'),
('fr', 'common', 'year', 'Année'),
('fr', 'common', 'yemen', 'YEMEN'),
('fr', 'common', 'yes', 'Oui'),
('fr', 'common', 'you are required to change your password during your first login', 'Il vous est demandé de changer votre mot de passe lors de votre première connexion'),
('fr', 'common', 'which groups', 'Quels groupes'),
('fr', 'common', 'width', 'Largeur'),
('fr', 'common', 'work email', 'Email professionnel'),
('fr', 'common', 'would you like to display the page generation time at the bottom of every window?', 'Voulez-vous voir apparaître le temps de génération en bas de chaque fenêtre?'),
('fr', 'common', 'where and how will the egroupware links like preferences, about and logout be displayed.', 'Ou et comment seront affichés les liens comme Préférences, A propos de et Déconnexion.'),
('fr', 'common', 'when you say yes the home and logout buttons are presented as applications in the main top applcation bar.', 'Si vous dites oui, les bouttons Accueil et Déconnexion sont affichés comme des applications dans la barre d''application principale.'),
('fr', 'common', 'what style would you like the image to have?', 'Quel style  souhaitez-vous pour l''image?'),
('fr', 'common', 'what color should all the blank space on the desktop have', 'Quelle couleur l''espace vide du bureau doit-il avoir?'),
('fr', 'common', 'welcome', 'Bienvenue'),
('fr', 'common', 'western european', 'Europe occidentale'),
('fr', 'common', 'western sahara', 'SAHARA OCCIDENTAL'),
('fr', 'common', 'wallis and futuna', 'WALLIS ET FUTUNA'),
('fr', 'common', 'wednesday', 'Mercredi'),
('fr', 'common', 'virgin islands, u.s.', 'ILES VIERGES AMERICAINES'),
('fr', 'common', 'viet nam', 'VIETNAM'),
('fr', 'common', 'view', 'Voir'),
('fr', 'common', 'virgin islands, british', 'ILES VIERGES ANGLAISES'),
('fr', 'common', 'venezuela', 'VENEZUELA'),
('fr', 'common', 'version', 'version'),
('fr', 'common', 'users', 'Utilisateurs'),
('fr', 'common', 'users choice', 'Choix d''utilisateurs'),
('fr', 'common', 'uzbekistan', 'UZBEKISTAN'),
('fr', 'common', 'value', 'Valeur'),
('fr', 'common', 'vanuatu', 'VANUATU'),
('fr', 'common', 'user groups', 'Groupes utilisateurs'),
('fr', 'common', 'username', 'Nom d''utilisateur'),
('fr', 'common', 'user', 'Utilisateur'),
('fr', 'common', 'user accounts', 'Comptes utilisateurs'),
('fr', 'common', 'use button to search for project', 'Utilisez le bouton pour rechercher un projet'),
('fr', 'common', 'use button to search for calendarevent', 'Utilisez le bouton pour rechercher un événement'),
('fr', 'common', 'use button to search for address', 'Utilisez le bouton pour rechercher une adresse'),
('fr', 'common', 'url', 'Url'),
('fr', 'common', 'uruguay', 'URUGUAY'),
('fr', 'common', 'use button to search for', 'Utilisez le bouton pour rechercher'),
('fr', 'common', 'upload requires the directory to be writable by the webserver!', 'L''upload nécessite que le répertoire soit en écriture sur le serveur web !'),
('fr', 'common', 'update the clock per minute or per second', 'Mettre à jour l''horloge par minutes ou secondes'),
('fr', 'common', 'upload', 'Déposer'),
('fr', 'common', 'upload directory does not exist, or is not writeable by webserver', 'Le répertoire de dépôt n''existe pas ou le serveur web ne peut pas y écrire'),
('fr', 'common', 'unknown', 'Inconnu'),
('fr', 'common', 'update', 'Mettre à jour'),
('fr', 'common', 'united states minor outlying islands', 'ILES MINEURES RELIEES AUX ETATS-UNIS'),
('fr', 'common', 'turks and caicos islands', 'ILES TURKS ET CAICOS'),
('fr', 'common', 'tuvalu', 'TUVALU'),
('fr', 'common', 'type', 'Type'),
('fr', 'common', 'uganda', 'OUGANDA'),
('fr', 'common', 'ukraine', 'UKRAINE'),
('fr', 'common', 'underline', 'Souligné'),
('fr', 'common', 'united arab emirates', 'EMIRATS ARABES UNIS'),
('fr', 'common', 'united kingdom', 'ROYAUME UNI'),
('fr', 'common', 'united states', 'ETATS-UNIS'),
('fr', 'common', 'turkmenistan', 'TURKMENISTAN'),
('fr', 'common', 'tuesday', 'Mardi'),
('fr', 'common', 'tunisia', 'TUNISIE'),
('fr', 'common', 'turkey', 'TURQUIE'),
('fr', 'common', 'trinidad and tobago', 'TRINIDAD ET TOBAGO'),
('fr', 'common', 'top', 'Haut'),
('fr', 'common', 'total', 'Total'),
('fr', 'common', 'transparant bg for the icons?', 'Fond transparent pour les icônes?'),
('fr', 'common', 'tokelau', 'TOKELAU'),
('fr', 'common', 'tonga', 'TONGA'),
('fr', 'common', 'too many unsucessful attempts to login: %1 for the user ''%2'', %3 for the ip %4', 'Trop de tentatives de connexion infructueuses: %1 pour l''utilisateur ''%2'', %3 pour l''IP %4'),
('fr', 'common', 'togo', 'TOGO'),
('fr', 'common', 'todays date, eg. "%1"', 'date d''aujourd''hui, p.ex. "%1"'),
('fr', 'common', 'today', 'Aujourd''hui'),
('fr', 'common', 'to go back to the msg list, click <a href= %1 >here</a>', 'Pour revenir à la liste des messages, cliquez <a href="%1">ici</a>'),
('fr', 'common', 'to correct this error for the future you will need to properly set the', 'Pour corriger cette erreur dans le futur vous devrez définir correctement le/la'),
('fr', 'common', 'to', 'Pour'),
('fr', 'common', 'title', 'Titre'),
('fr', 'common', 'time zone offset', 'Décalage du fuseau horaire'),
('fr', 'common', 'time zone', 'Fuseau horaire'),
('fr', 'common', 'time', 'Heure'),
('fr', 'common', 'tiled', 'mosaïque'),
('fr', 'common', 'thursday', 'Jeudi'),
('fr', 'common', 'this name has been used already', 'Ce nom est déjà utilisé !'),
('fr', 'common', 'this application requires an upgrade', 'Cette application nécessite une mise à jour'),
('fr', 'common', 'this application is current', 'Cette application est à jour'),
('fr', 'common', 'there already is a system-user with this name. user''s should not have the same name as a systemuser', 'Il y a déjà un utilisateur système avec ce nom. Veuillez choisir un autre nom.'),
('fr', 'common', 'the mail server returned', 'Le serveur email a renvoyé'),
('fr', 'common', 'the following applications require upgrades', 'Les applications suivantes nécessitent une mise à jour'),
('fr', 'common', 'the api requires an upgrade', 'L''API nécessite une mise à jour'),
('fr', 'common', 'the api is current', 'L''API est à jour'),
('fr', 'common', 'thailand', 'THAILANDE'),
('fr', 'common', 'tajikistan', 'TAJIKISTAN'),
('fr', 'common', 'tanzania, united republic of', 'TANZANIE, REPUBLIQUE DE'),
('fr', 'common', 'text color:', 'Couleur du Texte:'),
('fr', 'common', 'taiwan', 'TAIWAN/TAIPEI'),
('fr', 'common', 'table properties', 'Propriétés du tableau'),
('fr', 'common', 'table %1 is excluded from backup and restore. data will not be restored.', 'La table %1 est exclue de la sauvegarde et de la restauration. Les données ne seront pas restaurées.'),
('fr', 'common', 'syrian arab republic', 'SYRIE'),
('fr', 'common', 'suriname', 'SURINAM'),
('fr', 'common', 'svalbard and jan mayen', 'SVALBARD ETJAN MAYEN'),
('fr', 'common', 'swaziland', 'SWAZILAND'),
('fr', 'common', 'sweden', 'SUEDE'),
('fr', 'common', 'switzerland', 'SUISSE'),
('fr', 'common', 'sudan', 'SOUDAN'),
('fr', 'common', 'sunday', 'Dimanche'),
('fr', 'common', 'subject', 'Objet'),
('fr', 'common', 'submit', 'Envoyer'),
('fr', 'common', 'substitutions and their meanings:', 'Substitutions et leurs sens:'),
('fr', 'common', 'starting up...', 'Démarrage...'),
('fr', 'common', 'status', 'Etat'),
('fr', 'common', 'stretched', 'étiré'),
('fr', 'common', 'start date', 'Date de début'),
('fr', 'common', 'start time', 'Heure de début'),
('fr', 'common', 'start with', 'commence par'),
('fr', 'common', 'spain', 'ESPAGNE'),
('fr', 'common', 'sri lanka', 'SRI LANKA'),
('fr', 'common', 'somalia', 'SOMALIE'),
('fr', 'common', 'south africa', 'AFRIQUE DU SUD'),
('fr', 'common', 'south georgia and the south sandwich islands', 'GEORGIE DU SUD ET LES ILES SANDWICH DU SUD'),
('fr', 'common', 'solomon islands', 'ILES SALOMON'),
('fr', 'common', 'size', 'Taille'),
('fr', 'common', 'slovakia', 'SLOVAQUIE'),
('fr', 'common', 'slovenia', 'SLOVENIE'),
('fr', 'common', 'simple', 'Simple'),
('fr', 'common', 'singapore', 'SINGAPOUR'),
('fr', 'common', 'site configuration', 'Configuration du site'),
('fr', 'common', 'show_more_apps', 'Montrer plus d''Applications'),
('fr', 'common', 'showing %1', 'Montre %1'),
('fr', 'common', 'showing %1 - %2 of %3', 'Montre %1 - %2 de %3'),
('fr', 'common', 'sierra leone', 'SIERRA LEONE'),
('fr', 'common', 'show the logo''s of egroupware and x-desktop on the desktop.', 'Afficher les logos d''eGroupware et x-desktop sur le bureau?'),
('fr', 'common', 'show page generation time?', 'Afficher le temps de génération de la page?'),
('fr', 'common', 'show page generation time on the bottom of the page?', 'Afficher le temps de génération de page au fond de la page?'),
('fr', 'common', 'show in sidebox', 'Afficher dans la barre de menu latérale'),
('fr', 'common', 'show logo''s on the desktop.', 'Afficher le logo sur le bureau?'),
('fr', 'common', 'show menu', 'Afficher le menu'),
('fr', 'common', 'show page generation time', 'Afficher le temps de génération de la page'),
('fr', 'common', 'show clock?', 'Afficher l''horloge?'),
('fr', 'common', 'show home and logout button in main application bar?', 'Afficher les boutons Accueil et Déconnexion dans la barre d''application principale?'),
('fr', 'common', 'show as topmenu', 'Afficher en tant que menu supérieur'),
('fr', 'common', 'setup', 'Setup'),
('fr', 'common', 'setup main menu', 'Menu principal du Setup'),
('fr', 'common', 'seychelles', 'SEYCHELLES'),
('fr', 'common', 'show all', 'Afficher tous les éléments'),
('fr', 'common', 'show all categorys', 'Afficher toutes les catégories'),
('fr', 'common', 'session has been killed', 'La session a été interrompue'),
('fr', 'common', 'server contacted. waiting for response...', 'Le serveur a été contacté. Attente de la réponse...'),
('fr', 'common', 'server name', 'Nom du serveur'),
('fr', 'common', 'serbia', 'Serbie'),
('fr', 'common', 'server %1 has been added', 'Le serveur %1 a été ajouté'),
('fr', 'common', 'server answered. processing response...', 'Le serveur a répondu. Traitement de la réponse...'),
('fr', 'common', 'selection', 'Sélection'),
('fr', 'common', 'send', 'Envoyer'),
('fr', 'common', 'senegal', 'SENEGAL'),
('fr', 'common', 'september', 'Septembre'),
('fr', 'common', 'select user', 'Sélectionner l''utilisateur'),
('fr', 'common', 'select work email address', 'Sélectionner l''email professionnel'),
('fr', 'common', 'select the default width for the application windows', 'Choisissez la largeur par défaut de la fenêtre d''application'),
('fr', 'common', 'select the default height for the application windows', 'Choisissez la hauteur par défaut de la fenêtre d''application'),
('fr', 'common', 'select one', 'Sélectionner un(e)'),
('fr', 'common', 'select home email address', 'Sélectionner l''email privé'),
('fr', 'common', 'select multiple accounts', 'Sélectionner des comptes multiples'),
('fr', 'common', 'select category', 'Sélectionner la catégorie'),
('fr', 'common', 'select date', 'Sélectionner la date'),
('fr', 'common', 'select group', 'Sélectionner le groupe'),
('fr', 'common', 'select', 'Sélectionner'),
('fr', 'common', 'select all %1 %2 for %3', 'Sélectionner tous les %11 %2 pour %3'),
('fr', 'common', 'second', 'seconde'),
('fr', 'common', 'section', 'Section'),
('fr', 'common', 'save', 'Enregistrer'),
('fr', 'common', 'search', 'Rechercher'),
('fr', 'common', 'search %1 ''%2''', 'Rechercher %1 ''%2'''),
('fr', 'common', 'search accounts', 'Chercher des comptes'),
('fr', 'common', 'search or select accounts', 'Rechercher ou sélectionner des comptes'),
('fr', 'common', 'saturday', 'Samedi'),
('fr', 'common', 'saudi arabia', 'ARABIE SAOUDITE'),
('fr', 'common', 'savant2 version differs from savant2 wrapper. <br/>this version: %1 <br/>savants version: %2', 'La version de Savant2 n''est pas identique à celle du package Savant2.'),
('fr', 'common', 'san marino', 'SAN MARIN'),
('fr', 'common', 'sao tome and principe', 'SAO TOME ET PRINCIPE'),
('fr', 'common', 'samoa', 'SAMOA'),
('fr', 'common', 'saint lucia', 'SAINTE LUCIE'),
('fr', 'common', 'saint pierre and miquelon', 'SAINT PIERRE ET MIQUELON'),
('fr', 'common', 'saint vincent and the grenadines', 'SAINT VINCENT ET LES GRENADINES'),
('fr', 'common', 'rwanda', 'RWANDA'),
('fr', 'common', 'saint helena', 'SAINTE HELENE'),
('fr', 'common', 'saint kitts and nevis', 'SAINT KITTS ET NEVIS'),
('fr', 'common', 'russian', 'Russe'),
('fr', 'common', 'russian federation', 'FEDERATION DE RUSSIE'),
('fr', 'common', 'right', 'Droit'),
('fr', 'common', 'romania', 'ROUMANIE'),
('fr', 'common', 'reunion', 'REUNION'),
('fr', 'common', 'returns struct of users application access', 'Retourne une structure d''accès aux applications des utilisateurs'),
('fr', 'common', 'returns an array of todo items', 'Retourne une liste d''actions à effectuer'),
('fr', 'common', 'rename', 'Renommer'),
('fr', 'common', 'replace', 'Remplacer'),
('fr', 'common', 'replace with', 'Remplacer par'),
('fr', 'common', 'resource type', 'Type de ressource'),
('fr', 'common', 'restore failed', 'La récupération a échoué'),
('fr', 'common', 'returns a full list of accounts on the system.  warning: this is return can be quite large', 'Retourne une liste complète des comptes sur le système. Attention: ceci peut être très long'),
('fr', 'common', 'remove shortcut', 'Supprimer le raccourci'),
('fr', 'common', 'remove selected accounts', 'supprimer les comptes sélectionnés'),
('fr', 'common', 'reject', 'Rejeter'),
('fr', 'common', 'remember me', 'Souvenez-vous de moi'),
('fr', 'common', 'register', 'Enregistrez-vous'),
('fr', 'common', 'regular', 'Régulier'),
('fr', 'common', 'reading', 'Lecture'),
('fr', 'common', 'read this list of methods.', 'Lisez cette liste de méthodes.'),
('fr', 'common', 'read', 'Lire'),
('fr', 'common', 'qatar', 'QATAR'),
('fr', 'common', 'puerto rico', 'PUERTO RICO'),
('fr', 'common', 'public', 'public'),
('fr', 'common', 'programs', 'Programmes'),
('fr', 'common', 'project', 'Projet'),
('fr', 'common', 'properties', 'Propriétés'),
('fr', 'common', 'private', 'Privé'),
('fr', 'common', 'priority', 'Priorité'),
('fr', 'common', 'print', 'Imprimer'),
('fr', 'common', 'previous page', 'Page précédente'),
('fr', 'common', 'primary style-sheet:', 'Feuille de style primaire:'),
('fr', 'common', 'preferences', 'Préférences'),
('fr', 'common', 'preferences for the idots template set', 'Préférences pour l´application du modèle idots'),
('fr', 'common', 'poland', 'POLOGNE'),
('fr', 'common', 'portugal', 'PORTUGAL'),
('fr', 'common', 'powered by', 'Motorisé par'),
('fr', 'common', 'please select', 'Veuillez sélectionner'),
('fr', 'common', 'please set your global preferences', 'Veuillez définir vos préférences globales !'),
('fr', 'common', 'please set your preferences for this application', 'Veuillez définir vos préférences pour cette application'),
('fr', 'common', 'please wait...', 'Veuillez patienter...'),
('fr', 'common', 'please, check back with us shortly.', 'Veuillez revenir bientôt afin de vérifier avec nous.'),
('fr', 'common', 'please run setup to become current', 'Veuillez exécuter le setup pour vous mettre à jour'),
('fr', 'common', 'please enter a name', 'Veuillez saisir un nom !'),
('fr', 'common', 'pitcairn', 'PITCAIRN'),
('fr', 'common', 'please %1 by hand', 'Veuillez %1 à la main'),
('fr', 'common', 'phpgwapi', 'API eGroupWare'),
('fr', 'common', 'personal', 'Personnel'),
('fr', 'common', 'peru', 'PEROU'),
('fr', 'common', 'philippines', 'PHILIPPINES'),
('fr', 'common', 'permissions to the files/users directory', 'Permissions sur le répertoire fichiers/utilisateurs'),
('fr', 'common', 'permisson denied!', 'Permission refusée !'),
('fr', 'common', 'permission denied!', 'Permission refusée !'),
('fr', 'common', 'password must contain at least %1 uppercase letters', 'Le mot de passe doit contenir au moins %1 caractère(s) majuscule(s)'),
('fr', 'common', 'password must have at least %1 characters', 'Le mot de passe doit contenir au moins %1 caractères'),
('fr', 'common', 'path to user and group files has to be outside of the webservers document-root!!!', 'Le chemin vers les fichiers des utilisateurs et groupes DOIT ETRE EN DEHORS de la racine des documents du serveur web!!!'),
('fr', 'common', 'password must contain at least %1 numbers', 'Le mot de passe doit contenir au moins %1 chiffre(s)'),
('fr', 'common', 'password must contain at least %1 special characters', 'Le mot de passe doit contenir au moins %1 caractères spéciaux'),
('fr', 'common', 'password must contain at least %1 lowercase letters', 'Le mot de passe doit contenir au moins %1 caractères minuscules'),
('fr', 'common', 'parent category', 'Catégorie parente'),
('fr', 'common', 'password', 'Mot de passe'),
('fr', 'common', 'password could not be changed', 'Le mot de passe n''a pas pu être modifié !'),
('fr', 'common', 'password has been updated', 'Le mot de passe a été mis à jour avec succès'),
('fr', 'common', 'paraguay', 'PARAGUAY'),
('fr', 'common', 'parcel', 'Colis'),
('fr', 'common', 'panama', 'PANAMA'),
('fr', 'common', 'papua new guinea', 'PAPOUASIE NOUVELLE GUINEE'),
('fr', 'common', 'palestinian territory, occupied', 'PALESTINE, TERRITOIRE OCCUPE'),
('fr', 'common', 'palau', 'PALAU'),
('fr', 'common', 'pakistan', 'PAKISTAN'),
('fr', 'common', 'owner', 'Propriétaire'),
('fr', 'common', 'page', 'Page'),
('fr', 'common', 'page was generated in %1 seconds', 'La page a été générée en %1 secondes'),
('fr', 'common', 'overview', 'Vue d''ensemble'),
('fr', 'common', 'original', 'Original'),
('fr', 'common', 'other', 'Autre'),
('fr', 'common', 'ordered list', 'Liste ordonnées (numéros)'),
('fr', 'common', 'open notify window', 'Ouvrir une fenêtre de notification'),
('fr', 'common', 'open popup window', 'Ouvrir une fenêtre de popup'),
('fr', 'common', 'open sidebox', 'Ouvrir la barre de menu latérale'),
('fr', 'common', 'oops! you caught us in the middle of system maintainance.', 'Oups ! Vous êtes arrivé en pleine maintenance système.'),
('fr', 'common', 'only yours', 'Seulement les vôtres'),
('fr', 'common', 'only private', 'seulement privés'),
('fr', 'common', 'on mouse over', 'Sur le relâchement du clic de la souris'),
('fr', 'common', 'on *nix systems please type: %1', 'Sur les systèmes *nix SVP tapez: %1'),
('fr', 'common', 'old value', 'Ancienne valeur'),
('fr', 'common', 'oman', 'OMAN'),
('fr', 'common', 'ok', 'OK'),
('fr', 'common', 'october', 'Octobre'),
('fr', 'common', 'november', 'Novembre'),
('fr', 'common', 'notify your administrator to correct this situation', 'Demandez à votre administrateur de corriger la situation'),
('fr', 'common', 'notify window', 'Fenêtre de notification'),
('fr', 'common', 'notifications', 'Notifications'),
('fr', 'common', 'notes', 'Notes'),
('fr', 'common', 'note', 'Note'),
('fr', 'common', 'not readable %1 entry of user %2', 'L''entrée %1 de l''utilisateur %2 est illisible'),
('fr', 'common', 'not assigned', 'non assigné'),
('fr', 'common', 'not', 'Pas'),
('fr', 'common', 'not a user yet? register now', 'Pas encore identifié? Enregisrez-vous maintenant'),
('fr', 'common', 'norway', 'NORVEGE'),
('fr', 'common', 'northern mariana islands', 'ILES MARIANA DU NORD'),
('fr', 'common', 'normal', 'Normal'),
('fr', 'common', 'norfolk island', 'ILE NORFOLK'),
('fr', 'common', 'none', 'Aucun'),
('fr', 'common', 'no subject', 'Sans objet'),
('fr', 'common', 'no savant2 template directories were found in:', 'Pas de  dossier modèle Savant2 n''a été trouvé dans:'),
('fr', 'common', 'no entries found, try again ...', 'Aucune occurence trouvée, essayez encore ...'),
('fr', 'common', 'no history for this record', 'Pas d''historique pour cet enregistrement'),
('fr', 'common', 'no', 'Non'),
('fr', 'common', 'niger', 'NIGER'),
('fr', 'common', 'nigeria', 'NIGERIA'),
('fr', 'common', 'niue', 'NIUE'),
('fr', 'common', 'nicaragua', 'NICARAGUA'),
('fr', 'common', 'next', 'Suivant'),
('fr', 'common', 'next page', 'Page suivante'),
('fr', 'common', 'new zealand', 'NOUVELLE ZELANDE'),
('fr', 'common', 'new value', 'Nouvelle valeur'),
('fr', 'common', 'new main category', 'Nouvelle catégorie principale'),
('fr', 'common', 'new caledonia', 'NOUVELLE CALEDONIE'),
('fr', 'common', 'new entry added sucessfully', 'Nouvelle entrée ajoutée avec succès'),
('fr', 'common', 'never', 'Jamais'),
('fr', 'common', 'netherlands', 'PAYS-BAS'),
('fr', 'common', 'netherlands antilles', 'ANTILLES HOLLANDAISES'),
('fr', 'common', 'nepal', 'NEPAL'),
('fr', 'common', 'namibia', 'NAMIBIE'),
('fr', 'common', 'nauru', 'NAURU'),
('fr', 'common', 'namespace', 'Espace de nom'),
('fr', 'common', 'myanmar', 'MYANMAR'),
('fr', 'common', 'name', 'Nom'),
('fr', 'common', 'name of the user, eg. "%1"', 'Nom de l''utilisateur, p.ex. "%1"'),
('fr', 'common', 'morocco', 'MAROC'),
('fr', 'common', 'mozambique', 'MOZAMBIQUE'),
('fr', 'common', 'multiple', 'multiple'),
('fr', 'common', 'montenegro', 'MONTENEGRO'),
('fr', 'common', 'montserrat', 'MONTSERRAT'),
('fr', 'common', 'mongolia', 'MONGOLIE'),
('fr', 'common', 'monaco', 'MONACO'),
('fr', 'common', 'monday', 'Lundi'),
('fr', 'common', 'minute', 'minute'),
('fr', 'common', 'moldova, republic of', 'MOLDAVIE, REPUBLIQUE DE'),
('fr', 'common', 'micronesia, federated states of', 'MICRONESIA, ETATS FEDERES DE'),
('fr', 'common', 'mexico', 'MEXIQUE'),
('fr', 'common', 'menu', 'Menu'),
('fr', 'common', 'message', 'Message'),
('fr', 'common', 'may', 'Mai'),
('fr', 'common', 'mayotte', 'MAYOTTE'),
('fr', 'common', 'medium', 'Moyen'),
('fr', 'common', 'max number of icons in navbar', 'Nombre maximum d''icônes dans la barre de navigation'),
('fr', 'common', 'mauritius', 'ILES MAURICE'),
('fr', 'common', 'mauritania', 'MAURITANIE'),
('fr', 'common', 'martinique', 'MARTINIQUE'),
('fr', 'common', 'marshall islands', 'ILES MARSHALL'),
('fr', 'common', 'march', 'Mars'),
('fr', 'common', 'malta', 'MALTE'),
('fr', 'common', 'mali', 'MALI'),
('fr', 'common', 'maldives', 'MALDIVES'),
('fr', 'common', 'malaysia', 'MALAYSIE'),
('fr', 'common', 'malawi', 'MALAWI'),
('fr', 'common', 'maintainer', 'Mainteneur'),
('fr', 'common', 'main screen', 'Ecran principal'),
('fr', 'common', 'main category', 'Catégorie principale'),
('fr', 'common', 'mail domain, eg. "%1"', 'Domaine email, p.ex. "%1"'),
('fr', 'common', 'madagascar', 'MADAGASCAR'),
('fr', 'common', 'macedonia, the former yugoslav republic of', 'MACEDONIE, PRECEDEMMENT REPUBLIQUE YOUGOSLAVE DE'),
('fr', 'common', 'macau', 'MACAU'),
('fr', 'common', 'luxembourg', 'LUXEMBOURG'),
('fr', 'common', 'lowest', 'Plus bas'),
('fr', 'common', 'low', 'Bas'),
('fr', 'common', 'lost password', 'Mot de passe oublié'),
('fr', 'common', 'lost login id', 'Identifiant oublié'),
('fr', 'common', 'loginid', 'LoginID'),
('fr', 'common', 'logout', 'Déconnexion'),
('fr', 'common', 'login', 'Login'),
('fr', 'common', 'local', 'Local'),
('fr', 'common', 'list', 'Liste'),
('fr', 'common', 'list members', 'Liste les membres'),
('fr', 'common', 'lithuania', 'LITHUANIE'),
('fr', 'common', 'line %1: ''%2''<br><b>csv data does not match column-count of table %3 ==> ignored</b>', 'Ligne %1: ''%2''<br><b>Les données csv ne correspondent pas au nombre de colonnes de la table %3 ==> ignoré</b>'),
('fr', 'common', 'line %1: ''%2''<br><b>csv data does contain ##last-check-run## of table %3 ==> ignored</b>', 'Ligne %1: ''%2''<br><b>Les données csv contiennent ##last-check-run## de la table %3 ==> ignoré</b>'),
('fr', 'common', 'liechtenstein', 'LIECHTENSTEIN'),
('fr', 'common', 'license', 'Licence'),
('fr', 'common', 'liberia', 'LIBERIA'),
('fr', 'common', 'libyan arab jamahiriya', 'LIBYE'),
('fr', 'common', 'lesotho', 'LESOTHO'),
('fr', 'common', 'ldap-mgr', 'Gestionnaire-LDAP'),
('fr', 'common', 'lebanon', 'LIBAN'),
('fr', 'common', 'left', 'Gauche'),
('fr', 'common', 'lastname', 'Nom'),
('fr', 'common', 'latvia', 'LATVIA'),
('fr', 'common', 'last page', 'Dernière page'),
('fr', 'common', 'last name of the user, eg. "%1"', 'Nom de l''utilisateur, p.ex. "%1"'),
('fr', 'common', 'last name', 'Nom'),
('fr', 'common', 'last modified', 'Dernière modification'),
('fr', 'common', 'lao peoples democratic republic', 'LAOS, REPUBLIQUE DEMOCRATIQUE DES PEUPLES DU'),
('fr', 'common', 'language_direction_rtl', 'language_direction_rtl'),
('fr', 'common', 'language', 'Langue'),
('fr', 'common', 'kyrgyzstan', 'KYRGYZSTAN'),
('fr', 'common', 'kuwait', 'KOWAIT'),
('fr', 'common', 'korea, republic of', 'COREE, REPUBLIQUE DE'),
('fr', 'common', 'korean', 'Coréen'),
('fr', 'common', 'korea, democratic peoples republic of', 'COREE, REPUBLIQUE DEMOCRATIQUE DES PEUPLES DE'),
('fr', 'common', 'keywords', 'Mots-clés'),
('fr', 'common', 'kiribati', 'KIRIBATI'),
('fr', 'common', 'kenya', 'KENYA'),
('fr', 'common', 'kazakstan', 'KAZAKSTAN'),
('fr', 'common', 'justify left', 'Aligner à Gauche'),
('fr', 'common', 'justify right', 'Aligner à Droite'),
('fr', 'common', 'justify full', 'Justifier'),
('fr', 'common', 'justify center', 'Centrer'),
('fr', 'common', 'june', 'Juin'),
('fr', 'common', 'jun', 'Jun'),
('fr', 'common', 'july', 'Juillet'),
('fr', 'common', 'jordan', 'JORDANIE'),
('fr', 'common', 'japanese', 'Japonais'),
('fr', 'common', 'january', 'Janvier'),
('fr', 'common', 'japan', 'JAPON'),
('fr', 'common', 'jamaica', 'JAMAIQUE'),
('fr', 'common', 'italy', 'ITALIE'),
('fr', 'common', 'italic', 'Italique'),
('fr', 'common', 'it is recommended that you run setup to upgrade your tables to the current version', 'Il vous est recommandé d''exécuter "setup" pour mettre à jour vos tables vers la version actuelle.'),
('fr', 'common', 'israel', 'ISRAEL'),
('fr', 'common', 'it has been more then %1 days since you changed your password', 'Cela fait plus de %1 jours que vous n''avez pas changé votre mot de passe'),
('fr', 'common', 'ireland', 'IRLANDE'),
('fr', 'common', 'iraq', 'IRAK'),
('fr', 'common', 'iran, islamic republic of', 'IRAN, REPUBLIQUE ISLAMIQUE D'''),
('fr', 'common', 'invalid password', 'Mot de passe invalide'),
('fr', 'common', 'invalid ip address', 'Adresse IP invalide'),
('fr', 'common', 'invalid filename', 'Nom de fichier invalide'),
('fr', 'common', 'insert row before', 'Insérer une ligne avant'),
('fr', 'common', 'international', 'International'),
('fr', 'common', 'insert column before', 'Insérer une colonne avant'),
('fr', 'common', 'insert row after', 'Insérer une ligne après'),
('fr', 'common', 'insert column after', 'Insérer  une colonne après'),
('fr', 'common', 'insert all %1 addresses of the %2 contacts in %3', 'Insérer toutes les %1 adresses des %2 contacts de %3'),
('fr', 'common', 'indonesia', 'INDONESIE'),
('fr', 'common', 'image url', 'URL de l''Image'),
('fr', 'common', 'india', 'INDE'),
('fr', 'common', 'image directory relative to document root (use / !), example:', 'Répertoire image relative à la racine des documents (utiliser / !), par exemple :'),
('fr', 'common', 'if there are some images in the background folder you can choose the one you would like to see.', 'S''il y a des images dans le dossier d''arrière-plan vous pouvez choisir celle que vous voulez voir.'),
('fr', 'common', 'if the clock is enabled would you like it to update it every second or every minute?', 'Si l''horloge est activée voulez-vous la mettre à jour toutes les secondes ou toutes les minutes?'),
('fr', 'common', 'iceland', 'ISLANDE'),
('fr', 'common', 'iespell not detected. click ok to go to download page.', 'ieSpell non détecté. Cliquez sur Ok pour aller à la page de téléchargement.'),
('fr', 'common', 'hungary', 'HONGRIE'),
('fr', 'common', 'how to show the general egroupware menu ?', 'Comment afficher le menu général d''eGroupWare ?'),
('fr', 'common', 'hong kong', 'HONG KONG'),
('fr', 'common', 'how many icons should be shown in the navbar (top of the page). additional icons go into a kind of pulldown menu, callable by th', 'Combien d''icônes devraient être affichées sur la barre de navigation (haut de page). Les icônes suplémentaires seront placées dans une liste que l''on appellera via une icône à droite de la barre de navigation.'),
('fr', 'common', 'honduras', 'HONDURAS'),
('fr', 'common', 'home', 'Accueil'),
('fr', 'common', 'home email', 'email privé'),
('fr', 'common', 'holy see (vatican city state)', 'VATICAN'),
('fr', 'common', 'highest', 'Plus haut'),
('fr', 'common', 'help', 'Aide'),
('fr', 'common', 'high', 'Haut'),
('fr', 'common', 'height', 'Hauteur'),
('fr', 'common', 'haiti', 'HAITI'),
('fr', 'common', 'heard island and mcdonald islands', 'ILE HEARD ET ILES MCDONALD'),
('fr', 'common', 'guyana', 'GUYANE'),
('fr', 'common', 'guinea', 'GUINEE'),
('fr', 'common', 'guinea-bissau', 'GUINEE-BISSAU'),
('fr', 'common', 'guatemala', 'GUATEMALA'),
('fr', 'common', 'guam', 'GUAM'),
('fr', 'common', 'guadeloupe', 'GUADELOUPE'),
('fr', 'common', 'groups without permission for %1', 'Groupes sans la permission pour %1'),
('fr', 'common', 'groups with permission for %1', 'Groupes avec la permission pour %1'),
('fr', 'common', 'groups', 'Groupes'),
('fr', 'common', 'groupdav', 'Serveurs CalDAV, CardCAV et GroupDAV'),
('fr', 'common', 'group name', 'Nom du groupe'),
('fr', 'common', 'group public', 'Public par groupe'),
('fr', 'common', 'group', 'Groupe'),
('fr', 'common', 'group access', 'Accès par groupe'),
('fr', 'common', 'greenland', 'GROENLANDE'),
('fr', 'common', 'grenada', 'GRENADE'),
('fr', 'common', 'greek', 'Grec'),
('fr', 'common', 'greece', 'GRECE'),
('fr', 'common', 'global public', 'Public global'),
('fr', 'common', 'grant access', 'Autoriser l''accès'),
('fr', 'common', 'gibraltar', 'GIBRALTAR'),
('fr', 'common', 'global', 'Global'),
('fr', 'common', 'ghana', 'GHANA'),
('fr', 'common', 'german', 'Allemand'),
('fr', 'common', 'germany', 'ALLEMAGNE'),
('fr', 'common', 'georgia', 'GEORGIE'),
('fr', 'common', 'general menu', 'Menu Général'),
('fr', 'common', 'gambia', 'GAMBIE'),
('fr', 'common', 'gabon', 'GABON'),
('fr', 'common', 'fullscreen mode', 'Mode plein écran'),
('fr', 'common', 'fullname', 'Nom complet'),
('fr', 'common', 'ftp', 'FTP'),
('fr', 'common', 'friday', 'Vendredi'),
('fr', 'common', 'france', 'FRANCE'),
('fr', 'common', 'french guiana', 'GUYANNE FRANCAISE'),
('fr', 'common', 'french polynesia', 'POLYNESIE FRANCAISE'),
('fr', 'common', 'french southern territories', 'TERRITOIRES FRANCAIS DU SUD'),
('fr', 'common', 'forever', 'A jamais'),
('fr', 'common', 'force selectbox', 'Forcer la boîte de sélection'),
('fr', 'common', 'fixme!', 'CORRIGEZ-MOI!'),
('fr', 'common', 'folder already exists.', 'Le dossier existe déjà.'),
('fr', 'common', 'firstname', 'Prénom'),
('fr', 'common', 'first page', 'Première page'),
('fr', 'common', 'first name of the user, eg. "%1"', 'Prénom de l''utilisateur, p.ex. "%1"'),
('fr', 'common', 'first name', 'Prénom'),
('fr', 'common', 'filter', 'Filtrer'),
('fr', 'common', 'finland', 'FINLANDE'),
('fr', 'common', 'files', 'Fichiers'),
('fr', 'common', 'fiji', 'FIDJI'),
('fr', 'common', 'fields', 'Champs'),
('fr', 'common', 'february', 'Février'),
('fr', 'common', 'features of the editor?', 'Fonctionnalités de l''éditeur'),
('fr', 'common', 'faroe islands', 'ILES FAROE'),
('fr', 'common', 'falkland islands (malvinas)', 'ILES FALKLAND (MALOUINES)'),
('fr', 'common', 'failed to contact server or invalid response from server. try to relogin. contact admin in case of faliure.', 'Impossible de contacter le serveur ou réponse invalide de ce dernier. Essayez de vous reconnecter. En cas de panne contactez votre administrateur.'),
('fr', 'common', 'exact', 'exact'),
('fr', 'common', 'ethiopia', 'ETHIOPIE'),
('fr', 'common', 'everything', 'Tout'),
('fr', 'common', 'etag', 'eTag'),
('fr', 'common', 'estonia', 'ESTONIE'),
('fr', 'common', 'error renaming %1 %2 directory', 'Erreur au renommage du répertoire %1 %2'),
('fr', 'common', 'error deleting %1 %2 directory', 'Erreur à la suppression du répertoire %1 %2'),
('fr', 'common', 'error creating %1 %2 directory', 'Erreur à la création du répertoire %1 %2'),
('fr', 'common', 'equatorial guinea', 'GUINEE EQUATORIALE'),
('fr', 'common', 'eritrea', 'ERYTHREE'),
('fr', 'common', 'error', 'Erreur'),
('fr', 'common', 'entry updated sucessfully', 'Entrée mise à jour avec succès'),
('fr', 'common', 'entry not found!', 'Entrée non trouvée !'),
('fr', 'common', 'end time', 'Heure de fin'),
('fr', 'common', 'entry has been deleted sucessfully', 'Entrée supprimée avec succès'),
('fr', 'common', 'end date', 'Date de fin'),
('fr', 'common', 'enabled', 'Activé'),
('fr', 'common', 'egypt', 'EGYPTE'),
('fr', 'common', 'el salvador', 'SALVADOR'),
('fr', 'common', 'email', 'E-mail'),
('fr', 'common', 'email-address of the user, eg. "%1"', 'Adresse e-mail de l''utilisateur, p.ex. "%1"'),
('fr', 'common', 'egroupware: login blocked for user ''%1'', ip %2', 'eGroupWare: login bloqué pour l´utilisateur ''%1'', IP %2'),
('fr', 'common', 'egroupware api version', 'Version de l''API eGroupware'),
('fr', 'common', 'egroupware', 'eGroupWare'),
('fr', 'common', 'edit category', 'Modifier la catégorie'),
('fr', 'common', 'edit categories', 'Modifier les catégories'),
('fr', 'common', 'edit %1 category for', 'Modifier la catégorie %1 pour'),
('fr', 'common', 'ecuador', 'EQUATEUR'),
('fr', 'common', 'edit', 'Modifier'),
('fr', 'common', 'eastern european', 'Européen occidental'),
('fr', 'common', 'e-mail', 'email'),
('fr', 'common', 'east timor', 'TIMOR ORIENTAL'),
('fr', 'common', 'dominican republic', 'REPUBLIQUE DOMINICAINE'),
('fr', 'common', 'dominica', 'DOMINIQUE'),
('fr', 'common', 'domestic', 'Intérieur'),
('fr', 'common', 'domain', 'Domaine'),
('fr', 'common', 'domain name for mail-address, eg. "%1"', 'Nom du domaine pour les adresses email, p.ex. "%1"'),
('fr', 'common', 'document title:', 'Titre du document:'),
('fr', 'common', 'doctype:', 'Type de document'),
('fr', 'common', 'document properties', 'Propriétés du document'),
('fr', 'common', 'do you also want to delete all subcategories ?', 'Voulez vous également supprimer toutes les sous-catégories ?'),
('fr', 'common', 'djibouti', 'DJIBOUTI'),
('fr', 'common', 'disabled', 'Désactivé'),
('fr', 'common', 'disable the execution a bugfixscript for internet explorer 5.5 and higher to show transparency in png-images?', 'Désactiver l''exécution d''un script de déboguage visant à afficher la transparence dans les images PNG sous Internet Explorer 5.5 ou plus?'),
('fr', 'common', 'disable the animated slider effects when showing or hiding menus in the page? opera and konqueror users will probably must want ', 'Désactiver les effets de glisse animés lors de l´affichage ou le masquage des menus de la page? Les utilisateurs d''Opera et Konqueror devraient sûrement en avoir besoin.'),
('fr', 'common', 'disable slider effects', 'Désactiver les effets de glisse'),
('fr', 'common', 'disable internet explorer png-image-bugfix', 'Désactiver png-image-bugfix d''Internet Explorer'),
('fr', 'common', 'directory does not exist, is not readable by the webserver or is not relative to the document root!', 'Ce répertoire n''existe pas, n''est pas lisible par le serveur web ou n''est pas relatif au "document root" !'),
('fr', 'common', 'directory', 'Répertoire'),
('fr', 'common', 'direction left to right', 'Direction de gauche à droite'),
('fr', 'common', 'diable the execution a bugfixscript for internet explorer 5.5 and higher to show transparency in png-images?', 'Désactiver l''exécution d''un script correcteur pour Internet Explorer 5.5 et plus récent pour montrer la transparence des images PNG?'),
('fr', 'common', 'delete', 'Supprimer'),
('fr', 'common', 'delete row', 'Supprimer ligne'),
('fr', 'common', 'denmark', 'DANEMARK'),
('fr', 'common', 'description', 'Description'),
('fr', 'common', 'detail', 'Détail'),
('fr', 'common', 'details', 'Détails'),
('fr', 'common', 'default width for the windows', 'Largeur des fenêtres par défaut'),
('fr', 'common', 'default height for the windows', 'Hauteur des fenêtres par défaut'),
('fr', 'common', 'default category', 'Catégorie par défaut'),
('fr', 'common', 'date', 'Date'),
('fr', 'common', 'date due', 'Date butoire'),
('fr', 'common', 'december', 'Décembre'),
('fr', 'common', 'database error', 'Erreur de base de données'),
('fr', 'common', 'database error!', 'Erreur de base de données !'),
('fr', 'common', 'czech republic', 'REPUBLIQUE TCHEQUE'),
('fr', 'common', 'cyprus', 'CHYPRE'),
('fr', 'common', 'current users', 'Utilisateurs connectés'),
('fr', 'common', 'current', 'Courant'),
('fr', 'common', 'currency', 'Devise'),
('fr', 'common', 'cuba', 'CUBA'),
('fr', 'common', 'croatia', 'CROATIE'),
('fr', 'common', 'create', 'Créer'),
('fr', 'common', 'created by', 'Créé par'),
('fr', 'common', 'could not contact server. operation timed out!', 'Impossible de connecter au serveur. Le délai d''attente est dépassé!'),
('fr', 'common', 'cote d ivoire', 'COTE D IVOIRE'),
('fr', 'common', 'copy', 'Copier'),
('fr', 'common', 'costa rica', 'COSTA RICA'),
('fr', 'common', 'contacting server...', 'Connexion au serveur...'),
('fr', 'common', 'content type', 'Type de contenu'),
('fr', 'common', 'cook islands', 'ILES COOK'),
('fr', 'common', 'congo', 'CONGO'),
('fr', 'common', 'congo, the democratic republic of the', 'CONGO, REPUBLIQUE DEMOCRATIQUE DU'),
('fr', 'common', 'colombia', 'COLOMBIE'),
('fr', 'common', 'common preferences', 'Préférences communes'),
('fr', 'common', 'comoros', 'COMORRES'),
('fr', 'common', 'collection listing', 'Liste de collection'),
('fr', 'common', 'cocos (keeling) islands', 'ILES COCOS (KEELING)'),
('fr', 'common', 'collection empty.', 'Collection vide'),
('fr', 'common', 'close', 'Fermer'),
('fr', 'common', 'close sidebox', 'Fermer la barre de menu latérale'),
('fr', 'common', 'click this image on the navbar: %1', 'Cliquez cette image sur la barre de navigation: %1'),
('fr', 'common', 'click or mouse over to show menus?', 'Cliquer ou passer la souris dessus pour voir les menus?'),
('fr', 'common', 'click or mouse over to show menus', 'Cliquer ou passer la souris dessus pour voir les menus'),
('fr', 'common', 'click here to resume your egroupware session.', 'Cliquer pour relancer votre session eGroupware'),
('fr', 'common', 'click', 'Cliquer'),
('fr', 'common', 'clear', 'Effacer'),
('fr', 'common', 'clear form', 'Effacer le formulaire'),
('fr', 'common', 'choose the parent category', 'Choisir la catégorie parent'),
('fr', 'common', 'christmas island', 'ILE NOEL'),
('fr', 'common', 'choose the category', 'Choisir la catégorie'),
('fr', 'common', 'choose a text color for the icons', 'Choisissez une couleur de texte pour les icônes'),
('fr', 'common', 'choose a background style.', 'Choisissez un style de fond'),
('fr', 'common', 'choose a background color', 'Choisissez une couleur de fond'),
('fr', 'common', 'choose a background color for the icons', 'Choisissez une couleur de fond pour les icônes'),
('fr', 'common', 'choose a background image.', 'Choisissez une image de fond'),
('fr', 'common', 'check now', 'Vérifier maintenant'),
('fr', 'common', 'chile', 'CHILI'),
('fr', 'common', 'china', 'CHINE'),
('fr', 'common', 'check installation', 'Vérifier l''installation'),
('fr', 'common', 'charset', 'utf-8'),
('fr', 'common', 'change', 'Changer'),
('fr', 'common', 'chad', 'TCHAD'),
('fr', 'common', 'central african republic', 'REPUBLIQUE DE CENTRAFRIQUE'),
('fr', 'common', 'cc', 'Cc'),
('fr', 'common', 'centered', 'centré'),
('fr', 'common', 'cayman islands', 'ILES CAIMAN'),
('fr', 'common', 'category %1 has been updated !', 'La catégorie %1 a été mise à jour !'),
('fr', 'common', 'category %1 has been added !', 'La catégorie %1 a été ajoutée !'),
('fr', 'common', 'category', 'Catégorie'),
('fr', 'common', 'categories for', 'catégories pour'),
('fr', 'common', 'categories', 'Catégories'),
('fr', 'common', 'cape verde', 'CAP VERT'),
('fr', 'common', 'caption', 'Légende'),
('fr', 'common', 'cant open ''%1'' for %2', 'Impossible d''ouvrir ''%1'' pour %2'),
('fr', 'common', 'cant open %1, needs ziparchive', 'Impossible d''ouvrir %1, ZipArchive est nécessaire');
INSERT INTO `egw_lang` (`lang`, `app_name`, `message_id`, `content`) VALUES
('fr', 'common', 'cannot replace %1 because it is a directory', 'Impossible de remplacer %1 car est un répertoire'),
('fr', 'common', 'cancel', 'Annuler'),
('fr', 'common', 'canada', 'CANADA'),
('fr', 'common', 'cameroon', 'CAMEROUN'),
('fr', 'common', 'cambodia', 'CAMBODGE'),
('fr', 'common', 'calendar', 'Calendrier'),
('fr', 'common', 'burundi', 'BURUNDI'),
('fr', 'common', 'burkina faso', 'BURKINA FASO'),
('fr', 'common', 'bulgarian', 'Bulgare'),
('fr', 'common', 'bulgaria', 'BULGARIE'),
('fr', 'common', 'brunei darussalam', 'SULTANAT DE BRUNEI'),
('fr', 'common', 'british indian ocean territory', 'TERRITOIRES ANGLAIS DE L''OCEAN INDIEN'),
('fr', 'common', 'bouvet island', 'ILE BOUVET'),
('fr', 'common', 'brazil', 'BRESIL'),
('fr', 'common', 'bottom', 'Bas'),
('fr', 'common', 'botswana', 'BOTSWANA'),
('fr', 'common', 'bosnia and herzegovina', 'BOSNIE HERZEGOVINE'),
('fr', 'common', 'bhutan', 'BOUTAN'),
('fr', 'common', 'blocked, too many attempts', 'Accès refusé car trop de tentatives infructueuses'),
('fr', 'common', 'bold', 'Gras'),
('fr', 'common', 'bolivia', 'BOLIVIE'),
('fr', 'common', 'border', 'Bordure'),
('fr', 'common', 'belgium', 'BELGIQUE'),
('fr', 'common', 'belize', 'BELIZE'),
('fr', 'common', 'benin', 'BENIN'),
('fr', 'common', 'bermuda', 'BERMUDES'),
('fr', 'common', 'barbados', 'BARBADE'),
('fr', 'common', 'bcc', 'Bcc'),
('fr', 'common', 'belarus', 'BIELORUSSIE'),
('fr', 'common', 'bangladesh', 'BANGLADESH'),
('fr', 'common', 'bahamas', 'BAHAMAS'),
('fr', 'common', 'bahrain', 'BAHRAIN'),
('fr', 'common', 'bad login or password', 'Mauvais login ou mot de passe'),
('fr', 'common', 'back to user login', 'Retour au Login utilisateur'),
('fr', 'common', 'background color:', 'Couleur de fond:'),
('fr', 'common', 'backupdir ''%1'' is not writeable by the webserver', 'Le serveur web ne peut pas écrire dans le répertoire de sauvegarde ''%1'''),
('fr', 'common', 'back', 'Retour'),
('fr', 'common', 'azerbaijan', 'AZERBAIDJAN'),
('fr', 'common', 'autosave default category', 'Enregistrement automatique dans catégorie par défaut'),
('fr', 'common', 'automatically hide the sidebox menus?', 'Cacher automatiquement la barre de menu latérale ?'),
('fr', 'common', 'automatically hide the sidebox menu''s?', 'Cacher automatiquement la barre de menu latérale ?'),
('fr', 'common', 'autohide sidebox menus', 'Cacher automatiquement la barre de menu latérale'),
('fr', 'common', 'autohide sidebox menu''s', 'Cacher automatiquement la barre de menu latérale'),
('fr', 'common', 'austria', 'AUTRICHE'),
('fr', 'common', 'author', 'Auteur'),
('fr', 'common', 'australia', 'AUSTRALIE'),
('fr', 'common', 'aruba', 'ARUBA'),
('fr', 'common', 'august', 'Août'),
('fr', 'common', 'armenia', 'ARMENIE'),
('fr', 'common', 'argentina', 'ARGENTINE'),
('fr', 'common', 'are you sure you want to delete this entry ?', 'Etes-vous sûr de vouloir supprimer cette entrée ?'),
('fr', 'common', 'are you sure you want to delete these entries ?', 'Etes-vous sûr de vouloir supprimer ces entrées ?'),
('fr', 'common', 'april', 'Avril'),
('fr', 'common', 'apply', 'Appliquer'),
('fr', 'common', 'application', 'Application'),
('fr', 'common', 'antarctica', 'ANTARCTIQUE'),
('fr', 'common', 'antigua and barbuda', 'ANTIGUE ET BARBADE'),
('fr', 'common', 'anguilla', 'ANGUILLA'),
('fr', 'common', 'angola', 'ANGOLA'),
('fr', 'common', 'andorra', 'ANDORRE'),
('fr', 'common', 'an existing and by the webserver readable directory enables the image browser and upload.', 'Un répertoire doit exister ET être lisible par le serveur web pour permettre la navigation et l''upload d''images.'),
('fr', 'common', 'an error happened', 'Erreur !'),
('fr', 'common', 'american samoa', 'SAMOA AMERICAINES'),
('fr', 'common', 'alternate style-sheet:', 'Feuille de style alternative:'),
('fr', 'common', 'algeria', 'ALGERIE'),
('fr', 'common', 'all', 'Tout'),
('fr', 'common', 'all fields', 'tous les champs'),
('fr', 'common', 'all languages', 'toutes les langues'),
('fr', 'common', 'alphabet', 'a,b,c,d,e,f,g,h,i,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y,z'),
('fr', 'common', 'albania', 'ALBANIE'),
('fr', 'common', 'administration', 'Administration'),
('fr', 'common', 'afghanistan', 'AFGHANISTAN'),
('fr', 'common', 'add sub', 'Ajouter enfant'),
('fr', 'common', 'admin', 'Admin'),
('fr', 'common', 'add category', 'Ajouter catégorie'),
('fr', 'common', 'add shortcut', 'Ajouter raccourci'),
('fr', 'common', 'add %1 category for', 'Ajouter la catégorie %1 pour'),
('fr', 'common', 'add', 'Ajouter'),
('fr', 'common', 'active', 'Actif'),
('fr', 'common', 'action', 'Action'),
('fr', 'common', 'acl', 'Liste de Contrôle d''Accès'),
('fr', 'common', 'accounts', 'Comptes'),
('fr', 'common', 'account is expired', 'Le compte a expiré'),
('fr', 'common', 'access not permitted', 'Accès non permis'),
('fr', 'common', 'access', 'Accès'),
('fr', 'common', 'about egroupware', 'A propos d''eGroupware'),
('fr', 'common', 'about %1', 'A propos de %1'),
('fr', 'common', 'about', 'A propos de'),
('fr', 'common', '1 hour', '1 Heure'),
('fr', 'common', '1 month', '1 Mois'),
('fr', 'common', '1 week', '1 Semaine'),
('fr', 'common', '1 day', '1 Jour'),
('fr', 'common', '(session restored in %1 seconds)', 'Session restaurée en %1 secondes'),
('fr', 'common', '%1egroupware%2 is a multi-user, web-based groupware suite written in %3php%4.', '%1eGroupWare%2 est un progiciel de collaboration multi-utilisateur basé sur le web et écrit en %3PHP%4.'),
('fr', 'common', '%1choose an other directory%2<br />or make %3 writeable by webserver', '%1Choisissez un autre répertoire%2<br />ou faites en sorte que le serveur web puisse écrire dans %3'),
('fr', 'common', '%1 is not executable by the webserver !!!', '%1 n''est pas exécutable par le serveur web !!!'),
('fr', 'common', '%1 file', '%1 fichier'),
('fr', 'common', '%1 email addresses inserted', '%1 adresse(s) email a (ont) été insérée(s)'),
('fr', 'common', 'phpfreechat', 'Tchat'),
('fr', 'common', 'publish questions automatically?', 'Publier les questions automatiquement'),
('fr', 'common', 'publish comments automatically?', 'Publier les commentaires automatiquement ?'),
('fr', 'common', 'publish articles automatically?', 'Publier les articles automatiquement ?'),
('fr', 'common', 'phpbrain', 'Base de connaissances'),
('fr', 'common', 'knowledge base configuration', 'Configuration de la Base de connaissance'),
('fr', 'common', 'have to be approved first', 'Doivent être approuvés d''abord'),
('fr', 'common', 'notification', 'Notification'),
('fr', 'common', 'submitted by', 'Soumis par'),
('fr', 'common', 'linked entries:', 'Entrées liées :'),
('fr', 'common', 'news_admin', 'Communiqués'),
('fr', 'common', 'configure rss exports', 'Configurer les exports RSS'),
('fr', 'common', 'configure access permissions', 'Configurer les droits d''accès'),
('fr', 'common', 'manual', 'Manuel / Aide'),
('fr', 'common', 'infolog preferences', 'Préférences InfoLog'),
('fr', 'common', 'infolog', 'InfoLog'),
('fr', 'common', 'info log', 'InfoLog'),
('fr', 'common', 'done', 'Fait'),
('fr', 'common', 'custom fields, typ and status', 'Champs, types et statuts personnalisés'),
('fr', 'common', 'csv-import', 'CSV-Importer'),
('fr', 'common', 'schedule import / export', 'Planifier l''import | export'),
('fr', 'common', 'schedule', 'planification'),
('fr', 'common', 'importexport', 'Import | Export'),
('fr', 'common', 'import definitions', 'Définitions d''import'),
('fr', 'common', 'define imports|exports', 'Définir Imports|Exports'),
('fr', 'common', 'filemanager', 'Gestionnaire de fichiers'),
('fr', 'common', 'applications', 'Applications'),
('fr', 'common', '%1 files', '%1 fichier(s)'),
('fr', 'common', 'all files', 'Tous les fichiers'),
('fr', 'common', 'vacation notice', 'Notification de vacances'),
('fr', 'common', 'unread', 'Non-lu'),
('fr', 'common', 'new', 'Nouveau'),
('fr', 'common', 'manage sieve', 'Gérer les scripts SIEVE'),
('fr', 'common', 'manage folders', 'Gérer les dossiers'),
('fr', 'common', 'manage emailaccounts', 'Gérer les comptes email'),
('fr', 'common', 'manage email accounts and identities', 'Gérer les Comptes email et les Identités'),
('fr', 'common', 'filter rules', 'Règles de filtrage'),
('fr', 'common', 'felamimail', 'Messagerie'),
('fr', 'common', 'new search', 'Nouvelle recherche'),
('fr', 'common', 'etemplate', 'eTemplate'),
('fr', 'common', 'emailadmin: user assigned profile', 'eMailAdmin : profil assigné par utilisateur'),
('fr', 'common', 'emailadmin: group assigned profile', 'eMailAdmin : profil assigné par groupe'),
('fr', 'common', 'email settings', 'Paramètres de messagerie'),
('fr', 'common', 'developer_tools', 'Outils de traduction'),
('fr', 'common', 'import csv-file', 'Importer un fichier CSV'),
('fr', 'common', 'custom_2', 'Libre/Occupé'),
('fr', 'common', 'freebusy', 'Libre/Occupé'),
('fr', 'common', 'custom fields', 'Champs personnalisés'),
('fr', 'common', 'import bookmarks', 'Importer les signets'),
('fr', 'common', 'export bookmarks', 'Exporter les Signets'),
('fr', 'common', 'bookmarks', 'Signets'),
('fr', 'common', 'book marks', 'Signets'),
('fr', 'common', 'user data', 'Données utilisateurs'),
('fr', 'common', 'group has been updated', 'Le groupe a été mis à jour'),
('fr', 'common', 'installed applications', 'Applications installées'),
('fr', 'common', 'group has been deleted', 'Le groupe a été supprimé'),
('fr', 'common', 'group has been added', 'Le groupe a été ajouté'),
('fr', 'common', 'global categories', 'Catégories globales'),
('fr', 'common', 'are you sure you want to delete this category ?', 'Etes-vous sûr de vouloir supprimer cette catégorie ?'),
('fr', 'common', 'acl rights', 'Droits d''accès'),
('fr', 'common', 'account has been updated', 'Le compte a été mis à jour'),
('fr', 'common', 'account has been deleted', 'Le compte a été supprimé'),
('fr', 'common', 'account has been created', 'Le compte a été créé'),
('fr', 'common', 'zip code', 'Code postal'),
('fr', 'common', 'vcard', 'VCard'),
('fr', 'common', 'tomorrow is %1''s birthday.', 'Demain c''est l''anniversaire de %1.'),
('fr', 'common', 'street', 'Rue'),
('fr', 'common', 'today is %1''s birthday!', 'Aujourd''hui c''est l''anniversaire de %1 !'),
('fr', 'common', 'state', 'Région'),
('fr', 'common', 'postal', 'Code postal'),
('fr', 'common', 'phone numbers', 'Numéros de téléphone'),
('fr', 'common', 'phone number', 'numéro de téléphone'),
('fr', 'common', 'pager', 'Pager'),
('fr', 'common', 'grant addressbook access', 'Donner l''accès au Carnet d''adresses'),
('fr', 'common', 'fax number', 'Numéro de fax'),
('fr', 'common', 'department', 'Département'),
('fr', 'common', 'country', 'Pays'),
('fr', 'common', 'contact', 'Contact'),
('fr', 'common', 'configuration', 'Configuration'),
('fr', 'common', 'company', 'Société'),
('fr', 'common', 'city', 'Ville'),
('fr', 'common', 'business', 'Bureau'),
('fr', 'common', 'birthdays', 'Anniversaires'),
('fr', 'common', 'birthday', 'Anniversaire'),
('fr', 'common', 'addressbook', 'Carnet d''adresses'),
('fr', 'common', 'address book', 'Carnet d''adresses'),
('fr', 'admin', 'yes always', 'Oui, toujours'),
('fr', 'admin', 'yes with navbar', 'Oui, avec barre de navigation'),
('fr', 'admin', 'url of the upload directory', 'URL du répertoire de dépôt'),
('fr', 'admin', 'readonly', 'lecture seule'),
('fr', 'admin', 'path of the upload directory (has to be writable by the webserver!)', 'Chemin du répertoire de dépôt (le serveur web doit pouvoir y écrire!)'),
('fr', 'admin', 'picture upload via richtext editor (leave the upload directory empty to disable the upload)', 'Dépôt d''image via un éditeur de texte enrichi (laisser le répertoire de dépôt vide pour désactiver le dépôt)'),
('fr', 'admin', 'only if browser supports a richtext-editor', 'Seulement si le navigateur supporte un éditeur de texte enrichi'),
('fr', 'admin', 'no only on request', 'Non, seulement sur demande'),
('fr', 'admin', 'no never', 'Non, jamais'),
('fr', 'admin', 'name wiki home link', 'Nom du Wiki'),
('fr', 'admin', 'interwikiprefix', 'InterWikiPrefix'),
('fr', 'admin', 'enable wiki links', 'Autoriser les liens Wiki'),
('fr', 'admin', 'enable free links', 'Autoriser les liens libres'),
('fr', 'admin', 'editable', 'modifiable'),
('fr', 'admin', 'emailaddress administrator', 'Adresse email de l''administrateur'),
('fr', 'admin', 'anonymous session type', 'Type de session pour le compte "anonyme"'),
('fr', 'admin', 'automatically convert pages with wiki-syntax to richtext (if edited)?', 'Convertir automatiquement les pages avec syntaxe wiki vers le format texte enrichi (si édité) ?'),
('fr', 'admin', 'edit with preview', 'Modifier avec prévisualisation'),
('fr', 'admin', 'allow anonymous access', 'Permettre les accès anonymes'),
('fr', 'admin', 'projectmanager integration', 'Intégration au Gestionnaire de projets'),
('fr', 'admin', '(don''t offer the possibility)', 'Ne pas offrir la possibilité'),
('fr', 'admin', 'after how many days should old versions of a page be removed (0 for never)', 'Après combien de jours les anciennes versions de pages devraient être supprimées (0 pour jamais)'),
('fr', 'admin', 'full: use only projectmanager', 'Complet: utiliser seulement le Gestionnaire de projets'),
('fr', 'admin', 'none: use only free project-names', 'Aucun: utiliser seulement des noms de projets libres'),
('fr', 'admin', 'both: allow to use projectmanager and free project-names', 'Les deux: permettre l''utilisation du Gestionnaire de projets et l''utilisation de noms de projets libres'),
('fr', 'admin', 'smb homepath', 'Chemin par défaut smb'),
('fr', 'admin', 'samba sid', 'Identifiant système (SID) Samba'),
('fr', 'admin', 'logonscript', 'Script de connexion'),
('fr', 'admin', 'new account defaults', 'Paramètres par défaut des nouveaux comptes'),
('fr', 'admin', 'path to mkntpwd', 'Chemin pour la commande mkntpwd'),
('fr', 'admin', 'profilepath', 'Chemin du profil'),
('fr', 'admin', 'homedrive', 'Lecteur par défaut'),
('fr', 'admin', 'computer group', 'Groupe d''ordinateurs'),
('fr', 'admin', 'computer ou', 'Unité Organisationnelle (OU) de l''ordinateur'),
('fr', 'admin', 'check ldap setup (experimental!!!)', 'Test de la configuration LDAP (expérimental !)'),
('fr', 'admin', 'terms of service text', 'Texte des Termes et Conditions'),
('fr', 'admin', 'use html', 'utiliser HTML'),
('fr', 'admin', 'use trial accounts?', 'Utiliser des comptes à l''essai?'),
('fr', 'admin', 'username is', 'L''utilisateur est'),
('fr', 'admin', 'configure access permissions', 'Configurer les droits d''accès'),
('fr', 'admin', 'password is', 'Le mot de passe est'),
('fr', 'admin', 'register link at login screen?', 'Enregistrement sur l''écran de login?'),
('fr', 'admin', 'registration settings', 'Paramètres d''enregistrement'),
('fr', 'admin', 'send email', 'Envoyer l''e-mail'),
('fr', 'admin', 'subject for confirmation email', 'Sujet pour e-mail de confirmation'),
('fr', 'admin', 'name sender to send notices from', 'Nom de l''expéditeur des messages envoyés'),
('fr', 'admin', 'manage fields', 'Gérer les champs'),
('fr', 'admin', 'lost user id link at login screen?', 'Avez-vous perdu le lien vers l''ID utilisateur sur l''écran de connexion ?'),
('fr', 'admin', 'lost password link at login screen?', 'Avez-vous perdu le lien vers le mot de passe sur l''écran de connexion?'),
('fr', 'admin', 'immediately', 'Immédiatement'),
('fr', 'admin', 'http username', 'Utilisateur HTTP'),
('fr', 'admin', 'http password', 'Mot de passe HTTP'),
('fr', 'admin', 'enable registration?', 'Activer l''enregistrement ?'),
('fr', 'admin', 'email address to display for support', 'Adresse e-mail à afficher pour le support'),
('fr', 'admin', 'email address to send notices from', 'Adresse e-mail à partir de laquelle les messages peuvent être envoyés'),
('fr', 'admin', 'days until trial accounts expire', 'Nombre de jours jusqu''à ce que le compte de test expire'),
('fr', 'admin', 'display terms of service?', 'Afficher les termes et conditions?'),
('fr', 'admin', 'activate account', 'Activer le compte'),
('fr', 'admin', 'convert user login id to 7 bit string', 'Convertissez l''ID login en une chaîne de 7 bits'),
('fr', 'admin', 'voting booth admin', 'Isoloir'),
('fr', 'admin', 'phpsysinfo', 'Informations système'),
('fr', 'admin', 'view system information', 'Voir les informations système'),
('fr', 'admin', 'datetime port.<br>if using port 13, please set firewall rules appropriately before submitting this page.<br>(port: 13 / host: 12', 'Port Datetime.<br>Si vous utilisez le port 13, adaptez svp les règles de votre pare-feu avant de soumettre cette page.<br>(Port: 13 / Hôte: 129.6.15.28)'),
('fr', 'admin', '80 (http)', '80 (http)'),
('fr', 'admin', '00 (disable)', '00 (non actif)'),
('fr', 'admin', '13 (ntp)', '13 (ntp)'),
('fr', 'admin', 'should the article view make an automatic table of contents?', 'Est-ce que la vue de l''article devrait créer une table de matières automatique ?'),
('fr', 'admin', 'name of the backlink to the index:', 'Nom du lien de retour vers l''index:'),
('fr', 'admin', 'windows-popup backend', 'Backend popup Windows'),
('fr', 'admin', 'sms backend', 'Backend SMS'),
('fr', 'admin', 'mail backend', 'Backend email'),
('fr', 'admin', 'enable windows-popup backend', 'Activer le backend de popup Windows'),
('fr', 'admin', 'enable sms backend', 'Activer le backend SMS'),
('fr', 'admin', 'enable egroupware-popup backend', 'Activer le backend des popup eGroupware'),
('fr', 'admin', 'emailadmin profile only (do not use user defined (active) mail profiles for notification)', 'Profil eMailAdmin seulement. Ne pas utiliser les profils mail des utilisateurs pour les notifications.'),
('fr', 'admin', 'egroupware-popup backend', 'Backend de popup eGroupware'),
('fr', 'admin', 'choose from mailsettings used for notification', 'Utiliser les paramètres email utilisés pour la notification'),
('fr', 'admin', 'check both (first try (active) user defined account, if none use emailadmin profile)', 'Cocher les deux. D''abord essayer le compte de utilisateur actif, puis le profil eMailAdmin'),
('fr', 'admin', 'maintain news', 'Maintenir les communiqués'),
('fr', 'admin', 'picture upload (leave the upload directory empty to disable the upload)', 'Dépôt d''image (laisser le répertoire vide pour désactiver le dépôt)'),
('fr', 'admin', 'update url for the local manual, default', 'Mettre à jour l''URL (adresse Web) pour le manuel local.'),
('fr', 'admin', 'wiki id for the local manual, default 1, 0 to use the wiki to edit the manual pages', 'Identificateur Wiki pour le manuel local. 1 par défaut, 0 pour pour utiliser wiki pour modifier le manuel.'),
('fr', 'admin', 'remote egroupware url for the manual to use, empty for a local manual, default', 'URL (adresse web) distante eGroupWare pour utiliser le manuel. Par défaut laissée vide pour le manuel local.'),
('fr', 'admin', 'anonymous username', 'Identifiant pour le compte "anonyme"'),
('fr', 'admin', 'install or update the manual-pages', 'installer ou mettre à jour les pages du manuel'),
('fr', 'admin', 'anonymous password', 'Mot de passe du compte "anonyme"'),
('fr', 'admin', 'max folderlinks', 'Nombre de liens de dossiers max'),
('fr', 'admin', 'allow anonymous access to the manual, only necessary to act as remote manual', 'Accepter les accès anonymes au manuel. Nécessaire seulement en cas d''accès distant au manuel.'),
('fr', 'admin', 'filemanager configuration', 'Configuration du gestionnaire de fichiers'),
('fr', 'admin', 'users can define their own emailaccounts', 'Les utilisateurs peuvent définir leurs propres comptes de messagerie'),
('fr', 'admin', 'allow a maximum of the above configured folderlinks to be configured in settings', 'Nombre max de liens vers des dossiers pouvant être configuré dans les préférences.'),
('fr', 'admin', 'use smtp auth', 'Utiliser l''authentification SMTP'),
('fr', 'admin', 'smtp settings', 'Réglages SMTP'),
('fr', 'admin', 'sieve settings', 'Réglages SIEVE'),
('fr', 'admin', 'select your mail server type', 'Sélectionner votre type de serveur de messagerie'),
('fr', 'admin', 'organization name', 'Nom de l''entreprise'),
('fr', 'admin', 'mail server login type', 'Type d''authentification de messagerie'),
('fr', 'admin', 'enter your sieve server port', 'Entrez le port de votre serveur SIEVE'),
('fr', 'admin', 'enter your sieve server hostname or ip address', 'Entrez le nom de votre serveur SIEVE ou son adresse IP'),
('fr', 'admin', 'enter your imap mail server hostname or ip address', 'Entrez le nom de votre serveur de mail IMAP ou son adresse IP'),
('fr', 'admin', 'imap admin password', 'Mot de passe de l''administrateur IMAP'),
('fr', 'admin', 'imap admin user', 'ID administrateur IMAP'),
('fr', 'admin', 'show only the date, not the year', 'Afficher uniquement la date, pas l''année'),
('fr', 'admin', 'show birthdays from addressbook', 'Afficher tous les anniversaires du carnet d''adresses'),
('fr', 'admin', 'setting lock time calender', 'Mettre un temps de verrou sur le calendrier (par défaut 1 sec.)'),
('fr', 'admin', 'require an acl grant to invite other users and groups', 'Nécessite un ACL pour inviter d''autres utilisateurs et groupes.'),
('fr', 'admin', 'prevent deleting of entries', 'Empêcher la suppression d''entrées'),
('fr', 'admin', 'location to autoload from', 'Emplacement pour chargement automatique'),
('fr', 'admin', 'groups: other users can allways be invited, only groups require an invite grant', 'Groupes : les autres utilisateurs peuvent toujours être invités, seuls les groupes nécessitent une confirmation d''invitation'),
('fr', 'admin', 'every user can invite other users and groups', 'Tous les utilisateur peuvent inviter d''autres utilisateurs ou groupes'),
('fr', 'admin', 'do you wish to autoload calendar holidays files dynamically?', 'Voulez-vous charger automatiquement les fichiers de jours fériés du calendrier dynamiquement?'),
('fr', 'admin', 'calendar settings', 'Réglages Calendrier'),
('fr', 'admin', 'birthdays', 'Anniversaires'),
('fr', 'admin', 'calendar holiday management', 'Gestion du calendrier des jours fériés'),
('fr', 'admin', 'your last submission was less then %1 days ago!', 'Votre dernier envoi était il y a moins de %1 jour(s) !'),
('fr', 'admin', 'your session could not be verified.', 'Votre session n''a pas pu être vérifiée.'),
('fr', 'admin', 'you will need to remove the subcategories before you can delete this category', 'Vous allez devoir enlever les sous-catégories avant de pouvoir effacer cette catégorie !'),
('fr', 'admin', 'you need to enter install id and password!', 'Vous devez entre l''ID d''installation ET le mot de passe !'),
('fr', 'admin', 'you must select at least one group member.', 'Vous devez sélectionner au moins un membre de groupe.'),
('fr', 'admin', 'you must enter an application title.', 'Vous devez entrer un titre d''application.'),
('fr', 'admin', 'you must select a file type', 'Vous devez choisir un type de fichier'),
('fr', 'admin', 'you must enter an application name.', 'Vous devez entrer un nom d''application.'),
('fr', 'admin', 'you must enter a loginid', 'Vous devez entrer un loginid'),
('fr', 'admin', 'you must enter an application name and title.', 'Vous devez entrer un nom d''application et un titre.'),
('fr', 'admin', 'you must enter a lastname', 'Vous devez entrer un nom'),
('fr', 'admin', 'you must enter a group name.', 'Vous devez entrer un nom de groupe'),
('fr', 'admin', 'you must add at least 1 permission or group to this account', 'Vous devez ajouter au moins 1 permission ou groupe à ce compte'),
('fr', 'admin', 'you have to enter a name, to create a new type!!!', 'Vous avez saisi un nom pour créer un nouveau type !!!'),
('fr', 'admin', 'you have to enter a name, to create a new field!!!', 'Vous avez saisi un nom pour créer un nouveau champ !!!'),
('fr', 'admin', 'you have no email address for your user set !!!', 'Vous n''avez pas défini d''adresse email pour votre utilisateur !'),
('fr', 'admin', 'you have entered an invalid expiration date', 'Vous avez entré une date d''expiration invalide'),
('fr', 'admin', 'xml-rpc', 'XML-RPC'),
('fr', 'admin', 'wrong admin-account or -password !!!', 'Compte ou mot de passe admin incorrect !'),
('fr', 'admin', 'wrong account type: %1 is no %2 !!!', 'Type de compte incorrect: %1 n''est PAS %2 !'),
('fr', 'admin', 'would you like to show each application''s upgrade status ?', 'Voudriez-vous montrer l''état de mise à jour de chaque application ?'),
('fr', 'admin', 'would you like to automaticaly load new langfiles (at login-time) ?', 'Voulez-vous automatiquement charger les nouveaux fichiers de langues (à la connexion) ?'),
('fr', 'admin', 'would you like egroupware to check for new application versions when admins login ?', 'Voudriez-vous que eGroupWare vérifie s''il y a de nouvelles versions d''applications quand les administrateurs se connectent ?'),
('fr', 'admin', 'would you like egroupware to check for a new version<br>when admins login ?', 'Voulez-vous que eGroupWare vérifie les mises à jour<br>quand un administrateur se connecte ?'),
('fr', 'admin', 'would you like egroupware to cache the egw info array ?', 'Voulez-vous qu''eGroupWare mette le tableau d''informations egw en cache ?'),
('fr', 'admin', 'who would you like to transfer all records owned by the deleted user to?', 'A qui voudriez-vous tranférer tous les enregistrements appartenant à l''utilisateur effacé ?'),
('fr', 'admin', 'we hope you understand the importance for this voluntary statistic and not deny it lightly.', 'Nous n''enregistrons aucune donnée concernant votre identité.'),
('fr', 'admin', 'we ask for the data to improve our profile in the press and to get a better understanding of egroupware''s user base and it''s nee', 'L''information n''est demandée que pour avoir une vue d''ensemble de l''usage d''EGroupware à travers le monde.'),
('fr', 'admin', 'view user account', 'Afficher le compte utilisateur'),
('fr', 'admin', 'view sessions', 'Afficher les sessions'),
('fr', 'admin', 'view this user', 'Afficher cet utilisateur'),
('fr', 'admin', 'view category', 'Afficher la catégorie'),
('fr', 'admin', 'view error log', 'Afficher le journal d''erreurs'),
('fr', 'admin', 'view account', 'Afficher le compte'),
('fr', 'admin', 'view access log', 'Afficher le journal d''accès'),
('fr', 'admin', 'value for column %1 is not unique!', 'La valeur pour la colonne %1 n''est pas unique !'),
('fr', 'admin', 'users choice', 'Choix de l''utilisateur'),
('fr', 'admin', 'userdata', 'Données utilisateur'),
('fr', 'admin', 'user groups', 'Groupes utilisateurs'),
('fr', 'admin', 'user for smtp-authentication (leave it empty if no auth required)', 'Utilisateur pour l''authentification SMTP (laisser vide si pas requis)'),
('fr', 'admin', 'use theme', 'Utiliser le thème'),
('fr', 'admin', 'user accounts', 'Comptes utilisateurs'),
('fr', 'admin', 'use pure html compliant code (not fully working yet)', 'Utiliser du code HTML standard (ne fonctionne pas encore complètement)'),
('fr', 'admin', 'usage', 'Usage'),
('fr', 'admin', 'use cookies to pass sessionid', 'Utiliser les cookies pour passer l''ID de session'),
('fr', 'admin', 'updated', 'Mis à jour'),
('fr', 'admin', 'url of the egroupware installation, eg. http://domain.com/egroupware', 'URL de l''installation d''EGroupware, ex. http://domaine.com/egroupware'),
('fr', 'admin', 'unknown command %1!', 'Commande inconnue %1 !'),
('fr', 'admin', 'unknown option %1', 'Option inconnue %1 !'),
('fr', 'admin', 'unknown account: %1 !!!', 'Compte inconnu: %1 !'),
('fr', 'admin', 'under windows you need to install the asyncservice %1manually%2 or use the fallback mode. fallback means the jobs get only check', 'Sous windows vous devez installer les services asynchrones %1manuellement%2  ou utiliser le mode "fallback". "Fallback" veut dire que les travaux ne sont vérifiés qu''après chaque affichage de page !!!'),
('fr', 'admin', 'type of customfield', 'Type de champ personnalisé'),
('fr', 'admin', 'type ''%1'' already exists !!!', 'Le type ''%1''  existe déjà !'),
('fr', 'admin', 'two weeks', 'Deux semaines'),
('fr', 'admin', 'two months', 'Deux mois'),
('fr', 'admin', 'two hours', 'Deux heures'),
('fr', 'admin', 'two days', 'Deux jours'),
('fr', 'admin', 'trust relationship', 'Relation de confiance'),
('fr', 'admin', 'trust level', 'Niveau de confiance'),
('fr', 'admin', 'true', 'Vrai'),
('fr', 'admin', 'total records', 'Enregistrements totaux'),
('fr', 'admin', 'total of %1 id''s changed.', 'Total de %1 id changées'),
('fr', 'admin', 'top', 'Haut'),
('fr', 'admin', 'to allow us to track the growth of your individual installation use this submit id, otherwise delete it:', 'Pour nous permettre de tracer la croissance de votre installation individuelle, utiliser cette ID soumise, sinon effacer la:'),
('fr', 'admin', 'times', 'Heures'),
('fr', 'admin', 'timeout for sessions in seconds (default 14400 = 4 hours)', 'Expiration pour les sessions en secondes (par défaut 14400 = 4 heures)'),
('fr', 'admin', 'timeout for application session data in seconds (default 86400 = 1 day)', 'Expiration pour les données session de l''application en secondes (par défaut 86400 = 1 jour)'),
('fr', 'admin', 'this category is currently being used by applications as a parent category', 'Cette catégorie est actuellement utilisée par des applications comme une catégorie parente'),
('fr', 'admin', 'this application is current', 'Cette application est à jour'),
('fr', 'admin', 'this application requires an upgrade', 'Cette application nécessite une mise à jour'),
('fr', 'admin', 'they must be removed before you can continue', 'Ceux-ci doivent être retirés avant que vous ne puissiez continuer'),
('fr', 'admin', 'there already is a group with this name. userid''s can not have the same name as a groupid', 'Il y a déjà un groupe portant ce nom. Les noms de comptes ne peuvent pas avoir le même nom qu''un nom de groupe'),
('fr', 'admin', 'the users bellow are still members of group %1', 'Les utilisateurs ci-dessous sont encore membres du groupe %1'),
('fr', 'admin', 'the two passwords are not the same', 'Les deux mots de passe ne sont pas identiques'),
('fr', 'admin', 'the text displayed to the user', 'le texte montré à l''utilisateur'),
('fr', 'admin', 'the testjob sends you a mail everytime it is called.', 'Le travail de test vous envoie un mail chaque fois qu''il est appelé.'),
('fr', 'admin', 'the name used internaly (<= 20 chars), changeing it makes existing data unavailible', 'Nom utilisé en interne (<= 20 caractères), le changer rendra certaines données inaccessibles.'),
('fr', 'admin', 'the loginid can not be more then 8 characters', 'Le loginid ne peut pas être composé de plus de 8 caractères'),
('fr', 'admin', 'the login and password can not be the same', 'Le login et le mot de passe ne peuvent être identiques'),
('fr', 'admin', 'the install id of an instance can be found under admin > site configuration', 'L''ID d''installation de l''instance peut être trouvée sur Admin > Configuration du site'),
('fr', 'admin', 'the groups must include the primary group', 'Les groupes doivent inclure le groupe primaire'),
('fr', 'admin', 'the cumulated and anonymised data will be publically available:', 'Les données accumulées et anonymes seront publiquement disponibles :'),
('fr', 'admin', 'the api requires an upgrade', 'L''API nécessite une mise à jour'),
('fr', 'admin', 'the api is current', 'L''API est à jour'),
('fr', 'admin', 'that server name has been used already !', 'Ce nom de serveur a déjà été utilisé !'),
('fr', 'admin', 'that name has been used already', 'Ce nom a déjà été utilisé'),
('fr', 'admin', 'that loginid has already been taken', 'Ce LoginID a déjà été pris'),
('fr', 'admin', 'that application order must be a number.', 'Cet ordre d''application doit être un nombre.'),
('fr', 'admin', 'that application name already exists.', 'Ce nom d''application existe déjà.'),
('fr', 'admin', 'text entry', 'Entrée de texte'),
('fr', 'admin', 'template selection', 'Sélection du style'),
('fr', 'admin', 'switch it off, if users are randomly thrown out', 'Décocher si des utilisateurs sont déconnectés par hasard'),
('fr', 'admin', 'subversion checkout', 'Check out subversion'),
('fr', 'admin', 'success', 'Réussi'),
('fr', 'admin', 'subtype', 'Sous-type'),
('fr', 'admin', 'submit to egroupware.org', 'Soumettre à egroupware.org'),
('fr', 'admin', 'submit the search string', 'Soumettre la chaîne de recherche'),
('fr', 'admin', 'submit statistic information', 'Envoyer les informations statistiques'),
('fr', 'admin', 'submit displayed information?', 'Envoyer les informations affichées'),
('fr', 'admin', 'start testjob!', 'Démarrer le Travail de test!'),
('fr', 'admin', 'submit changes', 'Soumettre les changements'),
('fr', 'admin', 'standard smtp-server', 'Serveur SMTP standard'),
('fr', 'admin', 'standard pop3 server', 'Serveur POP3 standard'),
('fr', 'admin', 'standard', 'standard'),
('fr', 'admin', 'standard imap server', 'Serveur IMAP standard'),
('fr', 'admin', 'ssl', 'ssl'),
('fr', 'admin', 'sort the entries', 'Trier les entrées'),
('fr', 'admin', 'sorry, the follow users are still a member of the group %1', 'Désolé, les utilisateurs suivants sont encore membres de ce groupe %1'),
('fr', 'admin', 'sorry, the above users are still a member of the group %1', 'Désolé, les utilisateurs ci-dessus sont toujours membre du groupe %1'),
('fr', 'admin', 'sorry, that group name has already been taken.', 'Désolé, ce nom de groupe existe déjà.'),
('fr', 'admin', 'site', 'Site'),
('fr', 'admin', 'soap', 'SOAP'),
('fr', 'admin', 'show session ip address', 'Montrer les adresses IP des sessions'),
('fr', 'admin', 'show phpinfo()', 'Montrer phpinfo()'),
('fr', 'admin', 'show error log', 'Montrer le journal des erreurs'),
('fr', 'admin', 'show current action', 'Montrer les actions en cours'),
('fr', 'admin', 'show access log', 'Montrer les journaux d''accès'),
('fr', 'admin', 'show ''powered by'' logo on', 'Montrer le logo ''motorisé par'' sur'),
('fr', 'admin', 'should the login page include a language selectbox (useful for demo-sites) ?', 'Est-ce que la page de login doit inclure une zone de sélection linguistique (utile aussi pour les sites de démonstration)'),
('fr', 'admin', 'should exceptions contain a trace (including function arguments)', 'Les exceptions doivent-elles contenir une trace, y compris les arguments des fonctions.'),
('fr', 'admin', 'set preference values.', 'Régler les valeurs des préférences.'),
('fr', 'admin', 'sessions last 30 days', 'Sessions des 30 derniers jours'),
('fr', 'admin', 'server username', 'Nom d''utilisateur du serveur'),
('fr', 'admin', 'server password', 'Mot de passe du serveur'),
('fr', 'admin', 'server type(mode)', 'Type de serveur (mode)'),
('fr', 'admin', 'server url', 'URL du serveur'),
('fr', 'admin', 'server list', 'Liste de serveurs'),
('fr', 'admin', 'selectbox', 'Boîte de sélection'),
('fr', 'admin', 'server %1 has been updated', 'Le serveur %1 a été mis à jour'),
('fr', 'admin', 'select which location this app should appear on the navbar, lowest (left) to highest (right)', 'Choisissez à quel endroit cette application devra apparaître dans la barre de navigation, du plus bas (ou à gauche) au plus haut (ou à droite)'),
('fr', 'admin', 'select where you want to store/retrieve user accounts', 'Choisissez où vous voulez stocker/récupérer les comptes utilisateurs'),
('fr', 'admin', 'select where you want to store/retrieve filesystem information', 'Choisissez où vous voulez stocker/récupérer les informations sur les systèmes de fichiers'),
('fr', 'admin', 'select users for inclusion', 'Choisissez les utilisateurs à inclure'),
('fr', 'admin', 'select the parent category. if this is a main category select no category', 'Choisissez la catégorie parente. Si ceci est une catégorie principale choisissez PAS DE CATEGORIE'),
('fr', 'admin', 'select group managers', 'Sélectionner les gestionnaires de groupe'),
('fr', 'admin', 'select permissions this group will have', 'Choisissez les permissions que ce groupe va avoir'),
('fr', 'admin', 'select accounts for which the custom field should be visible', 'Sélectionner les comptes pour lesquels le champ personnalisé devrait être visible.'),
('fr', 'admin', 'security', 'Sécurité'),
('fr', 'admin', 'search peer servers', 'Chercher des serveurs Pairs'),
('fr', 'admin', 'search groups', 'Chercher des groupes'),
('fr', 'admin', 'search categories', 'Chercher des catégories'),
('fr', 'admin', 'search accounts', 'Chercher des comptes'),
('fr', 'admin', 'scheduled', 'Programmé'),
('fr', 'admin', 'saves this entry', 'Enregistre cet entrée'),
('fr', 'admin', 'saves the changes made and leaves', 'Enregistrer les modifications et quitter'),
('fr', 'admin', 'save the category and return back to the list', 'Enregistrer la catégorie et retourner à la liste'),
('fr', 'admin', 'save the category', 'Enregistrer la catégorie'),
('fr', 'admin', 'run asynchronous services', 'Exécuter les Services asynchrones'),
('fr', 'admin', 'rpm or debian package', 'Paquet RPM ou Debian'),
('fr', 'admin', 'route all mails to', 'Livrer tous les emails à'),
('fr', 'admin', 'return to view account', 'Revenir à l''affichage du compte'),
('fr', 'admin', 'return to admin mainscreen', 'Revenir à l''écran principal d''administration'),
('fr', 'admin', 'requested', 'Requis'),
('fr', 'admin', 'remove all users from this group ?', 'Retirer tous les utilisateurs de ce groupe ?'),
('fr', 'admin', 'remove all users from this group', 'Retirer tous les utilisateurs de ce groupe'),
('fr', 'admin', 'remove', 'Supprimer'),
('fr', 'admin', 'remote instance saved', 'Instance distante enregistrée.'),
('fr', 'admin', 'remote administration need to be enabled in the remote instance under admin > site configuration!', 'Administration à distance doit être activé dans l''instance à distance sous Admin > Configuration du site !'),
('fr', 'admin', 'remote administration instances', 'Instances administrées à distance'),
('fr', 'admin', 'register application hooks', 'Inscrire les dépendances'),
('fr', 'admin', 'read this list of methods.', 'Lisez cette liste de méthodes.'),
('fr', 'admin', 're-enter password', 'Entrez le mot de passe à nouveau'),
('fr', 'admin', 'quota settings', 'Paramétrage des quotas'),
('fr', 'admin', 'quota size in mbyte', 'Taille des quota en Mo'),
('fr', 'admin', 'primary group', 'groupe initial'),
('fr', 'admin', 'qmaildotmode', 'qmaildotmode'),
('fr', 'admin', 'preferences', 'Préférences'),
('fr', 'admin', 'postfix with ldap', 'Postfix avec support LDAP'),
('fr', 'admin', 'postpone for', 'Postposé à'),
('fr', 'admin', 'please run setup to become current', 'SVP exécutez setup pour mettre à jour'),
('fr', 'admin', 'please select', 'SVP choisissez'),
('fr', 'admin', 'please enter a name for that server !', 'SVP entrez un nom pour ce serveur !'),
('fr', 'admin', 'please enter a name', 'SVP entrez un nom'),
('fr', 'admin', 'php version', 'Version de PHP.'),
('fr', 'admin', 'phpinfo', 'Informations PHP'),
('fr', 'admin', 'personal: eg. within a family', 'Personnel : ex. dans une famille'),
('fr', 'admin', 'permissions this group has', 'Permissions attribuées à ce groupe'),
('fr', 'admin', 'permissions', 'Permissions'),
('fr', 'admin', 'permission denied !!!', 'Permission refusée !'),
('fr', 'admin', 'permission denied', 'Permission refusée'),
('fr', 'admin', 'peer servers', 'Serveurs pairs'),
('fr', 'admin', 'percent of users that logged out', 'Pourcentage des utilisateurs qui se sont déconnectés'),
('fr', 'admin', 'percent this user has logged out', 'Pourcentage de déconnexion de cet utilisateur'),
('fr', 'admin', 'path information', 'Information sur le chemin'),
('fr', 'admin', 'peer server list', 'Liste des serveurs (peer servers)'),
('fr', 'admin', 'password updated', 'Mot de passe mis à jour'),
('fr', 'admin', 'password for smtp-authentication', 'Mot de passe pour l''authentification SMTP'),
('fr', 'admin', 'passthrough', 'Passage'),
('fr', 'admin', 'own install id:', 'ID d''installation propre :'),
('fr', 'admin', 'operating system', 'Système d''exploitation'),
('fr', 'admin', 'order', 'Ordre'),
('fr', 'admin', 'outbound', 'sortant'),
('fr', 'admin', 'one week', 'Une semaine'),
('fr', 'admin', 'only below displayed information is directly submitted to %s.', 'Seule les informations affichées ci-dessous sont envoyées directement à %s.'),
('fr', 'admin', 'one hour', 'Une heure'),
('fr', 'admin', 'one month', 'Un mois'),
('fr', 'admin', 'one day', 'Un jour'),
('fr', 'admin', 'official egroupware usage statistic', 'Statistique officielle d''usage d''EGroupware'),
('fr', 'admin', 'number of users', 'Nombre d''utilisateurs'),
('fr', 'admin', 'number of sessions / egroupware logins in the last 30 days', 'Nombre de sessions / connexions à eGroupware pendant les 30 derniers jours'),
('fr', 'admin', 'number of row for a multiline inputfield or line of a multi-select-box', 'Nombre de lignes pour un champ multiligne ou pour une boîte de sélection multiple.'),
('fr', 'admin', 'number of active users', 'Nombre d''utilisateurs actifs'),
('fr', 'admin', 'note: ssl available only if php is compiled with curl support', 'Note: SSL disponible si PHP est compilé avec le support de CURL'),
('fr', 'admin', 'non profit: clubs, associations, ...', 'Sans but lucratif : clubs, associations, ...'),
('fr', 'admin', 'no permission to create groups', 'Aucune permission pour créer des groupes !'),
('fr', 'admin', 'no permission to add users', 'Aucune permission pour ajouter des utilisateurs !'),
('fr', 'admin', 'no permission to add groups', 'Aucune permission pour ajouter des groupes !'),
('fr', 'admin', 'no matches found', 'Aucune occurrence trouvée !'),
('fr', 'admin', 'no modes available', 'Pas de modes disponibles !'),
('fr', 'admin', 'no login history exists for this user', 'Aucun historique de connexion n''existe pour cet utilisateur !'),
('fr', 'admin', 'no jobs in the database !!!', 'Pas de travaux dans la base de données !'),
('fr', 'admin', 'no alternate email address', 'Pas d''adresse email alternative !'),
('fr', 'admin', 'no algorithms available', 'Pas d''algorithme disponible !'),
('fr', 'admin', 'next run', 'Prochain démarrage'),
('fr', 'admin', 'new password [ leave blank for no change ]', 'Nouveau mot de passe [ Laisser vide pour aucun changement ]'),
('fr', 'admin', 'new name', 'Nouveau nom'),
('fr', 'admin', 'new group name', 'Nouveau nom de groupe'),
('fr', 'admin', 'name of the egroupware instance, eg. default', 'Nom de l''instance d''eGroupware'),
('fr', 'admin', 'name must not be empty !!!', 'Le nom ne doit pas être vide !'),
('fr', 'admin', 'more secure', 'Plus sécurisé'),
('fr', 'admin', 'month', 'Mois'),
('fr', 'admin', 'mode', 'Mode'),
('fr', 'admin', 'modified', 'Modifié'),
('fr', 'admin', 'minute', 'Minute'),
('fr', 'admin', 'minimum account id (e.g. 500 or 100, etc.)', 'Numéro de compte minimum (p.e. 500 ou 100, etc.)'),
('fr', 'admin', 'method', 'Méthode'),
('fr', 'admin', 'message has been updated', 'Le message a été mis à jour'),
('fr', 'admin', 'maximum entries in click path history', 'Nombre maximal d''entrées dans l''historique des clics sur les liens'),
('fr', 'admin', 'maximum account id (e.g. 65535 or 1000000)', 'Numéro de compte maximum (p.e. 65535 ou 1000000)'),
('fr', 'admin', 'max length of the input [, length of the inputfield (optional)]', 'Longueur maximum de l''entrée [, longueur du champ de saisi (optionnel)]'),
('fr', 'admin', 'manager', 'Gestionnaire'),
('fr', 'admin', 'main screen message', 'Message de l''écran principal'),
('fr', 'admin', 'main email-address', 'Adresse email principale'),
('fr', 'admin', 'mail settings', 'Paramètres de messagerie'),
('fr', 'admin', 'logoutime', 'Heure de déconnexion'),
('fr', 'admin', 'loginid', 'Identifiant de l''utilisateur'),
('fr', 'admin', 'logintime', 'Heure de connexion'),
('fr', 'admin', 'login-status', 'Statut de connexion'),
('fr', 'admin', 'login time', 'Heure de connexion'),
('fr', 'admin', 'login shell', 'Shell de connexion'),
('fr', 'admin', 'login screen', 'Ecran de connexion'),
('fr', 'admin', 'login message', 'Message d''accueil'),
('fr', 'admin', 'login history', 'Historique de connexion'),
('fr', 'admin', 'logged out', 'Déconnecté'),
('fr', 'admin', 'list of current users', 'liste des utilisateurs en cours'),
('fr', 'admin', 'list config settings', 'Afficher les paramètres de configuration'),
('fr', 'admin', 'list current sessions', 'Afficher les sessions en cours'),
('fr', 'admin', 'length<br>rows', 'Longueur<br>lignes'),
('fr', 'admin', 'leaves without saveing', 'Quitter sans enregistrer'),
('fr', 'admin', 'leave without saveing the entry', 'Quitter sans enregistrer l''entrée'),
('fr', 'admin', 'leave the group untouched and return back to the list', 'Laisser le groupe tel quel et retourner à la liste'),
('fr', 'admin', 'leave the category untouched and return back to the list', 'Laisser la catégorie telle quelle et retourner à la liste'),
('fr', 'admin', 'leave empty for no quota', 'Laisser vide pour ne pas avoir de quota'),
('fr', 'admin', 'ldap host', 'Hôte LDAP'),
('fr', 'admin', 'ldap root password', 'Mot de passe root LDAP'),
('fr', 'admin', 'ldap rootdn', 'Rootdn LDAP'),
('fr', 'admin', 'ldap groups context', 'Contexte des groupes LDAP'),
('fr', 'admin', 'ldap encryption type', 'Type de chiffrement LDAP'),
('fr', 'admin', 'ldap default shell (e.g. /bin/bash)', 'Shell par défaut LDAP (p.ex. /bin/bash)'),
('fr', 'admin', 'ldap default homedirectory prefix (e.g. /home for /home/username)', 'Préfixe par défaut des répertoires d''accueil LDAP (p.ex. /home pour /home/utilisateur)'),
('fr', 'admin', 'ldap accounts context', 'Contexte comptes LDAP'),
('fr', 'admin', 'last time read', 'Dernière lecture'),
('fr', 'admin', 'last submission:', 'Dernière soumission:'),
('fr', 'admin', 'last login from', 'Dernière connexion depuis'),
('fr', 'admin', 'last action', 'Dernière action'),
('fr', 'admin', 'last login', 'Dernière connexion'),
('fr', 'admin', 'last %1 logins for %2', 'Dernières %1 connexions pour %2'),
('fr', 'admin', 'jobs', 'Travaux'),
('fr', 'admin', 'kill', 'Tuer'),
('fr', 'admin', 'kill session', 'Tuer la session'),
('fr', 'admin', 'last %1 logins', 'Dernières %1 connexions'),
('fr', 'admin', 'ip', 'IP'),
('fr', 'admin', 'invalid value "%1" use yes or no!', 'Valeur "%1" invalide utiliser oui ou non'),
('fr', 'admin', 'invalid remote id or name "%1"!', 'ID distante ou nom "%1" invalide !'),
('fr', 'admin', 'invalid formated date "%1"!', 'Date formatée invalide "%1" !'),
('fr', 'admin', 'international use', 'Usage internationnal'),
('fr', 'admin', 'interface', 'Interface'),
('fr', 'admin', 'instance', 'Instance'),
('fr', 'admin', 'installed crontab', 'Crontab installée'),
('fr', 'admin', 'installed applications, percentage of allowed users and total number of entries.', 'Applications installée, pourcentage d''utilisateurs autorisés et nombre total d''entrées.'),
('fr', 'admin', 'installation type', 'Type d''installation'),
('fr', 'admin', 'install id', 'ID d''installation'),
('fr', 'admin', 'inbound', 'Entrant'),
('fr', 'admin', 'initial', 'Initial'),
('fr', 'admin', 'install crontab', 'Installer le crontab'),
('fr', 'admin', 'in mbyte', 'en mégaoctet (Mo)'),
('fr', 'admin', 'if using ldap, do you want to manage homedirectory and loginshell attributes?', 'Si vous utilisez LDAP, voulez-vous gérer les attributs répertoire maison et shell de connexion?'),
('fr', 'admin', 'icon', 'Icône'),
('fr', 'admin', 'idle', 'Disponible'),
('fr', 'admin', 'if no acl records for user or any group the user is a member of', 'Si pas d''enregistrements dans les droits d''accès pour l''utilisateur ou n''importe quel groupe, l''utilisateur est membre de'),
('fr', 'admin', 'how should email addresses for new users be constructed?', 'Comment former les adresses de messagerie des nouveaux utilisateurs ?'),
('fr', 'admin', 'how many minutes should an account or ip be blocked (default 30) ?', 'Pendant combien de minutes un compte ou une adresse IP doit-il(elle) être bloqué(e) (30 par défaut) ?'),
('fr', 'admin', 'how many entries should non-admins be able to export (empty = no limit, no = no export)', 'Combien d''entrées les non-admins peuvent-ils exporter. Vide = pas de limite, no = pas d''export'),
('fr', 'admin', 'how many days should entries stay in the access log, before they get deleted (default 90) ?', 'Pendant combien de jours les entrées doivent-elles rester dans la log d''accès avant d''être effacées (90 par défaut) ?'),
('fr', 'admin', 'how big should thumbnails for linked images be (maximum in pixels) ?', 'Taille maximale en pixels des vignettes pour les images liées.'),
('fr', 'admin', 'hour<br>(0-23)', 'Heure<br>(0-23)'),
('fr', 'admin', 'host information', 'Informations sur l''hôte'),
('fr', 'admin', 'hash', 'Clé de cryptage'),
('fr', 'admin', 'hide php information', 'Cacher les informations sur php'),
('fr', 'admin', 'home directory', 'Répertoire maison'),
('fr', 'admin', 'group name', 'Nom du groupe'),
('fr', 'admin', 'group manager', 'Gestionnaire de groupe'),
('fr', 'admin', 'group list', 'Liste des groupes'),
('fr', 'admin', 'group ?', 'Groupe ?'),
('fr', 'admin', 'grant', 'Accorder'),
('fr', 'admin', 'governmental: incl. state or municipal authorities or services', 'Gouvernemental: incluant les autorités et services d''état ou de municipalité'),
('fr', 'admin', 'go directly to admin menu, returning here the next time you click on administration.', 'Aller directement au menu admin, revenir ici la prochaine fois que vous cliquer sur administration.'),
('fr', 'admin', 'forward also to', 'Transférer également à'),
('fr', 'admin', 'forward emails to', 'Transférer le emails à'),
('fr', 'admin', 'forward only', 'Transférer seulement à'),
('fr', 'admin', 'full name', 'Nom complet'),
('fr', 'admin', 'force users to change their password regularily?(empty for no,number for after that number of days', 'Définir la récurrence du changement forcé de mot de passe. Définir le nombre de jours. Vide = Non'),
('fr', 'admin', 'force selectbox', 'Forcer la boîte de sélection'),
('fr', 'admin', 'for the times above', 'pour le timing ci-dessus'),
('fr', 'admin', 'for the times below (empty values count as ''*'', all empty = every minute)', 'Pour le timing ci-dessous (les valeurs vides comptent comme ''*'', tout vide = chaque minute)'),
('fr', 'admin', 'force password strength (1-5, default empty: no check against rules for a strong password)?', 'Définir la force requise du mot de passe. 1 = faible, jusqu''à 5 = très fort. Défaut = vide, pas de vérification de la force du mot de passe'),
('fr', 'admin', 'find and register all application hooks', 'Trouver et enregistrer toutes les dépendances'),
('fr', 'admin', 'file space must be an integer', 'La valeur Espace fichiers doit être un entier'),
('fr', 'admin', 'file space', 'Espace fichiers');
INSERT INTO `egw_lang` (`lang`, `app_name`, `message_id`, `content`) VALUES
('fr', 'admin', 'field ''%1'' already exists !!!', 'Le Champ ''%1''  existe déjà !'),
('fr', 'admin', 'fallback (after each pageview)', 'retour au défaut (après chaque prévisualisation)'),
('fr', 'admin', 'false', 'Faux'),
('fr', 'admin', 'error: %1 not found or other error !!!', 'Erreur: %1 introuvable ou autre erreur !!!'),
('fr', 'admin', 'expires', 'Expire'),
('fr', 'admin', 'explanation of ldapman', 'Ce module a été testé avec POSTFIX, LDAP, Courier-IMAP et nécessite les schémas CORE et QMAIL (OID7914). Des informations supplémentaires pour configurer ce système sont disponibles dans le fichier README.ldap du répertoire ADMIN.'),
('fr', 'admin', 'error! no appname found', 'Erreur : pas de nom d''application trouvé !'),
('fr', 'admin', 'error setting timer, wrong syntax or maybe there''s one already running !!!', 'Erreur en créant le timer, erreur de syntaxe ou peut-être il y en a déjà un qui tourne !!!'),
('fr', 'admin', 'error saving the command!', 'Erreur lors de l''enregistrement de la commande !'),
('fr', 'admin', 'error saving to db:', 'Erreur lors de l''enregistrement dans la bd :'),
('fr', 'admin', 'error saving account!', 'Erreur lors de l''enregistrement du compte !'),
('fr', 'admin', 'error saving', 'Erreur lors de l''enregistrement !'),
('fr', 'admin', 'error deleting log entry!', 'Erreur en supprimant les entrées dans le lot !'),
('fr', 'admin', 'error changing the password for %1 !!!', 'Erreur en changeant le mot de passe par % !'),
('fr', 'admin', 'error changing the password for % !!!', 'Erreur en changeant le mot de passe par % !'),
('fr', 'admin', 'enter your http proxy server port', 'Entrez le port de votre serveur proxy HTTP'),
('fr', 'admin', 'enter your smtp server hostname or ip address', 'Entrez le nom ou l''adresse IP de votre serveur SMTP'),
('fr', 'admin', 'enter your smtp server port', 'Entrez le port SMTP'),
('fr', 'admin', 'error canceling timer, maybe there''s none set !!!', 'Erreur en annulant le timer, peut-être qu''il n''y en a aucun de défini !!!'),
('fr', 'admin', 'enter your http proxy server', 'Entrez votre serveur proxy HTTP'),
('fr', 'admin', 'enter your default mail domain ( from: user@domain )', 'Entrez votre domaine par défaut (De: utilisateur@domaine.com)'),
('fr', 'admin', 'enter your default ftp server', 'Entrez votre serveur FTP par défaut'),
('fr', 'admin', 'enter the url where your logo should link to', 'Entrez l''URL vers laquelle votre logo doit rediriger'),
('fr', 'admin', 'enter the vfs-path where additional images, icons or logos can be placed (and found by egroupwares applications). the path must ', 'Entre le chemin VFS où les images, icônes et logos additionnels peuvent être placés et trouvé par les applications d''EGroupware.<p>Le chemin DOIT commencer par / et être lisible par tous les utilisateurs'),
('fr', 'admin', 'enter the url or filename (in your templates image directory) of your favicon (the little icon that appears in the browsers tabs', 'Entrer l''URL ou le nom du fichier de votre favicon'),
('fr', 'admin', 'enter the url or filename (in phpgwapi/templates/default/images) of your logo', 'Entrez l''URL ou le fichier pour votre logo (dans phpgwapi/templates/default/images)'),
('fr', 'admin', 'enter the title of your logo', 'Entrez le titre de votre logo'),
('fr', 'admin', 'enter the title for your site', 'Entrez le titre pour votre site'),
('fr', 'admin', 'enter the site username for peer servers', 'Entrez le nom d''utilisateur du site pour les serveurs pairs'),
('fr', 'admin', 'enter the site password for peer servers', 'Entrez le mot de passe du site pour les serveurs pairs'),
('fr', 'admin', 'enter the search string. to show all entries, empty this field and press the submit button again', 'Entrez la chaîne de recherche. Pour montrer toutes les entrées, videz ce champ et recliquez sur le bouton SOUMETTRE'),
('fr', 'admin', 'enter the location of egroupware''s url.<br>example: http://www.domain.com/egroupware &nbsp; or &nbsp; /egroupware<br><b>no trail', 'Entrer l´URL d´eGroupWare.<br>Exemple: http://www.domain.com/egroupware   ou   /egroupware<br><b>Pas de slash final</b>'),
('fr', 'admin', 'enter the hostname of the machine on which this server is running', 'Entrez le nom de la machine sur laquelle ce serveur s''exécute'),
('fr', 'admin', 'enter the full path for users and group files.<br>examples: /files, e:files', 'Entrez le chemin complet pour les fichiers de utilisateurs et groupes.<br>Exemples: /files, e:\\files'),
('fr', 'admin', 'enter the full path for users and group files.<br>examples: /files, e:\\files', 'Entrez le chemin complet pour les fichiers de utilisateurs et groupes.<br>Exemples: /files, e:\\files'),
('fr', 'admin', 'enter the full path for temporary files.<br>examples: /tmp, c:temp', 'Entrez le chemin complet pour les fichiers temporaires.<br>Exemples: /tmp, c:\\temp'),
('fr', 'admin', 'enter the full path for temporary files.<br>examples: /tmp, c:\\temp', 'Entrez le chemin complet pour les fichiers temporaires.<br>Exemples: /tmp, c:\\temp'),
('fr', 'admin', 'enter the background color for the site title', 'Entrez la couleur de fond pour le titre du site'),
('fr', 'admin', 'enter the background color for the login page', 'Entrez la couleur de fond pour la page de connexion'),
('fr', 'admin', 'enter some random text for app_session <br>encryption (requires mcrypt)', 'Entrez un texte au hasard pour le <br>chiffrement de l''app_session (nécessite mcrypt)'),
('fr', 'admin', 'enter a description for the category', 'Entrez une description pour la catégorie'),
('fr', 'admin', 'enabled - popup window', 'Activé - Fenêtre popup'),
('fr', 'admin', 'enabled - hidden from navbar', 'Activé - caché de la barre de navigation'),
('fr', 'admin', 'enable the xmlrpc service', 'Activer le service xmlrp'),
('fr', 'admin', 'enable the soap service', 'Activer le service soap'),
('fr', 'admin', 'enable debug-messages', 'Activer les messages de déboguage'),
('fr', 'admin', 'email address', 'adresse email'),
('fr', 'admin', 'email account active', 'compte de messagerie actif'),
('fr', 'admin', 'either install id and config password needed or the remote hash!', 'Soit ID d''installation et mot de passe de configuration nécessaire soit la clé cryptée distante!'),
('fr', 'admin', 'egroupware version', 'Version d''EGroupware'),
('fr', 'admin', 'egroupware directory', 'Répertoire d''EGroupware'),
('fr', 'admin', 'educational: universities, schools, ...', 'Education: Universités, Ecoles,...'),
('fr', 'admin', 'edit user account', 'Modifier le compte de l''utilisateur'),
('fr', 'admin', 'edit user', 'Modifier l''utilisateur'),
('fr', 'admin', 'edit this user', 'Modifier cet utilisateur'),
('fr', 'admin', 'edit this group', 'Modifier ce groupe'),
('fr', 'admin', 'edit this category', 'Modifier cette catégorie'),
('fr', 'admin', 'edit table format', 'Modifier le format de la table'),
('fr', 'admin', 'edit peer server', 'Modifier le Serveur Pair'),
('fr', 'admin', 'edit main screen message', 'Modifier le message de l''écran principal'),
('fr', 'admin', 'edit login screen message', 'Modifier le message de l''écran de connexion'),
('fr', 'admin', 'edit group acl''s', 'Modifier les autorisations d''accès du groupe (ACL)'),
('fr', 'admin', 'edit group', 'Modifier le groupe'),
('fr', 'admin', 'edit global category for %1', 'Modifier la catégorie globale pour %1'),
('fr', 'admin', 'edit email settings', 'Paramétrage des emails'),
('fr', 'admin', 'edit global category', 'Modifier la catégorie globale'),
('fr', 'admin', 'edit application', 'Modifier l''application'),
('fr', 'admin', 'edit account', 'Modifier le compte'),
('fr', 'admin', 'each value is a line like id[=label]', 'Chaque valeur est une ligne comme id[=<label>]'),
('fr', 'admin', 'document root (default)', 'Racine des documents (défaut)'),
('fr', 'admin', 'each value is a line like <id>[=<label>]', 'Chaque valeur est une ligne comme <id>[=<label>]'),
('fr', 'admin', 'do you want to move all global subcategories one level down ?', 'Voulez-vous déplacer toutes les sous-catégories globales un niveau plus bas ?'),
('fr', 'admin', 'do you want to delete all global subcategories ?', 'Voulez-vous supprimer toutes les sous-catégories globales ?'),
('fr', 'admin', 'do you also want to delete all global subcategories ?', 'Voulez-vous aussi supprimer toutes les sous-catégories globales ?'),
('fr', 'admin', 'display', 'Afficher'),
('fr', 'admin', 'do not delete the category and return back to the list', 'Ne PAS supprimer la catégorie et retourner à la liste'),
('fr', 'admin', 'disable wysiwyg-editor', 'désactiver l''éditeur WYSIWYG'),
('fr', 'admin', 'disabled (not recomended)', 'désactivé (pas recommandé)'),
('fr', 'admin', 'disable "auto completion" of the login form', 'Désactiver l''auto-complétion dans le formulaire de login'),
('fr', 'admin', 'determines the order the fields are displayed', 'Détermine l''ordre d''affichage des champs'),
('fr', 'admin', 'description can not exceed 255 characters in length !', 'La description ne peut dépasser 255 caractères de long !'),
('fr', 'admin', 'deny all users access to grant other users access to their entries ?', 'Refuser à tous les utilisateur le droit d''accorder des accès sur leurs données'),
('fr', 'admin', 'deny access to user accounts', 'Refuser l''accès aux comptes utilisateurs'),
('fr', 'admin', 'deny access to site configuration', 'Refuser  l''accès à la configuration du site'),
('fr', 'admin', 'deny access to phpinfo', 'Refuser l''accès à phpinfo'),
('fr', 'admin', 'deny access to groups', 'Refuser l''accès aux groupes'),
('fr', 'admin', 'deny access to mainscreen message', 'Refuser l''accès au message de la page principale'),
('fr', 'admin', 'deny access to peer servers', 'Refuser l''accès aux serveurs pairs'),
('fr', 'admin', 'deny access to error log', 'Refuser l''accès à la log d''erreurs'),
('fr', 'admin', 'deny access to global categories', 'Refuser l''accès aux catégories globales'),
('fr', 'admin', 'deny access to db backup and restore', 'Refuser l''accès à  Sauvegarde et restauration de la BDD'),
('fr', 'admin', 'deny access to current sessions', 'Refuser l''accès aux sessions en cours'),
('fr', 'admin', 'deny access to asynchronous timed services', 'Refuser l''accès aux services asynchrones'),
('fr', 'admin', 'deny access to applications', 'Refuser l''accès aux applications'),
('fr', 'admin', 'deny access to application registery', 'Refuser l''accès à l''enregistrement d''applications'),
('fr', 'admin', 'deny access to access log', 'Refuser l''accès au log d''accès'),
('fr', 'admin', 'delete this user', 'Supprimer cet utilisateur'),
('fr', 'admin', 'deletes this field', 'Supprimer ce champ'),
('fr', 'admin', 'deliver extern', 'Envoi externe'),
('fr', 'admin', 'delete this log entry', 'Supprime cet entrée dans le log'),
('fr', 'admin', 'delete this group', 'Supprimer ce groupe'),
('fr', 'admin', 'delete this category', 'Supprimer cette catégorie'),
('fr', 'admin', 'delete the group', 'Supprimer le groupe'),
('fr', 'admin', 'delete the selected entries', 'Supprime les entrées sélectionnées'),
('fr', 'admin', 'delete the category', 'Supprimer la catégorie'),
('fr', 'admin', 'delete selected entries', 'Supprime les entrées sélectionnées'),
('fr', 'admin', 'delete peer server', 'Supprimer serveur Pair'),
('fr', 'admin', 'delete group', 'Supprimer groupe'),
('fr', 'admin', 'delete category', 'Supprimer catégorie'),
('fr', 'admin', 'delete application', 'Supprimer l''application'),
('fr', 'admin', 'delete all records', 'Supprimer tous les enregistrements'),
('fr', 'admin', 'delete account', 'Supprimer le compte'),
('fr', 'admin', 'delete account %1', 'Supprime le compte %1'),
('fr', 'admin', 'default', 'Défaut'),
('fr', 'admin', 'default file system space per user', 'Espace disque par utilisateur (par défaut)'),
('fr', 'admin', 'default file system space per user/group ?', 'Espace disque par utilisateur/groupe (par défaut) ?'),
('fr', 'admin', 'deinstall crontab', 'Désinstaller le crontab'),
('fr', 'admin', 'db backup and restore', 'Sauvegarde et restauration de la BDD'),
('fr', 'admin', 'data', 'Données'),
('fr', 'admin', 'day', 'Jour'),
('fr', 'admin', 'day of week<br>(0-6, 0=sun)', 'Jour de la semaine<br>(0-6, 0=Dim)'),
('fr', 'admin', 'custom fields', 'Champs personnalisés'),
('fr', 'admin', 'cyrus imap server', 'Serveur Cyrus IMAP'),
('fr', 'admin', 'creates a new field', 'Créer un nouveau champ'),
('fr', 'admin', 'crontab only (recomended)', 'crontab seulement (recommandé)'),
('fr', 'admin', 'created with id #%1', 'Créé avec l''id #%1'),
('fr', 'admin', 'created', 'Créé'),
('fr', 'admin', 'create group', 'Créer un groupe'),
('fr', 'admin', 'country', 'Pays'),
('fr', 'admin', 'country selection', 'Sélection du pays'),
('fr', 'admin', 'could not remote execute the command', 'Echec de l''execution à distance de la commande'),
('fr', 'admin', 'cookie path (allows multiple egw sessions with different directories, has problemes with sitemgr!)', 'Chemin vers le cookie. Permet des sessions d''EGroupware multiple avec des répertoires différents.'),
('fr', 'admin', 'cookie domain (default empty means use full domain name, for sitemgr eg. ".domain.com" allows to use the same cookie for egw.dom', 'Domaine du cookie. Vide par défaut utilise le nom de domaine complet. Par exemple, dans le Gestionnaire de site ".domaine.com" permet d''utiliser le même cookie pour egw.domaine.com et www.domaine.com.'),
('fr', 'admin', 'config password or md5 hash from the header.inc.php', 'Mot de passe de configuration ou clé cryptée md5 du header.inc.php.'),
('fr', 'admin', 'commercial: all sorts of companies', 'Commercial: toutes sortes d''entreprises'),
('fr', 'admin', 'color', 'Couleur'),
('fr', 'admin', 'command scheduled to run at %1', 'Commande programmée pour s''executer à %1'),
('fr', 'admin', 'children', 'Enfants'),
('fr', 'admin', 'click to select a color', 'Cliquez pour sélectionner une couleur'),
('fr', 'admin', 'check ip address of all sessions', 'Vérifier l''adresse IP de toutes les sessions'),
('fr', 'admin', 'check items to <b>%1</b> to %2 for %3', 'Vérifier les objets vers <b>%1</b> à %2 pour %3'),
('fr', 'admin', 'check acl for entries of not (longer) existing accounts', 'Vérifier les ACL pour les entrées de compte inexistants.'),
('fr', 'admin', 'change main screen message', 'Changer le message de l''écran principal'),
('fr', 'admin', 'change password for %1', 'Changer le mot de passe pour %1'),
('fr', 'admin', 'change acl rights', 'modifier les droits d''accès (ACL)'),
('fr', 'admin', 'change config settings', 'Modifier les paramètres de configuration'),
('fr', 'admin', 'category deleted.', 'Catégorie supprimée.'),
('fr', 'admin', 'category list', 'Liste de catégories'),
('fr', 'admin', 'category saved.', 'Catégorie enregistrée.'),
('fr', 'admin', 'change account_id', 'Changer l''ID du compte'),
('fr', 'admin', 'cancel this scheduled command', 'Annuler cette commande programmée'),
('fr', 'admin', 'categories list', 'Liste des catégories'),
('fr', 'admin', 'category %1 has been saved !', 'La catégorie %1 a été enregistrée !'),
('fr', 'admin', 'bottom', 'bas'),
('fr', 'admin', 'calculate next run', 'Calculer la prochaine exécution'),
('fr', 'admin', 'can change password', 'Peut modifier son mot de passe'),
('fr', 'admin', 'cancel testjob!', 'Annuler le Travail de test !'),
('fr', 'admin', 'bi-directional', 'bidirectionnel'),
('fr', 'admin', 'back to the list', 'Retour à la liste'),
('fr', 'admin', 'bi-dir passthrough', 'passage bidirectionnel'),
('fr', 'admin', 'auto create account records for authenticated users', 'Créer automatiquement les enregistrements de comptes pour les utilisateurs authentifiés'),
('fr', 'admin', 'authentication / accounts', 'Authentification / Comptes'),
('fr', 'admin', 'attribute mailforwardingaddress explained', 'Ceci modifie l''attribut <b><i>-mailForwardingAddress-</i></b> (adresse de routage de messagerie) du schéma QMAIL. En cas d''utilisation de cette valeur, elle ne peut être vide.'),
('fr', 'admin', 'attribute mailalternateaddress explained', 'Ceci modifie l''attribut <b><i>-mailAlternateAddress-</i></b> (adresse de messagerie alternative) du schéma QMAIL. Cela peut être utilisé comme un alias ou un adressage virtuel.'),
('fr', 'admin', 'attribute mail explained', 'Ceci modifie l''attribut <b><i>-mail-</b></i> du schéma QMAIL. Cet attribut doit toujours être renseigné, c''est aussi le champ de l''adresse de courriel interne de eGW.'),
('fr', 'admin', 'attribute accountstatus explained', 'Ceci modifie l''attribut <b><i>accountStatus</i></b> (Status du compte) pour le schéma de QMAIL.'),
('fr', 'admin', 'attempt to use correct mimetype for ftp instead of default ''application/octet-stream''', 'Tentative d''utiliser le type MIME correct pour ftp à la place de celui par défaut ''application/octet-stream'''),
('fr', 'admin', 'asyncservices not yet installed or other error (%1) !!!', 'services asynchrones pas encore installés ou autre erreur (%1) !!!'),
('fr', 'admin', 'asynchronous timed services', 'Services asynchrones'),
('fr', 'admin', 'async services last executed', 'Dernière exécution des services asynchrones'),
('fr', 'admin', 'are you sure you want to kill this session ?', 'Etes-vous sûr de vouloir tuer cette session ?'),
('fr', 'admin', 'are you sure you want to delete this server?', 'Etes-vous sûr de vouloir supprimer ce serveur ?'),
('fr', 'admin', 'are you sure you want to delete this group ?', 'Etes-vous sûr de vouloir supprimer ce groupe ?'),
('fr', 'admin', 'are you sure you want to delete this global category ?', 'Etes-vous sûr de vouloir supprimer cette catégorie globale ?'),
('fr', 'admin', 'are you sure you want to delete this application ?', 'Etes-vous sûr de vouloir supprimer cette application ?'),
('fr', 'admin', 'are you sure you want to delete this account ?', 'Etes-vous sûr de vouloir supprimer ce compte ?'),
('fr', 'admin', 'archive: zip or tar', 'Archiver: zip ou tar'),
('fr', 'admin', 'are you sure you want to delete the application %1 ?', 'Etes-vous sûr de vouloir supprimer l''application %1 ?'),
('fr', 'admin', 'applies the changes', 'Appliquer les changements'),
('fr', 'admin', 'apply the changes', 'Appliquer les changements'),
('fr', 'admin', 'applications run rights updated.', 'Droits d''execution de l''application mis à jour'),
('fr', 'admin', 'applications', 'Applications'),
('fr', 'admin', 'applications list', 'Liste des applications'),
('fr', 'admin', 'application name', 'Nom d''application'),
('fr', 'admin', 'application title', 'Titre d''application'),
('fr', 'admin', 'application ''%1'' not found (maybe not installed or misspelled)!', 'L''application ''%1'' n''a pas été trouvée. Peut-être non installée ou mal orthographiée !'),
('fr', 'admin', 'application', 'Application'),
('fr', 'admin', 'appearance', 'Apparence'),
('fr', 'admin', 'anonymous user has no run-rights for the application!', 'L''utilisateur anonyme n''a pas le droit d''exécuter cette application !'),
('fr', 'admin', 'anonymous user does not exist!', 'L''utilisateur anonyme n''existe pas !'),
('fr', 'admin', 'anonymous user (not shown in list sessions)', 'Utilisateur anonyme (n''apparaît pas dans la liste des sessions)'),
('fr', 'admin', 'anonymous user', 'Utilisateur anonyme'),
('fr', 'admin', 'alternate email address', 'Adresse email alternative'),
('fr', 'admin', 'allow anonymous access to this app', 'Autoriser l''accès anonyme à cette application'),
('fr', 'admin', 'allow remote administration from following install id''s (comma separated)', 'Autoriser l''administration à distance depuis les ID d''installation suivantes, séparé par des virgules.'),
('fr', 'admin', 'all users', 'Tous les utilisateurs'),
('fr', 'admin', 'all records and account information will be lost!', 'Tous les enregistrements et informations sur les comptes vont être perdus!'),
('fr', 'admin', 'aliases', 'Alias'),
('fr', 'admin', 'after how many unsuccessful attempts to login, an ip should be blocked (default 3) ?', 'Après combien de tentatives infructueuses de connexion, une adresse IP doit-elle être bloquée (3 par défaut) ?'),
('fr', 'admin', 'after how many unsuccessful attempts to login, an account should be blocked (default 3) ?', 'Après combien de tentatives infructueuses de connexion, un compte doit-il être bloqué (3 par défaut) ?'),
('fr', 'admin', 'advanced options', 'Options avançées'),
('fr', 'admin', 'admins', 'Administrateurs'),
('fr', 'admin', 'administration', 'Administration'),
('fr', 'admin', 'admin queue and history', 'Adminstration des files et historiques'),
('fr', 'admin', 'admin name', 'Nom de l''administrateur'),
('fr', 'admin', 'admin email addresses (comma-separated) to be notified about the blocking (empty for no notify)', 'Adresses email (séparées par des virgules) des administrateurs à prévenir en cas de blocage d''un compte ou d''une ip (vide pour aucune notification)'),
('fr', 'admin', 'admin email', 'Email de l''administrateur'),
('fr', 'admin', 'add sub-category', 'Ajouter une sous-catégorie'),
('fr', 'admin', 'add peer server', 'Ajouter un Serveur Pair'),
('fr', 'admin', 'add new application', 'Ajouter une nouvelle application'),
('fr', 'admin', 'add new account', 'Ajouter un nouveau compte'),
('fr', 'admin', 'add group', 'Ajouter un groupe'),
('fr', 'admin', 'add global category for %1', 'Ajouter une catégorie globale pour %1'),
('fr', 'admin', 'add global category', 'Ajouter une catégorie globale'),
('fr', 'admin', 'add application', 'Ajouter une application'),
('fr', 'admin', 'add auto-created users to this group (''default'' will be attempted if this is empty.)', 'Ajouter les utilisateurs crées automatiquement à ce groupe (''Défaut'' sera tenté si ce champ est laissé vide.)'),
('fr', 'admin', 'add account', 'Ajouter un compte'),
('fr', 'admin', 'add a user', 'Ajouter un utilisateur'),
('fr', 'admin', 'add a subcategory', 'Ajouter une sous-catégorie'),
('fr', 'admin', 'add a new remote instance', 'Ajouter une instance distante'),
('fr', 'admin', 'add a new account.', 'Ajouter un nouveau compte.'),
('fr', 'admin', 'add a group', 'Ajouter un groupe'),
('fr', 'admin', 'add a category', 'Ajouter une catégorie'),
('fr', 'admin', 'activate wysiwyg-editor', 'Activer l''éditeur WYSIWYG'),
('fr', 'admin', 'actions', 'Actions'),
('fr', 'admin', 'action', 'Action'),
('fr', 'admin', 'account-id''s have to be integers!', 'Les ID de compte doivent être des entiers!'),
('fr', 'admin', 'acl manager', 'Gestionnaire des droits d''accès'),
('fr', 'admin', 'account permissions', 'Permissions de compte'),
('fr', 'admin', 'account preferences', 'Préférences de compte'),
('fr', 'admin', 'account list', 'Liste des comptes'),
('fr', 'admin', 'account active', 'Compte actif'),
('fr', 'admin', 'account ''%1'' deleted.', 'Compte ''%'' supprimé.'),
('fr', 'admin', 'account %1 %2', 'Compte %1 %2'),
('fr', 'admin', '-  type', '- type'),
('fr', 'admin', 'accesslog and bruteforce defense', 'Protection contre les attaques par accès aux logs et attaque systématique'),
('fr', 'admin', '(to install new applications use<br><a href="setup/" target="setup">setup</a> [manage applications] !!!)', '(Pour installer de nouvelles applications utilisez<br><a href="setup/" target="setup">Setup</a> [Gérer Les Applications] !!!)'),
('fr', 'admin', '(stored password will not be shown here)', '(Le mot de passe enregistré ne sera pas montré ici)'),
('fr', 'admin', '(default no, leave it off if you dont use it)', '(Non par défaut, ne pas modifier si vous ne l''utilisez pas)'),
('fr', 'admin', '%1 user %2', '%1 utilisateur %2'),
('fr', 'admin', '%1 sessions killed', '%1 sessions éliminées.'),
('fr', 'admin', '%1 rights for %2 and applications %3', 'Droits en %1 pour %2 et l''application %3.'),
('fr', 'admin', '%1 not found or not executable !!!', '%1 introuvable ou pas exécutable !!!'),
('fr', 'admin', '%1 log entries deleted.', '%1 entrées dans le log effacées.'),
('fr', 'admin', '%1 is no command!', '%1 n''est pas une commande !'),
('fr', 'admin', '%1 group %2', '%1 groupe %2'),
('fr', 'admin', '%1 class not instanciated', 'Classe %1 non instanciée'),
('fr', 'admin', '%1 acl records of not (longer) existing accounts deleted.', '%1 droits d''accès de comptes inexistants supprimés.'),
('fr', 'admin', '%1 - %2 of %3 user accounts', '%1 - %2 de %3 comptes utilisateurs'),
('fr', 'admin', '%1 - %2 of %3 user groups', '%1 - %2 de %3 groupes utilisateurs'),
('fr', 'admin', 'you can only use ldap as contact repository if the accounts are stored in ldap too!', 'Vous ne pouvez utiliser LDAP comme dépôt de contacts que si les comptes sont aussi stockés dans LDAP!'),
('fr', 'admin', 'yes, only admins can purge deleted items', 'Oui, les administrateurs seuls peuvent purger les éléménts supprimés'),
('fr', 'admin', 'yes, users can purge their deleted items', 'Oui, les utilisateurs  peuvent purger leurs éléments supprimés'),
('fr', 'admin', 'start', 'Début'),
('fr', 'admin', 'telephony integration', 'Intégration téléphonique'),
('fr', 'admin', 'use setup for a full account-migration', 'utiliser le setup pour une migration de comptes complète'),
('fr', 'admin', 'warning!! ldap is valid only if you are not using contacts for accounts storage!', 'ATTENTION!! LDAP est valide seulement si vous n''utilisez PAS les contacts pour le stockage des comptes!'),
('fr', 'admin', 'size of popup (wxh, eg.400x300, if a popup should be used)', 'Taille du popup (LxH, p.ex.400x300, si un popup doit être utilisé)'),
('fr', 'admin', 'prevent deleting of contacts', 'Empecher la suppression de contacts'),
('fr', 'admin', 'select migration type', 'Sélectionnez un type de migration'),
('fr', 'admin', 'select where you want to store / retrieve contacts', 'Sélectionnez où vous voulez stocker / récupérer les contacts'),
('fr', 'admin', 'options for type', 'Options pour le type'),
('fr', 'admin', 'ldap settings for contacts', 'configuration LDAP pour les contacts'),
('fr', 'admin', 'migration to ldap', 'Migration vers LDAP'),
('fr', 'admin', 'if accounts are already in ldap', 'si les comptes sont déjà dans LDAP'),
('fr', 'admin', 'ldap context for contacts', 'Contexte LDAP pour les contacts'),
('fr', 'admin', 'ldap host for contacts', 'Hôte LDAP pour les contacts'),
('fr', 'admin', 'how many contacts should non-admins be able to export', 'Combien de contact les non-administrateurs peuvent-il exporter ?'),
('fr', 'admin', 'history logging', 'Enregistrement de l''historique'),
('fr', 'admin', 'for read only ldap', 'pour un LDAP en lecture seule'),
('fr', 'admin', 'empty', 'Vide'),
('fr', 'admin', 'fields the user is allowed to edit himself', 'Champs que l''utilisateur peut modifier lui-même'),
('fr', 'admin', 'edit extra account-data in the addressbook', 'Editer les données supplémentaires dans le carnet d''adresse'),
('fr', 'admin', 'edit custom fields', 'Editer les champs personnalisés'),
('fr', 'admin', 'contacts to ldap, account contact-data to sql', 'Contacts vers LDAP, dépôt des données des comptes vers SQL'),
('fr', 'admin', 'contacts to ldap', 'Contacts vers LDAP'),
('fr', 'admin', 'contacts and account contact-data to sql', 'Contacts et dépôt des données des comptes vers SQL'),
('fr', 'admin', 'contacts and account contact-data to ldap', 'Contacts et dépôt des données des comptes vers LDAP'),
('fr', 'admin', 'contact maintenance', 'Maintenance des contacts.'),
('fr', 'admin', 'contact repository', 'Dépôt de contacts'),
('fr', 'admin', 'contact settings', 'Paramètres du contact'),
('fr', 'admin', 'chosse an etemplate for this contact type', 'Choisissez un eTemplate pour ce type de contact'),
('fr', 'admin', 'contact application', 'Application contact'),
('fr', 'admin', 'category tree', 'Arborescence de la catégorie'),
('fr', 'admin', 'choose an icon for this contact type', 'Choisisser une icône pour ce type de contact'),
('fr', 'admin', 'allow users to maintain their own account-data', 'Permettre aux utilisateurs de maintenir les données de leur propre compte'),
('fr', 'admin', 'can be changed via setup >> configuration', 'Peut être modifié via Setup >> Configuration'),
('fr', 'admin', 'account repository', 'Dépôt de comptes'),
('fr', 'admin', 'additional information about using ldap as contact repository', 'Informations complémentaires pour utiliser LDAP comme dépôt de contacts'),
('fr', 'admin', '(empty = use global limit, no = no export at all)', 'Vide = pas de limite globale, no = pas d''export du tout'),
('fr', 'addressbook', 'you can show the linked entries with icons only, icons with app-name or both.', 'Monter les applications avec des icônes seulement, icônes avec des noms d''application ou les deux.'),
('fr', 'addressbook', 'spellchecker language', 'Language de correcteur orthographique'),
('fr', 'addressbook', 'show links between egroupware aps as', 'Icônes et liens d''application'),
('fr', 'addressbook', 'zip_note', '<p><b>Note:</b> Le fichier peut être un fichier zip contenant une collection de fichiers .csv, .vcf ou .ldif. C´est pourquoi il est important de ne pas mélanger les types de fichiers lors de l''importation.'),
('fr', 'addressbook', 'you need to select some contacts first', 'Vous devez d''abord choisir les contacts'),
('fr', 'addressbook', 'you need to select a distribution list', 'Vous devez choisir une liste de diffusion'),
('fr', 'addressbook', 'you must select at least 1 column to display', 'Vous devez choisir au moins 1 colonne à afficher'),
('fr', 'addressbook', 'you can respond by visiting:', 'Pour le voir, visitez :'),
('fr', 'addressbook', 'you must select a vcard. (*.vcf)', 'Vous devez choisir une vcard. (*.vcf)'),
('fr', 'addressbook', 'you are not permittet to view this contact', 'Vous n''êtes pas autorisés à voir ce contact'),
('fr', 'addressbook', 'you are not permittet to edit this contact', 'Vous n''êtes pas autorisés à modifier ce contact'),
('fr', 'addressbook', 'you are not permittet to delete this contact', 'Vous n''êtes pas autorisés à supprimer ce contact'),
('fr', 'addressbook', 'you are not permitted to delete contact %1', 'Vous n''êtes pas autorisés à supprimer le contact %1'),
('fr', 'addressbook', 'yes, for the next week', 'Oui, pour la semaine prochaine'),
('fr', 'addressbook', 'yes, for today and tomorrow', 'Oui, pour aujourd''hui et demain'),
('fr', 'addressbook', 'yes, for the next two weeks', 'Oui, pour les deux prochaines semaines'),
('fr', 'addressbook', 'wrong - try again ...', 'Erreur, essayer à nouveau...'),
('fr', 'addressbook', 'yes, for the next three days', 'Oui, pour les trois prochains jours'),
('fr', 'addressbook', 'write (update or add) a single entry by passing the fields.', 'Ecrivez (modifiez ou ajoutez) une entrée unique en passant les champs.'),
('fr', 'addressbook', 'work phone', 'Téléphone (bureau)'),
('fr', 'addressbook', 'whole query', 'requête entière'),
('fr', 'addressbook', 'work email if given, else home email', 'Email pro si possible, sinon perso'),
('fr', 'addressbook', 'which fields should be exported. all means every field stored in the addressbook incl. the custom fields. the business or home a', 'Quels champs doivent être exportés. Tous signifie que les champs personnalisés du carnet d''adresses sont inclus. Les adresses personnelles et professionelles contiennent seulement le nom la société et les adresses sélectionnées.'),
('fr', 'addressbook', 'which charset should be used for the csv export. the system default is the charset of this egroupware installation.', 'Quel jeu de caractères faut-il utiliser pour l''exportation CSV. Le paramétrage par défaut est celui utilisé lors de l''installation d''eGroupWare.'),
('fr', 'addressbook', 'which addressbook should be selected when adding a contact and you have no add rights to the current addressbook.', 'Quel carnet d''adresses devra être sélectionné quand vous ajoutez un contact ET que vous n''avez pas d''autorisation pour le carnet d''adresses en cours.'),
('fr', 'addressbook', 'which address format should the addressbook use for countries it does not know the address format. if the address format of a co', 'Sélectionner quel format doit être utilisée pour les pays avec un format d''adresse inconnu.'),
('fr', 'addressbook', 'where to add the email address', 'Où ajouter des adresses email'),
('fr', 'addressbook', 'what should links to the addressbook display in other applications. empty values will be left out. you need to log in anew, if y', 'Que devraient afficher les liens du carnet d''adresses dans les autres applications. Les valeurs vides ne seront pas prises en compte. Vous devez vous reconnecter si vous modifiez ce paramètre!'),
('fr', 'addressbook', 'weekday', 'Jour de la semaine'),
('fr', 'addressbook', 'warning: template "%1" not found, using default template instead.', 'AVERTISSEMENT : template "%1" introubable, utilisation du template par défaut.'),
('fr', 'addressbook', 'warning: all contacts found will be deleted!', 'AVERTISSEMENT : Tous les contacts trouvés seront supprimés!'),
('fr', 'addressbook', 'view linked infolog entries', 'Afficher les entrées liées à InfoLog'),
('fr', 'addressbook', 'verification', 'Vérification'),
('fr', 'addressbook', 'vcards require a last name entry.', 'Les Vcards nécessitent une entrée nom de famille.'),
('fr', 'addressbook', 'vcards require a first name entry.', 'Les VCards nécessitent une entrée prénom.'),
('fr', 'addressbook', 'used for links and for the own sorting of the list', 'utilisé pour les liens et le tri de la liste'),
('fr', 'addressbook', 'use this tag for addresslabels. put the content, you want to repeat, between two tags.', 'Utiliser cette balise pour les étiquettes d''adresse. Placer le contenu que vous voulez répéter entre deux balises.'),
('fr', 'addressbook', 'use country list', 'Utiliser la liste des pays'),
('fr', 'addressbook', 'use an extra category tab?', 'Utiliser un onglet supplémentaire pour la catégorie?'),
('fr', 'addressbook', 'updated', 'Mis à jour'),
('fr', 'addressbook', 'upload or delete the photo', 'Envoyez ou supprimez la photo'),
('fr', 'addressbook', 'update a single entry by passing the fields.', 'Mettre à jour une seule entrée en passant les champs.'),
('fr', 'addressbook', 'unique id<br />(to update existing records)', 'ID Unique<br />pour mettre à jour des enregistrements existants'),
('fr', 'addressbook', 'unique id (uid)', 'ID unique (UID)'),
('fr', 'addressbook', 'type', 'Type'),
('fr', 'addressbook', 'two of: %1', 'Deux de : %1'),
('fr', 'addressbook', 'translation', 'Traduction'),
('fr', 'addressbook', 'to many might exceed your execution-time-limit', 'trop pourrait dépasser votre temps limite d''exécution'),
('fr', 'addressbook', 'timezone', 'Fuseau horaire'),
('fr', 'addressbook', 'this person''s last name was not in the address book.', 'Le nom de cette personne n''était pas dans le carnet d''adresses.'),
('fr', 'addressbook', 'this person''s first name was not in the address book.', 'Le prénom de cette personne n''était pas dans le carnet d''adresses.'),
('fr', 'addressbook', 'this module displays block from a adddressbook group.', 'Ce module affiche un bloc de groupe du carnet d''adresses'),
('fr', 'addressbook', 'this module displays a contactform, that stores direct into the addressbook.', 'Ce module affiche un formulaire de contact, qui stocke directement des informations dans le carnet d''adresses.'),
('fr', 'addressbook', 'there was an error saving your data :-(', 'ERREUR à l''enregistrement de données !'),
('fr', 'addressbook', 'the anonymous user needs read it!', 'L''utilisateur anonyme doit avoir des droits de lecture !'),
('fr', 'addressbook', 'the anonymous user needs add rights for it!', 'L''utilisateur anonyme doit avoir des droits d''ajout !'),
('fr', 'addressbook', 'the anonymous user has probably no add rights for this addressbook.', 'L''utilisateur anonyme n''a pas de droit pour ajouter des contacts sur ce carnet d''adresses.'),
('fr', 'addressbook', 'that field name has been used already !', 'Ce nom de champ est déjà utilisé !'),
('fr', 'addressbook', 'thank you for contacting us.', 'Merci de nous avoir contacté/'),
('fr', 'addressbook', 'tag to mark positions for address labels', 'Balise pour marquer les positions des étiquettes d''adresses'),
('fr', 'addressbook', 'tel home', 'tel maison'),
('fr', 'addressbook', 'test import (show importable records <u>only</u> in browser)', 'Tester l''import (montrer <u>seulement</u> les enregistrements importables dans le navigateur)'),
('fr', 'addressbook', 'suffix', 'Suffixe'),
('fr', 'addressbook', 'successfully imported %1 records into your addressbook.', '%1 enregistrement(s) ont été enregistrés avec succès dans votre carnet d´adresses.'),
('fr', 'addressbook', 'subject for email', 'Sujet du mail'),
('fr', 'addressbook', 'stadt', 'Ville'),
('fr', 'addressbook', 'startrecord', 'Enregistrement de départ'),
('fr', 'addressbook', 'show the contacts of this organisation', 'Montrer les contacts de l''organisation'),
('fr', 'addressbook', 'show infolog entries for this organisation', 'Montre les entrées InfoLog pour cette organisation'),
('fr', 'addressbook', 'show birthday reminders on main screen', 'Montrer les rappels d''anniversaires sur la page principale'),
('fr', 'addressbook', 'show', 'Montre'),
('fr', 'addressbook', 'should the columns photo and home address always be displayed, even if they are empty.', 'Est-ce que les colonnes photo et adresse privée doivent toujours être affichés, même s''ils sont vides.'),
('fr', 'addressbook', 'set only full name', 'Définir seulement le nom complet'),
('fr', 'addressbook', 'seperator', 'Séparateur'),
('fr', 'addressbook', 'selected contacts', 'contacts choisis'),
('fr', 'addressbook', 'select the type of conversion:', 'Sélectionner le type de convertion:'),
('fr', 'addressbook', 'select the type of conversion', 'Sélectionner le type de convertion'),
('fr', 'addressbook', 'select phone number as prefered way of contact', 'sélectionner le téléphone comme moyen de contact préféré'),
('fr', 'addressbook', 'select an action or addressbook to move to...', 'Sélectionnez une action ou un carnet d''adresses à déplacer...'),
('fr', 'addressbook', 'select multiple contacts for a further action', 'Sélectionner plusieurs contacts pour une même action'),
('fr', 'addressbook', 'select an action or addressbook to move to', 'Sélectionnez une action ou un carnet d''adresses à déplacer'),
('fr', 'addressbook', 'select all', 'Sélectionner tout'),
('fr', 'addressbook', 'select addressbook type', 'Sélectionnez un type de carnet d''adresse'),
('fr', 'addressbook', 'select a view', 'Sélectionnez une vue'),
('fr', 'addressbook', 'select a portrait format jpeg photo. it will be resized to 60 pixel width.', 'Sélectionner une photo jpeg en mode portrait. Elle sera reformatée en 60 pixels de largeur.'),
('fr', 'addressbook', 'search for ''%1''', 'Recherche de ''%1'''),
('fr', 'addressbook', 'room', 'Salle'),
('fr', 'addressbook', 'required fields *', 'Champs nécessaires *'),
('fr', 'addressbook', 'role', 'Rôle'),
('fr', 'addressbook', 'repetition', 'Répétition'),
('fr', 'addressbook', 'removed from distribution list', 'retiré de la liste de diffusion'),
('fr', 'addressbook', 'remove selected contacts from distribution list', 'Retirer les contacts sélectionnés de la liste de diffusion'),
('fr', 'addressbook', 'region', 'Région'),
('fr', 'addressbook', 'record owner', 'Enregistrer le propriétaire'),
('fr', 'addressbook', 'record access', 'Enregistrer l''accès'),
('fr', 'addressbook', 'read a single entry by passing the id and fieldlist.', 'Lire une seule entrée en passant l''ID et la liste des champs.'),
('fr', 'addressbook', 'read only', 'lecture seule'),
('fr', 'addressbook', 'read a list of entries.', 'Lire une liste d''entrées.'),
('fr', 'addressbook', 'publish into groups:', 'Publié dans les groupes:'),
('fr', 'addressbook', 'read a list / search for entries.', 'Lire une liste / rechercher des entrées.'),
('fr', 'addressbook', 'public key', 'Clé publique'),
('fr', 'addressbook', 'prefix', 'Préfixe'),
('fr', 'addressbook', 'private custom fields', 'Champs privés personnalisés'),
('fr', 'addressbook', 'preferred type of email address to add for distribution lists', 'Type d''adresse email préférée pour les listes de diffusion'),
('fr', 'addressbook', 'preferred phone', 'Numéro de téléphone préférentiel'),
('fr', 'addressbook', 'preferred email address to use in distribution lists', 'Adresse email préférée'),
('fr', 'addressbook', 'pref', 'pref'),
('fr', 'addressbook', 'please update the templatename in your customfields section!', 'Mettre à jour le nom du template dans la session des champs personnalisés.'),
('fr', 'addressbook', 'please select only one category', 'Sélectionnez une seule catégorie !'),
('fr', 'addressbook', 'please enter a name for that field !', 'SVP entrez un nom pour ce champ !'),
('fr', 'addressbook', 'photo', 'Photo'),
('fr', 'addressbook', 'permission denied !!!', 'Autorisation refusée !!!'),
('fr', 'addressbook', 'participants', 'Participants'),
('fr', 'addressbook', 'own sorting', 'tri personnalisé'),
('fr', 'addressbook', 'parcel', 'Paquet'),
('fr', 'addressbook', 'other phone', 'Autre Téléphone'),
('fr', 'addressbook', 'other number', 'Autre Numéro'),
('fr', 'addressbook', 'organisations by location', 'Organisations par localisation'),
('fr', 'addressbook', 'organisation', 'organisation'),
('fr', 'addressbook', 'organisations', 'Organisations'),
('fr', 'addressbook', 'organisations by departments', 'Organisations par département'),
('fr', 'addressbook', 'no vcard', 'Pas de VCard'),
('fr', 'addressbook', 'number', 'Numéro'),
('fr', 'addressbook', 'number of records to read (%1)', 'Nombre d''enregistrements à lire (%1)'),
('fr', 'addressbook', 'no categories selected', 'Aucune catégorie sélectionnée'),
('fr', 'addressbook', 'next date', 'Prochain contact'),
('fr', 'addressbook', 'new window opened to edit infolog for your selection', 'Nouvelle fenêtre ouverte pour modifier un infolog.'),
('fr', 'addressbook', 'new contact submitted by %1 at %2', 'Nouveau contact soumis de %1 à %2 .'),
('fr', 'addressbook', 'name, address', 'Nom, adresse'),
('fr', 'addressbook', 'name of current user, all other contact fields are valid too', 'Nom de l''utilisateur courant, tous les autres champs de contacts sont valides aussi'),
('fr', 'addressbook', 'name for the distribution list', 'Nom de la liste de diffusino'),
('fr', 'addressbook', 'multiple vcard', 'VCard multiples'),
('fr', 'addressbook', 'moved', 'déplacé(s)'),
('fr', 'addressbook', 'more ...', 'Plus ...'),
('fr', 'addressbook', 'move to addressbook:', 'Aller vers le carnet d''adresses'),
('fr', 'addressbook', 'modem phone', 'Téléphone modem'),
('fr', 'addressbook', 'mobile phone', 'Téléphone portable'),
('fr', 'addressbook', 'mobile', 'Portable'),
('fr', 'addressbook', 'migration finished', 'Migration terminée'),
('fr', 'addressbook', 'middle name', 'Deuxième prénom'),
('fr', 'addressbook', 'message phone', 'Message téléphonique'),
('fr', 'addressbook', 'merged', 'fusionné'),
('fr', 'addressbook', 'message after submitting the form', 'Message après la soumission du formulaire'),
('fr', 'addressbook', 'merge into first or account, deletes all other!', 'Fusion avec le premier compte, efface tous les autres!'),
('fr', 'addressbook', 'mark records as private', 'Marquer l´enregistrement comme privé'),
('fr', 'addressbook', 'manage mapping', 'Gestion des correspondances'),
('fr', 'addressbook', 'location', 'Emplacement'),
('fr', 'addressbook', 'locations', 'localisations'),
('fr', 'addressbook', 'load vcard', 'Charger VCard'),
('fr', 'addressbook', 'load sample file', 'Charger un fichier exemple'),
('fr', 'addressbook', 'list already exists!', 'La liste existe déjà !'),
('fr', 'addressbook', 'list created', 'Liste créée'),
('fr', 'addressbook', 'list creation failed, no rights!', 'La création de la liste a échoué, aucune autorisation!'),
('fr', 'addressbook', 'list all customfields', 'Lister tous les champs spécifiques'),
('fr', 'addressbook', 'list all categories', 'Lister toutes les catégories'),
('fr', 'addressbook', 'links', 'Liens'),
('fr', 'addressbook', 'link title for contacts show', 'Le titre du lien pour les contacts montre'),
('fr', 'addressbook', 'ldif', 'LDIF'),
('fr', 'addressbook', 'line 2', 'Ligne 2'),
('fr', 'addressbook', 'label', 'Label'),
('fr', 'addressbook', 'last date', 'Dernier contact'),
('fr', 'addressbook', 'last modified', 'Dernière modification'),
('fr', 'addressbook', 'last modified by', 'Dernière modification par'),
('fr', 'addressbook', 'insufficent rights to delete this list!', 'Autorisations insuffisantes pour supprimer cette liste!'),
('fr', 'addressbook', 'international', 'International'),
('fr', 'addressbook', 'internet', 'Internet'),
('fr', 'addressbook', 'insert in document', 'Insérer dans un document'),
('fr', 'addressbook', 'in %1 days (%2) is %3''s birthday.', 'Dans %1 jours (%2) c''est l''anniversaire de %3.'),
('fr', 'addressbook', 'income', 'Revenus'),
('fr', 'addressbook', 'infolog', 'InfoLog'),
('fr', 'addressbook', 'import_instructions', 'Dans Netscape, ouvrir le carnet d´adresses et sélectionner <b>Exporter</b> depuis le menu <b>Fichier</b>. Le fichier exporté sera au format LDIF.<p>Ou, dans Outlook, sélectionner votre dossier des contacts, sélectionner <b>Importer et Exporter...</b> depuis le menu <b>Fichier</b> et exporter vos contacts, séparés par des virgules,  dans un fichier texte (CSV). <p>Ou, dans Palm Desktop 4.0 ou supérieur, consulter votre carnet d´adresses et sélectionner <b>Exporter</b> depuis le menu <b>Fichier</b>. Le fichier exporté sera au format VCard.'),
('fr', 'addressbook', 'import next set', 'Importer l''élément suivant'),
('fr', 'addressbook', 'import multiple vcard', 'Importation VCard Multiple'),
('fr', 'addressbook', 'import from outlook', 'Importer depuis Outlook'),
('fr', 'addressbook', 'import from ldif, csv, or vcard', 'Importer depuis LDIF, CSV ou VCard'),
('fr', 'addressbook', 'import from', 'Importer depuis'),
('fr', 'addressbook', 'import file', 'Importer le fichier'),
('fr', 'addressbook', 'import csv-file into addressbook', 'Importer le fichier CSV dans le carnet d''adresses'),
('fr', 'addressbook', 'ignore first line', 'Ignorer la première ligne'),
('fr', 'addressbook', 'import', 'Importation'),
('fr', 'addressbook', 'import contacts', 'Importer les contacts'),
('fr', 'addressbook', 'icon', 'Icône'),
('fr', 'addressbook', 'home zip code', 'Code postal (domicile)'),
('fr', 'addressbook', 'home street', 'Rue (domicile)'),
('fr', 'addressbook', 'home state', 'Région (domicile)'),
('fr', 'addressbook', 'home phone', 'Téléphone (domicile)'),
('fr', 'addressbook', 'home email if given, else work email', 'Email perso s''il existe, sinon, l''email pro'),
('fr', 'addressbook', 'home email', 'EMail (domicile)'),
('fr', 'addressbook', 'home country', 'Pays (domicile)'),
('fr', 'addressbook', 'home city', 'Ville (domicile)'),
('fr', 'addressbook', 'home address, birthday, ...', 'Adresse (domicile), Anniversaire, ...'),
('fr', 'addressbook', 'home address', 'Adresse (domicile)'),
('fr', 'addressbook', 'hides accounts completly from the adressbook.', 'Complètement cacher les comptes utilisateurs du carnet d''addesses'),
('fr', 'addressbook', 'hide accounts from addressbook', 'Cacher les comptes utilisateurs'),
('fr', 'addressbook', 'h', 'h'),
('fr', 'addressbook', 'group %1', 'Groupe %1'),
('fr', 'addressbook', 'global categories', 'Catégorie globale'),
('fr', 'addressbook', 'geo', 'GEO'),
('fr', 'addressbook', 'general fields:', 'Champs généraux :'),
('fr', 'addressbook', 'general', 'Général'),
('fr', 'addressbook', 'full name', 'Nom complet'),
('fr', 'addressbook', 'freebusy uri', 'Freebusy URI'),
('fr', 'addressbook', 'for serial letter use this tag. put the content, you want to repeat between two tags.', 'Pour les lettres en série utiliser cette balise. Placer le contenu que vous voulez répéter entre deux balises.'),
('fr', 'addressbook', 'fieldseperator', 'Séparateur de champs'),
('fr', 'addressbook', 'fieldseparator', 'Séparateur de champs'),
('fr', 'addressbook', 'fields to show in address list', 'Champs à afficher dans la liste des adresses'),
('fr', 'addressbook', 'fields for the csv export', 'Champ pour l''exportation au format CSV'),
('fr', 'addressbook', 'field name', 'Nom du champ'),
('fr', 'addressbook', 'field %1 has been updated !', 'Le champ %1 a été mis à jour !'),
('fr', 'addressbook', 'fax', 'Fax'),
('fr', 'addressbook', 'field %1 has been added !', 'Le champ %1 a été ajouté !'),
('fr', 'addressbook', 'extra', 'Supplément'),
('fr', 'addressbook', 'failed to change %1 organisation member(s) (insufficent rights) !!!', 'Echec du changement des membres de l''organisation %1 (droits insufisants).'),
('fr', 'addressbook', 'export selection', 'Sélection pour l''exportation'),
('fr', 'addressbook', 'exported', 'exporté'),
('fr', 'addressbook', 'export from addressbook', 'Exporter depuis le carnet d''adresses'),
('fr', 'addressbook', 'export file name', 'Nom du fichier d''exportation'),
('fr', 'addressbook', 'export contacts', 'Exporter les contacts'),
('fr', 'addressbook', 'export as vcard', 'Export au format VCard'),
('fr', 'addressbook', 'existing links', 'Liens existants'),
('fr', 'addressbook', 'export', 'Exportation'),
('fr', 'addressbook', 'export as csv', 'Exporter au format CSV'),
('fr', 'addressbook', 'error: the entry has been updated since you opened it for editing!', 'Erreur: cette entrée a été mise à jour pendant que vous l''aviez ouverte pour la modifier!'),
('fr', 'addressbook', 'error saving the contact !!!', 'Erreur lors de la sauvegarde du contact'),
('fr', 'addressbook', 'error deleting the contact !!!', 'Erreur lors de la suppresion du contact'),
('fr', 'addressbook', 'enter the path to the exported file here', 'Entrer ici le chemin vers le fichier exporté'),
('fr', 'addressbook', 'end', 'Fin'),
('fr', 'addressbook', 'enclosure', 'Pièce jointe'),
('fr', 'addressbook', 'empty for all', 'vide pour tous'),
('fr', 'addressbook', 'enable an extra private addressbook', 'Activer un carnet d''adresses privé supplémentaire'),
('fr', 'addressbook', 'email addresses (comma separated) to send the contact data', 'Adresses email, séparées par des virgules, pour envoyer les données des contacts.'),
('fr', 'addressbook', 'email & internet', 'Email & Internet'),
('fr', 'addressbook', 'edit phonenumbers -', 'Editer les numéros de téléphone -'),
('fr', 'addressbook', 'either the configured email addesses are wrong or the mail configuration.', 'Soit les adresses email sont fausses, soit la configuration est mauvaise.');
INSERT INTO `egw_lang` (`lang`, `app_name`, `message_id`, `content`) VALUES
('fr', 'addressbook', 'duration', 'Durée'),
('fr', 'addressbook', 'edit custom field', 'Editer le champ personnalisé'),
('fr', 'addressbook', 'download this contact as vcard file', 'Téléchargez ce contact comme un fichier vCard'),
('fr', 'addressbook', 'download export file (uncheck to debug output in browser)', 'Télécharger le fichier d''exportation (Décocher pour deboguer la sortie dans le navigateur)'),
('fr', 'addressbook', 'download', 'Télécharger'),
('fr', 'addressbook', 'doesn''t matter', 'sans importance'),
('fr', 'addressbook', 'domestic', 'Domestique'),
('fr', 'addressbook', 'don''t hide empty columns', 'Ne pas cacher les colonnes vides'),
('fr', 'addressbook', 'document ''%1'' does not exist or is not readable for you!', 'Le document ''%1'' n''existe pas ou n''est pas lisible avec votre profil !'),
('fr', 'addressbook', 'do your really want to delete this contact?', 'Voulez vous vraiment supprimer ce contact ?'),
('fr', 'addressbook', 'do you want a private addressbook, which can not be viewed by users, you grant access to your personal addressbook?', 'Voulez vous un carnet d''adresses privé qui ne pourra être vu par les autres utilisateurs sauf si vous modifiez les autorisations ?'),
('fr', 'addressbook', 'distribution lists, ...', 'Listes de diffusion, ...'),
('fr', 'addressbook', 'distribution lists', 'Listes de diffusion'),
('fr', 'addressbook', 'distribution list deleted', 'La liste de diffusion est supprimée'),
('fr', 'addressbook', 'displays a remider for birthdays on the startpage (page you get when you enter egroupware or click on the homepage icon).', 'Affiche un rappel pour les anniversaires sur la page d''accueil (page qui s''affiche quand vous entrez dans eGroupWare ou quand vous cliquez sur l''icône Accueil)'),
('fr', 'addressbook', 'display contact', 'Afficher le contact'),
('fr', 'addressbook', 'departments', 'départements'),
('fr', 'addressbook', 'deletes the photo', 'Supprime la photo'),
('fr', 'addressbook', 'deleted', 'supprimé'),
('fr', 'addressbook', 'delete this organisation including all its contacts', 'Détruire cette organisation et tous ses contacts'),
('fr', 'addressbook', 'delete this contact', 'Supprimer ce contact'),
('fr', 'addressbook', 'delete selected distribution list!', 'Effacer la liste de diffusion sélectionnée!'),
('fr', 'addressbook', 'delete a single entry by passing the id.', 'Effacer une seule entrée en passant l''ID.'),
('fr', 'addressbook', 'defines which email address (business or home) to use as the preferred one for distribution lists in mail.', 'Quelle adresse email est utilisée par défaut pour les listes de diffusion.'),
('fr', 'addressbook', 'default filter', 'Filtre par défaut'),
('fr', 'addressbook', 'default document to insert contacts', 'Document par défaut pour l''ajout de contacts'),
('fr', 'addressbook', 'default addressbook for adding contacts', 'Carnet d''adresses par défaut pour l''ajout de contacts'),
('fr', 'addressbook', 'default', 'Défaut'),
('fr', 'addressbook', 'default address format', 'Format de l''adresse par défaut'),
('fr', 'addressbook', 'debug output in browser', 'Deboguer la sortie dans le navigateur'),
('fr', 'addressbook', 'custom fields', 'Champs personnalisés'),
('fr', 'addressbook', 'custom', 'Personnalisé'),
('fr', 'addressbook', 'custom etemplate for the contactform', 'eTemplate personnalisé pour le formulaire contact'),
('fr', 'addressbook', 'csv field', 'Champ CSV'),
('fr', 'addressbook', 'csv-fieldname', 'CSV - Nom du champ'),
('fr', 'addressbook', 'csv-filename', 'CSV - Nom du fichier'),
('fr', 'addressbook', 'created', 'Créé(s)'),
('fr', 'addressbook', 'credit', 'Crédits'),
('fr', 'addressbook', 'create new links', 'Créer de nouveaux liens'),
('fr', 'addressbook', 'copy your changes to the clipboard, %1reload the entry%2 and merge them.', 'Copie vos changements vers le presse-papiers, %1recharger l''entrée%2 et les fusionne.'),
('fr', 'addressbook', 'copy a contact and edit the copy', 'Copier un contact et modifier la copie'),
('fr', 'addressbook', 'copied by %1, from record #%2.', 'Copié par %1 depuis l''enregistrement n°%2.'),
('fr', 'addressbook', 'contains', 'contient'),
('fr', 'addressbook', 'contact not found!', 'Contact introuvable !'),
('fr', 'addressbook', 'contact saved', 'Contact enregistré'),
('fr', 'addressbook', 'contactform', 'Formulaire de contact'),
('fr', 'addressbook', 'contact modified by %1 at %2', 'Contact modifiée par %1 à %2 .'),
('fr', 'addressbook', 'contact id', 'ID (identificateur) du contact'),
('fr', 'addressbook', 'contact fields:', 'Champs du contact :'),
('fr', 'addressbook', 'contact fields to show', 'Champs à afficher'),
('fr', 'addressbook', 'contact deleted', 'Contact supprimé'),
('fr', 'addressbook', 'contact copied', 'Contact copié'),
('fr', 'addressbook', 'company name', 'Nom de la société'),
('fr', 'addressbook', 'cleanup addressbook fields (apply if synchronization creates duplicates)', 'Nettoyer les champs du carnet d''adresses, s''applique si la synchronisation créée des doublons.'),
('fr', 'addressbook', 'choose seperator and charset', 'Choisisser le séparateur et l''encodage'),
('fr', 'addressbook', 'choose owner of imported data', 'Choisisser le propriétaire de données importées'),
('fr', 'addressbook', 'check all', 'Vérifier tout'),
('fr', 'addressbook', 'charset of file', 'Jeu de caractères du fichier'),
('fr', 'addressbook', 'charset for the csv export', 'Jeu de caractères pour l''exportation CSV'),
('fr', 'addressbook', 'change all organisation members', 'Modifier tous les membres de l''organisation'),
('fr', 'addressbook', 'cell phone', 'Téléphone portable'),
('fr', 'addressbook', 'categories, notes, ...', 'Catégories, Notes, ...'),
('fr', 'addressbook', 'categorie delete', 'Catégorie supprimée.'),
('fr', 'addressbook', 'categorie added', 'Catégorie ajoutée.'),
('fr', 'addressbook', 'car phone', 'Téléphone voiture'),
('fr', 'addressbook', 'categorie', 'Catégorie'),
('fr', 'addressbook', 'calendar uri', 'URI du calendrier'),
('fr', 'addressbook', 'calendar fields:', 'Champ calendrier:'),
('fr', 'addressbook', 'business street', 'Rue (bureau)'),
('fr', 'addressbook', 'business zip code', 'Code postal (bureau)'),
('fr', 'addressbook', 'business state', 'Région (bureau)'),
('fr', 'addressbook', 'business phone', 'Téléphone (bureau)'),
('fr', 'addressbook', 'business fax', 'Fax (bureau)'),
('fr', 'addressbook', 'business email', 'EMail (bureau)'),
('fr', 'addressbook', 'business country', 'Pays (bureau)'),
('fr', 'addressbook', 'business city', 'Ville (bureau)'),
('fr', 'addressbook', 'business address', 'Adresse (bureau)'),
('fr', 'addressbook', 'blank', 'Vide'),
('fr', 'addressbook', 'at the moment the following document-types are supported:', 'À l''heure actuelle les types de documents supportés  :'),
('fr', 'addressbook', 'assistent phone', 'Téléphone assistant(e)'),
('fr', 'addressbook', 'assistent', 'Assistant(e)'),
('fr', 'addressbook', 'are you sure you want to delete this field?', 'Etes-vous sûr de vouloir effacer ce champ ?'),
('fr', 'addressbook', 'are you shure you want to delete this contact?', 'Etes-vous sûr de vouloir supprimer ce contact?'),
('fr', 'addressbook', 'apply the action on the whole query, not only the shown contacts!!!', 'Appliquer l''action sur la totalité des résultats de la requête et pas seulement sur les contacts affichés.'),
('fr', 'addressbook', 'apply changes to all members, whose fields have the same previous content', 'Appliquer les changements à tous les membres dont les champs ont le même contenu.'),
('fr', 'addressbook', 'always', 'toujours'),
('fr', 'addressbook', 'alt. csv import', 'Import CSV alternatif'),
('fr', 'addressbook', 'all contacts', 'Tous les contacts'),
('fr', 'addressbook', 'addressbook-fieldname', 'Carnet d''adresses - nom du champ'),
('fr', 'addressbook', 'addvcard', 'Ajouter VCard'),
('fr', 'addressbook', 'advanced search', 'Recherche avancée'),
('fr', 'addressbook', 'addressbook the contact should be shown', 'Carnet d''adresse à afficher au contact'),
('fr', 'addressbook', 'addressbook menu', 'Menu de carnet d''adresses'),
('fr', 'addressbook', 'addressbook preferences', 'Préférences du carnet d''adresses'),
('fr', 'addressbook', 'addressbook the contact should be saved to', 'Le contact du carnet d''adresses doit être sauvegardé vers'),
('fr', 'addressbook', 'address type', 'Type d''adresse'),
('fr', 'addressbook', 'addressbook csv export', 'Export csv du carnet d''adresses'),
('fr', 'addressbook', 'addressbook field', 'Champ du carnet d''adresses'),
('fr', 'addressbook', 'address book - view', 'Carnet d''adresses - Voir'),
('fr', 'addressbook', 'address line 2', 'Adresse ligne 2'),
('fr', 'addressbook', 'added to distribution list', 'ajouté à la liste de diffusion'),
('fr', 'addressbook', 'address book - vcard in', 'Carnet d''adresses - Entrée VCard'),
('fr', 'addressbook', 'added', 'Ajouté'),
('fr', 'addressbook', 'added by synchronisation', 'ajouté par synchronisation'),
('fr', 'addressbook', 'add to distribution list:', 'Ajouter à la liste de diffusion :'),
('fr', 'addressbook', 'add or delete categories', 'Ajouter ou modifier des catégories'),
('fr', 'addressbook', 'add custom field', 'Ajouter un champ personnalisé'),
('fr', 'addressbook', 'add emails of whole distribution list?', 'Envoyez un email à toute la liste de diffusion ?'),
('fr', 'addressbook', 'add business email of whole distribution list?', 'Ajouter l''email professionnel'),
('fr', 'addressbook', 'add a single entry by passing the fields.', 'Ajouter une seule entrée en passant les champs.'),
('fr', 'addressbook', 'add a new list', 'Ajouter une nouvelle liste'),
('fr', 'addressbook', 'add a new infolog', 'Ajouter un nouvel InfoLog'),
('fr', 'addressbook', 'add a new contact', 'Ajouter un nouveau contact'),
('fr', 'addressbook', 'add %1', 'Ajouter %1'),
('fr', 'addressbook', 'add a contact to this organisation', 'Ajouter un contact à cette organisation'),
('fr', 'addressbook', 'actions', 'Actions'),
('fr', 'addressbook', 'accounts', 'Comptes'),
('fr', 'addressbook', '@-eval() is only availible to admins!!!', '@-eval() est disponible uniquement pour les administrateurs!!!'),
('fr', 'addressbook', '<b>no conversion type &lt;none&gt; could be located.</b>  please choose a conversion type from the list', '<b>Aucun type de conversion <aucun> n''a pu être trouvé.</b>  SVP choisissez un type de conversion depuis la liste'),
('fr', 'addressbook', '(e.g. 1969)', '(e.g. 1969)'),
('fr', 'addressbook', '%s please calculate the result', '%s calculez s''il vous plait le résultat'),
('fr', 'addressbook', '%1 starts with ''%2''', '%1 débute avec ''%2'''),
('fr', 'addressbook', '%1 records read (not yet imported, you may go %2back%3 and uncheck test import)', '%1 enregistrements lus (non encore importé, vous devriez retourner en arrière %2back%3 et décocher le test de límportation)'),
('fr', 'addressbook', '%1 records imported', '%1 enregistrements importés.'),
('fr', 'addressbook', '%1 not implemented for %2!', '%1 non implémenté pour %2 !'),
('fr', 'addressbook', '%1 fields in %2 other organisation member(s) changed', 'Le champ %1 dans %2 autre(s) membre(s) de l''organisation a changé.'),
('fr', 'addressbook', '%1 contacts updated (%2 errors).', '%1 contacts mis à jour (%2 erreurs).'),
('fr', 'addressbook', '%1 contact(s) %2', '%1 contact(s) %2'),
('fr', 'addressbook', '%1 contact(s) %2, %3 failed because of insufficent rights !!!', '%1 contact(s) %2, %3 en erreur (droits d''accès insuffisants).'),
('fr', 'addressbook', '%1 added', '%1 ajouté'),
('es-es', 'wiki', 'your changes', 'Sus modificaciones'),
('es-es', 'wiki', 'your user name is "%1".', 'Su nombre de usuario es "%1"'),
('es-es', 'wiki', 'you have no rights to view wiki content !!!', '¡No tiene derechos para ver el contenido del wiki!'),
('es-es', 'wiki', 'you have exeeded the number of pages you are allowed to visit in a given period of time. please return later.', 'Ha excedido el número de páginas que se permite visitar durante un período de tiempo. Por favor, vuelva más tarde.'),
('es-es', 'wiki', 'you have entered an invalid user name.', 'Ha introducido un nombre de usuario que no es válido'),
('es-es', 'wiki', 'you have been denied access to this site.', 'Le ha sido denegado el acceso a este sitio'),
('es-es', 'wiki', 'writable by', 'De escritura para'),
('es-es', 'wiki', 'wiki startpage', 'Página de inicio del wiki'),
('es-es', 'wiki', 'wiki menu', 'Menú wiki'),
('es-es', 'wiki', 'wiki administration', 'Administración del wiki'),
('es-es', 'wiki', 'who should be able to read this page', 'quén debe poder leer esta página'),
('es-es', 'wiki', 'who should be able to edit this page', 'quién debe poder editar esta página'),
('es-es', 'wiki', 'warning: since you started editing, this document has been changed by someone else.  please merge your edits into the current ve', 'Aviso: desde que empezó a editar, este documento ha sido modificado por otra persona. Por favor, mezcle sus cambios en la versión actual de este documento.'),
('es-es', 'wiki', 'visit %1 to set your user name', 'Visite %1 para poner su nombre de usuario'),
('es-es', 'wiki', 'updates the preview', 'Actualiza la vista previa'),
('es-es', 'wiki', 'use this module for displaying wiki-pages', 'Use este módulo para mostrar las páginas del wiki'),
('es-es', 'wiki', 'users', 'usuarios'),
('es-es', 'wiki', 'view document history', 'Ver el historial del documento'),
('es-es', 'wiki', 'unblock', 'Desbloquear'),
('es-es', 'wiki', 'twin pages', 'Páginas gemelas'),
('es-es', 'wiki', 'this page can not be edited.', 'Esta página no se puede editar'),
('es-es', 'wiki', 'the search returned no result!', '¡La búsqueda no produjo resultados!'),
('es-es', 'wiki', 'summary of change', 'Resumen de cambios'),
('es-es', 'wiki', 'summary', 'Resumen'),
('es-es', 'wiki', 'show the title of the wiki page', 'Mostrar el título de la página del wiki'),
('es-es', 'wiki', 'show a search', 'Mostrar una búsqueda'),
('es-es', 'wiki', 'see complete list (%1 entries)', 'Ver la lista completa (%1 entradas)'),
('es-es', 'wiki', 'saves and continues editing', 'Guarda y continúa editando'),
('es-es', 'wiki', 'search for', 'Buscar por'),
('es-es', 'wiki', 'save the changes and exit', 'Guardar los cambios y salir'),
('es-es', 'wiki', 'rows', 'Filas'),
('es-es', 'wiki', 'richtext', 'Texto enriquecido'),
('es-es', 'wiki', 'renames page to the given name and language', 'Renombra la página al nombre e idioma indicados'),
('es-es', 'wiki', 'recent changes', 'Cambios recientes'),
('es-es', 'wiki', 'readable by', 'De lectura para'),
('es-es', 'wiki', 'rate control / ip blocking disabled', 'El control de transferencia o bloqueo de IP está desactivado'),
('es-es', 'wiki', 'preview of current version', 'Vista previa de la versión actual'),
('es-es', 'wiki', 'preview', 'Vista previa'),
('es-es', 'wiki', 'please contact the %1administrator%2 for assistance.', 'Por favor, póngase en contacto con el %1Administrator%2 para obtener ayuda.'),
('es-es', 'wiki', 'page ''%1'' not found !!!', '¡No se encontró la página ''%1''!'),
('es-es', 'wiki', 'locked', 'Bloqueada'),
('es-es', 'wiki', 'newer', 'Más reciente'),
('es-es', 'wiki', 'not set', 'no especificado'),
('es-es', 'wiki', 'older', 'Anterior'),
('es-es', 'wiki', 'on all pages', 'en todas las páginas'),
('es-es', 'wiki', 'only on the first page', 'sólo en la primera página'),
('es-es', 'wiki', 'loads the named page in the given language, all change so far get lost !!!', 'Carga la página nombrada en el idioma indicado, por lo que ¡¡todos los cambios se pierden!!'),
('es-es', 'wiki', 'load', 'Cargar'),
('es-es', 'wiki', 'invalid page name.', 'El nombre de la página no es válido'),
('es-es', 'wiki', 'history of', 'Historial de'),
('es-es', 'wiki', 'history lists', 'Listas de historial'),
('es-es', 'wiki', 'history', 'historial'),
('es-es', 'wiki', 'history display should show <em>all</em> changes made by the latest author.  otherwise, show only the last change made.', 'El historial debe mostrar <em>todos</em> los cambios realizados por el último autor. De lo contrario, mostrar sólo el último cambio.'),
('es-es', 'wiki', 'everyone', 'todos'),
('es-es', 'wiki', 'find', 'Buscar'),
('es-es', 'wiki', 'error creating temporary file.', 'Error al crear el fichero temporal'),
('es-es', 'wiki', 'error writing to temporary file.', 'Error al escribir el fichero temporal'),
('es-es', 'wiki', 'enter ip address range in form <tt>12.*</tt>, <tt>34.56.*</tt>, or <tt>78.90.123.*</tt>', 'Introduzca el rango de direcciones IP en formato <tt>12.*</tt>, <tt>34.56.*</tt>, o <tt>78.90.123.*</tt>'),
('es-es', 'wiki', 'enter here the number of days of edits to display on recentchanges or any other subscription list.  set this to zero if you wish', 'Introduzca aquí el número de días de ediciones a mostrar en RecentChanges o cualquier otra lista de suscripción. Ponga a cero si desea ver todas las páginas en RecentChanges, independientemente de si se editaron recientemente.'),
('es-es', 'wiki', 'enter here the maximum number of entries to display in a document''s history list.', 'Introduzca aquí el número máximo de entradas para mostrar en el historial de un documento'),
('es-es', 'wiki', 'editing', 'Edición de'),
('es-es', 'wiki', 'edit box', 'Recuadro de edición'),
('es-es', 'wiki', 'edit this <em>archive version</em> of this document', 'Editar esta <em>VERSION DEL ARCHIVO</em> de este documento'),
('es-es', 'wiki', 'edit this document', 'Editar este documento'),
('es-es', 'wiki', 'document last modified', 'Ultima modificación del documento'),
('es-es', 'wiki', 'differences in', 'Diferencias en'),
('es-es', 'wiki', 'different languages can have different titles', 'Puede haber distintos títulos en distintos idiomas'),
('es-es', 'wiki', 'difference between versions', 'Diferencia entre versiones'),
('es-es', 'wiki', 'deleted', 'Borrada'),
('es-es', 'wiki', 'deletes this page', 'Borra esta página'),
('es-es', 'wiki', 'current version', 'Versión actual'),
('es-es', 'wiki', 'converts the page to richtext', 'Convierte la página a texto enriquecido'),
('es-es', 'wiki', 'compute difference', 'Calcular diferencia'),
('es-es', 'wiki', 'columns', 'Columnas'),
('es-es', 'wiki', 'choose your current time here, so the server may figure out what time zone you are in.', 'Elija aquí su hora actual, para que el servidor pueda calcular su zona horaria'),
('es-es', 'wiki', 'changes by last author', 'Cambios por el último autor'),
('es-es', 'wiki', 'changed', 'Modificada'),
('es-es', 'wiki', 'cancel without saving', 'Cancelar sin guardar'),
('es-es', 'wiki', 'blocked ip address ranges', 'Rangos de direcciones IP bloqueadas'),
('es-es', 'wiki', 'block', 'Bloquear'),
('es-es', 'wiki', 'admins', 'administradores'),
('es-es', 'wiki', 'administration features are disabled for this wiki.', 'Las características de administración estás desactivadas para este wiki'),
('es-es', 'wiki', 'added', 'Añadido'),
('es-es', 'wiki', 'add document to category', 'Añadir documento a la categoría'),
('es-es', 'wiki', '<em>but</em> display at least this many entries in recentchanges and other subscription lists:', '<em>Pero</em> mostrar al menos estas entradas en Cambios recientes y otras listas de suscripción:'),
('es-es', 'tracker', 'you voted %1.', 'Ha votado %1.'),
('es-es', 'tracker', 'you need to specify amount, donators name and email address!', '¡Necesita especificar la cantidad, nombre de donante Y dirección de correo electrónico!'),
('es-es', 'tracker', 'you need to select something to change and some tracker items!', 'Necesita seleccionar algo para cambiar Y algunos elementos'),
('es-es', 'tracker', 'you need to login to vote!', '¡Necesita iniciar la sesión para votar!'),
('es-es', 'tracker', 'you need to enter a name', 'Necesita introducir un nombre'),
('es-es', 'tracker', 'you can respond by visiting:', 'Puede responder visitando:'),
('es-es', 'tracker', 'you can enable/disable the queue access restrictions in the configuration tab (for all queues)', 'Puede activar o desactivar las restricciones de acceso a la cola en la pestaña de configuración (para todas las colas)'),
('es-es', 'tracker', 'yes, with larger fontsize', 'Sí, con fuentes grandes'),
('es-es', 'tracker', 'yes, display users first', 'Sí, mostrar los usuarios primero'),
('es-es', 'tracker', 'yes, display groups first', 'Sí, mostrar los grupos primero'),
('es-es', 'tracker', 'works for me', 'A mí me funciona'),
('es-es', 'tracker', 'wont fix', 'No se va a solucionar'),
('es-es', 'tracker', 'vote for it!', '¡Vote por él!'),
('es-es', 'tracker', 'votes', 'Votos'),
('es-es', 'tracker', 'when emails are received from an unknown email address, tag this field to have them added to the tracker''s cc field automaticall', 'Cuando se reciben correos de una dirección desconocida, poner una etiqueta a este campo para añadirlo automáticamente al campo CC. Este campo se ignora si no se usan las direcciones de correo desconocidas.'),
('es-es', 'tracker', 'versions', 'Versiones'),
('es-es', 'tracker', 'use a default user for mails that where not recognized', 'Usar un usuario predeterminado para los correos no reconocidos'),
('es-es', 'tracker', 'url to be included in the notification, eg. to the page with the sitemgr module, default tracker inside egw', 'URL a incluir en la notificación. Por ejemplo, a la págigna con el módulo del Administrador de sitios web, el seguimiento predeterminado dentro de eGroupWare.'),
('es-es', 'tracker', 'url of the tracker', 'URL del seguimiento'),
('es-es', 'tracker', 'unrecognized mails', 'Correos no reconocidos'),
('es-es', 'tracker', 'tracker-%1 deleted.', 'Seguimiento - %1 borrado'),
('es-es', 'tracker', 'unchanged', 'Sin cambios'),
('es-es', 'tracker', 'tracker-%1 ''%2'' updated.', 'Seguimiento - %1 ''%2'' actualizado'),
('es-es', 'tracker', 'tracker queue', 'Cola de seguimiento'),
('es-es', 'tracker', 'tracker-%1 ''%2'' added.', 'Seguimiento - %1 ''%2'' añadido'),
('es-es', 'tracker', 'tracker item not found !!!', '¡No se encontró el elemento a seguir!'),
('es-es', 'tracker', 'tracker item modified by %1 at %2', 'Elemento de seguimiento modificado por %1 a las %2'),
('es-es', 'tracker', 'tracker for new tickets', 'Elemento para incidencias nuevas'),
('es-es', 'tracker', 'tracker deleted', 'Se ha borrado la cola de seguimiento'),
('es-es', 'tracker', 'tracker configuration', 'Configuración de la cola'),
('es-es', 'tracker', 'tracker admins & technicians', 'Administradores y técnicos de la cola'),
('es-es', 'tracker', 'tracker admins', 'Administradores de la cola'),
('es-es', 'tracker', 'times', 'Tiempos'),
('es-es', 'tracker', 'tracker added', 'Se ha añadido una nueva cola de seguimiento'),
('es-es', 'tracker', 'ticket modified by %1 at %2', 'Elemento de seguimiento modificado por %1 a las %2'),
('es-es', 'tracker', 'ticket count', 'Cuenta de tickets'),
('es-es', 'tracker', 'there already an escalation for that filter!', '¡Ya existe un escalado para ese filtro!'),
('es-es', 'tracker', 'this module displays information from the tracker.', 'Este módulo muestra información de los informes'),
('es-es', 'tracker', 'this tracker item was closed automatically by the system. it was previously set to a pending status, and the original submitter ', 'El sistema cerró este elemento automáticamente. Anteriormente estaba en estado Pendiente, y el remitente original no respondió durante %1 días.'),
('es-es', 'tracker', 'the canned response will be prefix the text you type.', 'La respuesta automatizada precederá al texto que escriba'),
('es-es', 'tracker', 'the bounty will not be shown, until the money is received.', 'La recompensa NO se mostrará hasta que se reciba el dinero.'),
('es-es', 'tracker', 'thank you for voting.', 'Gracias por votar'),
('es-es', 'tracker', 'thank you for setting this bounty.', 'Gracias por fijar esta recompensa.'),
('es-es', 'tracker', 'technicians', 'Técnicos'),
('es-es', 'tracker', 'summary', 'Resumen'),
('es-es', 'tracker', 'store as', 'Almacenar como'),
('es-es', 'tracker', 'staff', 'Equipo'),
('es-es', 'tracker', 'state', 'Estado'),
('es-es', 'tracker', 'stati', 'Estados'),
('es-es', 'tracker', 'show the tracker send you notification mails, in tracker items that you updates?', '¿Deben enviarse correos de notificación cuando se actualicen los elementos propios?'),
('es-es', 'tracker', 'show the acumulated times of timesheet entries', 'Mostrar los tiempos acumulados de las entradas de la hoja de tiempos'),
('es-es', 'tracker', 'show actions in tracker listing', 'Mostrar acciones en el listado de seguimiento'),
('es-es', 'tracker', 'show a new column that calculated the acumulated times of timesheet entries.', 'Mostrar una columna nueva con el cálculo de los tiempos acumulados de las entradas de la hoja de tiempos.'),
('es-es', 'tracker', 'should the tracker send you notification mails, if tracker items you created get updated?', '¿Enviarle a usted correo de notificación si se actualizan elementos de un informe creado por usted?'),
('es-es', 'tracker', 'should the tracker send you notification mails, if tracker items assigned to you get updated?', '¿Enviarle a usted correo de notificación si se actualizan elementos de un informe asignados a usted?'),
('es-es', 'tracker', 'set bounty', 'Fijar recompensa'),
('es-es', 'tracker', 'should the actions column in the tracker list-view be shown?', '¿Debe verse la columna de acciones en la vista de lista de seguimiento?'),
('es-es', 'tracker', 'set an own bounty (in %s)', 'Fijar una recompensa propia (en %s)'),
('es-es', 'tracker', 'set %1', 'Establecer %1'),
('es-es', 'tracker', 'server type', 'Tipo de servidor'),
('es-es', 'tracker', 'sent autoreplies', 'Enviar respuestas automáticas'),
('es-es', 'tracker', 'sender address', 'Dirección del remitente'),
('es-es', 'tracker', 'sender address for all notifications, eg. noreply@egroupware.org', 'Dirección del remitente para todas las notificaciones, p. ej. sinrespuesta@ejemplo.com'),
('es-es', 'tracker', 'select which username should be used when unrecognized replies are handled', 'Seleccionar qué usuario debe usarse para gestionar las respuestas no reconocidas.'),
('es-es', 'tracker', 'select which username should be used when unrecognized mails are handled.', 'Seleccione qué usuario debe usarse para gestionar los correos no reconocidos.'),
('es-es', 'tracker', 'select which categories should be used in tracker for the tts categories', 'Seleccionar que categorías se deberían de usar en el sistema de seguimiento para las categorías de TTS'),
('es-es', 'tracker', 'select tracker queue', 'Seleccionar cola de seguimiento'),
('es-es', 'tracker', 'select multiple', 'Selección múltiple'),
('es-es', 'tracker', 'select how autoreplies should be sent when mails are received', 'Seleccionar cómo se envían las respuestas automáticas cuando se reciben correos.'),
('es-es', 'tracker', 'select a default tracker for new tickets or ''reject'' to disallow ticket creation via mail.', 'Seleccione un elemento para las incidencias nuevas o ''Rechazar'' para impedir que se creen incidencias por correo.'),
('es-es', 'tracker', 'restriction', 'Restricción'),
('es-es', 'tracker', 'restrict tracker items to staff and:', 'Restringir elementos de seguimiento al equipo y:'),
('es-es', 'tracker', 'restict tracker items to the creators primary group and the staff only', 'Restringir elementos de seguimiento al grupo primario del creador y equipo solo'),
('es-es', 'tracker', 'remind', 'Recordar'),
('es-es', 'tracker', 'reply also to unknown addresses', 'Responder también a las direcciones desconocidas'),
('es-es', 'tracker', 'resolution', 'Resolución'),
('es-es', 'tracker', 'restict tracker items to the creator and the staff only', 'Restringir elementos de seguimiento al creador y equipo solo'),
('es-es', 'tracker', 'rejected', 'Rechazado'),
('es-es', 'tracker', 'recieve notifications about own changes in tracker-items', 'Recibir notificaciones cuando hay cambios propios en los elementos de seguimiento'),
('es-es', 'tracker', 'receive notifications in html', 'Recibir notificaciones en html'),
('es-es', 'tracker', 'receive notifications about created tracker-items', 'Recibir notificaciones acerca de elementos del informe creados'),
('es-es', 'tracker', 'read mail address', 'Leer dirección de correo'),
('es-es', 'tracker', 'receive notifications about assigned tracker-items', 'Recibir notificaciones acerca de elementos del informe asignados'),
('es-es', 'tracker', 'queue', 'Cola'),
('es-es', 'tracker', 'projects', 'Proyectos'),
('es-es', 'tracker', 'project selection', 'Selección de proyecto'),
('es-es', 'tracker', 'priorities with empty label are not available to the user', 'Prioridades con la etiqueta vacía que no están disponibles para el usuario'),
('es-es', 'tracker', 'priorities', 'Prioridades'),
('es-es', 'tracker', 'print entry', 'Imprimir'),
('es-es', 'tracker', 'port number', 'Número del puerto'),
('es-es', 'tracker', 'postponed', 'Pospuesto'),
('es-es', 'tracker', 'permit html editing in overview and comments', 'Permitir edición html en la descripción y comentarios'),
('es-es', 'tracker', 'permission denied !!!', '¡No tiene permiso de acceso!'),
('es-es', 'tracker', 'pending items will be closed automatic after %1 days without response.', 'Los elementos pendientes se cerrarán automáticamente después de %1 días sin respuesta.'),
('es-es', 'tracker', 'pending items never get close automatic.', 'Los elementos pendientes nunca se cierran automáticamente'),
('es-es', 'tracker', 'ownership of the ticket', 'Propietario del elemento de seguimiento'),
('es-es', 'tracker', 'pending', 'Pendiente'),
('es-es', 'tracker', 'overdue after', 'Vencimiento después de'),
('es-es', 'tracker', 'out of date', 'Fuera de fecha'),
('es-es', 'tracker', 'notification', 'Notificación'),
('es-es', 'tracker', 'noone', 'Nadie'),
('es-es', 'tracker', 'non-anonymous users', 'Usuarios no anónimos'),
('es-es', 'tracker', 'no change', 'Sin cambios'),
('es-es', 'tracker', 'no trackers found, aborting', 'No se ha encontrado sistemas de seguimiento, abortando'),
('es-es', 'tracker', 'new tracker item submitted by %1 at %2', 'Nuevo elemento de seguimiento enviado por %1 a las %2'),
('es-es', 'tracker', 'new ticket submitted by %1 at %2', 'Nuevo elemento de seguimiento enviado por %1 a las %2'),
('es-es', 'tracker', 'new items', 'Nuevos elementos'),
('es-es', 'tracker', 'new %1', 'Nuevo %1'),
('es-es', 'tracker', 'matching filter', 'filtro que coincide'),
('es-es', 'tracker', 'mail handling', 'Gestión del correo'),
('es-es', 'tracker', 'list of coma separated email address', 'Lista de direcciones de correo electrónico separadas por comas'),
('es-es', 'tracker', 'last reply', 'última respuesta'),
('es-es', 'tracker', 'later', 'Más tarde'),
('es-es', 'tracker', 'links', 'Enlaces'),
('es-es', 'tracker', 'language for the copy', 'Idioma para la copia'),
('es-es', 'tracker', 'last modified', 'Última modificación'),
('es-es', 'tracker', 'item creator', 'Elemento creado por'),
('es-es', 'tracker', 'item assignee', 'Elemento asignado a'),
('es-es', 'tracker', 'introduction message', 'Mensaje de introducción'),
('es-es', 'tracker', 'invalid', 'No es válido'),
('es-es', 'tracker', 'interval in minutes for checking the incoming mails', 'Intervalo en minutos para comprobar el correo entrante'),
('es-es', 'tracker', 'info only', 'Sólo información'),
('es-es', 'tracker', 'incoming mail server', 'Servidor de correo entrante'),
('es-es', 'tracker', 'incoming mail folder', 'Carpeta de correo entrante'),
('es-es', 'tracker', 'incoming mail rules', 'Reglas para el correo entrante'),
('es-es', 'tracker', 'import tts tickets', 'Importar tickets de TTS'),
('es-es', 'tracker', 'ignore unrecognized mails. they will not be deleted from the server, even if ''delete mails'' above is tagged.', 'Ignorar los correos no reconocidos. No se borrarán del servidor, includo si ''Borrar correos'' arriba está señalado.'),
('es-es', 'tracker', 'ignore', 'Ignorar'),
('es-es', 'tracker', 'if this item is important for you, please vote for it.', 'Si este elemento es importante para usted, por favor, vote por él.'),
('es-es', 'tracker', 'if this item is important for you, please consider to set a bounty for it!', 'Si este elemento es importante para usted, por favor, considere establecer una recompensa.'),
('es-es', 'tracker', 'id', 'ID'),
('es-es', 'tracker', 'html editing', 'Edición html'),
('es-es', 'tracker', 'from', 'De'),
('es-es', 'tracker', 'history', 'Historial'),
('es-es', 'tracker', 'forward unrecognized mails to the email address that has to be specified here.', 'Reenviar los correos no reconocidos a la dirección de correo especificada aquí.'),
('es-es', 'tracker', 'forward to', 'Reenviar a'),
('es-es', 'tracker', 'fixed', 'Corregido'),
('es-es', 'tracker', 'field', 'Campo'),
('es-es', 'tracker', 'existing links', 'Enlaces existentes'),
('es-es', 'tracker', 'escalation saved.', 'Se ha guardado el escalado.'),
('es-es', 'tracker', 'everybody', 'Todos'),
('es-es', 'tracker', 'escalation not found!', '¡No se ha encontrado el escalado!'),
('es-es', 'tracker', 'escalation deleted.', 'Se ha borrado un escalado.'),
('es-es', 'tracker', 'escalation', 'Escalado'),
('es-es', 'tracker', 'escalation added.', 'Se ha añadido un escalado.'),
('es-es', 'tracker', 'error saving the entry!!!', '¡Error al guardar la entrada!'),
('es-es', 'tracker', 'error deleting escalation!', '¡Error al borrar el escalado!'),
('es-es', 'tracker', 'entry saved', 'Se ha guardado la entrada'),
('es-es', 'tracker', 'error adding the new tracker!', '¡Error al añadir el nuevo informe!'),
('es-es', 'tracker', 'enter the mail address that will be read.', 'Introduzca la dirección de correo que se leerá'),
('es-es', 'tracker', 'enter the imap server from which emails should be fetched', 'Introduzca el servidor IMAP del cual recoger el correo'),
('es-es', 'tracker', 'enter an opening text for the reply message', 'Introduzca un texto de apertura para el mensaje de respuesta'),
('es-es', 'tracker', 'enter an email address here if unrecognized mails should be forwarded', 'Introduzca una dirección de correo aquí si los correos no reconocidos tienen que ser reenviados'),
('es-es', 'tracker', 'email handling can be configured only for all trackers', 'La gestión del correo sólo puede configurarse para todos los elementos'),
('es-es', 'tracker', 'email address to contact you', 'Dirección de correo electrónico de contacto'),
('es-es', 'tracker', 'edit entry', 'Editar entrada'),
('es-es', 'tracker', 'edit %1', 'Editar %1'),
('es-es', 'tracker', 'e-mail notifications', 'Notificaciones por correo'),
('es-es', 'tracker', 'e-mail address to which a copy of all tracker-notifications should be send', 'Dirección de correo electrónico a la que enviar una copia de todas las notificaciones'),
('es-es', 'tracker', 'duplicate', 'Duplicado'),
('es-es', 'tracker', 'donator name to show', 'Nombre del donante a mostrar'),
('es-es', 'tracker', 'do you want to vote for this item', '¿Desea votar por este elemento?'),
('es-es', 'tracker', 'deleted', 'Borrado'),
('es-es', 'tracker', 'delete unrecognized mails from the server, even if ''delete mails'' above is not tagged.', 'Borrar correos no reconocidos del servidor, incluso si ''Borrar correos'' no está señalado.'),
('es-es', 'tracker', 'delete this tracker including all it''s items and categories', 'Borrar este informe incluyendo todos sus elementos y categorías'),
('es-es', 'tracker', 'delete this version', 'Borrar esta versión'),
('es-es', 'tracker', 'delete this status', 'Borrar este estado'),
('es-es', 'tracker', 'delete this escalation', 'Borrar este escalado'),
('es-es', 'tracker', 'delete this entry', 'Borrar esta entrada'),
('es-es', 'tracker', 'delete this category', 'Borrar esta categoría'),
('es-es', 'tracker', 'delete this canned response', 'Borrar esta respuesta automatizada'),
('es-es', 'tracker', 'delete this bounty', 'Borrar esta recompensa'),
('es-es', 'tracker', 'delete mails from server', 'Borrar correos del servidor'),
('es-es', 'tracker', 'date opened', 'Fecha de apertura'),
('es-es', 'tracker', 'custom tracker priorities', 'Prioridades del elemento personalizado'),
('es-es', 'tracker', 'custom fields', 'Campos personalizados'),
('es-es', 'tracker', 'creator', 'Creador'),
('es-es', 'tracker', 'creation date', 'fecha de creación'),
('es-es', 'tracker', 'created', 'Creado'),
('es-es', 'tracker', 'create new links', 'Crear enlaces nuevos'),
('es-es', 'tracker', 'convert all open tickets', 'Convertir todos los tickets abiertos'),
('es-es', 'tracker', 'converted count', 'Cuenta de convertidos'),
('es-es', 'tracker', 'copy to', 'Copiar a'),
('es-es', 'tracker', 'confirmed', 'Confirmado'),
('es-es', 'tracker', 'convert all closed tickets', 'Convertir todos los tickets'),
('es-es', 'tracker', 'confirm the receipt of money for this bounty', 'Confirme la recepción del dinero para esta recompensa'),
('es-es', 'tracker', 'confirm that you pay the specified bounty to implement or fix the issue', 'Confirme que paga la recompensa especificada para implementar or corregir el problema'),
('es-es', 'tracker', 'configuration, acl, notifications', 'Configuración, ACL, notificaciones'),
('es-es', 'tracker', 'configuration updated.', 'Se ha actualizado la configuración'),
('es-es', 'tracker', 'configuration for all trackers', 'Configuración para todos los seguimientos'),
('es-es', 'tracker', 'configuration', 'Configuración'),
('es-es', 'tracker', 'completed', 'Completado'),
('es-es', 'tracker', 'comments', 'Comentarios'),
('es-es', 'tracker', 'comment by %1 at %2:', 'Comentario por %1 a las %2:'),
('es-es', 'tracker', 'closed', 'Cerrado'),
('es-es', 'tracker', 'close pending', 'Cerrar elementos pendientes'),
('es-es', 'tracker', 'check mail interval', 'Intervalo para comprobar el correo'),
('es-es', 'tracker', 'choose a project from the drop-down list', 'Elegir un proyecto de la lista desplegable'),
('es-es', 'tracker', 'check all', 'Comprobar todo'),
('es-es', 'tracker', 'category for new tickets', 'Categoría para tickets nuevos'),
('es-es', 'tracker', 'changes made below will be lost, if not applied before!', '¡Los cambios realizados debajo se perderán, si no se aplican antes!'),
('es-es', 'tracker', 'bounty deleted.', 'Recompensa borrada'),
('es-es', 'tracker', 'bounty set', 'Recompensa fijada'),
('es-es', 'tracker', 'canned response', 'Respuesta automatizada'),
('es-es', 'tracker', 'canned responses', 'Respuestas automatizadas'),
('es-es', 'tracker', 'categories, versions, canned responses', 'Categorías, versiones, respuestas automatizadas'),
('es-es', 'tracker', 'bounty deleted', 'Recompensa borrada'),
('es-es', 'tracker', 'bounty confirmed.', 'Recompensa confirmada'),
('es-es', 'tracker', 'bounties', 'Recompensas'),
('es-es', 'tracker', 'bounty confirmed', 'Recompensa confirmada'),
('es-es', 'tracker', 'automatic email handling', 'Gestión automática del correo'),
('es-es', 'tracker', 'autoassign to', 'Asignar automáticamente a'),
('es-es', 'tracker', 'attachments & links', 'Adjuntos y enlaces'),
('es-es', 'tracker', 'assigning groups', 'Grupos asignados'),
('es-es', 'tracker', 'assigned to', 'Asignado a'),
('es-es', 'tracker', 'assign to project', 'Asignar al proyecto'),
('es-es', 'tracker', 'amount', 'Cantidad'),
('es-es', 'tracker', 'already escalated', 'ya escalado'),
('es-es', 'tracker', 'allow voting on tracker items, show and sort after the votes', 'Permitir votar en elementos de seguimiento. Mostrar y ordenar después de los votos'),
('es-es', 'tracker', 'allow voting', 'Permitir votar'),
('es-es', 'tracker', 'allow to assign groups to tracker items', 'Permitir asignar grupos para seguimiento de elementos'),
('es-es', 'tracker', 'allow editing by', 'Permitir edición por'),
('es-es', 'tracker', 'allow the predefinition of projects that will be assigned to new tracker-items.', 'Permitir predefinir proyectos que se asignarán a elementos nuevos de seguimiento.'),
('es-es', 'tracker', 'allow default projects for tracker', 'Permitir proyectos predeterminados para el seguimiento'),
('es-es', 'tracker', 'allow bounties', 'Permitir recompensas'),
('es-es', 'tracker', 'all tickets are already converted to tracker', 'Todos los tickets se han convertido al sistema de seguimiento'),
('es-es', 'tracker', 'after how many days pending items should be closed automatic', 'Después de cuantos días los elementos pendientes deben cerrarse automáticamente'),
('es-es', 'tracker', 'after', 'después'),
('es-es', 'tracker', 'after how many days a not replied item should be marked overdue?', '¿Después de cuántos días un elemento sin respuesta debe quedar marcado como obsoleto?'),
('es-es', 'tracker', 'add unrecognized mail address to the cc field', 'Añadir la dirección de correo no reconocida al campo CC'),
('es-es', 'tracker', 'add timesheet entry', 'Añadir entrada de la hoja de tiempos'),
('es-es', 'tracker', 'add comment', 'Añadir comentario'),
('es-es', 'tracker', 'add assigned', 'Añadir asignados'),
('es-es', 'tracker', 'add additionally', 'añadir adicionalmente'),
('es-es', 'tracker', 'activate users queue access control', 'Activar control de acceso para la cola de usuarios'),
('es-es', 'tracker', 'accepted', 'Aceptada'),
('es-es', 'tracker', '9 - highest', '9 - la más alta'),
('es-es', 'tracker', '5 - medium', '5 - media'),
('es-es', 'tracker', '1 - lowest', '1 - la más baja'),
('es-es', 'tracker', '--> enter new name', '--> introduzca un nombre nuevo'),
('es-es', 'tracker', '--> choose a project from the drop-down list', '--> elija un proyecto de la lista desplegable'),
('es-es', 'tracker', '(new tickets as', '(Nueva incidencia como'),
('es-es', 'tracker', '&#9830; without reply not closed', '♦ Sin contestación no cerrado'),
('es-es', 'tracker', '&#9830; without 30 days reply not closed', '♦ Sin contestación en 30 días no cerrado'),
('es-es', 'tracker', '&#9830; own without reply not closed', '♦ Propio sin contestación no cerrado'),
('es-es', 'tracker', '&#9830; own not closed', '♦ Propio no cerrado'),
('es-es', 'tracker', '&#9830; not closed', '♦ No cerrado'),
('es-es', 'tracker', '%1 tickets have been converted', 'Se han convertido %1 tickets'),
('es-es', 'tracker', '%1 entries updated.', 'Se han actualizado %1 entradas.'),
('es-es', 'timesheet', 'your database is not up to date (%1 vs. %2), please run %3setup%4 to update your database.', 'La base de datos NO está actualizada (%1 vs %2). Por favor, ejecute %3setup%4 para actualizar la base de datos.'),
('es-es', 'timesheet', 'week', 'Semana'),
('es-es', 'timesheet', 'yesterday', 'Ayer'),
('es-es', 'timesheet', 'you need to select some timesheets first', 'Antes necesita seleccionar algunas hojas de tiempo'),
('es-es', 'timesheet', 'view this entry', 'Ver esta entrada'),
('es-es', 'timesheet', 'values for selectbox', 'Valores para la lista de selección.'),
('es-es', 'timesheet', 'unitprice', 'Precio por unidad'),
('es-es', 'timesheet', 'tracker', 'Sistema de seguimiento'),
('es-es', 'timesheet', 'timesheet-%1 deleted.', 'Hoja de tiempo-%1 ''%2'' borrado.'),
('es-es', 'timesheet', 'timesheet-%1 ''%2'' updated.', 'Hoja de tiempo-%1 ''%2'' actualizado.'),
('es-es', 'timesheet', 'timesheet status-%1 ''%2'' added.', 'Estado de la hoja de tiempo-%1 ''%2'' añadido.'),
('es-es', 'timesheet', 'timesheet modified by %1 at %2', 'Hoja de tiempos modificada por %1 a las %2'),
('es-es', 'timesheet', 'timesheet openoffice export', 'Exportar a OpenOffice la hoja de presencia'),
('es-es', 'timesheet', 'timesheet csv export', 'Exportar a CSV la hoja de presencia'),
('es-es', 'timesheet', 'ticket modified by %1 at %2', 'Ticket modificado por %1 a las %2'),
('es-es', 'timesheet', 'this week', 'Esta semana'),
('es-es', 'timesheet', 'this year', 'Este año'),
('es-es', 'timesheet', 'the text displayed to the user', 'el texto mostrado al usuario'),
('es-es', 'timesheet', 'this month', 'Este mes'),
('es-es', 'timesheet', 'the name used internaly (<= 20 chars), changeing it makes existing data unavailible', 'el nombre utilizado internamente (<= 20 caracteres), si se cambia, impide acceder a los datos'),
('es-es', 'timesheet', 'sum %1:', 'Suma %1:'),
('es-es', 'timesheet', 'status updated.', 'Se ha actualizado el estado.'),
('es-es', 'timesheet', 'status of created timesheets', 'Estado de las hojas de tiempo creadas'),
('es-es', 'timesheet', 'status deleted.', 'Se ha borrado el estado.'),
('es-es', 'timesheet', 'starttime has to be before endtime !!!', '¡La hora de comienzo tiene que ser antes que la hora de fin!'),
('es-es', 'timesheet', 'starttime', 'Hora de inicio'),
('es-es', 'timesheet', 'start', 'Inicio'),
('es-es', 'timesheet', 'select the predefined status, whan creating a new timesheet', 'Seleccionar el estado predefinido cuando se cree una hoja de tiempos nueva'),
('es-es', 'timesheet', 'select multiple timeshhets for a further action', 'Seleccionar múltiples hojas de tiempo para una acción posterior'),
('es-es', 'timesheet', 'select infolog', 'seleccionar elemento de tareas'),
('es-es', 'timesheet', 'select a price', 'Seleccionar un precio'),
('es-es', 'timesheet', 'select a project', 'Seleccionar un proyecto'),
('es-es', 'timesheet', 'select a status of the timesheet', 'seleccionar un estado de una hoja de tiempo'),
('es-es', 'timesheet', 'saves this entry and add a new one', 'Guarda esta entrada y añade una nueva'),
('es-es', 'timesheet', 'saves the changes made and leaves', 'guarda los cambios realizados y sale'),
('es-es', 'timesheet', 'quantity', 'Cantidad'),
('es-es', 'timesheet', 'save & new', 'Guardar y crear'),
('es-es', 'timesheet', 'saves the changes made', 'Guardar los cambios realizados'),
('es-es', 'timesheet', 'price', 'Precio'),
('es-es', 'timesheet', 'permission denied!!!', '¡Se ha denegado el permiso!'),
('es-es', 'timesheet', 'parent', 'Padre'),
('es-es', 'timesheet', 'order', 'Orden'),
('es-es', 'timesheet', 'or endtime', 'u hora de finalización'),
('es-es', 'timesheet', 'only admin can edit this status', 'sólo el administador puede editar el estado'),
('es-es', 'timesheet', 'only admin', 'Sólo el administrador'),
('es-es', 'timesheet', 'no status', 'Sin estado'),
('es-es', 'timesheet', 'number of row for a multiline inputfield or line of a multi-select-box', 'número de fila para un campo de entrada multilínea or línea de un campo de selección múltiple'),
('es-es', 'timesheet', 'no project', 'Sin proyecto'),
('es-es', 'timesheet', 'new timesheet submitted by %1 at %2', 'Nueva hoja de tiempos emitida por %1 a las %2'),
('es-es', 'timesheet', 'no details', 'Sin detalles'),
('es-es', 'timesheet', 'new ticket submitted by %1 at %2', 'Nuevo ticket enviado por %1 a las %2'),
('es-es', 'timesheet', 'modify the status of the timesheet', 'Modificar el estado de la hoja de tiempos'),
('es-es', 'timesheet', 'max length of the input [, length of the inputfield (optional)]', 'longitud máxima de la entrada [, longitud del campo de entrada (opcional)]'),
('es-es', 'timesheet', 'links', 'Enlaces'),
('es-es', 'timesheet', 'leaves without saveing', 'sale sin guardar'),
('es-es', 'timesheet', 'length<br>rows', 'Longitud<br>Filas'),
('es-es', 'timesheet', 'last month', 'Último mes'),
('es-es', 'timesheet', 'last week', 'Última semana'),
('es-es', 'timesheet', 'last year', 'Último año'),
('es-es', 'timesheet', 'leave it empty for a full week', 'Dejar en blanco durante una semana completa'),
('es-es', 'timesheet', 'id', 'ID'),
('es-es', 'timesheet', 'last modified', 'Ultima modificación'),
('es-es', 'timesheet', 'general', 'General'),
('es-es', 'timesheet', 'global categories', 'Categorías globales'),
('es-es', 'timesheet', 'history', 'Historial'),
('es-es', 'timesheet', 'field must not be empty !!!', '¡El campo no debe estar vacío!'),
('es-es', 'timesheet', 'exports entries from your timesheet into a csv file. csv means ''comma seperated values''. however in the options tab you can also', 'Exporta entradas desde la hoja de tiempos en un fichero CSV (valores separados por comas). Sin embargo, también se pueden elegir otros separadores en la pestaña de opciones.'),
('es-es', 'timesheet', 'export to openoffice spreadsheet', 'Exportar a hoja de cálculo de OpenOffice'),
('es-es', 'timesheet', 'export', 'exportar'),
('es-es', 'timesheet', 'existing links', 'Enlaces existentes'),
('es-es', 'timesheet', 'error saving the entry!!!', '¡Se ha producido un error al guardar la entrada!'),
('es-es', 'timesheet', 'error deleting the entry!!!', 'Error al borrar la entrada'),
('es-es', 'timesheet', 'entry saved', 'Se ha guardado la entrada'),
('es-es', 'timesheet', 'end', 'Fin'),
('es-es', 'timesheet', 'entry deleted', 'Se ha borrado la entrada'),
('es-es', 'timesheet', 'empty if identical to duration', 'Vacío si es idéntico a la duración'),
('es-es', 'timesheet', 'edit this entry', 'Editar esta entrada'),
('es-es', 'timesheet', 'edit status', 'Editar estado'),
('es-es', 'timesheet', 'each value is a line like <id>[=<label>]', 'cada valor es una línea como <id>[=<etiqueta>]'),
('es-es', 'timesheet', 'determines the order the fields are displayed', 'determina el orden en que se muestran los campos'),
('es-es', 'timesheet', 'deletes this field', 'borra este campo'),
('es-es', 'timesheet', 'deleted', 'borrado'),
('es-es', 'timesheet', 'delete timesheet', 'Borrar hoja de tiempo'),
('es-es', 'timesheet', 'delete this status', 'Borrar este estado'),
('es-es', 'timesheet', 'custom fields', 'Campos personalizados'),
('es-es', 'timesheet', 'creating new entry', 'creando nueva entrada'),
('es-es', 'timesheet', 'creates a new field', 'crea un campo nuevo'),
('es-es', 'timesheet', 'create new links', 'Crear enlaces nuevos'),
('es-es', 'timesheet', 'comment by %1 at %2:', 'Comentario por %1 a las %2:'),
('es-es', 'timesheet', 'check all', 'Marcar todo'),
('es-es', 'timesheet', 'by', 'por'),
('es-es', 'timesheet', 'changed status', 'estado cambiado'),
('es-es', 'timesheet', 'apply the action on the whole query, not only the shown timesheets!!!', '¡Aplicar la acción a toda la consulta, NO sólo a las hojas de tiempo mostradas!'),
('es-es', 'timesheet', 'and its members', 'y sus miembros'),
('es-es', 'timesheet', 'applies the changes', 'aplica los cambios'),
('es-es', 'timesheet', 'all status', 'Todos los estados'),
('es-es', 'timesheet', '3 years ago', 'Hace 3 años'),
('es-es', 'timesheet', 'all projects', 'Todos los proyectos'),
('es-es', 'timesheet', '2 month ago', 'Hace 2 meses'),
('es-es', 'timesheet', '2 years ago', 'Hace 2 años'),
('es-es', 'timesheet', '--> enter new name', '--> introduzca un nombre nuevo'),
('es-es', 'timesheet', '%1 timesheets(s) %2, %3 failed because of insufficent rights !!!', '%1 hojas de tiempo %2, !!%2 fallaron por falta de permisos!!'),
('es-es', 'timesheet', '%1 timesheets(s) %2', '%1 hojas de tiempo %2'),
('es-es', 'syncml', 'your egroupware password', 'Su contraseña de EGroupware');
INSERT INTO `egw_lang` (`lang`, `app_name`, `message_id`, `content`) VALUES
('es-es', 'syncml', 'your calendar will be synchronized up to this number of seconds in the past (2678400 seconds = 31 days).', 'Su calendario se sincronizará hasta esta número de segundos en el pasado (2678400 segundos = 31 días).'),
('es-es', 'syncml', 'you can synchronize your<ul><li>addressbook</li><li>calendar</li><li>task (infolog)</li><li>notes (infolog)</li></ul>', 'Puede sincronizar:<ul><li>Libreta de direcciones</li><li>Calendario</li><li>Tareas (del registro)</li><li>Notas (del registro)<li></ul>'),
('es-es', 'syncml', 'vcard is the new format for sync and we recomment to use vcard instead of sif.', 'Vcard es el nuevo formato para sincronizar y recomendados que use vcard en vez de SIF.'),
('es-es', 'syncml', 'to this calendar category a conflict duplicate will be added.', 'A esta categoría del calendario se le añadirá un conflicto de duplicado.'),
('es-es', 'syncml', 'to this addressbook category a conflict duplicate will be added.', 'A esta categoría de la libreta de direcciones se le añadirá un conflicto de duplicado.'),
('es-es', 'syncml', 'this application does not provide <i>frontend</i> functionality but implements synchronization of various content with external ', 'Esta aplicación no proporciona la funcionalidad de un <i>frontend</i>, pero implementa la sincronización de diverso contenido con dispositivos externos mediante el protocolo SyncML/HTTP.<br/>Esta versión de EGroupware no soporta SyncML 1.0, 1.1 y 1.2.<br/>'),
('es-es', 'syncml', 'this address list of contacts will be synchronized. if used together with the addressbook option, this list will appended.', 'Esta lista de contactos se sincronizará. Si se usa junto con la opción de libreta de direcciones, esta lista se añadirá.'),
('es-es', 'syncml', 'this address list of contacts will be synchronized.', 'Esta lista de contactos se sincronizará.'),
('es-es', 'syncml', 'there are certain settings of the client which you have to adjust for egroupware synchronization:', 'Hay ciertas opciones del cliente que tiene que ajustar para la sincronización de EGroupware:'),
('es-es', 'syncml', 'the syncml application', 'La aplicación SyncML'),
('es-es', 'syncml', 'the syncml module provides some customization parameters for conflict handling which you can find in your', 'El módulo SyncML proporciona algunos parámetros para personalizar la gestión de conflictos que se puede encontrar en su'),
('es-es', 'syncml', 'the server reverts all client changes.', 'El servidor revierte todos los cambios del cliente.'),
('es-es', 'syncml', 'the second option relies on the client''s cooperation, though. if it gets a change, the server will send its own version of the d', 'La segunda opción depende de la cooperación del cliente. Si recibe un cambio, el servidor enviará su propia versión de los datos de vuelta al cliente. De esta forma, se supone que el cliente revertirá los cambios.'),
('es-es', 'syncml', 'the next two options will put the server in read only mode. if the client sends changes to the server, you can choose between:', 'Las dos opciones siguientes pondrán el servidor en modo de sólo lectura. Si el cliente envía cambios al servidor, puede elegir entre:'),
('es-es', 'syncml', 'tasks', 'tareas'),
('es-es', 'syncml', 'the client and server data is unchanged (split brain).', 'Los datos del cliente y del servidor no han cambiado (split brain).'),
('es-es', 'syncml', 'task synchronization options', 'Opciones de sincronización de tareas'),
('es-es', 'syncml', 'task (infolog)', 'Tarea (del registro)'),
('es-es', 'syncml', 'syncronization calendars', 'Calendarios a sincronizar'),
('es-es', 'syncml', 'syncml preferences', 'Preferencias de SyncML'),
('es-es', 'syncml', 'synchronize this selection', 'Sincronizar esta selección'),
('es-es', 'syncml', 'synchronize this list', 'Sincronizar esta lista'),
('es-es', 'syncml', 'synchronize this addressbook', 'Sincronizar esta libreta de direcciones'),
('es-es', 'syncml', 'settings for', 'Opciones para'),
('es-es', 'syncml', 'slowsync ignore map', 'Mapa de ignorar sincronización lenta'),
('es-es', 'syncml', 'server location/url', 'Ubicación del servidor/URL'),
('es-es', 'syncml', 'server wins', 'El servidor gana'),
('es-es', 'syncml', 'resolv with duplicates', 'Resolver con duplicados'),
('es-es', 'syncml', 'primary group', 'Grupo principal'),
('es-es', 'syncml', 'remote database names', 'Nombres de la base de datos remota'),
('es-es', 'syncml', 'preferences for the syncml conflict handling<br/>and server r/o options', 'Preferencias para la gestión de conflictos SyncML<br/>y opciones R/O del servidor'),
('es-es', 'syncml', 'owner too', 'El propietario también'),
('es-es', 'syncml', 'preferences for the syncml', 'Preferencias para SyncML'),
('es-es', 'syncml', 'only tasks matching this filter criteria will be synchronized.', 'Sólo se sincronizarán las tareas que cumplan los criterios del filtro.'),
('es-es', 'syncml', 'only notes matching this filter criteria will be synchronized.', 'Sólo se sincronizarán las notas que cumplan los criterios del filtro.'),
('es-es', 'syncml', 'only events up to this number of seconds in the future will be synchonized (65000000 seconds > 2 years).', 'Sólo se sincronizarán los eventos con el límite de segundos en el futuro (65000000 segundos > 2 años).'),
('es-es', 'syncml', 'only events matching this filter criteria will be synchronized.', 'Sólo se sincronizarán los eventos que cumplan con los criterios del filtro.'),
('es-es', 'syncml', 'only entries from this addressbook (and the above list) will be synchronized.', 'Sólo se sincronizarán las entradas de esta libreta de direcciones (y la lista de arriba).'),
('es-es', 'syncml', 'notes (infolog)', 'Notas (registro)'),
('es-es', 'syncml', 'note synchronization options', 'Opciones de sincronización para notas'),
('es-es', 'syncml', 'not rejected', 'No rechazado'),
('es-es', 'syncml', 'minimum uid length', 'Longitud mínima del UID'),
('es-es', 'syncml', 'minimum accepted uid length', 'Longitud mínima aceptada del UID'),
('es-es', 'syncml', 'merge data', 'Mezclar datos'),
('es-es', 'syncml', 'jobs', 'Trabajos'),
('es-es', 'syncml', 'items are changed on both &mdash; server and client side &mdash; before the next synchronization, this is called a conflict situ', 'Los elementos se modifican tanto en el servidor como en el cliente antes de la siguiente sincronización, lo que se llama una situación de conflicto. Puede configurar la gestión de conflictos de EGroupware individualmente para cada destino. Hay tres formas distintas de gestionar los cambios de cliente con colisión:<br>'),
('es-es', 'syncml', 'infolog conflict category', 'Categoría de conflicto de registro'),
('es-es', 'syncml', 'ignore client', 'Ignorar cliente'),
('es-es', 'syncml', 'if you select <b>duplicates</b> as conflict resolution, you may want to assign a certain <b>category</b> for these data items. i', 'Si se selecciona <b>duplicados</b> como solución del conflicto, puede desear asignar una determinada <b>categoría</b> para los datos de estos elementos. Si EGroupware detecta una colisión, asignará el elemento del servidor a la <i>categoría de conflicto</i> seleccionada y sustituirá el elemento original con el contenido del cliente.'),
('es-es', 'syncml', 'if enabled, egroupware will ignore the mapping information of fromer sync-sessions during slowsyncs.', 'Si se activa, EGroupware ignorará la información de mapeo de anteriores sesiones de sincronización durante sincronizaciones lentas.'),
('es-es', 'syncml', 'if enabled, egroupware will allow only devices which are allowed by the administrator.', 'Si se activa, EGroupware sólo permitirá los dispositivos permitidos por el administrador.'),
('es-es', 'syncml', 'for <b>max entries</b> = 0 either <i>maxmsgsize</i> will be used or the default value 10.<br/>with <b>non blocking allday events', 'Para <b>las extradas máximas</b> que sean igual a 0 o para el <i>tamaño máximo del mensaje</i> se usará el valor predeterminado, 10.<br/>Con los <b>Eventos que no bloquean y que duran todo el día</b> activos, los eventos que duran todo el día no bloquearán cuando se importen desde este dispositivo.<br/>La <b>extensión UID</b> activa la preservación de UIDs de calendario añadiéndolos al campo <i>Descripción</i> para este dispositivo.<br/>La <b>zona horaria</b> seleccionada se utiliza para la sincronización de eventos de calendario con el dispositivo. Si no está establecida, se usan las zonas horarias de los eventos.'),
('es-es', 'syncml', 'for <b>max entries</b> = 0 either <i>maxmsgsize</i> will be used or the default value 10.<br/>', 'Para <b>las extradas máximas</b> que sean igual a 0 o para el <i>tamaño máximo del mensaje</i> se usará el valor predeterminado, 10.<br/>'),
('es-es', 'syncml', 'events from selected calendars will be synchronized.', 'Se sincronizarán los eventos de los calendarios seleccionados.'),
('es-es', 'syncml', 'events', 'eventos'),
('es-es', 'syncml', 'enforce server', 'Forzar el servidor'),
('es-es', 'syncml', 'egroupware application', 'Aplicación de EGroupware'),
('es-es', 'syncml', 'do you really want to delete the synchonization history of the selected devices?', '¿Desea realmente borrar el historial de la sincronización de los dispositivos seleccionados?'),
('es-es', 'syncml', 'do you really want to delete the synchonization history of the selected datastores?', '¿Desea realmente borrar el historial de la sincronización de los almacenes seleccionados?'),
('es-es', 'syncml', 'device specific settings', 'Configuración específica del dispositivo'),
('es-es', 'syncml', 'deny unkown devices', 'Denegar los dispositivos denegados'),
('es-es', 'syncml', 'deny explicitly disabled devices', 'Denegar los servicios desactivados explícitamente'),
('es-es', 'syncml', 'datastore name', 'nombre del almacén'),
('es-es', 'syncml', 'contacts', 'contactos'),
('es-es', 'syncml', 'conflict handling and server r/o options', 'Gestión de conflictos y opciones de R/O del servidor'),
('es-es', 'syncml', 'conflict categories for egroupware data types', 'Categorías de conflicto para tipos de datos de EGroupware'),
('es-es', 'syncml', 'client wins', 'El cliente gana'),
('es-es', 'syncml', 'client configuration', 'Configuración del cliente'),
('es-es', 'syncml', 'card', 'tarjeta'),
('es-es', 'syncml', 'categories for conflict duplicates', 'Categorías para duplicados con conflicto'),
('es-es', 'syncml', 'calendar synchronization options', 'Opciones de sincronización del calendario'),
('es-es', 'syncml', 'caltasks', 'Tareas del calendario'),
('es-es', 'syncml', 'calendar history period', 'Período histórico del calendario'),
('es-es', 'syncml', 'calendar future period', 'Período futuro del calendario'),
('es-es', 'syncml', 'calendar filter', 'Filtro del calendario'),
('es-es', 'syncml', 'calendar conflict category', 'Categoría para conflictos del calendario'),
('es-es', 'syncml', 'auto', 'auto'),
('es-es', 'syncml', 'all incl. rejected', 'Todos, incluso los rechazados'),
('es-es', 'syncml', 'addressbook synchronization options', 'Opciones de sincronización de la libreta de direcciones'),
('es-es', 'syncml', 'addressbook conflict category', 'Categoría para conflictos de la libreta de direcciones'),
('es-es', 'syncml', 'accepted', 'Aceptado'),
('es-es', 'syncml', 'a duplicate infolog entry from a synchronization conflict will be assigned to this category.', 'Una entrada del registro duplicada desde un conflicto de sincronización se asignará a esta categoría.'),
('es-es', 'syncml', '<li>the client wins and overwrites the server data.</li><li>the server wins and overwrites the client data (default). </li><li>d', '<li>El cliente gana y sobreescribe los datos del servidor.</li><li>El servidor gana y sobreescribe los datos del cliente (predeterminado). </li><li>Las entradas duplicadas se crean desde ambas versiones.</li>'),
('es-es', 'sitemgr-link', 'your administrator has not yet setup the web content manager for public viewing.  go bug your administrator to get their butt in', 'Su administrador todavia no ha configurado el gestor de contenidos web para que se vea públicamente. Póngase en contacto con él para que lo active.'),
('es-es', 'sitemgr-link', 'sitemgr setup page', 'Página de instalación del administrador de sitios web'),
('es-es', 'sitemgr-link', 'note that you may get this message if your preferences are incorrect.  for example, if config.inc.php is not found in the direct', 'Tenga en cuenta que puede obtener este mensaje si sus preferencias no son correctas. Por ejemplo, si no encuentra el fichero config.inc.php en el directorio especificado.'),
('es-es', 'sitemgr', 'your name', 'Su nombre'),
('es-es', 'sitemgr', 'zip code', 'código zip'),
('es-es', 'sitemgr-link', 'before the public web site can be viewed, you must configure the various locations and preferences.  please go to the sitemgr se', 'Antes de que se pueda ver el sitio web público, debe configurar las distintas ubicaciones y preferencias. Por favor, vaya a la página de instalación del administrador de sitios web desde este enlace:'),
('es-es', 'sitemgr', 'your connection is not secure.', 'Su conexión no es segura.'),
('es-es', 'sitemgr', 'your comment', 'Su comentario'),
('es-es', 'sitemgr', 'your calendar', 'Su calendario'),
('es-es', 'sitemgr', 'you will remove the message in the following language from your notification system:', 'Eliminará el mensaje en el idioma siguiente de su sistema de notificación:'),
('es-es', 'sitemgr', 'you must be an administrator to setup the site manager.', 'Debe ser un administrador para configurar el Administrador del sitio.'),
('es-es', 'sitemgr', 'you need to be an administrator of this website to enter javascript!', '¡Necesita ser administrador de este sitio para introducir javascript!'),
('es-es', 'sitemgr', 'you removed one ore more languages from your site languages.', 'Eliminó uno o más idiomas de los del sitio.'),
('es-es', 'sitemgr', 'you must be an admin to edit categories.', 'Debe ser un administrador para editar todas las categorías.'),
('es-es', 'sitemgr', 'you must be an admin to edit the site header and footer.', 'Debe ser un administrador para editar el encabezado y el pie del sitio.'),
('es-es', 'sitemgr', 'you must be an admin to manage module properties.', 'Debe ser un administrador para manejar las propiedades del módulo.'),
('es-es', 'sitemgr', 'you may have deinstalled the used template ''%1''. reinstall it or go to sitemgr --> configure website and select an other one.', 'Puede haber desinstalado la plantilla usada ''%1''. Reinstálela o vaya a la opción de Configurar sitio web y seleccione otra.'),
('es-es', 'sitemgr', 'you have to enable url rewriting on the webserver!', '¡Tiene que activar la reescritura de URLs en el servidor web!'),
('es-es', 'sitemgr', 'you have no rights to view wiki content or the wiki is not installed at all !!!', 'No tiene derechos para ver el contenido del wiki o el wiki no está instalado'),
('es-es', 'sitemgr', 'you failed to fill in one or more required fields.', 'No ha rellenado correctamente uno o más campos requeridos'),
('es-es', 'sitemgr', 'you don''t have permission to write to that category.', 'No tiene permiso de escritura en esa categoría'),
('es-es', 'sitemgr', 'you don''t have permission to write in the category', 'No tiene permiso de escritura en la categoría'),
('es-es', 'sitemgr', 'you do not have write permissions for any site categories.', 'No tiene permiso de escritura para ninguna categoría de ningún sitio.'),
('es-es', 'sitemgr', 'you did not choose a module.', 'No ha elegido un módulo'),
('es-es', 'sitemgr', 'you do not have access to any content on this site.', 'No tiene acceso a ningún contenido en este sitio'),
('es-es', 'sitemgr', 'you can use %1 to fetch the above defined url of your logo.', 'Puede usar %1 para coger la URL definida arriba del logo.'),
('es-es', 'sitemgr', 'you can override each content blocks default title. be aware that not in all content areas the block title will be visible.', 'Puede ignorar el título predeterminado de cada bloque de contenido. Tenga cuidado, ya que el título del bloque no estará visible en todo el contenido.'),
('es-es', 'sitemgr', 'you can either migrate them to a new language or delete them', 'Puede migrarlas a un nuevo idioma o borrarlas.'),
('es-es', 'sitemgr', 'you are not entitled to edit block %1', 'No está autorizado a editar el bloque %1'),
('es-es', 'sitemgr', 'you can choose the modules that can be used on the site. the first list is a sort of master list, that is consulted if you do no', 'Puede elegir los módulos que se pueden usar en el sitio. La primera lista es una especie de lista maestra, que se consulta si no configura las listas específicas a las áreas de contenidos o (sub)categorías. Luego puede elegir listas específicas a cada área de contenidos. En el administrador de categorías, estas listas se pueden ignorar para cada (sub)categoría.'),
('es-es', 'sitemgr', 'you are not entitled to create module %1 on this scope', 'No está autorizado a crear el módulo %1 en este ámbito'),
('es-es', 'sitemgr', 'yes, please delete it', 'Sí, por favor, borrarlo.'),
('es-es', 'sitemgr', 'you are not entitled to change the scope of block %1 to cat %2 and page %3', 'No está autorizado a cambiar el ámbito del bloque %1 a Cat %2 y página %3'),
('es-es', 'sitemgr', 'xml browser', 'Navegador XML'),
('es-es', 'sitemgr', 'write permission', 'Permiso de escritura'),
('es-es', 'sitemgr', 'with which view should the module be displayed in the beginning?', '¿Con qué vista se debe mostrar el módulo al principio?'),
('es-es', 'sitemgr', 'wiki', 'Wiki'),
('es-es', 'sitemgr', 'wiki startpage', 'Página principal del wiki'),
('es-es', 'sitemgr', 'which main categories should be included (comma separated list, empty for all)', 'Qué categorías principales deben incluirse (lista separada por comas, en blanco para todo)'),
('es-es', 'sitemgr', 'when is a tab activated?', '¿Cuándo está activada una pestaña?'),
('es-es', 'sitemgr', 'which application should be executed after login?', '¿Qué aplicación ejecutar después de iniciar la sesión?'),
('es-es', 'sitemgr', 'web site manager', 'Administrador del sitio web'),
('es-es', 'sitemgr', 'website', 'Sitio web'),
('es-es', 'sitemgr', 'week', 'semana'),
('es-es', 'sitemgr', 'what do you want to do with existing translations of categories and pages for this language?', '¿Qué desea hacer con las traducciones existentes de las categorías y las páginas para este idioma?'),
('es-es', 'sitemgr', 'view template on this site', 'Ver plantilla en este sitio'),
('es-es', 'sitemgr', 'view threads', 'Ver conversaciones'),
('es-es', 'sitemgr', 'viewed', 'visto'),
('es-es', 'sitemgr', 'want more templates?', '¿Quiere más plantillas?'),
('es-es', 'sitemgr', 'web content manager administration', 'Administración del gestor de contenido web'),
('es-es', 'sitemgr', 'view generated site', 'Ver sitio generado'),
('es-es', 'sitemgr', 'view full index', 'Ver todo el índice'),
('es-es', 'sitemgr', 'view administrative menu', 'Ver menú administrativo'),
('es-es', 'sitemgr', 'vertical', 'Vertical'),
('es-es', 'sitemgr', 'user name', 'Nombre de usuario'),
('es-es', 'sitemgr', 'validator', 'Validador'),
('es-es', 'sitemgr', 'use this module for displaying wiki-pages', 'Usar este módulo para mostrar páginas del wiki'),
('es-es', 'sitemgr', 'use default', 'Usar predeterminado'),
('es-es', 'sitemgr', 'use phpnuke themes instead of templates', 'Usar temas de phpNuke en vez de plantillas'),
('es-es', 'sitemgr', 'use this module for displaying book ads for the amazon web site', 'Usar este módulo para mostrar publicidad de libros de amazon'),
('es-es', 'sitemgr', 'url pointing to the image-directory', 'URL que apunta al directorio de imágenes'),
('es-es', 'sitemgr', 'url to sitemgr-site', 'URL al directorio sitemgr-site'),
('es-es', 'sitemgr', 'use current user selected language', 'Usar el idioma seleccionado del usuario actual'),
('es-es', 'sitemgr', 'updating to new category system', 'Actualizando a nuevo sistema de categorías'),
('es-es', 'sitemgr', 'update notification', 'Notificación de actualizacion'),
('es-es', 'sitemgr', 'up to table of contents', 'Subir a la tabla de contenidos'),
('es-es', 'sitemgr', 'unsubscribe', 'Desuscribir'),
('es-es', 'sitemgr', 'up to parent', 'Subir al directorio superior'),
('es-es', 'sitemgr', 'unpack the downloaded template in your templates directory (%1) or use a custom template directory.', 'Desempaquete la plantilla descargada en su directorio de platillas (%1) o use un directorio de plantillas personalizado.'),
('es-es', 'sitemgr', 'translation status', 'Estado de la traducción'),
('es-es', 'sitemgr', 'translation manager', 'Administrador de traducciones'),
('es-es', 'sitemgr', 'translate site-wide content blocks', 'Traducir bloques de contenido globales a todo el sitio web'),
('es-es', 'sitemgr', 'translate page', 'Traducir página'),
('es-es', 'sitemgr', 'translate category', 'Traducir categoría'),
('es-es', 'sitemgr', 'translate', 'Traducir'),
('es-es', 'sitemgr', 'topic', 'Tópico'),
('es-es', 'sitemgr', 'this site', 'este sitio'),
('es-es', 'sitemgr', 'title', 'Título'),
('es-es', 'sitemgr', 'this should be a comma-separated list of language-codes.', 'Esto debe ser una lista de códigos de idioma separada por comas.'),
('es-es', 'sitemgr', 'this should be a page that is readable by everyone. if you leave this blank, the site index will be shown by default.', 'Esto debe ser una página que pueda ser leída por todo el mundo. Si deja esto en blanco, se mostrará el índice del sitio por defecto.'),
('es-es', 'sitemgr', 'this must be an absolute directory location.  <b>no trailing slash</b>.', 'Esto debe ser una ruta de directorio absoluta. <b>Sin barra invertida al final</b>.'),
('es-es', 'sitemgr', 'this module show the status / percentage of the translation of egw', 'Este módulo muestra el estado o porcentaje de la traducción de eGW'),
('es-es', 'sitemgr', 'this module search throw the content (page title/description and html content)', 'Este módulo busca arrojar el contenido (descripción o título de la página y contenido html)'),
('es-es', 'sitemgr', 'this module provides the site index, it is automatically used by the index get parameter', 'Este módulo proporciona el índice del sitio. Lo usa automáticamente el parámetro GET índice.'),
('es-es', 'sitemgr', 'this module provides the path to the element currently shown', 'Este módulo proporciona la ruta al elemento mostrado actualmente'),
('es-es', 'sitemgr', 'this module provides an xml sitemap (see www.sitemap.org)', 'Este módulo proporciona un XML sitemap (ver www.sitemap.org)'),
('es-es', 'sitemgr', 'this module provides tabs', 'Este módulo proporciona pestañas'),
('es-es', 'sitemgr', 'this module provides a condensed table of contents, meant for side areas', 'Este módulo proporciona una tabla de contenidos condensada, indicada para áreas laterales'),
('es-es', 'sitemgr', 'this module provides a complete table of contents, it is automatically used by the toc and category_id get parameters', 'Este módulo proporciona una tabla de contenidos completa. Se usa automáticamente por los parámetros GET toc y category_id'),
('es-es', 'sitemgr', 'this module permits browsing through xml files stored in a directory, and transformed by xslt', 'Este módulo permite navegar a través de los ficheros XML almacenados en un directorio, y transformados por XSLT'),
('es-es', 'sitemgr', 'this module lets you show a given url inside an iframe in the page.', 'Este módulo permite mostrar una URL dada dentro de un IFRAME en la página'),
('es-es', 'sitemgr', 'this module lets you include an applet into the page.', 'Este módulo le permite incluir un applet en la página'),
('es-es', 'sitemgr', 'this module lets you define pages that redirect to another url, if you use it, there should be no other block defined for the pa', 'Este módulo permite definir páginas que redirigen a otra URL. Si lo usa, no debería haber otro bloque definido para la página.'),
('es-es', 'sitemgr', 'this module lets users choose language', 'Este módulo permite a los usuarios elegir idioma'),
('es-es', 'sitemgr', 'this module lets the users choose a template or shows a template gallery', 'Este módulo permite a los usuarios elegir una plantilla, o muestra una galería de plantillas'),
('es-es', 'sitemgr', 'this module is a simple html editor', 'Este módulo es un editor HTML sencillo'),
('es-es', 'sitemgr', 'this module is a selectbox to change the mode (production, draft or edit) plus a link back to sitemgr and to log out. it is mean', 'Este módulo es un cuadro de selección para cambiar el modo (producción, borrador o editar) mas un enlace para volver al Administrador de sitios web y cerrar la sesión. Sólo para usuarios registrados.'),
('es-es', 'sitemgr', 'this module is a customisable navigation element', 'Este módulo es un elemento de navegacióon personalizable'),
('es-es', 'sitemgr', 'this module includes the contents of an url or file (readable by the webserver and in its docroot !)', 'Este módulo incluye el contenido de una URL o fichero (siempre que lo pueda leer el servidor web y esté dentro de la raíz de los documentos)'),
('es-es', 'sitemgr', 'this module displays the root categories, its pages and evtl. subcategories. it is meant for side areas', 'Este módulo muestra las categorías raíz, sus páginas y, eventualmente, subcategorías. Para áreas laterales.'),
('es-es', 'sitemgr', 'this module displays the root categories in one block each, with pages and subcategories (incl. their pages if activated).', 'Este módulo muestra las categorias raíz, una en cada bloque, con páginas y subcategorías (incluyendo sus páginas si están activadas).'),
('es-es', 'sitemgr', 'this module displays the egw forums on the web site', 'Este módulo muestra los foros eGW en el sitio web'),
('es-es', 'sitemgr', 'this module displays the current month', 'Este módulo muestra el mes actual'),
('es-es', 'sitemgr', 'this module displays bookmarks in a javascript based tree', 'Este módulo muestra los marcadores en forma de árbol mediante javascript'),
('es-es', 'sitemgr', 'this module displays block from a adddressbook group.', 'Este módulo muestra Bloque de un grupo de la libreta de direcciones.'),
('es-es', 'sitemgr', 'this module displays any kind of navigation element.', 'Este módulo muestra cualquier clase de elemento de navegación.'),
('es-es', 'sitemgr', 'this module displays a login form', 'Este módulo muestra un formulario para iniciar la sesión'),
('es-es', 'sitemgr', 'this module demonstrates how handling data stored in xml and building an interacvite interface from it', 'Este módulo demuestra cómo manejar los datos almacenados en XML y constuir una interfaz interactiva desde ahí.'),
('es-es', 'sitemgr', 'this module create a link for downloading a file(s) from the vfs', 'Este módulo crea un enlace para descargar ficheros del VFS'),
('es-es', 'sitemgr', 'this module create a link for downloading a file from the vfs', 'Este módulo crea un enlace para descargar un fichero desde el Sistema de ficheros virtual'),
('es-es', 'sitemgr', 'this is used chiefly for meta data. if you change the site languages below you have to save before being able to set this prefer', 'Esto se usa principalmente para metadatos. Si cambia los idiomas del sitio debajo, tiene que guardarlo antes de poder establecer esta preferencia para un idioma nuevo.'),
('es-es', 'sitemgr', 'this is used chiefly for meta data and the title bar. if you change the site languages below you have to save before being able ', 'Esto se usa principalmente para metadatos y la barra de título. Si cambia los idiomas del sitio debajo, tiene que guardarlo antes de poder establecer esta preferencia para un idioma nuevo.'),
('es-es', 'sitemgr', 'this is only used as an internal name for the website.', 'Esto se usa sólo como un nombre interno del sitio web.'),
('es-es', 'sitemgr', 'this is a simple sample module', 'Este es un ejemplo simple de un módulo'),
('es-es', 'sitemgr', 'this directory is in egroupware''s virtual filesystem, not in the filesystem of the webserver!', '¡Este directorio es virtual en EGroupware, y NO existe para el servidor web!'),
('es-es', 'sitemgr', 'this category has no pages.', 'Esta categoría no tiene páginas'),
('es-es', 'sitemgr', 'this block displays the current section''s table of contents', 'Este bloque muestra la tabla de contenidos de la sección actual'),
('es-es', 'sitemgr', 'this block displays a javascript based tree menu', 'Este bloque muestra un menú en árbol en javascript'),
('es-es', 'sitemgr', 'there was an error writing to the database.', 'Hubo un error al escribir en la base de datos.'),
('es-es', 'sitemgr', 'there is nothing to list.', 'No hay nada en la lista.'),
('es-es', 'sitemgr', 'there is no website configured for url %1.  notify the administrator.', 'NO HAY NINGUN SITIO WEB CONFIGURADO PARA LA URL %1. NOTIFIQUELO AL ADMINISTRADOR.'),
('es-es', 'sitemgr', 'there can only be one version in (pre(un))published state, with the one exeption that one prepublished version can coexist with ', 'Sólo puede haber una versión en estado ((no) pre)publicado, con la única excepción de que una versión prepublicada puede coexistir con una versión no prepublicada.'),
('es-es', 'sitemgr', 'there are two subdirectories off of your sitemgr directory that you should move before you do anything else.  you don''t <i>have<', 'Hay dos subdirectorios fuera del directorio sitemgr que debería mover antes de hacer nada más. No <i>tiene</i> que mover ninguno de estos directorios, aunque probablemente querrá hacerlo.'),
('es-es', 'sitemgr', 'there are no sections available to you.', 'No hay secciones disponibles para usted'),
('es-es', 'sitemgr', 'there are no properties defined for this module', 'No hay propiedades definidas en este módulo'),
('es-es', 'sitemgr', 'there are no pages in this section', 'No hay páginas en esta sección'),
('es-es', 'sitemgr', 'there are no forums in this category', 'No hay foros en esta categoría'),
('es-es', 'sitemgr', 'there are no categories', 'No hay categorías'),
('es-es', 'sitemgr', 'there are %1 elements in the list.', 'Hay %1 elementos en la lista.'),
('es-es', 'sitemgr', 'theme or template select', 'Selección de tema o plantilla'),
('es-es', 'sitemgr', 'the xml files'' common name', 'el nombre común de los ficheros XML'),
('es-es', 'sitemgr', 'theme "%1" not found!', '¡No se ha encontrado el tema "%1"!'),
('es-es', 'sitemgr', 'the whole page', 'la página completa'),
('es-es', 'sitemgr', 'the web', 'la web'),
('es-es', 'sitemgr', 'the website has changed. too see the change, follow this url: $url.', 'El sitio web ha cambiado. Para ver el cambio, siga esta URL: $URL.'),
('es-es', 'sitemgr', 'the url must be absolute and end in a slash, for example http://mydomain.com/mysite/', 'La URL debe ser abosluta y acabar en una barra invertida ("/"). Por ejemplo, http://midominio.com/misitio/'),
('es-es', 'sitemgr', 'the url to display', 'La URL a mostrar'),
('es-es', 'sitemgr', 'the url to redirect to', 'La URL a la que redirigir'),
('es-es', 'sitemgr', 'the url can be relative or absolute.  name must end in a slash.', 'La URL puede ser relativa o absoluta. El nombre debe acabar en una barra invertida ("/").'),
('es-es', 'sitemgr', 'the text for the link, if empty the module returns the raw url (without a link)', 'El texto para el enlace. Si está vacío, el módulo devuelve la URL (sin enlace)'),
('es-es', 'sitemgr', 'the second directory is the sitemgr-site directory.  this can be moved <i>anywhere</i>.  it can also be named <i>anything</i>.  ', 'El segundo directorio es el directorio sitemgr-site. Se puede mover <i>a cualquier sitio</i>. También se puede llamar <i>de cualquier forma</i>. Donde se quede finalmente, cuando el navegador vaya ahí, obtendrá el sitio web generado. Asumiendo, por supuesto, que ha completado adecuadamente los pasos de configuración previos y también <b><i>editado el fichero config.inc.php</i></b>.'),
('es-es', 'sitemgr', 'the person to say hello to', 'La persona a la que saludar'),
('es-es', 'sitemgr', 'the requested path %1 is not available.', 'La ruta solicitada %1 no está disponible'),
('es-es', 'sitemgr', 'the path to the file to be downloaded', 'La ruta al fichero que se va a descargar'),
('es-es', 'sitemgr', 'the page was successfully saved.', 'La página se guardó correctamente'),
('es-es', 'sitemgr', 'the page name must be unique.', 'El nombre de la página debe ser único'),
('es-es', 'sitemgr', 'the name field cannot contain punctuation or spaces (field modified).', 'El campo Nombre no puede contener signos de puntuación ni espacios (campo modificado).'),
('es-es', 'sitemgr', 'the messages for changes in this language will use the default text, if available.', 'Los mensajes para los cambios en este idioma usarán el texto predeterminado, si está disponible.'),
('es-es', 'sitemgr', 'the given directory should be readable by the anonymous user for a regular public website!', 'El directorio indicado debe tener permisos de lectura para el usuario anónimo para un sitio web público normal.'),
('es-es', 'sitemgr', 'the first directory to think about is sitemgr-link.  if you move this to the parent directory of sitemgr (your egroupware root d', 'El primer directorio en el que hay que pensar es sitemgr-link. Si lo mueve al directorio superior de sitemgr (el fichero raíz de la instalación de egroupware) entonces puede usar setup para instalar la aplicación y todos los que tengan acceso a la aplicación tendrán un icono en su barra de navegación que está enlazada directamente al sitio web público. Si no quiere este icono, no hay razón para preocuparse de este directorio.'),
('es-es', 'sitemgr', 'the filesystem path to your sitemgr-site directory ''%1'' is probably wrong. go to sitemgr --> define websites and edit/fix the co', 'La ruta local al directorio sitemgr-site del sitio ''%1'' probablemente es incorrecta. Vaya a la opción Definir sitios web y corrija el sitio adecuado.'),
('es-es', 'sitemgr', 'the file to be downloaded', 'El fichero a descargar'),
('es-es', 'sitemgr', 'the config.inc.php file needs to be edited to point to the egroupware directory. copy the config.inc.php.template file to config', 'El fichero config.inc.php necesita editarse para apuntar al directorio de eGroupWare. Copie el fichero config.inc.php.template a config.inc.php y luego edítelo.'),
('es-es', 'sitemgr', 'the category to display, 0 for complete table of contents', 'La categoría a mostrar. 0 para toda la tabla de contenidos'),
('es-es', 'sitemgr', 'the complete url or path to a file to be included', 'La URL completa o ruta al fichero a incluir'),
('es-es', 'sitemgr', 'text allignment', 'Alineación del texto'),
('es-es', 'sitemgr', 'text for optional confirmation message, before download get displayed', 'Texto para el mensaje opcional de confirmación, antes de que se muestre la descarga'),
('es-es', 'sitemgr', 'text of page links', 'Texto de enlaces de la página'),
('es-es', 'sitemgr', 'textarea', 'Area de texto'),
('es-es', 'sitemgr', 'the anonymous user needs read it!', '¡El usuario anónimo necesita leerlo!'),
('es-es', 'sitemgr', 'template select', 'Selección de plantilla'),
('es-es', 'sitemgr', 'template preferences', 'Preferencias de la plantilla'),
('es-es', 'sitemgr', 'template preferences and custom css', 'Preferencias de la plantilla y CSS personalizado'),
('es-es', 'sitemgr', 'template has no parameters!', '¡La plantilla no tiene parámetros!'),
('es-es', 'sitemgr', 'template directory is relative to egroupware''s files directory. you have to map that direcotory with an alias, so it is accessib', 'El directorio de plantillas es relativo el directorio de ficheros de EGroupware. Tiene que mapear ese directorio con un alias, para que esté accesible como cualquier otra plantilla.'),
('es-es', 'sitemgr', 'template based navigation module', 'Plantilla basada en el módulo de navegación'),
('es-es', 'sitemgr', 'suppress the current page', 'Suprime la página actual'),
('es-es', 'sitemgr', 'table of contents', 'Tabla de contenidos'),
('es-es', 'sitemgr', 'suppress the current category', 'Suprimir la categoría actual'),
('es-es', 'sitemgr', 'suppress main categories', 'Suprimir categorías principales'),
('es-es', 'sitemgr', 'suppress link to parent category', 'Suprimir el enlace a la categoría superior'),
('es-es', 'sitemgr', 'suppress link to index (show all)', 'Suprimir el enlace al índice (mostrar todo)'),
('es-es', 'sitemgr', 'summary of one forum', 'Resumen de un foro'),
('es-es', 'sitemgr', 'subtitle', 'Subtítulo'),
('es-es', 'sitemgr', 'subtext for image %1', 'Subtexto para la imagen %1'),
('es-es', 'sitemgr', 'subsections:', 'Subsecciones:'),
('es-es', 'sitemgr', 'subcategories', 'Subcategorías'),
('es-es', 'sitemgr', 'strip html from block content?', '¿Separar HTML del contenido por bloques?'),
('es-es', 'sitemgr', 'string to return (default api version)', 'Cadena a devolver (versión predeterminada de API)'),
('es-es', 'sitemgr', 'state', 'Estado'),
('es-es', 'sitemgr', 'startdirectory in vfs for image uploads', 'Subdirectorio en el VFS para subir imágenes'),
('es-es', 'sitemgr', 'sort order', 'Orden en la página'),
('es-es', 'sitemgr', 'sort files by', 'Ordenar ficheros por'),
('es-es', 'sitemgr', 'size', 'Tamaño'),
('es-es', 'sitemgr', 'sorry, no content found for you search criteria', 'Lo sentimos, no se encontró contenido para su criterio de búsqueda'),
('es-es', 'sitemgr', 'sitemgr setup instructions', 'Instrucciones para configurar el Administrador de sitios'),
('es-es', 'sitemgr', 'sitemgr websites', 'Sitios web'),
('es-es', 'sitemgr', 'sitemgr options', 'Opciones del Administrador de sitios'),
('es-es', 'sitemgr', 'site wide', 'Por todo el sitio'),
('es-es', 'sitemgr', 'sitemgr manual', 'Manual del Administrador de sitios web'),
('es-es', 'sitemgr', 'site tree menu', 'Menú en árbol del sitio'),
('es-es', 'sitemgr', 'site name', 'Nombre del sitio'),
('es-es', 'sitemgr', 'site language', 'Idioma del sitio'),
('es-es', 'sitemgr', 'site index', 'Indice del sitio'),
('es-es', 'sitemgr', 'site format manager', 'Administrador del formato del sitio'),
('es-es', 'sitemgr', 'site export', 'Exportar sitio'),
('es-es', 'sitemgr', 'site description', 'Descripción del sitio'),
('es-es', 'sitemgr', 'site administrators', 'Administradores del sitio'),
('es-es', 'sitemgr', 'site %1 has been updated', 'El sitio %1 ha sido actualizado'),
('es-es', 'sitemgr', 'site', 'Sitio'),
('es-es', 'sitemgr', 'site %1 has been added, you need to %2configure the site%3 now', 'Se ha añadido el sitio %1, necesita %2configurar el sitio%3 ahora'),
('es-es', 'sitemgr', 'single file download', 'Descarga de un único fichero'),
('es-es', 'sitemgr', 'simple: only selected mode, no more options displayed', 'Simple: sólo el modo seleccionado, no se muestran más operaciones'),
('es-es', 'sitemgr', 'show the title of the wiki page', 'Mostrar el título de la página del wiki'),
('es-es', 'sitemgr', 'show the link as text?', '¿Mostrar el enlace como texto?'),
('es-es', 'sitemgr', 'show subcategories', 'Mostrar subcategorías'),
('es-es', 'sitemgr', 'show site index', 'Mostrar el índice del sitio'),
('es-es', 'sitemgr', 'show path?', '¿Mostrar ruta?'),
('es-es', 'sitemgr', 'show searchbox', 'Mostrar recuadro de buscar'),
('es-es', 'sitemgr', 'show only (in the next field) selected templates', 'Mostrar sólo (en el siguiente campo) las plantillas seleccionadas'),
('es-es', 'sitemgr', 'show files including the ones from subdirectories', 'Mostrar ficheros, incluyendo los de los subdirectorios'),
('es-es', 'sitemgr', 'show details for the applications', 'Mostrar detalles para las aplicaciones'),
('es-es', 'sitemgr', 'show current section only', 'Mostrar sólo la selección actual'),
('es-es', 'sitemgr', 'show contents of a directory with subdirectories', 'Mostrar el contenido de un directorio con subdirectorios'),
('es-es', 'sitemgr', 'show contents of a directory', 'Mostrar el contenido de un directorio'),
('es-es', 'sitemgr', 'show comments?', '¿Mostrar los comentarios?'),
('es-es', 'sitemgr', 'show a template-gallery (thumbnail and informations)', 'Mostrar una galería de plantillas (diapositiva e información)'),
('es-es', 'sitemgr', 'show a file upload (if user has write rights to current directory)', 'Mostrar la subida de un fichero (si el usuario tiene derechos de escritura en el directorio actual)'),
('es-es', 'sitemgr', 'should the file be viewed in the browser or downloaded', '¿Ver el fichero en el navegador o descargarlo?'),
('es-es', 'sitemgr', 'shipping address', 'Dirección de suministro'),
('es-es', 'sitemgr', 'seperate cats / pages of one tab by :', 'Separar las categorías / páginas de una pestaña por:'),
('es-es', 'sitemgr', 'send emailcopy to receiver', 'Enviar copia por correo al destinatario'),
('es-es', 'sitemgr', 'selected theme %1 does not exist.', 'El tema seleccionado %1 no existe.'),
('es-es', 'sitemgr', 'selected template %1 does not exist.', 'La plantilla seleccionada %1 no existe'),
('es-es', 'sitemgr', 'select type of navigation', 'Seleccionar tipo de navegación'),
('es-es', 'sitemgr', 'select the templates the user is allowed to see', 'Seleccionar las plantillas que el usuario puede ver'),
('es-es', 'sitemgr', 'select persons and groups that are entitled to configure the website.', 'Seleccionar las personas y grupos que tienen derecho a configurar el sitio web.'),
('es-es', 'sitemgr', 'select allowed modules', 'Seleccionar los módulos permitidos'),
('es-es', 'sitemgr', 'select layout for lang selection', 'Seleccionar formato para seleccionar idioma'),
('es-es', 'sitemgr', 'select a category', 'Seleccionar una categoría'),
('es-es', 'sitemgr', 'select a forum', 'Seleccionar un foro'),
('es-es', 'sitemgr', 'seen by', 'Visto por'),
('es-es', 'sitemgr', 'seconds before redirect', 'Segundos antes de redirigir'),
('es-es', 'sitemgr', 'search with', 'Buscar con'),
('es-es', 'sitemgr', 'search language options', 'Opciones para buscar idioma'),
('es-es', 'sitemgr', 'search modes', 'Modos de búsqueda'),
('es-es', 'sitemgr', 'search keyword', 'palabra clave para la búsqueda'),
('es-es', 'sitemgr', 'saved', 'Guardado'),
('es-es', 'sitemgr', 'scope', 'Ambito'),
('es-es', 'sitemgr', 'save block', 'Guardar bloque'),
('es-es', 'sitemgr', 'save', 'Guardar'),
('es-es', 'sitemgr', 'root site index', 'Indice del sitio raíz'),
('es-es', 'sitemgr', 'return to message list', 'Volver a la lista de mensajes'),
('es-es', 'sitemgr', 'return to main menu.', 'Volver al menú principal'),
('es-es', 'sitemgr', 'reset', 'Restaurar'),
('es-es', 'sitemgr', 'return to forums', 'Volver a los foros'),
('es-es', 'sitemgr', 'required fields', 'Campos requeridos'),
('es-es', 'sitemgr', 'required', 'Requerido'),
('es-es', 'sitemgr', 'replies', 'Respuestas'),
('es-es', 'sitemgr', 'reload', 'Recargar'),
('es-es', 'sitemgr', 'regular expression modifier "%1" in "%2" is not allowed!', '¡El modificador de la expresión regular "%1" en "%2" NO está permitido!'),
('es-es', 'sitemgr', 'register new modules', 'Registrar módulos nuevos'),
('es-es', 'sitemgr', 'redirection', 'Redirección'),
('es-es', 'sitemgr', 'refresh', 'Refrescar'),
('es-es', 'sitemgr', 'register for one now.', 'Registrar por uno ahora'),
('es-es', 'sitemgr', 'read permission', 'Permiso de lectura'),
('es-es', 'sitemgr', 'reactivate content', 'Reactivar contenido'),
('es-es', 'sitemgr', 'published', 'publicado'),
('es-es', 'sitemgr', 'quantity items (empty allows buyer to specify)', 'Artículos de cantidad (en blanco permite al comprador especificar)'),
('es-es', 'sitemgr', 'production mode', 'Modo de producción'),
('es-es', 'sitemgr', 'previous', 'Anterior'),
('es-es', 'sitemgr', 'price of the item (empty allows buyer to choose, eg. for donations)', 'Parte del artículo (vacío permite al comprador elegir, p. ej. para donaciones)'),
('es-es', 'sitemgr', 'preunpublished', 'sin publicar previamente'),
('es-es', 'sitemgr', 'prepublished', 'publicado previamente'),
('es-es', 'sitemgr', 'post a message to this thread', 'Publicar un mensaje en esta conversación'),
('es-es', 'sitemgr', 'prefix', 'Prefijo'),
('es-es', 'sitemgr', 'please sign the guestbook', 'Por favor, firme en el libro de invitados'),
('es-es', 'sitemgr', 'please enter a name for that site !', 'Por favor, introduzca un nombre para ese sitio'),
('es-es', 'sitemgr', 'plain selectbox', 'Caja de selección plana'),
('es-es', 'sitemgr', 'phrases in total', 'Frases en total'),
('es-es', 'sitemgr', 'paypal pay now button', 'Botón de pagar ahora de PayPal'),
('es-es', 'sitemgr', 'percentage', 'Porcentaje'),
('es-es', 'sitemgr', 'paypal', 'PayPal'),
('es-es', 'sitemgr', 'pay with paypal', 'Pagar con PayPal'),
('es-es', 'sitemgr', 'path to zip binary if not in path of the webserver', 'Ruta al binario zip si no está en la ruta del servidor web'),
('es-es', 'sitemgr', 'path', 'Ruta'),
('es-es', 'sitemgr', 'path to image-directory ''%1'' is not valid or readable by the webserver !!!', 'La ruta al directorio de imágenes ''%1'' no es válida o no tiene permiso de lectura para el servidor web.'),
('es-es', 'sitemgr', 'password', 'Contraseña'),
('es-es', 'sitemgr', 'password that you assigned for the anonymous user account.', 'Contraseña asignada al usuario anónimo'),
('es-es', 'sitemgr', 'parent section:', 'Sección superior:'),
('es-es', 'sitemgr', 'parent directory', 'directorio superior'),
('es-es', 'sitemgr', 'parent', 'Superior'),
('es-es', 'sitemgr', 'pages:', 'Páginas:'),
('es-es', 'sitemgr', 'parameters saved.', 'Se han guardado los parámetros.'),
('es-es', 'sitemgr', 'pages', 'Páginas'),
('es-es', 'sitemgr', 'page title', 'Título de la página'),
('es-es', 'sitemgr', 'page subtitle', 'Subtítulo de la página'),
('es-es', 'sitemgr', 'page saved.', 'Página guardada'),
('es-es', 'sitemgr', 'page saved', 'Página guardada'),
('es-es', 'sitemgr', 'page name', 'Nombre de la página'),
('es-es', 'sitemgr', 'page manager', 'Administrador de páginas'),
('es-es', 'sitemgr', 'page', 'Página'),
('es-es', 'sitemgr', 'page content', 'Contenido de la página'),
('es-es', 'sitemgr', 'own amazon partner-id or empty to donate to the egroupware project', 'Id de colaborador propio de Amazon o en blanco para donar al proyecto eGroupWare'),
('es-es', 'sitemgr', 'or use a template compatible with %1.', 'O usar una plantilla compatible con %1.'),
('es-es', 'sitemgr', 'other websites', 'Otros sitios web'),
('es-es', 'sitemgr', 'overview of all available categories', 'Descripción de todas las categorías disponibles'),
('es-es', 'sitemgr', 'overview of one specific category', 'Descripción de una categoría específica'),
('es-es', 'sitemgr', 'or enter the title for a new guestbook', 'o introducir el título para un nuevo libro de invitados'),
('es-es', 'sitemgr', 'options in search result page', 'Opciones en la página de resultados de búsqueda'),
('es-es', 'sitemgr', 'not yet translated', 'pendiente de traducir'),
('es-es', 'sitemgr', 'notification message not found !!!', 'Mensaje de notificación no encontrado !!!'),
('es-es', 'sitemgr', 'notification not found !!!', 'Notificación no encontrada !!!'),
('es-es', 'sitemgr', 'number of results', 'Número de resultados'),
('es-es', 'sitemgr', 'oldest first', 'los más antiguos primero'),
('es-es', 'sitemgr', 'on all pages', 'en todas las páginas'),
('es-es', 'sitemgr', 'only gallery', 'Sólo galería'),
('es-es', 'sitemgr', 'only on the first page', 'sólo en la primera página'),
('es-es', 'sitemgr', 'none selected', 'No se ha seleccionado ninguno'),
('es-es', 'sitemgr', 'no, chooser only (for side-areas)', 'No, sólo el selector (para áreas laterales)'),
('es-es', 'sitemgr', 'no, chooser with preview', 'No, selector con vista previa'),
('es-es', 'sitemgr', 'no websites defined', 'No hay sitios web definidos'),
('es-es', 'sitemgr', 'no users defined.', 'No hay usuarios definidos'),
('es-es', 'sitemgr', 'no thumbnail availible', 'No hay miniaturas disponibles'),
('es-es', 'sitemgr', 'no templates found.', 'No se encontraron plantillas'),
('es-es', 'sitemgr', 'no template file found.', 'No se encontró el fichero de la plantilla'),
('es-es', 'sitemgr', 'no states defined', 'No se han definido estados'),
('es-es', 'sitemgr', 'no sitelanguages configured', 'No hay idiomas configurados'),
('es-es', 'sitemgr', 'no pages available', 'No hay páginas disponibles'),
('es-es', 'sitemgr', 'no new modules found !!!', 'No se encontraron módulos nuevos'),
('es-es', 'sitemgr', 'no options available.', 'No hay opciones disponibles'),
('es-es', 'sitemgr', 'no link to full index', 'No hay enlace al índice completo'),
('es-es', 'sitemgr', 'no modules permitted for this content area/category', 'No se permiten módulos para este área o categoría'),
('es-es', 'sitemgr', 'no groups defined.', 'No hay grupos definidos.'),
('es-es', 'sitemgr', 'no content found', 'No se encontró contenido'),
('es-es', 'sitemgr', 'no content areas found in selected template', 'No se encontraron áreas de contenido en la plantilla seleccionada'),
('es-es', 'sitemgr', 'no anonymous user accounts installed.  notify the administrator.', 'NO HAY INSTALADAS CUENTAS DE USUARIO ANONIMAS. NOTIFIQUELO AL ADMINISTRADOR.'),
('es-es', 'sitemgr', 'no additional arguments required', 'No se requieren argumentos adicionales'),
('es-es', 'sitemgr', 'newest first', 'los más recientes primero'),
('es-es', 'sitemgr', 'new sitemgr site', 'Nuevo sitio web'),
('es-es', 'sitemgr', 'new application', 'Nueva aplicación'),
('es-es', 'sitemgr', 'new guestbook', 'Nuevo libro de invitados'),
('es-es', 'sitemgr', 'name of the tabs (comma seperated)', 'Nombre de las pestañas (separados por comas)'),
('es-es', 'sitemgr', 'name of the item for sale', 'Nombre del artículo para vender'),
('es-es', 'sitemgr', 'name of page or numeric category to go to, if website was selected above:', 'Nombre de la página o categoría numérica a la que ir, si el sitio web se seleccionó arriba:'),
('es-es', 'sitemgr', 'move to', 'Mover a'),
('es-es', 'sitemgr', 'name', 'Nombre'),
('es-es', 'sitemgr', 'name has been translated to lower case', 'El nombre se ha traducido en minúsculas'),
('es-es', 'sitemgr', 'move block up (decrease sort order)', 'Mover bloque hacia arriba (decrementar el orden)'),
('es-es', 'sitemgr', 'move block down (increase sort order)', 'Mover bloque hacia abajo (incrementar el orden)');
INSERT INTO `egw_lang` (`lang`, `app_name`, `message_id`, `content`) VALUES
('es-es', 'sitemgr', 'module: %1, scope: %2, contentarea: %3, viewable: %4', 'Módulo: %1, ámbito: %2, área de contenido: %3, visible: %4'),
('es-es', 'sitemgr', 'module returns api version or an arbitrary string.', 'El módulo devuelve la versión de API o una cadena arbitraria'),
('es-es', 'sitemgr', 'module manager', 'Administrador de módulos'),
('es-es', 'sitemgr', 'module ''%1'' not found in: %2! --> exiting', '¡No se encontró el módulo ''%1'' en %2! Saliendo'),
('es-es', 'sitemgr', 'module %1 is not permitted in this context!', 'El módulo %1 no está permitido en este contexto'),
('es-es', 'sitemgr', 'migrating data for %1 to %2', 'Migrar datos para %1 a %2'),
('es-es', 'sitemgr', 'messages are defined for all site languages.', 'Los mensajes están definidos para todos idiomas del sitio.'),
('es-es', 'sitemgr', 'message text:', 'Texto del mensaje:'),
('es-es', 'sitemgr', 'message not found !!!', '¡No se encontró el mensaje!'),
('es-es', 'sitemgr', 'maximal page depth to be shown', 'Máxima profundidad de página a mostrar'),
('es-es', 'sitemgr', 'maximal category depth to be shown', 'Máxima profundidad de categoría a mostrar'),
('es-es', 'sitemgr', 'master list of permitted modules', 'Lista principal de módulos permitidos'),
('es-es', 'sitemgr', 'manage translations', 'Administrar traducciones'),
('es-es', 'sitemgr', 'manage site-wide module properties', 'Administrar las propiedades de todo el sitio'),
('es-es', 'sitemgr', 'manage site-wide content', 'Administrar el contenido de todo el stio'),
('es-es', 'sitemgr', 'manage site content', 'Administrar el contenido del sitio'),
('es-es', 'sitemgr', 'manage page specific content', 'Administrar los contenidos específicos de la página'),
('es-es', 'sitemgr', 'manage notifications', 'Administrar notificaciones'),
('es-es', 'sitemgr', 'manage notification messages', 'Administrar los mensajes de notificaciones'),
('es-es', 'sitemgr', 'manage content', 'Administrados de contenidos'),
('es-es', 'sitemgr', 'manage modules', 'Administrar módulos'),
('es-es', 'sitemgr', 'manage categories and pages', 'Administrar categorías y páginas'),
('es-es', 'sitemgr', 'manage category wide content', 'Administrar todo el contenido de la categoría'),
('es-es', 'sitemgr', 'manage category wide module properties', 'Administrar las propiedades de los módulos de las categorías'),
('es-es', 'sitemgr', 'manage categories', 'Administrar categorías'),
('es-es', 'sitemgr', 'mains', 'Principal'),
('es-es', 'sitemgr', 'manage archived content', 'Administrar contenido archivado'),
('es-es', 'sitemgr', 'main content', 'Contenido principal'),
('es-es', 'sitemgr', 'logo url', 'URL del logo'),
('es-es', 'sitemgr', 'logo, custom css', 'CSS personalizado del logo'),
('es-es', 'sitemgr', 'login name', 'Nombre de usuario'),
('es-es', 'sitemgr', 'logged in as:', 'Sesión iniciada como:'),
('es-es', 'sitemgr', 'login', 'Inicio de sesión'),
('es-es', 'sitemgr', 'list of permitted modules specific to content area %1', 'Lista de módulos permitidos específicos al área de contenidos %1'),
('es-es', 'sitemgr', 'links for the tabs (comma seperated)', 'Enlaces para los tabs (separados por comas)'),
('es-es', 'sitemgr', 'latest reply', 'Última respuesta'),
('es-es', 'sitemgr', 'last entries to the guestbook', 'Últimas entradas en el libro de invitados'),
('es-es', 'sitemgr', 'knowledge base', 'Base de conocimiento'),
('es-es', 'sitemgr', 'language:', 'Lenguaje'),
('es-es', 'sitemgr', 'languages the site user can choose from', 'Idiomas que puede elegir el usuario del sitio'),
('es-es', 'sitemgr', 'just download one from our %1template gallery%2 on %3.', 'Sólo descargar una de nuestras %1galerías de plantillas%2 en %3.'),
('es-es', 'sitemgr', 'invalid template directory ''%1'' !!!', 'El directorio de plantillas ''%1'' no es válido'),
('es-es', 'sitemgr', 'interface to google website', 'interfaz a Google'),
('es-es', 'sitemgr', 'individual access permissions', 'Permisos de acceso individuales'),
('es-es', 'sitemgr', 'individual access permission', 'Permiso de acceso individual'),
('es-es', 'sitemgr', 'imported', 'Importado'),
('es-es', 'sitemgr', 'index', 'Indice'),
('es-es', 'sitemgr', 'import site', 'Importar sitio'),
('es-es', 'sitemgr', 'import', 'Importar'),
('es-es', 'sitemgr', 'import a sitemgr website', 'Importar un sitio web para el Administrador de sitios'),
('es-es', 'sitemgr', 'implies read permission', 'implica permiso de lectura'),
('es-es', 'sitemgr', 'image type', 'tipo de imagen'),
('es-es', 'sitemgr', 'if you haven''t done so already, create a user that will be used for public viewing of the site.  recommended name: anonymous.', 'Si todavía no lo ha hecho, cree un usuario que se pueda usar para ver el sitio. Nombre recomendado: anonymous.'),
('es-es', 'sitemgr', 'if nonsecure redirect to:', 'Si no es seguro, redirigir a:'),
('es-es', 'sitemgr', 'identifier you can use to track an internal inventory number', 'Identificador que se puede usar para rastrear un número de inventario interno'),
('es-es', 'sitemgr', 'id', 'ID'),
('es-es', 'sitemgr', 'html frame', 'Marco HTML'),
('es-es', 'sitemgr', 'html module', 'Módulo HTML'),
('es-es', 'sitemgr', 'i''m sorry, you do not have write permissions for any site categories.', 'Lo siento, no tiene permiso de escritura para ninguna de las categorías del sitio.'),
('es-es', 'sitemgr', 'how long to cache downloaded content (seconds)', 'Cuánto dura la caché del contenido descargado (segundos)'),
('es-es', 'sitemgr', 'horizontal', 'Horizontal'),
('es-es', 'sitemgr', 'highlight current page', 'Resaltar la página actual'),
('es-es', 'sitemgr', 'helps you respect html/xhtml standards.', 'Ayuda a respetar los estándares HTML/XHTML'),
('es-es', 'sitemgr', 'hello world', 'Hola, mundo'),
('es-es', 'sitemgr', 'headlines', 'Titulares'),
('es-es', 'sitemgr', 'hello', 'Hola'),
('es-es', 'sitemgr', 'header editor', 'Editor de encabezados'),
('es-es', 'sitemgr', 'group name', 'Nombre del grupo'),
('es-es', 'sitemgr', 'group access permissions', 'Permisos de acceso del grupo'),
('es-es', 'sitemgr', 'google', 'Google'),
('es-es', 'sitemgr', 'google search', 'Buscar en Google'),
('es-es', 'sitemgr', 'go to page manager', 'Ir al Administrador de páginas'),
('es-es', 'sitemgr', 'go to', 'Ir a'),
('es-es', 'sitemgr', 'go back to the category manager.', 'Volver al Administrador de categorías'),
('es-es', 'sitemgr', 'go back to page manager', 'Volver al Administrador de páginas'),
('es-es', 'sitemgr', 'generates "%1" instead of "%2" urls.', 'Genera URLs "%1" en vez de "%2".'),
('es-es', 'sitemgr', 'go', 'Ir'),
('es-es', 'sitemgr', 'generate search engine friendly urls', 'Generar URLs fáciles para los motores de búsqueda'),
('es-es', 'sitemgr', 'gallery plus download', 'Descarga Gallery plus'),
('es-es', 'sitemgr', 'gallery plus chooser and download', 'Selector Gallery plus y descarga'),
('es-es', 'sitemgr', 'gallery plus chooser', 'Selector Gallery plus'),
('es-es', 'sitemgr', 'galerie', 'Galería'),
('es-es', 'sitemgr', 'footer editor', 'Editor de pies de página'),
('es-es', 'sitemgr', 'forum', 'Foros'),
('es-es', 'sitemgr', 'full path of the xslt file that should be applied to the xml files', 'Ruta completa del fichero XSLT que hay que aplicar a los ficheros XML'),
('es-es', 'sitemgr', 'following new modules registed: %1', 'Siguientes módulos nuevos registrados: %1'),
('es-es', 'sitemgr', 'flag symbols', 'Símbolos de bandera'),
('es-es', 'sitemgr', 'fill in permissions from parent category? if you check this, below values will be ignored', '¿Rellenar permisos con los de la categoría superior? Si marca esto, se ignorarán los valores de debajo.'),
('es-es', 'sitemgr', 'filesystem path to sitemgr-site directory', 'Ruta en el sistema de archivos para el directorio sitemgr-site'),
('es-es', 'sitemgr', 'filesystem path of the image-directory', 'Ruta en el sistema de archivos al directorio de imágenes'),
('es-es', 'sitemgr', 'filesystem path of the directory where xml files are stored', 'Ruta del directorio donde se almacenan los ficheros XML'),
('es-es', 'sitemgr', 'filename', 'Nombre del fichero'),
('es-es', 'sitemgr', 'file successful uploaded.', 'El fichero se ha subido correctamente'),
('es-es', 'sitemgr', 'file download', 'Descarga del fichero'),
('es-es', 'sitemgr', 'file contents', 'Contenido del fichero'),
('es-es', 'sitemgr', 'file %1 is not readable by the webserver !!!', '¡¡ El servidor web no puede leer el fichero %1!!'),
('es-es', 'sitemgr', 'file %1 is outside the docroot of the webserver !!!<br>this module does not allow - for security reasons - to open files outside', '¡¡El fichero %1 está fuera de la raíz del servidor!!<br>Este módulo NO permite, por motivos de seguridad, abrir ficheros fuera de la raíz del servidor.'),
('es-es', 'sitemgr', 'export a sitemgr site', 'Exportar para un sitio del Administrador de sitios'),
('es-es', 'sitemgr', 'fax', 'fax'),
('es-es', 'sitemgr', 'export', 'exportar'),
('es-es', 'sitemgr', 'exact phrase', 'Frase exacta'),
('es-es', 'sitemgr', 'expand current category', 'Expandir la categoría actual'),
('es-es', 'sitemgr', 'everybody', 'todo el mundo'),
('es-es', 'sitemgr', 'error writing to the database: %1.', 'Error al escribir en la base de datos: %1.'),
('es-es', 'sitemgr', 'error writing to the database.', 'Error al escribir en la base de datos.'),
('es-es', 'sitemgr', 'error uploading file!', '¡Error al subir el fichero!'),
('es-es', 'sitemgr', 'error saving the entry!!!', 'Error guardando el elemento!!!'),
('es-es', 'sitemgr', 'error deleting the entry!!!', 'Error al borrar el elemento!!!'),
('es-es', 'sitemgr', 'error deleting the element.', 'Error al borrar el elemento.'),
('es-es', 'sitemgr', 'entry saved', 'Entrada guardada'),
('es-es', 'sitemgr', 'entry saved.', 'Entrada guardada.'),
('es-es', 'sitemgr', 'entry duplicated.', 'Entrada duplicada.'),
('es-es', 'sitemgr', 'entry deleted', 'Entrada borrada'),
('es-es', 'sitemgr', 'enterprise knowledge articles repository', 'Repositorio para los artículos de conocimiento de la empresa'),
('es-es', 'sitemgr', 'enter the page content here', 'Introduzca aquí el contenido de la página'),
('es-es', 'sitemgr', 'enter the email to be notified about changes of the website.', 'Introducir la dirección de correo a la que notificar los cambios del sitio web.'),
('es-es', 'sitemgr', 'enter the email to be notified about changes of the website:', 'Introducir la dirección de correo a la que notificar los cambios del sitio web:'),
('es-es', 'sitemgr', 'enter the block content here', 'Introduzca aquí el contenido del bloque'),
('es-es', 'sitemgr', 'enter a name', 'Introduzca un nombre'),
('es-es', 'sitemgr', 'email address of the paypal account selling the item', 'Dirección de correo electrónico de la cuenta PayPal que vende el artículo'),
('es-es', 'sitemgr', 'email address', 'Correo electrónico'),
('es-es', 'sitemgr', 'element successfully deleted.', 'El elemento se borró correctamente'),
('es-es', 'sitemgr', 'egw users', 'usuarios de eGW'),
('es-es', 'sitemgr', 'eg. by renaming %1 to %2 in the %3 directory for an apache.', 'P. ej. renombrando %1 a %2 en el directorio %2 para un apache.'),
('es-es', 'sitemgr', 'eg. %1 or %2', 'p. eje. %1 o %2'),
('es-es', 'sitemgr', 'edit website', 'Editar sitio web'),
('es-es', 'sitemgr', 'edit this block', 'Editar este bloque'),
('es-es', 'sitemgr', 'edit template preferences for %1', 'Editar las preferencias de la plantilla para %1'),
('es-es', 'sitemgr', 'edit site', 'Editar sitio'),
('es-es', 'sitemgr', 'edit page', 'Editar página'),
('es-es', 'sitemgr', 'edit properties of module %1 for %2 with scope %3', 'Editar las propiedades del módulo %1 para %2 en el ámbito %3'),
('es-es', 'sitemgr', 'edit notification', 'Editar Notificación'),
('es-es', 'sitemgr', 'edit notification message', 'Editar Mensaje de Notificación'),
('es-es', 'sitemgr', 'edit mode', 'Modo edición'),
('es-es', 'sitemgr', 'edit category', 'Editar categoría'),
('es-es', 'sitemgr', 'draft mode', 'Modo borrador'),
('es-es', 'sitemgr', 'downloaded', 'descargado'),
('es-es', 'sitemgr', 'draft', 'borrador'),
('es-es', 'sitemgr', 'download as zip-archiv', 'Descargar como fichero ZIP'),
('es-es', 'sitemgr', 'dont ask', 'No preguntar'),
('es-es', 'sitemgr', 'done', 'Hecho'),
('es-es', 'sitemgr', 'don''t use egroupware css ">" separator (for templates that uses images/symbols for lists)', 'No usar el separador css de egroupware ">" (para plantillas que usan imágenes o símbolos para listas)'),
('es-es', 'sitemgr', 'don''t show hiden pages in the path way', 'No mostrar las páginas ocultas en la ruta'),
('es-es', 'sitemgr', 'don''t have an account?', '¿No tiene una cuenta?'),
('es-es', 'sitemgr', 'domain-name (offical dns-name eg. www.egroupware.org) if you want to give the user a choice between searching this site or the w', 'Nombre del dominio (nombre DNS oficial, p. ej. www.eGroupWare.org) si desea dar al usuario una opción entre buscar en este sitio o toda la web. Dejarlo en blanco permite buscar sólo en la web.'),
('es-es', 'sitemgr', 'documentation', 'Documentación'),
('es-es', 'sitemgr', 'do you want to delete them?', '¿Desea borrarlos?'),
('es-es', 'sitemgr', 'do you realy want to delete this page?', '¿Realmente desea borrar esta página?'),
('es-es', 'sitemgr', 'do you realy want to delete this block?', '¿Realmente desea borrar este bloque?'),
('es-es', 'sitemgr', 'do you realy want to delete the selected categories (including all pages), pages and blocks?', '¿Realmente quiere borrar las categorías (incluyendo todas las páginas), páginas y bloques seleccionados?'),
('es-es', 'sitemgr', 'display contact', 'Mostrar contacto'),
('es-es', 'sitemgr', 'display link to autoregistration below login form?', '¿Mostrar el enlace para registrarse automáticamente debajo del formulario?'),
('es-es', 'sitemgr', 'discussions', 'Discusiones'),
('es-es', 'sitemgr', 'details for language %1 (%2)', 'Detalles para el idioma %1 (%2)'),
('es-es', 'sitemgr', 'descending', 'descendente'),
('es-es', 'sitemgr', 'department', 'Departamento'),
('es-es', 'sitemgr', 'delete version', 'Borrar versión'),
('es-es', 'sitemgr', 'deleting all data for %1', 'Borrar todos los datos de %1'),
('es-es', 'sitemgr', 'delete this guestbook', 'Borrar este libro de invitados'),
('es-es', 'sitemgr', 'delete this file or directory', 'Borrar este fichero o directorio'),
('es-es', 'sitemgr', 'delete this block', 'Borrar este bloque'),
('es-es', 'sitemgr', 'delete this application', 'Borrar esta aplicación'),
('es-es', 'sitemgr', 'delete page', 'Borrar página'),
('es-es', 'sitemgr', 'delete category', 'Borrar categoría'),
('es-es', 'sitemgr', 'delete block', 'Borrar bloque'),
('es-es', 'sitemgr', 'default home page id number', 'Número de ID de la página de inicio predeterminada'),
('es-es', 'sitemgr', 'default', 'Predeterminado'),
('es-es', 'sitemgr', 'custom template directory does not exist or is not accessible by webserver!', '¡El directorio para las plantillas personalizadas NO existe o NO está accesible para el servidor web!'),
('es-es', 'sitemgr', 'custom template directory', 'Directorio para las plantillas personalizadas'),
('es-es', 'sitemgr', 'custom etemplate for the contactform', 'Plantilla personalizada para el formulario de contacto'),
('es-es', 'sitemgr', 'custom css will be included in each page as last style-sheet in the header.', 'El CSS personalizado se incluirá en cada página como última hoja de estilo en el encabezado.'),
('es-es', 'sitemgr', 'current section', 'Sección actual'),
('es-es', 'sitemgr', 'custom', 'personalizado'),
('es-es', 'sitemgr', 'currency code of the value specified in amount (eg. usd, eur)', 'Código monetario del valor especificado en la cantidad (p. ej. USD, EUR)'),
('es-es', 'sitemgr', 'css styles', 'Estilos CSS'),
('es-es', 'sitemgr', 'css selector to use only part of html file', 'Selector CSS a usar para sólo parte del fichero html'),
('es-es', 'sitemgr', 'create new version', 'Crear una versión nueva'),
('es-es', 'sitemgr', 'could not add block %1', 'No se pudo añadir el bloque %1'),
('es-es', 'sitemgr', 'copyright', 'Derecho de copia'),
('es-es', 'sitemgr', 'contributor menu', 'Menú del colaborador'),
('es-es', 'sitemgr', 'contentarea', 'Area de contenidos'),
('es-es', 'sitemgr', 'content manager', 'Administrador de contenido'),
('es-es', 'sitemgr', 'content blocks for category', 'Bloques de contenido para la categoría'),
('es-es', 'sitemgr', 'content blocks', 'Bloques de contenido'),
('es-es', 'sitemgr', 'content areas', 'Areas de contenido'),
('es-es', 'sitemgr', 'contact the administrator.', 'Póngase en contacto con el administrador'),
('es-es', 'sitemgr', 'configure website', 'Configurar sitio web'),
('es-es', 'sitemgr', 'contact fields to show', 'Campos del contacto a mostrar'),
('es-es', 'sitemgr', 'configure sitemgr', 'Configurar el Administrador de sitios web'),
('es-es', 'sitemgr', 'configure module properties', 'Configurar las propiedades del módulo'),
('es-es', 'sitemgr', 'common prefix of the image-name (a number starting with 1 will be appended)', 'prefijo común del nombre de imagen (se le añadirá un número contando desde 1)'),
('es-es', 'sitemgr', 'commit changes', 'Subir cambios'),
('es-es', 'sitemgr', 'comment', 'Comentario'),
('es-es', 'sitemgr', 'collapse threads', 'Contraer conversaciones'),
('es-es', 'sitemgr', 'codebase url', 'URL del código base'),
('es-es', 'sitemgr', 'click here to login through a secure connection.', 'Pulse aquí para iniciar la sesión mediante una conexión segura.'),
('es-es', 'sitemgr', 'code file', 'Fichero de código'),
('es-es', 'sitemgr', 'choose your site''s theme or template.  note that if you changed the above checkbox you need to save before choosing a theme or t', 'Elija el tema o la plantilla de su sitio. Si cambió la casilla de arriba, necesita guardar antes de elegir un tema o plantilla.'),
('es-es', 'sitemgr', 'choose the valid html type (note: not all icons are available):', 'Elegir el tipo de HTML VALIDO (nota: no todos los iconos están disponibles):'),
('es-es', 'sitemgr', 'choose the categories to display', 'Elegir las categorías a mostrar'),
('es-es', 'sitemgr', 'choose language', 'Elegir idioma'),
('es-es', 'sitemgr', 'choose template', 'Elegir plantilla'),
('es-es', 'sitemgr', 'choose a guestbook', 'Elegir un libro de invitados'),
('es-es', 'sitemgr', 'choose a category', 'Elegir una categoría'),
('es-es', 'sitemgr', 'choose a format', 'Elegir un formato'),
('es-es', 'sitemgr', 'check to hide from condensed site index.', 'Marcar para ocultar del índice del sitio condensado'),
('es-es', 'sitemgr', 'check here after every upgrade', 'Marcar aquí después de cada actualización'),
('es-es', 'sitemgr', 'changes saved.', 'Cambios guardados'),
('es-es', 'sitemgr', 'center', 'Centrado'),
('es-es', 'sitemgr', 'cats are numeric, pages strings', 'Categorías son numéricas, páginas texto'),
('es-es', 'sitemgr', 'category saved', 'Categoría guardada'),
('es-es', 'sitemgr', 'category name', 'Nombre de la categoría'),
('es-es', 'sitemgr', 'category manager', 'Administrador de categorías'),
('es-es', 'sitemgr', 'category description', 'Descripción de la categoría'),
('es-es', 'sitemgr', 'category', 'Categoría'),
('es-es', 'sitemgr', 'cannot move page until it has been saved.', 'No se puede mover la página hasta que se haya guardado.'),
('es-es', 'sitemgr', 'cancel the delete', 'Cancelar el borrado'),
('es-es', 'sitemgr', 'calendar', 'Calendario'),
('es-es', 'sitemgr', 'can''t open an url or execute a script, because allow_url_fopen is not set in your php.ini !!!', 'No se puede abrir una URL o ejecutar un script, porque allow_url_fopen no está puesto en el php.ini'),
('es-es', 'sitemgr', 'bookmarks', 'Marcadores'),
('es-es', 'sitemgr', 'buy at %1', 'Comprar en %1'),
('es-es', 'sitemgr', 'block saved', 'Bloque guardado'),
('es-es', 'sitemgr', 'block returned no content.', 'El bloque no devolvío contenidos.'),
('es-es', 'sitemgr', 'block reloaded', 'Bloque recargado'),
('es-es', 'sitemgr', 'block not found.', 'No se encontró el bloque'),
('es-es', 'sitemgr', 'basic settings', 'Configuración básica'),
('es-es', 'sitemgr', 'back to module manager', 'Volver al administrador de módulos'),
('es-es', 'sitemgr', 'back to the list of languages', 'Volver a la lista de idiomas'),
('es-es', 'sitemgr', 'automatic index', 'Indice automático'),
('es-es', 'sitemgr', 'automatically generated notification', 'Notificación generada automáticamente'),
('es-es', 'sitemgr', 'attempt to edit non-editable block', 'Intento de editar un bloque no editable'),
('es-es', 'sitemgr', 'attempt to access information outside current website', 'Intento de acceder a la información fuera del sitio web actual'),
('es-es', 'sitemgr', 'ask customer', 'Preguntrar al cliente'),
('es-es', 'sitemgr', 'asin[=title] pairs (title is optional)', 'pares ASIN[=título] (el título es opcional)'),
('es-es', 'sitemgr', 'ascending', 'ascendente'),
('es-es', 'sitemgr', 'are you sure you want to delete the category %1 and all of its associated pages?  you cannot retrieve the deleted pages if you c', '¿Seguro que desea borrar la categoría %1 y todas sus páginas asociadas? No podrá recuperar las páginas borradas si continúa.'),
('es-es', 'sitemgr', 'are you sure you want to delete site %1 and all its content? you cannot retrieve it if you continue.', '¿Seguro que desea borrar el sitio %1 y todo su contenido? No podrá recuperarlo si continúa.'),
('es-es', 'sitemgr', 'are contributors allowed to define new guestbooks?', '¿Permitir a los colaboradores definir nuevos libros de invitados?'),
('es-es', 'sitemgr', 'archived content', 'Contenido archivado'),
('es-es', 'sitemgr', 'archived', 'archivado'),
('es-es', 'sitemgr', 'apply permissions also to subcategories?', '¿Aplicar permisos también a las subcategorías?'),
('es-es', 'sitemgr', 'application sitemgr_module_guestbook must be installed as a egroupware application for this module to run', 'La aplicación sitemgr_module_guestbook debe estar instalada como una aplicación eGroupWare para ejecutar este módulo'),
('es-es', 'sitemgr', 'application ''%1'' is not installed !!!<br>please install it, to be able to use the block.', '¡La aplicación ''%1'' no está instalada!<br>Por favor, instálela para poder usar el bloque.'),
('es-es', 'sitemgr', 'application', 'Aplicación'),
('es-es', 'sitemgr', 'applet', 'Applet'),
('es-es', 'sitemgr', 'any words', 'Cualquier palabra'),
('es-es', 'sitemgr', 'anvanced: show all search modes', 'Azanzado: Mostrar todos los modos de búsqueda'),
('es-es', 'sitemgr', 'anonymous user''s username', 'Nombre de usuario del usuario anónimo'),
('es-es', 'sitemgr', 'anonymous user''s password', 'Contraseña del usuario anónimo'),
('es-es', 'sitemgr', 'anonymous user login domain', 'Dominio del usuario anónimo'),
('es-es', 'sitemgr', 'anonymous', 'anónimo'),
('es-es', 'sitemgr', 'an application directory', 'Un directorio de una aplicación'),
('es-es', 'sitemgr', 'amazon server (without www), eg. amazon.com', 'Servidor de Amazon (sin www), p. ej. amazon.com'),
('es-es', 'sitemgr', 'amazon', 'Amazon'),
('es-es', 'sitemgr', 'allow posting of questions', 'Permitir el envío de preguntas'),
('es-es', 'sitemgr', 'allow customer to input a note', 'Permitir clientes introducir una nota'),
('es-es', 'sitemgr', 'allignment of navigation elements', 'Alineación de los elementos de navegación'),
('es-es', 'sitemgr', 'all words', 'Todas las Palabras'),
('es-es', 'sitemgr', 'all sites', 'Todos los Sitios'),
('es-es', 'sitemgr', 'all languages', 'todos los idiomas'),
('es-es', 'sitemgr', 'all forums in category %1', 'Todos los foros en la categoría %1'),
('es-es', 'sitemgr', 'all categories', 'Todas las categorías'),
('es-es', 'sitemgr', 'all available languages', 'Todos los idiomas disponibles'),
('es-es', 'sitemgr', 'advanced plus google: also show google search', 'Avanzado más Google: También mostrar búsqueda en Google'),
('es-es', 'sitemgr', 'administrators', 'administradores'),
('es-es', 'sitemgr', 'administrative menu', 'Menú administrativo'),
('es-es', 'sitemgr', 'administration', 'Administración'),
('es-es', 'sitemgr', 'addressbook the contact should be shown', 'Libreta de direcciones que se muestra al contacto'),
('es-es', 'sitemgr', 'address line 2', 'Dirección, línea 2'),
('es-es', 'sitemgr', 'add website', 'Añadir sitio web'),
('es-es', 'sitemgr', 'add page', 'Añadir página'),
('es-es', 'sitemgr', 'add page to category', 'Añadir página a la categoría'),
('es-es', 'sitemgr', 'add new page to this category', 'Añadir una página nueva a esta categoría'),
('es-es', 'sitemgr', 'add category', 'Añadir categoría'),
('es-es', 'sitemgr', 'add block ...', 'Añadir bloque...'),
('es-es', 'sitemgr', 'add block to content area %1', 'Añadir bloque al área de contenido %1'),
('es-es', 'sitemgr', 'add a new guestbook', 'Añadir un nuevo libro de invitados'),
('es-es', 'sitemgr', 'actions', 'Acciones'),
('es-es', 'sitemgr', 'add a category', 'Añadir una categoría'),
('es-es', 'sitemgr', 'add a new application', 'Añadir una aplicación nueva'),
('es-es', 'sitemgr', 'actif', 'Actif'),
('es-es', 'sitemgr', 'a simple picture galery', 'Una galería simple de imágenes'),
('es-es', 'sitemgr', '<b>autoregistration is not enabled / configured in the registration app !!!</b><br>you need to do so, to get the autoregistratio', '<b>El autorregistro no está activado o configurado en la aplicación de suscripciones</b><br>Necesita hacerlo para que funcione el enlace de suscripciones.'),
('es-es', 'sitemgr', '(only used in case of single file)', '(sólo se usa para un único fichero)'),
('es-es', 'sitemgr', '(leave blank to stay on current page)', '(dejar en blanco para permanecer en la página actual)'),
('es-es', 'sitemgr', '(leave blank to allow insecure logins)', '(dejar en blanco para permitir sesiones inseguras)'),
('es-es', 'sitemgr', '(do not put spaces or punctuation in the name field.)', '(No ponga espacios ni signos de puntuación en el campo Nombre)'),
('es-es', 'sitemgr', '''%1'' is no valid sitemgr-site directory !!!', '¡''%1'' no es un directorio válido para el directorio sitemgr-site!'),
('es-es', 'sitemgr', '%1 module manager', 'Administrador de módulos para %1'),
('es-es', 'sambaadmin', 'workstations', 'estaciones de trabajo'),
('es-es', 'sitemgr', '%1 content manager', 'Administrador de contenidos para %1'),
('es-es', 'sambaadmin', 'workstationaccount active', 'cuenta de la estación de trabajo activa'),
('es-es', 'sambaadmin', 'workstation name', 'nombre de la estación de trabajo'),
('es-es', 'sambaadmin', 'workstation list', 'lista de estaciones de trabajo'),
('es-es', 'sambaadmin', 'workstation configuration', 'configuración de la estación de trabajo'),
('es-es', 'sambaadmin', 'workstation account for', 'cuenta de estación de trabajo para'),
('es-es', 'sambaadmin', 'samba config', 'Configuración de samba'),
('es-es', 'sambaadmin', 'participants', 'Participantes'),
('es-es', 'sambaadmin', 'homepath', 'Ruta del directorio del usuario'),
('es-es', 'sambaadmin', 'displayname', 'Nombre en la red'),
('es-es', 'sambaadmin', 'do you really want to delete selected workstation accounts?', '¿Realmente desea borrar las cuentas de los ordenadores seleccionados?'),
('es-es', 'sambaadmin', '%1 - %2 of %3', '%1 - %2 de %3'),
('es-es', 'sambaadmin', 'add workstation', 'añadir puesto de trabajo'),
('es-es', 'resources', 'you chose more resources than available', 'Ha elegido más recursos de los disponibles'),
('es-es', 'resources', 'you are not permitted to get information about this resource!', '¡No le está permitido obtener información sobre este recurso!'),
('es-es', 'resources', 'you are not permitted to edit this resource!', '¡No tiene permiso para editar este recurso!'),
('es-es', 'resources', 'which category does this resource belong to?', '¿A qué categoría pertenece este recurso?'),
('es-es', 'resources', 'write permissions', 'Permiso de escritura'),
('es-es', 'resources', 'you are not permitted to delete this resource!', '¡No tiene permiso para borrar este recurso!'),
('es-es', 'resources', 'where to find this resource?', '¿Dónde encontrar este recurso?'),
('es-es', 'resources', 'web-site for this resource', 'Sitio web para este recurso'),
('es-es', 'resources', 'web-page of resource', 'Página web del recurso'),
('es-es', 'resources', 'view this entry', 'Ver esta entrada'),
('es-es', 'resources', 'view accessories for this resource', 'Ver accesorios para este recurso'),
('es-es', 'resources', 'useable:', 'Usable:'),
('es-es', 'resources', 'useable', 'usable'),
('es-es', 'resources', 'use the category''s icon', 'Usar el icono de la categoría'),
('es-es', 'resources', 'use own picture', 'Usar imagen propia'),
('es-es', 'resources', 'use general resources icon', 'Usar icono de recursos generales'),
('es-es', 'resources', 'this module displays the resources app', 'Este módulo muestra la aplicación de recursos'),
('es-es', 'resources', 'the calendar of this resource', 'El calendario de este recurso'),
('es-es', 'resources', 'storage information:', 'Información del almacenamiento:'),
('es-es', 'resources', 'storage information', 'Información del almacenamiento'),
('es-es', 'resources', 'storage', 'Almacenamiento'),
('es-es', 'resources', 'something went wrong by saving resource', 'Ocurrió algo extraño al guardar el recurso'),
('es-es', 'resources', 'something went wrong by deleting resource', 'Ocurrió algo extraño al borrar el recurso'),
('es-es', 'resources', 'show calendar of resource', 'Mostrar el calendario del recurso'),
('es-es', 'resources', 'short description of resource', 'Descripción corta del recurso'),
('es-es', 'resources', 'short description', 'Descripción corta'),
('es-es', 'resources', 'select/deselect all', 'seleccionar/deseleccionar todo'),
('es-es', 'resources', 'select resource', 'seleccionar recurso'),
('es-es', 'resources', 'select a category', 'Seleccionar una categoría'),
('es-es', 'resources', 'saves entry and exits', 'Guarda la entra y sale'),
('es-es', 'resources', 'responsible:', 'Responsable:'),
('es-es', 'resources', 'resources list', 'lista de recursos'),
('es-es', 'resources', 'resource id', 'ID del recurso'),
('es-es', 'resources', 'resources csv export', 'Exportación CSV de recursos'),
('es-es', 'resources', 'resources csv import', 'Importación CSV de recursos'),
('es-es', 'resources', 'related links', 'Enlaces relacionados'),
('es-es', 'resources', 'read permissions', 'Permiso de lectura'),
('es-es', 'resources', 'read calendar permissions', 'Leer permisos del calendario'),
('es-es', 'resources', 'quantity:', 'Cantidad:'),
('es-es', 'resources', 'quantity of resource', 'Cantidad del recurso'),
('es-es', 'resources', 'quantity', 'Cantidad'),
('es-es', 'resources', 'prize', 'Premio'),
('es-es', 'resources', 'prizeing information for booking or buying', 'Poniendo precio a la información de reservar o comprar'),
('es-es', 'resources', 'planer', 'planificador'),
('es-es', 'resources', 'pictures or resource', 'Imángenes o recurso'),
('es-es', 'resources', 'picture type is not supported, sorry!', 'Lo sentimos, el tipo de imagen no está soportado'),
('es-es', 'resources', 'picture source', 'origen de la imagen'),
('es-es', 'resources', 'picture', 'Imagen'),
('es-es', 'resources', 'notify your administrator to correct this situation', 'Notifíquelo a su administrador para corregir esta situación'),
('es-es', 'resources', 'no resources selected', 'No se seleccionaron recursos'),
('es-es', 'resources', 'no description available', 'no hay descripción disponible'),
('es-es', 'resources', 'name:', 'Nombre:'),
('es-es', 'resources', 'name of resource', 'Nombre del recurso'),
('es-es', 'resources', 'manage mapping', 'Administrar los mapeos'),
('es-es', 'resources', 'long description', 'Descripción larga'),
('es-es', 'resources', 'location:', 'Ubicación:'),
('es-es', 'resources', 'locations / rooms', 'Ubicaciones / habitaciones'),
('es-es', 'resources', 'links', 'Enlaces'),
('es-es', 'resources', 'location', 'Ubicación'),
('es-es', 'resources', 'location of resource', 'Ubicación del recurso'),
('es-es', 'resources', 'is this resource buyable?', '¿Se puede realizar una compra de este recurso?'),
('es-es', 'resources', 'is resource buyable?', '¿Se puede realizar una compra del recurso?'),
('es-es', 'resources', 'is this resource bookable?', '¿Se puede realizar una reserva sobre este recurso?'),
('es-es', 'resources', 'is resource bookable?', '¿Se puede realizar una reserva sobre el recurso?'),
('es-es', 'resources', 'insert', 'Insertar'),
('es-es', 'resources', 'inventory number', 'Número de inventario'),
('es-es', 'resources', 'inventory number:', 'Número de inventario:'),
('es-es', 'resources', 'informations about the location of resource', 'Información acerca de la ubicación del recurso'),
('es-es', 'resources', 'information about storage', 'Información sobre el almacenamiento'),
('es-es', 'resources', 'imports a list of resources from a csv file.', 'Importa una lista de recursos desde un fichero CSV.'),
('es-es', 'resources', 'implies read permission', 'implica permiso de lectura'),
('es-es', 'resources', 'implies booking permission', 'implica permiso de reserva'),
('es-es', 'resources', 'if you specify an export definition, it will be used when you export', 'Si especifica una definición de exportación, se usará al exportar'),
('es-es', 'resources', 'how many of this resource exists', 'Cuántos de este recurso existen'),
('es-es', 'resources', 'how many of this resource are usable', 'Cuántos de este recurso son utilizables'),
('es-es', 'resources', 'how many of them are useable?', '¿Cuántos de ellos son utilizables?'),
('es-es', 'resources', 'how many of the resources are useable?', '¿Cuántos de los recursos son utilizables?'),
('es-es', 'resources', 'hours', 'horas'),
('es-es', 'resources', 'global categories', 'Categorías globales'),
('es-es', 'resources', 'gernal resource', 'recurso general'),
('es-es', 'resources', 'general informations about resource', 'Información general acerca del recurso'),
('es-es', 'resources', 'general', 'General'),
('es-es', 'resources', 'exports a list of resources to a csv file.', 'Exportar una lista de recursos a un fichero CSV'),
('es-es', 'resources', 'export definitition to use for nextmatch export', 'Exportar la definición a usar para exportar nextmatch'),
('es-es', 'resources', 'exists', 'Existe'),
('es-es', 'resources', 'existing links', 'Enlaces existentes'),
('es-es', 'resources', 'edit this entry', 'Editar esta entrada'),
('es-es', 'resources', 'don''t use vfs (this will need a symlink --> see readme)', 'No usar vfs (esto necesitaría un enlace simbólico --> ver README)'),
('es-es', 'resources', 'direct booking permissions', 'Permisos de reserva directa'),
('es-es', 'resources', 'description (short)', 'Descripción (corta)'),
('es-es', 'resources', 'delete this entry', 'Borrar esta entrada'),
('es-es', 'resources', 'delete selected resources', 'Borrar los recursos seleccionados'),
('es-es', 'resources', 'days', 'días'),
('es-es', 'resources', 'custom fields', 'Campos personalizados'),
('es-es', 'resources', 'create new links', 'Crear nuevos enlaces'),
('es-es', 'resources', 'create new accessory for this resource', 'Crear nuevo accesorio para este recurso'),
('es-es', 'resources', 'conflict', 'Conflicto'),
('es-es', 'resources', 'clear selection', 'Limpiar selección'),
('es-es', 'resources', 'choose categories admin', 'Elegir administrador de categorías'),
('es-es', 'resources', 'check all', 'Marcar todo'),
('es-es', 'resources', 'category:', 'Categoría:'),
('es-es', 'resources', 'categories admin', 'Administrador de categorías'),
('es-es', 'resources', 'buyable', 'Adquirible'),
('es-es', 'resources', 'buy this resource', 'Adquirir este recurso'),
('es-es', 'resources', 'buy this article', 'Comprar este artículo'),
('es-es', 'resources', 'bookable', 'Reservable'),
('es-es', 'resources', 'book this resource', 'Reservar este recurso'),
('es-es', 'resources', 'book selected resources', 'reservar los recursos seleccionados'),
('es-es', 'resources', 'book', 'Reservar'),
('es-es', 'resources', 'all categories', 'todas las categorías'),
('es-es', 'resources', 'administrator', 'Administrador'),
('es-es', 'resources', 'add resources', 'Añadir recursos'),
('es-es', 'resources', 'add resource', 'añadir recurso'),
('es-es', 'resources', 'add accessory', 'Añadir accesorio'),
('es-es', 'resources', 'actions', 'Acciones'),
('es-es', 'resources', 'accessories:', 'Accesorios:'),
('es-es', 'resources', 'accessories of', 'accesorios de'),
('es-es', 'registration', 'zip/postal', 'ZIP/Código postal'),
('es-es', 'registration', 'your registration code is missing or incorrect.', 'Su código de registro falta o es incorrecto.'),
('es-es', 'registration', 'your password was changed.', 'Se ha cambiado la contraseña.'),
('es-es', 'registration', 'your login is not available. time is expired', 'Su sesión no está disponible. Ha expirado el tiempo.'),
('es-es', 'registration', 'your account is now active!', 'Su cuenta ha sido activada.'),
('es-es', 'registration', 'you specified a value for %1 that is not a choice', 'El valor especificado para %1 no es una opción'),
('es-es', 'registration', 'you requested to change your password. please follow the url below to do so. this url will expire in two hours. after this delay', 'Ha solicitado cambiar la contraseña. Por favor, vaya a la URL indicada debajo. Esta URL expirará en dos horas. Después de este plazo, debe repetir todo el procedimiento de contraseñas perdidas.'),
('es-es', 'registration', 'you must fill in all of the required fields', 'Debe rellenar todos los campos obligatorios'),
('es-es', 'registration', 'you must enter an email address', 'Debe introducir una dirección de correo electrónico'),
('es-es', 'registration', 'you must enter an email account', 'Debe introducir una cuenta de correo electrónico'),
('es-es', 'registration', 'you must enter a username', 'Debe introducir un usuario'),
('es-es', 'registration', 'you must enter a password', 'Debe introducir una contraseña'),
('es-es', 'registration', 'you have entered an invalid email address', 'La dirección de correo electrónico introducida no es válida'),
('es-es', 'registration', 'you have entered an invalid birthday', 'La fecha de nacimiento introducida no es válida'),
('es-es', 'registration', 'you can go back to the login page', 'Puede volver a la página de inicio de sesión.'),
('es-es', 'registration', 'wrong session', 'Sesión incorrecta'),
('es-es', 'registration', 'we have sent a mail with instructions to change your password. you should follow the included link within two hours. if you do n', 'Hemos enviado un correo con instrucciones para cambiar la contraseña. Debe pulsar el enlace incluido en un plazo de dos horas. Si no lo hace, tendrá que volver a la pantalla de contraseñas perdidas.'),
('es-es', 'registration', 'we have sent a mail to your email account: %s with your lost user ids.', 'Hemos enviado un correo a su cuenta: %s con sus ids de usuario perdidos.'),
('es-es', 'registration', 'we have sent a confirmation email to your email address. you must click on the link within 2 hours. if you do not, it may take a', 'Hemos enviado un correo de confirmación a su dirección de correo electrónico. Debe pulsar en el enlace dentro de las siguientes 2 horas. Si no, el identificador puede tardar unos días en volver a estar disponible.'),
('es-es', 'registration', 'values (for dropdown only; comma separated)', 'Valores (sólo para las listas desplegables, separadas por comas)'),
('es-es', 'registration', 'values ''for dropdown'': comma separated), for ''dropdown from table'': table,valuefield,displayfield', 'Valores ''Para el desplegable'': separadas por comas). Para ''Desplegable a partir de tabla'': tabla, valor del campo, campo a mostrar'),
('es-es', 'registration', 'update/add', 'Actualizar/añadir'),
('es-es', 'registration', 'unknown last name', 'Apellido desconocido'),
('es-es', 'registration', 'unknown first name', 'Nombre de pila desconocido'),
('es-es', 'registration', 'unable to send mail, contact your administrator', 'No se pudo enviar el correo. Póngase en contacto con el administrador.'),
('es-es', 'registration', 'type', 'Tipo'),
('es-es', 'registration', 'this is a confirmation email for your new account.  click on the following link to finish activating your account. this link wil', 'Este es un correo de confirmación para la nueva cuenta. Pulse en el enlace siguiente para finalizar la activación de la cuenta. Este enlace expirará en 2 horas.'),
('es-es', 'registration', 'the two passwords are not the same', 'Las dos contraseñas son distintas'),
('es-es', 'registration', 'the passwords you entered don''t match', 'Las contraseñas introducidas no coinciden'),
('es-es', 'registration', 'textarea', 'Area de texto'),
('es-es', 'registration', 'text', 'Texto'),
('es-es', 'registration', 'terms of service', 'Términos del servicio'),
('es-es', 'registration', 'state', 'Provincia'),
('es-es', 'registration', 'sorry, we are having a problem retrieving the information needed for changing your password. note that links sent by e-mail are ', 'Lo sentimos. En este instante tenemos un problema al recuperar la información necesaria para cambiar la contraseña. Tenga en cuenta que los enlaces enviados por correo electrónico tienen una validez de sólo dos horas. Si piensa que este retardo ha expirado, simplemente reintentelo. Si no, por favor, póngase en contacto con el administrador del sitio.'),
('es-es', 'registration', 'sorry, we are having a problem activating your account. note that links sent by e-mail are only valid during two hours. if you t', 'Lo sentimos, estamos teniendo un problema en la activación de su cuenta. Tenga en cuenta que los enlaces que se envían por correo son válidos sólo durante dos horas. Si piensa que este período ya ha transcurrido, simplemente reinténtelo. Si no, por favor, póngase en contacto con el administrador del sitio.'),
('es-es', 'registration', 'sorry, that username is already taken.', 'Lo sentimos, ese usuario ya está cogido.'),
('es-es', 'registration', 'sorry, that username does not exist.', 'Lo sentimos, ese usuario no existe'),
('es-es', 'registration', 'sorry, no account exists for', 'Lo sentimos, no existe la cuenta para'),
('es-es', 'registration', 'response', 'Respuesta'),
('es-es', 'registration', 'required', 'Requerido'),
('es-es', 'registration', 'report all problems and abuse to', 'Informar de todos los problemas y abusos a'),
('es-es', 'registration', 'remove', 'Borrar'),
('es-es', 'registration', 're-enter your password', 'Confirmar contraseña'),
('es-es', 'registration', 're-enter password', 'Confirmar contraseña'),
('es-es', 'registration', 'problem sending email:', 'Problema al enviar correo:'),
('es-es', 'registration', 'please contact the site administrator.', 'Por favor, póngase en contacto con el administrador del sitio.'),
('es-es', 'registration', 'phone', 'Llamada telefónica'),
('es-es', 'registration', 'order', 'Ordenar'),
('es-es', 'registration', 'on-line registration is not activated. please contact the site administrator for more information about registration.', 'El registro en línea no está activo todavía. Por favor, póngase en contacto con el administrador del sitio para más información sobre el registro.'),
('es-es', 'registration', 'name (blank unless text, textarea, dropdown, checkbox; else alphanumeric only)', 'Nombre (en blanco a menos que sea Text, Textarea, Dropdown o Checkbox. Si no, sólo alfanumérico)'),
('es-es', 'registration', 'male', 'Masculino'),
('es-es', 'registration', 'lost_user_id_message', 'Cuentas de usuario asociadas con esta cuenta de correo:'),
('es-es', 'registration', 'lost user id', 'Id de usuario perdido'),
('es-es', 'registration', 'lost user account retrieval', 'Recuperación de contraseña perdida'),
('es-es', 'registration', 'if you did not request this change, simply ignore this message.', 'Si no ha solicitado este cambio, simplemente ignore este mensaje.'),
('es-es', 'registration', 'if you did not request this account, simply ignore this message.', 'Si no ha solicitado esta cuenta, simplemente ignore este mensaje.'),
('es-es', 'registration', 'i have read the terms and conditions and agree by them.', 'He leído los términos y condiciones, y estoy de acuerdo.'),
('es-es', 'registration', 'gender', 'Género'),
('es-es', 'registration', 'hi', 'Hola'),
('es-es', 'registration', 'female', 'Femenino'),
('es-es', 'registration', 'error: dropdown list ''%1'' has no values', 'Error: la lista desplegable ''%1'' no tiene valores'),
('es-es', 'registration', 'error: dropdown from table ''%1'' is not correctly configured', 'Error: el desplegable a partir de tabla ''%1'' no está configurado correctamente'),
('es-es', 'registration', 'enter your new password', 'Introduzca su nueva contraseña'),
('es-es', 'registration', 'email address', 'Dirección de correo electrónico'),
('es-es', 'registration', 'dropdown from table', 'Desplegable a partir de una tabla'),
('es-es', 'registration', 'dropdown', 'Desplegable'),
('es-es', 'registration', 'current fields:', 'Campos actuales:'),
('es-es', 'registration', 'country', 'País'),
('es-es', 'registration', 'close window', 'Cerrar ventana'),
('es-es', 'registration', 'click to log into your account', 'Pulse para iniciar sesión con su cuenta.'),
('es-es', 'registration', 'city', 'Ciudad'),
('es-es', 'registration', 'choose your language', 'Elija el idioma'),
('es-es', 'registration', 'choose language', 'Elegir idioma'),
('es-es', 'registration', 'checkbox', 'Casilla'),
('es-es', 'registration', 'change password for user', 'Cambiar contraseña para el usuario'),
('es-es', 'registration', 'change login', 'Cambiar usuario'),
('es-es', 'registration', 'challenge question', 'Pregunta de verificación'),
('es-es', 'registration', 'birthday', 'Fecha de nacimiento'),
('es-es', 'registration', 'an unknown error occured. <a href="%1">please try registering again.</a>', 'Ha ocurrido un error desconocido. <a href="%1">Por favor, pruebe a volver a registrarse</a>.'),
('es-es', 'registration', 'an error occured. please remove your cookies and try again.', 'Ha ocurrido un error. Por favor, borre las cookies y vuelva a intentarlo.'),
('es-es', 'registration', 'an error occured while updating your password. please contact the site administrator.', 'Ha ocurrido un error al actualizar la contraseña. Por favor, póngase en contacto con el administrador del sitio.'),
('es-es', 'registration', 'an error occured. please contact our technical support and let them know.', 'Ha ocurrido un error. Por favor, póngase en contacto con nuestro soporte técnico.'),
('es-es', 'registration', 'after you enter your username, instructions to change your password will be sent to you by e-mail to the address you gave when y', 'Después de introducir su usuario, se le enviarán instrucciones por correo para cambiar la contraseña indicada al registrarse.'),
('es-es', 'registration', 'after you enter your email address, the user accounts associated with this email address will be mailed to that address.', 'Después de introducir la dirección de correo, las cuentas de correo asociadas con esta dirección de correo se enviarán a esa dirección.'),
('es-es', 'registration', 'address', 'Dirección'),
('es-es', 'registration', 'account password retrieval', 'Recuperación de la contraseña de la cuenta'),
('es-es', 'registration', 'account registration', 'Registro de la cuenta'),
('es-es', 'registration', '[unknown last name]', '[apellido desconocido]'),
('es-es', 'registration', 'account %1 record could not be found, report to site administrator', 'No se pudo encontrar el registro para la cuenta %1. Informe al administrador del sitio.'),
('es-es', 'registration', '[unknown first name]', '[nombre de pila desconocido]'),
('es-es', 'registration', '<br>please contact the site administrator.', '<br>Por favor, póngase en contacto con el administrador del sitio'),
('es-es', 'registration', '13: error occured', '13: ocurrió un error'),
('es-es', 'projectmanager', 'you need to select a project first', 'Necesita seleccionar un proyecto antes'),
('es-es', 'projectmanager', 'your database is not up to date (%1 vs. %2), please run %3setup%4 to update your database.', 'La base de datos NO está actualizada (%1 en vez de %2). Por favor, ejecute %3setup%4 para actualizar la base de datos.'),
('es-es', 'projectmanager', 'you dont have jpgraph version %1 or higher installed! it is needed from projectmanager for ganttcharts.', '¡No tiene la versión %1 de JPGraph o superior instalada! Se necesita desde el Administador de proyectos para gráficas Gantt.'),
('es-es', 'projectmanager', 'you can leave the date of the first price empty', 'puede dejar la fecha del primer precio en blanco'),
('es-es', 'projectmanager', 'working duration on %1', 'Duración del trabajo en %1'),
('es-es', 'projectmanager', 'view this project-element', 'Ver este elemento del proyecto'),
('es-es', 'projectmanager', 'view this project', 'Ver este proyecto'),
('es-es', 'projectmanager', 'view this price', 'Ver este precio'),
('es-es', 'projectmanager', 'view this milestone', 'Ver este hito'),
('es-es', 'projectmanager', 'view this element in %1', 'Ver este elemento en %1'),
('es-es', 'projectmanager', 'view project', 'Ver proyecto'),
('es-es', 'projectmanager', 'view project-elements', 'Ver elementos del proyecto'),
('es-es', 'projectmanager', 'view price', 'Ver precio'),
('es-es', 'projectmanager', 'view milestone', 'Ver hito'),
('es-es', 'projectmanager', 'view ganttchart of this project', 'Ver diagrama de Gantt de este proyecto'),
('es-es', 'projectmanager', 'used', 'usado'),
('es-es', 'projectmanager', 'valid since', 'Válido desde'),
('es-es', 'projectmanager', 'unitprice', 'Precio por unidad'),
('es-es', 'projectmanager', 'unit', 'Unidad'),
('es-es', 'projectmanager', 'tree with %1', 'Arbol con %1'),
('es-es', 'projectmanager', 'translation', 'Traducción'),
('es-es', 'projectmanager', 'title must not be empty', 'El título no debe estar vacío'),
('es-es', 'projectmanager', 'to many might exceed your execution-time-limit', 'a cuánto puede exceder el tiempo límite de ejecución'),
('es-es', 'projectmanager', 'time', 'Tiempo'),
('es-es', 'projectmanager', 'times', 'Tiempos'),
('es-es', 'projectmanager', 'the charset depends on the font you want to use.', 'El juego de caracteres depende del tipo de letra que quiera usar.'),
('es-es', 'projectmanager', 'test import (show importable records <u>only</u> in browser)', 'Prueba de importar (mostrar registros importables <u>sólo</u> en el navegador)'),
('es-es', 'projectmanager', 'template', 'Plantilla');
INSERT INTO `egw_lang` (`lang`, `app_name`, `message_id`, `content`) VALUES
('es-es', 'projectmanager', 'template including elment-tree saved as new project', 'Se ha guardado la plantilla que incluye el árbol de elementos como un proyecto nuevo'),
('es-es', 'projectmanager', 'synchronise all', 'Sincronizar todo'),
('es-es', 'projectmanager', 'subprojects', 'Subproyectos'),
('es-es', 'projectmanager', 'subelements', 'Subelementos'),
('es-es', 'projectmanager', 'status filter', 'Filtro de estados'),
('es-es', 'projectmanager', 'style used for everything but elements. some fonts have only normal style.', 'Estilo utilizado para todo excepto los elementos. Algunos tipos de letra sólo tienen estilo normal.'),
('es-es', 'projectmanager', 'startrecord', 'Registro de inicio'),
('es-es', 'projectmanager', 'startdate', 'Fecha de inicio'),
('es-es', 'projectmanager', 'start, end, category, ...', 'Inicio, fin, categoría...'),
('es-es', 'projectmanager', 'start- & enddate', 'Fecha de inicio y fin'),
('es-es', 'projectmanager', 'start working on %1', 'Comenzar a trabajar en %1'),
('es-es', 'projectmanager', 'start after', 'Comenzar después de'),
('es-es', 'projectmanager', 'site configuration saved', 'Se ha guardado la configuración del sitio'),
('es-es', 'projectmanager', 'show the project selection as', 'Mostrar la selección del proyecto como'),
('es-es', 'projectmanager', 'show status icons of the datasources', 'Mostrar iconos de estado de las fuentes de datos'),
('es-es', 'projectmanager', 'show planned times instead of the real times', 'Mostrar tiempos planificados en vez de los reales'),
('es-es', 'projectmanager', 'show constraints and milestones', 'Mostrar restricciones e hitos'),
('es-es', 'projectmanager', 'should projectmanager display the status icons of the datasource (eg. infolog) or just a progressbar with the numerical status (', 'Debe mostrar el administrador de proyectos los iconos de estado de la fuente de datos (p. ej. el registro de notas y tareas) o sólo una barra de progreso con el estado númerico (más rápido)'),
('es-es', 'projectmanager', 'share on the whole project in hours or percent, defaults to planned time', 'Compartir en todo el proyecto en horas o porcentaje. Por defecto, el tiempo planificado'),
('es-es', 'projectmanager', 'share', 'Compartir'),
('es-es', 'projectmanager', 'share on the whole project', 'Compartir en todo el proyecto'),
('es-es', 'projectmanager', 'select this project and show it''s elements', 'Seleccionar este proyecto y mostrar sus elementos'),
('es-es', 'projectmanager', 'selectbox with %1', 'Lista con %1'),
('es-es', 'projectmanager', 'select the accounting types visible for users of projectmanager', 'seleccionar los tipos de cuentas visibles para los usuarios del administrador de proyectos'),
('es-es', 'projectmanager', 'select multiple projects for a further action', 'Seleccionar múltiples proyectos para una acción posterior'),
('es-es', 'projectmanager', 'select an activity if you want to calculate costs by quantity (time) and price', 'seleccionar una actividad si desea calcular el coste por cantidad (tiempo) y precio'),
('es-es', 'projectmanager', 'select a project', 'Seleccionar un proyecto'),
('es-es', 'projectmanager', 'save this project element', 'Guardar este elemento del proyecto'),
('es-es', 'projectmanager', 'save the changes made', 'Guardar los cambios hechos'),
('es-es', 'projectmanager', 'roles', 'Roles'),
('es-es', 'projectmanager', 'role deleted', 'Se ha borrado el rol'),
('es-es', 'projectmanager', 'role saved', 'Se ha guardado el rol'),
('es-es', 'projectmanager', 'role', 'Rol'),
('es-es', 'projectmanager', 'resources', 'Recursos'),
('es-es', 'projectmanager', 'real start', 'Comienzo real'),
('es-es', 'projectmanager', 'read access, incl. budget and adding elements', 'accesso de lectura, incluyendo el presupuesto y añadir elementos'),
('es-es', 'projectmanager', 'read access, no budget', 'acceso de lectura, sin presupuesto'),
('es-es', 'projectmanager', 'real end', 'Fin real'),
('es-es', 'projectmanager', 're-planned', 're-planificado'),
('es-es', 'projectmanager', 'quantity', 'Cantidad'),
('es-es', 'projectmanager', 'projectmember', 'Miembro del proyecto'),
('es-es', 'projectmanager', 'projectmanager-fieldname', 'Administrador de proyectos - Nombre del campo'),
('es-es', 'projectmanager', 'projectlist', 'Lista de proyectos'),
('es-es', 'projectmanager', 'project-element saved', 'Se ha guardado el elemento del proyecto'),
('es-es', 'projectmanager', 'project-elements', 'Elementos del proyecto'),
('es-es', 'projectmanager', 'project-element deleted', 'Se ha borrado el elmento del proyecto'),
('es-es', 'projectmanager', 'project specific title, prices, ...', 'Precios, título, etc específicos del proyecto'),
('es-es', 'projectmanager', 'project overview', 'Descripción del proyecto'),
('es-es', 'projectmanager', 'project saved', 'Proyecto guardado'),
('es-es', 'projectmanager', 'project id', 'ID del proyecto'),
('es-es', 'projectmanager', 'project members and roles', 'Miembros y roles del proyecto'),
('es-es', 'projectmanager', 'project deleted', 'Se ha borrado el proyecto'),
('es-es', 'projectmanager', 'pricelist', 'Lista de precios'),
('es-es', 'projectmanager', 'project availibility', 'Disponibilidad del proyecto'),
('es-es', 'projectmanager', 'price deleted', 'Precio borrado'),
('es-es', 'projectmanager', 'price saved', 'Precio guardado'),
('es-es', 'projectmanager', 'price', 'Precio'),
('es-es', 'projectmanager', 'price / unit', 'Precio / unidad'),
('es-es', 'projectmanager', 'please download a recent version from %1 and install it in %2.', 'Por favor, descargue una versión reciente desde %1 e instálela en %2.'),
('es-es', 'projectmanager', 'permission denied !!!', '¡¡Permiso denegado!!'),
('es-es', 'projectmanager', 'planned', 'Planificado'),
('es-es', 'projectmanager', 'planned times', 'Tiempos planificados'),
('es-es', 'projectmanager', 'percentage the member is availible for this project', 'Porcentaje de disponibilidad del miembro para este proyecto'),
('es-es', 'projectmanager', 'percentage the member is availible for projects', 'Porcentaje de disponibilidad del miembro para los proyectos'),
('es-es', 'projectmanager', 'overwrite the datasource', 'Sobreescribir la fuente de datos'),
('es-es', 'projectmanager', 'number of records to read (%1)', 'Número de registros a leer (%1)'),
('es-es', 'projectmanager', 'only this project', 'Sólo este proyecto'),
('es-es', 'projectmanager', 'not working', 'no está trabajando'),
('es-es', 'projectmanager', 'nonactive', 'No activo'),
('es-es', 'projectmanager', 'not started (0%)', 'Sin iniciar (0%)'),
('es-es', 'projectmanager', 'no save necessary', 'No es necesario guardar'),
('es-es', 'projectmanager', 'no read access to the datasource: removing overwritten values will just empty them !!!', '¡¡Sin acceso de LECTURA a la fuente de datos: eliminar los valores sobreescritos sólo los vaciará!!'),
('es-es', 'projectmanager', 'no details', 'Sin detalles'),
('es-es', 'projectmanager', 'no accounting, only times and status', 'Sin cuentas, sólo tiempos y estado'),
('es-es', 'projectmanager', 'no accounting, only status', 'Sin cuentas, sólo estado'),
('es-es', 'projectmanager', 'new', 'nuevo'),
('es-es', 'projectmanager', 'necessary php extentions %1 not loaded and can''t be loaded !!!', '¡¡Las extensiones de PHP necesarias %1 no están cargadas y no se pueden cargar!!'),
('es-es', 'projectmanager', 'necessary for project-elements doing that not automatic', 'necesario para elementos de proyecto que no hacen eso automáticamente'),
('es-es', 'projectmanager', 'modified by', 'Modificado por'),
('es-es', 'projectmanager', 'modified', 'Modificado'),
('es-es', 'projectmanager', 'milestones before this element has to be finished', 'Hitos antes de que este elemento tenga que estar terminado'),
('es-es', 'projectmanager', 'milestone saved', 'Se ha guardado el hito'),
('es-es', 'projectmanager', 'milestones', 'Hitos'),
('es-es', 'projectmanager', 'milestone deleted', 'Se ha borrado el hito'),
('es-es', 'projectmanager', 'members', 'Miembros'),
('es-es', 'projectmanager', 'mainprojects', 'Proyectos principales'),
('es-es', 'projectmanager', 'mainproject only', 'Sólo proyecto principal'),
('es-es', 'projectmanager', 'linked elements', 'Elementos vinculados'),
('es-es', 'projectmanager', 'links', 'Enlaces'),
('es-es', 'projectmanager', 'leave it empty, if identitcal to the time', 'dejar en blanco si es idéntico a la hora'),
('es-es', 'projectmanager', 'leave it empty to have one generated', 'dejar en blanco para generar uno'),
('es-es', 'projectmanager', 'leave it empty if you dont need a different customer title', 'dejar en blanco si no es necesario un cargo de cliente distinto'),
('es-es', 'projectmanager', 'last modified', 'última modificación'),
('es-es', 'projectmanager', 'import', 'Importar'),
('es-es', 'projectmanager', 'ignored', 'ignorado'),
('es-es', 'projectmanager', 'ignore that entry', 'ignorar esa entrada'),
('es-es', 'projectmanager', 'if you see entities (eg. &#123;) in the ganttchart, switch this off.', 'Si ve entidades (p. ej. {) en el diagrama de Gantt, desactive esta opción.'),
('es-es', 'projectmanager', 'if checked the datasources of the elements (eg. infolog entries) will change their status too.', 'Si se selecciona, también se cambiará el estado de los elementos de origen (p. ej, entradas InfoLog).'),
('es-es', 'projectmanager', 'if checked the datasources of the elements (eg. infolog entries) are deleted too.', 'Si se selecciona, también se borran los elementos de origen (p. ej, entradas InfoLog).'),
('es-es', 'projectmanager', 'how should the project selection in the menu be displayed: a tree gives a better overview, a selectbox might perform better.', 'Cómo mostrar en el menú la selección del proyecto: un árbol proporciona una descripción mejor, pero una lista puede ser más rápido.'),
('es-es', 'projectmanager', 'how long do you work on the given day.', 'Cuánto se trabaja en el día indicado'),
('es-es', 'projectmanager', 'hours per workday', 'Horas por día de trabajo'),
('es-es', 'projectmanager', 'hours', 'horas'),
('es-es', 'projectmanager', 'health', 'Salud'),
('es-es', 'projectmanager', 'h', 'h'),
('es-es', 'projectmanager', 'global categories', 'Categorías globales'),
('es-es', 'projectmanager', 'general pricelist', 'Lista de precios general'),
('es-es', 'projectmanager', 'general availibility', 'Disponibilidad general'),
('es-es', 'projectmanager', 'general', 'General'),
('es-es', 'projectmanager', 'ganttchart parameter', 'Parámetro de diagrama Gantt'),
('es-es', 'projectmanager', 'ganttchart', 'Diagrama Gantt'),
('es-es', 'projectmanager', 'full access', 'acceso total'),
('es-es', 'projectmanager', 'from %1 to %2', 'desde %1 hasta %2'),
('es-es', 'projectmanager', 'fontfile ''%1'' not found!!!', 'No se encontró el fichero de tipo de letra ''%1'''),
('es-es', 'projectmanager', 'free descriptiv text', 'Texto descriptivo libre'),
('es-es', 'projectmanager', 'font to use in the ganttchart, only the vera fonts are included in the projectmanager.', 'Tipo de letra a usar en el diagrama de Gantt. Sólo los tipos de la familia Vera están incluidos en el Administrador de proyectos.'),
('es-es', 'projectmanager', 'font style', 'Estilo del tipo de letra'),
('es-es', 'projectmanager', 'font charset', 'Juego de caracteres del tipo de letra'),
('es-es', 'projectmanager', 'font', 'Tipo de letra'),
('es-es', 'projectmanager', 'fieldseparator', 'Separador de campos'),
('es-es', 'projectmanager', 'exit without saving', 'Salir sin guardar'),
('es-es', 'projectmanager', 'existing links', 'Enlaces existentes'),
('es-es', 'projectmanager', 'existing data will be overwrited if checked', 'Si se selecciona, los datos existentes se sobreescribirán'),
('es-es', 'projectmanager', 'everything recursive', 'Todo recursivo'),
('es-es', 'projectmanager', 'error: saving the project-element (%1) !!!', '¡¡Error: guardando el elemento del proyecto!!'),
('es-es', 'projectmanager', 'error: saving the project (%1) !!!', '¡¡Error: guardando el proyecto (%1)!!'),
('es-es', 'projectmanager', 'error: saving the price (%1) !!!', '¡¡Error al guardar el precio (%1)!!'),
('es-es', 'projectmanager', 'error: saving role !!!', '¡¡Error: guardando rol!!'),
('es-es', 'projectmanager', 'error: saving milestone', 'Error: guardando hito'),
('es-es', 'projectmanager', 'error: rekursion found: id %1 more than once in projectpath, while building projecttree:', 'ERROR: Se ha encontrado una recursión: El id %1 más de una vez en la ruta del proyecto, al construir el árbol del proyecto:'),
('es-es', 'projectmanager', 'error: project-id already exist, choose an other one or have one generated by leaving it emtpy !!!', '¡¡Error: el ID de proyecto ya existe!! Elija otro o deje que se genere uno dejando el campo vacío'),
('es-es', 'projectmanager', 'error: deleting project-element !!!', '¡¡Error: borrando elemento de proyecto!!'),
('es-es', 'projectmanager', 'error: deleting role !!!', '¡¡Error: borrando rol!!'),
('es-es', 'projectmanager', 'error: deleting project !!!', '¡¡Error: borrando proyecto!!'),
('es-es', 'projectmanager', 'enddate', 'Fecha de finalización'),
('es-es', 'projectmanager', 'error: deleting price !!!', '¡¡Error al borrar el precio!!'),
('es-es', 'projectmanager', 'end before', 'Finalizar antes'),
('es-es', 'projectmanager', 'encode non-ascii', 'No codificar en ascii'),
('es-es', 'projectmanager', 'empty for all', 'vacío para todo'),
('es-es', 'projectmanager', 'empty', 'Vacío'),
('es-es', 'projectmanager', 'elements which have to be finished before this can start', 'Elementos que tienen que estar terminados antes de que éste pueda comenzar'),
('es-es', 'projectmanager', 'elements that can''t start before this one is finished', 'Elementos que no pueden comenzar antes de que éste esté terminado'),
('es-es', 'projectmanager', 'elements of elements', 'Elementos de elementos'),
('es-es', 'projectmanager', 'elementlist', 'Lista de elementos'),
('es-es', 'projectmanager', 'edit this role', 'Editar este rol'),
('es-es', 'projectmanager', 'edit this project-element', 'Editar este elemento de proyecto'),
('es-es', 'projectmanager', 'edit this project', 'Editar este proyecto'),
('es-es', 'projectmanager', 'edit this price', 'Editar este precio'),
('es-es', 'projectmanager', 'edit this milestone', 'Editar este hito'),
('es-es', 'projectmanager', 'edit project-elements', 'Editar elementos del proyecto'),
('es-es', 'projectmanager', 'edit project', 'Editar proyecto'),
('es-es', 'projectmanager', 'edit milestone', 'Editar hito'),
('es-es', 'projectmanager', 'edit price', 'Editar precio'),
('es-es', 'projectmanager', 'edit budget', 'Editar presupuesto'),
('es-es', 'projectmanager', 'edit access, incl. editing budget and elements', 'editar acceso, incluyendo edición de presupuesto y elementos'),
('es-es', 'projectmanager', 'done (100%)', 'Finalizado (100%)'),
('es-es', 'projectmanager', 'do not use that entry as project-element', 'no usar esa entrada como elemento de proyecto'),
('es-es', 'projectmanager', 'details of subelements', 'Detalles de los subelementos'),
('es-es', 'projectmanager', 'details of cumulated', 'Detalles de los acumulados'),
('es-es', 'projectmanager', 'depth of display', 'Profundidad de visualización'),
('es-es', 'projectmanager', 'delete this role', 'Borrar este rol'),
('es-es', 'projectmanager', 'delete this project', 'Borrar este proyecto'),
('es-es', 'projectmanager', 'delete this project-element, does not remove the linked entry', 'Borrar este elemento de proyecto NO borra la entrada vinculada'),
('es-es', 'projectmanager', 'delete this price', 'Borrar este precio'),
('es-es', 'projectmanager', 'delete this milestone', 'Borrar este hito'),
('es-es', 'projectmanager', 'delete all checked projects', 'Borrar todos los proyectos seleccionados'),
('es-es', 'projectmanager', 'default all and a selectbox to choose', 'predeterminar todo y una lista desplegable para elegir'),
('es-es', 'projectmanager', 'dates', 'Fechas'),
('es-es', 'projectmanager', 'datasources too', 'también las fuentes de datos'),
('es-es', 'projectmanager', 'datasource', 'Fuente de datos'),
('es-es', 'projectmanager', 'customer title', 'Cargo del cliente'),
('es-es', 'projectmanager', 'custom fields', 'Campos personalizados'),
('es-es', 'projectmanager', 'cumulated elements too', 'También los elementos acumulados'),
('es-es', 'projectmanager', 'csv-filename', 'Nombre de fichero CSV'),
('es-es', 'projectmanager', 'csv-fieldname', 'Nombre de campo CSV'),
('es-es', 'projectmanager', 'created', 'creado'),
('es-es', 'projectmanager', 'created a ganttchart from the checked projects', 'Se ha creado un gráfico Gantt a partir de los proyectos seleccionados'),
('es-es', 'projectmanager', 'create new links', 'Crear enlaces nuevos'),
('es-es', 'projectmanager', 'create a new empty project or use a template', 'Crear un nuevo proyecto vacío o usar una plantilla'),
('es-es', 'projectmanager', 'coordinator', 'Coordinador'),
('es-es', 'projectmanager', 'cost per time', 'Coste por tiempo'),
('es-es', 'projectmanager', 'constraints', 'Restricciones'),
('es-es', 'projectmanager', 'conversation between days and hours, default 8', 'conversación entre días y horas. Predeterminado: 8'),
('es-es', 'projectmanager', 'close the window, discard the changes made', 'Cerrar la ventana, descartar los cambios'),
('es-es', 'projectmanager', 'check all', 'Comprobar todo'),
('es-es', 'projectmanager', 'charset of file', 'Juego de caracteres del fichero'),
('es-es', 'projectmanager', 'charset of the above selected font', 'Juego de caracteres del tipo de letra seleccionado arriba'),
('es-es', 'projectmanager', 'by', 'por'),
('es-es', 'projectmanager', 'calculate budget by quantity (eg. time) and price', 'Calcular presupuesto por cantidad (p. ej. tiempo) y precio'),
('es-es', 'projectmanager', 'budget and pricelist', 'Presupuesto y lista de precios'),
('es-es', 'projectmanager', 'budget (no pricelist)', 'Presupuesto (sin lista de precios)'),
('es-es', 'projectmanager', 'budget', 'Presupuesto'),
('es-es', 'projectmanager', 'bookable', 'Reservable'),
('es-es', 'projectmanager', 'billable', 'Facturable'),
('es-es', 'projectmanager', 'availible', 'Disponible'),
('es-es', 'projectmanager', 'assistant', 'Asistente'),
('es-es', 'projectmanager', 'at which time do you start working on the given day.', 'La hora a la que se empieza a trabajar en el día indicado.'),
('es-es', 'projectmanager', 'archive', 'Archivar'),
('es-es', 'projectmanager', 'anonymous public', 'Anónimo público'),
('es-es', 'projectmanager', 'app.', 'Aplicación'),
('es-es', 'projectmanager', 'apply the changes', 'Aplicar los cambios'),
('es-es', 'projectmanager', 'allowed units', 'Unidades permitidas'),
('es-es', 'projectmanager', 'allowed accounting types', 'Añadir tipos de cuenta'),
('es-es', 'projectmanager', 'allow users to change their working times', 'Permitir a los usuarios cambiar sus horas de trabajo'),
('es-es', 'projectmanager', 'add project', 'Añadir proyecto'),
('es-es', 'projectmanager', 'add project-elements', 'Añadir elementos de proyecto'),
('es-es', 'projectmanager', 'add this role', 'Añadir este rol'),
('es-es', 'projectmanager', 'add price', 'Añadir precio'),
('es-es', 'projectmanager', 'add milestone', 'Añadir hito'),
('es-es', 'projectmanager', 'add or edit roles and their acl', 'Añadir o editar roles y sus ACL'),
('es-es', 'projectmanager', 'add existing', 'Añadir existente'),
('es-es', 'projectmanager', 'add element', 'Añadir elemento'),
('es-es', 'projectmanager', 'add a new project', 'Añadir un proyecto nuevo'),
('es-es', 'projectmanager', 'add a new milestone', 'Añadir un nuevo hito'),
('es-es', 'projectmanager', 'accounting type', 'Tipo de cuentas'),
('es-es', 'projectmanager', 'actions', 'Acciones'),
('es-es', 'projectmanager', 'activity', 'Actividad'),
('es-es', 'projectmanager', 'accounting options', 'Opciones de cuentas'),
('es-es', 'projectmanager', 'accounting', 'Cuentas'),
('es-es', 'projectmanager', '0ngoing (0 < % < 100)', 'Saliente (0 < % < 100)'),
('es-es', 'projectmanager', 'a describtive title for the project, must not be empty', 'un título descriptivo para el proyecto, y no debe estar vacío'),
('es-es', 'projectmanager', '- re-planned', '- replanificado'),
('es-es', 'projectmanager', '- planned', '- planificado'),
('es-es', 'projectmanager', '%1 times permission denied, %2 projects deleted', 'Se ha denegado el acceso %1 veces, se han borrado %2 proyectos'),
('es-es', 'projectmanager', '%1 records read (not yet imported, you may go %2back%3 and uncheck test import)', 'Se han leído %1 registros (todavía no se han importado, así que puede %2volver%2 y desmarcar "Prueba de importar")'),
('es-es', 'projectmanager', '%1 records imported', 'Se han importado %1 registros'),
('es-es', 'projectmanager', '%1 projects deleted', 'Se han borrado %1 proyectos'),
('es-es', 'projectmanager', '%1 new project-elements imported', 'Se han importado %1 elementos nuevos al proyecto'),
('es-es', 'projectmanager', '%1 element(s) updated', 'Se han actualizado %1 elementos'),
('es-es', 'polls', 'voting booth administration', 'Administración de puestos de voto'),
('es-es', 'polls', 'what to show', 'Qué mostrar'),
('es-es', 'polls', 'which poll', 'Qué sondeo'),
('es-es', 'polls', 'you are not (yet) allowed view the result of this vote.', 'No puede (aún) ver el resultado de esta votación.'),
('es-es', 'polls', 'view results', 'Ver resultados'),
('es-es', 'polls', 'vote', 'Votar'),
('es-es', 'polls', 'total votes', 'Total'),
('es-es', 'polls', 'view poll', 'Ver sondeo'),
('es-es', 'polls', 'show only the result', 'Mostrar sólo el resultado'),
('es-es', 'polls', 'this module displays polls.', 'Este módulo sólo muestra sondeos.'),
('es-es', 'polls', 'show only the ballot', 'Mostrar sólo la votación'),
('es-es', 'polls', 'show answers', 'Mostrar respuestas'),
('es-es', 'polls', 'show bullet if allowed to vote and result else', 'Mostrar el icono si tiene permiso para votar y ver los resultados. Si no'),
('es-es', 'polls', 'select current poll', 'Seleccionar sondeo actual'),
('es-es', 'polls', 'settings updated', 'Configuración actualizada'),
('es-es', 'polls', 'poll question', 'Pregunta para el sondeo'),
('es-es', 'polls', 'poll votable by', 'Sondeo votable por'),
('es-es', 'polls', 'question has been updated', 'La pregunta ha sido actualizada'),
('es-es', 'polls', 'result visible to', 'Resultado visible para'),
('es-es', 'polls', 'noone', 'Nadie'),
('es-es', 'polls', 'new poll has been added.  you should now add some answers for this poll', 'Se ha añadido un nuevo sondeo. Debe añadir ahora las respuestas para este sondeo.'),
('es-es', 'polls', 'enter poll question', 'Introducir pregunta para el sondeo'),
('es-es', 'polls', 'everyone incl. anonymous users', 'Todos, incluso los anónimos'),
('es-es', 'polls', 'edit poll question', 'Editar respuesta del sondeo'),
('es-es', 'polls', 'egroupware users (non-anonymous)', 'Usuarios de eGroupWare (no anónimos)'),
('es-es', 'polls', 'current poll', 'Sondeo actual'),
('es-es', 'polls', 'edit answer', 'Editar respuesta'),
('es-es', 'polls', 'are you sure want to delete this question ?', '¿Seguro que quiere borrar esta pregunta?'),
('es-es', 'polls', 'answers', 'Respuestas'),
('es-es', 'polls', 'are you sure want to delete this answer ?', '¿Seguro que quiere borrar esta respuesta?'),
('es-es', 'polls', 'answer has been updated', 'La respuesta ha sido actualizada'),
('es-es', 'polls', 'answer has been added to poll', 'La respuesta se ha añadido al sondeo'),
('es-es', 'polls', 'answer', 'Respuesta'),
('es-es', 'polls', 'allways use latest poll', 'Siempre usar el último sondeo'),
('es-es', 'polls', 'allow users to vote more then once', 'permitir a los usuarios votar más de una vez'),
('es-es', 'polls', 'administrators', 'Administradores'),
('es-es', 'polls', 'add questions', 'Añadir preguntas'),
('es-es', 'polls', 'add answers', 'Añadir respuestas'),
('es-es', 'polls', 'add new poll question', 'Añadir nueva pregunta al sondeo'),
('es-es', 'polls', 'add answer to poll', 'Añadir respuestas al sondeo'),
('es-es', 'polls', '%1 group', 'grupo %1'),
('es-es', 'polls', 'actions', 'acciones'),
('es-es', 'login', 'not a user yet? register now', '¿Todavía no tiene usuario? Regístrese ahora'),
('es-es', 'login', 'lost password', 'Contraseña perdida'),
('es-es', 'login', 'lost login id', 'Id de sesión perdido'),
('es-es', 'login', 'your session could not be verified.', 'Su sesión no pudo ser verificada.'),
('es-es', 'login', 'you have been successfully logged out', 'Usted ha salido correctamente'),
('es-es', 'login', 'sorry, your login has expired', 'Lo siento, su sesión ha expirado'),
('es-es', 'jscalendar', 'wk', 'wk'),
('es-es', 'jscalendar', 'toggle first day of week', 'Cambiar el primer día de la semana'),
('es-es', 'jscalendar', 'time selection:', 'Seleccionar hora:'),
('es-es', 'jscalendar', 'prev. year (hold for menu)', 'Año anterior (mantener para menú)'),
('es-es', 'jscalendar', 'prev. month (hold for menu)', 'Mes anterior (mantener para menú)'),
('es-es', 'jscalendar', 'next year (hold for menu)', 'Año siguiente (mantener para menú)'),
('es-es', 'jscalendar', 'go today', 'Ir hoy'),
('es-es', 'jscalendar', 'next month (hold for menu)', 'Mes siguiente (mantener para menú)'),
('es-es', 'jscalendar', 'display %s first', 'Mostrar %s primero'),
('es-es', 'jscalendar', 'drag to move', 'Arrastre para mover'),
('es-es', 'jscalendar', 'date selection:', 'Seleccionar fecha:'),
('es-es', 'jscalendar', 'about the calendar', 'Acerca del calendario'),
('es-es', 'jscalendar', '3 number of chars for month-shortcut', '3 caracteres para la abreviatura del mes'),
('es-es', 'jscalendar', '3 number of chars for day-shortcut', '3 caracteres para la abreviatura del día'),
('es-es', 'jscalendar', '- use the %1, %2 buttons to select year', '- Use los botones %1, %2 para seleccionar el año'),
('es-es', 'jscalendar', '- use the %1, %2 buttons to select month', '- Use los botones %1, %2 para seleccionar el mes'),
('es-es', 'jscalendar', '- or shift-click to decrease it', '- o pulse con la tecla mayúsculas para reducirlo'),
('es-es', 'jscalendar', '- or click and drag for faster selection.', '- o pulse y arrastre para una selección más rápida.'),
('es-es', 'jscalendar', '- hold mouse button on any of the above buttons for faster selection.', '- Mantenga pulsando el botón del ratón en cualquiera de los botones de arriba para una selección más rápida.'),
('es-es', 'jscalendar', '- click on any of the time parts to increase it', '- Pulse en cualquiera de las partes de la hora para incrementarla'),
('es-es', 'jscalendar', '(shift-)click or drag to change value', 'Pulse mayúsculas o arrastre para cambiar el valor'),
('es-es', 'phpfreechat', 'you should remove the write access, once you see the chat!', 'Debe quitar el permiso de escritura, una vez ya vea el chat.'),
('es-es', 'phpfreechat', 'to complete the phpfreechat installation you have to give the webserver write access to:', 'Para completar la instalación de phpFreeChat tiene que dar permiso de escritura al servidor web a:'),
('es-es', 'phpfreechat', 'the chat opens in a new window.', 'El chat se abre en una ventana nueva.'),
('es-es', 'phpfreechat', 'phpfreechat integration into egroupware', 'integración de phpFreeChat en eGroupWare'),
('es-es', 'phpfreechat', 'egroupware chat', 'Chat de eGroupware'),
('es-es', 'phpbrain', 'your question will be published immediately', 'La pregunta se publicará inmediatamente.'),
('es-es', 'phpbrain', 'your question will be posted, but only will be published after approval by a user with publishing rights', 'La pregunta se enviará, pero sólo se publicará después de que la apruebe un usuario con derechos de publicación.'),
('es-es', 'phpbrain', 'your message could not be sent!', '¡No se pudo enviar su mensaje!'),
('es-es', 'phpbrain', 'you must enter a topic', 'Debe introducir un asunto'),
('es-es', 'phpbrain', 'you must enter a title', 'Debe introducir un título'),
('es-es', 'phpbrain', 'you have not the proper permissions to do that', 'No tiene los permisos adecuados para hacer eso'),
('es-es', 'phpbrain', 'you have already qualified this article', 'Ya ha calificado este artículo'),
('es-es', 'phpbrain', 'you are in %1', 'Usted está en %1'),
('es-es', 'phpbrain', 'without the words', 'Sin las palabras'),
('es-es', 'phpbrain', 'with the exact phrase', 'Con la frase exacta'),
('es-es', 'phpbrain', 'with all the words', 'Con todas las palabras'),
('es-es', 'phpbrain', 'with at least one of the words', 'Con al menos una de las palabras'),
('es-es', 'phpbrain', 'when navigating through categories, choose whether the list of articles shown corresponds only to the present category, or the p', 'Cuando navegue por las categorías, elija si la lista de artículos mostrada corresponde sólo a la categoría actual, o a la categoría actual y todas las categorías de debajo.'),
('es-es', 'phpbrain', 'was it easy to find this article using the above search string?', '¿Fue fácil encontrar este artículo usando la cadena de búsqueda de arriba?'),
('es-es', 'phpbrain', 'views', 'Vistas'),
('es-es', 'phpbrain', 'unpublished', 'sin publicar'),
('es-es', 'phpbrain', 'user preferences', 'Preferencias de usuario'),
('es-es', 'phpbrain', 'unpublish', 'Dejar de publicar'),
('es-es', 'phpbrain', 'unanswered questions', 'Preguntas sin responder'),
('es-es', 'phpbrain', 'unable to add rating to database', 'No se pudo añadir la valoración a la base de datos'),
('es-es', 'phpbrain', 'topic', 'Asunto'),
('es-es', 'phpbrain', 'to create categories, press ''edit categories'' in the preferences menu', 'Para crear categorías, pulse ''Editar categorías'' en el menú Preferencias'),
('es-es', 'phpbrain', 'title', 'Título'),
('es-es', 'phpbrain', 'this article hasn''t yet been published in the knowledge base', 'Este artículo todavía no ha sido publicado en la base de conocimiento'),
('es-es', 'phpbrain', 'there are no articles available', 'No hay artículos disponibles'),
('es-es', 'phpbrain', 'there are no articles', 'No hay artículos'),
('es-es', 'phpbrain', 'the present category only', 'Sólo la categoría actual'),
('es-es', 'phpbrain', 'the present category and all subcategories under it', 'La categoría actual y todas las categorías de debajo'),
('es-es', 'phpbrain', 'the following errors occurred', 'Ocurrieron los siguientes errores'),
('es-es', 'phpbrain', 'the mail server returned:', 'El servidor de correo devolvió'),
('es-es', 'phpbrain', 'the article is empty', 'El artículo está vacío'),
('es-es', 'phpbrain', 'the file was already missing in the server', 'El fichero ya faltaba en el servidor'),
('es-es', 'phpbrain', 'that file already exists', 'El fichero ya existe'),
('es-es', 'phpbrain', 'the article id must be a number', 'El ID del artículo debe ser un número'),
('es-es', 'phpbrain', 'summary', 'Resumen'),
('es-es', 'phpbrain', 'table of contents', 'Tabla de contenidos'),
('es-es', 'phpbrain', 'submit comment and rating', 'Enviar comentario y valoración'),
('es-es', 'phpbrain', 'suggested category', 'Categoría sugerida'),
('es-es', 'phpbrain', 'submit comment', 'Enviar comentario'),
('es-es', 'phpbrain', 'show messages in category', 'Mostrar mensajes en la categoría'),
('es-es', 'phpbrain', 'show articles belonging to:', 'Mostrar artículos pertenecientes a:'),
('es-es', 'phpbrain', 'show all comments', 'Mostrar todos los comentarios'),
('es-es', 'phpbrain', 'select articles', 'Seleccionar artículos'),
('es-es', 'phpbrain', 'see more questions...', 'Ver más preguntas...'),
('es-es', 'phpbrain', 'search results', 'Resultados de la búsqueda'),
('es-es', 'phpbrain', 'see more questions', 'Ver más preguntas'),
('es-es', 'phpbrain', 'search in all the knowledge base', 'Buscar en toda la base de conocimiento'),
('es-es', 'phpbrain', 'reply-to', 'Responder a'),
('es-es', 'phpbrain', 'removed file %1', 'Se ha borrado el fichero %1'),
('es-es', 'phpbrain', 'removed link %1', 'Se ha borrado el enlace %1'),
('es-es', 'phpbrain', 'relation with article was removed successfully', 'La relación con el artículo se borró correctamente'),
('es-es', 'phpbrain', 'related articles in the knowledge base', 'Artículos relacionados en la base de conocimiento'),
('es-es', 'phpbrain', 'recipient', 'Destinatario'),
('es-es', 'phpbrain', 'rating invalid', 'La valoración no es válida'),
('es-es', 'phpbrain', 'rating has been submited', 'Se ha enviado la valoración'),
('es-es', 'phpbrain', 'questions deleted successfully', 'Las preguntas se han borrado correctamente'),
('es-es', 'phpbrain', 'question deleted successfully', 'La pregunta se ha borrado correctamente'),
('es-es', 'phpbrain', 'published', 'Publicado'),
('es-es', 'phpbrain', 'publish selected', 'Publicar lo seleccionado'),
('es-es', 'phpbrain', 'publish', 'Publicar'),
('es-es', 'phpbrain', 'publication date', 'Fecha de publicación'),
('es-es', 'phpbrain', 'printer view', 'Vista de impresora'),
('es-es', 'phpbrain', 'problem relating articles', 'Problema relacionando articulos'),
('es-es', 'phpbrain', 'poor', 'Pobre'),
('es-es', 'phpbrain', 'please try again', 'Por favor, vuelva a intentarlo'),
('es-es', 'phpbrain', 'people have rated this article', 'personas han valorado este artículo'),
('es-es', 'phpbrain', 'please rate the pertinence and quality of this article', 'Por favor, valore la utilidad y calidad de este artículo'),
('es-es', 'phpbrain', 'overwrite file', '¿Sobreescribir el fichero existente?'),
('es-es', 'phpbrain', 'past %1 months', '%1 meses anteriores'),
('es-es', 'phpbrain', 'past year', 'año pasado'),
('es-es', 'phpbrain', 'outstanding published questions', 'Preguntas publicadas más destacadas'),
('es-es', 'phpbrain', 'order results by', 'Ordenar resultados por'),
('es-es', 'phpbrain', 'ocurrences', 'Ocurrencias'),
('es-es', 'phpbrain', 'or browse the categories', 'O examinar las categorias'),
('es-es', 'phpbrain', 'number of results per page', 'Número de resultados'),
('es-es', 'phpbrain', 'nothing was uploaded!', '¡No se ha subido nada al servidor!'),
('es-es', 'phpbrain', 'nobody has rated this article so far', 'Nadie ha valorado este artículo aún'),
('es-es', 'phpbrain', 'new article', 'Nuevo artículo'),
('es-es', 'phpbrain', 'most viewed', 'Los más vistos'),
('es-es', 'phpbrain', 'modification date', 'Fecha de modificación'),
('es-es', 'phpbrain', 'maximum number of most popular articles, latest articles and unanswered questions to show in the main view:', 'Número máximo de artículos más populares, últimos artículos y preguntas sin responder a mostrar en la vista principal:'),
('es-es', 'phpbrain', 'maximum number of comments to show:', 'Número máximo de comentarios a mostrar:'),
('es-es', 'phpbrain', 'maintain questions', 'Mantener preguntas'),
('es-es', 'phpbrain', 'maintain articles', 'Mantener artículos'),
('es-es', 'phpbrain', 'main view', 'Vista principal'),
('es-es', 'phpbrain', 'mail article', 'Enviar artículo por correo'),
('es-es', 'phpbrain', 'links & files', 'Enlaces y ficheros'),
('es-es', 'phpbrain', 'links', 'Enlaces'),
('es-es', 'phpbrain', 'link has been added', 'Se ha añadido el enlace'),
('es-es', 'phpbrain', 'link deleted successfully', 'El enlace se borró correctamente'),
('es-es', 'phpbrain', 'leave empty to automatically generate an id', 'Dejar en blanco para generar un ID automáticamente'),
('es-es', 'phpbrain', 'link could not be added', 'No se pudo añadir el enlace'),
('es-es', 'phpbrain', 'latest comments', 'Últimos comentarios'),
('es-es', 'phpbrain', 'last modified', 'Última modificación'),
('es-es', 'phpbrain', 'latest', 'La última'),
('es-es', 'phpbrain', 'last modification by %1 on %2', 'Ultima modificación por %1 en %2'),
('es-es', 'phpbrain', 'knowledge base article #%1', 'Artículo de la base de conocimiento nº%1'),
('es-es', 'phpbrain', 'knowledge base', 'Base de conocimiento'),
('es-es', 'phpbrain', 'keywords', 'Palabras clave'),
('es-es', 'phpbrain', 'include subcategories', 'Incluir subcategorías'),
('es-es', 'phpbrain', 'in the title', 'en el título'),
('es-es', 'phpbrain', 'in the topic', 'en el asunto'),
('es-es', 'phpbrain', 'in the text', 'en el texto'),
('es-es', 'phpbrain', 'in %1', 'en %1'),
('es-es', 'phpbrain', 'if you wish, you can comment this article here', 'Si lo desea, puede comentar aquí este artículo'),
('es-es', 'phpbrain', 'history', 'Historial'),
('es-es', 'phpbrain', 'if you can''t find answers to your problem in the knowledge base, describe it below', 'Si no puede encontrar respuestas a su problema en la base de conocimiento, descríbalo debajo'),
('es-es', 'phpbrain', 'find results', 'Encontrar resultados'),
('es-es', 'phpbrain', 'global categories', 'Categorías globales'),
('es-es', 'phpbrain', 'file wasn''t in server and it couldn''t be deleted from the database', 'El fichero no estaba en el servidor y no se pudo borrar de la base de datos.'),
('es-es', 'phpbrain', 'file was deleted successfully', 'El fichero se borró correctamente'),
('es-es', 'phpbrain', 'file was already missing from server, and was deleted from the database', 'El fichero ya no estaba en el servidor, y se borró de la base de datos.'),
('es-es', 'phpbrain', 'file has been successfully uploaded', 'El fichero se ha subido al servidor correctamente'),
('es-es', 'phpbrain', 'failure trying to delete the file', 'Fallo al intentar borrar el fichero'),
('es-es', 'phpbrain', 'file could be deleted from server but not from database', 'Se pudo borrar el fichero del servidor pero no de la base de datos'),
('es-es', 'phpbrain', 'excellent', 'Excelente'),
('es-es', 'phpbrain', 'error: file doesn''t exist in the database', 'Error: el fichero no existe en la base de datos'),
('es-es', 'phpbrain', 'error trying to publish article', 'Error al intentar publicar el artículo'),
('es-es', 'phpbrain', 'error trying to edit article', 'Error al intentar editar el artículo'),
('es-es', 'phpbrain', 'error trying to delete question', 'Error al intentar borrar la pregunta'),
('es-es', 'phpbrain', 'error trying to delete comment', 'Error al intentar borrar el comentario'),
('es-es', 'phpbrain', 'error retrieving article', 'Error al recuperar el artículo'),
('es-es', 'phpbrain', 'error publishing comment', 'Error el publicar el comentario'),
('es-es', 'phpbrain', 'error moving file to directory', 'Error al mover el fichero al directorio'),
('es-es', 'phpbrain', 'error locating files directory', 'Error al buscar el directorio de los ficheros'),
('es-es', 'phpbrain', 'error downloading file', 'Error al descargar el fichero'),
('es-es', 'phpbrain', 'error deleting link', 'Error al borrar el enlace'),
('es-es', 'phpbrain', 'error deleting article from database', 'Error al borrar el artículo de la base de datos'),
('es-es', 'phpbrain', 'enterprise knowledge articles repository', 'Repositorio para los artículos de conocimiento de la empresa'),
('es-es', 'phpbrain', 'enter one or two words describing the issue, or type the article number if you know it', 'Introduzca una o dos palabras que describan el problema, o escriba el número del artículo si lo sabe'),
('es-es', 'phpbrain', 'e-mail has been sent', 'se ha enviado el correo'),
('es-es', 'phpbrain', 'edit article', 'Editar artículo'),
('es-es', 'phpbrain', 'e-groupware knowledge base article attached', 'Se ha adjuntado un artículo a la base de conocimiento de eGroupware'),
('es-es', 'phpbrain', 'details', 'Detalles'),
('es-es', 'phpbrain', 'descendent', 'Descendente'),
('es-es', 'phpbrain', 'deleted relation to  article %1', 'Borrada la relación con el artículo %1'),
('es-es', 'phpbrain', 'deleted relation to article %1', 'Se ha borrado la relacion con el artículo %1'),
('es-es', 'phpbrain', 'delete selected', 'Borrar la selección'),
('es-es', 'phpbrain', 'delete article', 'Borrar articulo'),
('es-es', 'phpbrain', 'creation', 'creación'),
('es-es', 'phpbrain', 'creation date', 'Fecha de creación'),
('es-es', 'phpbrain', 'created by %1 on %2', 'Creado por %1 en %2'),
('es-es', 'phpbrain', 'contents', 'Contenido'),
('es-es', 'phpbrain', 'create a new article to answer the question asked by %1 in %2', 'Crear un nuevo artículo para responder la pregunta realizada por %1 en %2'),
('es-es', 'phpbrain', 'configuration', 'Configuración'),
('es-es', 'phpbrain', 'comments', 'Comentarios'),
('es-es', 'phpbrain', 'comment has been submited for revision and rating will be published', 'El comentario se ha enviado para una revisión y se publicará la valoración'),
('es-es', 'phpbrain', 'comment has been submited for revision', 'El comentario se ha enviado para una revisión'),
('es-es', 'phpbrain', 'comment has been published', 'El comentario ha sido publicado'),
('es-es', 'phpbrain', 'comment has been deleted', 'El comentario ha sido borrado'),
('es-es', 'phpbrain', 'comment could not be inserted in the database', 'No se pudo insertar el comentario en la base de datos'),
('es-es', 'phpbrain', 'comment and rating have been published', 'El comentario y la valoración han sido publicados'),
('es-es', 'phpbrain', 'comment', 'Comentarios'),
('es-es', 'phpbrain', 'by answering this question you will help to get the answer quicker the next time', 'Al responder esta pregunta, usted ayudará a obtener una respuesta más rápida la próxima vez'),
('es-es', 'phpbrain', 'before submiting a question, please search in the knowledge base first', 'Antes de enviar una pregunta, por favor, busque antes en la base de conocimiento'),
('es-es', 'phpbrain', 'attach file', 'Adjuntar fichero'),
('es-es', 'phpbrain', 'attached files', 'Ficheros adjuntos'),
('es-es', 'phpbrain', 'average rating', 'Valoración media'),
('es-es', 'phpbrain', 'base directory does not exist, please ask the adminstrator to check the global configuratio', 'El directorio base no existe. Por favor, pida al administrador que compruebe la configuración global.'),
('es-es', 'phpbrain', 'articles not classified under any category', 'Artículos sin clasificar en ninguna categoría'),
('es-es', 'phpbrain', 'ascendent', 'Ascendente'),
('es-es', 'phpbrain', 'articles deleted successfully', 'Los artículos se han borrado correctamente'),
('es-es', 'phpbrain', 'articles have been published', 'Los artículos han sido publicados'),
('es-es', 'phpbrain', 'articles in %1', 'Artículos en %1'),
('es-es', 'phpbrain', 'articles in %1 and all its subcategories', 'Artículos en %1 y todas las subcategorías'),
('es-es', 'phpbrain', 'articles added', 'Se han añadido los artículos'),
('es-es', 'phpbrain', 'article edited', 'El artículo ha sido editado'),
('es-es', 'phpbrain', 'article has been published', 'El artículo ha sido publicado'),
('es-es', 'phpbrain', 'article id', 'ID de artículo'),
('es-es', 'phpbrain', 'article deleted', 'Artículo borrado'),
('es-es', 'phpbrain', 'article deleted successfully', 'El artículo se ha borrado correctamente'),
('es-es', 'phpbrain', 'article created', 'Artículo creado'),
('es-es', 'phpbrain', 'article added to database, you can now attach files or links, or relate to other articles', 'El artículo ha sido añadido a la base de datos. Ahora puede adjuntar ficheros o enlaces, así como relacionarlo con otros artículos.'),
('es-es', 'phpbrain', 'article', 'Artículo'),
('es-es', 'phpbrain', 'are you sure?', '¿Está seguro?'),
('es-es', 'phpbrain', 'answer', 'Respuesta'),
('es-es', 'phpbrain', 'anytime', 'Cualquier hora'),
('es-es', 'phpbrain', 'anywhere in the article', 'En cualquier lugar del artículo'),
('es-es', 'phpbrain', 'allow posting of questions', 'Permitir el envío de preguntas'),
('es-es', 'phpbrain', 'all articles', 'Todos los artículos'),
('es-es', 'phpbrain', 'advanced search', 'Búsqueda avanzada'),
('es-es', 'phpbrain', 'added related articles %1', 'Se han añadido los artículos relacionados %1'),
('es-es', 'phpbrain', 'added link %1', 'Se ha añadido el enlace %1'),
('es-es', 'phpbrain', 'added file %1', 'Se ha añadido el fichero %1'),
('es-es', 'phpbrain', 'add question', 'Añadir pregunta'),
('es-es', 'phpbrain', 'add link', 'Añadir enlace'),
('es-es', 'phpbrain', 'actions', 'Acciones'),
('es-es', 'phpbrain', 'add articles', 'Añadir artículos'),
('es-es', 'phpbrain', 'action', 'Acción'),
('es-es', 'phpbrain', '/kb directory does not exist and could not be created, please ask the adminstrator to check the global configuration', 'El directorio /kb no existe y no se pudo crear. Por favor, consulte al administrador para comprobar la configuración global.'),
('es-es', 'notifications', 'windows-popup only', 'Sólo ventana emergente de Windows'),
('es-es', 'notifications', 'you''ve got new mail', 'Tiene correo nuevo'),
('es-es', 'notifications', 'windows-popup first, if that fails notify me by e-mail', 'Primero, ventana emergente de Windows, y si falla, notificarme por correo electrónico.'),
('es-es', 'notifications', 'windows-popup first, if that fails notify me by sms', 'Primero, ventana emergente de Windows, y si falla, notificarme por SMS.'),
('es-es', 'notifications', 'windows-popup and e-mail', 'Ventana emergente de Windows y correo electrónico'),
('es-es', 'notifications', 'this egroupware notification has been sent to you by mail because your chosen notification-chain has been disabled by the admini', 'Esta notificación de eGroupWare le ha sido enviada por correo electrónico porque su cadena de notificaciones elegida ha sido desactivada por el administrador. ¡Por favor, elija otra cadena de notificación en sus preferencias!'),
('es-es', 'notifications', 'received', 'Recibido'),
('es-es', 'notifications', 'sms only', 'Sólo SMS'),
('es-es', 'notifications', 'preferences for notification', 'Preferencias para la notificación'),
('es-es', 'notifications', 'poll interval', 'Intervalo de muestreo'),
('es-es', 'notifications', 'notify me by', 'Notificar por mí'),
('es-es', 'notifications', 'optimize e-mails for external mail client', 'Optimizar correos electrónicos para cliente de correos externo'),
('es-es', 'notifications', 'minutes', 'minutos'),
('es-es', 'notifications', 'message from', 'Mensaje desde'),
('es-es', 'notifications', 'if set, embedded links get rendered special for external clients', 'Si está activado, los enlaces embebidos se visualizan de una forma especial para los clientes externos'),
('es-es', 'notifications', 'from', 'De'),
('es-es', 'notifications', 'how verbose should the egroupware-popup behave if a notification is sent to the user:<br />low: just display the notification be', 'Cuánta cantidad de información debe enviar la ventana emergente de eGroupWare al usuario:<br />baja: sólo mostrar la campana de notificación en el menú superior (para lo cual hay que activar el menú superior)<br />media: traer la ventana de notificación al frente<br />alta: traer la ventana de notificación al frente y permitir al navegador hacer algo para anunciarse.'),
('es-es', 'notifications', 'enabled chains', 'Cadenas activadas'),
('es-es', 'notifications', 'folder', 'Carpeta'),
('es-es', 'notifications', 'egroupware-popup verbosity', 'Verbosidad de la ventana emergente de eGroupWare'),
('es-es', 'notifications', 'egroupware-popup only', 'Sólo ventana emergente de eGroupWare'),
('es-es', 'notifications', 'egroupware-popup first, if that fails notify me by sms', 'Primero, ventana emergente de eGroupWare, y si falla, notificarme por SMS'),
('es-es', 'notifications', 'egroupware-popup first, if that fails notify me by e-mail', 'Primero, ventana emergente de eGroupWare, y si falla, notificarme por correo electrónico'),
('es-es', 'notifications', 'egroupware-popup and windows-popup', 'Ventanas emergentes de eGroupWare y Windows'),
('es-es', 'notifications', 'egroupware-popup and e-mail', 'Ventana emergente de eGroupWare y correo electrónico'),
('es-es', 'notifications', 'egroupware has notifications for you', 'eGroupWare tiene notificaciones para usted'),
('es-es', 'notifications', 'do not notify me at all', 'no notificarme en ningún caso'),
('es-es', 'notifications', 'e-mail only', 'Sólo correo electrónico'),
('es-es', 'notifications', 'disabled chains', 'Cadenas desactivadas'),
('es-es', 'notifications', 'common chains', 'Cadenas comunes'),
('es-es', 'notifications', 'choose a notification-chain. you will be notified over the backends included in the chain.<br />note: if a notification-chain is', 'Elija una cadena de notificación. Se le notiificará por los métodos incluidos en la cadena.<br />Nota: Si una cadena de notificación está marcada como "desactivada", su Administrador no permite una o más de los métodos incluidos en la cadena y la notificación falla volviendo a "Correo electrónico" mientras le notifica.'),
('es-es', 'notifications', 'all possible notification backends', 'todos los posibles backends de notificación'),
('es-es', 'news_admin', 'write permissions', 'Permiso de escritura'),
('es-es', 'news_admin', 'write', 'Escribir'),
('es-es', 'news_admin', 'which news categories should be displayed on the main screen.', 'Qué categorías de noticias deben mostrarse en la pantalla principal.'),
('es-es', 'news_admin', 'which information do you want to show (css class)', 'Qué información desea mostrar (clase CSS)'),
('es-es', 'news_admin', 'webpage news admin', 'Administrador de noticias de la página web'),
('es-es', 'news_admin', 'visible', 'Visible'),
('es-es', 'news_admin', 'view this category', 'Ver esta categoría'),
('es-es', 'news_admin', 'url of the rss or atom feed, empty for own news feed', 'URL del hilo Atom. En blanco para hilo propio.'),
('es-es', 'news_admin', 'until', 'hasta'),
('es-es', 'news_admin', 'there no such translation.', 'No hay tal traducción.'),
('es-es', 'news_admin', 'this module publishes news from the news_admin application on your website. be aware of news_admin''s acl restrictions.', 'Este módulo publica noticias desde la aplicación Administrador de noticias en su sitio web. Tenga en cuenta las restricciones de ACL de la aplicación.'),
('es-es', 'news_admin', 'the subject is missing', 'Falta el asunto'),
('es-es', 'news_admin', 'the number of articles to display on the main screen.', 'El número de artículos a mostrar en la pantalla principal.'),
('es-es', 'news_admin', 'the news content is missing', 'Falta el contenido de las noticias'),
('es-es', 'news_admin', 'teaser with read more link', 'Introducción con enlace de leer más'),
('es-es', 'news_admin', 'teaser', 'Introducción'),
('es-es', 'news_admin', 'submitted by %1 on %2', 'Enviado por %1 el %2'),
('es-es', 'news_admin', 'submitted by and date', 'Enviado por y fecha'),
('es-es', 'news_admin', 'start', 'Inicio'),
('es-es', 'news_admin', 'small view', 'Vista reducida'),
('es-es', 'news_admin', 'show news articles on main page?', '¿Mostrar artículos de noticias en la página principal?'),
('es-es', 'news_admin', 'show latest news articles?', '¿Mostrar los últimos artículos de noticias?');
INSERT INTO `egw_lang` (`lang`, `app_name`, `message_id`, `content`) VALUES
('es-es', 'news_admin', 'should news_admin display the latest article headlines on the main screen.', 'Mostrar el titular del último artículo en la pantalla principal'),
('es-es', 'news_admin', 'send mail to others', 'Enviar correo a otros'),
('es-es', 'news_admin', 'reload', 'Recargar'),
('es-es', 'news_admin', 'read permissions', 'Permiso de lectura'),
('es-es', 'news_admin', 'read news', 'Leer noticias'),
('es-es', 'news_admin', 'read more', 'leer más'),
('es-es', 'news_admin', 'publish date', 'Fecha de publicación'),
('es-es', 'news_admin', 'please select a category', 'Por favor, seleccione una categoría'),
('es-es', 'news_admin', 'parent', 'Nivel superior'),
('es-es', 'news_admin', 'page-name the item should be displayed (empty = current page)', 'Página-indique el elemento a mostrar (vacío=página actual)'),
('es-es', 'news_admin', 'number of news items to be displayed on page', 'Número de elementos de noticias a mostrar en la página'),
('es-es', 'news_admin', 'old', 'Antigua'),
('es-es', 'news_admin', 'on', 'en'),
('es-es', 'news_admin', 'no entries found', 'No se encontraron entradas'),
('es-es', 'news_admin', 'no matching news item', 'No coincide ninguna noticia'),
('es-es', 'news_admin', 'no news', 'Sin noticias está actualmente en la categoría'),
('es-es', 'news_admin', 'no rss export', 'No hay exportación RSS'),
('es-es', 'news_admin', 'now', 'Ahora'),
('es-es', 'news_admin', 'number of articles to display on the main screen', 'Número de artículos a mostrar en la pantalla principal'),
('es-es', 'news_admin', 'no anonymous user accounts installed.  notify the administrator.', 'NO HAY CUENTA INSTALADA PARA EL USUARIO ANONIMO. NOTIFIQUELO AL ADMINISTRADOR.'),
('es-es', 'news_admin', 'news saved.', 'Noticia guardada'),
('es-es', 'news_admin', 'news item has been updated', 'Se ha actualizado un elemento de noticias'),
('es-es', 'news_admin', 'news item has been added', 'Se ha añadido un elemento de noticias'),
('es-es', 'news_admin', 'news', 'Noticias'),
('es-es', 'news_admin', 'news admin', 'Administrador de noticias'),
('es-es', 'news_admin', 'news administration', 'Administración de noticias'),
('es-es', 'news_admin', 'news deleted.', 'Noticia borrada'),
('es-es', 'news_admin', 'maintain', 'Mantener'),
('es-es', 'news_admin', 'message has been added', 'El mensaje ha sido añadido'),
('es-es', 'news_admin', 'more news', 'Más noticias'),
('es-es', 'news_admin', 'more news link', 'Enlace a más noticias'),
('es-es', 'news_admin', 'new item has been added', 'Se ha añadido un elemento nuevo'),
('es-es', 'news_admin', 'main', 'Principal'),
('es-es', 'news_admin', 'link', 'Enlace'),
('es-es', 'news_admin', 'last updated', 'Ultima actualización'),
('es-es', 'news_admin', 'item not found', 'No se encontró el elemento'),
('es-es', 'news_admin', 'item has been deleted', 'El elemento ha sido borrado'),
('es-es', 'news_admin', 'imported feeds can not be writable!', '¡Las noticias importadas NO se pueden escribir!'),
('es-es', 'news_admin', 'import now', 'Importar ahora'),
('es-es', 'news_admin', 'import url', 'URL de importación'),
('es-es', 'news_admin', 'import every', 'Importar cada'),
('es-es', 'news_admin', 'implies read permission', 'implica permiso de lectura'),
('es-es', 'news_admin', 'image url', 'URL de la imagen'),
('es-es', 'news_admin', 'image title', 'Título de la imagen'),
('es-es', 'news_admin', 'image link', 'Enlace a la imagen'),
('es-es', 'news_admin', 'global_news', 'Noticias globales'),
('es-es', 'news_admin', 'headline', 'Titular'),
('es-es', 'news_admin', 'headline with link', 'Titular con enlace'),
('es-es', 'news_admin', 'global categories', 'Categorías globales'),
('es-es', 'news_admin', 'global news', 'Noticias globales'),
('es-es', 'news_admin', 'future', 'Futuro'),
('es-es', 'news_admin', 'from', 'De'),
('es-es', 'news_admin', 'from all', 'Desde todos'),
('es-es', 'news_admin', 'format of export', 'Formato de exportación'),
('es-es', 'news_admin', 'format for links to items', 'Formato para los enlaces a los elementos'),
('es-es', 'news_admin', 'error saving the news!', '¡Error al guardar la noticia!'),
('es-es', 'news_admin', 'failed to add message', 'Fallo al añadir un mensaje nuevo'),
('es-es', 'news_admin', 'error saving the category!', '¡Error al guardar la categoría!'),
('es-es', 'news_admin', 'edit news item', 'Editar elemento de noticias'),
('es-es', 'news_admin', 'end', 'Fin'),
('es-es', 'news_admin', 'error importing the feed!', '¡Error al importar el hilo de noticias!'),
('es-es', 'news_admin', 'do you want to publish a rss feed for this news category', '¿Desea publicar un canal RSS para esta categoría de noticias?'),
('es-es', 'news_admin', 'delete this news', 'Borrar esta noticia'),
('es-es', 'news_admin', 'date and time', 'Fecha y hora'),
('es-es', 'news_admin', 'count', 'Contar'),
('es-es', 'news_admin', 'content', 'Contenido'),
('es-es', 'news_admin', 'contains html', 'Contiene HTML'),
('es-es', 'news_admin', 'category deleted.', 'Se ha borrado la categoría.'),
('es-es', 'news_admin', 'category saved.', 'Se ha guardado la categoría.'),
('es-es', 'news_admin', 'choose a category', 'Elija una categoría'),
('es-es', 'news_admin', 'configuration', 'Configuración'),
('es-es', 'news_admin', 'categories to displayed on main page?', '¿Mostrar categorías en la página principal?'),
('es-es', 'news_admin', 'all news', 'Todas las noticias'),
('es-es', 'news_admin', 'always', 'Siempre'),
('es-es', 'news_admin', 'by date', 'Por fecha'),
('es-es', 'news_admin', 'add news item', 'Añadir elemento de noticias'),
('es-es', 'news_admin', 'add new news', 'Añadir noticias nuevas'),
('es-es', 'news_admin', 'add new article', 'Añadir artículo nuevo'),
('es-es', 'news_admin', 'actions', 'Acciones'),
('es-es', 'news_admin', 'active', 'Activo'),
('es-es', 'news_admin', '%1 news imported (%2 new).', 'Se han importado %1 noticias (%2 nuevas)'),
('es-es', 'news_admin', '%s hours', '%s horas'),
('es-es', 'manual', 'the search returned no result!', '¡La búsqueda no devolvió resultados!'),
('es-es', 'news_admin', '%1 module', 'Módulo %1'),
('es-es', 'manual', 'starting import from %1, this might take several minutes (specialy if you start it the first time) ...', 'Comenzando a importar desde %1. Esto puede tardar varios minutos (especialmente si es la primera vez)...'),
('es-es', 'manual', 'search for', 'Buscar por'),
('es-es', 'manual', 'page(s) %1 not found !!!', '¡Página(s) %1 no encontrada(s)!'),
('es-es', 'manual', 'index', 'Indice'),
('es-es', 'manual', 'download', 'descargar'),
('es-es', 'manual', '%1 manual page(s) added or updated', '%1 páginas del manual añadidas o actualizadas'),
('es-es', 'infolog', 'you need to select some entries first', 'Necesita seleccionar antes algunas entradas'),
('es-es', 'infolog', 'your database is not up to date (%1 vs. %2), please run %3setup%4 to update your database.', 'Su base de datos NO está actualizada (%1 vs. %2). Por favor, vaya a %3setup%4 para actualizarla.'),
('es-es', 'infolog', 'you need to select an entry for linking.', 'Necesita seleccionar una entrada para vincular.'),
('es-es', 'infolog', 'you must enter a subject or a description', 'Debe introducir un asunto o descripción'),
('es-es', 'infolog', 'you have entered an invalid starting date', 'Ha introducido una fecha de inicio que no es válida'),
('es-es', 'infolog', 'you have to enter a name, to create a new typ!!!', '¡Debe introducir un nombre para crear un tipo nuevo!'),
('es-es', 'infolog', 'you have entered an invalid ending date', 'Ha introducido una fecha de finalización que no es válida'),
('es-es', 'infolog', 'you can''t delete one of the stock types !!!', '¡¡No puede borrar uno de los tipos almacenados!!'),
('es-es', 'infolog', 'you can choose a categorie to be preselected, when you create a new infolog entry', 'Puede elegir una categoría para estar preseleccionada cuando cree una nueva entrada del Registro'),
('es-es', 'infolog', 'yes, with purging of deleted items possible', 'Sí, con la posibilidad de purgar los elementos borrados'),
('es-es', 'infolog', 'yes, only admins can purge deleted items', 'Sí, sólo los administradores pueden purgar los elementos borrados'),
('es-es', 'infolog', 'yes, with larger fontsize', 'Sí, con un tamaño de letra más grande'),
('es-es', 'infolog', 'yes, noone can purge deleted items', 'Si, nadie puede purgar los elementos borrados'),
('es-es', 'infolog', 'yes - delete', 'Sí - Eliminar'),
('es-es', 'infolog', 'yes - delete including sub-entries', 'Sí - Eliminar incluso las subentradas'),
('es-es', 'infolog', 'yes - close including sub-entries', 'Sí, cerrar incluyendo las subentradas'),
('es-es', 'infolog', 'yes - close', 'Sí, cerrar'),
('es-es', 'infolog', 'write (add or update) a record by passing its fields.', 'Escribir (añadir o actualizar) un registro pasando sus campos.'),
('es-es', 'infolog', 'will-call', 'va a llamar'),
('es-es', 'infolog', 'which types should the calendar show', 'Qué tipos debe mostrar el calendario'),
('es-es', 'infolog', 'which implicit acl rights should the responsible get?', '¿Qué derechos implícitos de ACL debe tener el responsable?'),
('es-es', 'infolog', 'which additional fields should the responsible be allowed to edit without having edit rights?<br />status, percent and date comp', '¿Qué campos adicionales puede editar el responsable sin tener derechos de edición?<br />El estado, porcentaje y fecha de finalización se permiten siempre.'),
('es-es', 'infolog', 'when should the todo or phonecall be started, it shows up from that date in the filter open or own open (startpage)', 'Cuándo se debe iniciar las tareas pendientes o llamada de teléfono. Se muestra en la fecha del filtro o al abrir manualmente en la página de inicio'),
('es-es', 'infolog', 'view the parent of this entry and all his subs', 'Ver el padre de esta entrada y todos sus subs'),
('es-es', 'infolog', 'view this linked entry in its application', 'ver esta entrada vinculada en su aplicación'),
('es-es', 'infolog', 'view subs', 'ver subs'),
('es-es', 'infolog', 'view parent', 'Ver padre'),
('es-es', 'infolog', 'view other subs', 'ver otros subs'),
('es-es', 'infolog', 'view all subs of this entry', 'Ver todos los subs de esta entrada'),
('es-es', 'infolog', 'values for selectbox', 'Valores para lista desplegable'),
('es-es', 'infolog', 'valid path on clientside<br>eg. \\\\server\\share or e:\\', 'ruta válida en el cliente<br>p.ej. \\\\servidor\\recurso o e:'),
('es-es', 'infolog', 'used time', 'tiempo utilizado'),
('es-es', 'infolog', 'use this tag for addresslabels. put the content, you want to repeat, between two tags.', 'Usar esta etiqueta para las etiquetas de direcciones. Ponga el contenido que quiera repetir entre dos etiquetas.'),
('es-es', 'infolog', 'use search results', 'Usar los resultados de la búsqueda'),
('es-es', 'infolog', 'use field from csv if possible', 'Usar el campo de CSV si es posible'),
('es-es', 'infolog', 'use all', 'Usar todos'),
('es-es', 'infolog', 'urgent', 'urgente'),
('es-es', 'infolog', 'urgency', 'Urgencia'),
('es-es', 'infolog', 'upcoming', 'próxima'),
('es-es', 'infolog', 'unlink', 'Desvincular'),
('es-es', 'infolog', 'unlinked from %1', 'Se ha desvinculado de %1'),
('es-es', 'infolog', 'type of the log-entry: note, phonecall or todo', 'Tipo de entrada para el Registro: Nota, llamada de teléfono o tarea pendiente'),
('es-es', 'infolog', 'type ...', 'Tipo...'),
('es-es', 'infolog', 'type of customfield', 'Tipo de campo personalizado'),
('es-es', 'infolog', 'typ ''%1'' already exists !!!', '¡El tipo ''%1'' ya existe!'),
('es-es', 'infolog', 'type', 'Tipo'),
('es-es', 'infolog', 'typ', 'Tipo'),
('es-es', 'infolog', 'todays date', 'Fecha de hoy'),
('es-es', 'infolog', 'todo', 'Tareas pendientes'),
('es-es', 'infolog', 'translation', 'Traducción'),
('es-es', 'infolog', 'today', 'Hoy'),
('es-es', 'infolog', 'to what should the startdate of new entries be set.', 'A qué valor establecer la fecha de inicio para las entradas nuevas.'),
('es-es', 'infolog', 'times', 'Tiempos'),
('es-es', 'infolog', 'to many might exceed your execution-time-limit', '¿Cuánto puede exceder el límite de ejecución?'),
('es-es', 'infolog', 'til when should the todo or phonecall be finished', '¿Hasta cuándo puede la tarea o llamada telefónica estar sin terminar?'),
('es-es', 'infolog', 'this is the filter infolog uses when you enter the application. filters limit the entries to show in the actual view. there are ', 'Este es el filtro que el Registro usa cuando usted entra a la aplicación. Los filtros limitan las entradas que se ven en la vista actual. Hay filtros para mostrar sólo las terminadas, todavía abiertas o entradas futuras suyas o de todos los usuarios.'),
('es-es', 'infolog', 'the text displayed to the user', 'el texto que se muestra al usuario'),
('es-es', 'infolog', 'the name used internaly (<= 20 chars), changeing it makes existing data unavailible', 'el nombre usado internamente (menos de 20 caracteres), cambiándolo hace que los datos existentes no estén disponibles.'),
('es-es', 'infolog', 'the name used internaly (<= 10 chars), changeing it makes existing data unavailible', 'el nombre usado internamente (menos de 10 caracteres), cambiándolo hace que los datos existentes no estén disponibles.'),
('es-es', 'infolog', 'test import (show importable records <u>only</u> in browser)', 'Probar Importar (mostrar registros importables <u>sólo</u> en el navegador)'),
('es-es', 'infolog', 'tasks of', 'Tareas de'),
('es-es', 'infolog', 'template', 'Plantilla'),
('es-es', 'infolog', 'tag to mark positions for address labels', 'Etiqueta para marcar las posiciones para las etiquetas de direcciones'),
('es-es', 'infolog', 'task', 'Tareas pendientes'),
('es-es', 'infolog', 'sum', 'Suma'),
('es-es', 'infolog', 'subject', 'Asunto'),
('es-es', 'infolog', 'sub-entries will not be closed', 'Las subentradas no se cerrarán'),
('es-es', 'infolog', 'sub', 'Sub'),
('es-es', 'infolog', 'sub-entries become subs of the parent or main entries, if there''s no parent', 'Las subentradas quedan por debajo de las entradas del nivel superior o del principal, si no hay nivel superior.'),
('es-es', 'infolog', 'status', 'Estado'),
('es-es', 'infolog', 'status ...', 'Estado...'),
('es-es', 'infolog', 'starting %1', 'Iniciando %1'),
('es-es', 'infolog', 'startrecord', 'Comenzar grabación de registro'),
('es-es', 'infolog', 'startdate for new entries', 'Fecha de inicio para entradas nuevas'),
('es-es', 'infolog', 'startdate', 'Fecha de inicio'),
('es-es', 'infolog', 'startdate enddate', 'Fechas de inicio y Fin'),
('es-es', 'infolog', 'start a new search, cancel this link', 'iniciar nueva búsqueda, cancelar este enlace'),
('es-es', 'infolog', 'show full usernames', 'Mostrar nombres de usuario completos'),
('es-es', 'infolog', 'show in the infolog list', 'Mostrar la lista del Registro'),
('es-es', 'infolog', 'show last modified', 'Mostrar última modificación'),
('es-es', 'infolog', 'show status and percent done separate', 'Mostrar el estado y el porcentaje de finalización por separado'),
('es-es', 'infolog', 'show ticket id', 'Mostrar id del ticket?'),
('es-es', 'infolog', 'show times', 'Mostrar horas'),
('es-es', 'infolog', 'small view', 'vista reducida'),
('es-es', 'infolog', 'start', 'Empezar'),
('es-es', 'infolog', 'show a x if content equals this compare value, otherwise show nothing', 'Mostrar una X si el contenido es igual al valor que se compara, si no, no se muestra nada'),
('es-es', 'infolog', 'should this entry only be visible to you and people you grant privat access via the acl', '¿Poner esta entrada visible sólo para usted y la gente que indique?'),
('es-es', 'infolog', 'show a column for used and planned times in the list.', 'Mostrar una columna para horas usadas y previstas en la lista'),
('es-es', 'infolog', 'should the infolog list show the percent done only for status ongoing or two separate icons.', '¿Mostrar en la lista el porcentaje de finalización sólo para el estado de salida o dos iconos separados?'),
('es-es', 'infolog', 'should the infolog list show the column "last modified".', '¿Debe mostrar el Registro la columna "última modificación"?'),
('es-es', 'infolog', 'should the infolog list show a unique numerical id, which can be used eg. as ticket id.', '¿Mostrar una lista con un id numérico único, que se pueda usar como id de ticket?'),
('es-es', 'infolog', 'should infolog use full names (surname and familyname) or just the loginnames.', '¿Usar nombres completos (apellido y nombre de la familia), o sólo los nombres de usuario?'),
('es-es', 'infolog', 'should infolog show up on the main screen and with which filter. works only if you dont selected an application for the main scr', '¿Debe mostrarse el Registro en la pantalla principal, y con qué filtro? Sólo funciona si no selecciona una aplicación para la pantalla principal (en sus preferencias).'),
('es-es', 'infolog', 'should infolog show the links to other applications and/or the file-attachments in the infolog list (normal view when you enter ', '¿Deben mostrarse los enlaces a otras aplicaciones y/o los ficheros adjuntos en la lista del registro (la vista normal al entrar en el registro)?'),
('es-es', 'infolog', 'should infolog show subtasks, -calls or -notes in the normal view or not. you can always view the subs via there parent.', '¿Mostrar las Subtareas (llamadas o notas) en la vista normal? Siempre puede ver estos subtipos a través de su tipo superior.'),
('es-es', 'infolog', 'sets the status of this entry to done', 'Establecer el estado de esta entrada a Hecho'),
('es-es', 'infolog', 'sets the status of this entry and its subs to done', 'Pone el estado de esta entrada y las inferiores a Hecho'),
('es-es', 'infolog', 'set status to done for all entries', 'Establecer el estado a Hecho para todas las entradas'),
('es-es', 'infolog', 'set status to done', 'Establecer el estado a Hecho'),
('es-es', 'infolog', 'sender', 'Remitente'),
('es-es', 'infolog', 'select users or groups', 'Seleccionar usuarios o grupos'),
('es-es', 'infolog', 'select to filter by responsible', 'seleccionar para filtrar por responsable'),
('es-es', 'infolog', 'select to filter by owner', 'seleccionar para filtrar por propietario'),
('es-es', 'infolog', 'select multiple contacts for a further action', 'Seleccionar múltiples contactos para una acción posterior'),
('es-es', 'infolog', 'select new category', 'Seleccionar una categoría nueva'),
('es-es', 'infolog', 'select an entry to link with', 'Seleccionar una entrada a la que apunte un enlace'),
('es-es', 'infolog', 'select an action', 'Seleccionar una acción'),
('es-es', 'infolog', 'select an action...', 'Seleccionar una acción...'),
('es-es', 'infolog', 'select an app to search in', 'Seleccionar una aplicación en la que buscar'),
('es-es', 'infolog', 'select a typ to edit it''s status-values or delete it', 'seleccionar un tipo para editar sus valores de estado o eliminarlo'),
('es-es', 'infolog', 'select a responsible user: a person you want to delegate this task', 'seleccionar un usuario responsable: una persona en la que se quiere delegar la tarea'),
('es-es', 'infolog', 'select a project', 'Seleccionar un proyecto'),
('es-es', 'infolog', 'select a priority for this task', 'seleccionar una prioridad para esta tarea'),
('es-es', 'infolog', 'select a category for this entry', 'seleccionar una categoría para esta entrada'),
('es-es', 'infolog', 'select a price', 'Seleccionar un precio'),
('es-es', 'infolog', 'select', 'Seleccionar'),
('es-es', 'infolog', 'second parameter for preg_replace', 'segundo parámetro para preg_replace'),
('es-es', 'infolog', 'search for:', 'Buscar:'),
('es-es', 'infolog', 'search', 'Buscar'),
('es-es', 'infolog', 'saves this entry', 'Guarda esta entrada'),
('es-es', 'infolog', 'saves the changes made and leaves', 'guarda los cambios realizados y sale'),
('es-es', 'infolog', 'save', 'Guardar'),
('es-es', 'infolog', 'same day', 'el mismo día'),
('es-es', 'infolog', 'rights for the responsible', 'Derechos para el responsable'),
('es-es', 'infolog', 'returns a list / search for records.', 'Devuelve una lista o busca registros'),
('es-es', 'infolog', 'responsible user, priority', 'usuario responsable, prioridad'),
('es-es', 'infolog', 'responsible upcoming', 'responsable por llegar'),
('es-es', 'infolog', 'responsible overdue', 'responsable vencido'),
('es-es', 'infolog', 'responsible open and upcoming', 'responsable abierto y por venir'),
('es-es', 'infolog', 'responsible open', 'responsable abierto'),
('es-es', 'infolog', 'responsible', 'Responsable'),
('es-es', 'infolog', 'replacements for inserting entries into documents', 'Sustituciones para insertar entradas en los documentos'),
('es-es', 'infolog', 'replacement', 'Sustitución'),
('es-es', 'infolog', 'removed', 'eliminado'),
('es-es', 'infolog', 'regular expression', 'Expresión regular'),
('es-es', 'infolog', 'remark', 'Comentario'),
('es-es', 'infolog', 'remove this link (not the entry itself)', 'Eliminar este enlace (no la entrada en sí)'),
('es-es', 'infolog', 'reg. expr. for local ip''s<br>eg. ^192\\.168\\.1\\.', 'expresión regular para IPs locales<br>ej. ^192\\.168\\.1\\.'),
('es-es', 'infolog', 'receive notifications as html-mails', 'Recibir notificaciones como correo html'),
('es-es', 'infolog', 'receive notifications about starting entries you delegated', 'Recibir notificaciones acerca de las entradas que comienzan que usted ha delegado'),
('es-es', 'infolog', 'receive notifications about starting entries you are responsible for', 'Recibir notificaciones acerca de las entradas que comienzan de las que usted es responsable'),
('es-es', 'infolog', 'receive notifications about own items', 'Recibir notificaciones acerca de los elementos propios'),
('es-es', 'infolog', 'receive notifications about items assigned to you', 'Recibir notificaciones acerca de los elementos asignados a usted'),
('es-es', 'infolog', 'receive notifications about due entries you delegated', 'Recibir notificaciones acerca de las entradas vencidas delegadas por usted'),
('es-es', 'infolog', 'receive notifications about due entries you are responsible for', 'Recibir notificaciones acerca de las entradas vencidas de las que es responsable'),
('es-es', 'infolog', 'read one record by passing its id.', 'Leer un registro pasando su id.'),
('es-es', 'infolog', 'read rights (default)', 'derecho de lectura (predeterminado)'),
('es-es', 'infolog', 're:', 'Re:'),
('es-es', 'infolog', 're-planned time', 'Tiempo Replanificado'),
('es-es', 'infolog', 're-planned', 'Replanificado'),
('es-es', 'infolog', 'projectmanager', 'Administrador de proyectos'),
('es-es', 'infolog', 'project', 'Proyecto'),
('es-es', 'infolog', 'project settings: price, times', 'Configuración del proyecto: precio, tiempos'),
('es-es', 'infolog', 'private', 'Privado'),
('es-es', 'infolog', 'priority', 'Prioridad'),
('es-es', 'infolog', 'primary link', 'enlace primario'),
('es-es', 'infolog', 'pricelist', 'Lista de precios'),
('es-es', 'infolog', 'price', 'Precio'),
('es-es', 'infolog', 'planned time', 'Tiempo Planificado'),
('es-es', 'infolog', 'phonecall', 'Llamada telefónica'),
('es-es', 'infolog', 'planned', 'planificada'),
('es-es', 'infolog', 'phone/email', 'Teléfono o correo electrónico'),
('es-es', 'infolog', 'phone', 'Llamada telefónica'),
('es-es', 'infolog', 'permissions error - %1 could not %2', 'Error en los permisos - %1 no pudo %2'),
('es-es', 'infolog', 'percent completed', 'Porcentaje completado'),
('es-es', 'infolog', 'permission denied', 'Permiso denegado'),
('es-es', 'infolog', 'pattern for search in projects', 'expresión a buscar en Proyectos'),
('es-es', 'infolog', 'pattern for search in addressbook', 'expresión a buscar en la Libreta de direcciones'),
('es-es', 'infolog', 'path to user and group files has to be outside of the webservers document-root!!!', 'Ruta a los ficheros de usuario y grupos. ¡¡DEBE ESTAR FUERA de la estructura del servidor web!!'),
('es-es', 'infolog', 'path on (web-)serverside<br>eg. /var/samba/share', 'Ruta en el servidor ej. /var/samba/Share'),
('es-es', 'infolog', 'parent infolog', 'Elemento padre de la tarea'),
('es-es', 'infolog', 'parent', 'Superior'),
('es-es', 'infolog', 'owner does not have edit rights', 'El propietario no tiene derechos para editar'),
('es-es', 'infolog', 'own upcoming', 'propio en camino'),
('es-es', 'infolog', 'own overdue', 'propio vencido'),
('es-es', 'infolog', 'own open and upcoming', 'propio abierto y por venir'),
('es-es', 'infolog', 'own open', 'propio abierto'),
('es-es', 'infolog', 'own', 'propio'),
('es-es', 'infolog', 'organization', 'Organización'),
('es-es', 'infolog', 'overdue', 'vencido'),
('es-es', 'infolog', 'order', 'Ordenar'),
('es-es', 'infolog', 'optional note to the link', 'nota opcional para el enlace'),
('es-es', 'infolog', 'open and upcoming', 'abierto y por venir'),
('es-es', 'infolog', 'only the links', 'sólo los enlaces'),
('es-es', 'infolog', 'only if i get assigned or removed', 'Sólo si se me asigna o se me borra'),
('es-es', 'infolog', 'only the attachments', 'sólo los adjuntos'),
('es-es', 'infolog', 'only for details', 'Sólo para los detalles'),
('es-es', 'infolog', 'ongoing', 'en curso'),
('es-es', 'infolog', 'one day in advance', 'una día por adelantado'),
('es-es', 'infolog', 'offer', 'ofrecer'),
('es-es', 'infolog', 'one day after', 'un día después'),
('es-es', 'infolog', 'number of row for a multiline inputfield or line of a multi-select-box', 'Número de fila para un cuadro de texto multilínea o lista despleglabe multiselección'),
('es-es', 'infolog', 'note', 'Nota'),
('es-es', 'infolog', 'number of records to read (%1)', 'Número de registros a leer (%1)'),
('es-es', 'infolog', 'not-started', 'sin empezar'),
('es-es', 'infolog', 'not assigned', 'sin asignar'),
('es-es', 'infolog', 'not', 'no'),
('es-es', 'infolog', 'none', 'Ninguno'),
('es-es', 'infolog', 'normal', 'normal'),
('es-es', 'infolog', 'nonactive', 'no activo'),
('es-es', 'infolog', 'no project', 'Sin proyecto'),
('es-es', 'infolog', 'no links or attachments', 'sin enlaces o adjuntos'),
('es-es', 'infolog', 'no filter', 'sin filtro'),
('es-es', 'infolog', 'no entries found, try again ...', 'no se encontraron registros, inténtelo de nuevo ...'),
('es-es', 'infolog', 'no details', 'no hay detalles'),
('es-es', 'infolog', 'no describtion, links or attachments', 'no hay descripción, enlaces o adjuntos'),
('es-es', 'infolog', 'no - cancel', 'No - Cancelar'),
('es-es', 'infolog', 'new search', 'Nueva búsqueda'),
('es-es', 'infolog', 'new name', 'nuevo nombre'),
('es-es', 'infolog', 'new %1', 'Nuevo %1'),
('es-es', 'infolog', 'new %1 created by %2 at %3', 'Nuevo %1 creado por %2 en %3'),
('es-es', 'infolog', 'never hide search and filters', 'No ocultar búsquedas y filtros'),
('es-es', 'infolog', 'name of new type to create', 'Nombre del nuevo tipo para crear'),
('es-es', 'infolog', 'modifierer', 'Modificador'),
('es-es', 'infolog', 'name must not be empty !!!', '¡El nombre no puede quedar vacío!'),
('es-es', 'infolog', 'name of current user, all other contact fields are valid too', 'Nombre del usuario actual. Todos los demás campos del contacto también son válidos.'),
('es-es', 'infolog', 'modifier', 'Modificador'),
('es-es', 'infolog', 'max length of the input [, length of the inputfield (optional)]', 'longitud máxima de la entrada [, longitud del campo de entrada (opcional)]'),
('es-es', 'infolog', 'manage mapping', 'Administrar los mapeos'),
('es-es', 'infolog', 'low', 'baja'),
('es-es', 'infolog', 'longer textual description', 'descripción larga de la entrada'),
('es-es', 'infolog', 'location', 'Ubicación'),
('es-es', 'infolog', 'list no subs/childs', 'No listar subs/hijos'),
('es-es', 'infolog', 'list all categories', 'Lista de todas las categorías'),
('es-es', 'infolog', 'links', 'Enlaces'),
('es-es', 'infolog', 'links of this entry', 'Enlaces de la entrada'),
('es-es', 'infolog', 'link', 'Enlace'),
('es-es', 'infolog', 'linked to %1', 'enlazado a %1'),
('es-es', 'infolog', 'length<br>rows', 'Longitud<br>Filas'),
('es-es', 'infolog', 'limit number of description lines (default 5, 0 for no limit)', 'Limitar el número de líneas de la descripción (predeterminado: 5, 0 para ilimitadas)'),
('es-es', 'infolog', 'limit width of description column ((effective only if lines limit is set), 0 for no limit)', 'Limitar el ancho de la columna de la descripción (efectivo sólo si hay límite para las líneas, 0 para sin límites)'),
('es-es', 'infolog', 'leave without saveing the entry', 'abandonar sin guardar la entrada'),
('es-es', 'infolog', 'leaves without saveing', 'abandonar sin guardar'),
('es-es', 'infolog', 'leave it empty', 'dejar en blanco'),
('es-es', 'infolog', 'leave it empty for a full week', 'Dejar en blanco durante una semana completa'),
('es-es', 'infolog', 'leave blank to get the used time calculated by timesheet entries', 'Dejar en blanco para conseguir el tiempo acumulado por las hojas de presencia'),
('es-es', 'infolog', 'last changed', 'Último cambio'),
('es-es', 'infolog', 'last modified', 'Última modificación'),
('es-es', 'infolog', 'label<br>helptext', 'Etiqueta<br>Texto de ayuda'),
('es-es', 'infolog', 'invalid status for entry type %1.', 'El estado no es válido para el tipo de entrada %1.'),
('es-es', 'infolog', 'invalid owner id: %1.  might be a bad field translation.  used %2 instead.', 'El ID del propietario no es válido: %1. Puede ser una mala traducción del campo. Se ha usado %2 en su lugar.'),
('es-es', 'infolog', 'insert in document', 'Insertar en el documento'),
('es-es', 'infolog', 'invalid filename', 'El nombre de archivo no es válido'),
('es-es', 'infolog', 'insert', 'Insertar'),
('es-es', 'infolog', 'infolog-fieldname', 'Registro - Nombre del Campo'),
('es-es', 'infolog', 'infolog list', 'Lista del registro'),
('es-es', 'infolog', 'infolog id', 'ID del Registro'),
('es-es', 'infolog', 'infolog filter for the main screen', 'Filtro para el registro en la pantalla principal'),
('es-es', 'infolog', 'infolog fields:', 'Campos del registro:'),
('es-es', 'infolog', 'infolog entry saved', 'Se ha guardado la entrada en el registro'),
('es-es', 'infolog', 'infolog entry deleted', 'Se ha borrado la entrada del registro'),
('es-es', 'infolog', 'infolog csv export', 'Exportación CSV del Registro'),
('es-es', 'infolog', 'infolog csv import', 'Importación CSV del Registro'),
('es-es', 'infolog', 'infolog - subprojects from', 'Registro - Subproyectos de'),
('es-es', 'infolog', 'infolog copied - the copy can now be edited', 'Registro copiado - ahora se puede editar la copia'),
('es-es', 'infolog', 'infolog - new subproject', 'Registro - Nuevo subproyecto'),
('es-es', 'infolog', 'infolog - new', 'Registro - Nuevo'),
('es-es', 'infolog', 'infolog - edit', 'Registro - Editar'),
('es-es', 'infolog', 'infolog - import csv-file', 'Registro - Importar archivo CSV'),
('es-es', 'infolog', 'infolog - delete', 'Registro - Eliminar'),
('es-es', 'infolog', 'importance', 'Importancia'),
('es-es', 'infolog', 'imports entries into the infolog from a csv file. csv means ''comma seperated values''. however in the options tab you can also ch', 'Importa entradas en el registro desde un fichero CSV. CSV significa ''Valores Separados por Comas''. Sin embargo, en la pestaña de opciones también puede elegir otros separadores.'),
('es-es', 'infolog', 'import', 'Importar'),
('es-es', 'infolog', 'import next set', 'importar juego siguiente'),
('es-es', 'infolog', 'if you specify an export definition, it will be used when you export', 'Si especifica una definición de exportación, se usará al exportar'),
('es-es', 'infolog', 'if you specify a document (full vfs path) here, infolog displays an extra document icon for each entry. that icon allows to down', 'Si especifica un documento aquí (la ruta vfs completa), se muestra un icono de documento extra para cada entrada. Ese icono permite descargar el documento especificado con los datos de contacto insertados.'),
('es-es', 'infolog', 'if you specify a directory (full vfs path) here, infolog displays an action for each document. that action allows to download th', 'Si especifica un directorio aquí (la ruta vfs completa), se muestra una acción para cada documento. Esa acción permite descargar el documento especificado con los datos del registro insertados.'),
('es-es', 'infolog', 'if not set, the line with search and filters is hidden for less entries then "max matches per page" (as defined in your common p', 'Si no hay valor inicial, la línea con los filtros de búsqueda y filtros está oculta para menos entradas que "máx. por página" (como se definió en las preferencias comunes).'),
('es-es', 'infolog', 'id', 'Id'),
('es-es', 'infolog', 'id#', 'Id nº'),
('es-es', 'infolog', 'if a type has a group owner, all entries of that type will be owned by the given group and not the user who created it!', 'Si un tipo tiene un propietario para el grupo, todas las entradas de ese tipo pertenecerán al grupo y NO al usuario que las creó.'),
('es-es', 'infolog', 'how wide should the description area be. this value is numeric and interpreted as em; 60 works reasonably well.', 'Ancho deseado del área de descripción. Este valor es numérico y se interpreta como em; 60 funciona razonablemente bien.'),
('es-es', 'infolog', 'how many describtion lines should be directly visible. further lines are available via a scrollbar.', 'Cuántas líneas de descripción deben estar visibles directamente. Las líneas siguientes se ven mediante una barra de desplazamiento.'),
('es-es', 'infolog', 'history logging', 'Registro histórico'),
('es-es', 'infolog', 'history logging and deleting of items', 'Registro histórico y borrado de elementos'),
('es-es', 'infolog', 'history', 'Historial'),
('es-es', 'infolog', 'group owner for', 'Propietario de grupo para'),
('es-es', 'infolog', 'high', 'alta'),
('es-es', 'infolog', 'global categories', 'Categorías globales'),
('es-es', 'infolog', 'general', 'General'),
('es-es', 'infolog', 'general fields:', 'Campos generales:'),
('es-es', 'infolog', 'from', 'De'),
('es-es', 'infolog', 'for which types should this field be used', 'para qué tipos se usa este campo'),
('es-es', 'infolog', 'for serial letter use this tag. put the content, you want to repeat between two tags.', 'Para carta de serie use esta etiqueta. Ponga el contenido que quiera repetir entre dos etiquetas.'),
('es-es', 'infolog', 'first argument for preg_replace', 'primer argumento para preg_replace'),
('es-es', 'infolog', 'fieldseparator', 'Separador de campos'),
('es-es', 'infolog', 'finish', 'finalizar'),
('es-es', 'infolog', 'field must not be empty !!!', '¡El campo no debe estar vacío!'),
('es-es', 'infolog', 'fax', 'Fax'),
('es-es', 'infolog', 'exports infolog entries into a csv file.', 'Exporta entradas en un fichero CSV.'),
('es-es', 'infolog', 'export definitition to use for nextmatch export', 'Exportar la definición a usar para exportar nextmatch'),
('es-es', 'infolog', 'exists', 'Existe'),
('es-es', 'infolog', 'existing links', 'Enlaces existentes'),
('es-es', 'infolog', 'execute a further action for this entry', 'Ejecutar una acción más para esta entrada'),
('es-es', 'infolog', 'example {{nelfnv role}} - if field role is not empty, set a lf without any value of the field', 'Ejemplo {{NELFNV role}} - si el rol del campo no está vacío, establece un salto de línea (LF) sin ningún valor del campo'),
('es-es', 'infolog', 'example {{nelf role}} - if field role is not empty, you will get a new line with the value of field role', 'Ejemplo {{NELF role}} - si el rol del campo no está vacío, obtendrá una línea nueva con el valor del rol del campo'),
('es-es', 'infolog', 'example {{letterprefixcustom n_prefix title n_family}} - example: mr dr. james miller', 'Ejemplo {{LETTERPREFIXCUSTOM n_prefix title n_family}} - Ejemplo: Mr Dr. James Miller'),
('es-es', 'infolog', 'example {{if n_prefix~mr~hello mr.~hello ms.}} - search the field "n_prefix", for "mr", if found, write hello mr., else write he', 'Ejemplo {{IF n_prefix~Mr~Hello Mr.~Hello Ms.}} - buscar el campo "n_prefix", para "Mr", si se encuentra, escribir  Hello Mr., si no, escribir Hello Ms.'),
('es-es', 'infolog', 'error: the entry has been updated since you opened it for editing!', 'Error: ¡La entrada ha sido actualizada desde que la abrió para editar!'),
('es-es', 'infolog', 'error: saving the entry', 'Error al guardar la entrada'),
('es-es', 'infolog', 'entry and all files', 'Entrada y todos los archivos'),
('es-es', 'infolog', 'enter the query pattern', 'Introduzca el patrón de búsqueda'),
('es-es', 'infolog', 'enter a textual description of the log-entry', 'Introduzca un texto descriptivo de la entrada'),
('es-es', 'infolog', 'enter a custom phone/email, leave empty if linked entry should be used', 'Introduzca un teléfono o correo electrónico personalizado, o déjelo vacío si prefiere utilizar un enlace'),
('es-es', 'infolog', 'enter a custom contact, leave empty if linked entry should be used', 'Introduzca un contacto personalizado, o déjelo vacío si prefiere utilizar un enlace'),
('es-es', 'infolog', 'enddate can not be before startdate', 'La fecha de finalización no puede ser anterior a la de inicio'),
('es-es', 'infolog', 'enddate', 'Fecha de finalización'),
('es-es', 'infolog', 'end', 'Fin'),
('es-es', 'infolog', 'empty for all', 'Limpiar todo'),
('es-es', 'infolog', 'edit this entry', 'Editar esta entrada'),
('es-es', 'infolog', 'edit the entry', 'Editar la entrada'),
('es-es', 'infolog', 'edit status', 'Editar estado'),
('es-es', 'infolog', 'edit or create categories for ingolog', 'Editar o crear categorías para el Registro'),
('es-es', 'infolog', 'edit rights (full edit rights incl. making someone else responsible!)', 'Derechos de edición (editar todos los derechos, incluyendo hacer a alguien responsable)'),
('es-es', 'infolog', 'edit', 'Editar'),
('es-es', 'infolog', 'each value is a line like <id>[=<label>]', 'cada valor es una línea como <id>[=<etiqueta>]'),
('es-es', 'infolog', 'e-mail:', 'Dirección de correo:'),
('es-es', 'infolog', 'duration', 'Duración'),
('es-es', 'infolog', 'download', 'Descargar'),
('es-es', 'infolog', 'due %1', 'Vencido %1'),
('es-es', 'infolog', 'don''t show infolog', 'NO mostrar el Registro de notas y tareas'),
('es-es', 'infolog', 'document ''%1'' does not exist or is not readable for you!', 'El documento ''%1'' no existe o usted no tiene permiso para leerlo'),
('es-es', 'infolog', 'do you want to receive notifications as html-mails or plain text?', '¿Desea recibir las notifaciones como correo en html o texto sencillo?'),
('es-es', 'infolog', 'do you want a notification, if items you delegated are due?', '¿Desea una notificación, si los elementos delegados por usted han vencido?'),
('es-es', 'infolog', 'do you want a notification, if items you delegated are about to start?', '¿Desea una notificación, si los elementos delegados por usted van a comenzar?'),
('es-es', 'infolog', 'do you want a notification, if items you created get updated?', '¿Desea una notificación, si se actualizan los elementos creados por usted?'),
('es-es', 'infolog', 'do you want a notification, if items you are responsible for are due?', '¿Desea una notificación, si los elementos de los que es responsable han vencido?'),
('es-es', 'infolog', 'do you want a notification, if items you are responsible for are about to start?', '¿Desea una notificación, si los elementos de los que usted es responsable van a empezar?'),
('es-es', 'infolog', 'do you want a notification, if items get assigned to you or assigned items get updated?', '¿Desea una notificación, si se le asignan elementos o se actualizan los elementos asignados?'),
('es-es', 'infolog', 'do you want a confirmation of the responsible on: accepting, finishing the task or both', '¿Desea una confirmación del responsable al aceptar, terminar la tarea, o ambos?'),
('es-es', 'infolog', 'disables a status without deleting it', 'deshabilita un estado sin eliminarlo'),
('es-es', 'infolog', 'do not notify of these changes', 'No notificar estos cambios'),
('es-es', 'infolog', 'directory with documents to insert entries', 'Directorio con documentos para insertar entradas'),
('es-es', 'infolog', 'determines the order the fields are displayed', 'determina el orden en el que se muestran los campos'),
('es-es', 'infolog', 'description', 'Descripción'),
('es-es', 'infolog', 'deletes this status', 'elimina este estado'),
('es-es', 'infolog', 'deletes this field', 'elimina este campo'),
('es-es', 'infolog', 'deletes the selected typ', 'elimina el tipo seleccionado'),
('es-es', 'infolog', 'deleted', 'borrado'),
('es-es', 'infolog', 'delete this entry and all listed sub-entries', 'Borrar esta entrada y todas las subentradas de la lista'),
('es-es', 'infolog', 'delete selected entries?', '¿Borrar las entradas seleccionadas?'),
('es-es', 'infolog', 'delete the entry', 'Eliminar la entrada'),
('es-es', 'infolog', 'delete one record by passing its id.', 'Borrar un registro pasando su id.'),
('es-es', 'infolog', 'delete', 'Eliminar'),
('es-es', 'infolog', 'delegated upcomming', 'delegado próximo'),
('es-es', 'infolog', 'delegation', 'Delegación'),
('es-es', 'infolog', 'delegated overdue', 'delegado vencido hace tiempo'),
('es-es', 'infolog', 'delegated open and upcoming', 'delegado para abiertos y esperados'),
('es-es', 'infolog', 'default status for a new log entry', 'Estado predeterminado para una entrada nueva en el registro'),
('es-es', 'infolog', 'delegated', 'delegado'),
('es-es', 'infolog', 'delegated open', 'delegado abierto'),
('es-es', 'infolog', 'default filter for infolog', 'Filtro predeterminado para el Registro'),
('es-es', 'infolog', 'default document to insert entries', 'Documento predeterminado para insertar entradas'),
('es-es', 'infolog', 'days', 'días'),
('es-es', 'infolog', 'default category for new infolog entries', 'Categoría predeterminada para nuevas entradas del Registro'),
('es-es', 'infolog', 'dates, status, access', 'Fechas, estado, acceso'),
('es-es', 'infolog', 'datecreated', 'fecha de creación'),
('es-es', 'infolog', 'date completed', 'Fecha completada'),
('es-es', 'infolog', 'date completed (leave it empty to have it automatic set if status is done or billed)', 'Fecha completada (dejar en blanco para tenerlo automático si el estado es hecho o facturado)'),
('es-es', 'infolog', 'custom status for typ', 'Estado personalizado para el tipo'),
('es-es', 'infolog', 'customfields', 'Campos personalizados'),
('es-es', 'infolog', 'custom regarding', 'Recuerdos personales'),
('es-es', 'infolog', 'custom fields', 'Campos personalizados'),
('es-es', 'infolog', 'custom from', 'Personalizado desde'),
('es-es', 'infolog', 'custom contact-information, leave emtpy to use information from most recent link', 'Información de contacto personalizada. Dejar en blanco para usar la información del enlace más reciente'),
('es-es', 'infolog', 'csv-filename', 'CSV-Nombre de archivo'),
('es-es', 'infolog', 'custom', 'Personalizado'),
('es-es', 'infolog', 'custom contact-address, leave empty to use information from most recent link', 'Dirección de contacto personalizada. Dejar en blanco para usar la información del enlace más reciente'),
('es-es', 'infolog', 'csv-fieldname', 'CSV-Nombre de campo'),
('es-es', 'infolog', 'creation', 'Creación'),
('es-es', 'infolog', 'creates a new typ with the given name', 'crea un nuevo tipo con el nombre dado'),
('es-es', 'infolog', 'creates a new status with the given values', 'crea un nuevo estado con los valores dados'),
('es-es', 'infolog', 'creates a new field', 'crea un campo nuevo'),
('es-es', 'infolog', 'create new links', 'Crear nuevos enlaces'),
('es-es', 'infolog', 'copy your changes to the clipboard, %1reload the entry%2 and merge them.', 'Copiar los cambios al portapapeles, %1recargar la entrada%2 e incluirlos.'),
('es-es', 'infolog', 'copy of:', 'Copia de:'),
('es-es', 'infolog', 'contactfield', 'Campo de contacto'),
('es-es', 'infolog', 'confirm', 'Confirmar'),
('es-es', 'infolog', 'contact', 'Contacto'),
('es-es', 'infolog', 'contact fields', 'Campos de contacto'),
('es-es', 'infolog', 'configuration', 'Configuración'),
('es-es', 'infolog', 'compare', 'Comparar'),
('es-es', 'infolog', 'completed', 'Completado'),
('es-es', 'infolog', 'comment', 'Comentario'),
('es-es', 'infolog', 'closed', 'Cerrado'),
('es-es', 'infolog', 'colon (:) separated list of field names to use if value is empty or to sum up', 'lista separada por dos puntos (:) de nombres de campos a usar si el valor está vacío o para continuar'),
('es-es', 'infolog', 'choose owner of imported data', 'Elija el propietario de los datos importados'),
('es-es', 'infolog', 'click here to create the link', 'pulsar para crear un enlace'),
('es-es', 'infolog', 'click here to start the search', 'pulsar para comenzar la búsqueda'),
('es-es', 'infolog', 'close', 'Cerrar'),
('es-es', 'infolog', 'close all', 'Cerrar todo'),
('es-es', 'infolog', 'close this entry and all listed sub-entries', 'Cerrar esta entrada y todas las subentradas de la lista'),
('es-es', 'infolog', 'check to specify custom contact', 'Marcar para especificar un contacto personalizado'),
('es-es', 'infolog', 'check all', 'Marcar todo'),
('es-es', 'infolog', 'check to set startday', 'marcar para establecer fecha de inicio'),
('es-es', 'infolog', 'charset of file', 'Juego de caracteres del fichero'),
('es-es', 'infolog', 'changed type', 'Se ha cambiado el tipo'),
('es-es', 'infolog', 'changed status to %1', 'Se ha cambiado el estado a %1'),
('es-es', 'infolog', 'changed responsible', 'Se ha cambiado el responsable'),
('es-es', 'infolog', 'change type:', 'Cambiar el tipo:'),
('es-es', 'infolog', 'changed category to %1', 'La categoría se ha cambiado a %1'),
('es-es', 'infolog', 'changed completion to %1%', 'Se ha completado el cambio al %1%'),
('es-es', 'infolog', 'change history', 'Cambiar historial'),
('es-es', 'infolog', 'change owner when updating', 'Cambiar el propietario al actualizar'),
('es-es', 'infolog', 'change responsible', 'Cambiar el responsable'),
('es-es', 'infolog', 'change status:', 'Cambiar el estado:'),
('es-es', 'infolog', 'change the status of an entry, eg. close it', 'Cambiar el estado de una entrada, p. ej. cerrarlo'),
('es-es', 'infolog', 'change completion', 'Completado del cambio'),
('es-es', 'infolog', 'change completed', 'Cambio completado'),
('es-es', 'infolog', 'change category', 'Cambiar categoría'),
('es-es', 'infolog', 'cancel', 'Cancelar'),
('es-es', 'infolog', 'cancelled', 'Cancelado'),
('es-es', 'infolog', 'categories', 'Categorías'),
('es-es', 'infolog', 'category', 'Categoría'),
('es-es', 'infolog', 'call', 'llamar'),
('es-es', 'infolog', 'can be used to show further infolog types in the calendar or limit it to show eg. only tasks.', 'Se puede usar para mostrar más tipos de entrada del registro en el calendario o limitar para mostrar, por ejemplo, sólo las tareas.'),
('es-es', 'infolog', 'both', 'ambos'),
('es-es', 'infolog', 'billed', 'facturado'),
('es-es', 'infolog', 'back to main list', 'Volver a lista principal'),
('es-es', 'infolog', 'attach file', 'Adjuntar archivo'),
('es-es', 'infolog', 'attention: no contact with address %1 found.', 'Atención: no se encontraron contactos con la dirección %1'),
('es-es', 'infolog', 'at the moment the following document-types are supported:', 'De momento, los siguientes tipos de documentos están soportados:'),
('es-es', 'infolog', 'attach a file', 'Adjuntar un archivo'),
('es-es', 'infolog', 'are you shure you want to delete this entry ?', '¿Está seguro de querer borrar esta entrada?'),
('es-es', 'infolog', 'apply the changes', 'Aplicar los cambios'),
('es-es', 'infolog', 'archive', 'archivar'),
('es-es', 'infolog', 'are you shure you want to close this entry ?', '¿Está seguro de querer cerrar esta entrada?'),
('es-es', 'infolog', 'apply the action on the whole query, not only the shown entries!!!', '¡Aplicar la acción a toda la consulta, NO sólo a las entradas mostradas!'),
('es-es', 'infolog', 'alternatives', 'Alternativas'),
('es-es', 'infolog', 'allows to set the status of an entry, eg. set a todo to done if it''s finished (values depend on entry-typ)', 'permite establecer el estado de una entrada, p.e. poner una tarea pendiente cono finalizada si está terminada (los valores dependen del tipo de entrada)'),
('es-es', 'infolog', 'all projects', 'Todos los proyectos'),
('es-es', 'infolog', 'added', 'añadido'),
('es-es', 'infolog', 'all', 'Todos'),
('es-es', 'infolog', 'all links and attachments', 'todos los enlaces y ficheros adjuntos'),
('es-es', 'infolog', 'add:', 'Añadir:'),
('es-es', 'infolog', 'add file', 'Añadir archivo'),
('es-es', 'infolog', 'add or delete links', 'Añadir o borrar enlaces'),
('es-es', 'infolog', 'add sub', 'agregar Sub'),
('es-es', 'infolog', 'add timesheet entry', 'Añadir entrada a la hoja de presencia'),
('es-es', 'infolog', 'add a new todo', 'Añadir nueva tarea pendiente'),
('es-es', 'infolog', 'add a new phonecall', 'Añadir una nueva llamada'),
('es-es', 'infolog', 'add a new sub-task, -note, -call to this entry', 'Añadir nueva subtarea, nota, llamada a esta entrada'),
('es-es', 'infolog', 'add a new note', 'Añadir una nota nueva'),
('es-es', 'infolog', 'add', 'Añadir'),
('es-es', 'infolog', 'add / remove link', 'Añadir / eliminar enlace'),
('es-es', 'infolog', 'add a file', 'Añadir archivo'),
('es-es', 'infolog', 'add a new entry', 'Añadir una entrada nueva'),
('es-es', 'infolog', 'action', 'Acción'),
('es-es', 'infolog', 'actions...', 'Acciones...'),
('es-es', 'infolog', 'actual date and time', 'Fecha y hora actuales'),
('es-es', 'infolog', 'a short subject for the entry', 'descripción corta para la entrada'),
('es-es', 'infolog', 'abort without deleting', 'Cancelar sin eliminar'),
('es-es', 'infolog', 'accept', 'aceptar'),
('es-es', 'infolog', '90%', '90%'),
('es-es', 'infolog', '<b>file-attachments via symlinks</b> instead of uploads and retrieval via file:/path for direct lan-clients', '<b>ficheros adjuntos por enlaces smbólicos</b> en vez de subir y recuperar con file:/ruta para clientes de la red local'),
('es-es', 'infolog', '80%', '80%'),
('es-es', 'infolog', '70%', '70%'),
('es-es', 'infolog', '- subprojects from', '- Subproyectos de'),
('es-es', 'infolog', '0%', '0%'),
('es-es', 'infolog', '10%', '10%'),
('es-es', 'infolog', '100%', '100%'),
('es-es', 'infolog', '20%', '20%'),
('es-es', 'infolog', '30%', '30%'),
('es-es', 'infolog', '40%', '40%'),
('es-es', 'infolog', '50%', '50%'),
('es-es', 'infolog', '60%', '60%'),
('es-es', 'infolog', '%1 you delegated is starting at %2', '%1 usted ha delegado y comienza en %2'),
('es-es', 'infolog', '%1 records read (not yet imported, you may go %2back%3 and uncheck test import)', '%1 registros leídos (aún sin importar, puede %2volver%3 y desmarcar Probar Importar)');
INSERT INTO `egw_lang` (`lang`, `app_name`, `message_id`, `content`) VALUES
('es-es', 'infolog', '%1 you are responsible for is due at %2', '%1 usted es el responsable y vence en %2'),
('es-es', 'infolog', '%1 you are responsible for is starting at %2', '%1 usted es responsable y comienza en %2'),
('es-es', 'infolog', '%1 you delegated is due at %2', '%1 usted ha delegado y vence en %2'),
('es-es', 'infolog', '%1 modified', '%1 modificado'),
('es-es', 'infolog', '%1 modified by %2 at %3', '%1 modificado por %2 a las %3'),
('es-es', 'infolog', '%1 records imported', '%1 registros importados'),
('es-es', 'infolog', '%1 entries %2, %3 failed because of insufficent rights !!!', '%1 entradas %2, %3 fallaron por permisos insuficientes'),
('es-es', 'infolog', '%1 entries %2', '%1 entradas %2'),
('es-es', 'infolog', '%1 deleted by %2 at %3', '%1 borrado por %2 a las %3'),
('es-es', 'infolog', '%1 days in advance', '%1 días por adelantado'),
('es-es', 'infolog', '%1 deleted', '%1 borrado'),
('es-es', 'importexport', 'you need to select an app and format first!', '¡Necesita seleccionar una aplicación y un formato antes!'),
('es-es', 'importexport', 'which useres are allowed for this definition', 'Qué usuarios pueden usar esta definición'),
('es-es', 'importexport', 'which users are allowed to use this definition', 'Qué usuarios pueden usar esta definición'),
('es-es', 'importexport', 'unable to import:', 'No se pudo importar:'),
('es-es', 'importexport', 'unable to schedule', 'No se pudo planificar'),
('es-es', 'importexport', 'some nice text', 'Algún texto agradable'),
('es-es', 'importexport', 'select definition', 'Seleccionar definición'),
('es-es', 'importexport', 'select plugin', 'Seleccionar plugin'),
('es-es', 'importexport', 'save as definition', 'Guardar como definición'),
('es-es', 'importexport', 'schedule not found', 'No se encontró la planificación'),
('es-es', 'importexport', 'previous', 'Anterior'),
('es-es', 'importexport', 'preview', 'Vista previa'),
('es-es', 'importexport', 'no records selected', 'No se seleccionaron registros'),
('es-es', 'importexport', 'next', 'Siguiente'),
('es-es', 'importexport', 'load sample file', 'Cargar un fichero de ejemplo'),
('es-es', 'importexport', 'manage mapping', 'Gestionar mapeo'),
('es-es', 'importexport', 'imports information from a csv file.  this is only a base class, and doesn''t do anything on its own.', 'Importa información de un fichero CSV. Esto sólo es una clase base, y no hace nada por sí misma.'),
('es-es', 'importexport', 'importexport wizard finished successfully!', '¡El asistente de Importar-Exportar finalizó correctamente!'),
('es-es', 'importexport', 'import definitions (attension: existing definitions with equal names will be overwritten!!!)', 'Importar definiciones (¡¡Atención: se sobreescribirán las definiciones existentes con el mismo nombre!!)'),
('es-es', 'importexport', 'import', 'importar'),
('es-es', 'importexport', 'general', 'General'),
('es-es', 'importexport', 'finish', 'Terminar'),
('es-es', 'importexport', 'export all selected definitions', 'Exportar TODAS las definiciones seleccionadas'),
('es-es', 'importexport', 'export', 'Exportar'),
('es-es', 'importexport', 'edit conditions', 'Editar condiciones'),
('es-es', 'importexport', 'expert options', 'Opciones de experto'),
('es-es', 'importexport', 'delete all selected definitions', 'Borrar TODAS las definiciones seleccionadas'),
('es-es', 'importexport', 'choose seperator and charset', 'Elija separador y juego de caracteres'),
('es-es', 'importexport', 'choose an application', 'Elija una aplicación'),
('es-es', 'importexport', 'choose a plugin', 'Elija un plugin'),
('es-es', 'importexport', 'choose a name for this definition', 'Elija un nombre para esta definición'),
('es-es', 'importexport', 'basic csv import', 'Importación CSV básica'),
('es-es', 'importexport', 'allowed users', 'Usuarios permitidos'),
('es-es', 'importexport', 'automatically created by importexport', 'Creados automáticamente por importexport'),
('es-es', 'importexport', '%1 records processed', '%1 registros procesados'),
('es-es', 'home', 'home', 'Inicio'),
('es-es', 'home', 'there is a new version of egroupware available', 'Hay disponible una nueva versión de eGroupWare'),
('es-es', 'home', 'displays home', 'Muestra el inicioOOOOO'),
('es-es', 'home', 'egroupware', 'eGroupWare'),
('es-es', 'felamimail', 'your message to %1 was displayed.', 'Su mensaje para %1 ha sido mostrado'),
('es-es', 'felamimail', 'you have received a new message on the', 'Ha recibido un mensaje nuevo en la'),
('es-es', 'felamimail', 'you can use %1 for the above start-date and %2 for the end-date.', 'Puede usar %1 para la fecha de inicio de arriba y %2 para la fecha de fin.'),
('es-es', 'felamimail', 'yes, offer copy option', 'sí, ofrecer la opción de copiar'),
('es-es', 'felamimail', 'wrote', 'escribió'),
('es-es', 'felamimail', 'writing', 'escribiendo'),
('es-es', 'felamimail', 'wrap incoming text at', 'Ajustar el texto entrante a'),
('es-es', 'felamimail', 'with message "%1"', 'con mensaje "%1"'),
('es-es', 'felamimail', 'with message', 'con mensaje'),
('es-es', 'felamimail', 'which folders - in general - should not be automatically created, if not existing', 'qué carpetas, en general, NO deben crearse automáticamente si no existen'),
('es-es', 'felamimail', 'which folders (additional to the sent folder) should be displayed using the sent folder view schema', 'qué carpetas (además de la de Enviados) debe mostrarse usando el equema de la vista de Enviados'),
('es-es', 'felamimail', 'when deleting messages', 'Al borrar mensajes'),
('es-es', 'felamimail', 'viewing messages', 'Viendo mensajes'),
('es-es', 'felamimail', 'viewing full header', 'Viendo la cabecera completa'),
('es-es', 'felamimail', 'viewing message', 'Viendo mensaje'),
('es-es', 'felamimail', 'validate certificate', 'validar certificado'),
('es-es', 'felamimail', 'view full header', 'Ver la cabecera completa'),
('es-es', 'felamimail', 'view header lines', 'Ver líneas del encabezado'),
('es-es', 'felamimail', 'view message', 'Ver mensaje'),
('es-es', 'felamimail', 'vacation notice is active', 'El aviso de vacaciones está activo'),
('es-es', 'felamimail', 'vacation start-date must be before the end-date!', '¡La fecha de inicio de las vacaciones debe ser ANTES de la fecha de fin!'),
('es-es', 'felamimail', 'use regular expressions', 'usar expresiones regulares'),
('es-es', 'felamimail', 'use custom settings', 'Usar opciones personalizadas'),
('es-es', 'felamimail', 'use custom identities', 'usar identidades personalizadas'),
('es-es', 'felamimail', 'use addresses', 'Usar direcciones'),
('es-es', 'felamimail', 'use a signature?', '¿Usar una firma?'),
('es-es', 'felamimail', 'use a signature', 'Usar una firma'),
('es-es', 'felamimail', 'use <a href="%1">emailadmin</a> to create profiles', 'use <a href="%1">EmailAdmin</a> para crear perfiles'),
('es-es', 'felamimail', 'updating view', 'Actualizando la vista'),
('es-es', 'felamimail', 'up', 'arriba'),
('es-es', 'felamimail', 'updating message status', 'actualizando estado del mensaje'),
('es-es', 'felamimail', 'unsubscribed successfully!', 'Desuscripción correcta'),
('es-es', 'felamimail', 'unsubscribed', 'No suscrito'),
('es-es', 'felamimail', 'unsubscribe', 'Desuscribir'),
('es-es', 'felamimail', 'unselect all', 'Deseleccionar todo'),
('es-es', 'felamimail', 'unseen', 'No vistos'),
('es-es', 'felamimail', 'unknown sender', 'Remitente desconocido'),
('es-es', 'felamimail', 'unknown user or password incorrect.', 'Usuario desconocido o contraseña incorrecta'),
('es-es', 'felamimail', 'unknown imap response from the server. server responded: %s', 'Respuesta IMAP desconocida del servidor. El servidor respondió: %s'),
('es-es', 'felamimail', 'unknown error', 'Error desconocido'),
('es-es', 'felamimail', 'unflagged', 'Sin marcar'),
('es-es', 'felamimail', 'unknown err', 'Error desconocido'),
('es-es', 'felamimail', 'unexpected response from server to login command.', 'Respuesta inesperada del servidor al comando LOGIN.'),
('es-es', 'felamimail', 'unexpected response from server to digest-md5 response.', 'Respuesta inesperada del servidor a la respuesta Digest-MD5.'),
('es-es', 'felamimail', 'unexpected response from server to authenticate command.', 'Respuesta inesperada del servidor al comando AUTHENTICATE.'),
('es-es', 'felamimail', 'type', 'tipo'),
('es-es', 'felamimail', 'trash folder', 'Carpeta Papelera'),
('es-es', 'felamimail', 'trash fold', 'Carpeta Papelera'),
('es-es', 'felamimail', 'trash', 'Papelera'),
('es-es', 'felamimail', 'translation server', 'Servidor de traducciones'),
('es-es', 'felamimail', 'translation preferences', 'Preferencias de la traducción'),
('es-es', 'felamimail', 'to use a tls connection, you must be running a version of php 5.1.0 or higher.', 'Para usar una conexión TLS, debe estar ejecutando una versión de PHP 5.1.0 o superior.'),
('es-es', 'felamimail', 'to mail sent to', 'al correo enviado a'),
('es-es', 'felamimail', 'to', 'Para'),
('es-es', 'felamimail', 'this php has no imap support compiled in!!', '¡Esta instalación de PHP no tiene soporte IMAP!'),
('es-es', 'felamimail', 'this folder is empty', 'ESTA CARPETA ESTA VACIA'),
('es-es', 'felamimail', 'there is no imap server configured.', 'No se ha configurado un servidor IMAP.'),
('es-es', 'felamimail', 'then', 'ENTONCES'),
('es-es', 'felamimail', 'the mimeparser can not parse this message.', 'El intérprete mime no puede interpretar este mensaje'),
('es-es', 'felamimail', 'the message sender has requested a response to indicate that you have read this message. would you like to send a receipt?', 'El remitente del mensaje ha solicitado una respuesta para indicar que usted ha leído este mensaje. ¿Desea enviar una confirmación?'),
('es-es', 'felamimail', 'the connection to the imap server failed!!', '¡Ha fallado la conexión con el servidor IMAP!'),
('es-es', 'felamimail', 'the imap server does not appear to support the authentication method selected. please contact your system administrator.', 'El servidor IMAP no parece que soporte el método de identificación seleccionado. Por favor, póngase en contacto con su administrador del sistema.'),
('es-es', 'felamimail', 'text only', 'Sólo texto'),
('es-es', 'felamimail', 'text/plain', 'text/plain'),
('es-es', 'felamimail', 'template folder', 'Carpeta de plantillas'),
('es-es', 'felamimail', 'templates', 'Plantillas'),
('es-es', 'felamimail', 'table of contents', 'Tabla de contenidos'),
('es-es', 'felamimail', 'subscribed successfully!', 'Suscripción correcta'),
('es-es', 'felamimail', 'system signature', 'firma del sistema'),
('es-es', 'felamimail', 'subscribed', 'Suscrito'),
('es-es', 'felamimail', 'submit', 'Enviar'),
('es-es', 'felamimail', 'subscribe', 'Suscribirse'),
('es-es', 'felamimail', 'subject(z->a)', 'Asunto (Z->A)'),
('es-es', 'felamimail', 'subject', 'Asunto'),
('es-es', 'felamimail', 'subject(a->z)', 'Asunto (A->Z)'),
('es-es', 'felamimail', 'stationery', 'material preimpreso'),
('es-es', 'felamimail', 'small view', 'Vista reducida'),
('es-es', 'felamimail', 'start new messages with mime type plain/text or html?', '¿Comenzar nuevos mensajes con el tipo MIME plain/text o html?'),
('es-es', 'felamimail', 'skipping forward', 'saltando el siguiente'),
('es-es', 'felamimail', 'skipping previous', 'saltando el anterior'),
('es-es', 'felamimail', 'size(0->...)', 'Tamaño (0->...)'),
('es-es', 'felamimail', 'size(...->0)', 'Tamaño (...->0)'),
('es-es', 'felamimail', 'size', 'Tamaño'),
('es-es', 'felamimail', 'size of editor window', 'Tamaño de la ventana del editor'),
('es-es', 'felamimail', 'simply click the target-folder', 'Simplemente pulse en la carpeta destino'),
('es-es', 'felamimail', 'signature', 'Firma'),
('es-es', 'felamimail', 'sieve script name', 'nombre del script sieve'),
('es-es', 'felamimail', 'signatur', 'Firma'),
('es-es', 'felamimail', 'show new messages on main screen', 'Mostrar mensajes nuevos en la pantalla principal'),
('es-es', 'felamimail', 'show header', 'mostrar cabecera'),
('es-es', 'felamimail', 'server supports mailfilter(sieve)', 'El servidor soporta filtro de correo (sieve)'),
('es-es', 'felamimail', 'set as default', 'Establecer como predeterminado'),
('es-es', 'felamimail', 'show all folders (subscribed and unsubscribed) in main screen folder pane', 'mostrar todas las carpetas (suscritas Y no suscritas) en la pantalla principal'),
('es-es', 'felamimail', 'sent', 'Enviados'),
('es-es', 'felamimail', 'sent folder', 'Carpeta de enviados'),
('es-es', 'felamimail', 'send', 'Enviar'),
('es-es', 'felamimail', 'send a reject message', 'enviar un mensaje de rechazo'),
('es-es', 'felamimail', 'select emailprofile', 'Seleccionar perfil de correo'),
('es-es', 'felamimail', 'select folder', 'seleccionar carpeta'),
('es-es', 'felamimail', 'select all', 'Seleccionar todo'),
('es-es', 'felamimail', 'select a message to switch on its preview (click on subject)', 'Seleccione un mensaje para ir a su vista previa (pulse en el asunto)'),
('es-es', 'felamimail', 'select', 'Seleccionar'),
('es-es', 'felamimail', 'search for', 'Buscar'),
('es-es', 'felamimail', 'search', 'Buscar'),
('es-es', 'felamimail', 'script name', 'nombre del script'),
('es-es', 'felamimail', 'script status', 'estado del script'),
('es-es', 'felamimail', 'save message to disk', 'Guardar mensaje en el disco'),
('es-es', 'felamimail', 'save changes', 'guardar cambios'),
('es-es', 'felamimail', 'save as infolog', 'guardar como registro de notas y tareas'),
('es-es', 'felamimail', 'save as draft', 'guardar como borrador'),
('es-es', 'felamimail', 'save', 'Guardar'),
('es-es', 'felamimail', 'save all', 'Guardar todo'),
('es-es', 'felamimail', 'rule', 'Regla'),
('es-es', 'felamimail', 'right', 'Derecha'),
('es-es', 'felamimail', 'row order style', 'estilo de ordenar filas'),
('es-es', 'felamimail', 'return to options page', 'Volver a la página de opciones'),
('es-es', 'felamimail', 'return', 'Volver'),
('es-es', 'felamimail', 'respond to mail sent to', 'Responder al correo enviado a'),
('es-es', 'felamimail', 'reply to', 'Responder A'),
('es-es', 'felamimail', 'replyto', 'Responder A'),
('es-es', 'felamimail', 'respond', 'Responder'),
('es-es', 'felamimail', 'reply all', 'Responder a todos'),
('es-es', 'felamimail', 'reply', 'Responder'),
('es-es', 'felamimail', 'renamed successfully!', 'Renombrado correctamente'),
('es-es', 'felamimail', 'replied', 'respondido'),
('es-es', 'felamimail', 'rename folder', 'Renombrar carpeta'),
('es-es', 'felamimail', 'rename a folder', 'Renombrar una carpeta'),
('es-es', 'felamimail', 'rename', 'Renombrar'),
('es-es', 'felamimail', 'remove immediately', 'Eliminar inmediatamente'),
('es-es', 'felamimail', 'reject with', 'rechazar con'),
('es-es', 'felamimail', 'remove', 'eliminar'),
('es-es', 'felamimail', 'recent', 'reciente(s)'),
('es-es', 'felamimail', 'refresh time in minutes', 'Tiempo de refresco en minutos'),
('es-es', 'felamimail', 'receive notification', 'Recibir notificación'),
('es-es', 'felamimail', 'reading', 'leyendo'),
('es-es', 'felamimail', 'read', 'leídos'),
('es-es', 'felamimail', 'printview', 'vista de impresión'),
('es-es', 'felamimail', 'quicksearch', 'Búsqueda rápida'),
('es-es', 'felamimail', 'print this page', 'Imprimir esta página'),
('es-es', 'felamimail', 'previous message', 'Mensaje anterior'),
('es-es', 'felamimail', 'print it', 'Imprimirlo'),
('es-es', 'felamimail', 'previous', 'Anterior'),
('es-es', 'felamimail', 'posting', 'enviar'),
('es-es', 'felamimail', 'preview disabled for folder:', 'Vista previa desactivada para la carpeta:'),
('es-es', 'felamimail', 'port', 'puerto'),
('es-es', 'felamimail', 'please supply the message to send with auto-responses', 'Por favor, indique el mensaje a enviar para respuestas automáticas'),
('es-es', 'felamimail', 'please select the number of days to wait between responses', 'Por favor, seleccione el número de días a esperar entre las respuestas'),
('es-es', 'felamimail', 'please select a address', 'Por favor, seleccione una dirección'),
('es-es', 'felamimail', 'please configure access to an existing individual imap account.', 'por favor, configure el acceso a una cuenta individual IMAP.'),
('es-es', 'felamimail', 'please ask the administrator to correct the emailadmin imap server settings for you.', 'Por favor, solicite al administrador que corrija la configuración del servidor IMAP.'),
('es-es', 'felamimail', 'personal information', 'Información personal'),
('es-es', 'felamimail', 'participants', 'Participantes'),
('es-es', 'felamimail', 'outgoing mail server(smtp)', 'servidor de correo de salida (SMTP)'),
('es-es', 'felamimail', 'organisation', 'Organización'),
('es-es', 'felamimail', 'organization', 'Organización'),
('es-es', 'felamimail', 'original message', 'mensaje original'),
('es-es', 'felamimail', 'or configure an valid imap server connection using the manage accounts/identities preference in the sidebox menu.', 'o configurar una conexión a un servidor IMAP válido usando la preferencia de Gestionar cuentas/identidades en el menú lateral.'),
('es-es', 'felamimail', 'options', 'Opciones'),
('es-es', 'felamimail', 'or', 'o'),
('es-es', 'felamimail', 'open all', 'abrir todas'),
('es-es', 'felamimail', 'only unseen', 'Sólo los no vistos'),
('es-es', 'felamimail', 'only one window', 'sólo una ventana'),
('es-es', 'felamimail', 'only inbox', 'Sólo la Bandeja de entrada'),
('es-es', 'felamimail', 'one address is not valid', 'Una dirección no es válida'),
('es-es', 'felamimail', 'on', 'en'),
('es-es', 'felamimail', 'on behalf of', 'en nombre de'),
('es-es', 'felamimail', 'none, create all', 'ninguno, crear todo'),
('es-es', 'felamimail', 'not allowed', 'no permitido'),
('es-es', 'felamimail', 'notify when new mails arrive on these folders', 'notificar cuando lleguen mensajes nuevos a estas carpetas'),
('es-es', 'felamimail', 'none', 'ninguno'),
('es-es', 'felamimail', 'no valid emailprofile selected!!', 'No se ha seleccionado un perfil de correo válido'),
('es-es', 'felamimail', 'no valid data to create mailprofile!!', '¡No hay datos válidos para crear el perfil de correo!'),
('es-es', 'felamimail', 'no subject given!', '¡No se ha indicado un asunto!'),
('es-es', 'felamimail', 'no supported imap authentication method could be found.', 'No se pudo encontrar ningún método de identificación IMAP'),
('es-es', 'felamimail', 'no stationery', 'sin material preimpreso'),
('es-es', 'felamimail', 'no previous message', 'No hay mensaje anterior'),
('es-es', 'felamimail', 'no recipient address given!', '¡No se han indicado destinatarios!'),
('es-es', 'felamimail', 'no signature', 'sin firma'),
('es-es', 'felamimail', 'no messages were selected.', 'No se seleccionaron mensajes'),
('es-es', 'felamimail', 'no plain text part found', 'No se encontró ninguna parte con texto sencillo'),
('es-es', 'felamimail', 'no messages selected, or lost selection. changing to folder', 'No hay mensajes seleccionados, o se ha perdido la selección. Cambiando a la carpeta'),
('es-es', 'felamimail', 'no messages found...', 'no se encontraron mensajes...'),
('es-es', 'felamimail', 'no message returned.', 'No se devolvió ningún mensaje.'),
('es-es', 'felamimail', 'no imap server host configured!!', '¡No se ha configurado un servidor IMAP!'),
('es-es', 'felamimail', 'no folders were found to unsubscribe from!', 'No se encontraron carpetas de las que desuscribirse'),
('es-es', 'felamimail', 'no highlighting is defined', 'No se definió un resaltado'),
('es-es', 'felamimail', 'no folders were found to subscribe to!', 'No se encontraron carpetas a las que suscribirse'),
('es-es', 'felamimail', 'no folders found', 'No se encontraron carpetas'),
('es-es', 'felamimail', 'no filter', 'Sin filtro'),
('es-es', 'felamimail', 'no folders', 'no hay carpetas'),
('es-es', 'felamimail', 'no encryption', 'Sin cifrar'),
('es-es', 'felamimail', 'no address to/cc/bcc supplied, and no folder to save message to provided.', 'No se ha suministrado dirección para el campo A/CC/CCO, ni carpeta donde guardar el mensaje.'),
('es-es', 'felamimail', 'no active imap server found!!', '¡No se encontró ningún servidor IMAP activo!'),
('es-es', 'felamimail', 'next message', 'Mensaje siguiente'),
('es-es', 'felamimail', 'next', 'Siguiente'),
('es-es', 'felamimail', 'new filter', 'Nuevo filtro'),
('es-es', 'felamimail', 'moving messages to', 'mover mensajes a'),
('es-es', 'felamimail', 'name', 'Nombre'),
('es-es', 'felamimail', 'never display html emails', 'Nunca mostar los correos en HTML'),
('es-es', 'felamimail', 'move to trash', 'Mover a la papelera'),
('es-es', 'felamimail', 'move selected to', 'mover los seleccionados a'),
('es-es', 'felamimail', 'move messages?', '¿Mover mensajes?'),
('es-es', 'felamimail', 'message list', 'Lista de mensajes'),
('es-es', 'felamimail', 'messages', 'mensajes'),
('es-es', 'felamimail', 'move', 'mover'),
('es-es', 'felamimail', 'move folder', 'mover carpeta'),
('es-es', 'felamimail', 'move messages', 'mover mensajes'),
('es-es', 'felamimail', 'max uploadsize', 'tamaño máximo de subida'),
('es-es', 'felamimail', 'message highlighting', 'Resaltado del mensaje'),
('es-es', 'felamimail', 'matches', 'coincide'),
('es-es', 'felamimail', 'matches regexp', 'coincide con la expresión'),
('es-es', 'felamimail', 'match', 'Coincidencia'),
('es-es', 'felamimail', 'mark selected as unread', 'Marcar la selección como no leído'),
('es-es', 'felamimail', 'mark selected as unflagged', 'Marcar la selección como para no descargar'),
('es-es', 'felamimail', 'mark selected as read', 'Marcar la selección como leído'),
('es-es', 'felamimail', 'mark selected as flagged', 'Marcar la selección como para descargar'),
('es-es', 'felamimail', 'mark as deleted', 'Marcar como borrado'),
('es-es', 'felamimail', 'mark messages as', 'Marcar mensajes seleccionados como'),
('es-es', 'felamimail', 'manage signatures', 'Administrar firmas'),
('es-es', 'felamimail', 'mainmessage', 'mensaje principal'),
('es-es', 'felamimail', 'mail settings', 'Configuración del correo'),
('es-es', 'felamimail', 'location of buttons when composing', 'Ubicación de los botones al redactar'),
('es-es', 'felamimail', 'loading', 'cargando'),
('es-es', 'felamimail', 'last name', 'Apellidos'),
('es-es', 'felamimail', 'left', 'Izquierda'),
('es-es', 'felamimail', 'less', 'menos'),
('es-es', 'felamimail', 'less than', 'menor que'),
('es-es', 'felamimail', 'light gray', 'Gris claro'),
('es-es', 'felamimail', 'list all', 'Listar todo'),
('es-es', 'felamimail', 'kilobytes', 'kilobytes'),
('es-es', 'felamimail', 'language', 'Idioma'),
('es-es', 'felamimail', 'keep local copy of email', 'guardar copia local del correo'),
('es-es', 'felamimail', 'jumping to start', 'saltando al principio'),
('es-es', 'felamimail', 'junk', 'Basura'),
('es-es', 'felamimail', 'keep a copy of the message in your inbox', 'guardar una copia del mensaje en la bandeja de entrada'),
('es-es', 'felamimail', 'javascript', 'JavaScript'),
('es-es', 'felamimail', 'jumping to end', 'saltando al final'),
('es-es', 'felamimail', 'info', 'Información'),
('es-es', 'felamimail', 'invalid user name or password', 'El usuario o la contraseña no son válidos'),
('es-es', 'felamimail', 'index order', 'Orden del índice'),
('es-es', 'felamimail', 'incoming mail server(imap)', 'servidor de correo entrante (IMAP)'),
('es-es', 'felamimail', 'in', 'en'),
('es-es', 'felamimail', 'inbox', 'Bandeja de entrada'),
('es-es', 'felamimail', 'import message', 'importar mensaje'),
('es-es', 'felamimail', 'import mail', 'Importar correo'),
('es-es', 'felamimail', 'imaps encryption only', 'Cifrado IMAPS solamente'),
('es-es', 'felamimail', 'import', 'importar'),
('es-es', 'felamimail', 'imaps authentication', 'Identificación IMAPS'),
('es-es', 'felamimail', 'imap server username', 'usuario del servidor IMAP'),
('es-es', 'felamimail', 'imap server password', 'contraseña del servidor IMAP'),
('es-es', 'felamimail', 'imap server type', 'Tipo de servidor IMAP'),
('es-es', 'felamimail', 'imap server closed the connection. server responded: %s', 'El servidor IMAP cerró la conexión. El servidor respondió: %s'),
('es-es', 'felamimail', 'imap server closed the connection.', 'El servidor IMAP cerró la conexión.'),
('es-es', 'felamimail', 'imap server address', 'Dirección del servidor IMAP'),
('es-es', 'felamimail', 'imap server', 'Servidor IMAP'),
('es-es', 'felamimail', 'imap', 'IMAP'),
('es-es', 'felamimail', 'illegal folder name.  please select a different name.', 'Nombre de carpeta ilegal. Por favor, seleccione un nombre distinto'),
('es-es', 'felamimail', 'if using ssl or tls, you must have the php openssl extension loaded.', 'Si se usa SSL o TLS, debe tener la extensión openssl de PHP cargada.'),
('es-es', 'felamimail', 'if subject contains', 'si el asunto contiene'),
('es-es', 'felamimail', 'if to contains', 'si el destinatario contiene'),
('es-es', 'felamimail', 'if shown, which folders should appear on main screen', 'Si se muestra, qué carpetas deben aparecer en la pantalla principal'),
('es-es', 'felamimail', 'if message size', 'si el tamaño del mensaje'),
('es-es', 'felamimail', 'if mail header', 'si el encabezado'),
('es-es', 'felamimail', 'if from contains', 'si el remitente contiene'),
('es-es', 'felamimail', 'if', 'SI'),
('es-es', 'felamimail', 'identity', 'identidad'),
('es-es', 'felamimail', 'identifying name', 'Nombre identificativo'),
('es-es', 'felamimail', 'icons only', 'Sólo iconos'),
('es-es', 'felamimail', 'icons and text', 'Iconos y texto'),
('es-es', 'felamimail', 'html', 'HTML'),
('es-es', 'felamimail', 'header lines', 'Líneas de encabezado'),
('es-es', 'felamimail', 'hide header', 'Ocultar cabecera'),
('es-es', 'felamimail', 'hostname / address', 'servidor / dirección'),
('es-es', 'felamimail', 'how to forward messages', 'cómo reenviar mensajes'),
('es-es', 'felamimail', 'have a look at <a href="http://www.felamimail.org" target="_new">www.felamimail.org</a> to learn more about squirrelmail.<br>', 'Eche un vistazo a <a href="http://www.felamimail.org" target="_new">www.felamimail.org</a> para saber más acerca de Squirrelmail.<br>'),
('es-es', 'felamimail', 'greater than', 'mayor que'),
('es-es', 'felamimail', 'full name', 'Nombre completo'),
('es-es', 'felamimail', 'from(z->a)', 'De (Z-> A)'),
('es-es', 'felamimail', 'forwarding', 'Reenviando'),
('es-es', 'felamimail', 'found', 'Encontrado'),
('es-es', 'felamimail', 'from', 'De'),
('es-es', 'felamimail', 'from(a->z)', 'De (A-> Z)'),
('es-es', 'felamimail', 'forward to', 'reenviar a'),
('es-es', 'felamimail', 'forward to address', 'reenviar a la dirección'),
('es-es', 'felamimail', 'forward inline', 'reenviar como incorporado'),
('es-es', 'felamimail', 'forward messages to', 'Reenviar mensajes a'),
('es-es', 'felamimail', 'forward', 'Reenviar'),
('es-es', 'felamimail', 'forward as attachment', 'reenviar como adjunto'),
('es-es', 'felamimail', 'for mail to be send - not functional yet', 'Para el correo pendiente de enviar - todavía no funciona'),
('es-es', 'felamimail', 'for received mail', 'Para el correo recibido'),
('es-es', 'felamimail', 'follow', 'seguir'),
('es-es', 'felamimail', 'folders created successfully!', 'Las carpetas se han creado correctamente'),
('es-es', 'felamimail', 'folders', 'Carpetas'),
('es-es', 'felamimail', 'foldername', 'Nombre de carpeta'),
('es-es', 'felamimail', 'folderlist', 'Lista de carpetas'),
('es-es', 'felamimail', 'folder status', 'Estado de la carpeta'),
('es-es', 'felamimail', 'folder settings', 'Opciones de la carpeta'),
('es-es', 'felamimail', 'folder preferences', 'Preferencias de la carpeta'),
('es-es', 'felamimail', 'folder path', 'Ruta de la carpeta'),
('es-es', 'felamimail', 'folder name', 'Nombre de la carpeta'),
('es-es', 'felamimail', 'folder acl', 'ACL de la carpeta'),
('es-es', 'felamimail', 'folder', 'carpeta'),
('es-es', 'felamimail', 'flags', 'Marcas'),
('es-es', 'felamimail', 'flagged', 'marcado'),
('es-es', 'felamimail', 'files', 'Ficheros'),
('es-es', 'felamimail', 'filter active', 'Filtro activo'),
('es-es', 'felamimail', 'filter name', 'Nombre del filtro'),
('es-es', 'felamimail', 'first name', 'Nombre de pila'),
('es-es', 'felamimail', 'filemanager', 'Administrador de ficheros'),
('es-es', 'felamimail', 'every %1 days', 'cada %1 días'),
('es-es', 'felamimail', 'expunge', 'Suprimir'),
('es-es', 'felamimail', 'extended', 'extendida'),
('es-es', 'felamimail', 'file into', 'Información del fichero'),
('es-es', 'felamimail', 'every', 'cada'),
('es-es', 'felamimail', 'error: message could not be displayed.', 'ERROR: No se pudo mostrar el mensaje'),
('es-es', 'felamimail', 'error: could not save rule', 'Error: no se pudo guardar la regla'),
('es-es', 'felamimail', 'error: could not save message as draft', 'Error: no se pudo salvar el mensaje como borrador'),
('es-es', 'felamimail', 'error:', 'Error:'),
('es-es', 'felamimail', 'error saving %1!', '¡Error al guardar %1!'),
('es-es', 'felamimail', 'error opening', 'Error al abrir'),
('es-es', 'felamimail', 'error creating rule while trying to use forward/redirect.', 'Error al crear la regla al intentar reenviar.'),
('es-es', 'felamimail', 'error connecting to imap server: [%s] %s.', 'Error al conectar con el servidor IMAP: [%s] %s'),
('es-es', 'felamimail', 'entry saved', 'Se ha guardado la entrada'),
('es-es', 'felamimail', 'error', 'ERROR'),
('es-es', 'felamimail', 'error connecting to imap serv', 'Error al conectar al servidor IMAP'),
('es-es', 'felamimail', 'error connecting to imap server. %s : %s.', 'Error al conectar con el servidor IMAP: %s: %s'),
('es-es', 'felamimail', 'encrypted connection', 'conexión cifrada'),
('es-es', 'felamimail', 'empty trash', 'Vaciar papelera'),
('es-es', 'felamimail', 'enable', 'Habilitar'),
('es-es', 'felamimail', 'email notification update failed', 'falló la actualización de la notificación de correo electrónico'),
('es-es', 'felamimail', 'email signature', 'Firma de correo'),
('es-es', 'felamimail', 'emailaddress', 'dirección de correo electrónico'),
('es-es', 'felamimail', 'email forwarding address', 'dirección de reenvío del correo'),
('es-es', 'felamimail', 'email address', 'Dirección de correo electrónico'),
('es-es', 'felamimail', 'editor type', 'Tipo de editor'),
('es-es', 'felamimail', 'edit vacation settings', 'editar configuración de vacaciones'),
('es-es', 'felamimail', 'edit selected', 'Editar selección'),
('es-es', 'felamimail', 'edit rule', 'Añadir regla'),
('es-es', 'felamimail', 'edit filter', 'Editar filtro'),
('es-es', 'felamimail', 'edit email forwarding address', 'editar la dirección de reenvío del correo'),
('es-es', 'felamimail', 'e-mail folders', 'Carpetas de correo electrónico'),
('es-es', 'felamimail', 'e-mail address', 'Dirección de correo electrónico'),
('es-es', 'felamimail', 'drafts', 'Borradores'),
('es-es', 'felamimail', 'e-mail', 'Correo electrónico'),
('es-es', 'felamimail', 'draft folder', 'Carpeta borradores'),
('es-es', 'felamimail', 'download this as a file', 'Descargar esto como un fichero'),
('es-es', 'felamimail', 'don''t use trash', 'No usar Papelera'),
('es-es', 'felamimail', 'dont strip any tags', 'no separar ninguna etiqueta'),
('es-es', 'felamimail', 'down', 'abajo'),
('es-es', 'felamimail', 'download', 'descargar'),
('es-es', 'felamimail', 'don''t use sent', 'No usar Enviados'),
('es-es', 'felamimail', 'don''t use template folder', 'No usar la carpeta de plantillas'),
('es-es', 'felamimail', 'don''t use draft folder', 'No usar la carpeta borradores'),
('es-es', 'felamimail', 'does not match regexp', 'No coincide con la expresión'),
('es-es', 'felamimail', 'does not match', 'No coincide con'),
('es-es', 'felamimail', 'does not exist on imap server.', 'No existe en el servidor IMAP'),
('es-es', 'felamimail', 'does not contain', 'No contiene'),
('es-es', 'felamimail', 'do you want to prevent the managing of folders (creation, accessrights and subscribtion)?', '¿Desea prevenir la gestión de carpetas (creación, derechos de acceso Y suscripción)?'),
('es-es', 'felamimail', 'do you want to prevent the editing/setup of the absent/vacation notice (, even if sieve is enabled)?', '¿Desea prevenir la edición o configuración de la notificación de ausencia o vacaciones (incluso si SIEVE está activado)?'),
('es-es', 'felamimail', 'do you want to prevent the editing/setup of notification by mail to other emailadresses if emails arrive (, even if sieve is ena', '¿Desea prevenir la edición o configuración de la notificación a otras direcciones si llegan correos (incluso si SIEVE está activado)?'),
('es-es', 'felamimail', 'do you want to prevent the editing/setup of filter rules (, even if sieve is enabled)?', '¿Desea prevenir la edición o configuración de las reglas de filtrado (incluso si SIEVE está activado)?'),
('es-es', 'felamimail', 'do you want to prevent the editing/setup for forwarding of mails via settings (, even if sieve is enabled)?', '¿Desea prevenir la edición o configuración de los correos mediante las preferencias (incluso si SIEVE está activado)?'),
('es-es', 'felamimail', 'do you want to be asked for confirmation before moving selected messages to another folder?', '¿Desea que se le pida confirmación antes de mover los mensajes seleccionados a otra carpeta?'),
('es-es', 'felamimail', 'do you really want to move the selected messages to folder:', '¿Realmente desea mover los mensajes seleccionados a la carpeta:'),
('es-es', 'felamimail', 'do you really want to move or copy the selected messages to folder:', '¿Realmente desea mover o copiar los siguientes mensajes a la carpeta:'),
('es-es', 'felamimail', 'do you really want to delete the selected signatures?', '¿Realmente desea borrar las firmas seleccionadas?'),
('es-es', 'felamimail', 'do you really want to delete the selected accountsettings and the assosiated identity.', '¿Realmente desea borrar las configuraciones de cuenta seleccionadas y la identidad asociada?'),
('es-es', 'felamimail', 'do you really want to delete the ''%1'' folder?', '¿Realmente quiere borrar la carpeta ''%1''?'),
('es-es', 'felamimail', 'do not validate certificate', 'No validar el certificado'),
('es-es', 'felamimail', 'do not use trash', 'No usar Papelera'),
('es-es', 'felamimail', 'do not use sent', 'No usar Enviados'),
('es-es', 'felamimail', 'do it!', '¡Hacerlo!'),
('es-es', 'felamimail', 'displaying html messages is disabled', 'Mostrar los mensajes en HTML está desactivado'),
('es-es', 'felamimail', 'display preferences', 'Preferencias de visualización'),
('es-es', 'felamimail', 'display only when no plain text is available', 'Mostrar sólo cuando no hay texto simple disponible'),
('es-es', 'felamimail', 'display of html emails', 'Mostrar los mensajes HTML'),
('es-es', 'felamimail', 'display messages in multiple windows', 'mostrar los mensajes en múltiples ventanas'),
('es-es', 'felamimail', 'display message in new window', 'Mostrar el mensaje en una ventana nueva'),
('es-es', 'felamimail', 'disable', 'Deshabilitar'),
('es-es', 'felamimail', 'discard', 'descargar'),
('es-es', 'felamimail', 'discard message', 'descartar mensaje'),
('es-es', 'felamimail', 'deleting messages', 'borrando mensajes'),
('es-es', 'felamimail', 'deleted folder successfully!', 'Carpeta borrada correctamente'),
('es-es', 'felamimail', 'deleted', 'Borrado'),
('es-es', 'felamimail', 'delete this folder irreversible?', '¿Borrar esta carpeta de forma irreversible?'),
('es-es', 'felamimail', 'delete selected', 'Borrar la selección'),
('es-es', 'felamimail', 'delete selected messages', 'Borrar mensajes seleccionados'),
('es-es', 'felamimail', 'delete script', 'borrar script'),
('es-es', 'felamimail', 'delete all', 'Borrar todos'),
('es-es', 'felamimail', 'delete folder', 'Borrar carpeta'),
('es-es', 'felamimail', 'default sorting order', 'Modo de ordenar predeterminado'),
('es-es', 'felamimail', 'default signature', 'Firma predeterminada'),
('es-es', 'felamimail', 'default', 'predeterminado'),
('es-es', 'felamimail', 'date(oldest first)', 'Fecha (la más antigua primero)'),
('es-es', 'felamimail', 'days', 'días'),
('es-es', 'felamimail', 'deactivate script', 'desactivar script'),
('es-es', 'felamimail', 'date(newest first)', 'Fecha (la más reciente primero)'),
('es-es', 'felamimail', 'dark yellow', 'Amarillo oscuro'),
('es-es', 'felamimail', 'dark magenta', 'Violeta oscuro'),
('es-es', 'felamimail', 'dark gray', 'Gris oscuro'),
('es-es', 'felamimail', 'dark green', 'Verde oscuro'),
('es-es', 'felamimail', 'dark blue', 'Azul oscuro'),
('es-es', 'felamimail', 'dark cyan', 'Cyan oscuro'),
('es-es', 'felamimail', 'created folder successfully!', 'La carpeta se ha creado correctamente'),
('es-es', 'felamimail', 'create subfolder', 'Crear subcarpeta'),
('es-es', 'felamimail', 'create trash', 'Crear carpeta Papelera'),
('es-es', 'felamimail', 'create sent', 'Crear carpeta Enviados'),
('es-es', 'felamimail', 'create folder', 'Crear carpeta'),
('es-es', 'felamimail', 'create', 'Crear'),
('es-es', 'felamimail', 'cram-md5 or digest-md5 requires the auth_sasl package to be installed.', 'CRAM-MD5 o DIGEST-MD5 necesitan que esté instalado el paquete Auth_SASL.'),
('es-es', 'felamimail', 'could not open secure connection to the imap server. %s : %s.', 'No se pudo abrir una conexión segura al servidor IMAP. %s: %s.'),
('es-es', 'felamimail', 'could not import message:', 'No se pudo importar el mensaje:'),
('es-es', 'felamimail', 'could not complete request. reason given: %s', 'No se pudo completar la petición. Razón: %s'),
('es-es', 'felamimail', 'copying messages to', 'copiar los mensajes a'),
('es-es', 'felamimail', 'copy or move messages?', '¿Copiar o mover mensajes?'),
('es-es', 'felamimail', 'contains', 'contiene'),
('es-es', 'felamimail', 'contact not found!', '¡No se encontró el contacto!'),
('es-es', 'felamimail', 'connection dropped by imap server.', 'La conexión ha sido ignorada por el servidor IMAP'),
('es-es', 'felamimail', 'configure a valid imap server in emailadmin for the profile you are using.', 'Configure un servidor IMAP válido en emailadmin para el perfil que está usando.'),
('es-es', 'felamimail', 'configuration', 'Configuración'),
('es-es', 'felamimail', 'condition', 'condición'),
('es-es', 'felamimail', 'compress folder', 'Comprimir carpeta'),
('es-es', 'felamimail', 'compose as new', 'Redactar como nuevo'),
('es-es', 'felamimail', 'compose', 'Redactar'),
('es-es', 'felamimail', 'close window', 'Cerrar ventana'),
('es-es', 'felamimail', 'color', 'Color'),
('es-es', 'felamimail', 'close this page', 'cerrar esta página'),
('es-es', 'felamimail', 'close all', 'cerrar todas'),
('es-es', 'felamimail', 'click here to return to %1', 'Pulse aquí para volver a %1'),
('es-es', 'felamimail', 'click here to log back in.', 'Pulse aquí para volver a iniciar sesión'),
('es-es', 'felamimail', 'clear search', 'Limpiar búsqueda'),
('es-es', 'felamimail', 'choose from vfs', 'elegir desde VFS'),
('es-es', 'felamimail', 'checkbox', 'Casilla'),
('es-es', 'felamimail', 'cc', 'CC'),
('es-es', 'felamimail', 'change folder', 'Cambiar carpeta'),
('es-es', 'felamimail', 'check message against next rule also', 'comprobar el mensaje también con la regla siguiente'),
('es-es', 'felamimail', 'can''t connect to inbox!!', '¡¡No se puede leer la Bandeja de entrada!!'),
('es-es', 'felamimail', 'can not send message. no recipient defined!', '¡no puedo enviar el mensaje por no tener destinatario!'),
('es-es', 'felamimail', 'body part', 'Parte del cuerpo'),
('es-es', 'felamimail', 'by date', 'por fecha'),
('es-es', 'felamimail', 'between headers and message body', 'Entre las cabeceras y el cuerpo del mensaje'),
('es-es', 'felamimail', 'before headers', 'Antes de las cabeceras'),
('es-es', 'felamimail', 'bcc', 'CCO'),
('es-es', 'felamimail', 'based upon given criteria, incoming messages can have different background colors in the message list.  this helps to easily dis', 'Basado en los criterios dados, los mensajes que lleguen pueden tener distintos colores de fondo en la lista de mensajes. Esto ayuda a distinguir fácilmente de quién son los mensajes, espcialmente para listas de correo.'),
('es-es', 'felamimail', 'bad request: %s', 'Petición errónea: %s'),
('es-es', 'felamimail', 'bad or malformed request. server responded: %s', 'Petición mal formada o errónea. El servidor respondió: %s'),
('es-es', 'felamimail', 'auto refresh folder list', 'Refrescar automáticamente la lista de carpetas'),
('es-es', 'felamimail', 'back to folder', 'Volver a la carpeta'),
('es-es', 'felamimail', 'bad login name or password.', 'El usuario o contraseña son incorrectos'),
('es-es', 'felamimail', 'authentication required', 'se requiere identificación'),
('es-es', 'felamimail', 'attach', 'Adjuntar'),
('es-es', 'felamimail', 'attachments', 'Adjuntos'),
('es-es', 'felamimail', 'anyone', 'cualquiera'),
('es-es', 'felamimail', 'as a subfolder of', 'como una subcarpeta de'),
('es-es', 'felamimail', 'any status', 'cualquier estado'),
('es-es', 'felamimail', 'and', 'y'),
('es-es', 'felamimail', 'any of', 'cualquiera de'),
('es-es', 'felamimail', 'always show html emails', 'Mostrar siempre los correos HTML'),
('es-es', 'felamimail', 'allways a new window', 'siempre una ventana nueva'),
('es-es', 'felamimail', 'allow images from external sources in html emails', 'Permitir imágenes de origen externo en correos HTML'),
('es-es', 'felamimail', 'all of', 'todos los'),
('es-es', 'felamimail', 'all folders', 'Todas las carpetas'),
('es-es', 'felamimail', 'all messages in folder', 'todos los mensajes de la carpeta'),
('es-es', 'felamimail', 'all address books', 'Todas las libretas de direcciones'),
('es-es', 'felamimail', 'after message body', 'Después del cuerpo del mensaje'),
('es-es', 'felamimail', 'address book search', 'Buscar en la libreta de direcciones'),
('es-es', 'felamimail', 'address book', 'Libreta de direcciones'),
('es-es', 'felamimail', 'additional info', 'Información adicional'),
('es-es', 'felamimail', 'adding file to message. please wait!', 'Añadiendo fichero al mensaje. Por favor, espere.'),
('es-es', 'felamimail', 'add to addressbook', 'Añadir a la libreta de direcciones'),
('es-es', 'felamimail', 'add to address book', 'Añadir a la libreta de direcciones'),
('es-es', 'felamimail', 'add to %1', 'Añadir a %1'),
('es-es', 'felamimail', 'add script', 'Añadir script'),
('es-es', 'felamimail', 'add rule', 'Añadir regla'),
('es-es', 'felamimail', 'add address', 'Añadir dirección'),
('es-es', 'felamimail', 'add acl', 'añadir acl'),
('es-es', 'felamimail', 'activate script', 'activar script'),
('es-es', 'felamimail', 'activating by date requires a start- and end-date!', 'Activar por fecha requiere una fecha de inicio y otra de final'),
('es-es', 'felamimail', 'aborted', 'abortado'),
('es-es', 'felamimail', 'activate', 'Activar'),
('es-es', 'felamimail', '3paneview: if you want to see a preview of a mail by single clicking onto the subject, set the height for the message-list and t', 'Vista de tres paneles: si desea tener una vista previa del correo con un simple clic en el asunto, ponga aquí la altura para la lista de mensajes y el área de vista previa (300 parece un valor apropiado). La vista previa se mostrará al final de la lista de mensajes bajo demanda, al pulsar.'),
('es-es', 'felamimail', '(separate multiple addresses by comma)', '(separar múltiples direcciones con comas)'),
('es-es', 'felamimail', '(unknown sender)', '(remitente desconocido)'),
('es-es', 'felamimail', '(only cc/bcc)', '(sólo Cc/Cco)'),
('es-es', 'felamimail', '(no subject)', '(Sin asunto)'),
('es-es', 'filemanager', 'your home directory', 'Su directorio de inicio'),
('es-es', 'felamimail', '%1 is not writable by you!', '¡NO tiene permiso de escritura en %1!'),
('es-es', 'filemanager', 'your home dir did not exist, egroupware created a new one.', 'Su directorio de inicio no existía. EGroupWare ha creado uno nuevo.'),
('es-es', 'filemanager', 'you will be redirected to your start folder.', 'Se le va a redirigir a su directorio de inicio'),
('es-es', 'filemanager', 'you will be redirected to your home directory.', 'Se le va a redirigir a su directorio personal'),
('es-es', 'filemanager', 'you need to select some files first!', '¡Necesita seleccionar antes algunos ficheros!'),
('es-es', 'filemanager', 'you need to select an owner!', '¡Necesita seleccionar un propietario!'),
('es-es', 'filemanager', 'you do not have access to %1', 'No tiene acceso a %1'),
('es-es', 'filemanager', 'you are not allowed to upload a script!', '¡NO tiene permiso para subir un script!'),
('es-es', 'filemanager', 'you can only grant additional rights, you can not take rights away!', '¡Sólo se pueden conceder permisos adicionales, NO recortar permisos!'),
('es-es', 'filemanager', 'wrong username or password!', '¡El usuario o contraseña son incorrectos!'),
('es-es', 'filemanager', 'users and groups', 'Usuarios y grupos'),
('es-es', 'filemanager', 'used space', 'Espacio utilizado'),
('es-es', 'filemanager', 'updated comment for %1', 'Comentario actualizado para %1'),
('es-es', 'filemanager', 'unused space', 'Espacio sin utilizar'),
('es-es', 'filemanager', 'up', 'Arriba'),
('es-es', 'filemanager', 'total files', 'Total ficheros'),
('es-es', 'filemanager', 'to overwrite the existing file store again.', 'Para sobreescribir el fichero existente, vuelva a guardar.'),
('es-es', 'filemanager', 'there''s already a file with that name!', '¡Ya existe un fichero con ese nombre!'),
('es-es', 'filemanager', 'there''s already a directory with that name!', '¡Ya existe un directorio con ese nombre!'),
('es-es', 'filemanager', 'the requested path %1 is not available.', 'La ruta solicitada %1 no está disponible.'),
('es-es', 'filemanager', 'the default start folder is your personal folder. the default is used, if you leave this empty, the path does not exist or you l', 'La carpeta predeterminada es su carpeta personal. Si se deja en blanco, no existe la ruta o no tiene los permisos necesarios, se usa la predeterminada.'),
('es-es', 'filemanager', 'superuser', 'Superusuario'),
('es-es', 'filemanager', 'symlink to %1 created.', 'Se ha creado el enlace simbólico a %1.'),
('es-es', 'filemanager', 'size', 'Tamaño'),
('es-es', 'filemanager', 'start search', 'comenzar la búsqueda'),
('es-es', 'filemanager', 'startfolder', 'Carpeta de inicio'),
('es-es', 'filemanager', 'show link to filemanagers basedirectory (/) in side box menu?', '¿Mostrar enlace al directorio base del administrador de archivos (/) en el menú lateral?'),
('es-es', 'filemanager', 'show hidden files', 'Mostrar los ficheros ocultos'),
('es-es', 'filemanager', 'show', 'Mostrar'),
('es-es', 'filemanager', 'select file to upload in current directory', 'Seleccionar el fichero a subir al directorio actual'),
('es-es', 'filemanager', 'select action...', 'Seleccionar acción...'),
('es-es', 'filemanager', 'searchstring', 'cadena de búsqueda'),
('es-es', 'filemanager', 'search for ''%1''', 'Buscar ''%1'''),
('es-es', 'filemanager', 'saved %1', 'Guardado %1'),
('es-es', 'filemanager', 'saving properties failed!', '¡Fallo al guardar las propiedades!'),
('es-es', 'filemanager', 'save changes', 'Guardar cambios'),
('es-es', 'filemanager', 'save %1', 'Guardar %1'),
('es-es', 'filemanager', 'save %1, and go back to file listing', 'Guardar %1, y volver al listado'),
('es-es', 'filemanager', 'root access stopped.', 'Acceso de administrador detenido.'),
('es-es', 'filemanager', 'root', 'raíz'),
('es-es', 'filemanager', 'root access granted.', 'Permiso de administrador concedido.'),
('es-es', 'filemanager', 'rights', 'Derechos'),
('es-es', 'filemanager', 'replaced %1', 'Se ha sustituido %1'),
('es-es', 'filemanager', 'renamed %1 to %2.', 'Se ha renombrado %1 a %2.'),
('es-es', 'filemanager', 'renamed %1 to %2', 'Se ha renombrado %1 a %2'),
('es-es', 'filemanager', 'rename, change permissions or ownership', 'Renombrar, cambiar los permisos o propietario'),
('es-es', 'filemanager', 'rename of %1 to %2 failed!', '¡Fallo al renombrar %1 a %2!'),
('es-es', 'filemanager', 'reload', 'recargar'),
('es-es', 'filemanager', 'read access only', 'Sólo derecho de lectura'),
('es-es', 'filemanager', 'read & write access', 'Derechos de lectura y escritura'),
('es-es', 'filemanager', 'quick jump to', 'Salto rápido a'),
('es-es', 'filemanager', 'properties saved.', 'Se han guardado las propiedades.'),
('es-es', 'filemanager', 'preview of %1', 'Vista previa de %1'),
('es-es', 'filemanager', 'projectmanager', 'Administrador de proyectos'),
('es-es', 'filemanager', 'preview %1', 'Vista previa %1'),
('es-es', 'filemanager', 'preview', 'Vista previa'),
('es-es', 'filemanager', 'please select a file to delete.', 'Por favor, seleccione un fichero para borrar.'),
('es-es', 'filemanager', 'permissions', 'Permisos'),
('es-es', 'filemanager', 'permissions of %1 changed.', 'Se han modificado los permisos de %1.'),
('es-es', 'filemanager', 'permission denied!', '¡Permiso denegado!'),
('es-es', 'filemanager', 'operation', 'Operación'),
('es-es', 'filemanager', 'open', 'Abrir'),
('es-es', 'filemanager', 'only owner can rename or delete the content', 'Sólo el propietario puede renombrar o borrar el contenido'),
('es-es', 'filemanager', 'no version history for this file/directory', 'No hay historial para este fichero/directorio'),
('es-es', 'filemanager', 'no preview available', 'No hay vista previa disponible'),
('es-es', 'filemanager', 'no files in this directory.', 'No hay ficheros en este directorio.'),
('es-es', 'filemanager', 'no access', 'Sin acceso'),
('es-es', 'filemanager', 'moved %1 to %2', 'Se ha movido %1 a %2'),
('es-es', 'filemanager', 'move', 'Mover'),
('es-es', 'filemanager', 'move to', 'Mover a'),
('es-es', 'filemanager', 'modify all subdirectories and their content', 'Modificar todos los subdirectorios y su contenido'),
('es-es', 'filemanager', 'modified between', 'Modificado entre'),
('es-es', 'filemanager', 'modified', 'Modificado'),
('es-es', 'filemanager', 'mime type', 'Tipo MIME'),
('es-es', 'filemanager', 'log out as superuser', 'Cerrar sesión como superusuario'),
('es-es', 'filemanager', 'location', 'Ubicación'),
('es-es', 'filemanager', 'link target %1 not found!', '¡No se ha encontrado el enlace de destino %1!'),
('es-es', 'filemanager', 'link', 'Enlace'),
('es-es', 'filemanager', 'link %1: %2', 'Enlace %1: %2'),
('es-es', 'filemanager', 'inherited', 'heredado'),
('es-es', 'filemanager', 'id', 'Id'),
('es-es', 'filemanager', 'go up', 'Subir'),
('es-es', 'filemanager', 'go to your home directory', 'Ir al directorio personal'),
('es-es', 'filemanager', 'go to', 'Ir A'),
('es-es', 'filemanager', 'go home', 'ir al inicio'),
('es-es', 'filemanager', 'folder up', 'Subir un directorio'),
('es-es', 'filemanager', 'general', 'General'),
('es-es', 'filemanager', 'files in this directory', 'Ficheros en este directorio'),
('es-es', 'filemanager', 'files from subdirectories', 'Ficheros de subdirectorios'),
('es-es', 'filemanager', 'file deleted.', 'Se ha borrado el fichero'),
('es-es', 'filemanager', 'file names cannot contain "%1"', 'Los nombres de fichero no pueden contener !%1"');
INSERT INTO `egw_lang` (`lang`, `app_name`, `message_id`, `content`) VALUES
('es-es', 'filemanager', 'file or directory not found!', '¡No se ha encontrado el fichero o directorio!'),
('es-es', 'filemanager', 'file successful uploaded.', 'El fichero se ha subido correctamente'),
('es-es', 'filemanager', 'file %1 may be too big. contact your systemadministrator for further info', 'El fichero %1 puede ser demasiado grande. Póngase en contacto con su administrador para más información.'),
('es-es', 'filemanager', 'file %1 could not be created.', 'No se pudo crear el fichero %1'),
('es-es', 'filemanager', 'file %1 already exists. please edit it or delete it first.', 'El fichero %1 ya existe. Por favor, edítelo o bórrelo primero.'),
('es-es', 'filemanager', 'file', 'Archivo'),
('es-es', 'filemanager', 'favorites', 'Favoritos'),
('es-es', 'filemanager', 'failed to create directory!', '¡Fallo al crear el directorio!'),
('es-es', 'filemanager', 'extended acl', 'ACL extendida'),
('es-es', 'filemanager', 'failed to change permissions of %1!', 'Fallo al cambiar los permisos de %1'),
('es-es', 'filemanager', 'executable', 'Ejecutable'),
('es-es', 'filemanager', 'extended access control list', 'Listas de control de acceso extendidas'),
('es-es', 'filemanager', 'error deleting the acl entry!', '¡Error al borrar la entrada de la ACL!'),
('es-es', 'filemanager', 'error creating symlink to target %1!', '¡Error al crear el enlace simbólico al destino %1!'),
('es-es', 'filemanager', 'error adding the acl!', '¡Error al añadir la ACL!'),
('es-es', 'filemanager', 'enter the complete vfs path to specify your desired start folder.', 'Introduzca la ruta VFS completa para especificar la carpeta de inicio deseada.'),
('es-es', 'filemanager', 'enter the complete vfs path to specify a fast access link to a folder (1).', 'Introduzca la ruta VFS completa para especificar un acceso rápido a una carpeta (1).'),
('es-es', 'filemanager', 'enter the complete vfs path to specify a fast access link to a folder', 'Introduzca la ruta VFS completa para especificar un acceso rápido a una carpeta'),
('es-es', 'filemanager', 'do you want to overwrite the existing file %1?', '¿Desea sobreescribir el fichero existente %1?'),
('es-es', 'filemanager', 'download', 'Descargar'),
('es-es', 'filemanager', 'edit comments', 'Editar comentarios'),
('es-es', 'filemanager', 'edit settings', 'Editar configuración'),
('es-es', 'filemanager', 'enter setup user and password', 'Introducir usuario de configuración y contraseña'),
('es-es', 'filemanager', 'enter setup user and password to get root rights', 'Introduzca usuario de configuración y contraseña para obtener permisos de administrador'),
('es-es', 'filemanager', 'display of content', 'Mostar el contenido'),
('es-es', 'filemanager', 'display and modification of content', 'Mostrar y modificar el contenido'),
('es-es', 'filemanager', 'directory not found or no permission to access it!', 'No se encontró el directorio, o no tiene permiso para acceder a él'),
('es-es', 'filemanager', 'directory names cannot contain "%1"', 'Los nombres de directorio no pueden contener !%1"'),
('es-es', 'filemanager', 'directory %1 does not exist', 'El directorio %1 no existe'),
('es-es', 'filemanager', 'directory %1 already exists', 'El directorio %1 ya existe'),
('es-es', 'filemanager', 'directory', 'Directorio'),
('es-es', 'filemanager', 'directories sorted in', 'Directorios ordenados en'),
('es-es', 'filemanager', 'deleted %1', 'Se ha borrado %1'),
('es-es', 'filemanager', 'delete this file or directory', 'Borrar este fichero o directorio'),
('es-es', 'filemanager', 'default behavior is no. the link will not be shown, but you are still able to navigate to this location, or configure this paric', 'El comportamiento predeterminado es NO. El enlace no se mostrará, pero se podrá examinar la ubicación, o configurar esta ubicación en particular como carpeta de inicio o enlace.'),
('es-es', 'filemanager', 'cut to clipboard', 'Cortar al portapapeles'),
('es-es', 'filemanager', 'cut', 'cortar'),
('es-es', 'filemanager', 'custom fields', 'Campos personalizados'),
('es-es', 'filemanager', 'current directory', 'Directorio actual'),
('es-es', 'filemanager', 'created directory %1', 'Se ha creado el directorio %1'),
('es-es', 'filemanager', 'created between', 'creado entre'),
('es-es', 'filemanager', 'created %1,%2', 'Se ha creado %1,%2'),
('es-es', 'filemanager', 'create folder', 'Crear directorio'),
('es-es', 'filemanager', 'created', 'Creado'),
('es-es', 'filemanager', 'create file', 'Crear fichero'),
('es-es', 'filemanager', 'could not rename %1 to %2', 'No se pudo renombrar %1 a %2'),
('es-es', 'filemanager', 'could not save %1', 'No se pudo guardar %1'),
('es-es', 'filemanager', 'create a link', 'Crear un enlace'),
('es-es', 'filemanager', 'create directory', 'Crear directorio'),
('es-es', 'filemanager', 'could not move file because no destination directory is given', 'No se pudo mover el fichero porque no se ha indicado un directorio de destino'),
('es-es', 'filemanager', 'could not move %1 to %2', 'No se pudo mover %1 a %2'),
('es-es', 'filemanager', 'could not delete %1', 'No se pudo borrar %1'),
('es-es', 'filemanager', 'could not create %1', 'No se pudo crear %1'),
('es-es', 'filemanager', 'could not copy file because no destination directory is given', 'No se pudo copiar el fichero porque no se ha indicado un directorio de destino'),
('es-es', 'filemanager', 'could not copy %1 to %2', 'No se pudo copiar "%1" a "%2"'),
('es-es', 'filemanager', 'copy to clipboard', 'Copiar al portapapeles'),
('es-es', 'filemanager', 'copy', 'Copiar'),
('es-es', 'filemanager', 'copy to', 'Copiar a'),
('es-es', 'filemanager', 'copied %1 to %2', 'Se ha copiado "%1" a "%2"'),
('es-es', 'filemanager', 'copied', 'copiado'),
('es-es', 'filemanager', 'comments cannot contain "%1"', 'Los comentarios no pueden contener "%1"'),
('es-es', 'filemanager', 'comment', 'Comentario'),
('es-es', 'filemanager', 'clear search', 'Limpiar búsqueda'),
('es-es', 'filemanager', 'check all', 'Comprobar todo'),
('es-es', 'filemanager', 'cannot create directory because it begins or ends in a space', 'No se puede crear el directorio porque empieza o acaba en un espacio'),
('es-es', 'filemanager', 'cancel editing %1 without saving', 'Cancelar la edición %1 sin guardar'),
('es-es', 'filemanager', 'can''t open directory %1!', '¡No se puede abrir el directorio %1!'),
('es-es', 'filemanager', 'basedirectory', 'Directorio base'),
('es-es', 'filemanager', 'actions', 'Acciones'),
('es-es', 'filemanager', 'and all it''s childeren', 'y todos los subdirectorios'),
('es-es', 'filemanager', 'acl added.', 'Se ha añadido la ACL'),
('es-es', 'filemanager', 'acl deleted.', 'Se ha borrado la ACL'),
('es-es', 'filemanager', 'accessrights', 'Derechos de acceso'),
('es-es', 'filemanager', '%1 urls %2 to clipboard.', '%1 URLs %2 al portapapeles'),
('es-es', 'filemanager', '%1 the following files into current directory', '%1 los siguientes ficheros en el directorio actual'),
('es-es', 'filemanager', '%1 successful uploaded.', '%1 subidos correctamente.'),
('es-es', 'filemanager', '%1 starts with ''%2''', '%1 empieza por ''%2'''),
('es-es', 'filemanager', '%1 files moved.', '%1 ficheros movidos.'),
('es-es', 'filemanager', '%1 files deleted.', '%1 ficheros borrados.'),
('es-es', 'filemanager', '%1 files copied.', '%1 ficheros copiados.'),
('es-es', 'filemanager', '%1 failed, %2 succeded', '%1 fallaron, %2 correctos'),
('es-es', 'filemanager', '%1 errors moving (%2 files moved)!', '%1 errores moviendo (%2 ficheros movidos)'),
('es-es', 'filemanager', '%1 errors linking (%2)!', '¡%1 errores al enlazar (%2)!'),
('es-es', 'filemanager', '%1 errors deleteting (%2 directories and %3 files deleted)!', '%1 errores borrando (%2 directorios y %3 ficheros borrados)'),
('es-es', 'filemanager', '%1 errors copying (%2 diretories and %3 files copied)!', '%1 errores copiando (%2 directorios y %3 ficheros copiados)'),
('es-es', 'filemanager', '%1 elements linked.', '%1 elementos enlazados.'),
('es-es', 'filemanager', '%1 directories and %2 files deleted.', '%1 directorios y %2 ficheros borrados.'),
('es-es', 'filemanager', '%1 directories and %2 files copied.', '%1 directorios y %2 ficheros copiados.'),
('es-es', 'filemanager', '%1 already exists as a file', '%1 ya existe como fichero'),
('es-es', 'filemanager', 'maximum size for uploads', 'Tamaño máximo para subida de ficheros'),
('es-es', 'filemanager', 'error uploading file!', '¡Error al subir el fichero!'),
('es-es', 'etemplate', 'you need to select a file first!', '¡Necesita seleccionar un fichero antes!'),
('es-es', 'etemplate', 'you can respond by visiting:', 'Puede responder visitando:'),
('es-es', 'etemplate', 'year', 'Año'),
('es-es', 'etemplate', 'you are not allowed to export more then %1 entries!', '¡No se le permite exportar más de %1 entradas!'),
('es-es', 'etemplate', 'xslt template', 'Plantilla XSLT'),
('es-es', 'etemplate', 'xml-file to import', 'fichero xml a importar'),
('es-es', 'etemplate', 'writes a ''etemplates.inc.php'' file (for application in name) in the setup-dir of the app', 'escribe un fichero ''etemplates.inc.php'' (para la aplicación en Nombre) en el directorio de instalación de la aplicación'),
('es-es', 'etemplate', 'write tables', 'Escribir tablas'),
('es-es', 'etemplate', 'write <app>/setup/tables_current.inc.php', 'Escribir <app>/setup/tables_current.inc.php'),
('es-es', 'etemplate', 'write langfile', 'Escribir fichero de idioma'),
('es-es', 'etemplate', 'width, disabled', 'Ancho, desactivado'),
('es-es', 'etemplate', 'working days', 'días laborales'),
('es-es', 'etemplate', 'width of the table in % or pixels for the table-tag and (optional) div', 'Ancho de la tabla en % o píxeles para la etiqueta y, opcionalmente, elemento div'),
('es-es', 'etemplate', 'width of column (in % or pixel)', 'ancho de la columna (en % o pixel)'),
('es-es', 'etemplate', 'widget copied into clipboard', 'control copiado en el portapapeles'),
('es-es', 'etemplate', 'width', 'Ancho'),
('es-es', 'etemplate', 'width of col (in % or pixel), disable col: [! = not]<value>[=<check>] eg: ''!@data'' disable col if content of data is empty', 'ancho de la columna (en % o píxeles), desactivar columna: [!= no]<valor>[=<comprobar>] ej: ''!@data'' desactiva la columna si el contenido de los datos está vacío'),
('es-es', 'etemplate', 'what happens with overflowing content: visible (default), hidden, scroll, auto (browser decides)', 'Qué hacer con el contenido que se desborda: visible (predeterminado), oculto, desplazar, automático (decide el navegador)'),
('es-es', 'etemplate', 'view this linked entry in its application', 'ver esta entrada enlazada en su aplicación'),
('es-es', 'etemplate', 'weekend', 'fin de semana'),
('es-es', 'etemplate', 'view this etemplate', 'ver esta plantilla'),
('es-es', 'etemplate', 'vertical alignment of row', 'alineación vertical de la fila'),
('es-es', 'etemplate', 'version-number, should be in the form: major.minor.revision.number (eg. 0.9.13.001 all numbers filled up with zeros)', 'número de la versión, en formato mayor.menor.revisión.número (por ej. 0.9.13.001, con todos los números rellenos con ceros)'),
('es-es', 'etemplate', 'version', 'Versión'),
('es-es', 'etemplate', 'vbox', 'VBox'),
('es-es', 'etemplate', 'value has to be at maximum ''%1'' !!!', '¡¡¡El valor tiene que ser como máximo ''%1''!!!'),
('es-es', 'etemplate', 'value has to be at least ''%1'' !!!', '¡¡¡El valor tiene que ser al menos ''%1''!!!'),
('es-es', 'etemplate', 'value', 'Valor'),
('es-es', 'etemplate', 'valign', 'Alineación vertical'),
('es-es', 'etemplate', 'upload', 'Subir a un servidor'),
('es-es', 'etemplate', 'update from version ''%s'' to', 'Actualizar de la versión ''%s'' a'),
('es-es', 'etemplate', 'update a single entry by passing the fields.', 'Actualizar una única entrada pasando los campos'),
('es-es', 'etemplate', 'unlink', 'Desvincular'),
('es-es', 'etemplate', 'unique', 'Único'),
('es-es', 'etemplate', 'type of the field (select label if field should be empty)', 'tipo del campo (seleccionar la etiqueta si el campo tiene que estar vacío)'),
('es-es', 'etemplate', 'type of the column', 'tipo de la columna'),
('es-es', 'etemplate', 'type', 'Tipo'),
('es-es', 'etemplate', 'tree', 'Arbol'),
('es-es', 'etemplate', 'top', 'Superior'),
('es-es', 'etemplate', 'today', 'Hoy'),
('es-es', 'etemplate', 'to start the search', 'para iniciar la búsqueda'),
('es-es', 'etemplate', 'to start the etemplate editor', 'para iniciar el editor de plantillas'),
('es-es', 'etemplate', 'to start the db-tools', 'para iniciar las Herramientas de la base de datos'),
('es-es', 'etemplate', 'to disable: [! = not]<value>[=<check>] eg: ''!@data'' disables if content of data is empty', 'para desactivar: [! = no]<valor>[=<comprobar>] p.ej: ''!@data'' desactiva si el contenido de ''data'' está vacío'),
('es-es', 'etemplate', 'time', 'Hora (completa)'),
('es-es', 'etemplate', 'this text gets displayed if the input-field is empty and has no focus (blur)', 'este texto se muestra si el campo de entrada está vacío y no tiene foco (borroso)'),
('es-es', 'etemplate', 'textarea', 'Area de texto'),
('es-es', 'etemplate', 'text', 'Texto'),
('es-es', 'etemplate', 'template saved', 'Plantilla guardada'),
('es-es', 'etemplate', 'template deleted', 'Plantilla borrada'),
('es-es', 'etemplate', 'template', 'Plantilla'),
('es-es', 'etemplate', 'tabs', 'Pestañas'),
('es-es', 'etemplate', 'tablename', 'Nombre de la tabla'),
('es-es', 'etemplate', 'table unchanged, no write necessary !!!', 'La tabla no se ha modificado, no es necesario guardarla'),
('es-es', 'etemplate', 'tabindex', 'Índice de tabulación'),
('es-es', 'etemplate', 'switch to an other widgets of that container', 'Cambiar a otros controles de ese contenedor'),
('es-es', 'etemplate', 'switch to a parent widget', 'Cambiar a un control superior'),
('es-es', 'etemplate', 'swap with next row', 'intercambiar con la fila siguiente'),
('es-es', 'etemplate', 'swap with next column', 'intercambiar con la siguiente columna'),
('es-es', 'etemplate', 'swap widget with next one', 'intercambiar control con el siguiente'),
('es-es', 'etemplate', 'swap', 'intercambiar'),
('es-es', 'etemplate', 'submitbutton', 'Botón de enviar'),
('es-es', 'etemplate', 'submit form', 'Enviar formulario'),
('es-es', 'etemplate', 'start new search for the above pattern', 'comenzar una nueva búsqueda para el patrón de arriba'),
('es-es', 'etemplate', 'start a new search, cancel this link', 'comienzar una nueva búsqueda, cancelar este enlace'),
('es-es', 'etemplate', 'stack', 'Pila'),
('es-es', 'etemplate', 'shows/displays etemplate for testing, does not save it before', 'Muestra la plantilla para pruebas. NO la guarda antes'),
('es-es', 'etemplate', 'spacing', 'Espaciado'),
('es-es', 'etemplate', 'span', 'Span'),
('es-es', 'etemplate', 'span, class', 'span, clase'),
('es-es', 'etemplate', 'shows / allows you to enter values into the etemplate for testing', 'muestra / permite introducir valores en la plantilla para probar'),
('es-es', 'etemplate', 'showing', 'mostrando'),
('es-es', 'etemplate', 'show values', 'Mostar valores'),
('es-es', 'etemplate', 'show all / cancel filter', 'Mostrar todo / cancelar filtro'),
('es-es', 'etemplate', 'show (no save)', 'Mostrar (sin guardar)'),
('es-es', 'etemplate', 'show', 'Mostrar'),
('es-es', 'etemplate', 'should the form be submitted or any custom javascript be executed', 'Se debe enviar el formulario o ejecutar cualquier javascript personalizado'),
('es-es', 'etemplate', 'sets today as date', 'pone hoy como fecha'),
('es-es', 'etemplate', 'select year', 'Seleccionar año'),
('es-es', 'etemplate', 'selectbox', 'Cuadro de selección'),
('es-es', 'etemplate', 'select which values to show', 'Seleccionar qué valores mostrar'),
('es-es', 'etemplate', 'select which accounts to show', 'seleccionar las cuentas a mostrar'),
('es-es', 'etemplate', 'select this etemplate to delete it', 'Seleccionar esta plantilla para borrarla'),
('es-es', 'etemplate', 'select the indexed columns in their desired order', 'Seleccionar las columnas indexadas en su orden deseado'),
('es-es', 'etemplate', 'select the columns to display in the list', 'Seleccionar columnas a mostrar en la lista'),
('es-es', 'etemplate', 'select state', 'Seleccionar estado'),
('es-es', 'etemplate', 'select priority', 'Seleccionar prioridad'),
('es-es', 'etemplate', 'select percentage', 'Seleccionar porcentaje'),
('es-es', 'etemplate', 'select one ...', 'Seleccionar uno...'),
('es-es', 'etemplate', 'select number', 'Seleccionar número'),
('es-es', 'etemplate', 'select month', 'Seleccionar mes'),
('es-es', 'etemplate', 'select language', 'Seleccionar idioma'),
('es-es', 'etemplate', 'select if content of field should not be translated (label gets always translated)', 'Seleccione si el contenido del campo no debe traducirse (la etiqueta siempre se traduce)'),
('es-es', 'etemplate', 'select entry', 'Seleccionar entrada'),
('es-es', 'etemplate', 'select hour', 'Seleccionar hora del día'),
('es-es', 'etemplate', 'select day of week', 'Seleccionar día de la semana'),
('es-es', 'etemplate', 'select day', 'Seleccionar día'),
('es-es', 'etemplate', 'select country', 'Seleccionar país'),
('es-es', 'etemplate', 'select columns', 'Seleccionar columnas'),
('es-es', 'etemplate', 'select category', 'Seleccionar categoría'),
('es-es', 'etemplate', 'select application to search', 'Seleccionar aplicación para buscar'),
('es-es', 'etemplate', 'select application', 'Seleccionar aplicación'),
('es-es', 'etemplate', 'select an table of the application', 'Seleccione una tabla de la aplicación'),
('es-es', 'etemplate', 'select an entry to link with', 'Seleccionar una entrada para enlazar'),
('es-es', 'etemplate', 'select an application, (*) = uninstalled', 'Seleccionar una aplicación. (*) = sin instalar'),
('es-es', 'etemplate', 'select an application', 'Seleccionar una aplicación'),
('es-es', 'etemplate', 'select an app to search in', 'Seleccionar una aplicación en la que buscar'),
('es-es', 'etemplate', 'select an app first !!!', 'Seleccione una aplicación primero'),
('es-es', 'etemplate', 'select account', 'Seleccionar cuenta'),
('es-es', 'etemplate', 'select access', 'Seleccionar acceso'),
('es-es', 'etemplate', 'select a primary contact, to show in the list', 'Seleccionar un contacto primario, para mostrar en la lista'),
('es-es', 'etemplate', 'select a category', 'seleccionar una categoría'),
('es-es', 'etemplate', 'search', 'Buscar'),
('es-es', 'etemplate', 'scale for float', 'escala para flotante'),
('es-es', 'etemplate', 'scale', 'Escala'),
('es-es', 'etemplate', 'saves the template with given version number and closes the window', 'Guarda la plantilla con el número de versión indicado y cierra la ventana'),
('es-es', 'etemplate', 'saves changes to tables_current.inc.php', 'Guarda los cambios en el fichero tables_current.inc.php'),
('es-es', 'etemplate', 'save the etemplate under the above keys (name, ...), change them for a saveas', 'Guardar la plantilla bajo las claves de arriba (nombre, etc). Cámbielas para Guardar como.'),
('es-es', 'etemplate', 'save the changes made and close the window', 'Guardar los cambios realizados y cerrar la ventana'),
('es-es', 'etemplate', 'save selected columns as default preference for all users.', 'Guardar las columnas seleccionadas como preferencia predeterminada para todos los usuarios.'),
('es-es', 'etemplate', 'right', 'Derecha'),
('es-es', 'etemplate', 'row...', 'Fila...'),
('es-es', 'etemplate', 'returns savely, without deleting', 'Vuelve de forma segura, SIN borrar'),
('es-es', 'etemplate', 'required', 'Requerido'),
('es-es', 'etemplate', 'remove this link (not the entry itself)', 'Borrar este enlace (no la entrada en sí)'),
('es-es', 'etemplate', 'remove row (can not be undone!!!)', 'Eliminar fila (¡NO se puede deshacer!)'),
('es-es', 'etemplate', 'readonly', 'sólo lectura'),
('es-es', 'etemplate', 'read etemplate from database (for the keys above)', 'leer plantilla de la base de datos (para las claves de arriba)'),
('es-es', 'etemplate', 'read a single entry by passing the id and fieldlist.', 'Leer una sola entrada pasando el id y la lista de campos'),
('es-es', 'etemplate', 'read', 'Leer'),
('es-es', 'etemplate', 'read a list of entries.', 'Leer una lista de entradas'),
('es-es', 'etemplate', 'radiobutton', 'Botón tipo radio'),
('es-es', 'etemplate', 'primary key for the table, gets automaticaly indexed', 'Clave primaria para la tabla, se indexa automáticamente'),
('es-es', 'etemplate', 'primary key', 'Clave primaria'),
('es-es', 'etemplate', 'precision', 'Precisión'),
('es-es', 'etemplate', 'popup', 'Ventama emergente'),
('es-es', 'etemplate', 'pm', 'pm'),
('es-es', 'etemplate', 'please enter table-name first !!!', 'Por favor, introduzca el nombre de la tabla primero'),
('es-es', 'etemplate', 'path', 'Ruta'),
('es-es', 'etemplate', 'paste', 'Pegar'),
('es-es', 'etemplate', 'overflow', 'Desbordamiento'),
('es-es', 'etemplate', 'padding', 'Distancia del texto a la celda'),
('es-es', 'etemplate', 'parent is a ''%1'' !!!', 'superior es un ''%1'''),
('es-es', 'etemplate', 'order to navigating by tab key through the form', 'Orden al ir navegando pulsando el tabulador en el formulario'),
('es-es', 'etemplate', 'options', 'Opciones'),
('es-es', 'etemplate', 'optional note about the link', 'nota opcional sobre el enlace'),
('es-es', 'etemplate', 'operator', 'Operador'),
('es-es', 'etemplate', 'only an other version found !!!', 'sólo se encontró otra versión'),
('es-es', 'etemplate', 'open the online help.', 'Abrir la ayuda en línea'),
('es-es', 'etemplate', 'of', 'de'),
('es-es', 'etemplate', 'onchange', 'onChange'),
('es-es', 'etemplate', 'onclick', 'onClick'),
('es-es', 'etemplate', 'number of rows/cols in a v/hbox, cellpadding, cellspacing', 'número de filas o columnas en un recuadro vertical u horizontal, distancia del texto a la celda y espaciado entre celdas'),
('es-es', 'etemplate', 'number of colums the field/cell should span or ''all'' for the remaining columns, css-class name (for the td tag)', 'número de columnas por las que el campo o celda debe distribuirse, o ''todas'' para el resto de columnas, nombre de la clase CSS (para la etiqueta TD)'),
('es-es', 'etemplate', 'nothing matched search criteria !!!', 'No se encontró nada con ese criterio.'),
('es-es', 'etemplate', 'nothing in clipboard to paste !!!', '¡¡No hay nada en el portapapeles para pegar!!'),
('es-es', 'etemplate', 'nothing found - try again !!!', 'No se encontró nada. Inténtelo de nuevo.'),
('es-es', 'etemplate', 'nothing', 'nada'),
('es-es', 'etemplate', 'not null', 'NOT NULL'),
('es-es', 'etemplate', 'no row to swap with !!!', '¡No hay fila con la que intercambiar!'),
('es-es', 'etemplate', 'no matches found', 'No se han encontrado resultados'),
('es-es', 'etemplate', 'no filename given or selected via browse...', 'no se indicó un nombre de fichero ni se seleccióno mediante Examinar...'),
('es-es', 'etemplate', 'no file', 'sin fichero'),
('es-es', 'etemplate', 'no column to swap with !!!', '¡No hay columna con la que intercambiar!'),
('es-es', 'etemplate', 'nextmatch sortheader', 'Cabecera de orden de siguiente coincidencia'),
('es-es', 'etemplate', 'nextmatch header', 'Encabezado de control Nextmatch'),
('es-es', 'etemplate', 'nextmatch filterheader', 'Nextmatch con filtro de cabeceras'),
('es-es', 'etemplate', 'nextmatch custom filterheader', 'Filtro de cabecera personalizado para nextmatch'),
('es-es', 'etemplate', 'nextmatch accountfilter', 'Nextmatch con filtro de cuentas'),
('es-es', 'etemplate', 'nextmatch', 'Control ''Nextmach'' (Siguiente coincidencia)'),
('es-es', 'etemplate', 'newer version ''%1'' exists !!!', '¡Existe una versión ''%1'' más reciente!'),
('es-es', 'etemplate', 'new table created', 'Se ha creado una tabla nueva'),
('es-es', 'etemplate', 'need to be unique in the table and no reseved word from sql, best prefix all with a common 2-digit short for the app, eg. ''et_''', 'Necesita ser única en la tabla y no ser palabra reservada SQL. Intente poner un prefijo común de dos caracteres para la aplicación, por ejemplo ''et_'''),
('es-es', 'etemplate', 'name of the etemplate, should be in form application.function[.subtemplate]', 'Nombre de la plantilla. Debe estar en el formato aplicación.función[.subplantilla]'),
('es-es', 'etemplate', 'name of table to add', 'Nombre de la tabla a añadir'),
('es-es', 'etemplate', 'name of phpgw-template set (e.g. verdilak): '''' = default (will read pref. template, us ''default'' to read default template '''')', 'nombre del conjunto de plantillas (p. ej. verdiak): " = predeterminada (leerá la plantila de preferencias. Use ''default'' para leer la plantilla predeterminada ")'),
('es-es', 'etemplate', 'name of other table where column is a key from', 'Nombre de la otra tabla donde la columna es una clave'),
('es-es', 'etemplate', 'name', 'Nombre'),
('es-es', 'etemplate', 'multicolumn indices', 'Indices multicolumna'),
('es-es', 'etemplate', 'more than 1 match for ''%1''', 'Más de 1 coincidencia para ''%1'''),
('es-es', 'etemplate', 'month', 'Mes'),
('es-es', 'etemplate', 'minutes', 'MInutos'),
('es-es', 'etemplate', 'message ...', 'Mensaje...'),
('es-es', 'etemplate', 'middle', 'Medio'),
('es-es', 'etemplate', 'minute', 'Minuto'),
('es-es', 'etemplate', 'load this template into the editor', 'cargar esta plantilla en el editor'),
('es-es', 'etemplate', 'linkto', 'Enlace a'),
('es-es', 'etemplate', 'linkstring', 'Cadena de enlace'),
('es-es', 'etemplate', 'linklist', 'Lista de enlaces'),
('es-es', 'etemplate', 'linkentry', 'Entrada de enlace'),
('es-es', 'etemplate', 'linkapps', 'Enlace a aplicaciones'),
('es-es', 'etemplate', 'link', 'Enlace'),
('es-es', 'etemplate', 'last', 'Última'),
('es-es', 'etemplate', 'left', 'Izquierda'),
('es-es', 'etemplate', 'length for char+varchar, precisions int: 2, 4, 8 and float: 4, 8', 'longitud para char+varchar. Precisiones int: 2, 4, y float: 4, 8'),
('es-es', 'etemplate', 'language-short (eg. ''en'' for english) for language-dependent template ('''' reads your pref. languages or the default, us ''default', 'Abreviatura del idioma (ej. ''en'' para inglés) para plantillas que dependen del idioma ('''' lee las preferencias del idioma o el predeterminado. Use ''default'' para la plantilla predeterminada.'),
('es-es', 'etemplate', 'lang', 'Idioma'),
('es-es', 'etemplate', 'label:[bold][italic] text:[len][,max] numbers:[min][,[max][,len]] t.area:[rows][,cols] radiob.:value h.rule:[width] templ.:[inde', 'Etiqueta:[bold][italic] Texto:[len][,max] Números:[min][,[max][,len]] Área de texto:[rows][,cols] BotónRadio:valor Línea hor.:[width] Plantilla:[IndexInContent] Selec.:[multiselect] Fecha:[valores: ej. ''A-m-d'']'),
('es-es', 'etemplate', 'key', 'Clave'),
('es-es', 'etemplate', 'label', 'Etiqueta'),
('es-es', 'etemplate', 'integer', 'Entero'),
('es-es', 'etemplate', 'insert new row in front of first line', 'Insertar una nueva fila delante de la primera línea'),
('es-es', 'etemplate', 'insert new column in front of all', 'Insertar nueva columna al principio de todas'),
('es-es', 'etemplate', 'insert new row after this one', 'Insertar una nueva fila después de ésta'),
('es-es', 'etemplate', 'insert new column behind this one', 'Insertar nueva columna detrás de ésta'),
('es-es', 'etemplate', 'insert a widget behind', 'insertar un control detrás'),
('es-es', 'etemplate', 'insert a widget before', 'insertar un control delante'),
('es-es', 'etemplate', 'insert a row below', 'insertar una fila debajo'),
('es-es', 'etemplate', 'insert a column behind', 'insertar una columna detrás'),
('es-es', 'etemplate', 'insert a row above', 'insertar una fila encima'),
('es-es', 'etemplate', 'insert a column before', 'insertar una columna delante'),
('es-es', 'etemplate', 'indexoptions', 'Opciones de indexar'),
('es-es', 'etemplate', 'indexed', 'Indexado'),
('es-es', 'etemplate', 'index/name of returned content (name of the template, link / method for image)', 'Nombre o índice del nombre del contenido devuelto (nombre de la plantilla, enlace o método para una imagen)'),
('es-es', 'etemplate', 'increment version to not overwrite the existing template', 'Incrementar la versión para no sobreescribir la plantilla existente'),
('es-es', 'etemplate', 'import xml', 'Importar XML'),
('es-es', 'etemplate', 'import table-definitions from existing db-table', 'Importar definiciones de tabla de una tabla de una base de datos existente'),
('es-es', 'etemplate', 'import', 'Importar'),
('es-es', 'etemplate', 'import an etemplate from a xml-file', 'Importar una plantilla de un fichero xml'),
('es-es', 'etemplate', 'image', 'Imagen'),
('es-es', 'etemplate', 'if field is disabled an empty table-cell is displayed, for (temporal) removement of a field/cell', 'Si el campo está desactivado, se muestra la celda de la tabla vacía, para borrar temporalmente un campo o celda.'),
('es-es', 'etemplate', 'html', 'Html'),
('es-es', 'etemplate', 'hours', 'horas'),
('es-es', 'etemplate', 'how many entries should the list show', '¿Cuántas entradas se muestran en la lista?'),
('es-es', 'etemplate', 'hour', 'Hora (del día)'),
('es-es', 'etemplate', 'horizontal rule', 'Línea horizontal'),
('es-es', 'etemplate', 'history log', 'Registro histórico'),
('es-es', 'etemplate', 'help', 'Ayuda'),
('es-es', 'etemplate', 'height, disabled', 'Altura, desactivada'),
('es-es', 'etemplate', 'height of the table in % or pixels for the table-tag and (optional) div', 'Altura de la tabla en % o píxeles para la etiqueta de la tabla y, opcionalmente, div.'),
('es-es', 'etemplate', 'height', 'Altura'),
('es-es', 'etemplate', 'height of row (in % or pixel)', 'altura de la fila (en % o pixels)'),
('es-es', 'etemplate', 'height of row (in % or pixel), disable row: [! = not]<value>[=<check>] eg: ''!@data'' disable row if content of data is empty', 'Altura de la fila (en % o píxeles), desactivar fila: [!= no]<valor>[=<check>]. Ejemplo: ''!@data'' desactiva la fila si el contenido de los datos está vacío.'),
('es-es', 'etemplate', 'hbox', 'Cuadro horizontal'),
('es-es', 'etemplate', 'groupbox', 'Recuadro de grupo'),
('es-es', 'etemplate', 'grid row attributes', 'Atributos de la fila de la rejilla'),
('es-es', 'etemplate', 'grid column attributes', 'Atributos de la columna de la rejilla'),
('es-es', 'etemplate', 'go to the previous page of entries', 'Ir a la página anterior de entradas'),
('es-es', 'etemplate', 'grid', 'Rejilla'),
('es-es', 'etemplate', 'go to the next page of entries', 'Ir a la página siguiente de entradas'),
('es-es', 'etemplate', 'go to the last entry', 'Ir a la última entrada'),
('es-es', 'etemplate', 'formatted text (html)', 'Texto con formato (HTML)'),
('es-es', 'etemplate', 'go to the first entry', 'Ir a la primera entrada'),
('es-es', 'etemplate', 'foreign key', 'Clave ajena'),
('es-es', 'etemplate', 'floating point', 'Coma flotante'),
('es-es', 'etemplate', 'fileupload', 'Subir fichero'),
('es-es', 'etemplate', 'first', 'Primero'),
('es-es', 'etemplate', 'file writen', 'Fichero guardado'),
('es-es', 'etemplate', 'file is of wrong type (%1 != %2)!', 'El fichero es de un tipo incorrecto (%1 != %2)'),
('es-es', 'etemplate', 'file contains more than one etemplate, last one is shown !!!', 'El fichero contiene más de una plantilla. Sólo se mostrará la última.'),
('es-es', 'etemplate', 'file ''%1'' not found!', '¡No se ha encontrado el fichero ''%1''!'),
('es-es', 'etemplate', 'file', 'Fichero'),
('es-es', 'etemplate', 'field', 'Campo'),
('es-es', 'etemplate', 'field must not be empty !!!', '¡¡¡El campo no debe estar vacío!!!'),
('es-es', 'etemplate', 'extensions loaded:', 'Extensiones cargadas:'),
('es-es', 'etemplate', 'export the loaded etemplate into a xml-file', 'Exportar la plantilla cargada en un fichero xml'),
('es-es', 'etemplate', 'export xml', 'Exportar XML'),
('es-es', 'etemplate', 'exchange this two columns', 'Intercambiar estas dos columnas'),
('es-es', 'etemplate', 'etemplate tutorial', 'Tutorial de plantillas electrónicas'),
('es-es', 'etemplate', 'exchange this row with the one above', 'Intercambiar esta fila con la de encima'),
('es-es', 'etemplate', 'etemplate reference', 'Referencia de plantillas electrónicas'),
('es-es', 'etemplate', 'etemplate editor', 'Editor de plantillas electrónicas'),
('es-es', 'etemplate', 'etemplate ''%1'' written to ''%2''', 'La plantilla electrónica ''%1'' se ha guardado en ''%2'''),
('es-es', 'etemplate', 'etemplate ''%1'' imported, use save to put it in the database', 'Se ha importado la plantilla electrónica ''%1''. Use Guardar para ponerla en la base de datos'),
('es-es', 'etemplate', 'error: writing file (no write-permission for the webserver) !!!', 'Error: el servidor web no tiene permiso de escritura'),
('es-es', 'etemplate', 'error: while saving !!!', '¡¡Error al guardar!!'),
('es-es', 'etemplate', 'error: webserver is not allowed to write into ''%1'' !!!', 'Error: ¡El servidor no puede escribir en ''%1''!'),
('es-es', 'etemplate', 'error: template not found !!!', 'Error: no se encontró la plantilla'),
('es-es', 'etemplate', 'error deleting %1!', '¡Error al borrar %1!'),
('es-es', 'etemplate', 'error create parent directory %1!', '¡Error al crear el directorio superior %1!'),
('es-es', 'etemplate', 'error copying uploaded file to vfs!', '¡Error al copiar el fichero subido al vfs!'),
('es-es', 'etemplate', 'entry saved', 'La entrada ha sido guardada'),
('es-es', 'etemplate', 'enter the new version number here (has to be > old_version)', 'Introduzca el nuevo número de versión aquí (tiene que ser mayor que la versión anterior)'),
('es-es', 'etemplate', 'enter the new version number here (> old_version), empty for no update-file', 'Introduzca el nuevo número de versión aquí (mayor que versión anterior), vacío para no usar fichero de actualización'),
('es-es', 'etemplate', 'enter filename to upload and attach, use [browse...] to search for it', 'Introduzca el nombre del fichero para subir y adjuntar. Use [Examinar...] Para buscarlo'),
('es-es', 'etemplate', 'enter a search pattern', 'Introduzca un patrón de búsqueda'),
('es-es', 'etemplate', 'enter '''' for an empty default, nothing mean no default', 'Introduzca '''' para un valor predeterminado vacío. Si se deja en blanco, no hay valor predeterminado'),
('es-es', 'etemplate', 'enable javascript onchange submit', 'activar enviar JavaScript onChange'),
('es-es', 'etemplate', 'embeded css styles, eg. ''.red { background: red; }'' (note the ''.'' before the class-name) or ''@import url(...)'' (class names are ', 'Estilos incrustados CSS, por ej. ''.red { background: red; }'' (ver el ''.'' delante del nombre de la clase) o ''@import url(...)'' (los nombres de las clases son globales para toda la página)'),
('es-es', 'etemplate', 'editable templates - show template', 'Plantillas editables - Mostrar plantilla'),
('es-es', 'etemplate', 'editable templates - search', 'Plantillas editables - Buscar'),
('es-es', 'etemplate', 'editable templates - editor', 'Plantillas editables - Editor'),
('es-es', 'etemplate', 'editable templates - delete template', 'Plantillas editables - Borrar plantilla'),
('es-es', 'etemplate', 'editable templates - db-tools', 'Plantillas editables - Herramientas de la base de datos'),
('es-es', 'etemplate', 'edit...', 'Editar...'),
('es-es', 'etemplate', 'edit the etemplate spez. above', 'editar las especificaciones de la plantilla indicada arriba'),
('es-es', 'etemplate', 'edit embeded css styles or of the applications app.css file', 'editar estilos CSS incrustados o el fichero app.css de las aplicaciones'),
('es-es', 'etemplate', 'edit', 'Editar'),
('es-es', 'etemplate', 'drop table', 'Borrar tabla'),
('es-es', 'etemplate', 'dump4setup', 'Volcar para instalación'),
('es-es', 'etemplate', 'duration', 'Duración'),
('es-es', 'etemplate', 'drop a table - this can not be undone', 'Borrar una tabla - NO se puede deshacer'),
('es-es', 'etemplate', 'documentation', 'Documentación'),
('es-es', 'etemplate', 'doesn''t matter', 'no importa'),
('es-es', 'etemplate', 'do you want to save the changes you made in table %s?', '¿Desea guardar los cambios que ha realizado en la tabla %s?'),
('es-es', 'etemplate', 'displayed in the top line of the groupbox (legend)', 'mostrada en la línea superior del recuadro de grupo (leyenda)'),
('es-es', 'etemplate', 'displayed in statusline of browser if input-field gets focus', 'Se muestra en la línea de estado del navegador cuando el cuadro de texto tiene el foco'),
('es-es', 'etemplate', 'deletes this index', 'Borra este índice'),
('es-es', 'etemplate', 'discard changes', 'Descartar cambios'),
('es-es', 'etemplate', 'displayed in front of input or input is inserted for a ''%s'' in the label (label of the submitbutton or image-filename)', 'Se muestra delante de la entrada o la entrada se inserta para un ''%s'' en la etiqueta (la del botón de enviar o el nombre del fichero de la imagen)'),
('es-es', 'etemplate', 'deletes this column', 'Borra esta columna'),
('es-es', 'etemplate', 'deletes the etemplate spez. above', 'Borra la plantilla especificada arriba'),
('es-es', 'etemplate', 'deletes the above spez. etemplate from the database, can not be undone', 'Borra la plantilla especificada de la base de datos. NO se puede deshacer.'),
('es-es', 'etemplate', 'delete whole column (can not be undone!!!)', 'Borra la columna completa (NO se puede deshacer)'),
('es-es', 'etemplate', 'delete this row', 'borrar esta fila'),
('es-es', 'etemplate', 'delete this file', 'Borrar este fichero'),
('es-es', 'etemplate', 'delete this etemplate', 'Borrar esta plantilla'),
('es-es', 'etemplate', 'delete this column', 'borrar esta columna'),
('es-es', 'etemplate', 'delete the spezified etemplate', 'Borrar la plantilla específica'),
('es-es', 'etemplate', 'delete index', 'Borrar índice'),
('es-es', 'etemplate', 'delete column', 'Borrar columna'),
('es-es', 'etemplate', 'delete and cut save the template!', '¡borrar y cortar guardan la plantilla!'),
('es-es', 'etemplate', 'delete all selected etemplates, without further inquiry', 'Borrar TODAS las plantillas seleccionadas, SIN preguntar'),
('es-es', 'etemplate', 'delete a single entry by passing the id.', 'Borrar una entrada simple pasando el id.'),
('es-es', 'etemplate', 'default', 'Predeterminado'),
('es-es', 'etemplate', 'deck', 'Cubierta (interna)'),
('es-es', 'etemplate', 'db-tools', 'Herramientas de la base de datos'),
('es-es', 'etemplate', 'db-specific index options (comma-sep.), eg. mysql(fulltext) or mysql(100) for the indexed length of a col', 'Opciones de índice específicas de la base de datos (separadas por comas), por ej. mysql(FULLTEXT) o mysql(100) para la longitud indexada de una columna'),
('es-es', 'etemplate', 'db ensures that every row has a unique value in that column', 'La base de datos se asegura de que cada fila tiene un valor único en esa columna'),
('es-es', 'etemplate', 'date+time', 'Fecha + hora'),
('es-es', 'etemplate', 'datum', 'Fecha'),
('es-es', 'etemplate', 'day', 'Día'),
('es-es', 'etemplate', 'days', 'días'),
('es-es', 'etemplate', 'cut', 'Cortar'),
('es-es', 'etemplate', 'custom fields', 'campos personalizados'),
('es-es', 'etemplate', 'custom javascript for onchange', 'javascript personalizado para onChange'),
('es-es', 'etemplate', 'custom', 'personalizado'),
('es-es', 'etemplate', 'css-styles', 'Estilos CSS'),
('es-es', 'etemplate', 'css-class name for this row, preset: ''th'' = header, ''row'' = alternating row, ''row_off''+''row_on'' rows', 'El nombre de la clase CSS para esta fila, preestablecido: ''th'' = cabecera, ''row'' = fila alternando filas ''row_off'' y ''row_on''.'),
('es-es', 'etemplate', 'css-class name for this row, preset: ''nmh'' = nextmatch header, ''nmr'' = alternating nm row, ''nmr0''+''nmr1'' nm rows', 'Nombre de la clase CSS para esta fila. Predefinidos: ''nmh'' (NextMatch header), ''nmr'' (Alternating NM row), ''nmr0''+''nmr1'' filas NM'),
('es-es', 'etemplate', 'css properties', 'Propiedades CSS'),
('es-es', 'etemplate', 'css class for the table-tag', 'clase CSS para la etiqueta de la tabla'),
('es-es', 'etemplate', 'creates an english (''en'') langfile from label and helptexts (for application in name)', 'Crea un fichero de idioma en inglés (''en'') a partir de la etiqueta y textos de ayuda (para la aplicación indicada en Nombre)'),
('es-es', 'etemplate', 'contains', 'contiene'),
('es-es', 'etemplate', 'create a new table for the application', 'Crear una tabla nueva para la aplicación'),
('es-es', 'etemplate', 'contact fields', 'Campos de contacto'),
('es-es', 'etemplate', 'contact', 'Contacto'),
('es-es', 'etemplate', 'contact field to show', 'Campo del contacto a mostrar'),
('es-es', 'etemplate', 'confirmation necesary or custom java-script', 'confirmación necesaria o javascript personalizado'),
('es-es', 'etemplate', 'confirm', 'confirmar'),
('es-es', 'etemplate', 'confirmation message or custom javascript (returning true or false)', 'mensaje de confirmación o javascript personalizado (devolviendo ''true'' o ''false'')'),
('es-es', 'etemplate', 'comment', 'Comentario'),
('es-es', 'etemplate', 'columnname', 'Nombre de la columna'),
('es-es', 'etemplate', 'column...', 'Columna...'),
('es-es', 'etemplate', 'closes the window without saving the changes', 'cierra la ventana sin guardar los cambios'),
('es-es', 'etemplate', 'clickable path', 'ruta pulsable'),
('es-es', 'etemplate', 'click to order after that criteria', 'pulse para ordenar después de ese criterio'),
('es-es', 'etemplate', 'click here to upload the file', 'Pulse aquí para subir el fichero al servidor'),
('es-es', 'etemplate', 'click here to start the search', 'Pulse aquí para iniciar la búsqueda'),
('es-es', 'etemplate', 'click here to create the link', 'pulse aquí para crear el enlace'),
('es-es', 'etemplate', 'class, valign', 'clase, posición vertical'),
('es-es', 'etemplate', 'click here to attach the file', 'pulse aquí para adjuntar el fichero'),
('es-es', 'etemplate', 'check if field has to be filled by user', 'marcar si el campo tiene que rellenarlo el usuario'),
('es-es', 'etemplate', 'checkbox', 'Casilla'),
('es-es', 'etemplate', 'class', 'Clase'),
('es-es', 'etemplate', 'check if content should only be displayed but not altered (the content is not send back then!)', 'marcar si desea mostrar el contenido sin modificar (el contenido no es devuelto)'),
('es-es', 'etemplate', 'center', 'Centrar'),
('es-es', 'etemplate', 'changed', 'Modificado'),
('es-es', 'etemplate', 'cells', 'Celdas'),
('es-es', 'etemplate', 'cellspacing for the table-tag', 'Espaciado en la celda para la etiqueta de la tabla'),
('es-es', 'etemplate', 'category', 'Categoría'),
('es-es', 'etemplate', 'category tree', 'Arbol de categorías'),
('es-es', 'etemplate', 'cellpadding for the table-tag', 'Distancia de la etiqueta de la tabla la celda'),
('es-es', 'etemplate', 'cant delete the only row in a grid !!!', '¡No se puede borrar la única fila de una rejilla!'),
('es-es', 'etemplate', 'cant delete the only column of a grid !!!', '¡No se puede borrar la única columna de una rejilla!'),
('es-es', 'etemplate', 'cancel', 'Cancelar'),
('es-es', 'etemplate', 'cant delete a single widget from a grid !!!', '¡No se puede borrar un único control de una rejilla!'),
('es-es', 'etemplate', 'can not have special sql-value null', 'no puede tener el valor especial de SQL NULL'),
('es-es', 'etemplate', 'box', 'Caja'),
('es-es', 'etemplate', 'box...', 'Caja...'),
('es-es', 'etemplate', 'bottom', 'Parte inferior'),
('es-es', 'etemplate', 'blurtext', 'Texto poco claro'),
('es-es', 'etemplate', 'border', 'Borde'),
('es-es', 'etemplate', 'border-line-thickness for the table-tag', 'Grosor de la línea del borde de la etiqueta de la tabla'),
('es-es', 'etemplate', 'baseline', 'Línea base'),
('es-es', 'etemplate', 'attach file', 'Adjuntar fichero'),
('es-es', 'etemplate', 'attach', 'Adjuntar'),
('es-es', 'etemplate', 'as default', 'como predeterminado'),
('es-es', 'etemplate', 'applies the changes to the given version of the template', 'aplica los cambios a la versión dada de la plantilla'),
('es-es', 'etemplate', 'applies the changes made', 'aplica los cambios realizados'),
('es-es', 'etemplate', 'application name needed to write a langfile or dump the etemplates !!!', 'Se necesita el nombre de la aplicación para escribir un fichero de idioma o volcar las plantillas'),
('es-es', 'etemplate', 'application', 'Aplicación'),
('es-es', 'etemplate', 'am', 'am'),
('es-es', 'etemplate', 'an indexed column speeds up querys using that column (cost space on the disk !!!)', 'una columna indexada acelera las consultas que usen esa columna (a costa de espacio en el disco)'),
('es-es', 'etemplate', 'allowed file type: %1', 'Tipo de fichero permitido: %1'),
('es-es', 'etemplate', 'align', 'Alinear'),
('es-es', 'etemplate', 'alignment of label and input-field in table-cell', 'posición de la etiqueta y campo de entrada en la celda de la tabla'),
('es-es', 'etemplate', 'alignment of the v/hbox containing table-cell', 'Posición del recuadro horizontal o vertical que contiene la celda de la tabla'),
('es-es', 'etemplate', 'all days', 'todos los días'),
('es-es', 'etemplate', 'all operations save the template!', '¡Todas las operaciones guardan la plantilla!'),
('es-es', 'etemplate', 'add new', 'Añadir nueva'),
('es-es', 'etemplate', 'add table', 'Añadir tabla'),
('es-es', 'etemplate', 'advanced search', 'Búsqueda avanzada'),
('es-es', 'etemplate', 'add a new multi-column index', 'Añadir un nuevo índice multicolumna'),
('es-es', 'etemplate', 'add column', 'Añadir columna'),
('es-es', 'etemplate', 'add index', 'Añadir índice'),
('es-es', 'etemplate', 'account contactdata', 'Datos de contacto de la cuenta'),
('es-es', 'etemplate', 'add a new column (after the existing ones)', 'Añadir una columna nueva (detrás de las existentes)'),
('es-es', 'etemplate', 'add a new entry of the selected application', 'Añadir una entrada nueva de la aplicación seleccionada'),
('es-es', 'etemplate', 'accesskey', 'Tecla rápida'),
('es-es', 'etemplate', 'accesskeys can also be specified with an & in the label (eg. &name)', 'Las teclas rápidas se pueden especificar también poniendo & en la etiqueta (p. ej. &Nombre)'),
('es-es', 'etemplate', 'a pattern to be searched for', 'un patrón de búsqueda'),
('es-es', 'etemplate', '''%1'' is not allowed (''%2'')!', '¡''%1'' NO está permitido (''%2'')!'),
('es-es', 'etemplate', '''%1'' is not a valid integer !!!', '¡¡¡''%1'' no es un entero válido!!!'),
('es-es', 'etemplate', '''%1'' is not a valid date !!!', '¡¡''%1''  no es una fecha válida!!'),
('es-es', 'etemplate', '''%1'' is not a valid floatingpoint number !!!', '¡¡¡''%1'' no es un número válido de coma flotante!!!'),
('es-es', 'etemplate', '''%1'' is no php file in the egw server root (%2)!', '¡''%1'' no es un fichero php en el directorio raíz de eGroupWare (%2)!'),
('es-es', 'etemplate', '''%1'' has an invalid format !!!', '¡¡¡''%1'' no tiene un formato válido!!!'),
('es-es', 'etemplate', '%s readonly', '%s de sólo lectura'),
('es-es', 'etemplate', '%s notranslation', '%s sin traducción'),
('es-es', 'etemplate', '%s onchange', '%s al cambiar'),
('es-es', 'etemplate', '%s disabled', '%s desactivado'),
('es-es', 'etemplate', '%s needed', '%s es necesario'),
('es-es', 'etemplate', '%1 more...', '%1 más...'),
('es-es', 'etemplate', '%1 new etemplates imported for application ''%2''', '%1 nuevas plantillas importadas para la aplicación ''%2'''),
('es-es', 'etemplate', '%1 matches on search criteria', '%1 coincidencias para la búsqueda solicitada'),
('es-es', 'etemplate', '%1 etemplates deleted', '%1 plantillas borradas'),
('es-es', 'etemplate', '%1 etemplates for application ''%2'' dumped to ''%3''', '%1 plantillas para la aplicación ''%2'' volcadas a ''%3'''),
('es-es', 'etemplate', '%1 etemplates found', '%1 plantillas encontradas'),
('es-es', 'etemplate', '%1 (%2 new) messages writen for application ''%3'' and languages ''%4''', '%1 mensajes(%2 nuevos) escritos para la aplicación ''%3'' e idiomas ''%4'''),
('es-es', 'etemplate', '%1 entries found, select one ...', 'Se han encontrado %1 entradas. Seleccione una...'),
('es-es', 'emailadmin', 'virtual mail manager', 'Gestor de correo virtual'),
('es-es', 'emailadmin', 'you have received a new message on the', 'Ha recibido un mensaje nuevo en la'),
('es-es', 'emailadmin', 'users can define their own identities', 'Los usuarios pueden definir sus propias identidades'),
('es-es', 'emailadmin', 'users can define their own signatures', 'Los usuarios pueden definir sus propias firmas'),
('es-es', 'emailadmin', 'users can utilize these stationery templates', 'Los usuarios pueden utilizar estas plantillas preimpresas'),
('es-es', 'emailadmin', 'users can define their own emailaccounts', 'Los usuarios pueden definir sus propias cuentas de correo'),
('es-es', 'emailadmin', 'username (standard)', 'usuario (estándar)'),
('es-es', 'emailadmin', 'username/password defined by admin', 'Usuario/contraseña definida por el administrador'),
('es-es', 'emailadmin', 'username@domainname (virtual mail manager)', 'usuario@dominio (Gestor de correo virtual)'),
('es-es', 'emailadmin', 'user can edit forwarding address', 'El usuario puede editar la dirección de reenvío'),
('es-es', 'emailadmin', 'use tls encryption', 'Usar cifrado TLS'),
('es-es', 'emailadmin', 'use tls authentication', 'Usar identificación TLS'),
('es-es', 'emailadmin', 'use smtp auth', 'Usar identificación SMTP'),
('es-es', 'emailadmin', 'use predefined username and password defined below', 'Usar el usuario predefinido y las contraseñas definidas debajo'),
('es-es', 'emailadmin', 'use ldap defaults', 'usar las opciones predeterminadas para LDAP'),
('es-es', 'emailadmin', 'update current email address:', 'Actualizar la dirección de correo actual:'),
('es-es', 'emailadmin', 'unsupported action ''%1'' !!!', '¡La acción ''%1'' no está soportada!'),
('es-es', 'emailadmin', 'unknown imap response from the server. server responded: %s', 'Respuesta IMAP desconocida del servidor. El servidor respondió: %s'),
('es-es', 'emailadmin', 'unexpected response from server to login command.', 'Respuesta inesperada del servidor al comando LOGIN.'),
('es-es', 'emailadmin', 'unexpected response from server to digest-md5 response.', 'Respuesta inesperada del servidor a la respuesta Digest-MD5.'),
('es-es', 'emailadmin', 'unexpected response from server to authenticate command.', 'Respuesta inesperada del servidor al comando AUTHENTICATE.'),
('es-es', 'emailadmin', 'to use a tls connection, you must be running a version of php 5.1.0 or higher.', 'Para usar una conexión TLS, debe ejecutar una versión de PHP 5.1.0 o superior.'),
('es-es', 'emailadmin', 'this php has no imap support compiled in!!', '¡¡Esta instalación de PHP no tiene soporte IMAP!!'),
('es-es', 'emailadmin', 'stationery', 'material preimpreso');
INSERT INTO `egw_lang` (`lang`, `app_name`, `message_id`, `content`) VALUES
('es-es', 'emailadmin', 'the imap server does not appear to support the authentication method selected. please contact your system administrator.', 'El servidor IMAP no parece soportar el método de identificación seleccionado. Por favor, póngase en contacto el administrador de su sistema.'),
('es-es', 'emailadmin', 'standard smtp-server', 'Servidor SMTP estándar'),
('es-es', 'emailadmin', 'standard pop3 server', 'Servidor POP3 estándar'),
('es-es', 'emailadmin', 'standard imap server', 'Servidor IMAP estándar'),
('es-es', 'emailadmin', 'standard', 'Estándar'),
('es-es', 'emailadmin', 'smtp-server port', 'Puerto del servidor SMTP'),
('es-es', 'emailadmin', 'smtp-server hostname or ip address', 'Nombre del servidor SMTP o dirección IP'),
('es-es', 'emailadmin', 'smtp settings', 'configuración SMTP'),
('es-es', 'emailadmin', 'smtp options', 'opciones SMTP'),
('es-es', 'emailadmin', 'smtp server name', 'Nombre del servidor SMTP'),
('es-es', 'emailadmin', 'smtp authentication', 'identificación SMTP'),
('es-es', 'emailadmin', 'sieve settings', 'Configuración de Sieve'),
('es-es', 'emailadmin', 'sieve server port', 'Puerto del servidor Sieve'),
('es-es', 'emailadmin', 'sieve server hostname or ip address', 'Nombre del servidor Sieve o dirección IP'),
('es-es', 'emailadmin', 'server settings', 'configuración del servidor'),
('es-es', 'emailadmin', 'send using this email-address', 'enviar usando esta dirección de correo electrónico'),
('es-es', 'emailadmin', 'select type of smtp server', 'Seleccione el tipo de servidor SMTP'),
('es-es', 'emailadmin', 'select type of imap/pop3 server', 'Seleccione el tipo de servidor IMAP/POP3'),
('es-es', 'emailadmin', 'select type of imap server', 'Seleccione el tipo de servidor IMAP'),
('es-es', 'emailadmin', 'reset filter', 'restablecer filtro'),
('es-es', 'emailadmin', 'remove', 'borrar'),
('es-es', 'emailadmin', 'quota size in mbyte', 'tamaño de la cuota en MBytes'),
('es-es', 'emailadmin', 'quota settings', 'Configuración de las cuotas'),
('es-es', 'emailadmin', 'profile name', 'Nombre del perfil'),
('es-es', 'emailadmin', 'qmaildotmode', 'Modo de punto de qmail'),
('es-es', 'emailadmin', 'profile list', 'Lista de perfiles'),
('es-es', 'emailadmin', 'profile is active', 'el perfil está activo'),
('es-es', 'emailadmin', 'profile access rights', 'Derechos de acceso del perfil'),
('es-es', 'emailadmin', 'postfix with ldap', 'Postfix con LDAP'),
('es-es', 'emailadmin', 'pop3 server port', 'Puerto del servidor POP3'),
('es-es', 'emailadmin', 'pop3 server hostname or ip address', 'Nombre del servidor POP3 o dirección IP'),
('es-es', 'emailadmin', 'plesk smtp-server (qmail)', 'Servidor SMTP de Plesk (Qmail)'),
('es-es', 'emailadmin', 'plesk requires passwords to have at least 5 characters and not contain the account-name --> password not set!!!', 'Plesk requiere que las contraseñas tengan al menos 5 caracteres y no contengan el nombre de la cuenta --> NO se establece la contraseña'),
('es-es', 'emailadmin', 'plesk mail script ''%1'' not found !!!', '¡No se encontró el script de correo de Plesk ''%1''!'),
('es-es', 'emailadmin', 'plesk imap server (courier)', 'Servidor IMAP Plesk (Courier)'),
('es-es', 'emailadmin', 'order', 'orden'),
('es-es', 'emailadmin', 'organisation', 'organización'),
('es-es', 'emailadmin', 'plesk can''t rename users --> request ignored', 'Plesk no puede renombrar usuarios --> Se ignora la solicitud'),
('es-es', 'emailadmin', 'no supported imap authentication method could be found.', 'No se pudo encontrar ningún método soportado de identificación IMAP.'),
('es-es', 'emailadmin', 'no message returned.', 'No se devolvió ningún mensaje.'),
('es-es', 'emailadmin', 'no forwarding email address', 'Sin dirección de correo para reenviar'),
('es-es', 'emailadmin', 'no encryption', 'Sin cifrar'),
('es-es', 'emailadmin', 'no alternate email address', 'Sin dirección de correo alternativa'),
('es-es', 'emailadmin', 'name of organisation', 'Nombre de la organización'),
('es-es', 'emailadmin', 'manage stationery templates', 'Gestionar plantillas preimpresas'),
('es-es', 'emailadmin', 'leave empty for no quota', 'Dejar en blanco para no poner cuota'),
('es-es', 'emailadmin', 'ldap settings', 'Configuración LDAP'),
('es-es', 'emailadmin', 'ldap server hostname or ip address', 'Nombre del servidor LDAP o dirección IP'),
('es-es', 'emailadmin', 'ldap server admin password', 'contraseña del administrador del servidor LDAP'),
('es-es', 'emailadmin', 'ldap server admin dn', 'DN del administrador del servidor LDAP'),
('es-es', 'emailadmin', 'ldap server', 'servidor LDAP'),
('es-es', 'emailadmin', 'ldap server accounts dn', 'DN para cuentas del servidor LDAP'),
('es-es', 'emailadmin', 'inactive', 'inactivo'),
('es-es', 'emailadmin', 'ldap basedn', 'basedn para LDAP'),
('es-es', 'emailadmin', 'imap/pop3 server name', 'Nombre del servidor POP/IMAP'),
('es-es', 'emailadmin', 'in mbyte', 'en MBytes'),
('es-es', 'emailadmin', 'imap server port', 'Puerto del servidor IMAP'),
('es-es', 'emailadmin', 'imap server name', 'Nombre del servidor IMAP'),
('es-es', 'emailadmin', 'imap server logintyp', 'Tipo de sesión del servidor IMAP'),
('es-es', 'emailadmin', 'imap server hostname or ip address', 'Servidor IMAP o dirección IP'),
('es-es', 'emailadmin', 'imap server closed the connection. server responded: %s', 'El servidor IMAP cerró la conexión. El servidor respondió: %s'),
('es-es', 'emailadmin', 'imap server closed the connection.', 'El servidor IMAP cerró la conexión.'),
('es-es', 'emailadmin', 'imap c-client version < 2001', 'Versión C-Cliente IMAP < 2001'),
('es-es', 'emailadmin', 'global options', 'opciones globales'),
('es-es', 'emailadmin', 'if using ssl or tls, you must have the php openssl extension loaded.', 'Si usa SSL o TLS, debe tener cargada la extensión openssl de PHP.'),
('es-es', 'emailadmin', 'forward only', 'sólo reenviar'),
('es-es', 'emailadmin', 'forward email''s to', 'reenviar correos a'),
('es-es', 'emailadmin', 'forward also to', 'reenviar también a'),
('es-es', 'emailadmin', 'filtered by group', 'filtrado por grupo'),
('es-es', 'emailadmin', 'filtered by account', 'filtrado por cuenta'),
('es-es', 'emailadmin', 'error saving the entry!!!', 'Error guardando el elemento!!!'),
('es-es', 'emailadmin', 'error connecting to imap server: [%s] %s.', 'Error al conectar con el servidor IMAP: [%s] %s.'),
('es-es', 'emailadmin', 'entry saved', 'La entrada ha sido guardada'),
('es-es', 'emailadmin', 'error connecting to imap server. %s : %s.', 'Error al conectar con el servidor IMAP. %s: %s.'),
('es-es', 'emailadmin', 'enter your default mail domain (from: user@domain)', 'introduzca el dominio predeterminado (de usuario@dominio)'),
('es-es', 'emailadmin', 'encryption settings', 'configuración del cifrado'),
('es-es', 'emailadmin', 'encrypted connection', 'conexión cifrada'),
('es-es', 'emailadmin', 'enable sieve', 'activar Sieve'),
('es-es', 'emailadmin', 'enable cyrus imap server administration', 'activar administración del servidor Cyrus IMAP'),
('es-es', 'emailadmin', 'emailadmin', 'Administración del correo electrónico'),
('es-es', 'emailadmin', 'email address', 'dirección de correo electrónico'),
('es-es', 'emailadmin', 'email account active', 'cuenta de correo electrónico activa'),
('es-es', 'emailadmin', 'edit email settings', 'editar configuración de la cuenta'),
('es-es', 'emailadmin', 'domainname', 'nombre del dominio'),
('es-es', 'emailadmin', 'do you really want to reset the filter for the profile listing', 'Realmente desea restablecer el filtro para la lista de perfiles'),
('es-es', 'emailadmin', 'do you really want to delete this profile', '¿Realmente desea borrar este perfil?'),
('es-es', 'emailadmin', 'cyrus imap server administration', 'Administración del servidor IMAP Cyrus'),
('es-es', 'emailadmin', 'default', 'predeterminada'),
('es-es', 'emailadmin', 'deliver extern', 'entrega externa'),
('es-es', 'emailadmin', 'do not validate certificate', 'No validar el certificado'),
('es-es', 'emailadmin', 'cram-md5 or digest-md5 requires the auth_sasl package to be installed.', 'CRAM-MD5 o DIGEST-MD5 necesitan el paquete Auth_SASL para estar instalado.'),
('es-es', 'emailadmin', 'cyrus imap server', 'Servidor IMAP Cyrus'),
('es-es', 'emailadmin', 'could not complete request. reason given: %s', 'No se pudo completar la solicitud. Motivo: %s'),
('es-es', 'emailadmin', 'could not open secure connection to the imap server. %s : %s.', 'No se pudo abrir una conexión segura con el servidor IMAP. %s: %s.'),
('es-es', 'emailadmin', 'can be used by user', 'puede usarse por el usuario'),
('es-es', 'emailadmin', 'connection dropped by imap server.', 'El servidor IMAP ha interrumpido la conexión'),
('es-es', 'emailadmin', 'bad request: %s', 'Petición errónea: %s'),
('es-es', 'emailadmin', 'can be used by application', 'puede usarse por la aplicación'),
('es-es', 'emailadmin', 'can be used by group', 'puede usarse por el grupo'),
('es-es', 'emailadmin', 'bad login name or password.', 'Nombre de usuario o contraseña incorrectos'),
('es-es', 'emailadmin', 'bad or malformed request. server responded: %s', 'Petición errónea o mal formado. El servidor respondió: %s'),
('es-es', 'emailadmin', 'any user', 'cualquier usuario'),
('es-es', 'emailadmin', 'back to admin/grouplist', 'Volver a Administración/Lista de grupos'),
('es-es', 'emailadmin', 'back to admin/userlist', 'Volver a Administración/Lista de usuarios'),
('es-es', 'emailadmin', 'any application', 'cualquier aplicación'),
('es-es', 'emailadmin', 'any group', 'cualquier grupo'),
('es-es', 'emailadmin', 'advanced options', 'opciones avanzadas'),
('es-es', 'emailadmin', 'alternate email address', 'dirección de correo alternativa'),
('es-es', 'emailadmin', 'admin username', 'usuario del administrador'),
('es-es', 'emailadmin', 'admin password', 'contraseña del administrador'),
('es-es', 'emailadmin', 'add profile', 'Añadir perfil'),
('es-es', 'emailadmin', 'admin dn', 'dn del administrador'),
('es-es', 'emailadmin', 'add new email address:', 'Añadir nueva dirección de correo'),
('es-es', 'emailadmin', 'active templates', 'Plantillas activas'),
('es-es', 'emailadmin', 'account ''%1'' not found !!!', '¡No se encontró la cuenta ''%1''!'),
('es-es', 'preferences', 'your preferences', 'Sus preferencias'),
('es-es', 'preferences', 'your current theme is: %1', 'Su actual tema es: %1'),
('es-es', 'preferences', 'you must enter a password', 'Debe introducir una contraseña'),
('es-es', 'preferences', 'you do not have permission to set acl''s in this mode!', 'Usted no tiene permisos para poner ACLs en este modo'),
('es-es', 'preferences', 'you can show the applications as icons only, icons with app-name or both.', 'Puede ver las aplicaciones como iconos sólo, iconos con el nombre, o ambos.'),
('es-es', 'preferences', 'write prefs for the specified application.', 'Escribir las preferencias para la aplicación especificada.'),
('es-es', 'preferences', 'which currency symbol or name should be used in egroupware.', 'Símbolo de moneda o nombre que debe usar eGroupWare'),
('es-es', 'preferences', 'when you say yes the home and logout buttons are presented as applications in the main top applcation bar.', 'Si se indica Sí, los botones de Inicio y Salir se presentan como aplicaciones en la barra de aplicaciones principal.'),
('es-es', 'preferences', 'time format', 'Formato de la hora'),
('es-es', 'preferences', 'use default', 'Usar predeterminado'),
('es-es', 'preferences', 'users choice', 'Elegido por el usuario'),
('es-es', 'preferences', 'theme (colors/fonts) selection', 'Selección de temas (colores/tipos de letra)'),
('es-es', 'preferences', 'this server is located in the %1 timezone', 'Este servidor se encuentra en la zona horaria %1'),
('es-es', 'preferences', 'thousands separator is only used for displaying and not for editing numbers.', 'El separador de miles se usa sólo para mostrar y no para editar números.'),
('es-es', 'preferences', 'the two passwords are not the same', 'Las dos contraseñas son distintas'),
('es-es', 'preferences', 'the two last options limit the visibility of other users. therefore they should be forced and apply not to administrators.', 'Las últimas dos opciones limitan la visibilidad de otros usuarios. Están para forzarse, pero No se aplican a los administradores.'),
('es-es', 'preferences', 'the selectbox shows all available users (can be very slow on big installs with many users). the popup can search users by name o', 'El cuadro de selección muestra todos los usuarios disponibles (puede ser muy lento en instalaciones grandes con muchos usuarios). La ventana emergente puede buscar usuarios por nombre o por grupo. Las dos últimas opciones limitan la visibilidad de otros usuarios. Por tanto, deben ser forzadas y aplicar NO a los administradores.'),
('es-es', 'preferences', 'the old password is not correct', 'La contraseña anterior no es correcta'),
('es-es', 'preferences', 'the default application will be started when you enter egroupware or click on the homepage icon.<br>you can also have more than ', 'La aplicación predeterminada se mostará al iniciar la sesión en eGroupWare o pulsar en el icono de la página de inicio.<br>También puede tener más de una aplicación en la página de inicio, si no elige una aplicación específica aquí, configurándolo en las preferencias de cada aplicación.'),
('es-es', 'preferences', 'text only', 'Sólo texto'),
('es-es', 'preferences', 'silver theme', 'Tema Silver'),
('es-es', 'preferences', 'show text on navigation icons', 'Mostrar descripción sobre los iconos'),
('es-es', 'preferences', 'show number of current users', 'Mostrar el número actual de usuarios'),
('es-es', 'preferences', 'show helpmessages by default', 'Mostrar mensajes de ayuda por defecto'),
('es-es', 'preferences', 'show navigation bar as', 'Mostrar la barra de navegación como'),
('es-es', 'preferences', 'should the number of active sessions be displayed for you all the time.', '¿Mostrar el número de sesiones activas todo el tiempo?'),
('es-es', 'preferences', 'should this help messages shown up always, when you enter the preferences or only on request.', '¿Mostrar estos mensajes de ayuda al modificar preferencias, o sólo cuando lo solicite?'),
('es-es', 'preferences', 'set this to your convenience. for security reasons, you might not want to show your loginname in public.', 'Ponga esto a su gusto. Por razones de seguridad, puede no querer mostrar su usuario en público.'),
('es-es', 'preferences', 'selectbox with primary group and search', 'Cuadro de selección con grupo principal y búsqueda'),
('es-es', 'preferences', 'selectbox', 'Cuadro de selección'),
('es-es', 'preferences', 'select the theme (visualization) of the rich text editor.', 'Seleccionar el tema (visualización) del editor de texto enriquecido.'),
('es-es', 'preferences', 'select the language of the spellchecker integrated into the rich text editor.', 'Seleccionar el idioma del corrector ortográfico en el editor de texto enriquecido.'),
('es-es', 'preferences', 'select the language of texts and messages within egroupware.<br>some languages may not contain all messages, in that case you wi', 'Seleccione el idioma de los textos y los mensajes en eGroupWare.<br>Algunos idiomas puede que no tengan todos los mensajes, en cuyo caso verá el mensaje en inglés.'),
('es-es', 'preferences', 'select one', 'Seleccione uno'),
('es-es', 'preferences', 'select how the rich text editor will generate the enter (linebreak) tag.', 'Seleccionar cómo el editor de texto enriquecido generará la etiqueta de enter (salto de línea).'),
('es-es', 'preferences', 'select different theme', 'Seleccione un tema diferente'),
('es-es', 'preferences', 'rich text editor theme', 'Tema del editor de texto enriquecido'),
('es-es', 'preferences', 'rich text editor enter mode', 'Modo de edición del editor de texto enriquecido'),
('es-es', 'preferences', 'read prefs for the specified application.', 'Leer las preferencias para la aplicación especificada.'),
('es-es', 'preferences', 'please, select a new theme', 'Por favor, seleccione un nuevo tema'),
('es-es', 'preferences', 'popup with search', 'Ventana emergente con búsqueda'),
('es-es', 'preferences', 're-enter your password', 'Confirme su contraseña'),
('es-es', 'preferences', 'please select your timezone.', 'Por favor, seleccione su zona horaria.'),
('es-es', 'preferences', 'please select timezones, you want to be able to quickly switch between. switch is not shown, if less then two are selected.', 'Por favor, seleccione las zonas horarias entre las que desee cambiar répidamente. El cambio NO se muestra si se seleccionan menos de dos.'),
('es-es', 'preferences', 'permanent time zone selection', 'Selección permanente de zona horaria'),
('es-es', 'preferences', 'p: paragraph', 'p: Párrafo'),
('es-es', 'preferences', 'office 2003 theme', 'Tema Office 2003'),
('es-es', 'preferences', 'number format', 'Formato de los números'),
('es-es', 'preferences', 'note: this feature does *not* change your email password. this will need to be done manually.', 'Nota: Esta opción *no* cambia la contraseña de su correo electrónico. Esto deberá hacerse manualmente.'),
('es-es', 'preferences', 'note: this feature does *not* change your email password. this will', 'nota: Esta característica *no* cambia su contraseña de coreo.'),
('es-es', 'preferences', 'no default', 'Sin valor predeterminado'),
('es-es', 'preferences', 'max number of icons in navbar', 'Número máximo de iconos en la barra de navegación'),
('es-es', 'preferences', 'max matches per page', 'Número máximo de coincidencias por página'),
('es-es', 'preferences', 'language', 'Idioma'),
('es-es', 'preferences', 'interface/template selection', 'Selección de interfaz/plantilla'),
('es-es', 'preferences', 'in which country are you. this is used to set certain defaults for you.', 'País en el que se encuentra. Se utiliza para configurar ciertos detalles.'),
('es-es', 'preferences', 'images linked to an entry can be displayed as thumbnails.  you can turn this off to speed up page display.', 'Las imágenes vinculadas a una entrada pueden mostrarse como miniaturas. Puede desactivar este comportamiento para acelerar la carga de la página.'),
('es-es', 'preferences', 'icons only', 'Sólo iconos'),
('es-es', 'preferences', 'icons and text', 'Iconos y texto'),
('es-es', 'preferences', 'icon', 'Icono'),
('es-es', 'preferences', 'how should egroupware display dates for you.', 'Forma de mostrar las fechas'),
('es-es', 'preferences', 'how many icons should be shown in the navbar (top of the page). additional icons go into a kind of pulldown menu, callable by th', 'Número de iconos a mostrar en la barra de navegación en la parte superior de la página. Los iconos adicionales van en un menú desplegable, en la parte derecha de la barra de navegación.'),
('es-es', 'preferences', 'how many hours are you in front or after the timezone of the server.<br>if you are in the same time zone as the server select 0 ', 'Cuántas horas va por delante o por detrás de la zona horaria del servidor.<br>Si está en la misma zona horaria, seleccione 0 horas; si no, seleccione su fecha y hora local.'),
('es-es', 'preferences', 'how do you like to select accounts', '¿Cómo desea seleccionar las cuentas?'),
('es-es', 'preferences', 'how do you like to display accounts', '¿Cómo desea ver las cuentas?'),
('es-es', 'preferences', 'hours', 'horas'),
('es-es', 'preferences', 'help off', 'Desactivar ayuda'),
('es-es', 'preferences', 'forced preferences', 'Preferencias forzadas'),
('es-es', 'preferences', 'failed to change password.  please contact your administrator.', 'Fallo al cambiar la contraseña. Por favor, póngase en contacto con su administrador.'),
('es-es', 'preferences', 'enter your new password', 'Introduzca la contraseña nueva'),
('es-es', 'preferences', 'enter your old password', 'Introduzca la contraseña anterior'),
('es-es', 'preferences', 'enables or disables dropdown selectbox resizing for ie in all applications. if the browser is not an ie , the option will not ap', 'Activa o desactiva el menú desplegable redimensionable para IE en todas las aplicaciones. Si el navegador no es IE, la opción no se aplica. Esta característica es experimental en este instante.'),
('es-es', 'preferences', 'enables or disables drag and drop functions in all applications. if the browser does not support drag and drop, it will be disab', 'Activa o desactiva las funciones de arrastrar y soltar en todas las aplicaciones. Si el navegador no soporta arrastrar y soltar, se desactivará automáticamente. Esta característica es experimental en este instante.'),
('es-es', 'preferences', 'enable selectbox dropdown resizing for ie (experimental)', 'Activar el menú desplegable redimensionable para IE (experimental)'),
('es-es', 'preferences', 'enable drag and drop functionality (experimental)', 'Activar la funcionalidad de arrastrar y soltar (experimental)'),
('es-es', 'preferences', 'edit custom fields', 'Editar campos personalizados'),
('es-es', 'preferences', 'div', 'div'),
('es-es', 'preferences', 'do you prefer a 24 hour time format, or a 12 hour one with am/pm attached.', '¿Prefiere el formato de 24 horas o el de 12 con am/pm detrás?'),
('es-es', 'preferences', 'display thumbnails for linked images', 'Mostrar miniaturas para las imágenes vinculadas'),
('es-es', 'preferences', 'description can not exceed 255 characters in length !', 'La descripción no puede exceder de 255 caracteres'),
('es-es', 'preferences', 'delete categories', 'Borrar categorías'),
('es-es', 'preferences', 'default preferences', 'Preferencias predeterminadas'),
('es-es', 'preferences', 'default theme', 'Tema predeterminado'),
('es-es', 'preferences', 'default', 'predeterminado'),
('es-es', 'preferences', 'default application', 'Aplicación predeterminada'),
('es-es', 'preferences', 'click to select a color', 'Pulse para seleccionar un color'),
('es-es', 'preferences', 'color', 'Color'),
('es-es', 'preferences', 'country', 'País'),
('es-es', 'preferences', 'date format', 'Formato de la fecha'),
('es-es', 'preferences', 'change your profile', 'Cambiar su perfil'),
('es-es', 'preferences', 'change your settings', 'Cambiar su configuración'),
('es-es', 'preferences', 'change your password', 'Cambiar su contraseña'),
('es-es', 'preferences', 'change a user password by passing the old and new passwords.  returns true on success, false on failure.', 'Cambia la contraseña de un usuario pasando la contraseña anterior y la nueva. Si es correcto, devuelve TRUE, y si no, FALSE.'),
('es-es', 'preferences', 'are you sure you want to delete this category ?', '¿Seguro que desea borrar esta categoría?'),
('es-es', 'preferences', 'a theme defines the colors and fonts used by the template.', 'Un tema define los colores y los tipos de letra usados en la plantilla'),
('es-es', 'preferences', 'acl grants have been updated', 'Los permisos de la LCA se han actualizado'),
('es-es', 'preferences', 'any listing in egw will show you this number of entries or lines per page.<br>to many slow down the page display, to less will c', 'Cualquier listado en eGW le mostrará este número de entradas o líneas por página.<br>Demasiadas ralentizan la página, demasiado pocas pueden ser malo.'),
('es-es', 'preferences', 'a template defines the layout of egroupware and it contains icons for each application.', 'Una plantilla define el formato de eGroupWare y contiene iconos para cada aplicación.'),
('es-es', 'preferences', '12 hour', '12 horas'),
('es-es', 'preferences', '24 hour', '24 horas'),
('es-es', 'preferences', '%1 hours', '%1 horas'),
('es-es', 'preferences', '%1 - preferences', '%1 - Preferencias'),
('es-es', 'preferences', 'manage emailfilter / vacation', 'Administrar filtros de correo / Vacaciones'),
('es-es', 'preferences', 'sf project tracker preferences', 'Preferencias del proyecto de seguimiento SF'),
('es-es', 'developer_tools', 'you need to set your preferences for this app', 'Necesita establecer las preferencias para esta aplicación'),
('es-es', 'developer_tools', 'you must select a project', 'Debe seleccionar un proyecto'),
('es-es', 'developer_tools', 'write to lang table', 'Escribir en la tabla de idioma'),
('es-es', 'developer_tools', 'writing langfile for ''%1'' ...', 'Escribiendo fichero de idioma para "%1"'),
('es-es', 'developer_tools', 'you have to [save] every manual change in the above fields, before you can go to the next step !!!', '¡¡Tiene que [Grabar] todos los cambios realizados en los campos de arriba, antes de ir al siguiente paso!!'),
('es-es', 'developer_tools', 'you must a version', 'Debe introducir una versión'),
('es-es', 'developer_tools', 'you must enter a change', 'Debe introducir un cambio'),
('es-es', 'developer_tools', 'write the lang-file to the apps setup-dir', 'Escribir el fichero de idioma en el directorio de configuración de aplicaciones'),
('es-es', 'developer_tools', 'write', 'Escribir'),
('es-es', 'developer_tools', 'version', 'Versión'),
('es-es', 'developer_tools', 'updates the translations of both lang-files in your database, so you can verify your work immediately', 'Actualiza las traducciones ambos ficheros de idiomas en la base de datos, para poder comprobar los resultados inmediatamente'),
('es-es', 'developer_tools', 'translate', 'Traducir'),
('es-es', 'developer_tools', 'translation', 'Traducción'),
('es-es', 'developer_tools', 'translation of phrase', 'Traducción de la frase'),
('es-es', 'developer_tools', 'update', 'Actualizar'),
('es-es', 'developer_tools', 'update database', 'Actualizar base de datos'),
('es-es', 'developer_tools', 'title', 'Título'),
('es-es', 'developer_tools', 'step', 'Paso'),
('es-es', 'developer_tools', 'submit', 'Enviar'),
('es-es', 'developer_tools', 'target language', 'Idioma de destino'),
('es-es', 'developer_tools', 'sourceforge project tracker preferences', 'Preferencias del proyecto de seguimiento en Sourceforge'),
('es-es', 'developer_tools', 'sourceforge project tracker', 'Proyecto de seguimiento en Sourceforge'),
('es-es', 'developer_tools', 'sf project tracker', 'Proyecto de seguimiento SF'),
('es-es', 'developer_tools', 'source language', 'Idioma de origen'),
('es-es', 'developer_tools', 'sourceforge project id', 'ID del proyecto en Sourceforge'),
('es-es', 'developer_tools', 'select project', 'Seleccionar proyecto'),
('es-es', 'developer_tools', 'searches the source-code for phrases not in the actual source-lang-file', 'Busca en el código fuente frases que no están en el fichero de idioma actual'),
('es-es', 'developer_tools', 'search new phrases', 'Buscar frases nuevas'),
('es-es', 'developer_tools', 'search for missing phrase', 'Buscar una frase que falta'),
('es-es', 'developer_tools', 'search changelogs', 'Buscar en el registro de cambios'),
('es-es', 'developer_tools', 'revert', 'Volver'),
('es-es', 'developer_tools', 'saves the added/changed translations to an internal buffer, to be used in further steps', 'Guarda las traducciones añadidas o modificadas a un búfer interno, para usar en los pasos siguientes'),
('es-es', 'developer_tools', 'returns to the application list, not saved changes get lost !!!', 'Vuelve a la lista de aplicaciones. Se perderán los cambios que se hayan guardado.'),
('es-es', 'developer_tools', 'removed %1 phrases from the target language, as they are not present in the source language!', 'Se han borrado %1 frases del idioma de destino, ya que ya no están presentes en el idioma de origen'),
('es-es', 'developer_tools', 'remove', 'Borrar'),
('es-es', 'developer_tools', 'project', 'Proyecto'),
('es-es', 'developer_tools', 'preferences have been updated', 'Se han actualizado las preferencias'),
('es-es', 'developer_tools', 'preferences', 'Preferencias'),
('es-es', 'developer_tools', 'phrase in english (or empty if identical)', 'Frase en inglés (o en blanco si son idénticas)'),
('es-es', 'developer_tools', 'original', 'Original'),
('es-es', 'developer_tools', 'ok', 'Aceptar'),
('es-es', 'developer_tools', 'message', 'Mensaje'),
('es-es', 'developer_tools', 'message_id in english', 'id del mensaje en inglés'),
('es-es', 'developer_tools', 'no file', 'sin fichero'),
('es-es', 'developer_tools', 'loading target langfile', 'Cargando fichero de idioma de destino'),
('es-es', 'developer_tools', 'loads the selected lang-files, to be modified in the next steps', 'Carga los ficheros de idioma seleccionados, para modificar en los pasos posteriores'),
('es-es', 'developer_tools', 'load', 'Cargar'),
('es-es', 'developer_tools', 'loading source langfile', 'Cargando fichero de idioma de origen'),
('es-es', 'developer_tools', 'list changelogs', 'Lista del registro de cambios'),
('es-es', 'developer_tools', 'language file management', 'Gestión de ficheros de idioma'),
('es-es', 'developer_tools', 'edit', 'Editar'),
('es-es', 'developer_tools', 'installed applications', 'Aplicaciones instaladas'),
('es-es', 'developer_tools', 'download the lang-file to be saved in the apps setup-dir', 'Descargar el fichero de idioma que hay que guardar en el directorio de configuración de las aplicaciones'),
('es-es', 'developer_tools', 'download', 'Descargar'),
('es-es', 'developer_tools', 'diary', 'Diario'),
('es-es', 'developer_tools', 'done', 'Hecho'),
('es-es', 'developer_tools', 'developer tools - preferences', 'Herramientas de desarrollo - Preferencias'),
('es-es', 'developer_tools', 'create sgml file', 'Crear fichero SGML'),
('es-es', 'developer_tools', 'create new language file', 'Crea un nuevo fichero de idioma'),
('es-es', 'developer_tools', 'clears the internal buffer, all changes made sofar are lost', 'Vacía el búfer interno, perdiendo los cambios realizados'),
('es-es', 'developer_tools', 'changelogs', 'Registros de cambios'),
('es-es', 'developer_tools', 'changelog entry has been added', 'Se ha añadido una entrada de registro de cambios'),
('es-es', 'developer_tools', 'change', 'Cambiar'),
('es-es', 'developer_tools', 'cancel', 'Cancelar'),
('es-es', 'developer_tools', 'allows you to add a single phrase', 'Le permite añadir una sola frase'),
('es-es', 'developer_tools', 'application', 'Aplicación'),
('es-es', 'developer_tools', 'back', 'Volver'),
('es-es', 'developer_tools', 'add phrase', 'añadir frase'),
('es-es', 'developer_tools', 'add more', 'Añadir más'),
('es-es', 'developer_tools', 'add new phrase', 'Añadir frase nueva'),
('es-es', 'developer_tools', 'add change', 'Añadir cambio'),
('es-es', 'developer_tools', 'add', 'añadir'),
('es-es', 'calendar', 'your meeting that had been scheduled for %1 has been rescheduled to %2', 'Su reunión programada para %1 ha sido reprogramada para %2'),
('es-es', 'calendar', 'your meeting scheduled for %1 has been canceled', 'Su reunión programada para %1 ha sido cancelada'),
('es-es', 'calendar', 'you requested more than available for the selected resource:', 'Ha solicitado más de lo que tiene disponible al recurso seleccionado'),
('es-es', 'calendar', 'you need to set either a day or a occurence !!!', 'Debe indicar un día o una ocurrencia'),
('es-es', 'calendar', 'you need to select an ical file first', 'Necesita seleccionar antes un fichero iCal'),
('es-es', 'calendar', 'you need to select an account, contact or resource first!', '¡Necesita seleccionar antes una cuenta, contacto o recurso!'),
('es-es', 'calendar', 'you have been disinvited from the meeting at %1', 'Ha dejado de estar invitado a la reunión de %1'),
('es-es', 'calendar', 'you have a meeting scheduled for %1', 'Ud. tiene una reunión programada para %1'),
('es-es', 'calendar', 'you do not have permission to read this record!', '¡No tiene permiso para leer este registro!'),
('es-es', 'calendar', 'you can only set a year or a occurence !!!', 'Sólo puede poner un año o una ocurrencia'),
('es-es', 'calendar', 'you can either set a year or a occurence, not both !!!', 'Puede poner un año o una ocurrencia, pero no ambos.'),
('es-es', 'calendar', 'yearview', 'Vista anual'),
('es-es', 'calendar', 'you are not allowed to book the resource selected:', 'No tiene permiso para reservar el recurso seleccionado:'),
('es-es', 'calendar', 'yearly', 'Anual'),
('es-es', 'calendar', 'workdays', 'días laborables'),
('es-es', 'calendar', 'work day ends on', 'Los días laborables acaban en'),
('es-es', 'calendar', 'work day starts on', 'Los días laborables empiezan en'),
('es-es', 'calendar', 'workday', 'día laborable'),
('es-es', 'calendar', 'whole day', 'todo el día'),
('es-es', 'calendar', 'wk', 'Semana'),
('es-es', 'calendar', 'which of calendar view do you want to see, when you start calendar ?', '¿Qué vista del calendario quiere ver cuando entra al calendario?'),
('es-es', 'calendar', 'which events do you want to see when you enter the calendar.', '¿Qué eventos quiere ver al entrar al calendario?'),
('es-es', 'calendar', 'weekview without weekend', 'Vista semanal sin fin de semana'),
('es-es', 'calendar', 'weekview with weekend', 'vista semanal con fin de semana'),
('es-es', 'calendar', 'weekview', 'Vista semanal'),
('es-es', 'calendar', 'weeks in multiple week view', 'Semanas en la vista de múltiples semanas'),
('es-es', 'calendar', 'weekly', 'Semanal'),
('es-es', 'calendar', 'weekdays to use in search', 'Días laborales a usar en la búsqueda'),
('es-es', 'calendar', 'weekdays', 'Días laborales'),
('es-es', 'calendar', 'weekday starts on', 'La semana empieza en'),
('es-es', 'calendar', 'weekday', 'día entre semana'),
('es-es', 'calendar', 'week', 'Semana'),
('es-es', 'calendar', 'wed', 'Mié'),
('es-es', 'calendar', 'views with fixed time intervals', 'Vistas con intervalos de tiempo fijos'),
('es-es', 'calendar', 'user or group', 'Usuario o grupo'),
('es-es', 'calendar', 'view exception', 'Ver excepción'),
('es-es', 'calendar', 'view series', 'Ver serie'),
('es-es', 'calendar', 'view this event', 'Ver este evento'),
('es-es', 'calendar', 'use this timezone to export calendar data.', 'Usar esta zona horaria para exportar datos de calendario.'),
('es-es', 'calendar', 'use the selected time and close the popup', 'usar la hora seleccionada y cerrar la ventana'),
('es-es', 'calendar', 'use end date', 'Usar fecha final'),
('es-es', 'calendar', 'updated', 'Actualizado'),
('es-es', 'calendar', 'update timezones', 'Actualizar zonas horarias'),
('es-es', 'calendar', 'tue', 'Mar'),
('es-es', 'calendar', 'two weeks', 'dos semanas'),
('es-es', 'calendar', 'translation', 'Traducción'),
('es-es', 'calendar', 'tomorrow', 'Mañana'),
('es-es', 'calendar', 'to-fullname', 'Para nombre completo'),
('es-es', 'calendar', 'to-lastname', 'Para apellido'),
('es-es', 'calendar', 'to-firstname', 'Para nombre'),
('es-es', 'calendar', 'to many might exceed your execution-time-limit', 'límite de ejecución'),
('es-es', 'calendar', 'title of the event', 'Título del evento'),
('es-es', 'calendar', 'timezones updated to version %1 (%2 records updated).', 'Las zonas horarias se han actualizado a la versión %1 (%2 registros actualizados)'),
('es-es', 'calendar', 'timezone of event exports', 'Zona horaria de los eventos exportados'),
('es-es', 'calendar', 'timezone in which recurrences have identical time', 'Zona horaria en que las repeticiones tienen la hora idéntica'),
('es-es', 'calendar', 'timezone', 'Zona horaria'),
('es-es', 'calendar', 'timeframe to search', 'Margen de tiempo para buscar'),
('es-es', 'calendar', 'til', 'hasta'),
('es-es', 'calendar', 'timeframe', 'Margen de tiempo'),
('es-es', 'calendar', 'three month', 'tres meses'),
('es-es', 'calendar', 'thu', 'Jue'),
('es-es', 'calendar', 'this module displays the current month', 'Este módulo muestra el mes actual'),
('es-es', 'calendar', 'this message is sent when you set an alarm for a certain event. include all information you might need.', 'Este mensaje se envía cuando pone una alarma para un evento concreto. Incluya toda la información necesaria.'),
('es-es', 'calendar', 'this message is sent when you accept, tentative accept or reject an event.', 'Este mensaje se envía cuando acepta, acepta temporalmente o rechaza un evento.'),
('es-es', 'calendar', 'this message is sent to every participant of events you own, who has requested notifcations about new events.<br>you can use cer', 'Este mensaje se envía a cada participante de los eventos de los que usted es el dueño, quien ha solicitado notificaciones sobre nuevos eventos.<br>Puede usar ciertas variables a las que sustituyen los datos del evento. La primera línea es el asunto del correo electrónico.'),
('es-es', 'calendar', 'this message is sent to disinvited participants.', 'Este mensaje se envía a los participantes que dejan de estar invitados'),
('es-es', 'calendar', 'this message is sent for modified or moved events.', 'Este mensaje se envía al modificar o mover eventos.'),
('es-es', 'calendar', 'this message is sent for canceled or deleted events.', 'Este mensaje se envía cuando un evento se borra o se cancela.'),
('es-es', 'calendar', 'this group that is preselected when you enter the planner. you can change it in the planner anytime you want.', 'Este grupo es el predeterminado al entrar en el planificador. Puede cambiarlo en el planificador cuando quiera.'),
('es-es', 'calendar', 'this event is part of a series', 'Este evento es parte de una serie'),
('es-es', 'calendar', 'this entry is opened by user:', 'Esta entrada se abrió dentro del intervalo de tiempo configurado por el usuario:'),
('es-es', 'calendar', 'this entry is currently opened by %1!', '¡Esta entrada está abierta actualmente por %1!'),
('es-es', 'calendar', 'this defines the end of your dayview. events after this time, are shown below the dayview.', 'Esto define el final de la vista del día. Los eventos posteriores a esta hora se muestran debajo de la vista del día.'),
('es-es', 'calendar', 'this defines the start of your dayview. events before this time, are shown above the dayview.<br>this time is also used as a def', 'Esto define el inicio de la vista del día. Los eventos anteriores a esta hora se muestran encima de la vista del día.<br>Esta hora se usa también como hora predeterminada para nuevos eventos.'),
('es-es', 'calendar', 'this day is shown as first day in the week or month view.', 'Este día se mostrará como el primer día en las vistas de semana o de mes.'),
('es-es', 'calendar', 'the resource you selected is already overbooked:', 'El recurso que ha seleccionado ya está reservado:'),
('es-es', 'calendar', 'test import (show importable records <u>only</u> in browser)', 'Probar Importar (mostrar <u>solamente</u> registros importables en el navegador)'),
('es-es', 'calendar', 'tentative', 'Provisional'),
('es-es', 'calendar', 'sun', 'Dom'),
('es-es', 'calendar', 'submit to repository', 'Enviar al repositorio'),
('es-es', 'calendar', 'status of participants set to unknown because of missing category rights', 'El estado de los participantes se ha establecido a desconocido debido a la fata de derechos en la categoría'),
('es-es', 'calendar', 'status for this particular day changed', 'El estado para este día en particular se ha modificado'),
('es-es', 'calendar', 'status changed', 'Estado modificado'),
('es-es', 'calendar', 'status for all future scheduled days changed', 'El estado para las planificaciones futuras se ha modificado'),
('es-es', 'calendar', 'startdate of the export', 'Fecha de inicio de la exportación'),
('es-es', 'calendar', 'startrecord', 'Registro inicial'),
('es-es', 'calendar', 'startdate and -time of the search', 'Fecha de inicio y -hora de la búsqueda'),
('es-es', 'calendar', 'startdate / -time', 'Fecha de incio / -hora'),
('es-es', 'calendar', 'start date/time', 'Fecha/Hora inicio'),
('es-es', 'calendar', 'startdate', 'Fecha de inicio'),
('es-es', 'calendar', 'single event', 'evento simple'),
('es-es', 'calendar', 'start', 'Inicio'),
('es-es', 'calendar', 'show this week', 'Mostrar esta semana'),
('es-es', 'calendar', 'show this month', 'Mostrar este mes'),
('es-es', 'calendar', 'show only tentative accepted events', 'Mostrar sólo las tentativas de eventos aceptados'),
('es-es', 'calendar', 'show only rejected events', 'Mostrar sólo los eventos rechazados'),
('es-es', 'calendar', 'show only invitations, not yet accepted or rejected', 'Mostrar sólo las invitaciones que todavía no han sido aceptadas o rechazadas'),
('es-es', 'calendar', 'show only accepted events', 'Mostrar sólo los eventos aceptados'),
('es-es', 'calendar', 'show list of upcoming events', 'Mostrar la lista de eventos próximos'),
('es-es', 'calendar', 'show empty rows in planner', 'Mostrar filas vacías en el planificador'),
('es-es', 'calendar', 'show default view on main screen', 'Mostrar la vista predeterminada en la pantalla principal'),
('es-es', 'calendar', 'show also events just owned by selected user', 'Mostrar también los eventos cuyo único propietario es el usuario seleccionado'),
('es-es', 'calendar', 'show all status, but rejected', 'Mostrar todos los estados, excepto los rechazados'),
('es-es', 'calendar', 'show all status incl. rejected events', 'Mostrar todos los estados, incluyendo los eventos rechazados'),
('es-es', 'calendar', 'show all events, as if they were private', 'Mostrar todos los eventos, como si fueran privados'),
('es-es', 'calendar', 'should the status of the event-participants (accept, reject, ...) be shown in brakets after each participants name ?', '¿Mostrar el estado de cada evento (aceptar, rechazar, etc) entre corchetes detrás del nombre de cada participante?'),
('es-es', 'calendar', 'should the planner display an empty row for users or categories without any appointment.', '¿Debe mostrarse en el planificador una fila vacía para los usuarios o categorías sin ninguna cita?'),
('es-es', 'calendar', 'should not loged in persons be able to see your freebusy information? you can set an extra password, different from your normal ', '¿Deben ver las personas que no inicien sesión la información de ocupación? Se puede poner una contraseña extra, distinta a la normal, para proteger esta información. La información de ocupación está en formato iCal y sólo incluye las horas en las que está ocupado. No incluye el nombre del evento, descripción o sitios. La URL para su información de ocupación es %1.'),
('es-es', 'calendar', 'should new events created as private by default ?', '¿Crear nuevos eventos como privados?'),
('es-es', 'calendar', 'set new events to private', 'Poner los eventos nuevos como privados'),
('es-es', 'calendar', 'selected range', 'Rango seleccionado'),
('es-es', 'calendar', 'set a year only for one-time / non-regular holidays.', 'Establecer un año para los festivos únicos y no regulares.'),
('es-es', 'calendar', 'select who should get the alarm', 'Seleccionar quién debe obtener la alarma'),
('es-es', 'calendar', 'select resources', 'Seleccionar recursos'),
('es-es', 'calendar', 'select multiple contacts for a further action', 'Seleccionar múltiples contactos para una acción posterior'),
('es-es', 'calendar', 'select an action', 'Seleccionar una acción'),
('es-es', 'calendar', 'select a time', 'seleccionar una hora'),
('es-es', 'calendar', 'select a %1', 'Seleccionar un %1'),
('es-es', 'calendar', 'scheduling conflict', 'Conflicto de calendario'),
('es-es', 'calendar', 'saves the event ignoring the conflict', 'Guarda el evento ignorando el conflicto'),
('es-es', 'calendar', 'saves the changes made', 'guarda los cambios realizados'),
('es-es', 'calendar', 'rule', 'Regla'),
('es-es', 'calendar', 'sat', 'Sáb'),
('es-es', 'calendar', 'save event as exception - delete single occurrence - edit status or alarms for this particular day', 'Guardar el evento como excepción - Borrar ocurrencia única - Editar el estado o alarmas para este día en particular'),
('es-es', 'calendar', 'role', 'Rol'),
('es-es', 'calendar', 'restrict set status to', 'Restringir establecer estado a'),
('es-es', 'calendar', 'restrict add category to', 'Restringir añadir categoría a'),
('es-es', 'calendar', 'resources with conflict detection', 'Recursos con detección de conflicto'),
('es-es', 'calendar', 'resources except conflicting ones', 'Recursos excepto los que tienen conflicto'),
('es-es', 'calendar', 'resources', 'Recursos'),
('es-es', 'calendar', 'reset', 'Restablecer'),
('es-es', 'calendar', 'requested', 'Requerido'),
('es-es', 'calendar', 'repetitiondetails (or empty)', 'Detalles de la repetición (o vacío)'),
('es-es', 'calendar', 'repetition', 'Repetición'),
('es-es', 'calendar', 'repeating interval, eg. 2 to repeat every second week', 'intervalo de repetición, p. ej., 2 para repetir cada segunda semana'),
('es-es', 'calendar', 'repeating event information', 'Información repetitiva de eventos'),
('es-es', 'calendar', 'repeat type', 'Tipo repetición'),
('es-es', 'calendar', 'repeat the event until which date (empty means unlimited)', 'repetir el evento hasta qué fecha (en blanco significa sin límite)'),
('es-es', 'calendar', 'repeat days', 'Días de repetición'),
('es-es', 'calendar', 'rejected', 'Rechazado'),
('es-es', 'calendar', 'recurring event', 'evento recurrente'),
('es-es', 'calendar', 'recurrence', 'Repeticiones'),
('es-es', 'calendar', 'receive summary of appointments', 'Recibir resumen de las citas'),
('es-es', 'calendar', 'receive email updates', 'Recibir actualizaciones de correo'),
('es-es', 'calendar', 're-edit event', 'Volver a editar evento'),
('es-es', 'calendar', 'quantity', 'Cantidad'),
('es-es', 'calendar', 'private only', 'Privado solamente'),
('es-es', 'calendar', 'private and global public', 'Privado y público global'),
('es-es', 'calendar', 'private and group public', 'Privado y público global'),
('es-es', 'calendar', 'previous', 'anterior'),
('es-es', 'calendar', 'preselected group for entering the planner', 'Grupo preseleccionado para entrar en el planificador'),
('es-es', 'calendar', 'planner by user', 'Planificador por usuario'),
('es-es', 'calendar', 'please note: you can configure the field assignments after you uploaded the file.', 'Por favor, tenga en cuenta: puede configurar el campo asignaciones DESPUES de subir el fichero.'),
('es-es', 'calendar', 'planner by category', 'Planificador por categorías'),
('es-es', 'calendar', 'permission denied', 'Permiso denegado'),
('es-es', 'calendar', 'people holiday', 'festivo para la gente'),
('es-es', 'calendar', 'password for not loged in users to your freebusy information?', '¿Contraseña para los usuarios sin sesión para la información de disponibilidad?'),
('es-es', 'calendar', 'participants, resources, ...', 'Participantes, recursos'),
('es-es', 'calendar', 'participants disinvited from an event', 'Participantes que dejan de ser invitados de un evento'),
('es-es', 'calendar', 'participants', 'Participantes'),
('es-es', 'calendar', 'owner too', 'El propietario también'),
('es-es', 'calendar', 'overlap holiday', 'solapar festivo'),
('es-es', 'calendar', 'optional', 'Opcional'),
('es-es', 'calendar', 'open todo''s:', 'Abrir tareas pendientes'),
('es-es', 'calendar', 'one year', 'un año'),
('es-es', 'calendar', 'only group-events', 'sólo eventos de grupo'),
('es-es', 'calendar', 'only the initial date of that recuring event is checked!', '¡Sólo está marcada la fecha inicial del evento recurrente!'),
('es-es', 'calendar', 'one week', 'una semana'),
('es-es', 'calendar', 'one month', 'un mes'),
('es-es', 'calendar', 'on time change of more than 4 hours too', 'también en un cambio de hora superior a 4 horas'),
('es-es', 'calendar', 'on participant responses too', 'también en las respuestas de los participantes'),
('es-es', 'calendar', 'on invitation / cancelation only', 'sólo en invitación o cancelación'),
('es-es', 'calendar', 'on any time change too', 'también en cualquier cambio de hora'),
('es-es', 'calendar', 'on all modification, but responses', 'en todas las modificaciones, excepto las respuestas'),
('es-es', 'calendar', 'on %1 %2 %3 your meeting request for %4', 'El %1 %2 %3 su solicitud de reunión para %4'),
('es-es', 'calendar', 'olddate', 'Fecha original'),
('es-es', 'calendar', 'old startdate', 'Fecha de inicio antigua'),
('es-es', 'calendar', 'occurence', 'Ocurrencia'),
('es-es', 'calendar', 'observance rule', 'Regla de observación'),
('es-es', 'calendar', 'number of weeks to show', 'Número de semanas a mostrar'),
('es-es', 'calendar', 'number of records to read (%1)', 'Número de registros a leer (%1)'),
('es-es', 'calendar', 'notification messages for your responses', 'Mensajes de notificación para sus respuestas'),
('es-es', 'calendar', 'notification messages for your alarms', 'Mensajes de notificación para sus alarmas'),
('es-es', 'calendar', 'notification messages for modified events', 'Mensajes de notificación para eventos modificados'),
('es-es', 'calendar', 'notification messages for disinvited participants', 'Mensajes de notificación para participantes que dejan de ser invitados'),
('es-es', 'calendar', 'notification messages for canceled events', 'Mensajes de notificación para eventos cancelados'),
('es-es', 'calendar', 'notification messages for added events', 'Mensajes de notificación para eventos añadidos'),
('es-es', 'calendar', 'non blocking', 'no bloquea'),
('es-es', 'calendar', 'not', 'no'),
('es-es', 'calendar', 'not rejected', 'No rechazado'),
('es-es', 'calendar', 'nothing to update, version is already %1.', 'Nada que actualizar, la versión ya es la %1.'),
('es-es', 'calendar', 'no response', 'Sin respuesta'),
('es-es', 'calendar', 'no recurrence', 'Sin recursión'),
('es-es', 'calendar', 'no matches found', 'No se encontraron coincidencias'),
('es-es', 'calendar', 'no filter', 'Sin filtro'),
('es-es', 'calendar', 'no events found', 'No se encontraron eventos'),
('es-es', 'calendar', 'new search with the above parameters', 'nueva búsqueda con los parámetros de arriba'),
('es-es', 'calendar', 'needs action', 'Necesita acción'),
('es-es', 'calendar', 'multiple week view', 'Vista de múltiples semanas'),
('es-es', 'calendar', 'monthview', 'Vista mensual'),
('es-es', 'calendar', 'monthly (by day)', 'Mensual (por día)'),
('es-es', 'calendar', 'monthly (by date)', 'Mensual (por fecha)'),
('es-es', 'calendar', 'minutes', 'minutos'),
('es-es', 'calendar', 'modified', 'Modificado'),
('es-es', 'calendar', 'mon', 'Lun'),
('es-es', 'calendar', 'monthly', 'Mensualmente'),
('es-es', 'calendar', 'make freebusy information available to not loged in persons?', '¿Poner la información del tiempo disponible a las personas que no inicien sesión?'),
('es-es', 'calendar', 'mail all participants', 'Enviar correo a todos los participantes'),
('es-es', 'calendar', 'location, start- and endtimes, ...', 'Ubicación, hora de inicio y final...'),
('es-es', 'calendar', 'location', 'Lugar'),
('es-es', 'calendar', 'listview', 'Ver lista'),
('es-es', 'calendar', 'links, attachments', 'Enlaces, adjuntos');
INSERT INTO `egw_lang` (`lang`, `app_name`, `message_id`, `content`) VALUES
('es-es', 'calendar', 'links', 'Enlaces'),
('es-es', 'calendar', 'link to view the event', 'Vínculo para ver el evento'),
('es-es', 'calendar', 'link', 'Enlace'),
('es-es', 'calendar', 'invite', 'invitar'),
('es-es', 'calendar', 'last', 'último'),
('es-es', 'calendar', 'lastname of person to notify', 'Apellido de la persona a la que notificar'),
('es-es', 'calendar', 'length of the time interval', 'Longitud del intervalo de tiempo'),
('es-es', 'calendar', 'invalid email-address "%1" for user %2', 'La dirección de correo "%1" no es válida para el usuario %2'),
('es-es', 'calendar', 'invitations', 'Invitaciones'),
('es-es', 'calendar', 'interval', 'Intervalo'),
('es-es', 'calendar', 'imports events into your calendar from a csv file. csv means ''comma seperated values''. however in the options tab you can also c', 'Importa eventos en su calendario desde un fichero CSV. CSV significa ''Valores Separados por Comas''. Sin embargo, en la pestaña de opciones también puede elegir otros separadores.'),
('es-es', 'calendar', 'import', 'Importar'),
('es-es', 'calendar', 'ignore conflict', 'Ignorar conflicto'),
('es-es', 'calendar', 'if you dont set a password here, the information is available to everyone, who knows the url!!!', '¡Si no pone aquí una contraseña, la información está disponible para todos los que conozcan la URL!'),
('es-es', 'calendar', 'if checked holidays falling on a weekend, are taken on the monday after.', 'Si los festivos marcados caen en fin de semana, se toman el lunes siguiente.'),
('es-es', 'calendar', 'ical successful imported', 'El fichero iCal se importó correctamente'),
('es-es', 'calendar', 'ical import', 'Importar iCal'),
('es-es', 'calendar', 'ical file', 'fichero iCal'),
('es-es', 'calendar', 'ical export', 'Exportar iCal'),
('es-es', 'calendar', 'ical / rfc2445', 'iCal / rfc2445'),
('es-es', 'calendar', 'ical', 'iCal'),
('es-es', 'calendar', 'how many weeks should the multiple week view show?', '¿Cuántas semanas deben mostrarse en la vista de múltiples semanas?'),
('es-es', 'calendar', 'how many minutes should each interval last?', '¿Cuántos minutos debe durar cada intervalo?'),
('es-es', 'calendar', 'hours', 'horas'),
('es-es', 'calendar', 'how far to search (from startdate)', 'cuánto buscar (desde la fecha de inicio)'),
('es-es', 'calendar', 'holidays', 'Festivos'),
('es-es', 'calendar', 'holiday management', 'Gestión de festivos'),
('es-es', 'calendar', 'history', 'Historial'),
('es-es', 'calendar', 'holiday', 'Festivo'),
('es-es', 'calendar', 'here is your requested alarm.', 'Aquí está la alama solicitada'),
('es-es', 'calendar', 'hide private infos', 'Ocultar información privada'),
('es-es', 'calendar', 'high priority', 'prioridad alta'),
('es-es', 'calendar', 'h', 'h'),
('es-es', 'calendar', 'groupmember(s) %1 not included, because you have no access.', 'Los miembros del grupo %1 no están incluidos, porque no tiene acceso.'),
('es-es', 'calendar', 'group public only', 'Grupo público solamente'),
('es-es', 'calendar', 'group planner', 'Planificación de grupo'),
('es-es', 'calendar', 'group invitation', 'Invitación de grupo'),
('es-es', 'calendar', 'global public only', 'Público global sólo'),
('es-es', 'calendar', 'global categories', 'Categorías globales'),
('es-es', 'calendar', 'global public and group public', 'Público Global y grupo público'),
('es-es', 'calendar', 'general', 'General'),
('es-es', 'calendar', 'fri', 'Vie'),
('es-es', 'calendar', 'full description', 'Descripción completa'),
('es-es', 'calendar', 'fullname of person to notify', 'Nombre completo de la persona a la que notificar'),
('es-es', 'calendar', 'freetime search', 'Buscar en el tiempo libre'),
('es-es', 'calendar', 'freebusy: unknow user ''%1'', wrong password or not availible to not loged in users !!!', 'Disponibilidad: Usuario desconocido "%1", contraseña incorrecta o no está disponible'),
('es-es', 'calendar', 'four days view', 'vista de cuatro días'),
('es-es', 'calendar', 'forward one month', 'un mes hacia adelante'),
('es-es', 'calendar', 'forward half a month', 'medio mes hacia adelante'),
('es-es', 'calendar', 'format of event updates', 'Formato de las actualizaciones de eventos'),
('es-es', 'calendar', 'for which views should calendar show distinct lines with a fixed time interval.', 'Para qué vistas debe mostrar el calendario distintas líneas con un intervalo fijo de tiempo.'),
('es-es', 'calendar', 'for', 'para'),
('es-es', 'calendar', 'firstname of person to notify', 'Nombre de pila de la persona a notificar'),
('es-es', 'calendar', 'find free timeslots where the selected participants are availible for the given timespan', 'Buscar márgenes de tiempo libres donde los participantes seleccionados estén disponibles para las horas indicadas'),
('es-es', 'calendar', 'filename of the download', 'Nombre de fichero de la descarga'),
('es-es', 'calendar', 'filename', 'Nombre de fichero'),
('es-es', 'calendar', 'fieldseparator', 'Separador de campos'),
('es-es', 'calendar', 'export', 'exportar'),
('es-es', 'calendar', 'extended', 'Extendido'),
('es-es', 'calendar', 'extended updates always include the complete event-details. ical''s can be imported by certain other calendar-applications.', 'Las actualizaciones extendidas incluyen todos los detalles de los eventos. Los de tipo iCal pueden importarse mediante otras aplicaciones de tipo calendario.'),
('es-es', 'calendar', 'existing links', 'Enlaces existentes'),
('es-es', 'calendar', 'exceptions', 'Excepciones'),
('es-es', 'calendar', 'execute a further action for this entry', 'Ejecutar una acción más para esta entrada'),
('es-es', 'calendar', 'exception created - you can now edit or delete it', 'Se ha creado la excepción. Ahora puede editarla o borrarla.'),
('es-es', 'calendar', 'exception', 'Excepción'),
('es-es', 'calendar', 'event saved', 'Evento guardado'),
('es-es', 'calendar', 'event will occupy the whole day', 'El evento ocupará todo el día'),
('es-es', 'calendar', 'event copied - the copy can now be edited', 'Evento copiado. Ahora se puede editar la copia'),
('es-es', 'calendar', 'event deleted', 'Evento borrado'),
('es-es', 'calendar', 'event details follow', 'A continuación, los detalles del evento'),
('es-es', 'calendar', 'error: the entry has been updated since you opened it for editing!', 'Error: ¡La entrada ha sido actualizada desde que la abrio para editar!'),
('es-es', 'calendar', 'error: starttime has to be before the endtime !!!', 'Error :¡La hora de inicio tiene que ser anterior a la de final!'),
('es-es', 'calendar', 'error: saving the event !!!', 'Error al guardar el evento'),
('es-es', 'calendar', 'error: ressources reservation in private events is not allowed!!!', 'Error: ¡No se permite la reserva de recursos para eventos privados!'),
('es-es', 'calendar', 'error: no participants selected !!!', 'Error: ¡No se seleccionó ningún participante!'),
('es-es', 'calendar', 'error: importing the ical', 'Error al importar el fichero iCal'),
('es-es', 'calendar', 'error: can''t delete original series!', 'Error: No se puede borrar la serie original'),
('es-es', 'calendar', 'error adding the alarm', 'Error al añadir la alarma'),
('es-es', 'calendar', 'ends', 'acaba'),
('es-es', 'calendar', 'enddate of the export', 'Fecha de fin de la exportación'),
('es-es', 'calendar', 'enddate', 'Fecha final'),
('es-es', 'calendar', 'enddate / -time of the meeting, eg. for more then one day', 'Fecha final / -hora de la reunión, p. ej. para más de un día'),
('es-es', 'calendar', 'end', 'Fin'),
('es-es', 'calendar', 'end date/time', 'Fecha/Hora final'),
('es-es', 'calendar', 'empty for all', 'vacío para todos'),
('es-es', 'calendar', 'edit this series of recuring events', 'Editar esta serie de eventos recurrentes'),
('es-es', 'calendar', 'edit this event', 'Editar este evento'),
('es-es', 'calendar', 'edit status or alarms for this particular day', 'Editar el estado de las alarmas para este día en particular'),
('es-es', 'calendar', 'edit series', 'Editar series'),
('es-es', 'calendar', 'edit exception', 'Editar excepción'),
('es-es', 'calendar', 'duration of the meeting', 'Duración de la reunión'),
('es-es', 'calendar', 'download this event as ical', 'Descargar este evento como iCal'),
('es-es', 'calendar', 'download', 'Descargar'),
('es-es', 'calendar', 'do you want to receive a regulary summary of your appointsments via email?<br>the summary is sent to your standard email-address', '¿Desea recibir regularmente por correo un resumen de sus citas?<br>El resumen se le enviará a su correo electrónico habitual el mismo día por la mañana o el lunes para resúmenes semanales.<br>Sólo se envía si hay citas en ese día o esa semana.'),
('es-es', 'calendar', 'do you want to edit this event as an exception or the whole series?', '¿Desea editar este evento como una excepción o la serie completa?'),
('es-es', 'calendar', 'do you want to be notified about new or changed appointments? you are not notified about changes you made yourself.<br>you can l', '¿Desea que se le notifiquen citas nuevas o modificadas? Se le notificará de los cambios que haga usted mismo.<br>Puede limitar las notificaciones para sólo ciertos cambios. Cada elemento incluye toda la notificación listada encima. Todas las modificaciones incluyen cambios de título, participantes, pero no las respuestas de los participantes. Si el dueño de un evento solicitó alguna notificación, siempre obtendrá las respuestas de aceptación o rechazo del participante.'),
('es-es', 'calendar', 'do you want a weekview with or without weekend?', '¿Desea una vista de la semana con o sin fin de semana?'),
('es-es', 'calendar', 'do not include events of group members', 'No incluir los eventos de los miembros del grupo'),
('es-es', 'calendar', 'display status of events', 'Mostrar estado de los eventos'),
('es-es', 'calendar', 'displayed view', 'vista mostrada'),
('es-es', 'calendar', 'displays your default calendar view on the startpage (page you get when you enter egroupware or click on the homepage icon)?', '¿Mostrar la vista predeterminada en la página de inicio (la página que se ve al entrar en eGroupWare o pulsar en el icono de inicio)?'),
('es-es', 'calendar', 'deleted', 'Borrado'),
('es-es', 'calendar', 'deny ressources reservation for private events', 'Denegar la reserva de recursos para eventos privados'),
('es-es', 'calendar', 'disinvited', 'Ya no está invitado'),
('es-es', 'calendar', 'delete this event', 'Borrar este evento'),
('es-es', 'calendar', 'delete this exception', 'Borrar esta excepción'),
('es-es', 'calendar', 'delete this series of recuring events', 'Borrar esta serie de eventos recurrentes'),
('es-es', 'calendar', 'delete selected events', 'Borrar los eventos seleccionados'),
('es-es', 'calendar', 'delete series', 'Borrar series'),
('es-es', 'calendar', 'delete this alarm', 'Borrar esta alarma'),
('es-es', 'calendar', 'default week view', 'Vista semanal predeterminada'),
('es-es', 'calendar', 'default type of resources selection', 'Tipo predeterminado de selección de recursos'),
('es-es', 'calendar', 'default type of resources application selected in the calendar particpants research form.', 'Tipo predeterminado para la aplicación de recursos seleccionada en el formulario de búsqueda de participantes en el calendario.'),
('es-es', 'calendar', 'default length of newly created events. the length is in minutes, eg. 60 for 1 hour.', 'Longitud predeterminada de los eventos nuevos. La longitud es en minutos, ej. 60 = 1 hora.'),
('es-es', 'calendar', 'default calendar view', 'Vista por defecto del calendario'),
('es-es', 'calendar', 'default calendar filter', 'Filtro por defecto del calendario'),
('es-es', 'calendar', 'default appointment length (in minutes)', 'duración por defecto de los eventos (en minutos)'),
('es-es', 'calendar', 'dayview', 'Vista diaria'),
('es-es', 'calendar', 'days repeated', 'días repetidos'),
('es-es', 'calendar', 'days of the week for a weekly repeated event', 'Días de la semana para un evento de repetición semanal'),
('es-es', 'calendar', 'day', 'día'),
('es-es', 'calendar', 'days', 'días'),
('es-es', 'calendar', 'daily', 'Diario'),
('es-es', 'calendar', 'csv-filename', 'CSV- Nombre del fichero'),
('es-es', 'calendar', 'csv', 'CSV'),
('es-es', 'calendar', 'csv-fieldname', 'CSV - Nombre del campo'),
('es-es', 'calendar', 'create exception', 'Crear excepción'),
('es-es', 'calendar', 'create new links', 'Crear enlaces nuevos'),
('es-es', 'calendar', 'countries', 'Paises'),
('es-es', 'calendar', 'country', 'País'),
('es-es', 'calendar', 'create an exception for the given date', 'Crear una excepción para la fecha indicada'),
('es-es', 'calendar', 'copy your changes to the clipboard, %1reload the entry%2 and merge them.', 'Copiar sus cambios al portapapeles, %1recargar la entrada%2 y mezclarla.'),
('es-es', 'calendar', 'copy this event', 'Copiar este evento'),
('es-es', 'calendar', 'conflict', 'Conflicto'),
('es-es', 'calendar', 'copy of:', 'Copia de:'),
('es-es', 'calendar', 'check all', 'Marcar todo'),
('es-es', 'calendar', 'close the window', 'Cerrar la ventana'),
('es-es', 'calendar', 'compose a mail to all participants after the event is saved', 'redactar un correo para todos los participantes después de guardar el evento'),
('es-es', 'calendar', 'change history', 'Cambiar historial'),
('es-es', 'calendar', 'charset of file', 'Juego de caracteres del fichero'),
('es-es', 'calendar', 'chair', 'Silla'),
('es-es', 'calendar', 'category acl only restrict adding a category to an event or changing status of a participant. it does not change the visibility ', 'La ACL de la categoría sólo restringe añadir una categoría a un evento o cambiar el estado de un participante. ¡Esto NO cambia la visibilidad de un evento!'),
('es-es', 'calendar', 'category acl', 'ACL de la categoría'),
('es-es', 'calendar', 'category %1 removed because of missing rights', 'Se ha eliminado la categoría %1 por falta de permisos'),
('es-es', 'calendar', 'canceled', 'Cancelado'),
('es-es', 'calendar', 'calendar menu', 'Menú de calendario'),
('es-es', 'calendar', 'calendar preferences', 'Preferencias - Calendario'),
('es-es', 'calendar', 'calendar-fieldname', 'Calendario - Nombre de campo'),
('es-es', 'calendar', 'can''t add alarms in the past !!!', '¡¡No se pueden añadir alarmas en el pasado!!'),
('es-es', 'calendar', 'can''t aquire lock!', '¡No se ha podido obtener un bloqueo!'),
('es-es', 'calendar', 'before current date', 'Antes de la fecha actual'),
('es-es', 'calendar', 'before the event', 'antes del evento'),
('es-es', 'calendar', 'birthday', 'Cumpleaños'),
('es-es', 'calendar', 'busy', 'ocupado'),
('es-es', 'calendar', 'by', 'por'),
('es-es', 'calendar', 'calendar csv export', 'Exportar el calendario a CSV'),
('es-es', 'calendar', 'calendar event', 'Evento de calendario'),
('es-es', 'calendar', 'before %1', 'Antes de %1'),
('es-es', 'calendar', 'back one month', 'un mes hacia atrás'),
('es-es', 'calendar', 'back half a month', 'medio mes hacia atrás'),
('es-es', 'calendar', 'are you sure you want to delete this holiday ?', '¿Seguro que desea borrar esta fiesta?'),
('es-es', 'calendar', 'apply the changes', 'Aplicar los cambios'),
('es-es', 'calendar', 'are you sure you want to delete this country ?', '¿Seguro que quiere borrar este país?'),
('es-es', 'calendar', 'apply the action on the whole query, not only the shown events', 'Aplicar la acción en toda la consulta, NO sólo en los eventos mostrados'),
('es-es', 'calendar', 'all participants', 'Todos los participantes'),
('es-es', 'calendar', 'allows to edit the event again', 'Permite volver a editar el evento'),
('es-es', 'calendar', 'all incl. rejected', 'Todos, incluso los rechazados'),
('es-es', 'calendar', 'all future', 'Todos los futuros'),
('es-es', 'calendar', 'all categories', 'Todas las categorías'),
('es-es', 'calendar', 'all day', 'Todo el día'),
('es-es', 'calendar', 'all events', 'Todos los eventos'),
('es-es', 'calendar', 'alarms', 'Alarmas'),
('es-es', 'calendar', 'after current date', 'Después de la fecha actual'),
('es-es', 'calendar', 'alarm', 'Alarma'),
('es-es', 'calendar', 'alarm added', 'Se ha añadido una alarma'),
('es-es', 'calendar', 'alarm deleted', 'Se ha borrado una alarma'),
('es-es', 'calendar', 'alarm for %1 at %2 in %3', 'Alarma para %1 en %2 en %3'),
('es-es', 'calendar', 'alarm management', 'Gestión de alarmas'),
('es-es', 'calendar', 'added by synchronisation', 'añadido por sincronización'),
('es-es', 'calendar', 'after %1', 'Después de %1'),
('es-es', 'calendar', 'action that caused the notify: added, canceled, accepted, rejected, ...', 'Acción que causó la notificación: Añadido, Cancelado, Aceptado, Rechazado, ...'),
('es-es', 'calendar', 'actions', 'Acciones'),
('es-es', 'calendar', 'add alarm', 'Añadir alarma'),
('es-es', 'calendar', 'added', 'Añadido'),
('es-es', 'calendar', 'accepted', 'Aceptado'),
('es-es', 'calendar', 'access denied to the calendar of %1 !!!', '¡Acceso denegado al calendario de %1!'),
('es-es', 'calendar', 'accept or reject an invitation', 'Aceptar o rechazar una invitación'),
('es-es', 'calendar', 'a non blocking event will not conflict with other events', 'Un evento que no bloquea no entrará en conflicto con otros eventos'),
('es-es', 'calendar', '%1 records read (not yet imported, you may go back and uncheck test import)', '%1 registros leídos (todavía sin importar, puede volver atrás y desmarcar Probar Importar)'),
('es-es', 'calendar', '%1 weeks', '%1 semanas'),
('es-es', 'calendar', '<b>please note</b>: the calendar use the holidays of your country, which is set to %1. you can change it in your %2.<br />holida', '<b>Por favor, tenga en cuenta lo siguiente</b>: El calendario usa las fiestas de su país, que es %1. Puede cambiarlo en su %2.<br />Las vacaciones %3 se instalan automáticamente desde %4. Lo puede cambiar en %5.'),
('es-es', 'calendar', '%1 records imported', '%1 registros importados'),
('es-es', 'calendar', '%1 participants removed because of missing invite grants', '%1 participantes eliminados por faltar acceso a la invitación'),
('es-es', 'calendar', '%1 %2 in %3', '%1 %2 en %3'),
('es-es', 'bookmarks', 'you need to select a category!', '¡Necesita seleccionar una categoría!'),
('es-es', 'bookmarks', 'you must select a category', 'Debe seleccionar una categoría'),
('es-es', 'bookmarks', 'you are viewing this site outside of egroupware', 'Está viendo este sito desde fuera de eGroupWare'),
('es-es', 'bookmarks', 'warning', 'Aviso'),
('es-es', 'bookmarks', 'view this bookmark', 'Ver este marcador'),
('es-es', 'bookmarks', 'view bookmark', 'Ver marcador'),
('es-es', 'bookmarks', 'url is required.', 'Hace falta una URL'),
('es-es', 'bookmarks', 'unable to open temp file %1 for import.', 'No se pudo abrir el fichero temporal %1 para importar'),
('es-es', 'bookmarks', 'tree view', 'Vista de árbol'),
('es-es', 'bookmarks', 'total visits', 'visitas totales'),
('es-es', 'bookmarks', 'to which category should the imported folder hierarchy be attached', 'A qué categoría hay que adjuntar la jerarquía de la carpeta importada'),
('es-es', 'bookmarks', 'to e-mail addresses', 'Direcciones de correo de los destinatarios'),
('es-es', 'bookmarks', 'to address %1 invalid. format must be <strong>user@domain</strong> and domain must exist!', 'La dirección Para: %1 no es válida. El formato debe ser <strong>usuario@dominio</strong> y el dominio debe existir.'),
('es-es', 'bookmarks', 'this module displays bookmarks in a javascript based tree', 'Este módulo muestra los marcadores en un árbol basado en javascript'),
('es-es', 'bookmarks', 'send bookmark', 'Enviar marcador'),
('es-es', 'bookmarks', 'sub category', 'Subcategoría'),
('es-es', 'bookmarks', 'select the format you would like to export to', 'Seleccione el formato al que le gustaría exportar'),
('es-es', 'bookmarks', 'rating', 'Valoración'),
('es-es', 'bookmarks', 'search for:', 'Buscar:'),
('es-es', 'bookmarks', 'query condition', 'Condición de consulta'),
('es-es', 'bookmarks', 'please select the categories to export', 'Por favor, seleccione las categorías a exportar'),
('es-es', 'bookmarks', 'or', 'o'),
('es-es', 'bookmarks', 'please fill out <b>to e-mail address</b>, <b>subject</b>, and <b>message</b>!', 'Por favor, rellene <b>Dirección destino</b>, <b>Asunto</b> y <b>Mensaje</b>'),
('es-es', 'bookmarks', 'new bookmark', 'nuevo marcador'),
('es-es', 'bookmarks', 'new', 'Nuevo'),
('es-es', 'bookmarks', 'netscape bookmark file', 'Fichero de marcadores de Netscape'),
('es-es', 'bookmarks', 'netscape bookmark filename is required!', 'El nombre del fichero de marcadores de Netscape es obligatorio'),
('es-es', 'bookmarks', 'name is required', 'El nombre es obligatorio'),
('es-es', 'bookmarks', 'name', 'Nombre'),
('es-es', 'bookmarks', 'more', 'Más'),
('es-es', 'bookmarks', 'message from', 'Mensaje de'),
('es-es', 'bookmarks', 'mass update:', 'Actualización masiva:'),
('es-es', 'bookmarks', 'mail-this-link message sent to %1.', 'El mensaje de "enviar este enlace" se ha enviado a %1'),
('es-es', 'bookmarks', 'mail this bookmark', 'Mandar por este marcador por correo'),
('es-es', 'bookmarks', 'lowest', 'La más baja'),
('es-es', 'bookmarks', 'list view', 'ver lista'),
('es-es', 'bookmarks', 'like', 'como'),
('es-es', 'bookmarks', 'i thought you would be interested in the following link(s):', 'Pensé que le interesarían los siguientes enlaces:'),
('es-es', 'bookmarks', 'highest', 'La más alta'),
('es-es', 'bookmarks', 'global categories', 'Categorías globales'),
('es-es', 'bookmarks', 'from category %1', 'de la categoría %º'),
('es-es', 'bookmarks', 'from', 'De'),
('es-es', 'bookmarks', 'found a link you might like', 'Se encontró un enlace que le puede gustar'),
('es-es', 'bookmarks', 'filter by', 'Filtrar por'),
('es-es', 'bookmarks', 'fewer', 'Menos'),
('es-es', 'bookmarks', 'enter the name of the netscape bookmark file<br>that you want imported into bookmarker below.', 'Introduzca el nombre del fichero de marcadores de Netscape<br>que quiera ver importado debajo.'),
('es-es', 'bookmarks', 'edit this bookmark', 'Editar este marcador'),
('es-es', 'bookmarks', 'edit bookmark', 'Editar marcador'),
('es-es', 'bookmarks', 'descending', 'Descendente'),
('es-es', 'bookmarks', 'date last visited', 'Fecha de la última visita'),
('es-es', 'bookmarks', 'date last updated', 'Fecha de la última actualización'),
('es-es', 'bookmarks', 'date changed', 'Fecha cambiada'),
('es-es', 'bookmarks', 'date added', 'Fecha añadida'),
('es-es', 'bookmarks', 'create new bookmark', 'Crear nuevo marcador'),
('es-es', 'bookmarks', 'create bookmark', 'Crear marcador'),
('es-es', 'bookmarks', 'close this window to return', 'cerrar esta ventana para volver'),
('es-es', 'bookmarks', 'choose the categories to display', 'Elija las categorías a mostrar'),
('es-es', 'bookmarks', 'change bookmark', 'Cambiar marcador'),
('es-es', 'bookmarks', 'bookmarks settings', 'Configuración de los marcadores'),
('es-es', 'bookmarks', 'bookmark not readable', 'No se puede leer el marcador'),
('es-es', 'bookmarks', 'bookmark not editable', 'No se puede editar el marcador'),
('es-es', 'bookmarks', 'bookmark deleted successfully.', 'El marcador se ha borrado correctamente.'),
('es-es', 'bookmarks', 'bookmark deleted successfully', 'El marcador se ha borrado correctamente.'),
('es-es', 'bookmarks', 'bookmark created successfully.', 'El marcador se ha creado correctamente'),
('es-es', 'bookmarks', 'bookmark changed sucessfully', 'El marcador se ha cambiado correctamente'),
('es-es', 'bookmarks', 'ascending', 'Ascendente'),
('es-es', 'bookmarks', 'append this message to mailed bookmarks', 'Añadir este mensaje a los marcadores enviados'),
('es-es', 'bookmarks', 'and', 'Y'),
('es-es', 'bookmarks', 'all bookmarks', 'Todos los marcadores'),
('es-es', 'bookmarks', '<b>note:</b> this currently works with netscape bookmarks only', '<b>Nota:</b> Actualmente sólo funciona con marcadores de netscape'),
('es-es', 'bookmarks', '(comma separate multiple addresses)', '(la coma separa varias direcciones)'),
('es-es', 'bookmarks', '%1 bookmarks imported from %2 successfully.', 'Se han importado correctamente %1 marcadores de %2'),
('es-es', 'common', 'wiki', 'Wiki'),
('es-es', 'bookmarks', '%1 bookmarks have been deleted', 'Se han borrado %1 marcadores'),
('es-es', 'common', 'block / unblock hosts', 'Bloquear / desbloquear máquinas'),
('es-es', 'common', 'lock / unlock pages', 'Bloquear / desbloquear páginas'),
('es-es', 'common', 'define escalations', 'Definir escalados'),
('es-es', 'common', 'tracker', 'Sistema de seguimiento'),
('es-es', 'common', 'documentation', 'Documentación'),
('es-es', 'common', 'timesheet', 'Hoja de presencia'),
('es-es', 'common', 'device history', 'Historial del dispositivo'),
('es-es', 'common', 'web content manager', 'Administrador de contenidos del Administrador de sitios web'),
('es-es', 'common', 'there was an error accessing the requested page. either you do not have permission to view this page, or the page does not exist', 'Hubo un error al acceder a la página solicitada. O no tiene permiso para ver la página, o la página no existe.'),
('es-es', 'common', 'sitemgr-link', 'Sitio web'),
('es-es', 'common', 'sitemgr web content manager', 'Administrador de contenidos del Administrador de sitios web'),
('es-es', 'common', 'sitemgr', 'Administrador de sitios web'),
('es-es', 'common', 'site setup', 'Configuración del sitio'),
('es-es', 'common', 'manage pages', 'Administrar páginas'),
('es-es', 'common', 'error accessing page', 'Error al acceder a la página'),
('es-es', 'common', 'edit site header and footer', 'Editar el encabezado y el pie del sitio'),
('es-es', 'common', 'edit individual pages', 'Editar páginas individuales'),
('es-es', 'common', 'define websites', 'Definir sitios web'),
('es-es', 'common', 'edit categories and permissions', 'Editar las categorías y los permisos'),
('es-es', 'common', 'as', 'como'),
('es-es', 'common', 'samba settings', 'Opciones de samba'),
('es-es', 'common', 'sambaadmin', 'Administrador de Samba'),
('es-es', 'common', 'select resources', 'Seleccionar recursos'),
('es-es', 'common', 'selectbox with groupmembers', 'Lista desplegable con los miembros del grupo'),
('es-es', 'common', 'projectmanager', 'Administrador de proyectos'),
('es-es', 'common', 'registration', 'Autorregistro'),
('es-es', 'common', 'resources', 'Recursos'),
('es-es', 'common', 'no user-selection at all', 'No hay ninguna selección del usuario'),
('es-es', 'common', 'show questions', 'Mostrar preguntas'),
('es-es', 'common', 'polls', 'Sondeos'),
('es-es', 'common', 'zoom', 'Escala'),
('es-es', 'common', 'zimbabwe', 'ZIMBAWE'),
('es-es', 'common', 'zambia', 'ZAMBIA'),
('es-es', 'common', 'your settings have been updated', 'Sus preferencias fueron actualizadas'),
('es-es', 'common', 'your search returned 1 match', 'su búsqueda devolvió 1 resultado'),
('es-es', 'common', 'your search returned %1 matchs', 'su búsqueda devolvió %1 resultados'),
('es-es', 'common', 'your message has been sent', 'Su mensaje ha sido enviado'),
('es-es', 'common', 'your message could <b>not</b> be sent!<br>', 'Su mensaje <b>no</b> se pudo enviar<br>'),
('es-es', 'common', 'you''ve tried to open the egroupware application: %1, but you have no permission to access this application.', 'Ha intentado abrir la aplicación de eGroupWare %1, pero no tiene permiso para acceder a esta aplicación.'),
('es-es', 'common', 'you need to be an egroupware administrator to access this functionality!', '¡Necesita ser administrador de eGroupWare para acceder a esta funcionalidad!'),
('es-es', 'common', 'you need to add the webserver user ''%1'' to the group ''%2''.', 'Necesita añadir el usuario del servidor web ''%1'' al grupo ''%2''.'),
('es-es', 'common', 'you need to %1set your timezone preference%2.', 'Necesita %1 establecer su preferencia de zona horaria%2.'),
('es-es', 'common', 'you have successfully logged out', 'Ha terminado la sesión correctamente'),
('es-es', 'common', 'you have selected an invalid main category', 'La categoría principal seleccionada no es válida'),
('es-es', 'common', 'you have selected an invalid date', 'La fecha seleccionada no es válida'),
('es-es', 'common', 'you have not entered participants', 'No ha introducido participantes'),
('es-es', 'common', 'you have not entered a valid time of day', 'No ha introducido una hora del día válida'),
('es-es', 'common', 'you have not entered a title', 'No ha introducido un título'),
('es-es', 'common', 'you have not entered a valid date', 'No ha introducido una fecha válida'),
('es-es', 'common', 'you can customize how many icons and toolbars the editor shows.', 'Puede personalizar el número de iconos y barras de herramientas que muestra el editor.'),
('es-es', 'common', 'you are required to change your password during your first login', 'Es necesario que cambie la contraseña durante su primer inicio de sesión.'),
('es-es', 'common', 'yes', 'Sí'),
('es-es', 'common', 'yemen', 'YEMEN'),
('es-es', 'common', 'written by:', 'Escrito por:'),
('es-es', 'common', 'year', 'Año'),
('es-es', 'common', 'would you like to display the page generation time at the bottom of every window?', '¿Desea mostrar el tiempo que tarda en generarse la página en la parte inferior de cada ventana?'),
('es-es', 'common', 'writing', 'escribiendo'),
('es-es', 'common', 'which groups', 'Qué grupos'),
('es-es', 'common', 'width', 'Anchura'),
('es-es', 'common', 'work email', 'correo del trabajo'),
('es-es', 'common', 'where and how will the egroupware links like preferences, about and logout be displayed.', 'Dónde y cómo mostrar los enlaces de egroupware com las preferencias, acerca de y salir.'),
('es-es', 'common', 'when you say yes the home and logout buttons are presented as applications in the main top applcation bar.', 'Si dice que sí, los botones de Inicio y Salir se presentan como aplicaciones en la barra principal de aplicaciones.'),
('es-es', 'common', 'what style would you like the image to have?', '¿Qué estilo desea que tenga la imagen?'),
('es-es', 'common', 'what color should all the blank space on the desktop have', '¿Qué color debe tener todo el espacio en blanco en el escritorio?'),
('es-es', 'common', 'western sahara', 'SAHARA OCCIDENTAL'),
('es-es', 'common', 'western european', 'Europeo occidental'),
('es-es', 'common', 'welcome', 'Página principal'),
('es-es', 'common', 'wednesday', 'Miércoles'),
('es-es', 'common', 'wallis and futuna', 'WALLIS AND FUTUNA'),
('es-es', 'common', 'virgin islands, u.s.', 'VIRGIN ISLANDS, U.S.'),
('es-es', 'common', 'version', 'Versión'),
('es-es', 'common', 'viet nam', 'VIETNAM'),
('es-es', 'common', 'view', 'Ver'),
('es-es', 'common', 'virgin islands, british', 'VIRGIN ISLANDS, BRITISH'),
('es-es', 'common', 'venezuela', 'VENEZUELA'),
('es-es', 'common', 'value', 'Valor'),
('es-es', 'common', 'vanuatu', 'VANUATU'),
('es-es', 'common', 'uzbekistan', 'UZBEKISTAN'),
('es-es', 'common', 'users choice', 'A elegir por el usuario'),
('es-es', 'common', 'users', 'usuarios'),
('es-es', 'common', 'username', 'Nombre de usuario'),
('es-es', 'common', 'user groups', 'Grupos de usuario'),
('es-es', 'common', 'user', 'Usuario'),
('es-es', 'common', 'user accounts', 'Cuentas de usuario'),
('es-es', 'common', 'use button to search for project', 'use el botón para buscar por proyecto'),
('es-es', 'common', 'use button to search for calendarevent', 'use el botón para buscar por evento de calendario'),
('es-es', 'common', 'use button to search for address', 'use el botón para buscar por dirección'),
('es-es', 'common', 'use button to search for', 'use el botón para buscar'),
('es-es', 'common', 'uruguay', 'URUGUAY'),
('es-es', 'common', 'url', 'URL'),
('es-es', 'common', 'upload requires the directory to be writable by the webserver!', '¡La subida de ficheros requiere que el servidor web pueda escribir en el directorio!'),
('es-es', 'common', 'update the clock per minute or per second', 'Actualizar el reloj por minuto o por segundo'),
('es-es', 'common', 'upload', 'Subir a un servidor'),
('es-es', 'common', 'upload directory does not exist, or is not writeable by webserver', 'El directorio para subir archivos no existe o no tiene permisos de escritura para el servidor web'),
('es-es', 'common', 'unknown', 'Desconocido'),
('es-es', 'common', 'update', 'Insertar'),
('es-es', 'common', 'united states minor outlying islands', 'UNITED STATES MINOR OUTLYING ISLANDS'),
('es-es', 'common', 'united states', 'ESTADOS UNIDOS'),
('es-es', 'common', 'united kingdom', 'REINO UNIDO'),
('es-es', 'common', 'underline', 'Subrayado'),
('es-es', 'common', 'united arab emirates', 'EMIRATOS ARABES UNIDOS'),
('es-es', 'common', 'uganda', 'UGANDA'),
('es-es', 'common', 'ukraine', 'UCRANIA'),
('es-es', 'common', 'type', 'Tipo'),
('es-es', 'common', 'tuvalu', 'TUVALU'),
('es-es', 'common', 'turks and caicos islands', 'TURKS AND CAICOS ISLANDS'),
('es-es', 'common', 'turkmenistan', 'TURKMENISTAN'),
('es-es', 'common', 'turkey', 'TURQUIA'),
('es-es', 'common', 'tunisia', 'TUNEZ'),
('es-es', 'common', 'tuesday', 'Martes'),
('es-es', 'common', 'trinidad and tobago', 'TRINIDAD AND TOBAGO'),
('es-es', 'common', 'transparant bg for the icons?', '¿Fondo transparente para los iconos?'),
('es-es', 'common', 'total', 'Total'),
('es-es', 'common', 'top', 'Top'),
('es-es', 'common', 'tonga', 'TONGA'),
('es-es', 'common', 'too many unsucessful attempts to login: %1 for the user ''%2'', %3 for the ip %4', 'Demasiados intentos fallidos de inicio de sesión: %1 para el usuario ''%2'', %3 para la IP %4'),
('es-es', 'common', 'tokelau', 'TOKELAU'),
('es-es', 'common', 'togo', 'TOGO'),
('es-es', 'common', 'today', 'Hoy'),
('es-es', 'common', 'todays date, eg. "%1"', 'fecha de hoy, p.ej. "%1"'),
('es-es', 'common', 'to go back to the msg list, click <a href= %1 >here</a>', 'Psra volver a la lista de mensajes, pulse <a href="%1">aquí</a>'),
('es-es', 'common', 'to', 'Para'),
('es-es', 'common', 'to correct this error for the future you will need to properly set the', 'Para corregir este error para el futuro necesitará configurar adecuadamente el'),
('es-es', 'common', 'title', 'Título'),
('es-es', 'common', 'time zone offset', 'Diferencia de zona horaria'),
('es-es', 'common', 'time zone', 'Zona horaria'),
('es-es', 'common', 'time', 'Hora'),
('es-es', 'common', 'tiled', 'mosaico'),
('es-es', 'common', 'thursday', 'Jueves'),
('es-es', 'common', 'this name has been used already', '¡Este nombre ya ha sido usado!'),
('es-es', 'common', 'this application requires an upgrade', 'Esta aplicación requiere una actualización'),
('es-es', 'common', 'this application is current', 'Esta aplicación está actualizada'),
('es-es', 'common', 'there already is a system-user with this name. user''s should not have the same name as a systemuser', 'Ya hay un usuario de sistema con este nombre. Los usuarios no deben tener el mismo nombre que un usuario de sistema.'),
('es-es', 'common', 'the following applications require upgrades', 'Las siguientes aplicaciones requieren actualizaciones'),
('es-es', 'common', 'the mail server returned', 'El servidor de correo devolvió'),
('es-es', 'common', 'the api requires an upgrade', 'La API requiere una actualizacion'),
('es-es', 'common', 'thailand', 'TAILANDIA'),
('es-es', 'common', 'the api is current', 'La API esta al dia'),
('es-es', 'common', 'text color:', 'Color del texto:'),
('es-es', 'common', 'table properties', 'Propiedades de la tabla'),
('es-es', 'common', 'taiwan', 'TAIWAN/TAIPEI'),
('es-es', 'common', 'tajikistan', 'TAJIKISTAN'),
('es-es', 'common', 'tanzania, united republic of', 'TANZANIA, UNITED REPUBLIC OF'),
('es-es', 'common', 'table %1 is excluded from backup and restore. data will not be restored.', 'La tabla %1 se ha excluido de la copia de seguridad y la restauración. Los datos no se restaurarán.'),
('es-es', 'common', 'syrian arab republic', 'SYRIAN ARAB REPUBLIC'),
('es-es', 'common', 'swaziland', 'SWAZILAND'),
('es-es', 'common', 'sweden', 'SUECIA'),
('es-es', 'common', 'switzerland', 'SUIZA'),
('es-es', 'common', 'svalbard and jan mayen', 'SVALBARD AND JAN MAYEN'),
('es-es', 'common', 'suriname', 'SURINAM'),
('es-es', 'common', 'sunday', 'Domingo'),
('es-es', 'common', 'sudan', 'SUDÁN'),
('es-es', 'common', 'substitutions and their meanings:', 'Sustituciones y sus significados:'),
('es-es', 'common', 'submit', 'Enviar'),
('es-es', 'common', 'subject', 'Asunto'),
('es-es', 'common', 'stretched', 'ajustado'),
('es-es', 'common', 'status', 'Estado'),
('es-es', 'common', 'start with', 'empieza por'),
('es-es', 'common', 'starting up...', 'Iniciando...'),
('es-es', 'common', 'start date', 'Fecha de inicio'),
('es-es', 'common', 'start time', 'Hora de inicio'),
('es-es', 'common', 'sri lanka', 'SRI LANKA'),
('es-es', 'common', 'spain', 'ESPAÑA'),
('es-es', 'common', 'south africa', 'SUDAFRICA'),
('es-es', 'common', 'south georgia and the south sandwich islands', 'SOUTH GEORGIA AND THE SOUTH SANDWICH ISLANDS'),
('es-es', 'common', 'somalia', 'SOMALIA'),
('es-es', 'common', 'solomon islands', 'SOLOMON ISLANDS'),
('es-es', 'common', 'slovenia', 'ESLOVENIA'),
('es-es', 'common', 'size', 'Tamaño'),
('es-es', 'common', 'slovakia', 'ESLOVAQUIA'),
('es-es', 'common', 'singapore', 'SINGAPUR'),
('es-es', 'common', 'site configuration', 'Configuración del sitio'),
('es-es', 'common', 'sierra leone', 'SIERRA LEONA'),
('es-es', 'common', 'simple', 'Simple'),
('es-es', 'common', 'show_more_apps', 'Mostrar más aplicaciones'),
('es-es', 'common', 'showing %1', 'mostrando %1'),
('es-es', 'common', 'showing %1 - %2 of %3', 'mostrando %1 - %2 de %3'),
('es-es', 'common', 'show the logo''s of egroupware and x-desktop on the desktop.', 'Mostrar el logo de eGroupware y x-desktop en el escritorio.'),
('es-es', 'common', 'show page generation time?', '¿Mostrar el tiempo que tarda en generarse la página?'),
('es-es', 'common', 'show page generation time on the bottom of the page?', '¿Mostrar el tiempo que tarda en generarse la página en la parte inferior de la página?'),
('es-es', 'common', 'show page generation time', 'Mostrar el tiempo que tarda en generarse la página'),
('es-es', 'common', 'show menu', 'mostrar menú'),
('es-es', 'common', 'show logo''s on the desktop.', 'Mostrar logo en el escritorio'),
('es-es', 'common', 'show in sidebox', 'Mostrar en el menú lateral'),
('es-es', 'common', 'show home and logout button in main application bar?', '¿Mostrar los botones de inicio y salir en el barra de aplicaciones principal?'),
('es-es', 'common', 'show as topmenu', 'Mostrar como menú superior'),
('es-es', 'common', 'show clock?', '¿Mostrar el reloj?'),
('es-es', 'common', 'setup', 'Instalación'),
('es-es', 'common', 'setup main menu', 'Menú principal de instalación'),
('es-es', 'common', 'seychelles', 'SEYCHELLES'),
('es-es', 'common', 'show all', 'mostrar todo'),
('es-es', 'common', 'show all categorys', 'Mostrar todas las categorías'),
('es-es', 'common', 'session has been killed', 'La sesión ha sido eliminada'),
('es-es', 'common', 'server name', 'Nombre del servidor'),
('es-es', 'common', 'server contacted. waiting for response...', 'Se ha conectado con el servidor. Esperando la respuesta...'),
('es-es', 'common', 'server answered. processing response...', 'El servidor ha respondido. Procesando la respuesta...'),
('es-es', 'common', 'server %1 has been added', 'El servidor %1 ha sido añadido'),
('es-es', 'common', 'send', 'Enviar'),
('es-es', 'common', 'senegal', 'SENEGAL'),
('es-es', 'common', 'september', 'Septiembre'),
('es-es', 'common', 'serbia', 'Serbia'),
('es-es', 'common', 'selection', 'Selección'),
('es-es', 'common', 'select work email address', 'Seleccionar dirección de correo del trabajo'),
('es-es', 'common', 'select user', 'Seleccionar usuario'),
('es-es', 'common', 'select the default width for the application windows', 'Seleccione el ancho predeterminado para las ventanas de la aplicación'),
('es-es', 'common', 'select the default height for the application windows', 'Seleccione la altura predeterminada para las ventanas de la aplicación'),
('es-es', 'common', 'select one', 'Seleccionar uno'),
('es-es', 'common', 'select multiple accounts', 'seleccionar múltiples cuentas'),
('es-es', 'common', 'select home email address', 'Seleccionar dirección de correo inicial'),
('es-es', 'common', 'select group', 'Seleccionar grupo'),
('es-es', 'common', 'select date', 'Seleccionar fecha'),
('es-es', 'common', 'select category', 'Seleccionar categoría'),
('es-es', 'common', 'select all %1 %2 for %3', 'Seleccionar todos los %1 %2 para %3'),
('es-es', 'common', 'select', 'Seleccionar'),
('es-es', 'common', 'section', 'Sección'),
('es-es', 'common', 'second', 'segundo'),
('es-es', 'common', 'search accounts', 'Buscar cuentas'),
('es-es', 'common', 'search or select accounts', 'buscar o seleccionar cuentas'),
('es-es', 'common', 'search %1 ''%2''', 'Buscar %1 ''%2'''),
('es-es', 'common', 'search', 'Buscar'),
('es-es', 'common', 'save', 'Grabar'),
('es-es', 'common', 'savant2 version differs from savant2 wrapper. <br/>this version: %1 <br/>savants version: %2', 'La versión de Savant2 difiere del wrapper Savant2. <br/>Esta versión: %1 <br>Versión de Savant: %2'),
('es-es', 'common', 'saudi arabia', 'ARABIA SAUDI'),
('es-es', 'common', 'sao tome and principe', 'SAO TOME AND PRINCIPE'),
('es-es', 'common', 'saturday', 'Sábado'),
('es-es', 'common', 'san marino', 'SAN MARINO'),
('es-es', 'common', 'saint lucia', 'SAINT LUCIA'),
('es-es', 'common', 'saint pierre and miquelon', 'SAINT PIERRE AND MIQUELON'),
('es-es', 'common', 'saint vincent and the grenadines', 'SAINT VINCENT AND THE GRENADINES'),
('es-es', 'common', 'samoa', 'SAMOA'),
('es-es', 'common', 'saint kitts and nevis', 'SAINT KITTS AND NEVIS'),
('es-es', 'common', 'saint helena', 'SANTA ELENA'),
('es-es', 'common', 'rwanda', 'RUANDA'),
('es-es', 'common', 'russian federation', 'FEDERACION RUSA'),
('es-es', 'common', 'russian', 'Ruso'),
('es-es', 'common', 'romania', 'RUMANIA'),
('es-es', 'common', 'right', 'Derecha'),
('es-es', 'common', 'reunion', 'REUNION'),
('es-es', 'common', 'returns struct of users application access', 'Devuelve la estructura del acceso de los usuarios a la aplicación'),
('es-es', 'common', 'returns an array of todo items', 'Devuelve un array de elementos pendientes'),
('es-es', 'common', 'returns a full list of accounts on the system.  warning: this is return can be quite large', 'Devuelve una lista completa de las cuentas del sistema. Aviso: puede ser bastante largo'),
('es-es', 'common', 'restore failed', 'Fallo al restaurar'),
('es-es', 'common', 'replace with', 'Sustituir por'),
('es-es', 'common', 'resource type', 'Tipo de recurso'),
('es-es', 'common', 'rename', 'Renombrar'),
('es-es', 'common', 'replace', 'Sustituir'),
('es-es', 'common', 'remove shortcut', 'Eliminar acceso directo'),
('es-es', 'common', 'remove selected accounts', 'borrar las cuentas seleccionadas'),
('es-es', 'common', 'remember me', 'recordarme'),
('es-es', 'common', 'reject', 'Rechazar'),
('es-es', 'common', 'regular', 'Regular'),
('es-es', 'common', 'register', 'registrarse'),
('es-es', 'common', 'reading', 'leyendo'),
('es-es', 'common', 'read', 'Leer'),
('es-es', 'common', 'read this list of methods.', 'Leer esta lista de métodos'),
('es-es', 'common', 'puerto rico', 'PUERTO RICO'),
('es-es', 'common', 'qatar', 'QATAR'),
('es-es', 'common', 'public', 'público'),
('es-es', 'common', 'properties', 'Propiedades'),
('es-es', 'common', 'project', 'Proyecto'),
('es-es', 'common', 'programs', 'Programas'),
('es-es', 'common', 'priority', 'Prioridad'),
('es-es', 'common', 'private', 'Privado'),
('es-es', 'common', 'print', 'Imprimir'),
('es-es', 'common', 'primary style-sheet:', 'Hoja de estilo principal:'),
('es-es', 'common', 'previous page', 'Página anterior'),
('es-es', 'common', 'preferences for the idots template set', 'Preferencias para las plantillas de idots'),
('es-es', 'common', 'powered by', 'Proporcionado por'),
('es-es', 'common', 'preferences', 'Preferencias'),
('es-es', 'common', 'poland', 'POLONIA'),
('es-es', 'common', 'portugal', 'PORTUGAL'),
('es-es', 'common', 'please wait...', 'Por favor, espere...'),
('es-es', 'common', 'please, check back with us shortly.', 'Por favor, vuelva a comprobar dentro de un rato.'),
('es-es', 'common', 'please set your preferences for this application', 'Por favor, elija sus preferencias para esta aplicación'),
('es-es', 'common', 'please set your global preferences', 'Por favor, ponga sus preferencias globales'),
('es-es', 'common', 'please select', 'Por favor, seleccione'),
('es-es', 'common', 'please run setup to become current', 'Por favor ejecute la instalación para actualizar'),
('es-es', 'common', 'please %1 by hand', 'Por favor %1 manualmente'),
('es-es', 'common', 'please enter a name', 'Por favor, introduzca un nombre'),
('es-es', 'common', 'phpgwapi', 'API de eGroupWare'),
('es-es', 'common', 'pitcairn', 'PITCAIRN'),
('es-es', 'common', 'peru', 'PERU'),
('es-es', 'common', 'philippines', 'FILIPINAS'),
('es-es', 'common', 'personal', 'Personal'),
('es-es', 'common', 'permisson denied!', 'Permiso denegado'),
('es-es', 'common', 'permission denied!', '¡Permiso denegado!'),
('es-es', 'common', 'permissions to the files/users directory', 'permisos a los directorios de archivos/usuarios'),
('es-es', 'common', 'path to user and group files has to be outside of the webservers document-root!!!', '¡¡La ruta a los ficheros de usuario y grupos DEBE ESTAR FUERA de la raíz de los documentos del servidor web!!'),
('es-es', 'common', 'password must have at least %1 characters', 'La contraseña debe tener al menos %1 caracteres'),
('es-es', 'common', 'password must contain at least %1 uppercase letters', 'La contraseña debe contener al menos %1 letras mayúsculas'),
('es-es', 'common', 'password must contain at least %1 special characters', 'La contraseña debe contener al menos %1 caracteres especiales'),
('es-es', 'common', 'password must contain at least %1 numbers', 'La contraseña debe contener al menos %1 números'),
('es-es', 'common', 'password must contain at least %1 lowercase letters', 'La contraseña debe contener al menos %1 letras minúsculas'),
('es-es', 'common', 'password has been updated', 'Su contraseña ha sido actualizada'),
('es-es', 'common', 'password could not be changed', 'No se pudo cambiar la contraseña'),
('es-es', 'common', 'password', 'Contraseña'),
('es-es', 'common', 'parent category', 'Categoría superior'),
('es-es', 'common', 'parcel', 'Paquete'),
('es-es', 'common', 'paraguay', 'PARAGUAY'),
('es-es', 'common', 'papua new guinea', 'PAPUA NEW GUINEA'),
('es-es', 'common', 'panama', 'PANAMA'),
('es-es', 'common', 'palau', 'PALAU'),
('es-es', 'common', 'palestinian territory, occupied', 'PALESTINIAN TERRITORY, OCCUPIED'),
('es-es', 'common', 'pakistan', 'PAKISTAN'),
('es-es', 'common', 'page was generated in %1 seconds', 'La página se generó en %1 segundos'),
('es-es', 'common', 'owner', 'Propietario'),
('es-es', 'common', 'page', 'Página'),
('es-es', 'common', 'overview', 'Resumen'),
('es-es', 'common', 'other', 'Otros'),
('es-es', 'common', 'original', 'Original'),
('es-es', 'common', 'ordered list', 'Lista ordenada'),
('es-es', 'common', 'open sidebox', 'Abrir caja lateral'),
('es-es', 'common', 'open popup window', 'Abrir ventana emergente'),
('es-es', 'common', 'open notify window', 'Abrir ventana de notificación'),
('es-es', 'common', 'only yours', 'sólo los suyos'),
('es-es', 'common', 'oops! you caught us in the middle of system maintainance.', '¡Ups! Nos ha pillado en mitad del mantenimiento del sistema'),
('es-es', 'common', 'only private', 'sólo los privados'),
('es-es', 'common', 'on mouse over', 'Al mover el ratón por encima'),
('es-es', 'common', 'on *nix systems please type: %1', 'En sistemas *nix, por favor, escriba: %1'),
('es-es', 'common', 'oman', 'OMAN'),
('es-es', 'common', 'old value', 'Valor anterior'),
('es-es', 'common', 'ok', 'Aceptar'),
('es-es', 'common', 'october', 'Octubre'),
('es-es', 'common', 'november', 'Noviembre'),
('es-es', 'common', 'notify your administrator to correct this situation', 'Notifíquelo a su administrador para corregir esta situación'),
('es-es', 'common', 'notify window', 'Ventana de notificación'),
('es-es', 'common', 'notifications', 'notificaciones'),
('es-es', 'common', 'note', 'Nota'),
('es-es', 'common', 'notes', 'Notas'),
('es-es', 'common', 'not assigned', 'sin asignar'),
('es-es', 'common', 'not readable %1 entry of user %2', 'No se puede leer la entrada %1 del usuario %2'),
('es-es', 'common', 'not', 'no'),
('es-es', 'common', 'not a user yet? register now', '¿Todavía no es usuario? Regístrese ahora'),
('es-es', 'common', 'norway', 'NORUEGA'),
('es-es', 'common', 'northern mariana islands', 'NORTHERN MARIANA ISLANDS'),
('es-es', 'common', 'normal', 'Normal'),
('es-es', 'common', 'norfolk island', 'NORFOLK ISLAND'),
('es-es', 'common', 'none', 'Ninguno'),
('es-es', 'common', 'no subject', 'Sin asunto'),
('es-es', 'common', 'no savant2 template directories were found in:', 'No se encontraron directorios para plantillas Savant2 en:'),
('es-es', 'common', 'no history for this record', 'No hay historial para este registro'),
('es-es', 'common', 'no', 'No'),
('es-es', 'common', 'no entries found, try again ...', 'No se encontraron entradas, inténtelo de nuevo'),
('es-es', 'common', 'niue', 'NIUE'),
('es-es', 'common', 'nigeria', 'NIGERIA'),
('es-es', 'common', 'nicaragua', 'NICARAGUA'),
('es-es', 'common', 'niger', 'NIGER'),
('es-es', 'common', 'next page', 'Página siguiente'),
('es-es', 'common', 'next', 'Siguiente'),
('es-es', 'common', 'new zealand', 'NUEVA ZELANDA'),
('es-es', 'common', 'new value', 'Nuevo valor'),
('es-es', 'common', 'new main category', 'Nueva categoría principal'),
('es-es', 'common', 'new entry added sucessfully', 'La nueva entrada se ha añadido correctamente'),
('es-es', 'common', 'new caledonia', 'NUEVA CALEDONIA'),
('es-es', 'common', 'never', 'Nunca'),
('es-es', 'common', 'netherlands antilles', 'ANTILLAS HOLANDESAS'),
('es-es', 'common', 'netherlands', 'HOLANDA'),
('es-es', 'common', 'nepal', 'NEPAL'),
('es-es', 'common', 'nauru', 'NAURU'),
('es-es', 'common', 'namibia', 'NAMIBIA'),
('es-es', 'common', 'namespace', 'Espacio de nombres'),
('es-es', 'common', 'name of the user, eg. "%1"', 'Nombre del usuario, p.ej. "%1"'),
('es-es', 'common', 'name', 'Nombre'),
('es-es', 'common', 'myanmar', 'MYANMAR'),
('es-es', 'common', 'multiple', 'múltiple'),
('es-es', 'common', 'mozambique', 'MOZAMBIQUE'),
('es-es', 'common', 'morocco', 'MARRUECOS'),
('es-es', 'common', 'montserrat', 'MONTSERRAT'),
('es-es', 'common', 'montenegro', 'Montenegro'),
('es-es', 'common', 'mongolia', 'MONGOLIA'),
('es-es', 'common', 'monaco', 'MONACO'),
('es-es', 'common', 'monday', 'Lunes'),
('es-es', 'common', 'minute', 'minuto'),
('es-es', 'common', 'moldova, republic of', 'MOLDOVA, REPUBLIC OF'),
('es-es', 'common', 'mexico', 'MEXICO');
INSERT INTO `egw_lang` (`lang`, `app_name`, `message_id`, `content`) VALUES
('es-es', 'common', 'micronesia, federated states of', 'MICRONESIA, FEDERATED STATES OF'),
('es-es', 'common', 'message', 'Mensaje'),
('es-es', 'common', 'medium', 'Medio'),
('es-es', 'common', 'menu', 'Menú'),
('es-es', 'common', 'may', 'Mayo'),
('es-es', 'common', 'mayotte', 'MAYOTTE'),
('es-es', 'common', 'mauritius', 'MAURICIO'),
('es-es', 'common', 'max number of icons in navbar', 'Número máximo de iconos en la barra de navegación'),
('es-es', 'common', 'mauritania', 'MAURITANIA'),
('es-es', 'common', 'marshall islands', 'MARSHALL ISLANDS'),
('es-es', 'common', 'martinique', 'MARTINICA'),
('es-es', 'common', 'mali', 'MALI'),
('es-es', 'common', 'malta', 'MALTA'),
('es-es', 'common', 'march', 'Marzo'),
('es-es', 'common', 'malawi', 'MALAWI'),
('es-es', 'common', 'malaysia', 'MALASIA'),
('es-es', 'common', 'maldives', 'MALDIVAS'),
('es-es', 'common', 'maintainer', 'Mantenido por'),
('es-es', 'common', 'main screen', 'Pantalla principal'),
('es-es', 'common', 'main category', 'Categoria principal'),
('es-es', 'common', 'mail domain, eg. "%1"', 'dominio de correo, p.ej. "%1"'),
('es-es', 'common', 'madagascar', 'MADAGASCAR'),
('es-es', 'common', 'macau', 'MACAU'),
('es-es', 'common', 'macedonia, the former yugoslav republic of', 'Macedonia'),
('es-es', 'common', 'low', 'Baja'),
('es-es', 'common', 'lowest', 'La más baja'),
('es-es', 'common', 'luxembourg', 'LUXEMBURGO'),
('es-es', 'common', 'lost password', 'Se ha perdido la contraseña'),
('es-es', 'common', 'lost login id', 'Se ha perdido el id de sesion'),
('es-es', 'common', 'logout', 'Salir'),
('es-es', 'common', 'loginid', 'ID de usuario'),
('es-es', 'common', 'local', 'Local'),
('es-es', 'common', 'login', 'Entrar'),
('es-es', 'common', 'list members', 'Lista de miembros'),
('es-es', 'common', 'lithuania', 'LITUANIA'),
('es-es', 'common', 'list', 'Lista'),
('es-es', 'common', 'line %1: ''%2''<br><b>csv data does not match column-count of table %3 ==> ignored</b>', 'Línea %1: ''%2''<br><b>los datos csv no coinciden con el número de columnas de la tabla %3 ==> ignorado</b>'),
('es-es', 'common', 'line %1: ''%2''<br><b>csv data does contain ##last-check-run## of table %3 ==> ignored</b>', 'Línea %1: ''%2''<br><b>los datos csv contienen ##last-check-run## de la tabla %3 ==> ignorado</b>'),
('es-es', 'common', 'liechtenstein', 'LIECHTENSTEIN'),
('es-es', 'common', 'license', 'Licencia'),
('es-es', 'common', 'libyan arab jamahiriya', 'LIBYAN ARAB JAMAHIRIYA'),
('es-es', 'common', 'liberia', 'LIBERIA'),
('es-es', 'common', 'lesotho', 'LESOTHO'),
('es-es', 'common', 'left', 'Izquierda'),
('es-es', 'common', 'lebanon', 'LIBANO'),
('es-es', 'common', 'ldap-mgr', 'Administrador LDAP'),
('es-es', 'common', 'lastname', 'Apellido'),
('es-es', 'common', 'latvia', 'LATVIA'),
('es-es', 'common', 'last page', 'Última página'),
('es-es', 'common', 'last name', 'Apellido'),
('es-es', 'common', 'last name of the user, eg. "%1"', 'Apellido del usuario, p.ej. "%1"'),
('es-es', 'common', 'last modified', 'Última modificación'),
('es-es', 'common', 'lao peoples democratic republic', 'LAO PEOPLES DEMOCRATIC REPUBLIC'),
('es-es', 'common', 'language_direction_rtl', 'Idioma de derecha a izquierda'),
('es-es', 'common', 'language', 'Idioma'),
('es-es', 'common', 'kyrgyzstan', 'KYRGYZSTAN'),
('es-es', 'common', 'kuwait', 'KUWAIT'),
('es-es', 'common', 'korean', 'Coreano'),
('es-es', 'common', 'korea, republic of', 'COREA, REPUBLICA DE'),
('es-es', 'common', 'korea, democratic peoples republic of', 'COREA, DEMOCRATIC PEOPLES REPUBLIC OF'),
('es-es', 'common', 'kiribati', 'KIRIBATI'),
('es-es', 'common', 'kenya', 'KENIA'),
('es-es', 'common', 'keywords', 'Palabras clave'),
('es-es', 'common', 'kazakstan', 'KAZAKSTAN'),
('es-es', 'common', 'justify right', 'Alinear a la derecha'),
('es-es', 'common', 'justify left', 'Alinear a la izquierda'),
('es-es', 'common', 'jordan', 'JORDANIA'),
('es-es', 'common', 'july', 'Julio'),
('es-es', 'common', 'jun', 'Jun'),
('es-es', 'common', 'june', 'Junio'),
('es-es', 'common', 'justify center', 'Centrar'),
('es-es', 'common', 'justify full', 'Justificado'),
('es-es', 'common', 'japan', 'JAPON'),
('es-es', 'common', 'japanese', 'Japonés'),
('es-es', 'common', 'january', 'Enero'),
('es-es', 'common', 'italy', 'ITALIA'),
('es-es', 'common', 'jamaica', 'JAMAICA'),
('es-es', 'common', 'italic', 'Cursiva'),
('es-es', 'common', 'it is recommended that you run setup to upgrade your tables to the current version', 'Se recomienda que ejecute la instalación para actualizar las tablas a la versión actual'),
('es-es', 'common', 'it has been more then %1 days since you changed your password', 'Hace más de %1 días que cambió su contraseña'),
('es-es', 'common', 'iraq', 'IRAK'),
('es-es', 'common', 'ireland', 'IRLANDA'),
('es-es', 'common', 'israel', 'ISRAEL'),
('es-es', 'common', 'iran, islamic republic of', 'IRAN, ISLAMIC REPUBLIC OF'),
('es-es', 'common', 'insert row before', 'Insertar una fila antes'),
('es-es', 'common', 'international', 'Internacional'),
('es-es', 'common', 'invalid filename', 'El nombre de fichero no es válido'),
('es-es', 'common', 'invalid ip address', 'La dirección IP no es válida'),
('es-es', 'common', 'invalid password', 'La contraseña no es válida'),
('es-es', 'common', 'insert row after', 'Insertar una fila despues'),
('es-es', 'common', 'insert all %1 addresses of the %2 contacts in %3', 'Inserte todas las direcciones %1 de los contactos de %2 en %3'),
('es-es', 'common', 'insert column after', 'Insertar columna after'),
('es-es', 'common', 'insert column before', 'Insertar una columna before'),
('es-es', 'common', 'if the clock is enabled would you like it to update it every second or every minute?', 'Si el reloj está activado, ¿desea actualizarlo cada segundo o cada minuto?'),
('es-es', 'common', 'if there are some images in the background folder you can choose the one you would like to see.', 'Si hay algunas imágenes en la carpeta de fondo, puede elegir la que desea ver.'),
('es-es', 'common', 'image directory relative to document root (use / !), example:', 'Directorio de imágenes relativo a la raíz de los documentos (use / !). Ejemplo:'),
('es-es', 'common', 'image url', 'URL de la imagen'),
('es-es', 'common', 'india', 'INDIA'),
('es-es', 'common', 'indonesia', 'INDONESIA'),
('es-es', 'common', 'iceland', 'ISLANDIA'),
('es-es', 'common', 'iespell not detected. click ok to go to download page.', 'No se detectó ieSpell. Pulse Aceptar para ir a la página de descargas.'),
('es-es', 'common', 'how to show the general egroupware menu ?', '¿Cómo mostrar el menú general de eGroupWare?'),
('es-es', 'common', 'hungary', 'HUNGRÍA'),
('es-es', 'common', 'how many icons should be shown in the navbar (top of the page). additional icons go into a kind of pulldown menu, callable by th', 'Cuántos iconos se muestran en la barra de navegación (en la parte superior de la página). Los iconos adicionales van en una especie de menú desplegable, que se activa pulsando en el icono que hay en el extremo derecho de la barra.'),
('es-es', 'common', 'hong kong', 'HONG KONG'),
('es-es', 'common', 'home email', 'correo electrónico particular'),
('es-es', 'common', 'honduras', 'HONDURAS'),
('es-es', 'common', 'guinea-bissau', 'GUINEA-BISSAU'),
('es-es', 'common', 'guyana', 'GUYANA'),
('es-es', 'common', 'haiti', 'HAITI'),
('es-es', 'common', 'heard island and mcdonald islands', 'HEARD ISLAND AND MCDONALD ISLANDS'),
('es-es', 'common', 'height', 'Altura'),
('es-es', 'common', 'help', 'Ayuda'),
('es-es', 'common', 'high', 'Alta'),
('es-es', 'common', 'highest', 'La más alta'),
('es-es', 'common', 'holy see (vatican city state)', 'HOLY SEE (VATICANO)'),
('es-es', 'common', 'home', 'Inicio'),
('es-es', 'common', 'guam', 'GUAM'),
('es-es', 'common', 'guatemala', 'GUATEMALA'),
('es-es', 'common', 'guinea', 'GUINEA'),
('es-es', 'common', 'groups without permission for %1', 'Grupos sin permiso para %1'),
('es-es', 'common', 'guadeloupe', 'GUADALUPE'),
('es-es', 'common', 'groupdav', 'Servidor para CalDAV, CarDAV y GroupDAV'),
('es-es', 'common', 'groups', 'Grupos'),
('es-es', 'common', 'groups with permission for %1', 'Grupos con permiso para %1'),
('es-es', 'common', 'group public', 'Grupo público'),
('es-es', 'common', 'group name', 'nombre del grupo'),
('es-es', 'common', 'group access', 'Acceso del grupo'),
('es-es', 'common', 'greek', 'Griego'),
('es-es', 'common', 'greenland', 'GREENLAND'),
('es-es', 'common', 'grenada', 'GRANADA'),
('es-es', 'common', 'group', 'Grupo'),
('es-es', 'common', 'greece', 'GRECIA'),
('es-es', 'common', 'grant access', 'Conceder acceso'),
('es-es', 'common', 'global public', 'Publico Global'),
('es-es', 'common', 'global', 'Global'),
('es-es', 'common', 'ghana', 'GHANA'),
('es-es', 'common', 'gibraltar', 'GIBRALTAR'),
('es-es', 'common', 'germany', 'ALEMANIA'),
('es-es', 'common', 'georgia', 'GEORGIA'),
('es-es', 'common', 'german', 'Alemán'),
('es-es', 'common', 'gambia', 'GAMBIA'),
('es-es', 'common', 'general menu', 'Menú general'),
('es-es', 'common', 'fullscreen mode', 'Modo de pantalla completa'),
('es-es', 'common', 'gabon', 'GABON'),
('es-es', 'common', 'ftp', 'FTP'),
('es-es', 'common', 'fullname', 'Nombre completo'),
('es-es', 'common', 'forever', 'Para siempre'),
('es-es', 'common', 'france', 'FRANCIA'),
('es-es', 'common', 'french guiana', 'GUAYANA FRANCESA'),
('es-es', 'common', 'french polynesia', 'FRENCH POLYNESIA'),
('es-es', 'common', 'french southern territories', 'FRENCH SOUTHERN TERRITORIES'),
('es-es', 'common', 'friday', 'Viernes'),
('es-es', 'common', 'first page', 'Primera página'),
('es-es', 'common', 'firstname', 'Nombre de pila'),
('es-es', 'common', 'fixme!', '¡Corríjame!'),
('es-es', 'common', 'folder already exists.', 'La carpeta ya existe'),
('es-es', 'common', 'force selectbox', 'Forzar cuadro de selección'),
('es-es', 'common', 'finland', 'FINLANDIA'),
('es-es', 'common', 'first name', 'Nombre de pila'),
('es-es', 'common', 'first name of the user, eg. "%1"', 'Nombre de pila del usuario, ej "%1"'),
('es-es', 'common', 'filter', 'Filtro'),
('es-es', 'common', 'fiji', 'FIJI'),
('es-es', 'common', 'files', 'Ficheros:'),
('es-es', 'common', 'february', 'Febrero'),
('es-es', 'common', 'fields', 'Campos'),
('es-es', 'common', 'features of the editor?', '¿Características del editor?'),
('es-es', 'common', 'faroe islands', 'ISLAS FEROE'),
('es-es', 'common', 'falkland islands (malvinas)', 'MALVINAS'),
('es-es', 'common', 'exact', 'exacto'),
('es-es', 'common', 'failed to contact server or invalid response from server. try to relogin. contact admin in case of faliure.', 'No se pudo conectar con el servidor, o se obtuvo una respuesta no válida. Intente volver a iniciar la sesión. Póngase en contacto con el administrador en caso de fallo.'),
('es-es', 'common', 'error deleting %1 %2 directory', 'Error eliminando el directorio %1 %2'),
('es-es', 'common', 'error renaming %1 %2 directory', 'Error renombrando el directorio %1 %2'),
('es-es', 'common', 'estonia', 'ESTONIA'),
('es-es', 'common', 'ethiopia', 'ETIOPIA'),
('es-es', 'common', 'everything', 'Todo'),
('es-es', 'common', 'equatorial guinea', 'GUINEA ECUATORIAL'),
('es-es', 'common', 'eritrea', 'ERITREA'),
('es-es', 'common', 'error', 'Error'),
('es-es', 'common', 'error creating %1 %2 directory', 'Error creando el directorio %1 %2'),
('es-es', 'common', 'entry not found!', '¡No se encontró la entrada!'),
('es-es', 'common', 'entry updated sucessfully', 'La entrada ha sido actualizada correctamente'),
('es-es', 'common', 'end time', 'Hora de finalización'),
('es-es', 'common', 'entry has been deleted sucessfully', 'La entrada ha sido eliminada correctamente'),
('es-es', 'common', 'enabled', 'Habilitado'),
('es-es', 'common', 'end date', 'Fecha de finalización'),
('es-es', 'common', 'email', 'Correo electrónico'),
('es-es', 'common', 'email-address of the user, eg. "%1"', 'Dirección de correo electrónico del usuario, ej. ''%1'''),
('es-es', 'common', 'egypt', 'EGIPTO'),
('es-es', 'common', 'el salvador', 'EL SALVADOR'),
('es-es', 'common', 'egroupware api version', 'Versión de la API eGroupWare'),
('es-es', 'common', 'egroupware: login blocked for user ''%1'', ip %2', 'eGroupWare: inicio de sesión bloqueado para el usuario ''%1'', IP %2'),
('es-es', 'common', 'edit category', 'Editar categoría'),
('es-es', 'common', 'egroupware', 'eGroupWare'),
('es-es', 'common', 'edit categories', 'Editar categorías'),
('es-es', 'common', 'east timor', 'EAST TIMOR'),
('es-es', 'common', 'eastern european', 'Europeo del este'),
('es-es', 'common', 'ecuador', 'ECUADOR'),
('es-es', 'common', 'edit', 'Editar'),
('es-es', 'common', 'edit %1 category for', 'Editar %1 categoría para'),
('es-es', 'common', 'domestic', 'Doméstico'),
('es-es', 'common', 'dominica', 'DOMINICA'),
('es-es', 'common', 'dominican republic', 'REPUBLICA DOMINICANA'),
('es-es', 'common', 'e-mail', 'Correo electrónico'),
('es-es', 'common', 'document title:', 'Título del documento'),
('es-es', 'common', 'domain', 'Dominio'),
('es-es', 'common', 'domain name for mail-address, eg. "%1"', 'Nombre del dominio para la dirección de correo, ej. "%1"'),
('es-es', 'common', 'doctype:', 'DOCTYPE:'),
('es-es', 'common', 'document properties', 'Propiedades del documento'),
('es-es', 'common', 'disabled', 'Deshabilitado'),
('es-es', 'common', 'djibouti', 'DJIBOUTI'),
('es-es', 'common', 'do you also want to delete all subcategories ?', '¿Desea eliminar también todas las subcategorías?'),
('es-es', 'common', 'disable the execution a bugfixscript for internet explorer 5.5 and higher to show transparency in png-images?', '¿Desactivar la ejecución del parche para Internet Explorer 5.5 y superiores para mostrar transparencia en imágenes PNG?'),
('es-es', 'common', 'disable internet explorer png-image-bugfix', 'Desactivar el parche de IE para ver imágenes PNG'),
('es-es', 'common', 'disable slider effects', 'Desactivar efectos deslizantes'),
('es-es', 'common', 'disable the animated slider effects when showing or hiding menus in the page? opera and konqueror users will probably must want ', '¿Desactivar los efectos deslizantes animados al mostrar u ocultar menús en la página? Los usuarios de Opera y Konqueror probablemente querrán esto.'),
('es-es', 'common', 'directory', 'Directorio'),
('es-es', 'common', 'directory does not exist, is not readable by the webserver or is not relative to the document root!', '¡El directorio no existe, el servidor web no lo puede leer o no es relativo a la raíz de los documentos!'),
('es-es', 'common', 'direction left to right', 'Dirección de izquierda a derecha'),
('es-es', 'common', 'detail', 'Detalle'),
('es-es', 'common', 'details', 'Detalles'),
('es-es', 'common', 'diable the execution a bugfixscript for internet explorer 5.5 and higher to show transparency in png-images?', '¿Desactivar la ejecución del script que corrige el bug de IE 5.5 y superiores para mostrar transparencias en imágenes PNG?'),
('es-es', 'common', 'delete row', 'Eliminar una fila'),
('es-es', 'common', 'denmark', 'DINAMARCA'),
('es-es', 'common', 'description', 'Descripción'),
('es-es', 'common', 'default width for the windows', 'Ancho predeterminado para las ventanas'),
('es-es', 'common', 'delete', 'Eliminar'),
('es-es', 'common', 'default category', 'Categoría predeterminada'),
('es-es', 'common', 'default height for the windows', 'Altura predeterminada para las ventanas'),
('es-es', 'common', 'date', 'Fecha'),
('es-es', 'common', 'date due', 'Fecha límite'),
('es-es', 'common', 'december', 'Diciembre'),
('es-es', 'common', 'czech republic', 'REPUBLICA CHECA'),
('es-es', 'common', 'database error', 'Error en la base de datos'),
('es-es', 'common', 'database error!', '¡Error en la base de datos!'),
('es-es', 'common', 'current', 'Actual'),
('es-es', 'common', 'current users', 'Usuarios actuales'),
('es-es', 'common', 'cyprus', 'CHIPRE'),
('es-es', 'common', 'create', 'Crear'),
('es-es', 'common', 'created by', 'Creado por'),
('es-es', 'common', 'croatia', 'CROACIA'),
('es-es', 'common', 'cuba', 'CUBA'),
('es-es', 'common', 'currency', 'Cambio'),
('es-es', 'common', 'could not contact server. operation timed out!', 'No se pudo conectar con el servidor. La operación superó el tiempo límite de espera'),
('es-es', 'common', 'content type', 'Tipo de contenido'),
('es-es', 'common', 'cook islands', 'COOK ISLANDS'),
('es-es', 'common', 'copy', 'Copiar'),
('es-es', 'common', 'costa rica', 'COSTA RICA'),
('es-es', 'common', 'cote d ivoire', 'COSTA DE MARFIL'),
('es-es', 'common', 'contacting server...', 'Conectando con el servidor...'),
('es-es', 'common', 'congo, the democratic republic of the', 'CONGO, THE DEMOCRATIC REPUBLIC OF THE'),
('es-es', 'common', 'congo', 'CONGO'),
('es-es', 'common', 'comoros', 'COMOROS'),
('es-es', 'common', 'common preferences', 'Preferencias comunes'),
('es-es', 'common', 'colombia', 'COLOMBIA'),
('es-es', 'common', 'cocos (keeling) islands', 'COCOS (KEELING) ISLANDS'),
('es-es', 'common', 'collection empty.', 'La colección está vacía'),
('es-es', 'common', 'collection listing', 'Listado de colecciones'),
('es-es', 'common', 'close sidebox', 'Cerrar caja lateral'),
('es-es', 'common', 'close', 'Cerrar'),
('es-es', 'common', 'click this image on the navbar: %1', 'Pulse esta imagen en la barra de navegación: %1'),
('es-es', 'common', 'click or mouse over to show menus?', '¿Mostrar los menús al pulsar sobre ellos o al mover el ratón por encima?'),
('es-es', 'common', 'click or mouse over to show menus', 'Mostrar los menús al pulsar sobre ellos o al mover el ratón por encima'),
('es-es', 'common', 'click here to resume your egroupware session.', 'Pulse aquí para continuar su sesión de eGroupWare.'),
('es-es', 'common', 'clear', 'Limpiar'),
('es-es', 'common', 'clear form', 'Limpiar formulario'),
('es-es', 'common', 'click', 'Al pulsar'),
('es-es', 'common', 'christmas island', 'CHRISTMAS ISLAND'),
('es-es', 'common', 'choose the parent category', 'Elija la categoría superior'),
('es-es', 'common', 'choose the category', 'Elija la categoría'),
('es-es', 'common', 'choose a text color for the icons', 'Elegir un color del texto para los iconos'),
('es-es', 'common', 'choose a background style.', 'Elegir un estilo para el fondo'),
('es-es', 'common', 'choose a background image.', 'Elegir una image de fondo'),
('es-es', 'common', 'choose a background color for the icons', 'Elegir un color de fondo para los iconos'),
('es-es', 'common', 'choose a background color', 'Elegir un color de fondo'),
('es-es', 'common', 'china', 'CHINA'),
('es-es', 'common', 'chile', 'CHILE'),
('es-es', 'common', 'charset', 'utf-8'),
('es-es', 'common', 'check installation', 'Comprobar la instalación'),
('es-es', 'common', 'check now', 'Comprobar ahora'),
('es-es', 'common', 'chad', 'CHAD'),
('es-es', 'common', 'change', 'Cambiar'),
('es-es', 'common', 'centered', 'centrado'),
('es-es', 'common', 'central african republic', 'CENTRAL AFRICAN REPUBLIC'),
('es-es', 'common', 'cayman islands', 'Islas Caimán'),
('es-es', 'common', 'cc', 'CC'),
('es-es', 'common', 'category %1 has been updated !', '¡Se ha actualizado la categoría %1!'),
('es-es', 'common', 'category', 'Categoría'),
('es-es', 'common', 'category %1 has been added !', '¡Se ha añadido la categoría %1!'),
('es-es', 'common', 'categories for', 'categorías para'),
('es-es', 'common', 'categories', 'Categorías'),
('es-es', 'common', 'cant open ''%1'' for %2', 'No se puede abrir ''%1'' para ''%2'''),
('es-es', 'common', 'cape verde', 'Cabo Verde'),
('es-es', 'common', 'caption', 'Título'),
('es-es', 'common', 'cant open %1, needs ziparchive', 'No se puede abrir %1, se necesita ZipArchive'),
('es-es', 'common', 'cannot replace %1 because it is a directory', 'No se puede sustituir %1 porque es un directorio'),
('es-es', 'common', 'brunei darussalam', 'BRUNEI DARUSSALAM'),
('es-es', 'common', 'bulgaria', 'BULGARIA'),
('es-es', 'common', 'bulgarian', 'Búlgaro'),
('es-es', 'common', 'burkina faso', 'BURKINA FASO'),
('es-es', 'common', 'burundi', 'BURUNDI'),
('es-es', 'common', 'calendar', 'Calendario'),
('es-es', 'common', 'cambodia', 'CAMBODIA'),
('es-es', 'common', 'cameroon', 'Camerún'),
('es-es', 'common', 'canada', 'Canadá'),
('es-es', 'common', 'cancel', 'Cancelar'),
('es-es', 'common', 'brazil', 'BRASIL'),
('es-es', 'common', 'british indian ocean territory', 'BRITISH INDIAN OCEAN TERRITORY'),
('es-es', 'common', 'border', 'Borde'),
('es-es', 'common', 'bosnia and herzegovina', 'BOSNIA AND HERZEGOVINA'),
('es-es', 'common', 'botswana', 'BOTSWANA'),
('es-es', 'common', 'bottom', 'Bottom'),
('es-es', 'common', 'bouvet island', 'BOUVET ISLAND'),
('es-es', 'common', 'bold', 'Negrita'),
('es-es', 'common', 'bolivia', 'BOLIVIA'),
('es-es', 'common', 'bhutan', 'BHUTAN'),
('es-es', 'common', 'blocked, too many attempts', 'Bloqueado, demasiados intentos'),
('es-es', 'common', 'benin', 'BENIN'),
('es-es', 'common', 'bermuda', 'BERMUDAS'),
('es-es', 'common', 'belgium', 'BELGICA'),
('es-es', 'common', 'belize', 'BELIZE'),
('es-es', 'common', 'barbados', 'BARBADOS'),
('es-es', 'common', 'bcc', 'Cco'),
('es-es', 'common', 'belarus', 'BELARUS'),
('es-es', 'common', 'bahrain', 'BAHRAIN'),
('es-es', 'common', 'bangladesh', 'BANGLADESH'),
('es-es', 'common', 'bad login or password', 'Nombre de usuario o contraseña incorrectas'),
('es-es', 'common', 'bahamas', 'BAHAMAS'),
('es-es', 'common', 'backupdir ''%1'' is not writeable by the webserver', 'El directorio de copia de seguridad ''%1'' no tiene permiso de escritura para el servidor web'),
('es-es', 'common', 'back to user login', 'Volver al inicio de sesión del usuario'),
('es-es', 'common', 'background color:', 'Color de fondo:'),
('es-es', 'common', 'autosave default category', 'Guardar auotmáticamente la categoria predeterminada'),
('es-es', 'common', 'azerbaijan', 'AZERBAIJAN'),
('es-es', 'common', 'back', 'Atrás'),
('es-es', 'common', 'automatically hide the sidebox menus?', '¿Ocultar automáticamente los menús laterales?'),
('es-es', 'common', 'autohide sidebox menus', 'Ocultar automáticamente los menús laterales'),
('es-es', 'common', 'automatically hide the sidebox menu''s?', '¿Ocultar automáticamente el menú lateral?'),
('es-es', 'common', 'author', 'Autor'),
('es-es', 'common', 'autohide sidebox menu''s', 'Ocultar automáticamente el menú lateral'),
('es-es', 'common', 'august', 'Agosto'),
('es-es', 'common', 'australia', 'AUSTRALIA'),
('es-es', 'common', 'austria', 'AUSTRIA'),
('es-es', 'common', 'argentina', 'ARGENTINA'),
('es-es', 'common', 'armenia', 'ARMENIA'),
('es-es', 'common', 'aruba', 'ARUBA'),
('es-es', 'common', 'are you sure you want to delete this entry ?', '¿Está seguro de querer borrar esta entrada?'),
('es-es', 'common', 'april', 'Abril'),
('es-es', 'common', 'are you sure you want to delete these entries ?', '¿Seguro que desea borrar estas entradas?'),
('es-es', 'common', 'apply', 'Aplicar'),
('es-es', 'common', 'application', 'Aplicación'),
('es-es', 'common', 'antigua and barbuda', 'ANTIGUA AND BARBUDA'),
('es-es', 'common', 'antarctica', 'ANTARCTICA'),
('es-es', 'common', 'andorra', 'ANDORRA'),
('es-es', 'common', 'angola', 'ANGOLA'),
('es-es', 'common', 'anguilla', 'ANGUILLA'),
('es-es', 'common', 'alternate style-sheet:', 'Hola de estilo alternativa:'),
('es-es', 'common', 'american samoa', 'AMERICAN SAMOA'),
('es-es', 'common', 'an error happened', 'Ha ocurrido un error'),
('es-es', 'common', 'an existing and by the webserver readable directory enables the image browser and upload.', 'Un directorio existente Y donde el servidor web pueda leer activa el navegar por imágenes, y también subirlas al servidor.'),
('es-es', 'common', 'algeria', 'ARGELIA'),
('es-es', 'common', 'all', 'Todos'),
('es-es', 'common', 'all fields', 'todos los campos'),
('es-es', 'common', 'all languages', 'todos los idiomas'),
('es-es', 'common', 'alphabet', 'a,b,c,d,e,f,g,h,i,j,k,l,ll,m,n,ñ,o,p,q,r,s,t,u,v,w,x,y,z'),
('es-es', 'common', 'admin', 'Administración'),
('es-es', 'common', 'administration', 'Administración'),
('es-es', 'common', 'afghanistan', 'AFGHANISTAN'),
('es-es', 'common', 'albania', 'ALBANIA'),
('es-es', 'common', 'addressbooks to sync with apple clients', 'Libretas de direcciones a sincronizar con clientes Apple'),
('es-es', 'common', 'addressbooks for carddav attribute "addressbook-home-set".', 'Libretas de direcciones para el atributo CardDAV "addressbook-home-set"'),
('es-es', 'common', 'add sub', 'Añadir sub'),
('es-es', 'common', 'add shortcut', 'Añadir acceso directo'),
('es-es', 'common', 'add category', 'Añadir categoría'),
('es-es', 'common', 'add %1 category for', 'Añadir %1 categoría para'),
('es-es', 'common', 'add', 'Añadir'),
('es-es', 'common', 'active', 'Activo'),
('es-es', 'common', 'acl', 'LCA'),
('es-es', 'common', 'action', 'Acción'),
('es-es', 'common', 'accounts', 'Cuentas'),
('es-es', 'common', 'account is expired', 'La cuenta ha expirado'),
('es-es', 'common', 'access not permitted', 'Acceso no permitido'),
('es-es', 'common', 'about egroupware', 'Acerca de eGroupware'),
('es-es', 'common', 'access', 'Acceso'),
('es-es', 'common', 'about', 'Acerca de'),
('es-es', 'common', 'about %1', 'Acerca de %1'),
('es-es', 'common', '1 week', '1 semana'),
('es-es', 'common', '1 month', '1 mes'),
('es-es', 'common', '1 hour', '1 hora'),
('es-es', 'common', '1 day', '1 día'),
('es-es', 'common', '(session restored in %1 seconds)', '(la sesión se ha restaurado en %1 segundos)'),
('es-es', 'common', '%1egroupware%2 is a multi-user, web-based groupware suite written in %3php%4.', '%1eGroupWare%2 es una herramienta de trabajo en grupo, multiusuario y basada en web escrita en %3PHP%4'),
('es-es', 'common', '%1choose an other directory%2<br />or make %3 writeable by webserver', '%1Elegir otro directorio%2<br />o dar a %3 permiso de escritura para el servidor web'),
('es-es', 'common', '%1 is not executable by the webserver !!!', '%1 no tiene permiso de ejecución para el servidor web'),
('es-es', 'common', '%1 file', 'fichero %1'),
('es-es', 'common', 'publish questions automatically?', '¿Publicar preguntas automáticamente?'),
('es-es', 'common', 'phpfreechat', 'freechat'),
('es-es', 'common', '%1 email addresses inserted', 'Se han insertado %1 direcciones de correo'),
('es-es', 'common', 'linked entries:', 'Entradas vinculadas:'),
('es-es', 'common', 'notification', 'Notificaciones'),
('es-es', 'common', 'have to be approved first', 'Tiene que ser aprobado antes'),
('es-es', 'common', 'knowledge base configuration', 'Configuración de la base de conocimiento'),
('es-es', 'common', 'phpbrain', 'Base de conocimiento'),
('es-es', 'common', 'publish articles automatically?', '¿Publicar artículos automáticamente?'),
('es-es', 'common', 'publish comments automatically?', '¿Publicar comentarios automáticamente?'),
('es-es', 'common', 'configure rss exports', 'Configurar exportación RSS'),
('es-es', 'common', 'news_admin', 'Administrador de noticias'),
('es-es', 'common', 'submitted by', 'Enviado por'),
('es-es', 'common', 'infolog preferences', 'Preferencias del registro'),
('es-es', 'common', 'manual', 'Manual / Ayuda'),
('es-es', 'common', 'configure access permissions', 'Configurar permisos de acceso'),
('es-es', 'common', 'schedule', 'Planificar'),
('es-es', 'common', 'schedule import / export', 'Planificar importación/exportación'),
('es-es', 'common', 'csv-import', 'Importar fichero CSV'),
('es-es', 'common', 'custom fields, typ and status', 'Campos personalizados, tipo y estado'),
('es-es', 'common', 'done', 'Hecho'),
('es-es', 'common', 'info log', 'Registro de notas y tareas'),
('es-es', 'common', 'infolog', 'Registro de notas y tareas'),
('es-es', 'common', 'importexport', 'importar/exportar'),
('es-es', 'common', 'import definitions', 'Importar definiciones'),
('es-es', 'common', 'new', 'Nuevo'),
('es-es', 'common', 'unread', 'No leído'),
('es-es', 'common', 'vacation notice', 'aviso de vacaciones'),
('es-es', 'common', '%1 files', '%1 ficheros'),
('es-es', 'common', 'all files', 'Todos los ficheros'),
('es-es', 'common', 'applications', 'Aplicaciones'),
('es-es', 'common', 'filemanager', 'Administrador de archivos'),
('es-es', 'common', 'define imports|exports', 'Definir importaciones|exportaciones'),
('es-es', 'common', 'manage sieve', 'Administrar scripts Sieve'),
('es-es', 'common', 'manage folders', 'Administrar carpetas'),
('es-es', 'common', 'manage emailaccounts', 'Administrar cuentas de correo'),
('es-es', 'common', 'manage email accounts and identities', 'Administrar cuentas de correo e identidades'),
('es-es', 'common', 'filter rules', 'reglas de filtrado'),
('es-es', 'common', 'new search', 'Nueva búsqueda'),
('es-es', 'common', 'felamimail', 'FelaMiMail'),
('es-es', 'common', 'emailadmin: user assigned profile', 'eMailAdmin: perfil asignado al usuario'),
('es-es', 'common', 'etemplate', 'Plantilla electrónica'),
('es-es', 'common', 'email settings', 'Configuración del correo electrónico'),
('es-es', 'common', 'emailadmin: group assigned profile', 'eMailAdmin: perfil asignado al grupo'),
('es-es', 'common', 'import csv-file', 'Importar fichero CSV'),
('es-es', 'common', 'developer_tools', 'Herramientas de traducción'),
('es-es', 'common', 'custom_2', 'disponibilidad'),
('es-es', 'common', 'freebusy', 'Libre/Ocupado'),
('es-es', 'common', 'custom fields', 'Campos personalizados'),
('es-es', 'common', 'import bookmarks', 'Importar marcadores'),
('es-es', 'common', 'bookmarks', 'Marcadores'),
('es-es', 'common', 'export bookmarks', 'Exportar marcadores'),
('es-es', 'common', 'book marks', 'Marcadores'),
('es-es', 'common', 'user data', 'Datos del usuario'),
('es-es', 'common', 'installed applications', 'Aplicaciones instaladas'),
('es-es', 'common', 'group has been updated', 'El grupo ha sido actualizado'),
('es-es', 'common', 'group has been deleted', 'El grupo se ha borrado'),
('es-es', 'common', 'group has been added', 'El grupo se ha añadido'),
('es-es', 'common', 'global categories', 'Categorías globales'),
('es-es', 'common', 'are you sure you want to delete this category ?', '¿Está seguro de que quiere borrar esta categoría?'),
('es-es', 'common', 'acl rights', 'Permisos de LCA'),
('es-es', 'common', 'account has been updated', 'La cuenta ha sido actualizada'),
('es-es', 'common', 'account has been deleted', 'La cuenta ha sido borrada'),
('es-es', 'common', 'account has been created', 'Se ha creado la cuenta'),
('es-es', 'common', 'zip code', 'Código postal'),
('es-es', 'common', 'tomorrow is %1''s birthday.', '¡Mañana es el cumpleaños de %1!'),
('es-es', 'common', 'vcard', 'Tarjeta de visita'),
('es-es', 'common', 'phone number', 'Número de teléfono'),
('es-es', 'common', 'phone numbers', 'Números de teléfono'),
('es-es', 'common', 'postal', 'Postal'),
('es-es', 'common', 'state', 'Provincia'),
('es-es', 'common', 'street', 'Calle'),
('es-es', 'common', 'today is %1''s birthday!', '¡Hoy es el cumpleaños de %1!'),
('es-es', 'common', 'contact', 'Contacto'),
('es-es', 'common', 'country', 'País'),
('es-es', 'common', 'department', 'Departamento'),
('es-es', 'common', 'fax number', 'Fax'),
('es-es', 'common', 'grant addressbook access', 'Conceder acceso a la libreta de direcciones'),
('es-es', 'common', 'pager', 'Buscapersonas'),
('es-es', 'common', 'business', 'Empresa'),
('es-es', 'common', 'city', 'Ciudad'),
('es-es', 'common', 'company', 'Compañía'),
('es-es', 'common', 'configuration', 'Configuración'),
('es-es', 'common', 'birthdays', 'Cumpleaños'),
('es-es', 'admin', 'yes with navbar', 'Sí, con barra de navegación'),
('es-es', 'common', 'address book', 'Libreta de direcciones'),
('es-es', 'common', 'addressbook', 'Libreta de direcciones'),
('es-es', 'common', 'birthday', 'Fecha de nacimiento'),
('es-es', 'admin', 'url of the upload directory', 'URL del directorio para subir ficheros'),
('es-es', 'admin', 'yes always', 'Sí, siempre'),
('es-es', 'admin', 'readonly', 'sólo lectura'),
('es-es', 'admin', 'picture upload via richtext editor (leave the upload directory empty to disable the upload)', 'Subir ficheros con el editor de texto enriquecido (dejar el directorio de subir en blanco para desactivar)'),
('es-es', 'admin', 'name wiki home link', 'nombre del enlace de la página de inicio del wiki'),
('es-es', 'admin', 'no never', 'No, nunca'),
('es-es', 'admin', 'no only on request', 'No, sólo si se pide'),
('es-es', 'admin', 'only if browser supports a richtext-editor', 'Sólo si el navegador soporta un editor de texto enriquecido'),
('es-es', 'admin', 'path of the upload directory (has to be writable by the webserver!)', 'Ruta al directorio de subir ficheros (el servidor web debe tener derecho de escritura)'),
('es-es', 'admin', 'enable wiki links', 'Activar enlaces wiki'),
('es-es', 'admin', 'interwikiprefix', 'Prefijo InterWiki'),
('es-es', 'admin', 'emailaddress administrator', 'Correo del administrador'),
('es-es', 'admin', 'enable free links', 'Activar enlaces libres'),
('es-es', 'admin', 'edit with preview', 'Editar con vista previa'),
('es-es', 'admin', 'editable', 'editable'),
('es-es', 'admin', 'anonymous session type', 'Tipo de sesión anónimo'),
('es-es', 'admin', 'automatically convert pages with wiki-syntax to richtext (if edited)?', '¿Convertir páginas automáticamente con sintaxis de wiki a texto enriquecido (si se editan)?'),
('es-es', 'admin', 'after how many days should old versions of a page be removed (0 for never)', '¿Después de cuántos días deben borrarse las versiones antiguas de una página (0 para nunca)?'),
('es-es', 'admin', 'allow anonymous access', 'permitir acceso anónimo'),
('es-es', 'admin', '(don''t offer the possibility)', 'No ofrecer la posibilidad'),
('es-es', 'admin', 'show a quantity sum (eg. to sum up negative overtime)', 'Mostrar una suma de cantidades (p. ej. sumar tiempo extra negativo)'),
('es-es', 'admin', 'projectmanager integration', 'Integración con el Administrador de proyectos'),
('es-es', 'admin', 'none: use only free project-names', 'Ninguno: usar sólo nombres de proyecto libres'),
('es-es', 'admin', 'full: use only projectmanager', 'Completo: usar sólo el Administrador de proyectos'),
('es-es', 'admin', 'both: allow to use projectmanager and free project-names', 'Ambos: permitir usar nombres de proyectos del Administrador de proyectos y libres'),
('es-es', 'admin', 'smb homepath', 'ruta al directorio smb'),
('es-es', 'admin', 'samba sid', 'SID de Samba'),
('es-es', 'admin', 'profilepath', 'Ruta al perfil'),
('es-es', 'admin', 'path to mkntpwd', 'Ruta al fichero de contraseñas'),
('es-es', 'admin', 'new account defaults', 'Opciones predeterminadas de nuevas cuentas'),
('es-es', 'admin', 'logonscript', 'Script de inicio'),
('es-es', 'admin', 'homedrive', 'Unidad del usuario'),
('es-es', 'admin', 'computer ou', 'ou del ordenador'),
('es-es', 'admin', 'computer group', 'Grupo del ordenador'),
('es-es', 'admin', 'check ldap setup (experimental!!!)', 'comprobar configuración ldap (experimental)'),
('es-es', 'admin', 'configure access permissions', 'Configurar permisos de acceso'),
('es-es', 'admin', 'username is', 'El nombre de usuario es'),
('es-es', 'admin', 'use trial accounts?', '¿Usar cuentas de prueba?'),
('es-es', 'admin', 'use html', 'usar HTML'),
('es-es', 'admin', 'terms of service text', 'Texto de términos del servicio'),
('es-es', 'admin', 'subject for confirmation email', 'Asunto para correo de confirmación'),
('es-es', 'admin', 'send email', 'Enviar correo'),
('es-es', 'admin', 'registration settings', 'Configuración del autorregistro'),
('es-es', 'admin', 'name sender to send notices from', 'Nombre del remitente desde el cual se envían noticias'),
('es-es', 'admin', 'password is', 'La contraseña es'),
('es-es', 'admin', 'register link at login screen?', '¿Enlace de registro en la pantalla de inicio de sesión?'),
('es-es', 'admin', 'manage fields', 'Administrar campos'),
('es-es', 'admin', 'lost user id link at login screen?', '¿Enlace de id de usuario perdido en la pantalla de inicio de sesión?'),
('es-es', 'admin', 'lost password link at login screen?', '¿Enlace de contraseña perdida en la pantalla de inicio de sesión?'),
('es-es', 'admin', 'immediately', 'Inmediatamente'),
('es-es', 'admin', 'http username', 'Usuario HTTP'),
('es-es', 'admin', 'http password', 'Contraseña HTTP'),
('es-es', 'admin', 'enable registration?', '¿Activar autorregistro?'),
('es-es', 'admin', 'email address to send notices from', 'Dirección de correo electrónico desde la que se envían noticias'),
('es-es', 'admin', 'email address to display for support', 'Dirección de correo electrónico para soporte'),
('es-es', 'admin', 'display terms of service?', '¿Mostrar términos del servicio?'),
('es-es', 'admin', 'convert user login id to 7 bit string', 'Convertir el ID del usuario a una cadena de 7 bits'),
('es-es', 'admin', 'days until trial accounts expire', 'Días hasta que expiren las cuentas de prueba'),
('es-es', 'admin', 'activate account', 'Activar cuenta'),
('es-es', 'admin', 'voting booth admin', 'Puesto del voto'),
('es-es', 'admin', 'view system information', 'Ver información del sistema'),
('es-es', 'admin', 'phpsysinfo', 'Información del sistema'),
('es-es', 'admin', '80 (http)', '80 (http)'),
('es-es', 'admin', 'datetime port.<br>if using port 13, please set firewall rules appropriately before submitting this page.<br>(port: 13 / host: 12', 'Puerto de fecha.<br>Si usa el puerto 13, por favor, configure adecuadamente las reglas del cortafuegos antes de enviar esta página.<br>'),
('es-es', 'admin', '13 (ntp)', '13 (ntp)'),
('es-es', 'admin', '00 (disable)', '00 (desactivar)'),
('es-es', 'admin', 'should the article view make an automatic table of contents?', '¿Debe generarse una tabla de contenidos automáticamente al ver el artículo?'),
('es-es', 'admin', 'windows-popup backend', 'Método ventana emergente de Windows'),
('es-es', 'admin', 'name of the backlink to the index:', 'Nombre del enlace de vuelta al índice:'),
('es-es', 'admin', 'sms backend', 'Método SMS'),
('es-es', 'admin', 'maximum sms messages per notification', 'Número máximo de mensajes SMS por notificación'),
('es-es', 'admin', 'mail backend', 'Gestor de correo'),
('es-es', 'admin', 'enable egroupware-popup backend', 'Activar el método de ventanas emergentes de eGroupWare'),
('es-es', 'admin', 'enable sms backend', 'Activar el método SMS'),
('es-es', 'admin', 'enable windows-popup backend', 'Activar el método ventanas emergentes de Windows'),
('es-es', 'admin', 'emailadmin profile only (do not use user defined (active) mail profiles for notification)', 'Sólo el perfil de emailadmin (no usar perfiles activos definidos para el usuario para la notificación)'),
('es-es', 'admin', 'egroupware-popup backend', 'Método ventana emergente de eGroupWare'),
('es-es', 'admin', 'choose from mailsettings used for notification', 'elegir de la configuración utilizada para notificaciones de correo'),
('es-es', 'admin', 'check both (first try (active) user defined account, if none use emailadmin profile)', 'Comprobar ambos (probar primero con la cuenta activa definida para el usuario, y si no hay ninguna, usar el perfil de emailadmin)'),
('es-es', 'admin', 'picture upload (leave the upload directory empty to disable the upload)', 'Subir imagen (dejar el directorio en blanco para desactivar subir imágenes)'),
('es-es', 'admin', 'maintain news', 'Mantener noticias'),
('es-es', 'admin', 'wiki id for the local manual, default 1, 0 to use the wiki to edit the manual pages', 'Id del wiki para el manual local (predeterminado: 1). Poner "0" para usar el wiki para editar las páginas del manual.'),
('es-es', 'admin', 'update url for the local manual, default', 'La URL predeterminada para actualizar el manual local'),
('es-es', 'admin', 'remote egroupware url for the manual to use, empty for a local manual, default', 'URL remota de eGroupWare para usar el manual. Dejar en blanco para un manual en local (predeterminado)'),
('es-es', 'admin', 'install or update the manual-pages', 'instalar o actualizar las páginas del manual'),
('es-es', 'admin', 'anonymous username', 'usuario anónimo'),
('es-es', 'admin', 'anonymous password', 'Contraseña anónimo'),
('es-es', 'admin', 'allow anonymous access to the manual, only necessary to act as remote manual', 'Permitir acceso anónimo al manual, sólo necesario para actuar como manual remoto'),
('es-es', 'admin', 'max folderlinks', 'Número máximo de enlaces a carpetas'),
('es-es', 'admin', 'filemanager configuration', 'configuración del administrador de archivos'),
('es-es', 'admin', 'allow a maximum of the above configured folderlinks to be configured in settings', 'permitir un máximo de los enlaces configurados arriba para configurarse en las preferencias'),
('es-es', 'admin', 'use smtp auth', 'Usar identificación SMTP'),
('es-es', 'admin', 'users can define their own emailaccounts', 'Los usuarios pueden definir sus propias cuentas de correo'),
('es-es', 'admin', 'sieve settings', 'Configuración de Sieve'),
('es-es', 'admin', 'smtp settings', 'Opciones SMTP'),
('es-es', 'admin', 'select your mail server type', 'Seleccionar el tipo de servidor de correo'),
('es-es', 'admin', 'organization name', 'Nombre de la organización'),
('es-es', 'admin', 'mail server login type', 'Tipo de sesión del servidor de correo'),
('es-es', 'admin', 'enter your sieve server port', 'Introduzca el puerto del servidor SIEVE'),
('es-es', 'admin', 'enter your sieve server hostname or ip address', 'Introduzca el nombre del servidor SIEVE o la dirección IP'),
('es-es', 'admin', 'imap admin user', 'usuario administrador IMAP'),
('es-es', 'admin', 'enter your imap mail server hostname or ip address', 'Introduzca el nombre del servidor de correo IMAP o la dirección IP'),
('es-es', 'admin', 'imap admin password', 'contraseña del administrador IMAP'),
('es-es', 'admin', 'users + groups: inviting both allways requires an invite grant', 'Usuarios y grupos: invitar a ambos siempre requiere un permiso para invitar'),
('es-es', 'admin', 'show only the date, not the year', 'Mostrar sólo la fecha, no el año'),
('es-es', 'admin', 'show birthdays from addressbook', 'Mostrar cumpleaños de la libreta de direcciones'),
('es-es', 'admin', 'setting lock time calender', 'Estableciendo el tiempo de bloqueo para el calendario (predeterminado: 1 segundo)'),
('es-es', 'admin', 'require an acl grant to invite other users and groups', 'Requerir el permiso de una ACL para invitar a otros grupos'),
('es-es', 'admin', 'prevent deleting of entries', 'Prevenir el borrado de entradas'),
('es-es', 'admin', 'location to autoload from', 'Lugar desde donde cargar automáticamente'),
('es-es', 'admin', 'groups: other users can allways be invited, only groups require an invite grant', 'Grupos: siempre se puede invitar a otros usuarios, sólo los grupos requieren permiso de invitación'),
('es-es', 'admin', 'every user can invite other users and groups', 'Cada usuario puede invitar a otros usuarios y grupos'),
('es-es', 'admin', 'do you wish to autoload calendar holidays files dynamically?', '¿Desea cargar automáticamente en el calendario los ficheros de fiestas?'),
('es-es', 'admin', 'calendar settings', 'Preferencias del calendario'),
('es-es', 'admin', 'birthdays', 'Cumpleaños'),
('es-es', 'admin', 'calendar holiday management', 'Gestión de días festivos'),
('es-es', 'admin', 'your session could not be verified.', 'Su sesión no pudo ser verificada.'),
('es-es', 'admin', 'your last submission was less then %1 days ago!', '¡Su último envío fue hace menos de %1 días!'),
('es-es', 'admin', 'you will need to remove the subcategories before you can delete this category', 'Deberá eliminar las subcategorías antes de poder borrar esta categoría'),
('es-es', 'admin', 'you need to enter install id and password!', '¡Necesita introducir el ID de instalación o la contraseña!'),
('es-es', 'admin', 'you must select at least one group member.', 'Debe seleccionar al menos un miembro del grupo.'),
('es-es', 'admin', 'you must select a file type', 'Debe seleccionar un tipo de archivo'),
('es-es', 'admin', 'you must enter an application title.', 'Debe introducir un título para la aplicación'),
('es-es', 'admin', 'you must enter an application name.', 'Debe introducir un nombre de aplicación'),
('es-es', 'admin', 'you must enter an application name and title.', 'Debe introducir nombre y título para la aplicación.'),
('es-es', 'admin', 'you must enter a lastname', 'Debe introducir un apellido'),
('es-es', 'admin', 'you must enter a loginid', 'Debe introducir un nombre de usuario'),
('es-es', 'admin', 'you must enter a group name.', 'Debe introducir un nombre de grupo'),
('es-es', 'admin', 'you must add at least 1 permission or group to this account', 'Debe añadir al menos 1 permiso o grupo para esta cuenta'),
('es-es', 'admin', 'you have to enter a name, to create a new type!!!', '¡Tiene que introducir un nombre para crear un tipo nuevo!'),
('es-es', 'admin', 'you have to enter a name, to create a new field!!!', 'Tiene que introducir un nombre para crear un nuevo campo'),
('es-es', 'admin', 'you have no email address for your user set !!!', '¡No se ha establecido todavía una dirección de correo para su usuario!'),
('es-es', 'admin', 'you have entered an invalid expiration date', 'Ha introducido una fecha de expiración que no es válida'),
('es-es', 'admin', 'xml-rpc', 'XML-RPC'),
('es-es', 'admin', 'wrong admin-account or -password !!!', '¡La cuenta de administración o la contraseña son incorrectas!'),
('es-es', 'admin', 'wrong account type: %1 is no %2 !!!', 'Tipo de cuenta incorrecta: ¡%1 no es %2!'),
('es-es', 'admin', 'would you like to show each application''s upgrade status ?', '¿Desea mostrar el estado de actualización de cada aplicación?'),
('es-es', 'admin', 'would you like to automaticaly load new langfiles (at login-time) ?', '¿Desea cargar automáticamente nuevos ficheros de idioma (al iniciar la sesión)?'),
('es-es', 'admin', 'would you like egroupware to check for new application versions when admins login ?', '¿Desea que eGroupWare compruebe nuevas versiones de las aplicaciones cuando un administrador inicie la sesión?'),
('es-es', 'admin', 'would you like egroupware to check for a new version<br>when admins login ?', '¿Desea que eGroupWare revise si hay versiones nuevas<br>cuando inicie la sesión un administrador?'),
('es-es', 'admin', 'would you like egroupware to cache the egw info array ?', '¿Desea que eGroupWare almacene en memoria el array egw info?'),
('es-es', 'admin', 'who would you like to transfer all records owned by the deleted user to?', '¿A quién desea transferirle todos los registros del usuario eliminado?'),
('es-es', 'admin', 'we hope you understand the importance for this voluntary statistic and not deny it lightly.', 'Esperamos que comprenda la importancia de esta estadística voluntaria y no denegarla a la ligera.'),
('es-es', 'admin', 'we ask for the data to improve our profile in the press and to get a better understanding of egroupware''s user base and it''s nee', 'Solicitamos los datos para mejorar nuestro perfil en la prensa y para obtener una mejor comprensión del usuario base de EGroupware y sus necesidades'),
('es-es', 'admin', 'view user account', 'Ver cuenta de usuario'),
('es-es', 'admin', 'view this user', 'ver este usuario'),
('es-es', 'admin', 'view sessions', 'Ver sesiones'),
('es-es', 'admin', 'view error log', 'Ver registro de errores'),
('es-es', 'admin', 'view account', 'Ver cuenta'),
('es-es', 'admin', 'view category', 'Ver categoría'),
('es-es', 'admin', 'view access log', 'Ver registro de acceso'),
('es-es', 'admin', 'value for column %1 is not unique!', '¡El valor para la columna %1 no es única!'),
('es-es', 'admin', 'users choice', 'A elegir por el usuario'),
('es-es', 'admin', 'userdata', 'Datos del usuario'),
('es-es', 'admin', 'user groups', 'Grupos de usuarios'),
('es-es', 'admin', 'user for smtp-authentication (leave it empty if no auth required)', 'Usuario para identificación SMTP (dejar en blanco si no se necesita)'),
('es-es', 'admin', 'user accounts', 'Cuentas de usuario'),
('es-es', 'admin', 'use theme', 'Usar tema'),
('es-es', 'admin', 'use pure html compliant code (not fully working yet)', 'Usar codigo HTML puro (todavía no funciona completamente)'),
('es-es', 'admin', 'usage', 'Uso'),
('es-es', 'admin', 'use cookies to pass sessionid', 'Usar cookies para almacenar sesiones'),
('es-es', 'admin', 'url of the egroupware installation, eg. http://domain.com/egroupware', 'La URL de la instalación de eGroupWare, p. ej. http://dominio.com/egroupware'),
('es-es', 'admin', 'updated', 'actualizado'),
('es-es', 'admin', 'unknown command %1!', 'Comando desconocido: %1'),
('es-es', 'admin', 'unknown option %1', 'Opción desconocida: %1'),
('es-es', 'admin', 'unknown account: %1 !!!', '¡¡La cuenta es desconocida: %1!!'),
('es-es', 'admin', 'under windows you need to install the asyncservice %1manually%2 or use the fallback mode. fallback means the jobs get only check', 'En windows, se necesita instalar asyncservice %1manualmente%2 o usar el modo de fallos. El modo de fallos sólo comprueba los trabajos después de ver cada página. ¡Cuidado!'),
('es-es', 'admin', 'type of customfield', 'Tipo de campo personalizado'),
('es-es', 'admin', 'type ''%1'' already exists !!!', '¡El tipo ''%1'' ya existe!'),
('es-es', 'admin', 'two weeks', 'dos semanas'),
('es-es', 'admin', 'two months', 'dos meses'),
('es-es', 'admin', 'two days', 'dos días'),
('es-es', 'admin', 'two hours', 'dos horas'),
('es-es', 'admin', 'trust level', 'Nivel de confianza'),
('es-es', 'admin', 'trust relationship', 'Relaciones de confianza'),
('es-es', 'admin', 'true', 'verdadero'),
('es-es', 'admin', 'total of %1 id''s changed.', 'Se han cambiado en total %1 ids'),
('es-es', 'admin', 'total records', 'Total de registros'),
('es-es', 'admin', 'top', 'Superior'),
('es-es', 'admin', 'to allow us to track the growth of your individual installation use this submit id, otherwise delete it:', 'Para permitirnos seguir el crecimiento de su instalación individual use este ID de envío. Si no, bórrelo:'),
('es-es', 'admin', 'times', 'Horas'),
('es-es', 'admin', 'timeout for sessions in seconds (default 14400 = 4 hours)', 'Tiempo límite para las sesiones en segundos (por defecto 14400 = 4 horas)'),
('es-es', 'admin', 'timeout for application session data in seconds (default 86400 = 1 day)', 'Tiempo límite para los datos de la sesión de la aplicación en segundos (por defecto 86400 = 1 día)'),
('es-es', 'admin', 'this category is currently being used by applications as a parent category', 'Esta categoría está siendo usada por aplicaciones como categoría padre.'),
('es-es', 'admin', 'this application requires an upgrade', 'Esta aplicación necesita ser actualizada'),
('es-es', 'admin', 'they must be removed before you can continue', 'Deben ser eliminados para poder continuar'),
('es-es', 'admin', 'this application is current', 'Esta aplicación está al día');
INSERT INTO `egw_lang` (`lang`, `app_name`, `message_id`, `content`) VALUES
('es-es', 'admin', 'there already is a group with this name. userid''s can not have the same name as a groupid', 'Ya hay un grupo con este nombre. El id de usuario no puede tener el mismo nombre que el id de un grupo.'),
('es-es', 'admin', 'the users bellow are still members of group %1', 'Los usuarios siguientes todavía son miembros del grupo %1'),
('es-es', 'admin', 'the two passwords are not the same', 'Las dos contraseñas no son iguales'),
('es-es', 'admin', 'the text displayed to the user', 'el texto mostrado al usuario'),
('es-es', 'admin', 'the testjob sends you a mail everytime it is called.', 'El trabajo de prueba le envía un correo cada vez que se ejecuta'),
('es-es', 'admin', 'the loginid can not be more then 8 characters', 'El nombre de usuario no puede superar 8 caracteres'),
('es-es', 'admin', 'the name used internaly (<= 20 chars), changeing it makes existing data unavailible', 'el nombre usado internamente (<= 20 caracteres). Si se cambia, los datos ya no están disponibles.'),
('es-es', 'admin', 'the login and password can not be the same', 'El usuario y la contraseña NO pueden ser iguales'),
('es-es', 'admin', 'the install id of an instance can be found under admin > site configuration', 'El ID de instalación de una instancia se puede encontrar en Administración -> Configuración del sitio'),
('es-es', 'admin', 'the groups must include the primary group', 'Los grupos deben incluir el grupo principal'),
('es-es', 'admin', 'the api requires an upgrade', 'La API requiere ser actualizada'),
('es-es', 'admin', 'the cumulated and anonymised data will be publically available:', 'Los datos acumulados y anónimos estarán disponibles públicamente:'),
('es-es', 'admin', 'the api is current', 'La API está al día'),
('es-es', 'admin', 'that server name has been used already !', '¡Ese nombre de servidor ya ha sido usado!'),
('es-es', 'admin', 'that name has been used already', 'Ese nombre ya ha sido usado'),
('es-es', 'admin', 'that loginid has already been taken', 'Ese nombre de usuario ya está siendo utilizado'),
('es-es', 'admin', 'that application order must be a number.', 'El orden de la aplicación debe ser un número.'),
('es-es', 'admin', 'text entry', 'Entrada de texto'),
('es-es', 'admin', 'that application name already exists.', 'Ese nombre de aplicación ya existe.'),
('es-es', 'admin', 'template selection', 'Selección de plantilla'),
('es-es', 'admin', 'subtype', 'Subtipo'),
('es-es', 'admin', 'subversion checkout', 'Checkout de subversion'),
('es-es', 'admin', 'success', 'correcto'),
('es-es', 'admin', 'switch it off, if users are randomly thrown out', 'Desactivarlo si a los usuarios se les cierra la sesión aleatoriamente'),
('es-es', 'admin', 'submit to egroupware.org', 'Enviar a egroupware.org'),
('es-es', 'admin', 'submit the search string', 'Enviar la cadena de búsqueda'),
('es-es', 'admin', 'submit statistic information', 'Enviar información estadística'),
('es-es', 'admin', 'submit changes', 'Enviar cambios'),
('es-es', 'admin', 'submit displayed information?', '¿Enviar la información mostrada?'),
('es-es', 'admin', 'start testjob!', 'Iniciar el trabajo de prueba'),
('es-es', 'admin', 'standard smtp-server', 'servidor SMTP estándar'),
('es-es', 'admin', 'standard pop3 server', 'servidor POP3 estándar'),
('es-es', 'admin', 'standard imap server', 'servidor IMAP estándar'),
('es-es', 'admin', 'standard', 'estándar'),
('es-es', 'admin', 'ssl', 'ssl'),
('es-es', 'admin', 'sort the entries', 'ordenar las entradas'),
('es-es', 'admin', 'sorry, the follow users are still a member of the group %1', 'Los siguientes usuarios todavía son miembros del grupo %1'),
('es-es', 'admin', 'site', 'Sitio'),
('es-es', 'admin', 'soap', 'SOAP'),
('es-es', 'admin', 'sorry, that group name has already been taken.', 'Este nombre de grupo ya está en uso.'),
('es-es', 'admin', 'sorry, the above users are still a member of the group %1', 'Lo siento, los usuarios de encima todavía son miembros del grupo %1'),
('es-es', 'admin', 'show session ip address', 'Mostar la dirección IP de la sesión'),
('es-es', 'admin', 'show phpinfo()', 'Mostrar phpinfo()'),
('es-es', 'admin', 'show ''powered by'' logo on', 'Mostrar logo de ''Diseñado con'' en'),
('es-es', 'admin', 'show access log', 'Mostrar registro de acceso'),
('es-es', 'admin', 'show current action', 'Mostrar acción actual'),
('es-es', 'admin', 'show error log', 'Mostrar registro de errores'),
('es-es', 'admin', 'should the login page include a language selectbox (useful for demo-sites) ?', '¿Debe incluir la página de inicio de sesión un cuadro de selección de idioma (útil para sitios de demostración)?'),
('es-es', 'admin', 'sessions last 30 days', 'Sesiones en los últimos 30 días'),
('es-es', 'admin', 'set preference values.', 'Establecer valores para las preferencias'),
('es-es', 'admin', 'should exceptions contain a trace (including function arguments)', 'Las excepciones deben contener una traza (incluyendo argumentos de funciones)'),
('es-es', 'admin', 'server username', 'Usuario del servidor'),
('es-es', 'admin', 'server url', 'URL del servidor'),
('es-es', 'admin', 'server type(mode)', 'Tipo (modo) del servidor'),
('es-es', 'admin', 'server list', 'Listado de servidores'),
('es-es', 'admin', 'server password', 'Contraseña del servidor'),
('es-es', 'admin', 'selectbox', 'Cuadro de selección'),
('es-es', 'admin', 'server %1 has been updated', 'El servidor %1 ha sido actualizado'),
('es-es', 'admin', 'select which location this app should appear on the navbar, lowest (left) to highest (right)', 'Seleccione el lugar que desea que la aplicación ocupe en la barra, de abajo (izquierda) a arriba (derecha)'),
('es-es', 'admin', 'select where you want to store/retrieve user accounts', 'Seleccione dónde desea almacenar la información de las cuentas de usuario'),
('es-es', 'admin', 'select where you want to store/retrieve filesystem information', 'Seleccione dónde desea almacenar la informacion del sistema de archivos'),
('es-es', 'admin', 'select users for inclusion', 'Seleccionar usuarios para inclusión'),
('es-es', 'admin', 'select the parent category. if this is a main category select no category', 'Seleccione la categoría superior. Si ésta es una categoría principal seleccione SIN CATEGORIA'),
('es-es', 'admin', 'select permissions this group will have', 'Seleccione los permisos que tendrá este grupo'),
('es-es', 'admin', 'select group managers', 'Seleccionar administradores de grupo'),
('es-es', 'admin', 'select accounts for which the custom field should be visible', 'Seleccionar las cuentas para las que el campo personalizado debe estar visible'),
('es-es', 'admin', 'search peer servers', 'Buscar servidores ''peer'''),
('es-es', 'admin', 'security', 'Seguridad'),
('es-es', 'admin', 'search groups', 'Buscar grupos'),
('es-es', 'admin', 'search accounts', 'Buscar cuentas'),
('es-es', 'admin', 'search categories', 'Buscar categorías'),
('es-es', 'admin', 'scheduled', 'Programada'),
('es-es', 'admin', 'saves the changes made and leaves', 'guarda los cambios y sale'),
('es-es', 'admin', 'saves this entry', 'Guarda esta entrada'),
('es-es', 'admin', 'rpm or debian package', 'Paquete RPM o Debian'),
('es-es', 'admin', 'run asynchronous services', 'Ejecutar servicios asíncronos'),
('es-es', 'admin', 'save the category', 'guardar la categoría'),
('es-es', 'admin', 'save the category and return back to the list', 'guardar la categoría y volver a la lista'),
('es-es', 'admin', 'return to view account', 'Volver a ver cuenta'),
('es-es', 'admin', 'route all mails to', 'dirigir todos los correos a'),
('es-es', 'admin', 'return to admin mainscreen', 'volver a la pantalla principal de administración'),
('es-es', 'admin', 'requested', 'Requerido'),
('es-es', 'admin', 'remove all users from this group ?', '¿Borrar todos los usuarios de este grupo?'),
('es-es', 'admin', 'remote instance saved', 'Se ha guardado la instancia remota'),
('es-es', 'admin', 'remove', 'borrar'),
('es-es', 'admin', 'remove all users from this group', 'Borrar todos los usuarios de este grupo'),
('es-es', 'admin', 'remote administration need to be enabled in the remote instance under admin > site configuration!', '¡La administración remota necesita estar activada en la instancia remota en Administración > Configuración del sitio!'),
('es-es', 'admin', 'remote administration instances', 'Instancias de administración remota'),
('es-es', 'admin', 'register application hooks', 'Registrar "hooks" de la aplicación'),
('es-es', 'admin', 'read this list of methods.', 'Leer esta lista de métodos'),
('es-es', 'admin', 're-enter password', 'Confirmar contraseña'),
('es-es', 'admin', 'quota size in mbyte', 'tamaño de la cuota en MBytes'),
('es-es', 'admin', 'quota settings', 'configuración de la cuota'),
('es-es', 'admin', 'qmaildotmode', 'qmaildotmode'),
('es-es', 'admin', 'primary group', 'Grupo principal'),
('es-es', 'admin', 'preferences', 'Preferencias'),
('es-es', 'admin', 'postpone for', 'Posponer durante'),
('es-es', 'admin', 'postfix with ldap', 'Postfix con LDAP'),
('es-es', 'admin', 'please select', 'Por favor, seleccione'),
('es-es', 'admin', 'please run setup to become current', 'Por favor ejecute setup para estar al día'),
('es-es', 'admin', 'please enter a name for that server !', 'Por favor, introduzca un nombre para  ese sevidor'),
('es-es', 'admin', 'please enter a name', 'Por favor introduzca un nombre'),
('es-es', 'admin', 'phpinfo', 'Información de PHP'),
('es-es', 'admin', 'php version', 'Versión de PHP'),
('es-es', 'admin', 'personal: eg. within a family', 'Personal: p.ej. uso familiar'),
('es-es', 'admin', 'permissions this group has', 'Permisos que tiene este grupo'),
('es-es', 'admin', 'permissions', 'Permisos'),
('es-es', 'admin', 'permission denied !!!', '¡Permiso denegado!'),
('es-es', 'admin', 'permission denied', 'Permiso denegado'),
('es-es', 'admin', 'percent this user has logged out', 'Porcentaje que este usuario ha cerrado la sesión'),
('es-es', 'admin', 'path information', 'Información de ruta'),
('es-es', 'admin', 'peer server list', 'Lista de servidores ''peer'''),
('es-es', 'admin', 'peer servers', 'Servidores ''peer'''),
('es-es', 'admin', 'percent of users that logged out', 'Porcentaje de usuarios que cerraron la sesión'),
('es-es', 'admin', 'password updated', 'Se ha actualizado la contraseña'),
('es-es', 'admin', 'password for smtp-authentication', 'Contraseña para identificación SMTP'),
('es-es', 'admin', 'passthrough', 'pasage'),
('es-es', 'admin', 'own install id:', 'ID de instalación propio:'),
('es-es', 'admin', 'outbound', 'De salida'),
('es-es', 'admin', 'operating system', 'Sistema operativo'),
('es-es', 'admin', 'order', 'Orden'),
('es-es', 'admin', 'one hour', 'una hora'),
('es-es', 'admin', 'one month', 'un mes'),
('es-es', 'admin', 'one week', 'una semana'),
('es-es', 'admin', 'only below displayed information is directly submitted to %s.', 'Sólo la información mostrada debajo se envía directamente a %s.'),
('es-es', 'admin', 'one day', 'un día'),
('es-es', 'admin', 'official egroupware usage statistic', 'Estadística oficial de uso de EGroupware'),
('es-es', 'admin', 'number of users', 'Número de usuarios'),
('es-es', 'admin', 'number of sessions / egroupware logins in the last 30 days', 'Número de sesiones / sesiones de EGroupware en los últimos 30 días'),
('es-es', 'admin', 'number of row for a multiline inputfield or line of a multi-select-box', 'número de filas para un campo multilínea or línea de una lista multiselección'),
('es-es', 'admin', 'note: ssl available only if php is compiled with curl support', 'Nota: SSL está disponible sólo si PHP está compilado con soporte curl'),
('es-es', 'admin', 'number of active users', 'número de usuarios activos'),
('es-es', 'admin', 'no permission to add users', 'no tiene permiso para añadir usuarios'),
('es-es', 'admin', 'no permission to create groups', 'no tiene permiso para crear grupos'),
('es-es', 'admin', 'non profit: clubs, associations, ...', 'Sin ánimo de lucro: clubs, asociaciones...'),
('es-es', 'admin', 'no permission to add groups', 'no tiene permiso para añadir grupos'),
('es-es', 'admin', 'no modes available', 'no hay modos disponibles'),
('es-es', 'admin', 'no matches found', 'No se encontraron resultados'),
('es-es', 'admin', 'no login history exists for this user', 'No existen registros de acceso para este usuario'),
('es-es', 'admin', 'no jobs in the database !!!', '¡No hay trabajos en la base de datos!'),
('es-es', 'admin', 'no alternate email address', 'no hay dirección de correo alternativa'),
('es-es', 'admin', 'no algorithms available', 'no hay algoritmos disponibles'),
('es-es', 'admin', 'next run', 'Siguiente ejecución'),
('es-es', 'admin', 'new password [ leave blank for no change ]', 'Nueva contraseña [ Dejar en blanco para no cambiar ]'),
('es-es', 'admin', 'new name', 'nuevo nombre'),
('es-es', 'admin', 'new group name', 'Nuevo nombre de grupo'),
('es-es', 'admin', 'name of the egroupware instance, eg. default', 'Nombre de la instancia de eGroupWare, p. ej., default'),
('es-es', 'admin', 'name must not be empty !!!', 'El nombre no debe estar vacío'),
('es-es', 'admin', 'more secure', 'más seguro'),
('es-es', 'admin', 'month', 'Mes'),
('es-es', 'admin', 'modified', 'Modificado'),
('es-es', 'admin', 'minute', 'Minuto'),
('es-es', 'admin', 'mode', 'Modo'),
('es-es', 'admin', 'method', 'Método'),
('es-es', 'admin', 'minimum account id (e.g. 500 or 100, etc.)', 'Id mínimo de cuenta (ej. 500 o 100, etc.)'),
('es-es', 'admin', 'message has been updated', 'el mensaje ha sido actualizado'),
('es-es', 'admin', 'maximum entries in click path history', 'Número máximo de entradas en la ruta del historial de pulsar con el ratón'),
('es-es', 'admin', 'maximum account id (e.g. 65535 or 1000000)', 'Id máximo de cuenta (ej. 65535 o 1000000)'),
('es-es', 'admin', 'max length of the input [, length of the inputfield (optional)]', 'longitud máxima de la entrada [, longitud del campo de entrada (opcional)]'),
('es-es', 'admin', 'manager', 'Administrador'),
('es-es', 'admin', 'main screen message', 'Mensaje de la pantalla principal'),
('es-es', 'admin', 'main email-address', 'Dirección de correo principal'),
('es-es', 'admin', 'mail settings', 'Configuración del correo.'),
('es-es', 'admin', 'logoutime', 'Hora de fin de sesión'),
('es-es', 'admin', 'loginid', 'LoginID'),
('es-es', 'admin', 'logintime', 'Hora de inicio de sesión'),
('es-es', 'admin', 'login-status', 'Estado de la sesión'),
('es-es', 'admin', 'login time', 'Hora de inicio de sesión'),
('es-es', 'admin', 'login shell', 'Shell de inicio de sesión'),
('es-es', 'admin', 'login screen', 'Pantalla de inicio de sesión'),
('es-es', 'admin', 'login message', 'Mensaje de inicio de sesión'),
('es-es', 'admin', 'login history', 'Historial de accesos'),
('es-es', 'admin', 'logged out', 'sesión finalizada'),
('es-es', 'admin', 'list of current users', 'Lista de usuarios actuales'),
('es-es', 'admin', 'list config settings', 'Lista de las opciones de configuración'),
('es-es', 'admin', 'list current sessions', 'Lista de las sesiones actuales'),
('es-es', 'admin', 'length<br>rows', 'Longitud<br>Filas'),
('es-es', 'admin', 'leaves without saveing', 'sale sin guardar'),
('es-es', 'admin', 'leave without saveing the entry', 'salir sin guardar la entrada'),
('es-es', 'admin', 'leave the group untouched and return back to the list', 'Dejar el grupo intacto y volver a la lista'),
('es-es', 'admin', 'leave the category untouched and return back to the list', 'dejar la categoría intacta y volver a la lista'),
('es-es', 'admin', 'ldap rootdn', 'rootdn LDAP'),
('es-es', 'admin', 'leave empty for no quota', 'dejar en blanco si no hay cuota'),
('es-es', 'admin', 'ldap root password', 'Clave de superusuario LDAP'),
('es-es', 'admin', 'ldap host', 'Servidor LDAP'),
('es-es', 'admin', 'ldap groups context', 'Contexto de grupos LDAP'),
('es-es', 'admin', 'ldap encryption type', 'Tipo de cifrado LDAP'),
('es-es', 'admin', 'ldap default shell (e.g. /bin/bash)', 'Shell LDAP por defecto (ej. /bin/bash)'),
('es-es', 'admin', 'last submission:', 'Último envío:'),
('es-es', 'admin', 'last time read', 'Ultima lectura'),
('es-es', 'admin', 'ldap accounts context', 'Contexto de las cuentas LDAP'),
('es-es', 'admin', 'ldap default homedirectory prefix (e.g. /home for /home/username)', 'Prefijo del directorio de inicio LDAP predeterminado (p. ej. /directorio para /directorio/usuario)'),
('es-es', 'admin', 'last login from', 'Ultimo inicio de sesión desde'),
('es-es', 'admin', 'last login', 'Ultimo inicio de sesión'),
('es-es', 'admin', 'last action', 'Última acción'),
('es-es', 'admin', 'last %1 logins for %2', 'Ultimos %1 inicios de sesión de %2'),
('es-es', 'admin', 'kill session', 'Matar sesión'),
('es-es', 'admin', 'last %1 logins', 'Ultimos %1 inicios de sesión'),
('es-es', 'admin', 'kill', 'Matar'),
('es-es', 'admin', 'ip', 'IP'),
('es-es', 'admin', 'jobs', 'Trabajos'),
('es-es', 'admin', 'invalid value "%1" use yes or no!', 'El valor "%1" no es válido. Use "sí" o "no"'),
('es-es', 'admin', 'invalid remote id or name "%1"!', '¡El nombre o id remoto %1 no es válido!'),
('es-es', 'admin', 'invalid formated date "%1"!', '¡La fecha %1 no tiene un formato válido!'),
('es-es', 'admin', 'interface', 'Interfaz'),
('es-es', 'admin', 'international use', 'Uso internacional'),
('es-es', 'admin', 'instance', 'Instancia'),
('es-es', 'admin', 'installed crontab', 'Crontab instalado'),
('es-es', 'admin', 'installed applications, percentage of allowed users and total number of entries.', 'Aplicaciones instaladas, porcentaje de usuarios permitidos y número total de entradas.'),
('es-es', 'admin', 'installation type', 'Tipo de instalación'),
('es-es', 'admin', 'install id', 'Instalar ID'),
('es-es', 'admin', 'install crontab', 'Instalar crontab'),
('es-es', 'admin', 'initial', 'Inicial'),
('es-es', 'admin', 'inbound', 'entrantes'),
('es-es', 'admin', 'in mbyte', 'en Mbytes'),
('es-es', 'admin', 'if using ldap, do you want to manage homedirectory and loginshell attributes?', 'Si se usa LDAP, ¿desea manejar los atributos del directorio de inicio y la cuenta?'),
('es-es', 'admin', 'if no acl records for user or any group the user is a member of', 'Si no se encuentran registros ACL del usuario y grupo, entonces el usuario es miembro de'),
('es-es', 'admin', 'idle', 'inactivo'),
('es-es', 'admin', 'how should email addresses for new users be constructed?', '¿Cómo deben construirse las direcciones para los usuarios nuevos?'),
('es-es', 'admin', 'icon', 'Icono'),
('es-es', 'admin', 'how many minutes should an account or ip be blocked (default 30) ?', '¿Cuántos minutos debe permanecer bloqueada una cuenta o una IP? (por defecto, 30)'),
('es-es', 'admin', 'how many entries should non-admins be able to export (empty = no limit, no = no export)', '¿Cuántas entradas deben poder exportar los usuarios que no son administradores (vacío=sin límite, no=no exportan)?'),
('es-es', 'admin', 'how many days should entries stay in the access log, before they get deleted (default 90) ?', '¿Cuántos días deben permanecer las entradas en el registro de acceso, antes de borrarlas? (por defecto, 90)'),
('es-es', 'admin', 'how big should thumbnails for linked images be (maximum in pixels) ?', '¿Qué tamaño deben tener las miniaturas para las imágenes vinculadas (máximo en pixels)?'),
('es-es', 'admin', 'hour<br>(0-23)', 'Hora<br>(0-23)'),
('es-es', 'admin', 'group ?', '¿Grupo?'),
('es-es', 'admin', 'group list', 'Lista de grupos'),
('es-es', 'admin', 'group manager', 'Administrador de grupos'),
('es-es', 'admin', 'group name', 'Nombre del grupo'),
('es-es', 'admin', 'hash', 'Hash'),
('es-es', 'admin', 'hide php information', 'Ocultar información de PHP'),
('es-es', 'admin', 'home directory', 'Directorio personal'),
('es-es', 'admin', 'host information', 'Información del servidor'),
('es-es', 'admin', 'grant', 'Conceder acceso'),
('es-es', 'admin', 'governmental: incl. state or municipal authorities or services', 'Gubernamental: incluye estado o autoridades municipales o servicios'),
('es-es', 'admin', 'go directly to admin menu, returning here the next time you click on administration.', 'Ir directamente al menú de administración, volviendo aquí la próxima vez que pulse en administración.'),
('es-es', 'admin', 'full name', 'Nombre completo'),
('es-es', 'admin', 'forward only', 'reenviar solamente'),
('es-es', 'admin', 'forward emails to', 'reenviar correos a'),
('es-es', 'admin', 'forward also to', 'reenviar también a'),
('es-es', 'admin', 'force users to change their password regularily?(empty for no,number for after that number of days', '¿Forzar a que los usuarios cambien su contraseña regularmente (en blanco es no, o un número para ese número de días)?'),
('es-es', 'admin', 'force selectbox', 'Forzar cuadro de selección'),
('es-es', 'admin', 'force password strength (1-5, default empty: no check against rules for a strong password)?', '¿Forzar robustez de la contraseña (1-5, vacío: no comprobar reglas para comprobar la debilidad)?'),
('es-es', 'admin', 'for the times below (empty values count as ''*'', all empty = every minute)', 'para las horas indicadas debajo (los valores vacíos cuentan como ''*'', todos vacío = cada minuto)'),
('es-es', 'admin', 'for the times above', 'durante las horas indicadas arriba'),
('es-es', 'admin', 'find and register all application hooks', 'Encontrar y registrar todos los "hooks" de las aplicaciones'),
('es-es', 'admin', 'file space must be an integer', 'El espacio del fichero debe ser un entero'),
('es-es', 'admin', 'file space', 'Espacio del fichero'),
('es-es', 'admin', 'field ''%1'' already exists !!!', '¡El campo ''%1'' ya existe!'),
('es-es', 'admin', 'false', 'falso'),
('es-es', 'admin', 'fallback (after each pageview)', 'retardo (después de ver cada página)'),
('es-es', 'admin', 'explanation of ldapman', 'Este módulo ha sido probado en POSTFIX, LDAP, Courier-IMAP y necesita los esquemas CORE y QMAIL (OID7914). Más detalles sobre el uso y configuración de este sistema puede encontrarse en el fichero README.ldapman en el directorio doc de ADMIN.'),
('es-es', 'admin', 'expires', 'Expira'),
('es-es', 'admin', 'error: %1 not found or other error !!!', 'Error: no se encontró %1 u otro error'),
('es-es', 'admin', 'error! no appname found', '¡Error! No se encontró el nombre de la aplicación'),
('es-es', 'admin', 'error saving to db:', 'Error al guardar a la base de datos:'),
('es-es', 'admin', 'error setting timer, wrong syntax or maybe there''s one already running !!!', 'Error al configurar el temporizador. La sintaxis es incorrecta o puede que haya uno que ya se esté ejecutándo.'),
('es-es', 'admin', 'error saving the command!', '¡Error al guardar el comando!'),
('es-es', 'admin', 'error saving account!', '¡Error al guardar la cuenta!'),
('es-es', 'admin', 'error saving', 'Error al guardar'),
('es-es', 'admin', 'error deleting log entry!', '¡Error al borrar la entrada del log!'),
('es-es', 'admin', 'error changing the password for %1 !!!', '¡Error al cambiar la contraseña para %1!'),
('es-es', 'admin', 'error changing the password for % !!!', '¡Error al cambiar la contraseña para %!'),
('es-es', 'admin', 'error canceling timer, maybe there''s none set !!!', 'Error al cancelar el temporizador ¡Puede que no haya ninguno!'),
('es-es', 'admin', 'enter your smtp server port', 'Introduzca el el puerto del servidor SMTP'),
('es-es', 'admin', 'enter your smtp server hostname or ip address', 'ntroduzca el nombre del servidor SMTP o la dirección IP'),
('es-es', 'admin', 'enter your http proxy server port', 'Introduzca el puerto de su servidor proxy HTTP'),
('es-es', 'admin', 'enter your http proxy server', 'Introduzca su servidor proxy HTTP'),
('es-es', 'admin', 'enter your default mail domain ( from: user@domain )', 'Introduzca su dominio de correo predeterminado (From: usuario@dominio)'),
('es-es', 'admin', 'enter your default ftp server', 'Introduzca su servidor FTP predeterminado'),
('es-es', 'admin', 'enter the vfs-path where additional images, icons or logos can be placed (and found by egroupwares applications). the path must ', 'Introduzca la ruta VGS donde están las imágenes, iconos o logos adicionales (encontrados por las aplicaciones eGroupWare). La ruta DEBE comenzar con / y tener permiso de lectura para todos los usuarios.'),
('es-es', 'admin', 'enter the url where your logo should link to', 'Introduzca la url a donde apunte el logo'),
('es-es', 'admin', 'enter the url or filename (in your templates image directory) of your favicon (the little icon that appears in the browsers tabs', 'Introduzca la URL o nombre del fichero (en el directorio images de las plantillas) de su favicon (el icono pequeño que aparece en las pestañas de los navegadores).'),
('es-es', 'admin', 'enter the url or filename (in phpgwapi/templates/default/images) of your logo', 'Introduzca la URL o nombre de archivo (en phpgwapi/templates/default/images) de su logo'),
('es-es', 'admin', 'enter the title of your logo', 'Introduzca el título de su logo'),
('es-es', 'admin', 'enter the title for your site', 'Introduzca el título para su sitio'),
('es-es', 'admin', 'enter the site username for peer servers', 'Introduzca el usuario del sitio para servidores ''peer'''),
('es-es', 'admin', 'enter the site password for peer servers', 'Introduzca la contraseña del sitio para servidores ''peer'''),
('es-es', 'admin', 'enter the search string. to show all entries, empty this field and press the submit button again', 'Introduzca la cadena de búsqueda. Para mostrar todas las entradas, vacíe este campo y pulse de nuevo el botón ENVIAR.'),
('es-es', 'admin', 'enter the location of egroupware''s url.<br>example: http://www.domain.com/egroupware &nbsp; or &nbsp; /egroupware<br><b>no trail', 'Introduzca la URL de eGroupWare. <br>Ejemplo: http://www.dominio.com/egroupware   o   /egroupware<br><b>Sin barra al final</b>'),
('es-es', 'admin', 'enter the hostname of the machine on which this server is running', 'Introduzca el nombre de la máquina sobre la cual se está ejecutando este servidor'),
('es-es', 'admin', 'enter the full path for users and group files.<br>examples: /files, e:files', 'Introduzca la ruta completa para los archivos de usuarios<br>y de grupo. Ejemplos: /files, E:\\FILES'),
('es-es', 'admin', 'enter the full path for users and group files.<br>examples: /files, e:\\files', 'Introduzca la ruta completa para los archivos de usuarios<br>y de grupo. Ejemplos: /files, E:\\FILES'),
('es-es', 'admin', 'enter the full path for temporary files.<br>examples: /tmp, c:temp', 'Introduzca la ruta completa para los archivos temporales.<br> Ejemplos: /tmp, C:\\TEMP'),
('es-es', 'admin', 'enter the full path for temporary files.<br>examples: /tmp, c:\\temp', 'Introduzca la ruta completa para los archivos temporales.<br> Ejemplos: /tmp, C:\\TEMP'),
('es-es', 'admin', 'enter the background color for the site title', 'Introduzca el color de fondo para el título del sitio'),
('es-es', 'admin', 'enter the background color for the login page', 'Introduzca el color de fondo para la página de inicio de sesión'),
('es-es', 'admin', 'enter some random text for app_session <br>encryption (requires mcrypt)', 'Introduzca un texto aleatorio para el cifrado <br> de la sesión (requiere mcrypt)'),
('es-es', 'admin', 'enter a description for the category', 'introduzca una descripción para esta categoría'),
('es-es', 'admin', 'enabled - popup window', 'Habilitado - Ventana emergente'),
('es-es', 'admin', 'enabled - hidden from navbar', 'Habilitado - Esconder de la barra de navegación'),
('es-es', 'admin', 'enable the xmlrpc service', 'Activar el servicio xmlrpc'),
('es-es', 'admin', 'enable spellcheck in rich text editor', '¿Activar la corrección ortográfica en el editor de texto enriquecido?'),
('es-es', 'admin', 'enable debug-messages', 'Activar mensajes de depuración'),
('es-es', 'admin', 'enable the soap service', 'Activar el servicio soap'),
('es-es', 'admin', 'email account active', 'cuenta de correo activa'),
('es-es', 'admin', 'email address', 'dirección de correo electrónico'),
('es-es', 'admin', 'either install id and config password needed or the remote hash!', '¡Tanto el ID de la instalación como la contraseña de configuración necesitan el hash remoto!'),
('es-es', 'admin', 'egroupware version', 'Versión de EGroupware'),
('es-es', 'admin', 'egroupware directory', 'Directorio de eGroupWare'),
('es-es', 'admin', 'educational: universities, schools, ...', 'Educación: Universiddes, Colegios, ...'),
('es-es', 'admin', 'edit user account', 'Editar cuenta de usuario'),
('es-es', 'admin', 'edit user', 'editar usuario'),
('es-es', 'admin', 'edit this user', 'editar este usuario'),
('es-es', 'admin', 'edit this group', 'editar este grupo'),
('es-es', 'admin', 'edit this category', 'editar esta categoría'),
('es-es', 'admin', 'edit peer server', 'Editar servidor ''peer'''),
('es-es', 'admin', 'edit table format', 'Editar formato de tabla'),
('es-es', 'admin', 'edit main screen message', 'Editar mensaje de la pantalla principal'),
('es-es', 'admin', 'edit group acl''s', 'Editar ACL de grupo'),
('es-es', 'admin', 'edit login screen message', 'Editar mensaje de la pantalla de inicio de sesión'),
('es-es', 'admin', 'edit group', 'Editar grupo'),
('es-es', 'admin', 'edit global category for %1', 'Editar categoría global para %1'),
('es-es', 'admin', 'edit global category', 'Editar categoría global'),
('es-es', 'admin', 'edit email settings', 'editar configuración de correo'),
('es-es', 'admin', 'edit application', 'Editar aplicación'),
('es-es', 'admin', 'edit account', 'Editar cuenta'),
('es-es', 'admin', 'each value is a line like id[=label]', 'cada valor es una línea como id[=label]'),
('es-es', 'admin', 'each value is a line like <id>[=<label>]', 'cada valor es una línea como <id>[=<etiqueta>]'),
('es-es', 'admin', 'document root (default)', 'Raíz de los documentos (Document root) (predeterminado)'),
('es-es', 'admin', 'do you want to move all global subcategories one level down ?', '¿Desea mover todas las subcategorías globales un nivel hacia abajo?'),
('es-es', 'admin', 'do you also want to delete all global subcategories ?', '¿Desea eliminar también todas las subcategorías globales?'),
('es-es', 'admin', 'do you want to delete all global subcategories ?', '¿Desea borrar todas las subcategorías globales?'),
('es-es', 'admin', 'do not delete the category and return back to the list', 'NO borrar la categoría y regresar a la lista'),
('es-es', 'admin', 'display', 'Mostrar'),
('es-es', 'admin', 'disabled (not recomended)', 'desactivado (no se recomienda)'),
('es-es', 'admin', 'disable wysiwyg-editor', 'desactivar editor WYSIWYG'),
('es-es', 'admin', 'disable "auto completion" of the login form', 'Desactivar completado automático en el formulario de inicio de sesión'),
('es-es', 'admin', 'determines the order the fields are displayed', 'determina el orden en que se muestran los campos'),
('es-es', 'admin', 'description can not exceed 255 characters in length !', '¡La descripción no puede exceder de 255 caracteres de longitud!'),
('es-es', 'admin', 'deny all users access to grant other users access to their entries ?', '¿Denegar a los usuarios conceder acceso a otros usuarios para sus registros?'),
('es-es', 'admin', 'deny access to user accounts', 'Denegar acceso a las cuentas de usuario'),
('es-es', 'admin', 'deny access to site configuration', 'Denegar acceso a la configuración del sitio'),
('es-es', 'admin', 'deny access to phpinfo', 'Denegar acceso a phpinfo'),
('es-es', 'admin', 'deny access to peer servers', 'Denegar acceso a servidores ''peer'''),
('es-es', 'admin', 'deny access to groups', 'Denegar acceso a grupos'),
('es-es', 'admin', 'deny access to mainscreen message', 'Denegar acceso al mensaje de la pantalla principal'),
('es-es', 'admin', 'deny access to global categories', 'Denegar acceso a las categorías globales'),
('es-es', 'admin', 'deny access to error log', 'Denegar acceso al registro de errores'),
('es-es', 'admin', 'deny access to db backup and restore', 'Denegar acceso a copia y restauración de la base de datos'),
('es-es', 'admin', 'deny access to current sessions', 'Denegar acceso a las sesiones actuales'),
('es-es', 'admin', 'deny access to applications', 'Denegar acceso a aplicaciones'),
('es-es', 'admin', 'deny access to asynchronous timed services', 'Denegar acceso a los servicios asíncronos programados'),
('es-es', 'admin', 'deny access to application registery', 'Denegar acceso al registro de aplicaciones'),
('es-es', 'admin', 'deliver extern', 'entrega externa'),
('es-es', 'admin', 'deny access to access log', 'Denegar acceso al registro de accesos'),
('es-es', 'admin', 'deletes this field', 'borra este campo'),
('es-es', 'admin', 'delete this user', 'borrar este usuario'),
('es-es', 'admin', 'delete this group', 'borrar este grupo'),
('es-es', 'admin', 'delete this log entry', 'Borrar esta entrada del log'),
('es-es', 'admin', 'delete this category', 'borrar esta categoría'),
('es-es', 'admin', 'delete the selected entries', 'Borrar las entradas seleccionadas'),
('es-es', 'admin', 'delete the group', 'borrar el grupo'),
('es-es', 'admin', 'delete the category', 'borrar la categoría'),
('es-es', 'admin', 'delete selected entries', 'Borrar las entradas seleccionadas'),
('es-es', 'admin', 'delete group', 'Borrar grupo'),
('es-es', 'admin', 'delete peer server', 'Borrar servidor ''peer'''),
('es-es', 'admin', 'delete category', 'Borrar categoría'),
('es-es', 'admin', 'delete all records', 'Borrar todos los registros'),
('es-es', 'admin', 'delete application', 'Borrar aplicación'),
('es-es', 'admin', 'delete account', 'Borrar cuenta'),
('es-es', 'admin', 'delete account %1', 'Borrar la cuenta %1'),
('es-es', 'admin', 'deinstall crontab', 'Desinstalar crontab'),
('es-es', 'admin', 'default file system space per user', 'Espacio predetermiado en el sistema de archivos por usuario'),
('es-es', 'admin', 'default file system space per user/group ?', 'Espacio predetermiado en el sistema de archivos por usuario/grupo'),
('es-es', 'admin', 'db backup and restore', 'Copia de seguridad y restauración de la base de datos'),
('es-es', 'admin', 'default', 'Predeterminado'),
('es-es', 'admin', 'data', 'Datos'),
('es-es', 'admin', 'day', 'Día'),
('es-es', 'admin', 'day of week<br>(0-6, 0=sun)', 'Día de la semana<br>(0-6, 0=Dom)'),
('es-es', 'admin', 'cyrus imap server', 'Servidor IMAP Cyrus'),
('es-es', 'admin', 'custom fields', 'Campos personalizados'),
('es-es', 'admin', 'crontab only (recomended)', 'Sólo mediante crontab (recomendado)'),
('es-es', 'admin', 'creates a new field', 'crea un campo nuevo'),
('es-es', 'admin', 'created with id #%1', 'Creado con id nº %1'),
('es-es', 'admin', 'created', 'Creado'),
('es-es', 'admin', 'create group', 'Crear grupo'),
('es-es', 'admin', 'country', 'País'),
('es-es', 'admin', 'country selection', 'Selección de país'),
('es-es', 'admin', 'could not remote execute the command', 'No se pudo ejecutar el comando remoto'),
('es-es', 'admin', 'cookie path (allows multiple egw sessions with different directories, has problemes with sitemgr!)', 'Ruta de la cookie (permite múltiples sesiones de egw con distintos directorios, pero ¡tiene problemas con el Administrador de sitios web!)'),
('es-es', 'admin', 'cookie domain (default empty means use full domain name, for sitemgr eg. ".domain.com" allows to use the same cookie for egw.dom', 'Dominio de la cookie (vacío significa usar el nombre del dominio completo, para el Administrador de sitios web, p. ej. "dominio.com" permite usar la misma cookie para egw.dominio.com y www.dominio.com)'),
('es-es', 'admin', 'config password or md5 hash from the header.inc.php', 'Configurar contraseña o hash md5 del fichero header.inc.php'),
('es-es', 'admin', 'commercial: all sorts of companies', 'Comercial: todo tipo de empresas'),
('es-es', 'admin', 'color', 'Color'),
('es-es', 'admin', 'command scheduled to run at %1', 'El comando se ha planificado para ejecutarse a %1'),
('es-es', 'admin', 'check items to <b>%1</b> to %2 for %3', 'Seleccionar los elementos para <b>%1</b> a %2 para %3'),
('es-es', 'admin', 'children', 'Hijos'),
('es-es', 'admin', 'click to select a color', 'Pulse para seleccionar un color'),
('es-es', 'admin', 'check ip address of all sessions', 'Comprobar  la IP de todas las sesiones'),
('es-es', 'admin', 'check acl for entries of not (longer) existing accounts', 'Comprobar las ACL para las entradas de cuentas que no existen'),
('es-es', 'admin', 'change password for %1', 'cambiar la contraseña para %1'),
('es-es', 'admin', 'change main screen message', 'Cambiar mensaje de la pantalla principal'),
('es-es', 'admin', 'change config settings', 'Cambiar opciones de configuración'),
('es-es', 'admin', 'change acl rights', 'cambiar permisos de ACL'),
('es-es', 'admin', 'change account_id', 'Cambiar el campo account_id'),
('es-es', 'admin', 'category saved.', 'Se ha guardado la categoria'),
('es-es', 'admin', 'category list', 'Lista de categorías'),
('es-es', 'admin', 'category deleted.', 'Se ha borrado la categoría'),
('es-es', 'admin', 'category %1 has been saved !', 'La categoría %1 ha sido guardada'),
('es-es', 'admin', 'categories list', 'Lista de categorías'),
('es-es', 'admin', 'cancel this scheduled command', 'Cancelar este comando programado'),
('es-es', 'admin', 'cancel testjob!', 'Cancelar trabajo de prueba'),
('es-es', 'admin', 'can change password', 'Puede cambiar la contraseña'),
('es-es', 'admin', 'calculate next run', 'Calcular la siguiente ejecución'),
('es-es', 'admin', 'bottom', 'parte inferior'),
('es-es', 'admin', 'bi-directional', 'bidireccional'),
('es-es', 'admin', 'bi-dir passthrough', 'bidireccional passthrough'),
('es-es', 'admin', 'back to the list', 'volver a la lista'),
('es-es', 'admin', 'auto create account records for authenticated users', 'Crear cuentas automáticamente para usuarios identificados'),
('es-es', 'admin', 'authentication / accounts', 'Identificación / Cuentas'),
('es-es', 'admin', 'attribute mailforwardingaddress explained', 'Esto maneja el atributo <b><i>-mailForwardingAddress-</i></b> del esquema de QMAIL y no debe estar vacío si está asignado.'),
('es-es', 'admin', 'attribute mailalternateaddress explained', 'Esto maneja el atributo <b><i>-mailAlternateAddress-</i></b> del esquema de QMAIL y puede manejarse como mapas virtuales o alias.'),
('es-es', 'admin', 'attribute mail explained', 'Esto maneja el atributo <b><i>-mail-</i></b> del esquema de QMAIL y no debe estar vacío. También es el campo para correo electrónico interno de eGW.'),
('es-es', 'admin', 'attribute accountstatus explained', 'Esto maneja el atributo <b><i>-accountStatus-</i></b> del esquema de QMAIL.'),
('es-es', 'admin', 'attempt to use correct mimetype for ftp instead of default ''application/octet-stream''', 'Intentar usar el tipo MIME correcto para FTP en vez de ''application/octet-stream'''),
('es-es', 'admin', 'asynchronous timed services', 'Servicios asíncronos programados'),
('es-es', 'admin', 'asyncservices not yet installed or other error (%1) !!!', 'Los servicios asíncronos todavía no están instalados, u otro error (%1)'),
('es-es', 'admin', 'async services last executed', 'Últimos servicios asíncronos ejecutados'),
('es-es', 'admin', 'are you sure you want to kill this session ?', '¿Está seguro de que quiere matar esta sesión?'),
('es-es', 'admin', 'are you sure you want to delete this server?', '¿Está seguro de que quiere borrar este servidor?'),
('es-es', 'admin', 'are you sure you want to delete this group ?', '¿Está seguro de que quiere borrar este grupo?'),
('es-es', 'admin', 'are you sure you want to delete this global category ?', '¿Está seguro de que quiere borrar esta categoría global?'),
('es-es', 'admin', 'are you sure you want to delete this application ?', '¿Está seguro de que quiere borrar esta aplicación?'),
('es-es', 'admin', 'are you sure you want to delete this account ?', '¿Está seguro de que quiere borrar esta cuenta?'),
('es-es', 'admin', 'are you sure you want to delete the application %1 ?', '¿Está seguro de que quiere borrar la aplicación %1 ?'),
('es-es', 'admin', 'archive: zip or tar', 'Archivar: zip o tar'),
('es-es', 'admin', 'apply the changes', 'Aplicar los cambios'),
('es-es', 'admin', 'applies the changes', 'aplica los cambios'),
('es-es', 'admin', 'applications run rights updated.', 'Se han actualizado los derechos de ejecución.'),
('es-es', 'admin', 'applications list', 'Lista de aplicaciones'),
('es-es', 'admin', 'applications', 'Aplicaciones'),
('es-es', 'admin', 'application title', 'Título de la aplicación'),
('es-es', 'admin', 'application name', 'Nombre de la aplicación'),
('es-es', 'admin', 'application ''%1'' not found (maybe not installed or misspelled)!', 'No se encontró la aplicación ''%1'' (quizás no está instalada o mal escrita)'),
('es-es', 'admin', 'application', 'Aplicación'),
('es-es', 'admin', 'appearance', 'Apariencia'),
('es-es', 'admin', 'anonymous user has no run-rights for the application!', '¡El usuario anónimo NO tiene derecho de ejecución para la aplicación!'),
('es-es', 'admin', 'anonymous user does not exist!', '¡El usuario anónimo no existe!'),
('es-es', 'admin', 'anonymous user (not shown in list sessions)', 'Usuario anónimo (no se muestra en la lista de sesiones)'),
('es-es', 'admin', 'anonymous user', 'Usuario anónimo'),
('es-es', 'admin', 'alternate email address', 'dirección de correo alternativa'),
('es-es', 'admin', 'allow remote administration from following install id''s (comma separated)', 'Permitir la administración remota desde los siguientes ID de instalación (separados por comas)'),
('es-es', 'admin', 'allow anonymous access to this app', 'Permitir acceso anónimo a esta aplicación'),
('es-es', 'admin', 'all users', 'Todos los usuarios'),
('es-es', 'admin', 'aliases', 'Alias'),
('es-es', 'admin', 'all records and account information will be lost!', '¡Se perderán todos los registros y la información de las cuentas!'),
('es-es', 'admin', 'after how many unsuccessful attempts to login, an ip should be blocked (default 3) ?', '¿Después de cuántos intentos fallidos de conexión debe bloquearse una IP? (por defecto, 3)'),
('es-es', 'admin', 'after how many unsuccessful attempts to login, an account should be blocked (default 3) ?', '¿Después de cuántos intentos fallidos de conexión debe bloquearse una cuenta? (por defecto, 3)'),
('es-es', 'admin', 'administration', 'Administración'),
('es-es', 'admin', 'admins', 'Administradores'),
('es-es', 'admin', 'advanced options', 'opciones avanzadas'),
('es-es', 'admin', 'admin name', 'Nombre del administrador'),
('es-es', 'admin', 'admin queue and history', 'Cola de administración e historial'),
('es-es', 'admin', 'add sub-category', 'Añadir subcategoría'),
('es-es', 'admin', 'admin email', 'Correo electrónico del administrador'),
('es-es', 'admin', 'admin email addresses (comma-separated) to be notified about the blocking (empty for no notify)', 'Direcciones de correo de Administración (separadas por comas) para notificar los bloqueos (en blanco para no notificar)'),
('es-es', 'admin', 'add new application', 'Añadir nueva aplicación'),
('es-es', 'admin', 'add peer server', 'Añadir servidor ''peer'''),
('es-es', 'admin', 'add group', 'Añadir grupo'),
('es-es', 'admin', 'add new account', 'Añadir nueva cuenta'),
('es-es', 'admin', 'add global category for %1', 'Añadir categoría global para %1'),
('es-es', 'admin', 'add global category', 'Añadir categoría global'),
('es-es', 'admin', 'add auto-created users to this group (''default'' will be attempted if this is empty.)', 'Añadir usuarios creados automáticamente a este grupo (se usara ''Default'' si no especifica ninguno).'),
('es-es', 'admin', 'add a user', 'añadir un usuario'),
('es-es', 'admin', 'add account', 'Añadir una cuenta'),
('es-es', 'admin', 'add application', 'Añadir aplicación'),
('es-es', 'admin', 'add a subcategory', 'añadir una subcategoría'),
('es-es', 'admin', 'add a category', 'añadir una categoría'),
('es-es', 'admin', 'add a group', 'añadir un grupo'),
('es-es', 'admin', 'add a new account.', 'Añadir una nueva cuenta.'),
('es-es', 'admin', 'add a new remote instance', 'Añadir una instancia remota nueva'),
('es-es', 'admin', 'activate wysiwyg-editor', 'activar editor WYSIWYG'),
('es-es', 'admin', 'acl manager', 'Manejo de LCA'),
('es-es', 'admin', 'action', 'Acción'),
('es-es', 'admin', 'actions', 'Acciones'),
('es-es', 'admin', 'account-id''s have to be integers!', '¡Los identificadores de cuenta tienen que ser enteros!'),
('es-es', 'admin', 'account preferences', 'Preferencias de la cuenta'),
('es-es', 'admin', 'account permissions', 'Permisos de la cuenta'),
('es-es', 'admin', 'account list', 'Lista de cuentas'),
('es-es', 'admin', 'account active', 'Cuenta activa'),
('es-es', 'admin', 'account %1 %2', 'Cuenta %1 %2'),
('es-es', 'admin', 'account ''%1'' deleted.', 'Se ha borrado la cuenta ''%1''.'),
('es-es', 'admin', 'accesslog and bruteforce defense', 'Defensa de acceso al registro y fuerza bruta'),
('es-es', 'admin', '-  type', '- tipo'),
('es-es', 'admin', '(stored password will not be shown here)', '(las claves guardadas no se mostrarán aquí)'),
('es-es', 'admin', '(to install new applications use<br><a href="setup/" target="setup">setup</a> [manage applications] !!!)', '(Para instalar nuevas aplicaciones, utilice <br><a href="setup/" target="setup">Instalación</a> [Administrar Aplicaciones])'),
('es-es', 'admin', '(default no, leave it off if you dont use it)', '(por defecto, No, desactivar si no se usa)'),
('es-es', 'admin', '%1 user %2', '%1 usuario %2'),
('es-es', 'admin', '%1 not found or not executable !!!', 'No se encontró %1 o no es un ejecutable'),
('es-es', 'admin', '%1 rights for %2 and applications %3', 'Derechos de %1 para %2 y aplicaciones %3'),
('es-es', 'admin', '%1 sessions killed', 'Se han matado %1 sesiones'),
('es-es', 'admin', '%1 log entries deleted.', 'Se han borrado %1 entradas del log.'),
('es-es', 'admin', '%1 is no command!', '¡%1 no es un comando!'),
('es-es', 'admin', '%1 group %2', '%1 grupo %2'),
('es-es', 'admin', '%1 class not instanciated', 'La clase %1 no está instanciada'),
('es-es', 'admin', '%1 - %2 of %3 user groups', '%1 - %2 de %3 grupos de usuarios'),
('es-es', 'admin', '%1 acl records of not (longer) existing accounts deleted.', 'Se han borrado %1 registros de cuentas inexistentes.'),
('es-es', 'admin', '%1 - %2 of %3 user accounts', '%1 - %2 de %3 cuentas de usuarios'),
('es-es', 'admin', 'you can only use ldap as contact repository if the accounts are stored in ldap too!', '¡Sólo puede usar LDAP como repositorio de contactos si las cuentas también están almacenadas en LDAP!'),
('es-es', 'admin', 'yes, users can purge their deleted items', 'Sí, los usuarios pueden purgar sus elementos borrados'),
('es-es', 'admin', 'yes, only admins can purge deleted items', 'Sí, sólo los administradores pueden purgar los elementos borrados'),
('es-es', 'admin', 'warning!! ldap is valid only if you are not using contacts for accounts storage!', '¡Atención! ¡LDAP es valido sólo si no está usando contactos para almacenar las cuentas!'),
('es-es', 'admin', 'use setup for a full account-migration', 'Use la instalación para una migración completa de las cuentas'),
('es-es', 'admin', 'use an extra tab for private custom fields?', '¿Usar una pestaña extra para campos personalizados privados?'),
('es-es', 'admin', 'update fields by edited organisations?', '¿Actualizar los campos por organizaciones editadas?'),
('es-es', 'admin', 'url to link telephone numbers to (use %1 = number to call, %u = account name, %t = account phone)', 'URL a la que enlazar los números de teléfono (use %1 = número para llamar, %u = nombre de la cuenta, %t = teléfono de la cuenta)'),
('es-es', 'admin', 'start', 'Empezar'),
('es-es', 'admin', 'telephony integration', 'Integración con telefonía'),
('es-es', 'admin', 'size of popup (wxh, eg.400x300, if a popup should be used)', 'Tamaño de la ventana (ancho x alto, p.ej. 400x300, si se usa una ventana emergente)'),
('es-es', 'admin', 'set full name and file as field in contacts of all users (either all or only empty values)', 'Establecer el nombre completo y el fichero como campo de contactos de todos los usuarios (todos o sólo valores vacíos)'),
('es-es', 'admin', 'select where you want to store / retrieve contacts', 'Seleccione dónde desea almacenar o recuperar contactos'),
('es-es', 'admin', 'select migration type', 'Seleccionar el tipo de migración'),
('es-es', 'admin', 'migration to ldap', 'Migración a LDAP'),
('es-es', 'admin', 'options for type', 'Opciones para el tipo'),
('es-es', 'admin', 'prevent deleting of contacts', 'Evitar el borrado de contactos'),
('es-es', 'admin', 'ldap settings for contacts', 'Configuración LDAP para contactos'),
('es-es', 'admin', 'ldap host for contacts', 'Servidor LDAP para contactos'),
('es-es', 'admin', 'if accounts are already in ldap', 'si las cuentas ya están en LDAP'),
('es-es', 'admin', 'ldap context for contacts', 'Contexto LDAP para contactos'),
('es-es', 'admin', 'how many contacts should non-admins be able to export', 'Cuántos contactos deben poder exportar usuarios que no son administradores'),
('es-es', 'admin', 'history logging', 'Registro de historial'),
('es-es', 'admin', 'for read only ldap', 'para LDAP de sólo lectura'),
('es-es', 'admin', 'fields the user is allowed to edit himself', 'Campos que el propio usuario puede editar'),
('es-es', 'admin', 'empty', 'Vacío'),
('es-es', 'admin', 'edit extra account-data in the addressbook', 'Editar datos adicionales de la cuenta en la libreta de direcciones'),
('es-es', 'admin', 'edit custom fields', 'Editar campos personalizados'),
('es-es', 'admin', 'contacts to ldap, account contact-data to sql', 'Contactos en LDAP, datos del contacto y la cuenta en SQL'),
('es-es', 'admin', 'contacts and account contact-data to sql', 'contactos y datos del contacto de la cuenta a SQL'),
('es-es', 'admin', 'contacts to ldap', 'Contactos en LDAP'),
('es-es', 'admin', 'contacts and account contact-data to ldap', 'Contactos y datos del contacto y la cuenta en LDAP'),
('es-es', 'admin', 'contact settings', 'Configuración de los contactos'),
('es-es', 'admin', 'contact repository', 'Repositorio de contactos'),
('es-es', 'admin', 'contact maintenance', 'Mantenimiento del contacto'),
('es-es', 'admin', 'contact application', 'Aplicación del contacto'),
('es-es', 'admin', 'chosse an etemplate for this contact type', 'Elija una plantilla para este tipo de contacto');
INSERT INTO `egw_lang` (`lang`, `app_name`, `message_id`, `content`) VALUES
('es-es', 'admin', 'choose an icon for this contact type', 'Elija un icono para este tipo de contacto'),
('es-es', 'admin', 'category tree', 'Arbol de categorías'),
('es-es', 'admin', 'can be changed via setup >> configuration', 'Puede modificarse desde Instalación -> Configuración'),
('es-es', 'admin', 'allow users to maintain their own account-data', 'Permitir a los usuarios mantener los datos de su cuenta'),
('es-es', 'admin', 'additional information about using ldap as contact repository', 'Información adicional acerca del uso de LDAP como repositorio de contactos'),
('es-es', 'admin', 'account repository', 'Repositorio de cuentas'),
('es-es', 'admin', '(empty = use global limit, no = no export at all)', '(vacío = usar limite global; no = no exportar nada)'),
('es-es', 'addressbook', 'you can show the linked entries with icons only, icons with app-name or both.', 'Puede mostrar las entradas vinculadas sólo con iconos, iconos con el nombre de la aplicación, o ambos.'),
('es-es', 'addressbook', 'spellchecker language', 'Idioma del corrector ortográfico'),
('es-es', 'addressbook', 'show links between egroupware aps as', 'Mostrar los enlaces entre aplicaciones de eGroupWare como'),
('es-es', 'addressbook', 'zip_note', '<p><b>Nota:</b> El fichero puede ser un fichero zip conteniendo ficheros .csv, .vcf o .ldif. Sin embargo, no mezcle los tipos cada vez que importe.'),
('es-es', 'addressbook', 'you need to select some contacts first', 'Necesita seleccionar antes algunos contactos'),
('es-es', 'addressbook', 'you need to select a distribution list', 'Necesita seleccionar una lista de distribución'),
('es-es', 'addressbook', 'you must select at least 1 column to display', 'Debe seleccionar al menos una columna para mostrar'),
('es-es', 'addressbook', 'you must select a vcard. (*.vcf)', 'Debe seleccionar una tarjeta (*.vcf)'),
('es-es', 'addressbook', 'you can respond by visiting:', 'Para verlo, visite:'),
('es-es', 'addressbook', 'you are not permittet to view this contact', 'No tiene permiso para ver este contacto'),
('es-es', 'addressbook', 'you are not permittet to edit this contact', 'No tiene permiso para editar este contacto'),
('es-es', 'addressbook', 'you are not permittet to delete this contact', 'No tiene permiso para borrar este contacto'),
('es-es', 'addressbook', 'you are not permitted to delete contact %1', 'No tiene permiso para borrar el contacto %1'),
('es-es', 'addressbook', 'yes, for today and tomorrow', 'Sí, para hoy y mañana'),
('es-es', 'addressbook', 'yes, for the next week', 'Sí, para la semana siguiente'),
('es-es', 'addressbook', 'yes, for the next two weeks', 'Sí, para las dos semanas siguientes'),
('es-es', 'addressbook', 'yes, for the next three days', 'Sí, para los tres próximos días'),
('es-es', 'addressbook', 'wrong - try again ...', 'Incorrecto. Vuelva a intentarlo...'),
('es-es', 'addressbook', 'write (update or add) a single entry by passing the fields.', 'Escribir (actualizar o añadir) una única entrada pasando los campos.'),
('es-es', 'addressbook', 'work phone', 'Teléfono del trabajo'),
('es-es', 'addressbook', 'work email if given, else home email', 'Correo del trabajo si se indica. Si no, correo particular'),
('es-es', 'addressbook', 'whole query', 'la consulta completa'),
('es-es', 'addressbook', 'which fields should be exported. all means every field stored in the addressbook incl. the custom fields. the business or home a', 'Qué campos deben exportarse. Indicar todos significa que cada campo almacenado en la libreta de direcciones, incluyendo los personalizados. La dirección del trabajo o particular sólo contiene el nombre, la empresa y la dirección seleccionada.'),
('es-es', 'addressbook', 'which charset should be used for the csv export. the system default is the charset of this egroupware installation.', 'Juego de caracteres a usar para exportar a CSV. El predeterminado del sistema es el juego de caracteres de esta instalación de eGroupWare.'),
('es-es', 'addressbook', 'which addressbook should be selected when adding a contact and you have no add rights to the current addressbook.', 'Qué libreta de direcciones debe seleccionarse al añadir un contacto Y cuando no haya permiso de añadir en la libreta de direcciones actual.'),
('es-es', 'addressbook', 'which address format should the addressbook use for countries it does not know the address format. if the address format of a co', 'Qué formato de dirección debe usar la libreta de direcciones para países de los que no conoce el formato de las direcciones. Si se conoce el formato de las direcciones, se usa independientemente de lo indicado en esta opción'),
('es-es', 'addressbook', 'where to add the email address', 'dónde añadir la dirección de correo electrónico'),
('es-es', 'addressbook', 'weekday', 'Día semanal'),
('es-es', 'addressbook', 'what should links to the addressbook display in other applications. empty values will be left out. you need to log in anew, if y', 'Qué deben mostrar los enlaces a la libreta de direcciones en otras aplicaciones. Los valores vacíos se ignorarán. Es necesario volver a iniciar la sesión si se cambia esta opción.'),
('es-es', 'addressbook', 'warning: template "%1" not found, using default template instead.', 'AVISO: No se encontró la plantilla "%1". Se usa la plantilla predeterminada en su lugar.'),
('es-es', 'addressbook', 'warning: all contacts found will be deleted!', 'ATENCIÓN: ¡Se borrarán todos los contactos encontrados!'),
('es-es', 'addressbook', 'verification', 'Verificación'),
('es-es', 'addressbook', 'view linked infolog entries', 'Ver las entradas del Registro que estén vinculadas'),
('es-es', 'addressbook', 'vcards require a last name entry.', 'Las tarjetas de visita requieren el apellido.'),
('es-es', 'addressbook', 'vcards require a first name entry.', 'Las tarjetas de visita requieren el primer nombre.'),
('es-es', 'addressbook', 'used for links and for the own sorting of the list', 'utilizado para los enlaces y para el orden propio de la lista'),
('es-es', 'addressbook', 'use this tag for addresslabels. put the content, you want to repeat, between two tags.', 'Usar esta etiqueta para las etiquetas de direcciones. Ponga el contenido que quiera repetir entre dos etiquetas.'),
('es-es', 'addressbook', 'use an extra category tab?', '¿Usar una pestaña extra para categorías?'),
('es-es', 'addressbook', 'use country list', 'Utilizar lista de países'),
('es-es', 'addressbook', 'updated', 'Actualizado'),
('es-es', 'addressbook', 'upload or delete the photo', 'Copiar al servidor o borrar la foto'),
('es-es', 'addressbook', 'update a single entry by passing the fields.', 'Actualizar una única entrada pasando los campos'),
('es-es', 'addressbook', 'type', 'Tipo'),
('es-es', 'addressbook', 'unique id (uid)', 'ID único (UID)'),
('es-es', 'addressbook', 'unique id<br />(to update existing records)', 'ID único<br />(para actualizar los registros existentes)'),
('es-es', 'addressbook', 'two of: %1', 'dos de: %1'),
('es-es', 'addressbook', 'translation', 'Traducción'),
('es-es', 'addressbook', 'to many might exceed your execution-time-limit', 'a cuánto puede exceder el tiempo límite de ejecución'),
('es-es', 'addressbook', 'timezone', 'Zona horaria'),
('es-es', 'addressbook', 'this person''s last name was not in the address book.', 'El apellido de esta persona no estaba en la libreta de direcciones.'),
('es-es', 'addressbook', 'this person''s first name was not in the address book.', 'El primer nombre de esta persona no estaba en la libreta de direcciones.'),
('es-es', 'addressbook', 'this module displays block from a adddressbook group.', 'Este módulo muestra el bloque de un grupo de libreta de direcciones'),
('es-es', 'addressbook', 'this module displays a contactform, that stores direct into the addressbook.', 'Este módulo muestra un formulario de contacto que se guarda directamente en la libreta de direcciones.'),
('es-es', 'addressbook', 'there was an error saving your data :-(', 'Ocurrió un error al guardar los datos'),
('es-es', 'addressbook', 'the document can contain placeholder like $$n_fn$$, to be replaced with the contact data (%1full list of placeholder names%2).', 'El documento puede tener un contenedor como $$n_fn$$, para ser sustituido con los datos del contacto (%1lista completa de nombres del contenedor%2).'),
('es-es', 'addressbook', 'the anonymous user needs read it!', '¡El usuario anónimo necesita leerlo!'),
('es-es', 'addressbook', 'the anonymous user needs add rights for it!', '¡El usuario anónimo necesita derechos de añadir para esto!'),
('es-es', 'addressbook', 'the anonymous user has probably no add rights for this addressbook.', 'El usuario anónimo probablemente no tiene derechos de añadir para esta libreta de direcciones.'),
('es-es', 'addressbook', 'that field name has been used already !', 'El nombre del campo ya ha sido usado'),
('es-es', 'addressbook', 'thank you for contacting us.', 'Gracias por ponerse en contacto con nosotros.'),
('es-es', 'addressbook', 'test import (show importable records <u>only</u> in browser)', 'Test de Importación (mostrar los registros que se pueden importar <b>sólo</b> en el navegador)'),
('es-es', 'addressbook', 'tel home', 'teléfono particular'),
('es-es', 'addressbook', 'tag to mark positions for address labels', 'Etiqueta para marcar las posiciones para las etiquetas de direcciones'),
('es-es', 'addressbook', 'suffix', 'Sufijo'),
('es-es', 'addressbook', 'successfully imported %1 records into your addressbook.', 'Se han importado correctamnte %1 registros en la libreta de direcciones.'),
('es-es', 'addressbook', 'subject for email', 'Asunto para el correo electrónico'),
('es-es', 'addressbook', 'stadt', 'Estado'),
('es-es', 'addressbook', 'startrecord', 'Registro inicial'),
('es-es', 'addressbook', 'show the contacts of this organisation', 'Mostrar los contactos de esta organización'),
('es-es', 'addressbook', 'show infolog entries for this organisation', 'Mostrar las entradas del Registro de notas y tareas para esta organización'),
('es-es', 'addressbook', 'show', 'Mostrar'),
('es-es', 'addressbook', 'show birthday reminders on main screen', 'Mostrar recordatorios de cumpleaños en la pantalla principal'),
('es-es', 'addressbook', 'set only full name', 'Establecer sólo el nombre completo'),
('es-es', 'addressbook', 'should the columns photo and home address always be displayed, even if they are empty.', '¿Mostrar las columnas de foto y domicilio particular, incluso si están vacías?'),
('es-es', 'addressbook', 'seperator', 'Separador'),
('es-es', 'addressbook', 'selected contacts', 'Contactos seleccionados'),
('es-es', 'addressbook', 'select the type of conversion', 'Seleccione el tipo de conversión'),
('es-es', 'addressbook', 'select the type of conversion:', 'Seleccione el tipo de conversión:'),
('es-es', 'addressbook', 'select phone number as prefered way of contact', 'Seleccionar el número de teléfono como forma preferida de contacto'),
('es-es', 'addressbook', 'select multiple contacts for a further action', 'Seleccionar múltiples contactos para una acción posterior'),
('es-es', 'addressbook', 'select an action or addressbook to move to...', 'Seleccionar una acción o libreta de direcciones a la que mover...'),
('es-es', 'addressbook', 'select all', 'Seleccionar todo'),
('es-es', 'addressbook', 'select an action or addressbook to move to', 'Seleccionar una acción o libreta de direcciones a la que mover'),
('es-es', 'addressbook', 'select addressbook type', 'Seleccionar el tipo de libreta de direcciones'),
('es-es', 'addressbook', 'select a view', 'Seleccionar una vista'),
('es-es', 'addressbook', 'select a portrait format jpeg photo. it will be resized to 60 pixel width.', 'Seleccione una foto jpeg en formato vertical. Se redimensionará a un ancho de 60 pixels.'),
('es-es', 'addressbook', 'search for ''%1''', 'Buscar ''%1'''),
('es-es', 'addressbook', 'room', 'Habitación'),
('es-es', 'addressbook', 'role', 'Rol'),
('es-es', 'addressbook', 'required fields *', 'Campos requeridos *'),
('es-es', 'addressbook', 'replacements for inserting contacts into documents', 'Sustituciones para insertar contactos en los documetos'),
('es-es', 'addressbook', 'repetition', 'Repetición'),
('es-es', 'addressbook', 'region', 'Región'),
('es-es', 'addressbook', 'remove selected contacts from distribution list', 'Eliminar los contactos seleccionados de la lista de distribución'),
('es-es', 'addressbook', 'removed from distribution list', 'eliminados de la lista de distribución'),
('es-es', 'addressbook', 'record owner', 'Propietario del registro'),
('es-es', 'addressbook', 'record access', 'Acceso al registro'),
('es-es', 'addressbook', 'read only', 'sólo lectura'),
('es-es', 'addressbook', 'read a single entry by passing the id and fieldlist.', 'Leer una sola entrada pasando el identificador y la lista de campos'),
('es-es', 'addressbook', 'read a list of entries.', 'Leer una lista de entradas'),
('es-es', 'addressbook', 'read a list / search for entries.', 'Leer una lista / buscar entradas'),
('es-es', 'addressbook', 'public key', 'Clave pública'),
('es-es', 'addressbook', 'publish into groups:', 'Publicar en los grupos:'),
('es-es', 'addressbook', 'private custom fields', 'Campos personalizados privados'),
('es-es', 'addressbook', 'prefix', 'Prefijo'),
('es-es', 'addressbook', 'preferred type of email address to add for distribution lists', 'Tipo preferido de dirección de correo electrónico para añadir a las listas de distribución'),
('es-es', 'addressbook', 'preferred phone', 'teléfono preferido'),
('es-es', 'addressbook', 'pref', 'pref'),
('es-es', 'addressbook', 'preferred email address to use in distribution lists', 'Dirección de correo electrónica preferida para usar en las listas de distribución'),
('es-es', 'addressbook', 'please update the templatename in your customfields section!', '¡Por favor, actualice el nombre de la plantilla en la sección de campos personalizados!'),
('es-es', 'addressbook', 'please select only one category', 'Por favor, seleccione sólo una categoría'),
('es-es', 'addressbook', 'photo', 'Fotografía'),
('es-es', 'addressbook', 'please enter a name for that field !', 'Por favor, introduzca un nombre para ese campo'),
('es-es', 'addressbook', 'parcel', 'Paquete'),
('es-es', 'addressbook', 'participants', 'Participantes'),
('es-es', 'addressbook', 'permission denied !!!', '¡Permiso denegado!'),
('es-es', 'addressbook', 'other number', 'Otro número'),
('es-es', 'addressbook', 'other phone', 'Otro teléfono'),
('es-es', 'addressbook', 'own sorting', 'orden propio'),
('es-es', 'addressbook', 'organisations by departments', 'Organizaciones por departamentos'),
('es-es', 'addressbook', 'organisations by location', 'Organizaciones por ubicación'),
('es-es', 'addressbook', 'organisation', 'organización'),
('es-es', 'addressbook', 'organisations', 'Organizaciones'),
('es-es', 'addressbook', 'number of records to read (%1)', 'Número de registros a leer (%1)'),
('es-es', 'addressbook', 'number', 'Número'),
('es-es', 'addressbook', 'no vcard', 'Sin VCard'),
('es-es', 'addressbook', 'no fallback', 'Sin respaldo'),
('es-es', 'addressbook', 'next date', 'Fecha siguiente'),
('es-es', 'addressbook', 'no categories selected', 'no se seleccionaron categorías'),
('es-es', 'addressbook', 'new window opened to edit infolog for your selection', 'Se ha abierto una ventana nueva para editar la nota para su selección'),
('es-es', 'addressbook', 'name, address', 'Nombre, Dirección'),
('es-es', 'addressbook', 'new contact submitted by %1 at %2', 'Nuevo contacto enviado por %1 en %2'),
('es-es', 'addressbook', 'name of current user, all other contact fields are valid too', 'Nombre del usuario actual. Todos los demás campos del contacto también son válidos.'),
('es-es', 'addressbook', 'name for the distribution list', 'Nombre para la lista de distribución'),
('es-es', 'addressbook', 'multiple vcard', 'VCard múltiple'),
('es-es', 'addressbook', 'moved', 'movido'),
('es-es', 'addressbook', 'move to addressbook:', 'Mover a la libreta de direcciones:'),
('es-es', 'addressbook', 'more ...', 'Más...'),
('es-es', 'addressbook', 'mobile phone', 'Teléfono móvil'),
('es-es', 'addressbook', 'modem phone', 'Teléfono módem'),
('es-es', 'addressbook', 'migration finished', 'Migración finalizada'),
('es-es', 'addressbook', 'mobile', 'Móvil'),
('es-es', 'addressbook', 'message phone', 'Teléfono de mensajes'),
('es-es', 'addressbook', 'middle name', 'Segundo nombre'),
('es-es', 'addressbook', 'message after submitting the form', 'Mensaje de después de enviar el formulario'),
('es-es', 'addressbook', 'merged', 'Mezclado'),
('es-es', 'addressbook', 'merge into first or account, deletes all other!', '¡Mezclar en el primero o cuenta, borra todos los demás!'),
('es-es', 'addressbook', 'mark records as private', 'Marcar registros como privados'),
('es-es', 'addressbook', 'location', 'Ubicación'),
('es-es', 'addressbook', 'locations', 'ubicaciones'),
('es-es', 'addressbook', 'manage mapping', 'Administrar los mapeos'),
('es-es', 'addressbook', 'load vcard', 'Cargar VCard'),
('es-es', 'addressbook', 'load sample file', 'Cargar un fichero de ejemplo'),
('es-es', 'addressbook', 'list creation failed, no rights!', 'Falló la creación de lista. No tiene privilegios suficientes.'),
('es-es', 'addressbook', 'list created', 'Se ha creado la lista'),
('es-es', 'addressbook', 'list already exists!', '¡La lista ya existe!'),
('es-es', 'addressbook', 'list all customfields', 'Lista de todos los campos personalizados'),
('es-es', 'addressbook', 'links', 'Enlaces'),
('es-es', 'addressbook', 'list all categories', 'Lista de todas las categorías'),
('es-es', 'addressbook', 'link title for contacts show', 'Título del enlace para mostrar contactos'),
('es-es', 'addressbook', 'ldif', 'LDIF'),
('es-es', 'addressbook', 'line 2', 'Línea 2'),
('es-es', 'addressbook', 'last modified by', 'última modificación por'),
('es-es', 'addressbook', 'last modified', 'última modificación'),
('es-es', 'addressbook', 'last date', 'Última fecha'),
('es-es', 'addressbook', 'label', 'Etiqueta'),
('es-es', 'addressbook', 'internet', 'Internet'),
('es-es', 'addressbook', 'international', 'Internacional'),
('es-es', 'addressbook', 'insufficent rights to delete this list!', 'No tiene privilegios suficientes para borrar esta lista'),
('es-es', 'addressbook', 'income', 'Ingresos'),
('es-es', 'addressbook', 'infolog', 'Registro de tareas'),
('es-es', 'addressbook', 'insert in document', 'Insertar en el documento'),
('es-es', 'addressbook', 'in %1 days (%2) is %3''s birthday.', 'En %1 días (%2) es el cumpleaños de %3.'),
('es-es', 'addressbook', 'imports contacts into your addressbook from a csv file. csv means ''comma seperated values''. however in the options tab you can a', 'Importa los contactos en la libreta de direcciones desde un fichero CSV. CSV significa ''Valores separados por comas''. Sin embargo, en la pestaña de opciones, también se pueden elegir otros separadores.'),
('es-es', 'addressbook', 'import_instructions', 'Si usa Mozilla o Netscape, abra la libreta de direcciones y seleccione <b>Exportar</b> desde el menú <b>Archivo</b>. El fichero exportado estará en formato LDIF.<p>O, en Outlook, seleccione su carpeta de contactos, luego, en el menú<b>Fichero</b>, <b>Importar y Exportar</b> para guardarlos en un fichero separado por comas (CSV).<p>O, en Palm Desktop 4.0 o superior, visite la libreta de direcciones y seleccione <b>Exportar</b> desde el menú <b>Archivo</b>. El fichero exportado estará en formato VCard.'),
('es-es', 'addressbook', 'import next set', 'Importar el registro siguiente'),
('es-es', 'addressbook', 'import multiple vcard', 'Importar múltiples VCards'),
('es-es', 'addressbook', 'import from outlook', 'Importar desde Outlook'),
('es-es', 'addressbook', 'import from ldif, csv, or vcard', 'Importar desde LDIF, CSV o VCard'),
('es-es', 'addressbook', 'import from', 'Importar desde'),
('es-es', 'addressbook', 'import file', 'Importar fichero'),
('es-es', 'addressbook', 'import csv-file into addressbook', 'Importar archivo CSV en la Libreta de direcciones'),
('es-es', 'addressbook', 'import contacts', 'Importar contactos'),
('es-es', 'addressbook', 'import', 'Importar'),
('es-es', 'addressbook', 'ignore first line', 'Ignorar la primera línea'),
('es-es', 'addressbook', 'if you specify a document (full vfs path) here, addressbook displays an extra document icon for each address. that icon allows t', 'Si especifica un documento (ruta completa vfs) aquí, la libreta de direcciones muestra un icono de documento extra para cada dirección. Ese icono permite descargar el documento especificado con los datos del contacto insertados.'),
('es-es', 'addressbook', 'home zip code', 'Código postal'),
('es-es', 'addressbook', 'icon', 'Icono'),
('es-es', 'addressbook', 'if you specify a directory (full vfs path) here, addressbook displays an action for each document. that action allows to downloa', 'Si especifica un directorio (ruta completa vfs) aquí, la libreta de direcciones muestra una acción para cada documento. Esa acción permite descargar el documento especificado con los datos del contacto insertados.'),
('es-es', 'addressbook', 'home street', 'Domicilio personal'),
('es-es', 'addressbook', 'home state', 'Provincia de residencia'),
('es-es', 'addressbook', 'home phone', 'Teléfono particular'),
('es-es', 'addressbook', 'home email if given, else work email', 'Correo personal si se indica. Si no, correo del trabajo'),
('es-es', 'addressbook', 'home email', 'Correo electrónico personal'),
('es-es', 'addressbook', 'home country', 'País de residencia'),
('es-es', 'addressbook', 'home address, birthday, ...', 'Domicilio particular, Cumpleaños, ...'),
('es-es', 'addressbook', 'home city', 'Ciudad de residencia'),
('es-es', 'addressbook', 'hides accounts completly from the adressbook.', 'Oculta completamente las cuentas de la libreta de direcciones'),
('es-es', 'addressbook', 'home address', 'Domicilio particular'),
('es-es', 'addressbook', 'hide accounts from addressbook', 'Ocultar las cuentas de la libreta de direcciones'),
('es-es', 'addressbook', 'h', 'h'),
('es-es', 'addressbook', 'group %1', 'Grupo %1'),
('es-es', 'addressbook', 'global categories', 'Categorías globales'),
('es-es', 'addressbook', 'geo', 'GEO'),
('es-es', 'addressbook', 'general fields:', 'Campos generales:'),
('es-es', 'addressbook', 'general', 'General'),
('es-es', 'addressbook', 'full name', 'Nombre completo'),
('es-es', 'addressbook', 'freebusy uri', 'URI para disponibilidad'),
('es-es', 'addressbook', 'for serial letter use this tag. put the content, you want to repeat between two tags.', 'Para carta de serie use esta etiqueta. Ponga el contenido que quiera repetir entre dos etiquetas.'),
('es-es', 'addressbook', 'for more then one contact in a document use the tag pagerepeat!', 'para más de un contacto en un documento use la etiqueta pagerepeat'),
('es-es', 'addressbook', 'fieldseperator', 'Separador de campos'),
('es-es', 'addressbook', 'fieldseparator', 'Separador de campos'),
('es-es', 'addressbook', 'fields to show in address list', 'Campos a mostrar en la lista de direcciones'),
('es-es', 'addressbook', 'fields for the csv export', 'Campos para exportar a CSV'),
('es-es', 'addressbook', 'field name', 'Nombre del campo'),
('es-es', 'addressbook', 'field %1 has been updated !', '¡El campo %1 ha sido actualizado!'),
('es-es', 'addressbook', 'field %1 has been added !', '¡El campo %1 ha sido añadido!'),
('es-es', 'addressbook', 'fax', 'Fax'),
('es-es', 'addressbook', 'failed to change %1 organisation member(s) (insufficent rights) !!!', 'Fallo al cambiar %1 miembros de la organización ¡No tiene privilegios suficientes!'),
('es-es', 'addressbook', 'extra private', 'Extra privado'),
('es-es', 'addressbook', 'extra', 'Extra'),
('es-es', 'addressbook', 'exports contacts from your addressbook into a csv file. csv means ''comma seperated values''. however in the options tab you can a', 'Exporta los contactos de su libreta de direcciones en un fichero CSV. CSV significa ''Comma Separated Values'' (valores separados por comas). Sin embargo, en la pestaña de opciones se pueden elegir otros separadores.'),
('es-es', 'addressbook', 'exported', 'exportada'),
('es-es', 'addressbook', 'export selection', 'Exportar la selección'),
('es-es', 'addressbook', 'export from addressbook', 'Exportar de la libreta de direcciones'),
('es-es', 'addressbook', 'export file name', 'Nombre del fichero a exportar'),
('es-es', 'addressbook', 'export contacts', 'Exportar contactos'),
('es-es', 'addressbook', 'export as vcard', 'Exportar como tarjeta de visita'),
('es-es', 'addressbook', 'export as csv', 'Exportar como CSV'),
('es-es', 'addressbook', 'export', 'exportar'),
('es-es', 'addressbook', 'existing links', 'Enlaces existentes'),
('es-es', 'addressbook', 'example $$if n_prefix~mr~hello mr.~hello ms.$$ - search the field "n_prefix", for "mr", if found, write hello mr., else write he', 'Ejemplo $$IF prefijo_n~Sr~Hola Sr.~Hola Srta.$$ - busca el campo "prefijo_n", para "Sr". Si lo encuentra, escribe "Hola Sr.", si no, escribe "Hola Srta."'),
('es-es', 'addressbook', 'error: the entry has been updated since you opened it for editing!', 'Error: la entrada se ha actualizado desde que la abrió para editar'),
('es-es', 'addressbook', 'error saving the contact !!!', '¡Error al guardar el contacto!'),
('es-es', 'addressbook', 'error deleting the contact !!!', '¡Error al borrar el contacto!'),
('es-es', 'addressbook', 'enclosure', 'Envoltura'),
('es-es', 'addressbook', 'end', 'Fin'),
('es-es', 'addressbook', 'enter the path to the exported file here', 'Introduzca aquí la ruta a los ficheros exportados'),
('es-es', 'addressbook', 'empty for all', 'vacío para todo'),
('es-es', 'addressbook', 'enable an extra private addressbook', 'Activar una libreta de direcciones privada extra'),
('es-es', 'addressbook', 'email addresses (comma separated) to send the contact data', 'Direcciones de correo electrónico (separadas por comas) para enviar los datos del contacto'),
('es-es', 'addressbook', 'email & internet', 'Correo electrónico e Internet'),
('es-es', 'addressbook', 'either the configured email addesses are wrong or the mail configuration.', 'Las direcciones de correo electrónico configuradas o la configuración del correo es incorrecta'),
('es-es', 'addressbook', 'edit phonenumbers -', 'Editar números de teléfono -'),
('es-es', 'addressbook', 'edit custom field', 'Editar campo personalizado'),
('es-es', 'addressbook', 'duration', 'Duración'),
('es-es', 'addressbook', 'download this contact as vcard file', 'descargar este contacto como fichero vCard'),
('es-es', 'addressbook', 'download export file (uncheck to debug output in browser)', 'Descargar fichero exportado (desmarcar para depurar la salida en el navegador)'),
('es-es', 'addressbook', 'download', 'Descargar'),
('es-es', 'addressbook', 'doesn''t matter', 'no importa'),
('es-es', 'addressbook', 'domestic', 'Doméstico'),
('es-es', 'addressbook', 'don''t hide empty columns', 'No ocultar las columnas vacías'),
('es-es', 'addressbook', 'document ''%1'' does not exist or is not readable for you!', 'El documento ''%1'' no existe o usted no tiene permiso para leerlo'),
('es-es', 'addressbook', 'do your really want to delete this contact?', '¿Realmente desea borrar este contacto?'),
('es-es', 'addressbook', 'do you want a private addressbook, which can not be viewed by users, you grant access to your personal addressbook?', '¿Desea una libreta de direcciones privada, que no pueden ver otros usuarios (a menos que conceda acceso a su libreta de direcciones personal)?'),
('es-es', 'addressbook', 'distribution lists, ...', 'Listas de distribución, ...'),
('es-es', 'addressbook', 'distribution lists', 'Listas de distribución'),
('es-es', 'addressbook', 'distribution list deleted', 'Lista de distribución borrada'),
('es-es', 'addressbook', 'displays a remider for birthdays on the startpage (page you get when you enter egroupware or click on the homepage icon).', 'Muestra un recordatorio para los cumpleaños en la página de inicio (la página que se ve al entrar en eGroupWare o pulsar en el icono de inicio).'),
('es-es', 'addressbook', 'display contact', 'Mostrar contacto'),
('es-es', 'addressbook', 'directory with documents to insert contacts', 'Directorio con documentos para insertar contactos'),
('es-es', 'addressbook', 'departments', 'departamentos'),
('es-es', 'addressbook', 'deletes the photo', 'Borra la foto'),
('es-es', 'addressbook', 'deleted', 'borrado'),
('es-es', 'addressbook', 'delete this organisation including all its contacts', 'Borrar esta organización, incluyendo TODOS sus contactos'),
('es-es', 'addressbook', 'delete this contact', 'Borrar este contacto'),
('es-es', 'addressbook', 'delete selected distribution list!', 'Borrar la lista de distribución seleccionada'),
('es-es', 'addressbook', 'delete a single entry by passing the id.', 'Borrar una entrada sencilla pasando el id'),
('es-es', 'addressbook', 'defines which email address (business or home) to use as the preferred one for distribution lists in mail.', 'Define qué dirección de correo electrónico (trabajo o particular) usar como la preferida para las listas de distribución en el correo.'),
('es-es', 'addressbook', 'default format for fileas, eg. for new entries.', 'Formato predeterminado para ficheros, p. ej. nuevas entradas.'),
('es-es', 'addressbook', 'default filter', 'Filtro predeterminado'),
('es-es', 'addressbook', 'default file as format', 'Fichero predeterminado como formato'),
('es-es', 'addressbook', 'default document to insert contacts', 'Documento predeterminado para insertar contactos'),
('es-es', 'addressbook', 'default addressbook for adding contacts', 'Libreta de direcciones predeterminada para añadir contactos'),
('es-es', 'addressbook', 'default address format', 'Formato predeterminado de las drecciones'),
('es-es', 'addressbook', 'default', 'predeterminado'),
('es-es', 'addressbook', 'debug output in browser', 'Depurar salida en el navegador'),
('es-es', 'addressbook', 'custom fields', 'Campos personalizados'),
('es-es', 'addressbook', 'custom', 'Personalizado'),
('es-es', 'addressbook', 'custom etemplate for the contactform', 'Plantilla personalizada para el formulario del contacto'),
('es-es', 'addressbook', 'csv-filename', 'Archivo CSV'),
('es-es', 'addressbook', 'csv-fieldname', 'Nombre de campo CSV'),
('es-es', 'addressbook', 'csv field', 'Campo CSV'),
('es-es', 'addressbook', 'credit', 'Crédito'),
('es-es', 'addressbook', 'create new links', 'Crear enlaces nuevos'),
('es-es', 'addressbook', 'created', 'Creado'),
('es-es', 'addressbook', 'copy your changes to the clipboard, %1reload the entry%2 and merge them.', 'Copiar sus cambios en el portapapeles, %1recargar la entrada%2 y mezclarlos.'),
('es-es', 'addressbook', 'copy a contact and edit the copy', 'Copiar un contacto y editar la copia'),
('es-es', 'addressbook', 'copied by %1, from record #%2.', 'Copiado por %1, del registro %2'),
('es-es', 'addressbook', 'contains', 'contiene'),
('es-es', 'addressbook', 'contactform', 'Formulario de contacto'),
('es-es', 'addressbook', 'contact saved', 'Se ha guardado la entrada'),
('es-es', 'addressbook', 'contact not found!', '¡No se encontró el contacto!'),
('es-es', 'addressbook', 'contact modified by %1 at %2', 'Contacto modificado por %1 el %2'),
('es-es', 'addressbook', 'contact id', 'ID del contacto'),
('es-es', 'addressbook', 'contact fields to show', 'Campos del contacto a mostrar'),
('es-es', 'addressbook', 'contact fields:', 'Campos del contacto:'),
('es-es', 'addressbook', 'contact deleted', 'Se ha borrado el contacto'),
('es-es', 'addressbook', 'contact copied', 'Se ha copiado el contacto'),
('es-es', 'addressbook', 'company name', 'Nombre de la empresa'),
('es-es', 'addressbook', 'cleanup addressbook fields (apply if synchronization creates duplicates)', 'Limpiar los campos de la libreta de direcciones (aplicar si la sincronización crea duplicados)'),
('es-es', 'addressbook', 'choose seperator and charset', 'Elija separador y juego de caracteres'),
('es-es', 'addressbook', 'choose owner of imported data', 'Elija el propietario de los datos importados'),
('es-es', 'addressbook', 'check all', 'Marcar todo'),
('es-es', 'addressbook', 'charset of file', 'Juego de caracteres del fichero'),
('es-es', 'addressbook', 'change all organisation members', 'cambiar todos los miembros de la organización'),
('es-es', 'addressbook', 'charset for the csv export', 'Juego de caracteres para exportar a CSV'),
('es-es', 'addressbook', 'cell phone', 'Teléfono móvil'),
('es-es', 'addressbook', 'categorie added', 'categoría añadida'),
('es-es', 'addressbook', 'categorie delete', 'categoría borrada'),
('es-es', 'addressbook', 'categories, notes, ...', 'Categorías, Notas, ...'),
('es-es', 'addressbook', 'car phone', 'Teléfono del coche'),
('es-es', 'addressbook', 'categorie', 'categoría'),
('es-es', 'addressbook', 'calendar uri', 'URI del calendario'),
('es-es', 'addressbook', 'business street', 'Dirección del trabajo'),
('es-es', 'addressbook', 'business zip code', 'Código postal del trabajo'),
('es-es', 'addressbook', 'calendar fields:', 'Campos del calendario:'),
('es-es', 'addressbook', 'business fax', 'Fax del trabajo'),
('es-es', 'addressbook', 'business phone', 'Teléfono del trabajo'),
('es-es', 'addressbook', 'business state', 'Provincia del trabajo'),
('es-es', 'addressbook', 'business email', 'Correo electrónico del trabajo'),
('es-es', 'addressbook', 'business city', 'Ciudad del trabajo'),
('es-es', 'addressbook', 'business country', 'País del trabajo'),
('es-es', 'addressbook', 'business address', 'Domicilio del trabajo'),
('es-es', 'addressbook', 'blank', 'Vacío'),
('es-es', 'addressbook', 'at the moment the following document-types are supported:', 'De momento, los siguientes tipos de documentos están soportados:'),
('es-es', 'addressbook', 'assistent phone', 'teléfono del asistente'),
('es-es', 'addressbook', 'assistent', 'Asistente'),
('es-es', 'addressbook', 'are you sure you want to delete this field?', '¿Está seguro de que desea borrar este campo?'),
('es-es', 'addressbook', 'are you shure you want to delete this contact?', '¿Está seguro de que desea borrar este contacto?'),
('es-es', 'addressbook', 'apply the action on the whole query, not only the shown contacts!!!', '¡Aplicar la acción en toda la consulta, NO sólo a los contactos mostrados!'),
('es-es', 'addressbook', 'apply changes to all members, whose fields have the same previous content', 'Aplicar cambios a todos los miembros, cuyos campos tienen el mismo contenido anterior'),
('es-es', 'addressbook', 'always', 'siempre'),
('es-es', 'addressbook', 'alt. csv import', 'Importar CSV (avanzado)'),
('es-es', 'addressbook', 'all contacts', 'Todos los contactos'),
('es-es', 'addressbook', 'advanced search', 'Búsqueda avanzada'),
('es-es', 'addressbook', 'addvcard', 'Añadir tarjeta de visita'),
('es-es', 'addressbook', 'addressbook-fieldname', 'Campo - Libreta de direcciones'),
('es-es', 'addressbook', 'addressbook the contact should be shown', 'Libreta de direcciones en la que mostrar el contacto'),
('es-es', 'addressbook', 'addressbook preferences', 'Preferencias de la libreta de direcciones'),
('es-es', 'addressbook', 'addressbook the contact should be saved to', 'Libreta de direcciones en la que guardar el contacto'),
('es-es', 'addressbook', 'addressbook menu', 'Menú de la libreta de direcciones'),
('es-es', 'addressbook', 'addressbook field', 'Campo de la libreta de direcciones'),
('es-es', 'addressbook', 'addressbook csv export', 'Exportar a CSV la libreta de direcciones'),
('es-es', 'addressbook', 'address type', 'Tipo de dirección'),
('es-es', 'addressbook', 'address line 2', 'Línea 2 de la dirección'),
('es-es', 'addressbook', 'address book - view', 'Libreta de direcciones - ver'),
('es-es', 'addressbook', 'address book - vcard in', 'Libreta de direcciones - entrada de tarjeta de visita'),
('es-es', 'addressbook', 'added to distribution list', 'Añadido a la lista de distribución'),
('es-es', 'addressbook', 'added by synchronisation', 'Añadido por sincronización'),
('es-es', 'addressbook', 'added', 'añadido'),
('es-es', 'addressbook', 'add to distribution list:', 'Añadir a la lista de distribución:'),
('es-es', 'addressbook', 'add or delete categories', 'Añadir o borrar Categorías'),
('es-es', 'addressbook', 'add emails of whole distribution list?', '¿Añadir los correos de toda la lista de distribución?'),
('es-es', 'addressbook', 'add custom field', 'Añadir campo personalizado'),
('es-es', 'addressbook', 'add business email of whole distribution list?', '¿Añadir el correo electrónico de la empresa de toda la lista de distribución?'),
('es-es', 'addressbook', 'add a single entry by passing the fields.', 'Añadir una entrada simple pasando los campos'),
('es-es', 'addressbook', 'add a new list', 'Añadir una lista nueva'),
('es-es', 'addressbook', 'add a new infolog', 'Añadir un nuevo registro de Infolog'),
('es-es', 'addressbook', 'add a new contact', 'Añadir un contacto nuevo'),
('es-es', 'addressbook', 'add a contact to this organisation', 'Añadir un contacto a esta organización'),
('es-es', 'addressbook', 'add %1', 'Añadir %1'),
('es-es', 'addressbook', 'actions', 'Acciones'),
('es-es', 'addressbook', 'accounts', 'Cuentas'),
('es-es', 'addressbook', '@-eval() is only availible to admins!!!', '¡@-eval está disponible sólo para los administradores!'),
('es-es', 'addressbook', '(e.g. 1969)', '(p. ej. 1969)'),
('es-es', 'addressbook', '<b>no conversion type &lt;none&gt; could be located.</b>  please choose a conversion type from the list', '<b>No se encontró el tipo de conversión <none>.</b> Por favor, seleccione un tipo de conversión de la lista'),
('es-es', 'addressbook', '%s please calculate the result', '%s por favor, calcule el resultado'),
('es-es', 'addressbook', '%1 starts with ''%2''', '%1 empieza por ''%2'''),
('es-es', 'addressbook', '%1 records imported', 'Se han importado %1 registros'),
('es-es', 'addressbook', '%1 records read (not yet imported, you may go %2back%3 and uncheck test import)', 'Se han leído %1 registros (no importados todavía, puede volver %2atrás%3 y desmarcar la prueba de importación)'),
('es-es', 'addressbook', '%1 not implemented for %2!', '%1 no está implementado para %2!'),
('es-es', 'addressbook', '%1 fields in %2 other organisation member(s) changed', '%1 campos en %2 miembros de otra organización cambiados'),
('es-es', 'addressbook', '%1 contacts updated (%2 errors).', 'Se han actualizado %1 contactos (%2 errores).'),
('es-es', 'addressbook', '%1 contact(s) %2, %3 failed because of insufficent rights !!!', '%1 contactos %2, %3 fallaron debido a privilegios insuficientes.'),
('es-es', 'addressbook', '%1 contact(s) %2', '%1 contactos %2'),
('es-es', 'addressbook', '%1 added', '%1 añadidos'),
('en', 'wiki', 'your user name is "%1".', 'Your user name is "%1".'),
('en', 'wiki', 'your changes', 'Your changes'),
('en', 'wiki', 'you have no rights to view wiki content !!!', 'You have no rights to view wiki content !!!'),
('en', 'wiki', 'you have exeeded the number of pages you are allowed to visit in a given period of time. please return later.', 'You have exeeded the number of pages you are allowed to visit in a given period of time. Please return later.'),
('en', 'wiki', 'you have entered an invalid user name.', 'You have entered an invalid user name.'),
('en', 'wiki', 'you have been denied access to this site.', 'You have been denied access to this site.'),
('en', 'wiki', 'writable by', 'Writable by'),
('en', 'wiki', 'wiki startpage', 'Wiki startpage'),
('en', 'wiki', 'wiki menu', 'Wiki Menu'),
('en', 'wiki', 'wiki administration', 'Wiki Administration'),
('en', 'wiki', 'who should be able to read this page', 'who should be able to read this page'),
('en', 'wiki', 'who should be able to edit this page', 'who should be able to edit this page'),
('en', 'wiki', 'warning: since you started editing, this document has been changed by someone else.  please merge your edits into the current ve', 'Warning: since you started editing, this document has been changed by someone else.  Please merge your edits into the current version of this document.'),
('en', 'wiki', 'visit %1 to set your user name', 'Visit %1 to set your user name'),
('en', 'wiki', 'view document history', 'View document history'),
('en', 'wiki', 'users', 'users'),
('en', 'wiki', 'use this module for displaying wiki-pages', 'Use this module for displaying wiki-pages'),
('en', 'wiki', 'updates the preview', 'Updates the preview'),
('en', 'wiki', 'unblock', 'Unblock'),
('en', 'wiki', 'twin pages', 'Twin pages'),
('en', 'wiki', 'this page can not be edited.', 'This page can not be edited.'),
('en', 'wiki', 'summary', 'Summary'),
('en', 'wiki', 'summary of change', 'Summary of change'),
('en', 'wiki', 'the search returned no result!', 'The search returned no result!'),
('en', 'wiki', 'show a search', 'Show a search'),
('en', 'wiki', 'show the title of the wiki page', 'Show the title of the wiki page'),
('en', 'wiki', 'see complete list (%1 entries)', 'See complete list (%1 entries)'),
('en', 'wiki', 'search for', 'Search for'),
('en', 'wiki', 'saves and continues editing', 'Saves and continues editing'),
('en', 'wiki', 'save the changes and exit', 'Save the changes and exit'),
('en', 'wiki', 'rows', 'Rows'),
('en', 'wiki', 'richtext', 'Richtext'),
('en', 'wiki', 'renames page to the given name and language', 'Renames page to the given name and language'),
('en', 'wiki', 'recent changes', 'Recent Changes'),
('en', 'wiki', 'readable by', 'Readable by'),
('en', 'wiki', 'rate control / ip blocking disabled', 'Rate control / IP blocking disabled'),
('en', 'wiki', 'preview of current version', 'Preview of Current Version'),
('en', 'wiki', 'preview', 'Preview'),
('en', 'wiki', 'please contact the %1administrator%2 for assistance.', 'Please contact the %1Administrator%2 for assistance.'),
('en', 'wiki', 'page ''%1'' not found !!!', 'Page ''%1'' not found !!!'),
('en', 'wiki', 'only on the first page', 'only on the first page'),
('en', 'wiki', 'on all pages', 'on all pages'),
('en', 'wiki', 'older', 'Older'),
('en', 'wiki', 'newer', 'Newer'),
('en', 'wiki', 'not set', 'not set'),
('en', 'wiki', 'locked', 'Locked'),
('en', 'wiki', 'loads the named page in the given language, all change so far get lost !!!', 'Loads the named page in the given language, all change so far get lost !!!'),
('en', 'wiki', 'load', 'Load'),
('en', 'wiki', 'invalid page name.', 'Invalid page name.'),
('en', 'wiki', 'history of', 'History of'),
('en', 'wiki', 'history lists', 'History lists'),
('en', 'wiki', 'history display should show <em>all</em> changes made by the latest author.  otherwise, show only the last change made.', 'History display should show <em>all</em> changes made by the latest author.  Otherwise, show only the last change made.'),
('en', 'wiki', 'history', 'history'),
('en', 'wiki', 'find', 'Find'),
('en', 'wiki', 'everyone', 'everyone'),
('en', 'wiki', 'error writing to temporary file.', 'Error writing to temporary file.'),
('en', 'wiki', 'error creating temporary file.', 'Error creating temporary file.'),
('en', 'wiki', 'enter ip address range in form <tt>12.*</tt>, <tt>34.56.*</tt>, or <tt>78.90.123.*</tt>', 'Enter IP address range in form <tt>12.*</tt>, <tt>34.56.*</tt>, or <tt>78.90.123.*</tt>'),
('en', 'wiki', 'enter here the number of days of edits to display on recentchanges or any other subscription list.  set this to zero if you wish', 'Enter here the number of days of edits to display on RecentChanges or any other subscription list.  Set this to zero if you wish to see all pages in RecentChanges, regardless of how recently they were edited.'),
('en', 'wiki', 'editing', 'Editing'),
('en', 'wiki', 'enter here the maximum number of entries to display in a document''s history list.', 'Enter here the maximum number of entries to display in a document''s history list.'),
('en', 'wiki', 'edit this document', 'Edit this document'),
('en', 'wiki', 'edit box', 'Edit box'),
('en', 'wiki', 'edit this <em>archive version</em> of this document', 'Edit this <em>ARCHIVE VERSION</em> of this document'),
('en', 'wiki', 'document last modified', 'Document last modified'),
('en', 'wiki', 'differences in', 'Differences in'),
('en', 'wiki', 'different languages can have different titles', 'different languages can have different titles'),
('en', 'wiki', 'difference between versions', 'Difference between versions'),
('en', 'wiki', 'deletes this page', 'Deletes this page'),
('en', 'wiki', 'deleted', 'Deleted'),
('en', 'wiki', 'current version', 'Current Version'),
('en', 'wiki', 'converts the page to richtext', 'Converts the page to richtext'),
('en', 'wiki', 'compute difference', 'Compute Difference'),
('en', 'wiki', 'columns', 'Columns'),
('en', 'wiki', 'choose your current time here, so the server may figure out what time zone you are in.', 'Choose your current time here, so the server may figure out what time zone you are in.'),
('en', 'wiki', 'changes by last author', 'Changes by last author'),
('en', 'wiki', 'changed', 'Changed'),
('en', 'wiki', 'blocked ip address ranges', 'Blocked IP address ranges'),
('en', 'wiki', 'cancel without saving', 'Cancel without saving'),
('en', 'wiki', 'admins', 'admins'),
('en', 'wiki', 'block', 'Block'),
('en', 'wiki', 'administration features are disabled for this wiki.', 'Administration features are disabled for this wiki.'),
('en', 'wiki', 'add document to category', 'Add document to category'),
('en', 'wiki', 'added', 'Added'),
('en', 'tracker', 'you voted %1.', 'You voted %1.'),
('en', 'wiki', '<em>but</em> display at least this many entries in recentchanges and other subscription lists:', '<em>But</em> display at least this many entries in RecentChanges and other subscription lists:'),
('en', 'tracker', 'you need to specify amount, donators name and email address!', 'You need to specify amount, donators name AND email address!'),
('en', 'tracker', 'you need to select something to change and some tracker items!', 'You need to select something to change AND some tracker items!'),
('en', 'tracker', 'you need to login to vote!', 'You need to login to vote!'),
('en', 'tracker', 'you need to enter a name', 'You need to enter a name'),
('en', 'tracker', 'you can respond by visiting:', 'You can respond by visiting:'),
('en', 'tracker', 'you can enable/disable the queue access restrictions in the configuration tab (for all queues)', 'You can enable/disable the queue access restrictions in the configuration tab (for all queues)'),
('en', 'tracker', 'yes, with larger fontsize', 'Yes, with larger fontsize'),
('en', 'tracker', 'yes, display users first', 'Yes, display users first'),
('en', 'tracker', 'yes, display groups first', 'Yes, display groups first'),
('en', 'tracker', 'works for me', 'Works for me'),
('en', 'tracker', 'wont fix', 'Wont fix'),
('en', 'tracker', 'when emails are received from an unknown email address, tag this field to have them added to the tracker''s cc field automaticall', 'When emails are received from an unknown email address, tag this field to have them added to the Tracker''s CC field automatically. This field is ignored if unrecognized mail addresses are not handled.'),
('en', 'tracker', 'votes', 'Votes'),
('en', 'tracker', 'vote for it!', 'Vote for it!'),
('en', 'tracker', 'versions', 'Versions'),
('en', 'tracker', 'use a default user for mails that where not recognized', 'Use a default user for mails that where not recognized'),
('en', 'tracker', 'url of the tracker', 'URL of the tracker'),
('en', 'tracker', 'url to be included in the notification, eg. to the page with the sitemgr module, default tracker inside egw', 'URL to be included in the notification, eg. to the page with the SiteMgr module, default tracker inside eGW'),
('en', 'tracker', 'unrecognized mails', 'Unrecognized mails'),
('en', 'tracker', 'unchanged', 'Unchanged'),
('en', 'tracker', 'tracker-%1 deleted.', 'Tracker-%1 deleted.'),
('en', 'tracker', 'tracker-%1 ''%2'' updated.', 'Tracker-%1 ''%2'' updated.'),
('en', 'tracker', 'tracker-%1 ''%2'' added.', 'Tracker-%1 ''%2'' added.'),
('en', 'tracker', 'tracker queue', 'Tracker Queue'),
('en', 'tracker', 'tracker item not found !!!', 'Tracker item not found !!!'),
('en', 'tracker', 'tracker item modified by %1 at %2', 'Tracker item modified by %1 at %2'),
('en', 'tracker', 'tracker for new tickets', 'Tracker for new tickets'),
('en', 'tracker', 'tracker deleted', 'Tracker queue deleted'),
('en', 'tracker', 'tracker admins & technicians', 'Tracker admins & technicians'),
('en', 'tracker', 'tracker configuration', 'Tracker configuration'),
('en', 'tracker', 'tracker admins', 'Tracker admins'),
('en', 'tracker', 'tracker added', 'Tracker queue added'),
('en', 'tracker', 'times', 'Times'),
('en', 'tracker', 'ticket modified by %1 at %2', 'Ticket modified by %1 at %2'),
('en', 'tracker', 'ticket count', 'ticket count'),
('en', 'tracker', 'this tracker item was closed automatically by the system. it was previously set to a pending status, and the original submitter ', 'This Tracker item was closed automatically by the system. It was previously set to a Pending status, and the original submitter did not respond within %1 days.'),
('en', 'tracker', 'this module displays information from the tracker.', 'This module displays information from the Tracker.'),
('en', 'tracker', 'there already an escalation for that filter!', 'There already an escalation for that filter!'),
('en', 'tracker', 'the canned response will be prefix the text you type.', 'The canned response will be prefix the text you type.'),
('en', 'tracker', 'the bounty will not be shown, until the money is received.', 'The bounty will NOT be shown, until the money is received.'),
('en', 'tracker', 'thank you for voting.', 'Thank you for voting.'),
('en', 'tracker', 'thank you for setting this bounty.', 'Thank you for setting this bounty.'),
('en', 'tracker', 'technicians', 'Technicians'),
('en', 'tracker', 'summary', 'Summary'),
('en', 'tracker', 'store as', 'Store as'),
('en', 'tracker', 'stati', 'Stati'),
('en', 'tracker', 'state', 'State'),
('en', 'tracker', 'staff', 'Staff'),
('en', 'tracker', 'show the tracker send you notification mails, in tracker items that you updates?', 'Should the Tracker send you notification mails of tracker items that you updated?'),
('en', 'tracker', 'show the acumulated times of timesheet entries', 'Show the acumulated times of timesheet entries'),
('en', 'tracker', 'show actions in tracker listing', 'Show actions in tracker listing');
INSERT INTO `egw_lang` (`lang`, `app_name`, `message_id`, `content`) VALUES
('en', 'tracker', 'show a new column that calculated the acumulated times of timesheet entries.', 'Show a new column that calculated the acumulated times of timesheet entries.'),
('en', 'tracker', 'should the tracker send you notification mails, if tracker items you created get updated?', 'Should the Tracker send you notification mails, if tracker items you created get updated?'),
('en', 'tracker', 'should the tracker send you notification mails, if tracker items assigned to you get updated?', 'Should the Tracker send you notification mails, if tracker items assigned to you get updated?'),
('en', 'tracker', 'should the actions column in the tracker list-view be shown?', 'Should the actions column in the tracker list-view be shown?'),
('en', 'tracker', 'set bounty', 'Set bounty'),
('en', 'tracker', 'set %1', 'Set %1'),
('en', 'tracker', 'set an own bounty (in %s)', 'Set an own bounty (in %s)'),
('en', 'tracker', 'server type', 'Server type'),
('en', 'tracker', 'sent autoreplies', 'Sent autoreplies'),
('en', 'tracker', 'sender address for all notifications, eg. noreply@egroupware.org', 'Sender address for all notifications, eg. noreply@egroupware.org'),
('en', 'tracker', 'sender address', 'Sender address'),
('en', 'tracker', 'select which username should be used when unrecognized replies are handled', 'Select which username should be used when unrecognized replies are handled'),
('en', 'tracker', 'select which username should be used when unrecognized mails are handled.', 'Select which username should be used when unrecognized mails are handled.'),
('en', 'tracker', 'select which categories should be used in tracker for the tts categories', 'select which categories should be used in Tracker for the TTS categories'),
('en', 'tracker', 'select tracker queue', 'select tracker queue'),
('en', 'tracker', 'select multiple', 'Select multiple'),
('en', 'tracker', 'select how autoreplies should be sent when mails are received', 'Select how autoreplies should be sent when mails are received'),
('en', 'tracker', 'restriction', 'Restriction'),
('en', 'tracker', 'select a default tracker for new tickets or ''reject'' to disallow ticket creation via mail.', 'Select a default tracker for new tickets or ''Reject'' to disallow ticket creation via mail.'),
('en', 'tracker', 'restrict tracker items to staff and:', 'Restrict tracker items to staff and:'),
('en', 'tracker', 'restict tracker items to the creators primary group and the staff only', 'Restict tracker items to the creators primary group and the staff only'),
('en', 'tracker', 'resolution', 'Resolution'),
('en', 'tracker', 'restict tracker items to the creator and the staff only', 'Restict tracker items to the creator and the staff only'),
('en', 'tracker', 'remind', 'Remind'),
('en', 'tracker', 'reply also to unknown addresses', 'Reply also to unknown addresses'),
('en', 'tracker', 'rejected', 'Rejected'),
('en', 'tracker', 'receive notifications in html', 'Receive notifications in html'),
('en', 'tracker', 'recieve notifications about own changes in tracker-items', 'Recieve notifications about own changes in tracker-items'),
('en', 'tracker', 'receive notifications about created tracker-items', 'Receive notifications about created tracker-items'),
('en', 'tracker', 'receive notifications about assigned tracker-items', 'Receive notifications about assigned tracker-items'),
('en', 'tracker', 'read mail address', 'Read mail address'),
('en', 'tracker', 'queue', 'Queue'),
('en', 'tracker', 'projects', 'Projects'),
('en', 'tracker', 'project selection', 'Project selection'),
('en', 'tracker', 'priorities', 'Priorities'),
('en', 'tracker', 'priorities with empty label are not available to the user', 'Priorities with empty label are not available to the user'),
('en', 'tracker', 'print entry', 'Print entry'),
('en', 'tracker', 'port number', 'Port number'),
('en', 'tracker', 'postponed', 'Postponed'),
('en', 'tracker', 'permit html editing in overview and comments', 'Permit html editing in overview and comments'),
('en', 'tracker', 'permission denied !!!', 'Permission denied !!!'),
('en', 'tracker', 'pending items will be closed automatic after %1 days without response.', 'Pending items will be closed automatic after %1 days without response.'),
('en', 'tracker', 'pending items never get close automatic.', 'Pending items never get close automatic.'),
('en', 'tracker', 'pending', 'Pending'),
('en', 'tracker', 'ownership of the ticket', 'Ownership of the ticket'),
('en', 'tracker', 'overdue after', 'Overdue after'),
('en', 'tracker', 'out of date', 'Out of date'),
('en', 'tracker', 'open', 'Open'),
('en', 'tracker', 'notification', 'Notification'),
('en', 'tracker', 'noone', 'Noone'),
('en', 'tracker', 'non-anonymous users', 'Non-anonymous users'),
('en', 'tracker', 'no trackers found, aborting', 'No Trackers found, aborting'),
('en', 'tracker', 'no change', 'No change'),
('en', 'tracker', 'new tracker item submitted by %1 at %2', 'New tracker item submitted by %1 at %2'),
('en', 'tracker', 'new ticket submitted by %1 at %2', 'New ticket submitted by %1 at %2'),
('en', 'tracker', 'new items', 'New items'),
('en', 'tracker', 'new %1', 'New %1'),
('en', 'tracker', 'mail handling', 'Mail handling'),
('en', 'tracker', 'matching filter', 'matching filter'),
('en', 'tracker', 'last modified', 'Last modified'),
('en', 'tracker', 'last reply', 'last reply'),
('en', 'tracker', 'later', 'Later'),
('en', 'tracker', 'links', 'Links'),
('en', 'tracker', 'list of coma separated email address', 'List of coma separated email address'),
('en', 'tracker', 'item assignee', 'Item assignee'),
('en', 'tracker', 'item creator', 'Item creator'),
('en', 'tracker', 'language for the copy', 'Language for the copy'),
('en', 'tracker', 'invalid', 'Invalid'),
('en', 'tracker', 'introduction message', 'Introduction message'),
('en', 'tracker', 'interval in minutes for checking the incoming mails', 'Interval in minutes for checking the incoming mails'),
('en', 'tracker', 'info only', 'Info only'),
('en', 'tracker', 'incoming mail server', 'Incoming mail server'),
('en', 'tracker', 'incoming mail folder', 'Incoming mail folder'),
('en', 'tracker', 'incoming mail rules', 'Incoming mail rules'),
('en', 'tracker', 'import tts tickets', 'Import TTS tickets'),
('en', 'tracker', 'ignore', 'Ignore'),
('en', 'tracker', 'ignore unrecognized mails. they will not be deleted from the server, even if ''delete mails'' above is tagged.', 'Ignore unrecognized mails. They will not be deleted from the server, even if ''Delete mails'' above is tagged.'),
('en', 'tracker', 'if this item is important for you, please vote for it.', 'If this item is important for you, please vote for it.'),
('en', 'tracker', 'if this item is important for you, please consider to set a bounty for it!', 'If this item is important for you, please consider to set a bounty for it!'),
('en', 'tracker', 'html editing', 'Html editing'),
('en', 'tracker', 'id', 'ID'),
('en', 'tracker', 'from', 'From'),
('en', 'tracker', 'history', 'History'),
('en', 'tracker', 'field', 'Field'),
('en', 'tracker', 'fixed', 'Fixed'),
('en', 'tracker', 'forward to', 'Forward to'),
('en', 'tracker', 'forward unrecognized mails to the email address that has to be specified here.', 'Forward unrecognized mails to the email address that has to be specified here.'),
('en', 'tracker', 'everybody', 'Everybody'),
('en', 'tracker', 'existing links', 'Existing links'),
('en', 'tracker', 'escalation saved.', 'Escalation saved.'),
('en', 'tracker', 'escalation not found!', 'Escalation not found!'),
('en', 'tracker', 'escalation deleted.', 'Escalation deleted.'),
('en', 'tracker', 'escalation added.', 'Escalation added.'),
('en', 'tracker', 'escalation', 'Escalation'),
('en', 'tracker', 'error saving the entry!!!', 'Error saving the entry!!!'),
('en', 'tracker', 'error deleting escalation!', 'Error deleting escalation!'),
('en', 'tracker', 'error adding the new tracker!', 'Error adding the new tracker!'),
('en', 'tracker', 'entry saved', 'Entry saved'),
('en', 'tracker', 'enter the mail address that will be read.', 'Enter the mail address that will be read.'),
('en', 'tracker', 'enter the imap server from which emails should be fetched', 'Enter the IMAP server from which emails should be fetched'),
('en', 'tracker', 'enter an email address here if unrecognized mails should be forwarded', 'Enter an email address here if unrecognized mails should be forwarded'),
('en', 'tracker', 'enter an opening text for the reply message', 'Enter an opening text for the reply message'),
('en', 'tracker', 'email handling can be configured only for all trackers', 'Email handling can be configured only for all trackers'),
('en', 'tracker', 'email address to contact you', 'Email address to contact you'),
('en', 'tracker', 'edit entry', 'Edit entry'),
('en', 'tracker', 'edit %1', 'Edit %1'),
('en', 'tracker', 'e-mail notifications', 'E-Mail notifications'),
('en', 'tracker', 'duplicate', 'Duplicate'),
('en', 'tracker', 'e-mail address to which a copy of all tracker-notifications should be send', 'E-Mail address to which a copy of all tracker-notifications should be send'),
('en', 'tracker', 'donator name to show', 'Donator name to show'),
('en', 'tracker', 'do you want to vote for this item', 'Do you want to vote for this item'),
('en', 'tracker', 'deleted', 'Deleted'),
('en', 'tracker', 'delete unrecognized mails from the server, even if ''delete mails'' above is not tagged.', 'Delete unrecognized mails from the server, even if ''Delete mails'' above is not tagged.'),
('en', 'tracker', 'delete this version', 'Delete this version'),
('en', 'tracker', 'delete this tracker including all it''s items and categories', 'Delete this tracker including all it''s items and categories'),
('en', 'tracker', 'delete this status', 'Delete this status'),
('en', 'tracker', 'delete this escalation', 'Delete this escalation'),
('en', 'tracker', 'delete this entry', 'Delete this entry'),
('en', 'tracker', 'delete this category', 'Delete this category'),
('en', 'tracker', 'delete this canned response', 'Delete this canned response'),
('en', 'tracker', 'delete this bounty', 'Delete this bounty'),
('en', 'tracker', 'delete mails from server', 'Delete mails from server'),
('en', 'tracker', 'date opened', 'Date opened'),
('en', 'tracker', 'creator', 'Creator'),
('en', 'tracker', 'custom fields', 'Custom fields'),
('en', 'tracker', 'custom tracker priorities', 'Custom tracker priorities'),
('en', 'tracker', 'creation date', 'creation date'),
('en', 'tracker', 'created', 'Created'),
('en', 'tracker', 'create new links', 'Create new links'),
('en', 'tracker', 'copy to', 'Copy to'),
('en', 'tracker', 'converted count', 'converted count'),
('en', 'tracker', 'convert all open tickets', 'convert all open tickets'),
('en', 'tracker', 'convert all closed tickets', 'convert all closed tickets'),
('en', 'tracker', 'confirmed', 'Confirmed'),
('en', 'tracker', 'confirm the receipt of money for this bounty', 'Confirm the receipt of money for this bounty'),
('en', 'tracker', 'confirm that you pay the specified bounty to implement or fix the issue', 'Confirm that you pay the specified bounty to implement or fix the issue'),
('en', 'tracker', 'configuration, acl, notifications', 'Configuration, ACL, Notifications'),
('en', 'tracker', 'configuration updated.', 'Configuration updated.'),
('en', 'tracker', 'configuration for all trackers', 'Configuration for all tracker queues'),
('en', 'tracker', 'comments', 'Comments'),
('en', 'tracker', 'completed', 'Completed'),
('en', 'tracker', 'configuration', 'Configuration'),
('en', 'tracker', 'closed', 'Closed'),
('en', 'tracker', 'comment by %1 at %2:', 'Comment by %1 at %2:'),
('en', 'tracker', 'close pending', 'Close pending'),
('en', 'tracker', 'choose a project from the drop-down list', 'choose a project from the drop-down list'),
('en', 'tracker', 'check mail interval', 'Check mail interval'),
('en', 'tracker', 'check all', 'Check all'),
('en', 'tracker', 'changes made below will be lost, if not applied before!', 'Changes made below will be lost, if not applied before!'),
('en', 'tracker', 'categories, versions, canned responses', 'Categories, versions, canned responses'),
('en', 'tracker', 'category for new tickets', 'Category for new tickets'),
('en', 'tracker', 'bounty set', 'Bounty set'),
('en', 'tracker', 'canned response', 'Canned response'),
('en', 'tracker', 'canned responses', 'Canned responses'),
('en', 'tracker', 'bounty deleted.', 'Bounty deleted.'),
('en', 'tracker', 'bounty confirmed.', 'Bounty confirmed.'),
('en', 'tracker', 'bounty deleted', 'Bounty deleted'),
('en', 'tracker', 'bounty confirmed', 'Bounty confirmed'),
('en', 'tracker', 'bounties', 'Bounties'),
('en', 'tracker', 'automatic email handling', 'Automatic email handling'),
('en', 'tracker', 'attachments & links', 'Attachments & Links'),
('en', 'tracker', 'autoassign to', 'Autoassign to'),
('en', 'tracker', 'assigning groups', 'Assigning groups'),
('en', 'tracker', 'assigned to', 'Assigned to'),
('en', 'tracker', 'amount', 'Amount'),
('en', 'tracker', 'assign to project', 'Assign to project'),
('en', 'tracker', 'already escalated', 'already escalated'),
('en', 'tracker', 'allow voting on tracker items, show and sort after the votes', 'Allow voting on tracker items, show and sort after the votes'),
('en', 'tracker', 'allow the predefinition of projects that will be assigned to new tracker-items.', 'Allow the predefinition of projects that will be assigned to new tracker-items.'),
('en', 'tracker', 'allow to assign groups to tracker items', 'Allow to assign groups to tracker items'),
('en', 'tracker', 'allow voting', 'Allow voting'),
('en', 'tracker', 'allow editing by', 'Allow editing by'),
('en', 'tracker', 'allow default projects for tracker', 'Allow default projects for tracker'),
('en', 'tracker', 'allow bounties', 'Allow bounties'),
('en', 'tracker', 'all tickets are already converted to tracker', 'all tickets are already converted to Tracker'),
('en', 'tracker', 'after how many days pending items should be closed automatic', 'After how many days pending items should be closed automatic'),
('en', 'tracker', 'after how many days a not replied item should be marked overdue?', 'After how many days a not replied item should be marked overdue?'),
('en', 'tracker', 'after', 'after'),
('en', 'tracker', 'add unrecognized mail address to the cc field', 'Add unrecognized mail address to the CC field'),
('en', 'tracker', 'add timesheet entry', 'Add timesheet entry'),
('en', 'tracker', 'add comment', 'Add comment'),
('en', 'tracker', 'add assigned', 'Add assigned'),
('en', 'tracker', 'add additionally', 'add additionally'),
('en', 'tracker', 'activate users queue access control', 'Activate users queue access control'),
('en', 'tracker', 'actions', 'Actions'),
('en', 'tracker', 'accepted', 'Accepted'),
('en', 'tracker', '1 - lowest', '1 - lowest'),
('en', 'tracker', '5 - medium', '5 - medium'),
('en', 'tracker', '9 - highest', '9 - highest'),
('en', 'tracker', '--> enter new name', '--> enter new name'),
('en', 'tracker', '--> choose a project from the drop-down list', '--> choose a project from the drop-down list'),
('en', 'tracker', '(new tickets as', '(New tickets as'),
('en', 'tracker', '&#9830; without reply not closed', '? Without reply not closed'),
('en', 'tracker', '&#9830; without 30 days reply not closed', '? Without 30 days reply not closed'),
('en', 'tracker', '&#9830; own without reply not closed', '? Own without reply not closed'),
('en', 'tracker', '&#9830; own not closed', '? Own not closed'),
('en', 'tracker', '&#9830; not closed', '? Not closed'),
('en', 'tracker', '%1 tickets have been converted', '%1 tickets have been converted'),
('en', 'tracker', '%1 entries updated.', '%1 entries updated.'),
('en', 'timesheet', 'your database is not up to date (%1 vs. %2), please run %3setup%4 to update your database.', 'Your database is NOT up to date (%1 vs. %2), please run %3setup%4 to update your database.'),
('en', 'timesheet', 'view this entry', 'View this entry'),
('en', 'timesheet', 'week', 'Week'),
('en', 'timesheet', 'whole query', 'whole query'),
('en', 'timesheet', 'yesterday', 'Yesterday'),
('en', 'timesheet', 'you need to select some timesheets first', 'You need to select some timesheets first'),
('en', 'timesheet', 'values for selectbox', 'Values for selectbox'),
('en', 'timesheet', 'unitprice', 'Unitprice'),
('en', 'timesheet', 'tracker', 'Tracker'),
('en', 'timesheet', 'timesheet-%1 deleted.', 'Timesheet-%1 deleted.'),
('en', 'timesheet', 'timesheet-%1 ''%2'' updated.', 'Timesheet-%1 ''%2'' updated.'),
('en', 'timesheet', 'timesheet status-%1 ''%2'' added.', 'Timesheet Status-%1 ''%2'' added.'),
('en', 'timesheet', 'timesheet openoffice export', 'Timesheet OpenOffice export'),
('en', 'timesheet', 'timesheet csv export', 'Timesheet CSV export'),
('en', 'timesheet', 'timesheet modified by %1 at %2', 'Timesheet modified by %1 at %2'),
('en', 'timesheet', 'this year', 'This year'),
('en', 'timesheet', 'ticket modified by %1 at %2', 'Ticket modified by %1 at %2'),
('en', 'timesheet', 'this week', 'This week'),
('en', 'timesheet', 'this month', 'This month'),
('en', 'timesheet', 'the text displayed to the user', 'the text displayed to the user'),
('en', 'timesheet', 'the name used internaly (<= 20 chars), changeing it makes existing data unavailible', 'the name used internaly (<= 20 chars), changeing it makes existing data unavailible'),
('en', 'timesheet', 'sum %1:', 'Sum %1:'),
('en', 'timesheet', 'status updated.', 'Status updated.'),
('en', 'timesheet', 'status of created timesheets', 'Status of created timesheets'),
('en', 'timesheet', 'status deleted.', 'Status deleted.'),
('en', 'timesheet', 'starttime', 'Starttime'),
('en', 'timesheet', 'starttime has to be before endtime !!!', 'Starttime has to be before endtime !!!'),
('en', 'timesheet', 'select the predefined status, whan creating a new timesheet', 'Select the predefined status, whan creating a new timesheet'),
('en', 'timesheet', 'start', 'Start'),
('en', 'timesheet', 'select multiple timeshhets for a further action', 'Select multiple timeshhets for a further action'),
('en', 'timesheet', 'select infolog', 'select Infolog'),
('en', 'timesheet', 'select action', 'Select action'),
('en', 'timesheet', 'select a status of the timesheet', 'select a status of the timesheet'),
('en', 'timesheet', 'select a price', 'Select a price'),
('en', 'timesheet', 'select a project', 'Select a project'),
('en', 'timesheet', 'saves this entry and add a new one', 'Saves this entry and add a new one'),
('en', 'timesheet', 'saves the changes made and leaves', 'saves the changes made and leaves'),
('en', 'timesheet', 'saves the changes made', 'Saves the changes made'),
('en', 'timesheet', 'parent', 'Parent'),
('en', 'timesheet', 'permission denied!!!', 'Permission denied!!!'),
('en', 'timesheet', 'price', 'Price'),
('en', 'timesheet', 'quantity', 'Quantity'),
('en', 'timesheet', 'save & new', 'Save & New'),
('en', 'timesheet', 'or endtime', 'or Endtime'),
('en', 'timesheet', 'order', 'Order'),
('en', 'timesheet', 'only admin can edit this status', 'only Admin can edit this status'),
('en', 'timesheet', 'new ticket submitted by %1 at %2', 'New ticket submitted by %1 at %2'),
('en', 'timesheet', 'new timesheet submitted by %1 at %2', 'New timesheet submitted by %1 at %2'),
('en', 'timesheet', 'no details', 'no details'),
('en', 'timesheet', 'no project', 'No project'),
('en', 'timesheet', 'no status', 'No status'),
('en', 'timesheet', 'number of row for a multiline inputfield or line of a multi-select-box', 'number of row for a multiline inputfield or line of a multi-select-box'),
('en', 'timesheet', 'only admin', 'Only Admin'),
('en', 'timesheet', 'modify the status of the timesheet', 'Modify the Status of the Timesheet'),
('en', 'timesheet', 'leave it empty for a full week', 'Leave it empty for a full week'),
('en', 'timesheet', 'leaves without saveing', 'leaves without saveing'),
('en', 'timesheet', 'length<br>rows', 'Length<br>Rows'),
('en', 'timesheet', 'links', 'Links'),
('en', 'timesheet', 'max length of the input [, length of the inputfield (optional)]', 'max length of the input [, length of the inputfield (optional)]'),
('en', 'timesheet', 'last year', 'Last year'),
('en', 'timesheet', 'last week', 'Last week'),
('en', 'timesheet', 'last month', 'Last month'),
('en', 'timesheet', 'last modified', 'Last modified'),
('en', 'timesheet', 'id', 'ID'),
('en', 'timesheet', 'global categories', 'Global Categories'),
('en', 'timesheet', 'history', 'History'),
('en', 'timesheet', 'general', 'General'),
('en', 'timesheet', 'field must not be empty !!!', 'Field must not be empty !!!'),
('en', 'timesheet', 'exports entries from your timesheet into a csv file. csv means ''comma seperated values''. however in the options tab you can also', 'Exports entries from your Timesheet into a CSV File. CSV means ''Comma Seperated Values''. However in the options Tab you can also choose other seperators.'),
('en', 'timesheet', 'export to openoffice spreadsheet', 'Export to OpenOffice Spreadsheet'),
('en', 'timesheet', 'existing links', 'Existing links'),
('en', 'timesheet', 'export', 'Export'),
('en', 'timesheet', 'error saving the entry!!!', 'Error saving the entry!!!'),
('en', 'timesheet', 'entry deleted', 'Entry deleted'),
('en', 'timesheet', 'entry saved', 'Entry saved'),
('en', 'timesheet', 'error deleting the entry!!!', 'Error deleting the entry!!!'),
('en', 'timesheet', 'end', 'End'),
('en', 'timesheet', 'edit this entry', 'Edit this entry'),
('en', 'timesheet', 'empty if identical to duration', 'empty if identical to duration'),
('en', 'timesheet', 'each value is a line like <id>[=<label>]', 'each value is a line like <id>[=<label>]'),
('en', 'timesheet', 'edit status', 'Edit status'),
('en', 'timesheet', 'determines the order the fields are displayed', 'determines the order the fields are displayed'),
('en', 'timesheet', 'deletes this field', 'deletes this field'),
('en', 'timesheet', 'deleted', 'deleted'),
('en', 'timesheet', 'delete timesheet', 'Delete Timesheet'),
('en', 'timesheet', 'delete this status', 'Delete this status'),
('en', 'timesheet', 'delete this entry', 'Delete this entry'),
('en', 'timesheet', 'custom fields', 'Custom fields'),
('en', 'timesheet', 'creating new entry', 'creating new entry'),
('en', 'timesheet', 'creates a new field', 'creates a new field'),
('en', 'timesheet', 'changed status', 'changed status'),
('en', 'timesheet', 'check all', 'Check all'),
('en', 'timesheet', 'comment by %1 at %2:', 'Comment by %1 at %2:'),
('en', 'timesheet', 'create new links', 'Create new links'),
('en', 'timesheet', 'by', 'by'),
('en', 'timesheet', 'applies the changes', 'applies the changes'),
('en', 'timesheet', 'apply the action on the whole query, not only the shown timesheets!!!', 'Apply the action on the whole query, NOT only the shown timesheets!!!'),
('en', 'timesheet', 'and its members', 'and its members'),
('en', 'timesheet', 'all status', 'All status'),
('en', 'timesheet', '3 years ago', '3 years ago'),
('en', 'timesheet', 'actions', 'Actions'),
('en', 'timesheet', 'all projects', 'All projects'),
('en', 'timesheet', '2 years ago', '2 years ago'),
('en', 'timesheet', '2 month ago', '2 month ago'),
('en', 'timesheet', '--> enter new name', '--> enter new name'),
('en', 'timesheet', '%1 timesheets(s) %2', '%1 timesheets(s) %2'),
('en', 'timesheet', '%1 timesheets(s) %2, %3 failed because of insufficent rights !!!', '%1 timesheets(s) %2, %3 failed because of insufficent rights !!!'),
('en', 'syncml', 'your egroupware password', 'Your EGroupware password'),
('en', 'syncml', 'your calendar will be synchronized up to this number of seconds in the past (2678400 seconds = 31 days).', 'Your calendar will be synchronized up to this number of seconds in the past (2678400 seconds = 31 days).'),
('en', 'syncml', 'you can synchronize your<ul><li>addressbook</li><li>calendar</li><li>task (infolog)</li><li>notes (infolog)</li></ul>', 'You can synchronize your<ul><li>Addressbook</li><li>Calendar</li><li>Task (InfoLog)</li><li>Notes (InfoLog)</li></ul>'),
('en', 'syncml', 'vcard is the new format for sync and we recomment to use vcard instead of sif.', 'Vcard is the new format for sync and we recomment to use vcard instead of SIF.'),
('en', 'syncml', 'to this calendar category a conflict duplicate will be added.', 'To this Calendar category a conflict duplicate will be added.'),
('en', 'syncml', 'to this addressbook category a conflict duplicate will be added.', 'To this Addressbook category a conflict duplicate will be added.'),
('en', 'syncml', 'this application does not provide <i>frontend</i> functionality but implements synchronization of various content with external ', 'This application does not provide <i>frontend</i> functionality but implements synchronization of various content with external devices via the SyncML/HTTP protocol.<br/>This EGroupware version does support SyncML 1.0, 1.1 and 1.2.<br/>'),
('en', 'syncml', 'this address list of contacts will be synchronized.', 'This address list of contacts will be synchronized.'),
('en', 'syncml', 'this address list of contacts will be synchronized. if used together with the addressbook option, this list will appended.', 'This address list of contacts will be synchronized. If used together with the addressbook option, this list will appended.'),
('en', 'syncml', 'there are certain settings of the client which you have to adjust for egroupware synchronization:', 'There are certain settings of the client which you have to adjust for EGroupware synchronization:'),
('en', 'syncml', 'the syncml module provides some customization parameters for conflict handling which you can find in your', 'The SyncML module provides some customization parameters for conflict handling which you can find in your'),
('en', 'syncml', 'the syncml application', 'The SyncML application'),
('en', 'syncml', 'the server reverts all client changes.', 'The server reverts all client changes.'),
('en', 'syncml', 'the second option relies on the client''s cooperation, though. if it gets a change, the server will send its own version of the d', 'The second option relies on the client''s cooperation, though. If it gets a change, the server will send its own version of the data back to the client. The client is supposed to roll back the changes this way.'),
('en', 'syncml', 'the next two options will put the server in read only mode. if the client sends changes to the server, you can choose between:', 'The next two options will put the server in read only mode. If the client sends changes to the server, you can choose between:'),
('en', 'syncml', 'the client and server data is unchanged (split brain).', 'The client and server data is unchanged (split brain).'),
('en', 'syncml', 'tasks', 'tasks'),
('en', 'syncml', 'task (infolog)', 'Task (InfoLog)'),
('en', 'syncml', 'task synchronization options', 'Task Synchronization Options'),
('en', 'syncml', 'syncronization calendars', 'Syncronization Calendars'),
('en', 'syncml', 'syncml preferences', 'SyncML preferences'),
('en', 'syncml', 'synchronize this selection', 'Synchronize this selection'),
('en', 'syncml', 'synchronize this list', 'Synchronize this list'),
('en', 'syncml', 'stask', 'stask'),
('en', 'syncml', 'synchronize this addressbook', 'Synchronize this addressbook'),
('en', 'syncml', 'slowsync ignore map', 'SlowSync ignore map'),
('en', 'syncml', 'snote', 'snote'),
('en', 'syncml', 'sifnotes', 'sifnotes'),
('en', 'syncml', 'siftasks', 'siftasks'),
('en', 'syncml', 'sifcalendar', 'sifcalendar'),
('en', 'syncml', 'sifcontacts', 'sifcontacts'),
('en', 'syncml', 'server wins', 'Server Wins'),
('en', 'syncml', 'settings for', 'Settings for'),
('en', 'syncml', 'server location/url', 'Server location/URL'),
('en', 'syncml', 'scal', 'scal'),
('en', 'syncml', 'scard', 'scard'),
('en', 'syncml', 'resolv with duplicates', 'Resolv with Duplicates'),
('en', 'syncml', 'remote database names', 'Remote database names'),
('en', 'syncml', 'primary group', 'Primary Group'),
('en', 'syncml', 'preferences for the syncml conflict handling<br/>and server r/o options', 'Preferences for the SyncML Conflict Handling<br/>and Server R/O Options'),
('en', 'syncml', 'preferences for the syncml', 'Preferences for the SyncML'),
('en', 'syncml', 'owner too', 'Owner too'),
('en', 'syncml', 'only tasks matching this filter criteria will be synchronized.', 'Only Tasks matching this filter criteria will be synchronized.'),
('en', 'syncml', 'only notes matching this filter criteria will be synchronized.', 'Only Notes matching this filter criteria will be synchronized.'),
('en', 'syncml', 'only events up to this number of seconds in the future will be synchonized (65000000 seconds > 2 years).', 'Only events up to this number of seconds in the future will be synchonized (65000000 seconds > 2 years).'),
('en', 'syncml', 'only events matching this filter criteria will be synchronized.', 'Only Events matching this filter criteria will be synchronized.'),
('en', 'syncml', 'notes (infolog)', 'Notes (InfoLog)'),
('en', 'syncml', 'only entries from this addressbook (and the above list) will be synchronized.', 'Only entries from this addressbook (and the above list) will be synchronized.'),
('en', 'syncml', 'notes', 'notes'),
('en', 'syncml', 'note synchronization options', 'Note Synchronization Options'),
('en', 'syncml', 'not rejected', 'Not rejected'),
('en', 'syncml', 'minimum accepted uid length', 'Minimum Accepted UID Length'),
('en', 'syncml', 'minimum uid length', 'Minimum UID Length'),
('en', 'syncml', 'jobs', 'jobs'),
('en', 'syncml', 'merge data', 'Merge Data'),
('en', 'syncml', 'items are changed on both &mdash; server and client side &mdash; before the next synchronization, this is called a conflict situ', 'items are changed on both &mdash; server and client side &mdash; before the next synchronization, this is called a conflict situation. You can configure the conflict handling of EGroupware for every target individually. There are three different ways to handle colliding client changes:<br>'),
('en', 'syncml', 'infolog conflict category', 'InfoLog Conflict Category'),
('en', 'syncml', 'ignore client', 'Ignore Client'),
('en', 'syncml', 'if you select <b>duplicates</b> as conflict resolution, you may want to assign a certain <b>category</b> for these data items. i', 'If you select <b>duplicates</b> as conflict resolution, you may want to assign a certain <b>category</b> for these data items. If EGroupware detects a collision, it will assign the old server item to the selected <i>conflict category</i> and replace the original item with the clients content.'),
('en', 'syncml', 'if enabled, egroupware will ignore the mapping information of fromer sync-sessions during slowsyncs.', 'If enabled, EGroupware will ignore the mapping information of fromer sync-sessions during SlowSyncs.'),
('en', 'syncml', 'if enabled, egroupware will allow only devices which are allowed by the administrator.', 'If enabled, EGroupware will allow only devices which are allowed by the administrator.'),
('en', 'syncml', 'for <b>max entries</b> = 0 either <i>maxmsgsize</i> will be used or the default value 10.<br/>with <b>non blocking allday events', 'For <b>Max Entries</b> = 0 either <i>maxMsgSize</i> will be used or the default value 10.<br/>With <b>Non Blocking Allday Events</b> set allday events will be nonblocking when imported from this device.<br/>The <b>UID Extension</b> enables the preservation of vCalandar UIDs by appending them to <i>Description</i> field for this device.<br/>The selected <b>Time zone</b> is used for calendar event syncronization with the device. If not set, the timezones of the events are used.'),
('en', 'syncml', 'for <b>max entries</b> = 0 either <i>maxmsgsize</i> will be used or the default value 10.<br/>', 'For <b>Max Entries</b> = 0 either <i>maxMsgSize</i> will be used or the default value 10.<br/>'),
('en', 'syncml', 'events from selected calendars will be synchronized.', 'Events from selected Calendars will be synchronized.'),
('en', 'syncml', 'enforce server', 'Enforce Server'),
('en', 'syncml', 'events', 'events'),
('en', 'syncml', 'do you really want to delete the synchonization history of the selected datastores?', 'Do you really want to delete the synchonization history of the selected datastores?'),
('en', 'syncml', 'do you really want to delete the synchonization history of the selected devices?', 'Do you really want to delete the synchonization history of the selected devices?'),
('en', 'syncml', 'egroupware application', 'EGroupware application'),
('en', 'syncml', 'deny explicitly disabled devices', 'Deny explicitly disabled devices'),
('en', 'syncml', 'deny unkown devices', 'Deny unkown devices'),
('en', 'syncml', 'device specific settings', 'Device Specific Settings'),
('en', 'syncml', 'contacts', 'contacts'),
('en', 'syncml', 'content type', 'content type'),
('en', 'syncml', 'datastore name', 'datastore name'),
('en', 'syncml', 'conflict handling and server r/o options', 'Conflict handling and server R/O options'),
('en', 'syncml', 'conflict categories for egroupware data types', 'Conflict categories for EGroupware data types'),
('en', 'syncml', 'client configuration', 'Client configuration'),
('en', 'syncml', 'client wins', 'Client Wins'),
('en', 'syncml', 'categories for conflict duplicates', 'Categories for Conflict Duplicates'),
('en', 'syncml', 'caltasks', 'caltasks'),
('en', 'syncml', 'card', 'card'),
('en', 'syncml', 'calendar synchronization options', 'Calendar Synchronization Options'),
('en', 'syncml', 'calendar history period', 'Calendar History Period'),
('en', 'syncml', 'calendar future period', 'Calendar Future Period'),
('en', 'syncml', 'calendar filter', 'Calendar Filter'),
('en', 'syncml', 'auto', 'auto'),
('en', 'syncml', 'calendar conflict category', 'Calendar Conflict Category'),
('en', 'syncml', 'all incl. rejected', 'All incl. rejected'),
('en', 'syncml', 'addressbook synchronization options', 'Addressbook Synchronization Options'),
('en', 'syncml', 'addressbook conflict category', 'Addressbook Conflict Category'),
('en', 'syncml', 'accepted', 'Accepted'),
('en', 'syncml', 'a duplicate infolog entry from a synchronization conflict will be assigned to this category.', 'A duplicate infolog entry from a synchronization conflict will be assigned to this category.'),
('en', 'syncml', '<li>the client wins and overwrites the server data.</li><li>the server wins and overwrites the client data (default). </li><li>d', '<li>The client wins and overwrites the server data.</li><li>The server wins and overwrites the client data (default). </li><li>Duplicate entries are created from both versions.</li>'),
('en', 'sitemgr-link', 'your administrator has not yet setup the web content manager for public viewing.  go bug your administrator to get their butt in', 'Your administrator has not yet setup the web content manager for public viewing.  Go bug your administrator to get their butt in gear.'),
('en', 'sitemgr-link', 'sitemgr setup page', 'sitemgr setup page'),
('en', 'sitemgr-link', 'note that you may get this message if your preferences are incorrect.  for example, if config.inc.php is not found in the direct', 'Note that you may get this message if your preferences are incorrect.  For example, if config.inc.php is not found in the directory that you specified.'),
('en', 'sitemgr', 'your name', 'Your name'),
('en', 'sitemgr', 'zip code', 'zip code'),
('en', 'sitemgr-link', 'before the public web site can be viewed, you must configure the various locations and preferences.  please go to the sitemgr se', 'Before the public web site can be viewed, you must configure the various locations and preferences.  Please go to the sitemgr setup page by following this link:'),
('en', 'sitemgr', 'your comment', 'Your comment'),
('en', 'sitemgr', 'your connection is not secure.', 'Your connection is not secure.'),
('en', 'sitemgr', 'your calendar', 'Your Calendar'),
('en', 'sitemgr', 'you will remove the message in the following language from your notification system:', 'You will remove the message in the following language from your notification system:'),
('en', 'sitemgr', 'you removed one ore more languages from your site languages.', 'You removed one ore more languages from your site languages.'),
('en', 'sitemgr', 'you need to be an administrator of this website to enter javascript!', 'You need to be an administrator of this website to enter javascript!'),
('en', 'sitemgr', 'you must be an admin to edit the site header and footer.', 'You must be an admin to edit the site header and footer.'),
('en', 'sitemgr', 'you must be an admin to manage module properties.', 'You must be an admin to manage module properties.'),
('en', 'sitemgr', 'you must be an administrator to setup the site manager.', 'You must be an administrator to setup the Site Manager.'),
('en', 'sitemgr', 'you must be an admin to edit categories.', 'You must be an admin to edit categories.'),
('en', 'sitemgr', 'you may have deinstalled the used template ''%1''. reinstall it or go to sitemgr --> configure website and select an other one.', 'You may have deinstalled the used template ''%1''. Reinstall it or go to SiteMgr --> Configure Website and select an other one.'),
('en', 'sitemgr', 'you have to enable url rewriting on the webserver!', 'You have to enable URL rewriting on the webserver!'),
('en', 'sitemgr', 'you have no rights to view wiki content or the wiki is not installed at all !!!', 'You have no rights to view wiki content or the wiki is not installed at all !!!'),
('en', 'sitemgr', 'you failed to fill in one or more required fields.', 'You failed to fill in one or more required fields.'),
('en', 'sitemgr', 'you don''t have permission to write to that category.', 'You don''t have permission to write to that category.'),
('en', 'sitemgr', 'you don''t have permission to write in the category', 'You don''t have permission to write in the category'),
('en', 'sitemgr', 'you do not have write permissions for any site categories.', 'You do not have write permissions for any site categories.'),
('en', 'sitemgr', 'you do not have access to any content on this site.', 'You do not have access to any content on this site.'),
('en', 'sitemgr', 'you did not choose a module.', 'You did not choose a module.'),
('en', 'sitemgr', 'you can use %1 to fetch the above defined url of your logo.', 'You can use %1 to fetch the above defined URL of your logo.'),
('en', 'sitemgr', 'you can override each content blocks default title. be aware that not in all content areas the block title will be visible.', 'You can override each content blocks default title. Be aware that not in all content areas the block title will be visible.'),
('en', 'sitemgr', 'you can either migrate them to a new language or delete them', 'You can either migrate them to a new language or delete them'),
('en', 'sitemgr', 'you can choose the modules that can be used on the site. the first list is a sort of master list, that is consulted if you do no', 'You can choose the modules that can be used on the site. The first list is a sort of master list, that is consulted if you do not configure lists specific to contentareas or (sub)categories. Then you can choose lists specific to each content area. In the category manager these lists can be overriden for each (sub)category.'),
('en', 'sitemgr', 'you are not entitled to edit block %1', 'You are not entitled to edit block %1'),
('en', 'sitemgr', 'you are not entitled to create module %1 on this scope', 'You are not entitled to create module %1 on this scope'),
('en', 'sitemgr', 'you are not entitled to change the scope of block %1 to cat %2 and page %3', 'You are not entitled to change the scope of block %1 to Cat %2 and Page %3'),
('en', 'sitemgr', 'yes, please delete it', 'Yes, please delete it'),
('en', 'sitemgr', 'xml browser', 'XML browser'),
('en', 'sitemgr', 'write permission', 'Write Permission'),
('en', 'sitemgr', 'with which view should the module be displayed in the beginning?', 'With which view should the module be displayed in the beginning?'),
('en', 'sitemgr', 'wiki', 'Wiki'),
('en', 'sitemgr', 'wiki startpage', 'Wiki startpage'),
('en', 'sitemgr', 'which main categories should be included (comma separated list, empty for all)', 'Which main categories should be included (comma separated list, empty for all)'),
('en', 'sitemgr', 'when is a tab activated?', 'When is a tab activated?'),
('en', 'sitemgr', 'which application should be executed after login?', 'Which application should be executed after login?'),
('en', 'sitemgr', 'website', 'Website'),
('en', 'sitemgr', 'week', 'week'),
('en', 'sitemgr', 'what do you want to do with existing translations of categories and pages for this language?', 'What do you want to do with existing translations of categories and pages for this language?'),
('en', 'sitemgr', 'web site manager', 'Web Site Manager'),
('en', 'sitemgr', 'want more templates?', 'Want more templates?'),
('en', 'sitemgr', 'web content manager administration', 'Web Content Manager Administration'),
('en', 'sitemgr', 'viewed', 'viewed'),
('en', 'sitemgr', 'view threads', 'View Threads'),
('en', 'sitemgr', 'view template on this site', 'View template on this site'),
('en', 'sitemgr', 'view full index', 'View full index'),
('en', 'sitemgr', 'view generated site', 'View Generated Site'),
('en', 'sitemgr', 'view administrative menu', 'View Administrative Menu'),
('en', 'sitemgr', 'vertical', 'Vertical'),
('en', 'sitemgr', 'validator', 'Validator'),
('en', 'sitemgr', 'user name', 'User Name'),
('en', 'sitemgr', 'use this module for displaying wiki-pages', 'Use this module for displaying wiki-pages'),
('en', 'sitemgr', 'use this module for displaying book ads for the amazon web site', 'Use this module for displaying book ads for the amazon web site'),
('en', 'sitemgr', 'use phpnuke themes instead of templates', 'Use phpNuke themes instead of templates'),
('en', 'sitemgr', 'use default', 'Use default'),
('en', 'sitemgr', 'url to sitemgr-site', 'URL to sitemgr-site'),
('en', 'sitemgr', 'use current user selected language', 'Use current user selected language'),
('en', 'sitemgr', 'url pointing to the image-directory', 'URL pointing to the image-directory'),
('en', 'sitemgr', 'updating to new category system', 'Updating to new category system'),
('en', 'sitemgr', 'update notification', 'Update Notification'),
('en', 'sitemgr', 'up to table of contents', 'Up to table of contents'),
('en', 'sitemgr', 'unsubscribe', 'Unsubscribe'),
('en', 'sitemgr', 'up to parent', 'Up to parent'),
('en', 'sitemgr', 'unpack the downloaded template in your templates directory (%1) or use a custom template directory.', 'Unpack the downloaded template in your templates directory (%1) or use a custom template directory.'),
('en', 'sitemgr', 'translation status', 'Translation Status'),
('en', 'sitemgr', 'translation manager', 'Translation Manager'),
('en', 'sitemgr', 'translate site-wide content blocks', 'Translate site-wide content blocks'),
('en', 'sitemgr', 'translate page', 'Translate Page'),
('en', 'sitemgr', 'translate category', 'Translate Category'),
('en', 'sitemgr', 'translate', 'Translate'),
('en', 'sitemgr', 'topic', 'Topic'),
('en', 'sitemgr', 'this site', 'this site'),
('en', 'sitemgr', 'title', 'Title'),
('en', 'sitemgr', 'this should be a page that is readable by everyone. if you leave this blank, the site index will be shown by default.', 'This should be a page that is readable by everyone. If you leave this blank, the site index will be shown by default.'),
('en', 'sitemgr', 'this should be a comma-separated list of language-codes.', 'This should be a comma-separated list of language-codes.'),
('en', 'sitemgr', 'this must be an absolute directory location.  <b>no trailing slash</b>.', 'This must be an absolute directory location.  <b>No trailing slash</b>.'),
('en', 'sitemgr', 'this module show the status / percentage of the translation of egw', 'This module show the status / percentage of the translation of eGW'),
('en', 'sitemgr', 'this module search throw the content (page title/description and html content)', 'This module search throw the content (Page title/description and html content)'),
('en', 'sitemgr', 'this module provides the site index, it is automatically used by the index get parameter', 'This module provides the site index, it is automatically used by the index GET parameter'),
('en', 'sitemgr', 'this module provides the path to the element currently shown', 'This module provides the path to the element currently shown'),
('en', 'sitemgr', 'this module provides tabs', 'This module provides tabs'),
('en', 'sitemgr', 'this module provides an xml sitemap (see www.sitemap.org)', 'This module provides an XML sitemap (see www.sitemap.org)'),
('en', 'sitemgr', 'this module provides a condensed table of contents, meant for side areas', 'This module provides a condensed table of contents, meant for side areas'),
('en', 'sitemgr', 'this module provides a complete table of contents, it is automatically used by the toc and category_id get parameters', 'This module provides a complete table of contents, it is automatically used by the toc and category_id GET parameters'),
('en', 'sitemgr', 'this module permits browsing through xml files stored in a directory, and transformed by xslt', 'This module permits browsing through XML files stored in a directory, and transformed by XSLT'),
('en', 'sitemgr', 'this module lets you show a given url inside an iframe in the page.', 'This module lets you show a given URL inside an IFRAME in the page.'),
('en', 'sitemgr', 'this module lets you include an applet into the page.', 'This module lets you include an applet into the page.'),
('en', 'sitemgr', 'this module lets you define pages that redirect to another url, if you use it, there should be no other block defined for the pa', 'This module lets you define pages that redirect to another URL, if you use it, there should be no other block defined for the page'),
('en', 'sitemgr', 'this module lets users choose language', 'This module lets users choose language'),
('en', 'sitemgr', 'this module is a simple html editor', 'This module is a simple HTML editor'),
('en', 'sitemgr', 'this module lets the users choose a template or shows a template gallery', 'This module lets the users choose a template or shows a template gallery'),
('en', 'sitemgr', 'this module is a customisable navigation element', 'This module is a customisable navigation element'),
('en', 'sitemgr', 'this module is a selectbox to change the mode (production, draft or edit) plus a link back to sitemgr and to log out. it is mean', 'This module is a selectbox to change the mode (production, draft or edit) plus a link back to SiteMgr and to log out. It is meant for registered users only'),
('en', 'sitemgr', 'this module includes the contents of an url or file (readable by the webserver and in its docroot !)', 'This module includes the contents of an URL or file (readable by the webserver and in its docroot !)'),
('en', 'sitemgr', 'this module displays the root categories, its pages and evtl. subcategories. it is meant for side areas', 'This module displays the root categories, its pages and evtl. subcategories. It is meant for side areas'),
('en', 'sitemgr', 'this module displays the root categories in one block each, with pages and subcategories (incl. their pages if activated).', 'This module displays the root categories in one block each, with pages and subcategories (incl. their pages if activated).'),
('en', 'sitemgr', 'this module displays the egw forums on the web site', 'This module displays the eGW forums on the web site'),
('en', 'sitemgr', 'this module displays the current month', 'This module displays the current month'),
('en', 'sitemgr', 'this module displays bookmarks in a javascript based tree', 'This module displays bookmarks in a javascript based tree'),
('en', 'sitemgr', 'this module displays block from a adddressbook group.', 'This module displays Block from a Adddressbook Group.'),
('en', 'sitemgr', 'this module displays any kind of navigation element.', 'This module displays any kind of navigation element.'),
('en', 'sitemgr', 'this module displays a login form', 'This module displays a login form'),
('en', 'sitemgr', 'this module demonstrates how handling data stored in xml and building an interacvite interface from it', 'This module demonstrates how handling data stored in XML and building an interacvite interface from it'),
('en', 'sitemgr', 'this module create a link for downloading a file(s) from the vfs', 'This module create a link for downloading a file(s) from the VFS'),
('en', 'sitemgr', 'this module create a link for downloading a file from the vfs', 'This module create a link for downloading a file from the VFS'),
('en', 'sitemgr', 'this is used chiefly for meta data. if you change the site languages below you have to save before being able to set this prefer', 'This is used chiefly for meta data. If you change the site languages below you have to save before being able to set this preference for a new language.'),
('en', 'sitemgr', 'this is used chiefly for meta data and the title bar. if you change the site languages below you have to save before being able ', 'This is used chiefly for meta data and the title bar. If you change the site languages below you have to save before being able to set this preference for a new language.'),
('en', 'sitemgr', 'this is only used as an internal name for the website.', 'This is only used as an internal name for the website.'),
('en', 'sitemgr', 'this is a simple sample module', 'This is a simple sample module'),
('en', 'sitemgr', 'this directory is in egroupware''s virtual filesystem, not in the filesystem of the webserver!', 'This directory is in EGroupware''s virtual filesystem, NOT in the filesystem of the webserver!'),
('en', 'sitemgr', 'this category has no pages.', 'This category has no pages.'),
('en', 'sitemgr', 'this block displays a javascript based tree menu', 'This block displays a javascript based tree menu'),
('en', 'sitemgr', 'this block displays the current section''s table of contents', 'This block displays the current section''s table of contents'),
('en', 'sitemgr', 'there was an error writing to the database.', 'There was an error writing to the database.'),
('en', 'sitemgr', 'there is nothing to list.', 'There is nothing to list.'),
('en', 'sitemgr', 'there is no website configured for url %1.  notify the administrator.', 'THERE IS NO WEBSITE CONFIGURED FOR URL %1.  NOTIFY THE ADMINISTRATOR.');
INSERT INTO `egw_lang` (`lang`, `app_name`, `message_id`, `content`) VALUES
('en', 'sitemgr', 'there can only be one version in (pre(un))published state, with the one exeption that one prepublished version can coexist with ', 'There can only be one version in (pre(un))published state, with the one exeption that one prepublished version can coexist with one preunpublished version'),
('en', 'sitemgr', 'there are no sections available to you.', 'There are no sections available to you.'),
('en', 'sitemgr', 'there are two subdirectories off of your sitemgr directory that you should move before you do anything else.  you don''t <i>have<', 'There are two subdirectories off of your sitemgr directory that you should move before you do anything else.  You don''t <i>have</i> to move either of these directories, although you will probably want to.'),
('en', 'sitemgr', 'there are no pages in this section', 'There are no pages in this section'),
('en', 'sitemgr', 'there are no properties defined for this module', 'There are no properties defined for this module'),
('en', 'sitemgr', 'there are no forums in this category', 'There are no forums in this category'),
('en', 'sitemgr', 'there are no categories', 'There are no categories'),
('en', 'sitemgr', 'there are %1 elements in the list.', 'There are %1 elements in the list.'),
('en', 'sitemgr', 'theme or template select', 'Theme or template select'),
('en', 'sitemgr', 'the website has changed. too see the change, follow this url: $url.', 'The website has changed. Too see the change, follow this URL: $URL.'),
('en', 'sitemgr', 'the whole page', 'the whole page'),
('en', 'sitemgr', 'the xml files'' common name', 'the XML files'' common name'),
('en', 'sitemgr', 'theme "%1" not found!', 'Theme "%1" not found!'),
('en', 'sitemgr', 'the web', 'the web'),
('en', 'sitemgr', 'the url must be absolute and end in a slash, for example http://mydomain.com/mysite/', 'The URL must be absolute and end in a slash, for example http://mydomain.com/mysite/'),
('en', 'sitemgr', 'the url to display', 'The URL to display'),
('en', 'sitemgr', 'the url to redirect to', 'The URL to redirect to'),
('en', 'sitemgr', 'the url can be relative or absolute.  name must end in a slash.', 'The URL can be relative or absolute.  Name must end in a slash.'),
('en', 'sitemgr', 'the text for the link, if empty the module returns the raw url (without a link)', 'The text for the link, if empty the module returns the raw URL (without a link)'),
('en', 'sitemgr', 'the second directory is the sitemgr-site directory.  this can be moved <i>anywhere</i>.  it can also be named <i>anything</i>.  ', 'The second directory is the sitemgr-site directory.  This can be moved <i>anywhere</i>.  It can also be named <i>anything</i>.  Wherever it winds up, when you point a web browser to it, you will get the generated website.  Assuming, of course, that you''ve accurately completed the setup fields below and also <b><i>edited the config.inc.php</i></b> file.'),
('en', 'sitemgr', 'the requested path %1 is not available.', 'The requested path %1 is not available.'),
('en', 'sitemgr', 'the path to the file to be downloaded', 'The path to the file to be downloaded'),
('en', 'sitemgr', 'the person to say hello to', 'The person to say hello to'),
('en', 'sitemgr', 'the page was successfully saved.', 'The page was successfully saved.'),
('en', 'sitemgr', 'the page name must be unique.', 'The page name must be unique.'),
('en', 'sitemgr', 'the name field cannot contain punctuation or spaces (field modified).', 'The Name field cannot contain punctuation or spaces (field modified).'),
('en', 'sitemgr', 'the messages for changes in this language will use the default text, if available.', 'The messages for changes in this language will use the default text, if available.'),
('en', 'sitemgr', 'the given directory should be readable by the anonymous user for a regular public website!', 'The given directory should be readable by the anonymous user for a regular public website!'),
('en', 'sitemgr', 'the first directory to think about is sitemgr-link.  if you move this to the parent directory of sitemgr (your egroupware root d', 'The first directory to think about is sitemgr-link.  If you move this to the parent directory of sitemgr (your egroupware root directory) then you can use setup to install the app and everyone with access to the app will get an icon on their navbar that links them directly to the public web site.  If you don''t want this icon, there''s no reason to ever bother with the directory.'),
('en', 'sitemgr', 'the file to be downloaded', 'The file to be downloaded'),
('en', 'sitemgr', 'the filesystem path to your sitemgr-site directory ''%1'' is probably wrong. go to sitemgr --> define websites and edit/fix the co', 'The filesystem path to your sitemgr-site directory ''%1'' is probably wrong. Go to SiteMgr --> Define Websites and edit/fix the concerned Site.'),
('en', 'sitemgr', 'the config.inc.php file needs to be edited to point to the egroupware directory. copy the config.inc.php.template file to config', 'The config.inc.php file needs to be edited to point to the eGroupWare directory. Copy the config.inc.php.template file to config.inc.php and then edit it.'),
('en', 'sitemgr', 'the complete url or path to a file to be included', 'The complete URL or path to a file to be included'),
('en', 'sitemgr', 'the anonymous user needs read it!', 'The anonymous user needs read it!'),
('en', 'sitemgr', 'the category to display, 0 for complete table of contents', 'The category to display, 0 for complete table of contents'),
('en', 'sitemgr', 'textarea', 'textarea'),
('en', 'sitemgr', 'text of page links', 'Text of page links'),
('en', 'sitemgr', 'text for optional confirmation message, before download get displayed', 'Text for optional confirmation message, before download get displayed'),
('en', 'sitemgr', 'text allignment', 'Text allignment'),
('en', 'sitemgr', 'template select', 'Template select'),
('en', 'sitemgr', 'template preferences', 'Template preferences'),
('en', 'sitemgr', 'template preferences and custom css', 'Template preferences and custom CSS'),
('en', 'sitemgr', 'template has no parameters!', 'Template has no parameters!'),
('en', 'sitemgr', 'template directory is relative to egroupware''s files directory. you have to map that direcotory with an alias, so it is accessib', 'Template directory is relative to EGroupware''s files directory. You have to map that direcotory with an alias, so it is accessible like any stock template!'),
('en', 'sitemgr', 'template based navigation module', 'Template based navigation module'),
('en', 'sitemgr', 'table of contents', 'Table of Contents'),
('en', 'sitemgr', 'suppress the current page', 'Suppress the current page'),
('en', 'sitemgr', 'suppress main categories', 'Suppress main categories'),
('en', 'sitemgr', 'suppress the current category', 'Suppress the current category'),
('en', 'sitemgr', 'suppress link to parent category', 'Suppress link to parent category'),
('en', 'sitemgr', 'suppress link to index (show all)', 'Suppress link to index (show all)'),
('en', 'sitemgr', 'subtitle', 'Subtitle'),
('en', 'sitemgr', 'summary of one forum', 'Summary of one forum'),
('en', 'sitemgr', 'subtext for image %1', 'Subtext for image %1'),
('en', 'sitemgr', 'subsections:', 'Subsections:'),
('en', 'sitemgr', 'subcategories', 'Subcategories'),
('en', 'sitemgr', 'strip html from block content?', 'Strip HTML from block content?'),
('en', 'sitemgr', 'string to return (default api version)', 'String to return (default API version)'),
('en', 'sitemgr', 'state', 'State'),
('en', 'sitemgr', 'startdirectory in vfs for image uploads', 'Startdirectory in VFS for image uploads'),
('en', 'sitemgr', 'sort order', 'Sort Order'),
('en', 'sitemgr', 'sort files by', 'Sort files by'),
('en', 'sitemgr', 'sorry, no content found for you search criteria', 'Sorry, no content found for you search criteria'),
('en', 'sitemgr', 'size', 'Size'),
('en', 'sitemgr', 'sitemgr websites', 'Sitemgr Websites'),
('en', 'sitemgr', 'sitemgr setup instructions', 'SiteMgr Setup Instructions'),
('en', 'sitemgr', 'sitemgr options', 'SiteMgr Options'),
('en', 'sitemgr', 'sitemgr manual', 'SiteMgr Manual'),
('en', 'sitemgr', 'site wide', 'Site wide'),
('en', 'sitemgr', 'site name', 'Site name'),
('en', 'sitemgr', 'site tree menu', 'Site Tree Menu'),
('en', 'sitemgr', 'site language', 'Site Language'),
('en', 'sitemgr', 'site index', 'Site Index'),
('en', 'sitemgr', 'site export', 'Site export'),
('en', 'sitemgr', 'site format manager', 'Site Format Manager'),
('en', 'sitemgr', 'site description', 'Site description'),
('en', 'sitemgr', 'site administrators', 'Site administrators'),
('en', 'sitemgr', 'site %1 has been added, you need to %2configure the site%3 now', 'Site %1 has been added, you need to %2configure the site%3 now'),
('en', 'sitemgr', 'site %1 has been updated', 'Site %1 has been updated'),
('en', 'sitemgr', 'site', 'Site'),
('en', 'sitemgr', 'single file download', 'Single file download'),
('en', 'sitemgr', 'simple: only selected mode, no more options displayed', 'Simple: Only selected mode, no more options displayed'),
('en', 'sitemgr', 'show the title of the wiki page', 'Show the title of the wiki page'),
('en', 'sitemgr', 'show the link as text?', 'Show the link as text?'),
('en', 'sitemgr', 'show subcategories', 'Show subcategories'),
('en', 'sitemgr', 'show site index', 'Show Site Index'),
('en', 'sitemgr', 'show searchbox', 'Show searchbox'),
('en', 'sitemgr', 'show path?', 'show path?'),
('en', 'sitemgr', 'show only (in the next field) selected templates', 'Show only (in the next field) selected templates'),
('en', 'sitemgr', 'show files including the ones from subdirectories', 'Show files including the ones from subdirectories'),
('en', 'sitemgr', 'show details for the applications', 'Show details for the applications'),
('en', 'sitemgr', 'show current section only', 'Show current section only'),
('en', 'sitemgr', 'show contents of a directory with subdirectories', 'Show contents of a directory with subdirectories'),
('en', 'sitemgr', 'show contents of a directory', 'Show contents of a directory'),
('en', 'sitemgr', 'show comments?', 'Show comments?'),
('en', 'sitemgr', 'show a template-gallery (thumbnail and informations)', 'Show a template-gallery (thumbnail and informations)'),
('en', 'sitemgr', 'should the file be viewed in the browser or downloaded', 'Should the file be viewed in the browser or downloaded'),
('en', 'sitemgr', 'show a file upload (if user has write rights to current directory)', 'Show a file upload (if user has write rights to current directory)'),
('en', 'sitemgr', 'shipping address', 'Shipping address'),
('en', 'sitemgr', 'send emailcopy to receiver', 'Send emailcopy to receiver'),
('en', 'sitemgr', 'seperate cats / pages of one tab by :', 'Seperate Cats / Pages of one tab by :'),
('en', 'sitemgr', 'selected theme %1 does not exist.', 'Selected theme %1 does not exist.'),
('en', 'sitemgr', 'select type of navigation', 'Select type of Navigation'),
('en', 'sitemgr', 'selected template %1 does not exist.', 'Selected template %1 does not exist.'),
('en', 'sitemgr', 'select the templates the user is allowed to see', 'Select the templates the user is allowed to see'),
('en', 'sitemgr', 'select persons and groups that are entitled to configure the website.', 'Select persons and groups that are entitled to configure the website.'),
('en', 'sitemgr', 'select layout for lang selection', 'Select layout for lang selection'),
('en', 'sitemgr', 'select a forum', 'Select a forum'),
('en', 'sitemgr', 'select allowed modules', 'Select allowed modules'),
('en', 'sitemgr', 'select a category', 'Select a category'),
('en', 'sitemgr', 'seen by', 'Seen by'),
('en', 'sitemgr', 'seconds before redirect', 'Seconds before redirect'),
('en', 'sitemgr', 'search modes', 'Search modes'),
('en', 'sitemgr', 'search with', 'Search with'),
('en', 'sitemgr', 'search language options', 'Search language options'),
('en', 'sitemgr', 'search keyword', 'search keyword'),
('en', 'sitemgr', 'scope', 'Scope'),
('en', 'sitemgr', 'save block', 'Save block'),
('en', 'sitemgr', 'saved', 'Saved'),
('en', 'sitemgr', 'root site index', 'Root Site Index'),
('en', 'sitemgr', 'save', 'Save'),
('en', 'sitemgr', 'return to message list', 'Return to message list'),
('en', 'sitemgr', 'return to forums', 'Return to forums'),
('en', 'sitemgr', 'return to main menu.', 'Return to main menu.'),
('en', 'sitemgr', 'required fields', 'Required Fields'),
('en', 'sitemgr', 'reset', 'Reset'),
('en', 'sitemgr', 'replies', 'Replies'),
('en', 'sitemgr', 'required', 'Required'),
('en', 'sitemgr', 'reload', 'Reload'),
('en', 'sitemgr', 'register new modules', 'Register new modules'),
('en', 'sitemgr', 'regular expression modifier "%1" in "%2" is not allowed!', 'Regular expression modifier "%1" in "%2" is NOT allowed!'),
('en', 'sitemgr', 'refresh', 'Refresh'),
('en', 'sitemgr', 'register for one now.', 'Register for one now.'),
('en', 'sitemgr', 'read permission', 'Read Permission'),
('en', 'sitemgr', 'redirection', 'Redirection'),
('en', 'sitemgr', 'reactivate content', 'Reactivate content'),
('en', 'sitemgr', 'quantity items (empty allows buyer to specify)', 'Quantity items (empty allows buyer to specify)'),
('en', 'sitemgr', 'production mode', 'Production mode'),
('en', 'sitemgr', 'published', 'published'),
('en', 'sitemgr', 'previous', 'Previous'),
('en', 'sitemgr', 'price of the item (empty allows buyer to choose, eg. for donations)', 'Price of the item (empty allows buyer to choose, eg. for donations)'),
('en', 'sitemgr', 'preunpublished', 'preunpublished'),
('en', 'sitemgr', 'prepublished', 'prepublished'),
('en', 'sitemgr', 'prefix', 'Prefix'),
('en', 'sitemgr', 'post a message to this thread', 'Post A Message To This Thread'),
('en', 'sitemgr', 'please sign the guestbook', 'Please sign the guestbook'),
('en', 'sitemgr', 'plain selectbox', 'Plain selectbox'),
('en', 'sitemgr', 'please enter a name for that site !', 'Please enter a name for that site !'),
('en', 'sitemgr', 'phrases in total', 'Phrases in total'),
('en', 'sitemgr', 'percentage', 'Percentage'),
('en', 'sitemgr', 'pay with paypal', 'Pay with Paypal'),
('en', 'sitemgr', 'paypal', 'Paypal'),
('en', 'sitemgr', 'paypal pay now button', 'Paypal pay now button'),
('en', 'sitemgr', 'path to zip binary if not in path of the webserver', 'Path to zip binary if not in path of the webserver'),
('en', 'sitemgr', 'path to image-directory ''%1'' is not valid or readable by the webserver !!!', 'Path to image-directory ''%1'' is not valid or readable by the webserver !!!'),
('en', 'sitemgr', 'path', 'Path'),
('en', 'sitemgr', 'password that you assigned for the anonymous user account.', 'Password that you assigned for the anonymous user account.'),
('en', 'sitemgr', 'password', 'Password'),
('en', 'sitemgr', 'parent section:', 'Parent Section:'),
('en', 'sitemgr', 'parent', 'Parent'),
('en', 'sitemgr', 'parent directory', 'parent directory'),
('en', 'sitemgr', 'parameters saved.', 'Parameters saved.'),
('en', 'sitemgr', 'pages', 'Pages'),
('en', 'sitemgr', 'pages:', 'Pages:'),
('en', 'sitemgr', 'page saved', 'Page saved'),
('en', 'sitemgr', 'page saved.', 'Page saved.'),
('en', 'sitemgr', 'page subtitle', 'Page Subtitle'),
('en', 'sitemgr', 'page title', 'Page Title'),
('en', 'sitemgr', 'page name', 'Page Name'),
('en', 'sitemgr', 'page', 'Page'),
('en', 'sitemgr', 'page content', 'Page Content'),
('en', 'sitemgr', 'page manager', 'Page Manager'),
('en', 'sitemgr', 'own amazon partner-id or empty to donate to the egroupware project', 'Own Amazon partner-id or empty to donate to the eGroupWare project'),
('en', 'sitemgr', 'overview of one specific category', 'Overview of one specific category'),
('en', 'sitemgr', 'overview of all available categories', 'Overview of all available categories'),
('en', 'sitemgr', 'other websites', 'Other websites'),
('en', 'sitemgr', 'or use a template compatible with %1.', 'Or use a template compatible with %1.'),
('en', 'sitemgr', 'or enter the title for a new guestbook', 'or enter the title for a new guestbook'),
('en', 'sitemgr', 'only on the first page', 'only on the first page'),
('en', 'sitemgr', 'options in search result page', 'Options in search result page'),
('en', 'sitemgr', 'only gallery', 'Only gallery'),
('en', 'sitemgr', 'on all pages', 'on all pages'),
('en', 'sitemgr', 'oldest first', 'oldest first'),
('en', 'sitemgr', 'number of results', 'Number of results'),
('en', 'sitemgr', 'notification not found !!!', 'Notification not found !!!'),
('en', 'sitemgr', 'none selected', 'None selected'),
('en', 'sitemgr', 'not yet translated', 'not yet translated'),
('en', 'sitemgr', 'notification message not found !!!', 'Notification Message not found !!!'),
('en', 'sitemgr', 'no, chooser with preview', 'No, chooser with preview'),
('en', 'sitemgr', 'no, chooser only (for side-areas)', 'No, chooser only (for side-areas)'),
('en', 'sitemgr', 'no websites defined', 'No websites defined'),
('en', 'sitemgr', 'no users defined.', 'No users defined.'),
('en', 'sitemgr', 'no thumbnail availible', 'No thumbnail availible'),
('en', 'sitemgr', 'no templates found.', 'No templates found.'),
('en', 'sitemgr', 'no template file found.', 'No template file found.'),
('en', 'sitemgr', 'no states defined', 'No states defined'),
('en', 'sitemgr', 'no sitelanguages configured', 'No sitelanguages configured'),
('en', 'sitemgr', 'no pages available', 'No pages available'),
('en', 'sitemgr', 'no new modules found !!!', 'No new modules found !!!'),
('en', 'sitemgr', 'no options available.', 'No options available.'),
('en', 'sitemgr', 'no modules permitted for this content area/category', 'No modules permitted for this content area/category'),
('en', 'sitemgr', 'no link to full index', 'No link to full index'),
('en', 'sitemgr', 'no content found', 'No content found'),
('en', 'sitemgr', 'no groups defined.', 'No groups defined.'),
('en', 'sitemgr', 'no content areas found in selected template', 'No content areas found in selected template'),
('en', 'sitemgr', 'no anonymous user accounts installed.  notify the administrator.', 'NO ANONYMOUS USER ACCOUNTS INSTALLED.  NOTIFY THE ADMINISTRATOR.'),
('en', 'sitemgr', 'new sitemgr site', 'New sitemgr site'),
('en', 'sitemgr', 'newest first', 'newest first'),
('en', 'sitemgr', 'no additional arguments required', 'No additional arguments required'),
('en', 'sitemgr', 'name of the tabs (comma seperated)', 'Name of the tabs (comma seperated)'),
('en', 'sitemgr', 'new application', 'New application'),
('en', 'sitemgr', 'new guestbook', 'New guestbook'),
('en', 'sitemgr', 'name of the item for sale', 'Name of the item for sale'),
('en', 'sitemgr', 'name of page or numeric category to go to, if website was selected above:', 'Name of page or numeric category to go to, if website was selected above:'),
('en', 'sitemgr', 'move to', 'Move to'),
('en', 'sitemgr', 'name', 'Name'),
('en', 'sitemgr', 'name has been translated to lower case', 'Name has been translated to lower case'),
('en', 'sitemgr', 'move block down (increase sort order)', 'Move block down (increase sort order)'),
('en', 'sitemgr', 'move block up (decrease sort order)', 'Move block up (decrease sort order)'),
('en', 'sitemgr', 'module: %1, scope: %2, contentarea: %3, viewable: %4', 'Module: %1, Scope: %2, Contentarea: %3, Viewable: %4'),
('en', 'sitemgr', 'module manager', 'Module manager'),
('en', 'sitemgr', 'module returns api version or an arbitrary string.', 'Module returns API version or an arbitrary string.'),
('en', 'sitemgr', 'module ''%1'' not found in: %2! --> exiting', 'Module ''%1'' not found in: %2! --> exiting'),
('en', 'sitemgr', 'module %1 is not permitted in this context!', 'Module %1 is not permitted in this context!'),
('en', 'sitemgr', 'migrating data for %1 to %2', 'Migrating data for %1 to %2'),
('en', 'sitemgr', 'message text:', 'Message text:'),
('en', 'sitemgr', 'messages are defined for all site languages.', 'Messages are defined for all site languages.'),
('en', 'sitemgr', 'message not found !!!', 'Message not found !!!'),
('en', 'sitemgr', 'maximal page depth to be shown', 'Maximal page depth to be shown'),
('en', 'sitemgr', 'maximal category depth to be shown', 'Maximal category depth to be shown'),
('en', 'sitemgr', 'master list of permitted modules', 'Master list of permitted modules'),
('en', 'sitemgr', 'manage site-wide module properties', 'Manage site-wide module properties'),
('en', 'sitemgr', 'manage translations', 'Manage Translations'),
('en', 'sitemgr', 'manage site content', 'Manage Site Content'),
('en', 'sitemgr', 'manage site-wide content', 'Manage site-wide content'),
('en', 'sitemgr', 'manage page specific content', 'Manage page specific content'),
('en', 'sitemgr', 'manage notification messages', 'Manage Notification Messages'),
('en', 'sitemgr', 'manage notifications', 'Manage notifications'),
('en', 'sitemgr', 'manage modules', 'Manage Modules'),
('en', 'sitemgr', 'manage content', 'Manage Content'),
('en', 'sitemgr', 'manage category wide module properties', 'Manage category wide module properties'),
('en', 'sitemgr', 'manage category wide content', 'Manage category wide content'),
('en', 'sitemgr', 'manage categories', 'Manage Categories'),
('en', 'sitemgr', 'manage categories and pages', 'Manage categories and pages'),
('en', 'sitemgr', 'manage archived content', 'Manage archived content'),
('en', 'sitemgr', 'mains', 'Mains'),
('en', 'sitemgr', 'main content', 'Main content'),
('en', 'sitemgr', 'logo, custom css', 'Logo, Custom CSS'),
('en', 'sitemgr', 'logo url', 'Logo URL'),
('en', 'sitemgr', 'login name', 'Login Name'),
('en', 'sitemgr', 'logged in as:', 'Logged in as:'),
('en', 'sitemgr', 'login', 'Login'),
('en', 'sitemgr', 'latest reply', 'Latest Reply'),
('en', 'sitemgr', 'links for the tabs (comma seperated)', 'Links for the tabs (comma seperated)'),
('en', 'sitemgr', 'list of permitted modules specific to content area %1', 'List of permitted modules specific to content area %1'),
('en', 'sitemgr', 'last entries to the guestbook', 'Last entries to the guestbook'),
('en', 'sitemgr', 'language:', 'Language:'),
('en', 'sitemgr', 'languages the site user can choose from', 'Languages the site user can choose from'),
('en', 'sitemgr', 'knowledge base', 'Knowledge Base'),
('en', 'sitemgr', 'just download one from our %1template gallery%2 on %3.', 'Just download one from our %1template gallery%2 on %3.'),
('en', 'sitemgr', 'interface to google website', 'Interface to google website'),
('en', 'sitemgr', 'invalid template directory ''%1'' !!!', 'Invalid template directory ''%1'' !!!'),
('en', 'sitemgr', 'individual access permissions', 'Individual Access Permissions'),
('en', 'sitemgr', 'index', 'Index'),
('en', 'sitemgr', 'individual access permission', 'Individual Access Permission'),
('en', 'sitemgr', 'import site', 'Import site'),
('en', 'sitemgr', 'imported', 'Imported'),
('en', 'sitemgr', 'import a sitemgr website', 'Import a SiteMgr website'),
('en', 'sitemgr', 'implies read permission', 'implies read permission'),
('en', 'sitemgr', 'import', 'Import'),
('en', 'sitemgr', 'image type', 'image type'),
('en', 'sitemgr', 'if you haven''t done so already, create a user that will be used for public viewing of the site.  recommended name: anonymous.', 'If you haven''t done so already, create a user that will be used for public viewing of the site.  Recommended name: anonymous.'),
('en', 'sitemgr', 'if nonsecure redirect to:', 'If nonsecure redirect to:'),
('en', 'sitemgr', 'identifier you can use to track an internal inventory number', 'Identifier you can use to track an internal inventory number'),
('en', 'sitemgr', 'id', 'ID'),
('en', 'sitemgr', 'html frame', 'HTML Frame'),
('en', 'sitemgr', 'html module', 'HTML module'),
('en', 'sitemgr', 'i''m sorry, you do not have write permissions for any site categories.', 'I''m sorry, you do not have write permissions for any site categories.'),
('en', 'sitemgr', 'how long to cache downloaded content (seconds)', 'How long to cache downloaded content (seconds)'),
('en', 'sitemgr', 'horizontal', 'Horizontal'),
('en', 'sitemgr', 'highlight current page', 'Highlight current page'),
('en', 'sitemgr', 'helps you respect html/xhtml standards.', 'Helps you respect HTML/XHTML standards.'),
('en', 'sitemgr', 'hello', 'Hello'),
('en', 'sitemgr', 'hello world', 'Hello world'),
('en', 'sitemgr', 'headlines', 'Headlines'),
('en', 'sitemgr', 'header editor', 'Header Editor'),
('en', 'sitemgr', 'group name', 'Group Name'),
('en', 'sitemgr', 'group access permissions', 'Group Access Permissions'),
('en', 'sitemgr', 'google search', 'Google Search'),
('en', 'sitemgr', 'google', 'Google'),
('en', 'sitemgr', 'go back to page manager', 'Go back to Page Manager'),
('en', 'sitemgr', 'go back to the category manager.', 'Go back to the category manager.'),
('en', 'sitemgr', 'go to', 'Go to'),
('en', 'sitemgr', 'go to page manager', 'Go to Page Manager'),
('en', 'sitemgr', 'generates "%1" instead of "%2" urls.', 'Generates "%1" instead of "%2" URLs.'),
('en', 'sitemgr', 'go', 'Go'),
('en', 'sitemgr', 'generate search engine friendly urls', 'Generate search engine friendly URLs'),
('en', 'sitemgr', 'gallery plus download', 'Gallery plus download'),
('en', 'sitemgr', 'gallery plus chooser and download', 'Gallery plus chooser and download'),
('en', 'sitemgr', 'galerie', 'Galerie'),
('en', 'sitemgr', 'gallery plus chooser', 'Gallery plus chooser'),
('en', 'sitemgr', 'full path of the xslt file that should be applied to the xml files', 'Full path of the XSLT file that should be applied to the XML files'),
('en', 'sitemgr', 'forum', 'Forum'),
('en', 'sitemgr', 'footer editor', 'Footer Editor'),
('en', 'sitemgr', 'following new modules registed: %1', 'Following new modules registed: %1'),
('en', 'sitemgr', 'flag symbols', 'Flag symbols'),
('en', 'sitemgr', 'fill in permissions from parent category? if you check this, below values will be ignored', 'Fill in permissions from parent category? If you check this, below values will be ignored'),
('en', 'sitemgr', 'filesystem path to sitemgr-site directory', 'Filesystem path to sitemgr-site directory'),
('en', 'sitemgr', 'filesystem path of the image-directory', 'Filesystem path of the image-directory'),
('en', 'sitemgr', 'filesystem path of the directory where xml files are stored', 'Filesystem path of the directory where XML files are stored'),
('en', 'sitemgr', 'filename', 'Filename'),
('en', 'sitemgr', 'file successful uploaded.', 'File successful uploaded.'),
('en', 'sitemgr', 'file download', 'File download'),
('en', 'sitemgr', 'file contents', 'File contents'),
('en', 'sitemgr', 'fax', 'fax'),
('en', 'sitemgr', 'file %1 is not readable by the webserver !!!', 'File %1 is not readable by the webserver !!!'),
('en', 'sitemgr', 'file %1 is outside the docroot of the webserver !!!<br>this module does not allow - for security reasons - to open files outside', 'File %1 is outside the docroot of the webserver !!!<br>This module does NOT allow - for security reasons - to open files outside the docroot.'),
('en', 'sitemgr', 'export a sitemgr site', 'Export a SiteMgr site'),
('en', 'sitemgr', 'everybody', 'Everybody'),
('en', 'sitemgr', 'exact phrase', 'Exact Phrase'),
('en', 'sitemgr', 'expand current category', 'Expand current category'),
('en', 'sitemgr', 'export', 'Export'),
('en', 'sitemgr', 'error writing to the database: %1.', 'Error writing to the database: %1.'),
('en', 'sitemgr', 'error writing to the database.', 'Error writing to the database.'),
('en', 'sitemgr', 'error uploading file!', 'Error uploading file!'),
('en', 'sitemgr', 'error saving the entry!!!', 'Error saving the entry!!!'),
('en', 'sitemgr', 'error deleting the entry!!!', 'Error deleting the entry!!!'),
('en', 'sitemgr', 'error deleting the element.', 'Error deleting the element.'),
('en', 'sitemgr', 'entry saved.', 'Entry saved.'),
('en', 'sitemgr', 'entry saved', 'Entry saved'),
('en', 'sitemgr', 'entry duplicated.', 'Entry duplicated.'),
('en', 'sitemgr', 'entry deleted', 'Entry deleted'),
('en', 'sitemgr', 'enter the page content here', 'Enter the page content here'),
('en', 'sitemgr', 'enterprise knowledge articles repository', 'Enterprise Knowledge articles repository'),
('en', 'sitemgr', 'enter the email to be notified about changes of the website:', 'Enter the email to be notified about changes of the website:'),
('en', 'sitemgr', 'enter the email to be notified about changes of the website.', 'Enter the email to be notified about changes of the website.'),
('en', 'sitemgr', 'email address of the paypal account selling the item', 'Email address of the PayPal account selling the item'),
('en', 'sitemgr', 'enter a name', 'Enter a name'),
('en', 'sitemgr', 'enter the block content here', 'Enter the block content here'),
('en', 'sitemgr', 'email address', 'Email address'),
('en', 'sitemgr', 'element successfully deleted.', 'Element successfully deleted.'),
('en', 'sitemgr', 'egw users', 'Egw users'),
('en', 'sitemgr', 'eg. by renaming %1 to %2 in the %3 directory for an apache.', 'Eg. by renaming %1 to %2 in the %3 directory for an Apache.'),
('en', 'sitemgr', 'eg. %1 or %2', 'eg. %1 or %2'),
('en', 'sitemgr', 'edit website', 'Edit Website'),
('en', 'sitemgr', 'edit this block', 'Edit this block'),
('en', 'sitemgr', 'edit template preferences for %1', 'Edit template preferences for %1'),
('en', 'sitemgr', 'edit site', 'Edit Site'),
('en', 'sitemgr', 'edit properties of module %1 for %2 with scope %3', 'Edit properties of module %1 for %2 with scope %3'),
('en', 'sitemgr', 'edit page', 'Edit Page'),
('en', 'sitemgr', 'edit notification message', 'Edit notification message'),
('en', 'sitemgr', 'draft', 'draft'),
('en', 'sitemgr', 'draft mode', 'Draft mode'),
('en', 'sitemgr', 'edit category', 'Edit Category'),
('en', 'sitemgr', 'edit mode', 'Edit mode'),
('en', 'sitemgr', 'edit notification', 'Edit notification'),
('en', 'sitemgr', 'downloaded', 'downloaded'),
('en', 'sitemgr', 'download as zip-archiv', 'download as ZIP-archiv'),
('en', 'sitemgr', 'dont ask', 'Dont ask'),
('en', 'sitemgr', 'done', 'Done'),
('en', 'sitemgr', 'don''t use egroupware css ">" separator (for templates that uses images/symbols for lists)', 'Don''t use egroupware css ">" separator (for templates that uses images/symbols for lists)'),
('en', 'sitemgr', 'don''t show hiden pages in the path way', 'Don''t show hiden pages in the path way'),
('en', 'sitemgr', 'don''t have an account?', 'Don''t have an account?'),
('en', 'sitemgr', 'documentation', 'Documentation'),
('en', 'sitemgr', 'domain-name (offical dns-name eg. www.egroupware.org) if you want to give the user a choice between searching this site or the w', 'Domain-name (offical DNS-name eg. www.eGroupWare.org) if you want to give the user a choice between searching this site or the whole web. Leaving it empty allows to search the web only.'),
('en', 'sitemgr', 'do you want to delete them?', 'Do you want to delete them?'),
('en', 'sitemgr', 'do you realy want to delete this page?', 'Do you realy want to delete this page?'),
('en', 'sitemgr', 'do you realy want to delete this block?', 'Do you realy want to delete this block?'),
('en', 'sitemgr', 'do you realy want to delete the selected categories (including all pages), pages and blocks?', 'Do you realy want to delete the selected Categories (including all pages), Pages and Blocks?'),
('en', 'sitemgr', 'display link to autoregistration below login form?', 'Display link to autoregistration below login form?'),
('en', 'sitemgr', 'display contact', 'Display Contact'),
('en', 'sitemgr', 'discussions', 'Discussions'),
('en', 'sitemgr', 'department', 'Department'),
('en', 'sitemgr', 'descending', 'descending'),
('en', 'sitemgr', 'details for language %1 (%2)', 'Details for language %1 (%2)'),
('en', 'sitemgr', 'deleting all data for %1', 'Deleting all data for %1'),
('en', 'sitemgr', 'delete this guestbook', 'Delete this guestbook'),
('en', 'sitemgr', 'delete version', 'Delete Version'),
('en', 'sitemgr', 'delete this file or directory', 'Delete this file or directory'),
('en', 'sitemgr', 'delete this block', 'Delete this block'),
('en', 'sitemgr', 'delete page', 'Delete page'),
('en', 'sitemgr', 'delete this application', 'Delete this application'),
('en', 'sitemgr', 'delete category', 'Delete category'),
('en', 'sitemgr', 'delete block', 'Delete block'),
('en', 'sitemgr', 'default', 'Default'),
('en', 'sitemgr', 'default home page id number', 'Default home page ID number'),
('en', 'sitemgr', 'custom template directory does not exist or is not accessible by webserver!', 'Custom template directory does NOT exist or is NOT accessible by webserver!'),
('en', 'sitemgr', 'custom template directory', 'Custom template directory'),
('en', 'sitemgr', 'custom etemplate for the contactform', 'Custom eTemplate for the contactform'),
('en', 'sitemgr', 'custom css will be included in each page as last style-sheet in the header.', 'Custom CSS will be included in each page as last style-sheet in the header.'),
('en', 'sitemgr', 'custom', 'custom'),
('en', 'sitemgr', 'currency code of the value specified in amount (eg. usd, eur)', 'Currency code of the value specified in amount (eg. USD, EUR)'),
('en', 'sitemgr', 'current section', 'Current Section'),
('en', 'sitemgr', 'css styles', 'CSS styles'),
('en', 'sitemgr', 'css selector to use only part of html file', 'CSS selector to use only part of html file'),
('en', 'sitemgr', 'create new version', 'Create new version'),
('en', 'sitemgr', 'could not add block %1', 'Could not add block %1'),
('en', 'sitemgr', 'contributor menu', 'Contributor Menu'),
('en', 'sitemgr', 'copyright', 'Copyright'),
('en', 'sitemgr', 'contentarea', 'Contentarea'),
('en', 'sitemgr', 'content manager', 'Content Manager'),
('en', 'sitemgr', 'content blocks for category', 'Content blocks for category'),
('en', 'sitemgr', 'content blocks', 'Content blocks'),
('en', 'sitemgr', 'content areas', 'Content areas'),
('en', 'sitemgr', 'contact the administrator.', 'Contact the administrator.'),
('en', 'sitemgr', 'contact fields to show', 'Contact fields to show'),
('en', 'sitemgr', 'configure sitemgr', 'Configure SiteMgr'),
('en', 'sitemgr', 'configure website', 'Configure Website'),
('en', 'sitemgr', 'configure module properties', 'Configure module properties'),
('en', 'sitemgr', 'commit changes', 'Commit changes'),
('en', 'sitemgr', 'common prefix of the image-name (a number starting with 1 will be appended)', 'common prefix of the image-name (a number starting with 1 will be appended)'),
('en', 'sitemgr', 'comment', 'Comment'),
('en', 'sitemgr', 'collapse threads', 'Collapse Threads'),
('en', 'sitemgr', 'codebase url', 'Codebase URL'),
('en', 'sitemgr', 'code file', 'Code file'),
('en', 'sitemgr', 'click here to login through a secure connection.', 'Click here to login through a secure connection.'),
('en', 'sitemgr', 'choose your site''s theme or template.  note that if you changed the above checkbox you need to save before choosing a theme or t', 'Choose your site''s theme or template.  Note that if you changed the above checkbox you need to save before choosing a theme or template.'),
('en', 'sitemgr', 'choose the categories to display', 'Choose the categories to display'),
('en', 'sitemgr', 'choose the valid html type (note: not all icons are available):', 'Choose the VALID HTML type (note: not all icons are available):'),
('en', 'sitemgr', 'choose template', 'Choose template'),
('en', 'sitemgr', 'choose language', 'Choose language'),
('en', 'sitemgr', 'choose a guestbook', 'Choose a guestbook'),
('en', 'sitemgr', 'choose a format', 'Choose a format'),
('en', 'sitemgr', 'choose a category', 'Choose a category'),
('en', 'sitemgr', 'check to hide from condensed site index.', 'Check to hide from condensed site index.'),
('en', 'sitemgr', 'check here after every upgrade', 'check here after every upgrade'),
('en', 'sitemgr', 'center', 'Center'),
('en', 'sitemgr', 'changes saved.', 'Changes saved.'),
('en', 'sitemgr', 'cats are numeric, pages strings', 'cats are numeric, pages strings'),
('en', 'sitemgr', 'category saved', 'Category saved'),
('en', 'sitemgr', 'category name', 'Category Name'),
('en', 'sitemgr', 'category manager', 'Category Manager'),
('en', 'sitemgr', 'category description', 'Category Description'),
('en', 'sitemgr', 'category', 'Category'),
('en', 'sitemgr', 'cancel the delete', 'Cancel the delete'),
('en', 'sitemgr', 'cannot move page until it has been saved.', 'Cannot move page until it has been saved.'),
('en', 'sitemgr', 'calendar', 'Calendar'),
('en', 'sitemgr', 'can''t open an url or execute a script, because allow_url_fopen is not set in your php.ini !!!', 'Can''t open an URL or execute a script, because allow_url_fopen is not set in your php.ini !!!'),
('en', 'sitemgr', 'buy at %1', 'Buy at %1'),
('en', 'sitemgr', 'block returned no content.', 'Block returned no content.'),
('en', 'sitemgr', 'block saved', 'Block saved'),
('en', 'sitemgr', 'bookmarks', 'Bookmarks'),
('en', 'sitemgr', 'block reloaded', 'Block reloaded'),
('en', 'sitemgr', 'back to module manager', 'Back to module manager'),
('en', 'sitemgr', 'back to the list of languages', 'Back to the list of languages'),
('en', 'sitemgr', 'basic settings', 'Basic Settings'),
('en', 'sitemgr', 'block not found.', 'Block not found.'),
('en', 'sitemgr', 'automatically generated notification', 'Automatically generated notification'),
('en', 'sitemgr', 'attempt to edit non-editable block', 'Attempt to edit non-editable block'),
('en', 'sitemgr', 'automatic index', 'Automatic index'),
('en', 'sitemgr', 'ask customer', 'Ask customer'),
('en', 'sitemgr', 'attempt to access information outside current website', 'Attempt to access information outside current website'),
('en', 'sitemgr', 'asin[=title] pairs (title is optional)', 'ASIN[=title] pairs (title is optional)'),
('en', 'sitemgr', 'ascending', 'ascending'),
('en', 'sitemgr', 'are you sure you want to delete the category %1 and all of its associated pages?  you cannot retrieve the deleted pages if you c', 'Are you sure you want to delete the category %1 and all of its associated pages?  You cannot retrieve the deleted pages if you continue.'),
('en', 'sitemgr', 'are you sure you want to delete site %1 and all its content? you cannot retrieve it if you continue.', 'Are you sure you want to delete site %1 and all its content? You cannot retrieve it if you continue.'),
('en', 'sitemgr', 'are contributors allowed to define new guestbooks?', 'Are contributors allowed to define new guestbooks?'),
('en', 'sitemgr', 'archived', 'archived'),
('en', 'sitemgr', 'archived content', 'Archived content'),
('en', 'sitemgr', 'apply permissions also to subcategories?', 'Apply permissions also to subcategories?'),
('en', 'sitemgr', 'application sitemgr_module_guestbook must be installed as a egroupware application for this module to run', 'Application sitemgr_module_guestbook must be installed as a eGroupWare application for this module to run'),
('en', 'sitemgr', 'application ''%1'' is not installed !!!<br>please install it, to be able to use the block.', 'Application ''%1'' is not installed !!!<br>Please install it, to be able to use the block.'),
('en', 'sitemgr', 'application', 'Application'),
('en', 'sitemgr', 'any words', 'Any words'),
('en', 'sitemgr', 'applet', 'Applet'),
('en', 'sitemgr', 'anvanced: show all search modes', 'Anvanced: Show all search modes'),
('en', 'sitemgr', 'anonymous user''s username', 'Anonymous user''s username'),
('en', 'sitemgr', 'anonymous user''s password', 'Anonymous user''s password'),
('en', 'sitemgr', 'anonymous', 'anonymous'),
('en', 'sitemgr', 'anonymous user login domain', 'Anonymous user login domain'),
('en', 'sitemgr', 'amazon server (without www), eg. amazon.com', 'Amazon server (without www), eg. amazon.com'),
('en', 'sitemgr', 'an application directory', 'An application directory'),
('en', 'sitemgr', 'amazon', 'Amazon'),
('en', 'sitemgr', 'allow posting of questions', 'Allow posting of questions'),
('en', 'sitemgr', 'allow customer to input a note', 'Allow customer to input a note'),
('en', 'sitemgr', 'allignment of navigation elements', 'Allignment of navigation elements'),
('en', 'sitemgr', 'all words', 'All words'),
('en', 'sitemgr', 'all sites', 'All Sites'),
('en', 'sitemgr', 'all languages', 'all languages'),
('en', 'sitemgr', 'all categories', 'All categories'),
('en', 'sitemgr', 'all forums in category %1', 'All forums in category %1'),
('en', 'sitemgr', 'all available languages', 'All available Languages'),
('en', 'sitemgr', 'advanced plus google: also show google search', 'Advanced plus google: Also show google search'),
('en', 'sitemgr', 'administrative menu', 'Administrative Menu'),
('en', 'sitemgr', 'administrators', 'administrators'),
('en', 'sitemgr', 'administration', 'Administration'),
('en', 'sitemgr', 'addressbook the contact should be shown', 'Addressbook the contact should be shown'),
('en', 'sitemgr', 'address line 2', 'address line 2'),
('en', 'sitemgr', 'add website', 'Add Website'),
('en', 'sitemgr', 'add page to category', 'Add page to category'),
('en', 'sitemgr', 'add page', 'Add Page'),
('en', 'sitemgr', 'add new page to this category', 'Add new page to this category'),
('en', 'sitemgr', 'add category', 'Add Category'),
('en', 'sitemgr', 'add a new application', 'Add a new application'),
('en', 'sitemgr', 'add a new guestbook', 'Add a new guestbook'),
('en', 'sitemgr', 'add block ...', 'Add block ...'),
('en', 'sitemgr', 'add block to content area %1', 'Add block to content area %1'),
('en', 'sitemgr', 'actions', 'Actions'),
('en', 'sitemgr', 'add a category', 'Add a category'),
('en', 'sitemgr', 'actif', 'Actif'),
('en', 'sitemgr', 'a simple picture galery', 'A simple picture galery'),
('en', 'sitemgr', '<b>autoregistration is not enabled / configured in the registration app !!!</b><br>you need to do so, to get the autoregistratio', '<b>Autoregistration is not enabled / configured in the registration app !!!</b><br>You need to do so, to get the autoregistration link working.'),
('en', 'sitemgr', '(only used in case of single file)', '(only used in case of single file)'),
('en', 'sitemgr', '(leave blank to stay on current page)', '(leave blank to stay on current page)'),
('en', 'sitemgr', '(leave blank to allow insecure logins)', '(leave blank to allow insecure logins)'),
('en', 'sitemgr', '(do not put spaces or punctuation in the name field.)', '(Do not put spaces or punctuation in the Name field.)'),
('en', 'sitemgr', '%1 content manager', '%1 content manager'),
('en', 'sitemgr', '%1 module manager', '%1 module manager'),
('en', 'sitemgr', '''%1'' is no valid sitemgr-site directory !!!', '''%1'' is no valid sitemgr-site directory !!!'),
('en', 'sambaadmin', 'workstationaccount active', 'Workstation account active'),
('en', 'sambaadmin', 'workstations', 'Workstations'),
('en', 'sambaadmin', 'workstation list', 'Workstation list'),
('en', 'sambaadmin', 'workstation name', 'Workstation name'),
('en', 'sambaadmin', 'workstation configuration', 'Workstation configuration'),
('en', 'sambaadmin', 'samba config', 'Samba config'),
('en', 'sambaadmin', 'workstation account for', 'Workstation account for'),
('en', 'sambaadmin', 'homepath', 'Homepath'),
('en', 'sambaadmin', 'participants', 'Participants'),
('en', 'sambaadmin', 'displayname', 'Displayname'),
('en', 'sambaadmin', 'do you really want to delete selected workstation accounts?', 'Do you really want to delete selected workstation accounts?'),
('en', 'sambaadmin', 'add workstation', 'Add workstation'),
('en', 'sambaadmin', '%1 - %2 of %3', '%1 - %2 of %3'),
('en', 'resources', 'you chose more resources than available', 'You chose more resources than available!'),
('en', 'resources', 'you are not permitted to get information about this resource!', 'You are not permitted to get information about this resource!'),
('en', 'resources', 'you are not permitted to edit this resource!', 'You are not permitted to edit this resource!'),
('en', 'resources', 'you are not permitted to delete this resource!', 'You are not permitted to delete this resource!'),
('en', 'resources', 'write permissions', 'Write permissions'),
('en', 'resources', 'which category does this resource belong to?', 'Category of the resource'),
('en', 'resources', 'where to find this resource?', 'Location information'),
('en', 'resources', 'web-site for this resource', 'Website for this resource'),
('en', 'resources', 'web-page of resource', 'Web page of resource'),
('en', 'resources', 'view this entry', 'View entry'),
('en', 'resources', 'view accessories for this resource', 'View accessories'),
('en', 'resources', 'useable:', 'Usable:'),
('en', 'resources', 'useable', 'Usable'),
('en', 'resources', 'use the category''s icon', 'Use the category icon'),
('en', 'resources', 'use own picture', 'Use own picture'),
('en', 'resources', 'use general resources icon', 'Use general resources icon'),
('en', 'resources', 'this module displays the resources app', 'This module displays the resources app'),
('en', 'resources', 'the calendar of this resource', 'Calendar of the resource'),
('en', 'resources', 'storage information', 'Storage'),
('en', 'resources', 'storage information:', 'Storage information:'),
('en', 'resources', 'storage', 'Storage'),
('en', 'resources', 'something went wrong by saving resource', 'Error saving resource!'),
('en', 'resources', 'something went wrong by deleting resource', 'Error deleting resource!'),
('en', 'resources', 'show calendar of resource', 'Show calendar of resource'),
('en', 'resources', 'short description of resource', 'Short description of resource'),
('en', 'resources', 'short description', 'Short description'),
('en', 'resources', 'select/deselect all', 'Select/deselect all'),
('en', 'resources', 'select resource', 'Select resource'),
('en', 'resources', 'select a category', 'Select a category'),
('en', 'resources', 'saves entry and exits', 'Save entry and exit'),
('en', 'resources', 'responsible:', 'Responsible:'),
('en', 'resources', 'resources list', 'Resources list'),
('en', 'resources', 'resources csv import', 'Resources CSV import'),
('en', 'resources', 'resources csv export', 'Resources CSV export'),
('en', 'resources', 'resource id', 'Resource ID'),
('en', 'resources', 'related links', 'Related links'),
('en', 'resources', 'read permissions', 'Read permissions'),
('en', 'resources', 'read calendar permissions', 'Read calendar permissions'),
('en', 'resources', 'quantity:', 'Quantity:'),
('en', 'resources', 'quantity of resource', 'Quantity of resource'),
('en', 'resources', 'quantity', 'Quantity'),
('en', 'resources', 'prize', 'Prize'),
('en', 'resources', 'prizeing information for booking or buying', 'Prizing information for booking or buying'),
('en', 'resources', 'planer', 'Planner'),
('en', 'resources', 'pictures or resource', 'Pictures or resource'),
('en', 'resources', 'picture source', 'Picture source'),
('en', 'resources', 'picture type is not supported, sorry!', 'Picture type is not supported, sorry!'),
('en', 'resources', 'picture', 'Picture'),
('en', 'resources', 'notify your administrator to correct this situation', 'Notify your administrator.'),
('en', 'resources', 'no resources selected', 'No resources selected.'),
('en', 'resources', 'long description', 'Long description'),
('en', 'resources', 'manage mapping', 'Manage mapping'),
('en', 'resources', 'name of resource', 'Name of resource'),
('en', 'resources', 'name:', 'Name:'),
('en', 'resources', 'no description available', 'No description available.'),
('en', 'resources', 'locations / rooms', 'Locations / rooms'),
('en', 'resources', 'location:', 'Location:'),
('en', 'resources', 'location', 'Location'),
('en', 'resources', 'location of resource', 'Location of resource'),
('en', 'resources', 'links', 'Links'),
('en', 'resources', 'is this resource buyable?', 'Is this resource buyable'),
('en', 'resources', 'is this resource bookable?', 'Is this resource bookable'),
('en', 'resources', 'is resource buyable?', 'Is resource buyable'),
('en', 'resources', 'is resource bookable?', 'Is resource bookable'),
('en', 'resources', 'inventory number', 'Inventory number'),
('en', 'resources', 'inventory number:', 'Inventory number:'),
('en', 'resources', 'informations about the location of resource', 'Location information'),
('en', 'resources', 'insert', 'Insert'),
('en', 'resources', 'information about storage', 'Storage information'),
('en', 'resources', 'imports a list of resources from a csv file.', 'Imports a list of resources from a CSV file.'),
('en', 'resources', 'implies read permission', 'Implies read permission'),
('en', 'resources', 'implies booking permission', 'Implies booking permission'),
('en', 'resources', 'if you specify an export definition, it will be used when you export', 'If you specify an export definition, it will be used when you export'),
('en', 'resources', 'how many of this resource exists', 'How many of this resource exists'),
('en', 'resources', 'how many of this resource are usable', 'How many are usable'),
('en', 'resources', 'how many of them are useable?', 'How many are usable'),
('en', 'resources', 'how many of the resources are useable?', 'How many are usable'),
('en', 'resources', 'hours', 'Hours'),
('en', 'resources', 'exports a list of resources to a csv file.', 'Exports a list of resources to a CSV file.'),
('en', 'resources', 'general', 'General'),
('en', 'resources', 'general informations about resource', 'General information about resource'),
('en', 'resources', 'gernal resource', 'General resource'),
('en', 'resources', 'global categories', 'Global categories'),
('en', 'resources', 'export definitition to use for nextmatch export', 'Export definition to use for nextmatch export'),
('en', 'resources', 'exists', 'Exists'),
('en', 'resources', 'edit this entry', 'Edit this entry'),
('en', 'resources', 'existing links', 'Existing links'),
('en', 'resources', 'don''t use vfs (this will need a symlink --> see readme)', 'Don''t use vfs (this will need a symlink --> see README)'),
('en', 'resources', 'direct booking permissions', 'Direct booking permissions'),
('en', 'resources', 'delete this entry', 'Delete this entry'),
('en', 'resources', 'description (short)', 'Short description'),
('en', 'resources', 'delete selected resources', 'Delete selected resources'),
('en', 'resources', 'days', 'Days'),
('en', 'resources', 'custom fields', 'Custom fields'),
('en', 'resources', 'create new links', 'Create new links'),
('en', 'resources', 'create new accessory for this resource', 'Create new accessory for this resource'),
('en', 'resources', 'clear selection', 'Clear selection'),
('en', 'resources', 'conflict', 'Conflict'),
('en', 'resources', 'choose categories admin', 'Choose categories admin'),
('en', 'resources', 'check all', 'Check all'),
('en', 'resources', 'category:', 'Category:'),
('en', 'resources', 'categories admin', 'Categories admin'),
('en', 'resources', 'buyable', 'Buyable'),
('en', 'resources', 'buy this resource', 'Buy this resource'),
('en', 'resources', 'buy this article', 'Buy this article'),
('en', 'resources', 'bookable', 'Bookable');
INSERT INTO `egw_lang` (`lang`, `app_name`, `message_id`, `content`) VALUES
('en', 'resources', 'book this resource', 'Book this resource'),
('en', 'resources', 'book', 'Book'),
('en', 'resources', 'book selected resources', 'Book selected resources'),
('en', 'resources', 'administrator', 'Administrator'),
('en', 'resources', 'all categories', 'All categories'),
('en', 'resources', 'add resources', 'Add resources'),
('en', 'resources', 'accessories of', 'Accessories of'),
('en', 'resources', 'accessories:', 'Accessories:'),
('en', 'resources', 'actions', 'Actions'),
('en', 'resources', 'add accessory', 'Add accessory'),
('en', 'resources', 'add resource', 'Add resource'),
('en', 'registration', 'zip/postal', 'ZIP/Postal'),
('en', 'registration', 'your registration code is missing or incorrect.', 'Your registration code is missing or incorrect.'),
('en', 'registration', 'your password was changed.', 'Your password was changed.'),
('en', 'registration', 'your login is not available. time is expired', 'Your login is not available. Time is expired'),
('en', 'registration', 'your account is now active!', 'Your account is now active!'),
('en', 'registration', 'you specified a value for %1 that is not a choice', 'You specified a value for %1 that is not a choice'),
('en', 'registration', 'you requested to change your password. please follow the url below to do so. this url will expire in two hours. after this delay', 'You requested to change your password. Please follow the URL below to do so. This URL will expire in two hours. After this delay you should go thru the lost password procedure again.'),
('en', 'registration', 'you must fill in all of the required fields', 'You must fill in all of the required fields'),
('en', 'registration', 'you must enter an email address', 'You must enter an email address'),
('en', 'registration', 'you must enter a username', 'You must enter a username'),
('en', 'registration', 'you must enter an email account', 'You must enter an email account'),
('en', 'registration', 'you must enter a password', 'You must enter a password'),
('en', 'registration', 'you have entered an invalid email address', 'You have entered an invalid email address'),
('en', 'registration', 'you have entered an invalid birthday', 'You have entered an invalid birthday'),
('en', 'registration', 'you can go back to the login page', 'You can go back to the login page'),
('en', 'registration', 'wrong session', 'Wrong session'),
('en', 'registration', 'we have sent a mail with instructions to change your password. you should follow the included link within two hours. if you do n', 'We have sent a mail with instructions to change your password. You should follow the included link within two hours. If you do not, you will have to go to the lost password screen again.'),
('en', 'registration', 'we have sent a mail to your email account: %s with your lost user ids.', 'We have sent a mail to your email account: %s with your lost user ids.'),
('en', 'registration', 'we have sent a confirmation email to your email address. you must click on the link within 2 hours. if you do not, it may take a', 'We have sent a confirmation email to your email address. You must click on the link within 2 hours. If you do not, it may take a few days until your loginid will become available again.'),
('en', 'registration', 'values (for dropdown only; comma separated)', 'Values (For Dropdown only; comma separated)'),
('en', 'registration', 'values ''for dropdown'': comma separated), for ''dropdown from table'': table,valuefield,displayfield', 'Values ''For Dropdown'': comma separated), For ''Dropdown From Table'': table,valuefield,displayfield'),
('en', 'registration', 'update/add', 'Update/Add'),
('en', 'registration', 'unknown last name', 'Unknown last name'),
('en', 'registration', 'unknown first name', 'Unknown first name'),
('en', 'registration', 'unable to send mail, contact your administrator', 'Unable to send mail, contact your administration.'),
('en', 'registration', 'type', 'Type'),
('en', 'registration', 'this is a confirmation email for your new account.  click on the following link to finish activating your account. this link wil', 'This is a confirmation email for your new account.  Click on the following link to finish activating your account. This link will expire in 2 hours.'),
('en', 'registration', 'the two passwords are not the same', 'The two passwords are not the same'),
('en', 'registration', 'the passwords you entered don''t match', 'The passwords you entered don''t match'),
('en', 'registration', 'text', 'Text'),
('en', 'registration', 'textarea', 'Textarea'),
('en', 'registration', 'state', 'State'),
('en', 'registration', 'terms of service', 'Terms of Service'),
('en', 'registration', 'sorry, we are having a problem retrieving the information needed for changing your password. note that links sent by e-mail are ', 'Sorry, we are having a problem retrieving the information needed for changing your password. Note that links sent by e-mail are only valid during two hours. If you think this delay was expired, just retry. Otherwise, please contact the site administrator.'),
('en', 'registration', 'sorry, that username is already taken.', 'Sorry, that username is already taken.'),
('en', 'registration', 'sorry, we are having a problem activating your account. note that links sent by e-mail are only valid during two hours. if you t', 'Sorry, we are having a problem activating your account. Note that links sent by e-mail are only valid during two hours. If you think this delay was expired, just retry. Otherwise, please contact the site administrator.'),
('en', 'registration', 'response', 'Response'),
('en', 'registration', 'sorry, no account exists for', 'Sorry, no account exists for'),
('en', 'registration', 'sorry, that username does not exist.', 'Sorry, that username does not exist.'),
('en', 'registration', 're-enter your password', 'Re-enter your password'),
('en', 'registration', 'remove', 'Remove'),
('en', 'registration', 'report all problems and abuse to', 'Report all problems and abuse to'),
('en', 'registration', 'required', 'Required'),
('en', 'registration', 'problem sending email:', 'Problem Sending Email:'),
('en', 'registration', 're-enter password', 'Re-enter password'),
('en', 'registration', 'order', 'Order'),
('en', 'registration', 'phone', 'Phone'),
('en', 'registration', 'please contact the site administrator.', 'Please Contact the site administrator.'),
('en', 'registration', 'on-line registration is not activated. please contact the site administrator for more information about registration.', 'On-line registration is not activated. Please contact the site administrator for more information about registration.'),
('en', 'registration', 'name (blank unless text, textarea, dropdown, checkbox; else alphanumeric only)', 'Name (blank unless Text, Textarea, Dropdown, Checkbox; else alphanumeric only)'),
('en', 'registration', 'male', 'Male'),
('en', 'registration', 'lost_user_id_message', 'Here are the user accounts assoicated with this mail account:'),
('en', 'registration', 'lost user id', 'Lost User Id'),
('en', 'registration', 'lost user account retrieval', 'Lost User account retrieval'),
('en', 'registration', 'if you did not request this change, simply ignore this message.', 'If you did not request this change, simply ignore this message.'),
('en', 'registration', 'if you did not request this account, simply ignore this message.', 'If you did not request this account, simply ignore this message.'),
('en', 'registration', 'i have read the terms and conditions and agree by them.', 'I have read the terms and conditions and agree by them.'),
('en', 'registration', 'gender', 'Gender'),
('en', 'registration', 'hi', 'Hi'),
('en', 'registration', 'female', 'Female'),
('en', 'registration', 'error: dropdown list ''%1'' has no values', 'Error: Dropdown list ''%1'' has no values'),
('en', 'registration', 'error: dropdown from table ''%1'' is not correctly configured', 'Error: Dropdown From Table ''%1'' is not correctly configured'),
('en', 'registration', 'email address', 'email address'),
('en', 'registration', 'enter your new password', 'Enter your new password'),
('en', 'registration', 'dropdown from table', 'Dropdown From Table'),
('en', 'registration', 'country', 'Country'),
('en', 'registration', 'current fields:', 'Current fields:'),
('en', 'registration', 'dropdown', 'Dropdown'),
('en', 'registration', 'close window', 'Close Window'),
('en', 'registration', 'click to log into your account', 'Click to log into your account'),
('en', 'registration', 'choose your language', 'Choose your language'),
('en', 'registration', 'city', 'City'),
('en', 'registration', 'choose language', 'Choose Language'),
('en', 'registration', 'checkbox', 'Checkbox'),
('en', 'registration', 'change password for user', 'Change password for user'),
('en', 'registration', 'change login', 'Change login'),
('en', 'registration', 'challenge question', 'Challenge Question'),
('en', 'registration', 'birthday', 'Birthday'),
('en', 'registration', 'an unknown error occured. <a href="%1">please try registering again.</a>', 'An unknown error occured. <a href="%1">Please try registering again.</a>'),
('en', 'registration', 'an error occured. please remove your cookies and try again.', 'An error occured. Please remove your cookies and try again.'),
('en', 'registration', 'an error occured. please contact our technical support and let them know.', 'An error occured. Please contact our technical support and let them know.'),
('en', 'registration', 'an error occured while updating your password. please contact the site administrator.', 'An error occured while updating your password. Please contact the site administrator.'),
('en', 'registration', 'after you enter your username, instructions to change your password will be sent to you by e-mail to the address you gave when y', 'After you enter your username, instructions to change your password will be sent to you by e-mail to the address you gave when you registered.'),
('en', 'registration', 'after you enter your email address, the user accounts associated with this email address will be mailed to that address.', 'After you enter your email address, the user accounts associated with this email address will be mailed to that address.'),
('en', 'registration', 'account password retrieval', 'Account password retrieval'),
('en', 'registration', 'account registration', 'Account registration'),
('en', 'registration', 'address', 'Address'),
('en', 'registration', 'account %1 record could not be found, report to site administrator', 'Account %1 record could not be found, report to site administrator'),
('en', 'registration', '[unknown last name]', '[unknown last name]'),
('en', 'registration', '[unknown first name]', '[unknown first name]'),
('en', 'registration', '<br>please contact the site administrator.', '<br>Please Contact the site administrator.'),
('en', 'registration', '13: error occured', '13: error occured'),
('en', 'projectmanager', 'your database is not up to date (%1 vs. %2), please run %3setup%4 to update your database.', 'Your database is NOT up to date (%1 vs. %2), please run %3setup%4 to update your database.'),
('en', 'projectmanager', 'you need to select a project first', 'You need to select a project first'),
('en', 'projectmanager', 'you dont have jpgraph version %1 or higher installed! it is needed from projectmanager for ganttcharts.', 'You dont have JPGraph version %1 or higher installed! It is needed from ProjectManager for Ganttcharts.'),
('en', 'projectmanager', 'you can leave the date of the first price empty', 'you can leave the date of the first price empty'),
('en', 'projectmanager', 'working duration on %1', 'Working duration on %1'),
('en', 'projectmanager', 'view this project-element', 'View this project-element'),
('en', 'projectmanager', 'view this project', 'View this project'),
('en', 'projectmanager', 'view this price', 'View this price'),
('en', 'projectmanager', 'view this milestone', 'View this milestone'),
('en', 'projectmanager', 'view this element in %1', 'View this element in %1'),
('en', 'projectmanager', 'view project-elements', 'View project-elements'),
('en', 'projectmanager', 'view project', 'View project'),
('en', 'projectmanager', 'view price', 'View price'),
('en', 'projectmanager', 'view milestone', 'View milestone'),
('en', 'projectmanager', 'view ganttchart of this project', 'View ganttchart of this project'),
('en', 'projectmanager', 'valid since', 'Valid since'),
('en', 'projectmanager', 'unitprice', 'Unitprice'),
('en', 'projectmanager', 'used', 'used'),
('en', 'projectmanager', 'unit', 'Unit'),
('en', 'projectmanager', 'tree with %1', 'Tree with %1'),
('en', 'projectmanager', 'translation', 'Translation'),
('en', 'projectmanager', 'to many might exceed your execution-time-limit', 'to many might exceed your execution-time-limit'),
('en', 'projectmanager', 'title must not be empty', 'Title must not be empty'),
('en', 'projectmanager', 'time', 'Time'),
('en', 'projectmanager', 'times', 'Times'),
('en', 'projectmanager', 'the charset depends on the font you want to use.', 'The charset depends on the font you want to use.'),
('en', 'projectmanager', 'test import (show importable records <u>only</u> in browser)', 'Test Import (show importable records <u>only</u> in browser)'),
('en', 'projectmanager', 'template including elment-tree saved as new project', 'Template including elment-tree saved as new project'),
('en', 'projectmanager', 'template', 'Template'),
('en', 'projectmanager', 'synchronise all', 'Synchronise all'),
('en', 'projectmanager', 'subprojects', 'Subprojects'),
('en', 'projectmanager', 'subelements', 'Subelements'),
('en', 'projectmanager', 'style used for everything but elements. some fonts have only normal style.', 'Style used for everything but elements. Some fonts have only normal style.'),
('en', 'projectmanager', 'status filter', 'Status filter'),
('en', 'projectmanager', 'startrecord', 'Startrecord'),
('en', 'projectmanager', 'startdate', 'Startdate'),
('en', 'projectmanager', 'start- & enddate', 'Start- & Enddate'),
('en', 'projectmanager', 'start, end, category, ...', 'Start, End, Category, ...'),
('en', 'projectmanager', 'start working on %1', 'Start working on %1'),
('en', 'projectmanager', 'start after', 'Start after'),
('en', 'projectmanager', 'site configuration saved', 'Site configuration saved'),
('en', 'projectmanager', 'show the project selection as', 'Show the project selection as'),
('en', 'projectmanager', 'show status icons of the datasources', 'Show status icons of the datasources'),
('en', 'projectmanager', 'show planned times instead of the real times', 'Show planned times instead of the real times'),
('en', 'projectmanager', 'show constraints and milestones', 'Show constraints and milestones'),
('en', 'projectmanager', 'should projectmanager display the status icons of the datasource (eg. infolog) or just a progressbar with the numerical status (', 'Should ProjectManager display the status icons of the datasource (eg. InfoLog) or just a progressbar with the numerical status (faster).'),
('en', 'projectmanager', 'share on the whole project in hours or percent, defaults to planned time', 'Share on the whole project in hours or percent, defaults to planned time'),
('en', 'projectmanager', 'share', 'Share'),
('en', 'projectmanager', 'share on the whole project', 'Share on the whole project'),
('en', 'projectmanager', 'selectbox with %1', 'Selectbox with %1'),
('en', 'projectmanager', 'select this project and show it''s elements', 'Select this project and show it''s elements'),
('en', 'projectmanager', 'select the accounting types visible for users of projectmanager', 'select the accounting types visible for users of projectmanager'),
('en', 'projectmanager', 'select multiple projects for a further action', 'Select multiple projects for a further action'),
('en', 'projectmanager', 'select an activity if you want to calculate costs by quantity (time) and price', 'select an activity if you want to calculate costs by quantity (time) and price'),
('en', 'projectmanager', 'select a project', 'select a project'),
('en', 'projectmanager', 'save this project element', 'Save this project element'),
('en', 'projectmanager', 'save the changes made', 'Save the changes made'),
('en', 'projectmanager', 'roles', 'Roles'),
('en', 'projectmanager', 'role saved', 'Role saved'),
('en', 'projectmanager', 'role deleted', 'Role deleted'),
('en', 'projectmanager', 'role', 'Role'),
('en', 'projectmanager', 'read access, no budget', 'read access, no budget'),
('en', 'projectmanager', 'real end', 'Real end'),
('en', 'projectmanager', 'real start', 'Real start'),
('en', 'projectmanager', 'resources', 'Resources'),
('en', 'projectmanager', 'read access, incl. budget and adding elements', 'read access, incl. budget and adding elements'),
('en', 'projectmanager', 're-planned', 're-planned'),
('en', 'projectmanager', 'quantity', 'Quantity'),
('en', 'projectmanager', 'projectmember', 'Projectmember'),
('en', 'projectmanager', 'projectlist', 'Projectlist'),
('en', 'projectmanager', 'projectmanager-fieldname', 'Projectmanager-Fieldname'),
('en', 'projectmanager', 'project-elements', 'Project-Elements'),
('en', 'projectmanager', 'project-element saved', 'Project-Element saved'),
('en', 'projectmanager', 'project-element deleted', 'Project-Element deleted'),
('en', 'projectmanager', 'project saved', 'Project saved'),
('en', 'projectmanager', 'project specific title, prices, ...', 'Project specific title, prices, ...'),
('en', 'projectmanager', 'project overview', 'project overview'),
('en', 'projectmanager', 'project members and roles', 'Project members and roles'),
('en', 'projectmanager', 'project id', 'Project ID'),
('en', 'projectmanager', 'project deleted', 'Project deleted'),
('en', 'projectmanager', 'project availibility', 'Project availibility'),
('en', 'projectmanager', 'pricelist', 'Pricelist'),
('en', 'projectmanager', 'price saved', 'Price saved'),
('en', 'projectmanager', 'price deleted', 'Price deleted'),
('en', 'projectmanager', 'price / unit', 'Price / Unit'),
('en', 'projectmanager', 'price', 'Price'),
('en', 'projectmanager', 'please download a recent version from %1 and install it in %2.', 'Please download a recent version from %1 and install it in %2.'),
('en', 'projectmanager', 'planned times', 'Planned times'),
('en', 'projectmanager', 'planned', 'planned'),
('en', 'projectmanager', 'permission denied !!!', 'Permission denied !!!'),
('en', 'projectmanager', 'percentage the member is availible for this project', 'Percentage the member is availible for this project'),
('en', 'projectmanager', 'percentage the member is availible for projects', 'Percentage the member is availible for projects'),
('en', 'projectmanager', 'overwrite the datasource', 'Overwrite the datasource'),
('en', 'projectmanager', 'only this project', 'Only this project'),
('en', 'projectmanager', 'number of records to read (%1)', 'Number of records to read (%1)'),
('en', 'projectmanager', 'not working', 'not working'),
('en', 'projectmanager', 'not started (0%)', 'Not started (0%)'),
('en', 'projectmanager', 'nonactive', 'Nonactive'),
('en', 'projectmanager', 'no save necessary', 'no save necessary'),
('en', 'projectmanager', 'no read access to the datasource: removing overwritten values will just empty them !!!', 'No READ access to the datasource: removing overwritten values will just empty them !!!'),
('en', 'projectmanager', 'no details', 'no details'),
('en', 'projectmanager', 'no accounting, only times and status', 'No accounting, only times and status'),
('en', 'projectmanager', 'no accounting, only status', 'No accounting, only status'),
('en', 'projectmanager', 'new', 'new'),
('en', 'projectmanager', 'necessary php extentions %1 not loaded and can''t be loaded !!!', 'Necessary PHP extentions %1 not loaded and can''t be loaded !!!'),
('en', 'projectmanager', 'necessary for project-elements doing that not automatic', 'necessary for project-elements doing that not automatic'),
('en', 'projectmanager', 'modified by', 'modified by'),
('en', 'projectmanager', 'modified', 'Modified'),
('en', 'projectmanager', 'milestones before this element has to be finished', 'Milestones before this element has to be finished'),
('en', 'projectmanager', 'milestones', 'Milestones'),
('en', 'projectmanager', 'milestone saved', 'Milestone saved'),
('en', 'projectmanager', 'milestone deleted', 'Milestone deleted'),
('en', 'projectmanager', 'members', 'Members'),
('en', 'projectmanager', 'mainproject only', 'Mainproject only'),
('en', 'projectmanager', 'mainprojects', 'Mainprojects'),
('en', 'projectmanager', 'links', 'Links'),
('en', 'projectmanager', 'linked elements', 'Linked elements'),
('en', 'projectmanager', 'leave it empty, if identitcal to the time', 'leave it empty, if identitcal to the time'),
('en', 'projectmanager', 'leave it empty to have one generated', 'leave it empty to have one generated'),
('en', 'projectmanager', 'leave it empty if you dont need a different customer title', 'leave it empty if you dont need a different customer title'),
('en', 'projectmanager', 'last modified', 'last modified'),
('en', 'projectmanager', 'import', 'Import'),
('en', 'projectmanager', 'ignored', 'ignored'),
('en', 'projectmanager', 'if you see entities (eg. &#123;) in the ganttchart, switch this off.', 'If you see entities (eg. {) in the Ganttchart, switch this off.'),
('en', 'projectmanager', 'ignore that entry', 'ignore that entry'),
('en', 'projectmanager', 'if checked the datasources of the elements (eg. infolog entries) will change their status too.', 'If checked the datasources of the elements (eg. InfoLog entries) will change their status too.'),
('en', 'projectmanager', 'if checked the datasources of the elements (eg. infolog entries) are deleted too.', 'If checked the datasources of the elements (eg. InfoLog entries) are deleted too.'),
('en', 'projectmanager', 'how should the project selection in the menu be displayed: a tree gives a better overview, a selectbox might perform better.', 'How should the project selection in the menu be displayed: A tree gives a better overview, a selectbox might perform better.'),
('en', 'projectmanager', 'how long do you work on the given day.', 'How long do you work on the given day.'),
('en', 'projectmanager', 'hours per workday', 'Hours per workday'),
('en', 'projectmanager', 'hours', 'hours'),
('en', 'projectmanager', 'health', 'Health'),
('en', 'projectmanager', 'h', 'h'),
('en', 'projectmanager', 'global categories', 'Global Categories'),
('en', 'projectmanager', 'general availibility', 'General availibility'),
('en', 'projectmanager', 'general pricelist', 'General pricelist'),
('en', 'projectmanager', 'ganttchart parameter', 'Ganttchart parameter'),
('en', 'projectmanager', 'general', 'General'),
('en', 'projectmanager', 'ganttchart', 'Ganttchart'),
('en', 'projectmanager', 'full access', 'full access'),
('en', 'projectmanager', 'from %1 to %2', 'from %1 to %2'),
('en', 'projectmanager', 'free descriptiv text', 'free descriptiv text'),
('en', 'projectmanager', 'fontfile ''%1'' not found!!!', 'Fontfile ''%1'' not found!!!'),
('en', 'projectmanager', 'font to use in the ganttchart, only the vera fonts are included in the projectmanager.', 'Font to use in the Ganttchart, only the Vera fonts are included in the ProjectManager.'),
('en', 'projectmanager', 'font style', 'Font style'),
('en', 'projectmanager', 'font charset', 'Font charset'),
('en', 'projectmanager', 'font', 'Font'),
('en', 'projectmanager', 'fieldseparator', 'Fieldseparator'),
('en', 'projectmanager', 'existing links', 'Existing links'),
('en', 'projectmanager', 'exit without saving', 'Exit without saving'),
('en', 'projectmanager', 'existing data will be overwrited if checked', 'Existing Data will be overwrited if checked'),
('en', 'projectmanager', 'everything recursive', 'Everything recursive'),
('en', 'projectmanager', 'error: saving the project-element (%1) !!!', 'Error: saving the project-element (%1) !!!'),
('en', 'projectmanager', 'error: saving the project (%1) !!!', 'Error: saving the project (%1) !!!'),
('en', 'projectmanager', 'error: saving the price (%1) !!!', 'Error: saving the price (%1) !!!'),
('en', 'projectmanager', 'error: saving role !!!', 'Error: saving role !!!'),
('en', 'projectmanager', 'error: saving milestone', 'Error: saving milestone'),
('en', 'projectmanager', 'error: rekursion found: id %1 more than once in projectpath, while building projecttree:', 'ERROR: Rekursion found: Id %1 more than once in Projectpath, while building Projecttree:'),
('en', 'projectmanager', 'error: project-id already exist, choose an other one or have one generated by leaving it emtpy !!!', 'Error: project-ID already exist, choose an other one or have one generated by leaving it emtpy !!!'),
('en', 'projectmanager', 'error: deleting project-element !!!', 'Error: deleting project-element !!!'),
('en', 'projectmanager', 'error: deleting role !!!', 'Error: deleting role !!!'),
('en', 'projectmanager', 'error: deleting project !!!', 'Error: deleting project !!!'),
('en', 'projectmanager', 'error: deleting price !!!', 'Error: deleting price !!!'),
('en', 'projectmanager', 'enddate', 'Enddate'),
('en', 'projectmanager', 'encode non-ascii', 'Encode non-ascii'),
('en', 'projectmanager', 'end before', 'End before'),
('en', 'projectmanager', 'empty', 'Empty'),
('en', 'projectmanager', 'empty for all', 'empty for all'),
('en', 'projectmanager', 'elements which have to be finished before this can start', 'Elements which have to be finished before this can start'),
('en', 'projectmanager', 'elements that can''t start before this one is finished', 'Elements that can''t start before this one is finished'),
('en', 'projectmanager', 'elements of elements', 'Elements of elements'),
('en', 'projectmanager', 'elementlist', 'Elementlist'),
('en', 'projectmanager', 'edit this role', 'Edit this role'),
('en', 'projectmanager', 'edit this price', 'Edit this price'),
('en', 'projectmanager', 'edit this project', 'Edit this project'),
('en', 'projectmanager', 'edit this project-element', 'Edit this project-element'),
('en', 'projectmanager', 'edit this milestone', 'Edit this milestone'),
('en', 'projectmanager', 'edit project-elements', 'Edit project-elements'),
('en', 'projectmanager', 'edit project', 'Edit project'),
('en', 'projectmanager', 'edit price', 'Edit price'),
('en', 'projectmanager', 'edit budget', 'Edit budget'),
('en', 'projectmanager', 'edit milestone', 'Edit milestone'),
('en', 'projectmanager', 'edit access, incl. editing budget and elements', 'edit access, incl. editing budget and elements'),
('en', 'projectmanager', 'done (100%)', 'Done (100%)'),
('en', 'projectmanager', 'do not use that entry as project-element', 'do not use that entry as project-element'),
('en', 'projectmanager', 'details of subelements', 'Details of subelements'),
('en', 'projectmanager', 'details of cumulated', 'Details of cumulated'),
('en', 'projectmanager', 'delete this role', 'Delete this role'),
('en', 'projectmanager', 'depth of display', 'Depth of display'),
('en', 'projectmanager', 'delete this project-element, does not remove the linked entry', 'Delete this project-element, does NOT remove the linked entry'),
('en', 'projectmanager', 'delete this project', 'Delete this project'),
('en', 'projectmanager', 'delete this price', 'Delete this price'),
('en', 'projectmanager', 'default all and a selectbox to choose', 'default all and a selectbox to choose'),
('en', 'projectmanager', 'delete all checked projects', 'Delete all checked projects'),
('en', 'projectmanager', 'delete this milestone', 'Delete this milestone'),
('en', 'projectmanager', 'dates', 'Dates'),
('en', 'projectmanager', 'datasource', 'Datasource'),
('en', 'projectmanager', 'datasources too', 'datasources too'),
('en', 'projectmanager', 'customer title', 'Customer title'),
('en', 'projectmanager', 'custom fields', 'Custom fields'),
('en', 'projectmanager', 'cumulated elements too', 'Cumulated elements too'),
('en', 'projectmanager', 'csv-filename', 'CSV-Filename'),
('en', 'projectmanager', 'csv-fieldname', 'CSV-Fieldname'),
('en', 'projectmanager', 'created a ganttchart from the checked projects', 'Created a ganttchart from the checked projects'),
('en', 'projectmanager', 'created', 'created'),
('en', 'projectmanager', 'create new links', 'Create new links'),
('en', 'projectmanager', 'create a new empty project or use a template', 'Create a new empty project or use a template'),
('en', 'projectmanager', 'cost per time', 'Cost per Time'),
('en', 'projectmanager', 'coordinator', 'Coordinator'),
('en', 'projectmanager', 'conversation between days and hours, default 8', 'conversation between days and hours, default 8'),
('en', 'projectmanager', 'constraints', 'Constraints'),
('en', 'projectmanager', 'close the window, discard the changes made', 'Close the window, discard the changes made'),
('en', 'projectmanager', 'check all', 'Check all'),
('en', 'projectmanager', 'charset of the above selected font', 'Charset of the above selected font'),
('en', 'projectmanager', 'charset of file', 'Charset of file'),
('en', 'projectmanager', 'by', 'by'),
('en', 'projectmanager', 'calculate budget by quantity (eg. time) and price', 'Calculate budget by quantity (eg. time) and price'),
('en', 'projectmanager', 'budget and pricelist', 'Budget and pricelist'),
('en', 'projectmanager', 'budget (no pricelist)', 'Budget (no pricelist)'),
('en', 'projectmanager', 'billable', 'billable'),
('en', 'projectmanager', 'bookable', 'bookable'),
('en', 'projectmanager', 'budget', 'Budget'),
('en', 'projectmanager', 'at which time do you start working on the given day.', 'At which time do you start working on the given day.'),
('en', 'projectmanager', 'availible', 'Availible'),
('en', 'projectmanager', 'assistant', 'Assistant'),
('en', 'projectmanager', 'archive', 'Archive'),
('en', 'projectmanager', 'apply the changes', 'Apply the changes'),
('en', 'projectmanager', 'app.', 'App.'),
('en', 'projectmanager', 'allowed units', 'Allowed units'),
('en', 'projectmanager', 'anonymous public', 'Anonymous public'),
('en', 'projectmanager', 'allowed accounting types', 'Allowed accounting types'),
('en', 'projectmanager', 'allow users to change their working times', 'Allow users to change their working times'),
('en', 'projectmanager', 'add this role', 'Add this role'),
('en', 'projectmanager', 'add project-elements', 'Add project-elements'),
('en', 'projectmanager', 'add project', 'Add project'),
('en', 'projectmanager', 'add price', 'Add price'),
('en', 'projectmanager', 'add or edit roles and their acl', 'Add or edit roles and their ACL'),
('en', 'projectmanager', 'add milestone', 'Add milestone'),
('en', 'projectmanager', 'add existing', 'Add existing'),
('en', 'projectmanager', 'add element', 'Add element'),
('en', 'projectmanager', 'add a new project', 'Add a new project'),
('en', 'projectmanager', 'add a new milestone', 'Add a new milestone'),
('en', 'projectmanager', 'activity', 'Activity'),
('en', 'projectmanager', 'accounting type', 'Accounting type'),
('en', 'projectmanager', 'actions', 'Actions'),
('en', 'projectmanager', 'accounting options', 'Accounting options'),
('en', 'projectmanager', 'accounting', 'Accounting'),
('en', 'projectmanager', '0ngoing (0 < % < 100)', '0ngoing (0 < % < 100)'),
('en', 'projectmanager', 'a describtive title for the project, must not be empty', 'a describtive title for the project, must not be empty'),
('en', 'projectmanager', '- re-planned', '- re-planned'),
('en', 'projectmanager', '- planned', '- planned'),
('en', 'projectmanager', '%1 times permission denied, %2 projects deleted', '%1 times permission denied, %2 projects deleted'),
('en', 'projectmanager', '%1 records imported', '%1 records imported'),
('en', 'projectmanager', '%1 records read (not yet imported, you may go %2back%3 and uncheck test import)', '%1 records read (not yet imported, you may go %2back%3 and uncheck Test Import)'),
('en', 'projectmanager', '%1 projects deleted', '%1 projects deleted'),
('en', 'projectmanager', '%1 new project-elements imported', '%1 new project-elements imported'),
('en', 'projectmanager', '%1 element(s) updated', '%1 element(s) updated'),
('en', 'polls', 'you are not (yet) allowed view the result of this vote.', 'You are not (yet) allowed view the result of this vote.'),
('en', 'polls', 'voting booth administration', 'Voting Booth Administration'),
('en', 'polls', 'what to show', 'What to show'),
('en', 'polls', 'which poll', 'Which poll'),
('en', 'polls', 'view results', 'View Results'),
('en', 'polls', 'vote', 'Vote'),
('en', 'polls', 'view poll', 'View poll'),
('en', 'polls', 'total votes', 'Total'),
('en', 'polls', 'this module displays polls.', 'This module displays polls.'),
('en', 'polls', 'show only the ballot', 'Show only the ballot'),
('en', 'polls', 'show only the result', 'Show only the result'),
('en', 'polls', 'show bullet if allowed to vote and result else', 'Show bullet if allowed to vote and result else'),
('en', 'polls', 'show answers', 'Show answers'),
('en', 'polls', 'settings updated', 'Settings updated'),
('en', 'polls', 'select current poll', 'Select current poll'),
('en', 'polls', 'result visible to', 'Result visible to'),
('en', 'polls', 'question has been updated', 'Question has been updated'),
('en', 'polls', 'noone', 'Noone'),
('en', 'polls', 'poll question', 'Poll question'),
('en', 'polls', 'poll votable by', 'Poll votable by'),
('en', 'polls', 'new poll has been added.  you should now add some answers for this poll', 'New poll has been added.  You should now add some answers for this poll'),
('en', 'polls', 'everyone incl. anonymous users', 'Everyone incl. anonymous users'),
('en', 'polls', 'enter poll question', 'Enter poll question'),
('en', 'polls', 'edit answer', 'Edit answer'),
('en', 'polls', 'edit poll question', 'Edit poll question'),
('en', 'polls', 'egroupware users (non-anonymous)', 'eGroupWare users (non-anonymous)'),
('en', 'polls', 'current poll', 'Current Poll'),
('en', 'polls', 'answers', 'Answers'),
('en', 'polls', 'are you sure want to delete this answer ?', 'Are you sure want to delete this answer ?'),
('en', 'polls', 'are you sure want to delete this question ?', 'Are you sure want to delete this question ?'),
('en', 'polls', 'answer has been added to poll', 'Answer has been added to poll'),
('en', 'polls', 'answer has been updated', 'Answer has been updated'),
('en', 'polls', 'answer', 'Answer'),
('en', 'polls', 'allways use latest poll', 'Allways use latest poll'),
('en', 'polls', 'allow users to vote more then once', 'Allow users to vote more than once'),
('en', 'polls', 'administrators', 'Administrators'),
('en', 'polls', 'add questions', 'Add questions'),
('en', 'polls', 'add new poll question', 'Add new poll question'),
('en', 'polls', 'add answers', 'Add answers'),
('en', 'polls', 'add answer to poll', 'Add answer to poll'),
('en', 'polls', 'actions', 'actions'),
('en', 'polls', '%1 group', '%1 group'),
('en', 'login', 'not a user yet? register now', 'Not a user yet? Register now'),
('en', 'login', 'lost password', 'Lost password'),
('en', 'login', 'lost login id', 'Lost login id'),
('en', 'login', 'you have been successfully logged out', 'You have been successfully logged out'),
('en', 'login', 'your session could not be verified.', 'Your session could not be verified.'),
('en', 'login', 'sorry, your login has expired', 'Sorry, your login has expired'),
('en', 'jscalendar', 'wk', 'wk'),
('en', 'jscalendar', 'toggle first day of week', 'Toggle first day of week'),
('en', 'jscalendar', 'time selection:', 'Time selection:'),
('en', 'jscalendar', 'prev. year (hold for menu)', 'Prev. year (hold for menu)'),
('en', 'jscalendar', 'prev. month (hold for menu)', 'Prev. month (hold for menu)'),
('en', 'jscalendar', 'next year (hold for menu)', 'Next year (hold for menu)'),
('en', 'jscalendar', 'next month (hold for menu)', 'Next month (hold for menu)'),
('en', 'jscalendar', 'go today', 'Go Today'),
('en', 'jscalendar', 'date selection:', 'Date selection:'),
('en', 'jscalendar', 'display %s first', 'Display %s first'),
('en', 'jscalendar', 'drag to move', 'Drag to move'),
('en', 'jscalendar', 'about the calendar', 'About the calendar'),
('en', 'jscalendar', '3 number of chars for month-shortcut', '3 number of chars for month-shortcut'),
('en', 'jscalendar', '3 number of chars for day-shortcut', '3 number of chars for day-shortcut'),
('en', 'jscalendar', '- use the %1, %2 buttons to select year', '- Use the %1, %2 buttons to select year'),
('en', 'jscalendar', '- use the %1, %2 buttons to select month', '- Use the %1, %2 buttons to select month'),
('en', 'jscalendar', '- or shift-click to decrease it', '- or Shift-click to decrease it'),
('en', 'jscalendar', '- or click and drag for faster selection.', '- or click and drag for faster selection.'),
('en', 'jscalendar', '- hold mouse button on any of the above buttons for faster selection.', '- Hold mouse button on any of the above buttons for faster selection.'),
('en', 'jscalendar', '- click on any of the time parts to increase it', '- Click on any of the time parts to increase it'),
('en', 'jscalendar', '(shift-)click or drag to change value', '(Shift-)Click or drag to change value'),
('en', 'phpfreechat', 'you should remove the write access, once you see the chat!', 'You should remove the write access, once you see the chat!'),
('en', 'phpfreechat', 'to complete the phpfreechat installation you have to give the webserver write access to:', 'To complete the phpFreeChat installation you have to give the webserver write access to:'),
('en', 'phpfreechat', 'the chat opens in a new window.', 'The chat opens in a new window.'),
('en', 'phpfreechat', 'phpfreechat integration into egroupware', 'phpFreeChat integration into eGroupWare'),
('en', 'phpfreechat', 'egroupware chat', 'eGroupware Chat'),
('en', 'phpbrain', 'your question will be published immediately', 'Your question will be published immediately'),
('en', 'phpbrain', 'your question will be posted, but only will be published after approval by a user with publishing rights', 'Your question will be posted, but only will be published after approval by a user with publishing rights'),
('en', 'phpbrain', 'your message could not be sent!', 'Your message could not be sent!'),
('en', 'phpbrain', 'you must enter a topic', 'You must enter a topic'),
('en', 'phpbrain', 'you must enter a title', 'You must enter a title'),
('en', 'phpbrain', 'you have not the proper permissions to do that', 'You have not the proper permissions to do that'),
('en', 'phpbrain', 'you have already qualified this article', 'You have already qualified this article'),
('en', 'phpbrain', 'you are in %1', 'You are in %1'),
('en', 'phpbrain', 'without the words', 'Without the words'),
('en', 'phpbrain', 'with the exact phrase', 'With the exact phrase'),
('en', 'phpbrain', 'with at least one of the words', 'With at least one of the words'),
('en', 'phpbrain', 'with all the words', 'With all the words'),
('en', 'phpbrain', 'when navigating through categories, choose whether the list of articles shown corresponds only to the present category, or the p', 'When navigating through categories, choose whether the list of articles shown corresponds only to the present category, or the present category and all categories under it.'),
('en', 'phpbrain', 'views', 'views'),
('en', 'phpbrain', 'was it easy to find this article using the above search string?', 'Was it easy to find this article using the above search string?'),
('en', 'phpbrain', 'user preferences', 'User preferences'),
('en', 'phpbrain', 'unpublished', 'unpublished'),
('en', 'phpbrain', 'unpublish', 'Unpublish'),
('en', 'phpbrain', 'unanswered questions', 'Unanswered questions'),
('en', 'phpbrain', 'unable to add rating to database', 'Unable to add rating to database'),
('en', 'phpbrain', 'topic', 'Topic'),
('en', 'phpbrain', 'to create categories, press ''edit categories'' in the preferences menu', 'To create categories, press ''Edit Categories'' in the preferences menu'),
('en', 'phpbrain', 'title', 'Title'),
('en', 'phpbrain', 'this article hasn''t yet been published in the knowledge base', 'This article hasn''t yet been published in the Knowledge Base'),
('en', 'phpbrain', 'there are no articles available', 'There are no articles available'),
('en', 'phpbrain', 'there are no articles', 'There are no articles'),
('en', 'phpbrain', 'the present category only', 'The present category only'),
('en', 'phpbrain', 'the present category and all subcategories under it', 'The present category and all subcategories under it'),
('en', 'phpbrain', 'the following errors occurred', 'The following errors occurred'),
('en', 'phpbrain', 'the mail server returned:', 'The mail server returned:'),
('en', 'phpbrain', 'the article is empty', 'The article is empty'),
('en', 'phpbrain', 'the file was already missing in the server', 'The file was already missing in the server'),
('en', 'phpbrain', 'summary', 'Summary'),
('en', 'phpbrain', 'table of contents', 'Table of Contents'),
('en', 'phpbrain', 'that file already exists', 'That file already exists'),
('en', 'phpbrain', 'the article id must be a number', 'The article ID must be a number'),
('en', 'phpbrain', 'show messages in category', 'Show messages in category'),
('en', 'phpbrain', 'submit comment', 'Submit comment'),
('en', 'phpbrain', 'submit comment and rating', 'Submit comment and rating'),
('en', 'phpbrain', 'suggested category', 'Suggested category'),
('en', 'phpbrain', 'select articles', 'Select articles'),
('en', 'phpbrain', 'show all comments', 'Show all comments'),
('en', 'phpbrain', 'show articles belonging to:', 'Show articles belonging to:'),
('en', 'phpbrain', 'search results', 'Search results'),
('en', 'phpbrain', 'see more questions', 'See more questions'),
('en', 'phpbrain', 'see more questions...', 'See more questions...'),
('en', 'phpbrain', 'reply-to', 'Reply-to'),
('en', 'phpbrain', 'search in all the knowledge base', 'Search in all the Knowledge Base'),
('en', 'phpbrain', 'removed file %1', 'Removed file %1'),
('en', 'phpbrain', 'removed link %1', 'Removed link %1'),
('en', 'phpbrain', 'recipient', 'Recipient'),
('en', 'phpbrain', 'related articles in the knowledge base', 'Related Articles in the Knowledge Base'),
('en', 'phpbrain', 'relation with article was removed successfully', 'Relation with article was removes successfully'),
('en', 'phpbrain', 'rating has been submited', 'Rating has been submited'),
('en', 'phpbrain', 'rating invalid', 'Rating invalid'),
('en', 'phpbrain', 'questions deleted successfully', 'Questions deleted successfully'),
('en', 'phpbrain', 'question deleted successfully', 'Question deleted successfully'),
('en', 'phpbrain', 'publish selected', 'Publish selected'),
('en', 'phpbrain', 'published', 'Published'),
('en', 'phpbrain', 'publish', 'Publish'),
('en', 'phpbrain', 'publication date', 'Publication date'),
('en', 'phpbrain', 'problem relating articles', 'Problem relating articles'),
('en', 'phpbrain', 'printer view', 'Printer view'),
('en', 'phpbrain', 'poor', 'Poor'),
('en', 'phpbrain', 'please try again', 'Please try again'),
('en', 'phpbrain', 'people have rated this article', 'people have rated this article'),
('en', 'phpbrain', 'please rate the pertinence and quality of this article', 'Please rate the pertinence and quality of this article'),
('en', 'phpbrain', 'past year', 'past year'),
('en', 'phpbrain', 'overwrite file', 'overwrite existing file?'),
('en', 'phpbrain', 'past %1 months', 'past %1 months'),
('en', 'phpbrain', 'order results by', 'Order results by'),
('en', 'phpbrain', 'outstanding published questions', 'Outstanding published questions'),
('en', 'phpbrain', 'number of results per page', 'Number of results'),
('en', 'phpbrain', 'ocurrences', 'Ocurrences'),
('en', 'phpbrain', 'or browse the categories', 'Or browse the categories'),
('en', 'phpbrain', 'nobody has rated this article so far', 'Nobody has rated this article so far'),
('en', 'phpbrain', 'nothing was uploaded!', 'Nothing was uploaded!'),
('en', 'phpbrain', 'new article', 'New Article'),
('en', 'phpbrain', 'maximum number of most popular articles, latest articles and unanswered questions to show in the main view:', 'Maximum number of most popular articles, latest articles and unanswered questions to show in the main view:'),
('en', 'phpbrain', 'modification date', 'Modification date'),
('en', 'phpbrain', 'most viewed', 'Most viewed'),
('en', 'phpbrain', 'maximum number of comments to show:', 'Maximum number of comments to show:'),
('en', 'phpbrain', 'maintain questions', 'Maintain Questions'),
('en', 'phpbrain', 'main view', 'Main View'),
('en', 'phpbrain', 'maintain articles', 'Maintain Articles'),
('en', 'phpbrain', 'mail article', 'Mail article'),
('en', 'phpbrain', 'links & files', 'Links & Files'),
('en', 'phpbrain', 'links', 'Links'),
('en', 'phpbrain', 'link has been added', 'Link has been added'),
('en', 'phpbrain', 'link deleted successfully', 'Link deleted successfully'),
('en', 'phpbrain', 'link could not be added', 'Link could not be added'),
('en', 'phpbrain', 'leave empty to automatically generate an id', 'Leave empty to automatically generate an ID'),
('en', 'phpbrain', 'latest comments', 'Latest comments'),
('en', 'phpbrain', 'last modification by %1 on %2', 'Last modification by %1 on %2'),
('en', 'phpbrain', 'last modified', 'Last Modified'),
('en', 'phpbrain', 'latest', 'Latest'),
('en', 'phpbrain', 'knowledge base', 'Knowledge Base'),
('en', 'phpbrain', 'knowledge base article #%1', 'Knowledge Base article #%1'),
('en', 'phpbrain', 'keywords', 'Keywords'),
('en', 'phpbrain', 'include subcategories', 'Include subcategories'),
('en', 'phpbrain', 'in the topic', 'in the topic'),
('en', 'phpbrain', 'in the title', 'in the title'),
('en', 'phpbrain', 'in the text', 'in the text'),
('en', 'phpbrain', 'in %1', 'in %1'),
('en', 'phpbrain', 'if you wish, you can comment this article here', 'If you wish, you can comment this article here'),
('en', 'phpbrain', 'global categories', 'Global Categories'),
('en', 'phpbrain', 'history', 'History'),
('en', 'phpbrain', 'if you can''t find answers to your problem in the knowledge base, describe it below', 'If you can''t find answers to your problem in the knowledge base, describe it below'),
('en', 'phpbrain', 'file was deleted successfully', 'File was deleted successfully'),
('en', 'phpbrain', 'file wasn''t in server and it couldn''t be deleted from the database', 'File wasn''t in server and it couldn''t be deleted from the database'),
('en', 'phpbrain', 'find results', 'Find results'),
('en', 'phpbrain', 'file has been successfully uploaded', 'File has been successfully uploaded'),
('en', 'phpbrain', 'file was already missing from server, and was deleted from the database', 'File was already missing from server, and was deleted from the database'),
('en', 'phpbrain', 'failure trying to delete the file', 'Failure trying to delete the file'),
('en', 'phpbrain', 'file could be deleted from server but not from database', 'File coud be deleted from server but not from database'),
('en', 'phpbrain', 'excellent', 'Excellent'),
('en', 'phpbrain', 'error: file doesn''t exist in the database', 'Error: file doesn''t exist in the database'),
('en', 'phpbrain', 'error trying to publish article', 'Error trying to publish article'),
('en', 'phpbrain', 'error trying to edit article', 'Error trying to edit article'),
('en', 'phpbrain', 'error trying to delete question', 'Error trying to delete question'),
('en', 'phpbrain', 'error trying to delete comment', 'Error trying to delete comment'),
('en', 'phpbrain', 'error publishing comment', 'Error publishing comment'),
('en', 'phpbrain', 'error retrieving article', 'Error retrieving article'),
('en', 'phpbrain', 'error moving file to directory', 'Error moving file to directory'),
('en', 'phpbrain', 'error locating files directory', 'Error locating files directory'),
('en', 'phpbrain', 'error downloading file', 'Error downloading file'),
('en', 'phpbrain', 'error deleting article from database', 'Error deleting article from database'),
('en', 'phpbrain', 'error deleting link', 'Error deleting link'),
('en', 'phpbrain', 'enterprise knowledge articles repository', 'Enterprise Knowledge articles repository'),
('en', 'phpbrain', 'enter one or two words describing the issue, or type the article number if you know it', 'Enter one or two words describing the issue, or type the article number if you know it'),
('en', 'phpbrain', 'edit article', 'Edit article'),
('en', 'phpbrain', 'e-mail has been sent', 'e-mail has been sent'),
('en', 'phpbrain', 'e-groupware knowledge base article attached', 'E-GroupWare Knowledge Base article attached'),
('en', 'phpbrain', 'details', 'Details'),
('en', 'phpbrain', 'descendent', 'Descendent'),
('en', 'phpbrain', 'deleted relation to article %1', 'Deleted relation to article %1'),
('en', 'phpbrain', 'delete selected', 'Delete selected'),
('en', 'phpbrain', 'deleted relation to  article %1', 'Deleted relation to  article %1'),
('en', 'phpbrain', 'delete article', 'Delete article'),
('en', 'phpbrain', 'creation date', 'Creation date'),
('en', 'phpbrain', 'creation', 'creation'),
('en', 'phpbrain', 'created by %1 on %2', 'Created by %1 on %2'),
('en', 'phpbrain', 'create a new article to answer the question asked by %1 in %2', 'Create a new article to answer the question asked by %1 in %2'),
('en', 'phpbrain', 'contents', 'Contents'),
('en', 'phpbrain', 'configuration', 'Configuration'),
('en', 'phpbrain', 'comments', 'Comments'),
('en', 'phpbrain', 'comment has been submited for revision and rating will be published', 'Comment has been submited for revision and rating will be published'),
('en', 'phpbrain', 'comment has been submited for revision', 'Comment has been submited for revision'),
('en', 'phpbrain', 'comment has been published', 'Comment has been published'),
('en', 'phpbrain', 'comment has been deleted', 'Comment has been deleted'),
('en', 'phpbrain', 'comment could not be inserted in the database', 'Comment could not be inserted in the database'),
('en', 'phpbrain', 'comment and rating have been published', 'Comment and rating have been published'),
('en', 'phpbrain', 'comment', 'comment'),
('en', 'phpbrain', 'by answering this question you will help to get the answer quicker the next time', 'By answering this question you will help to get the answer quicker the next time'),
('en', 'phpbrain', 'before submiting a question, please search in the knowledge base first', 'Before submiting a question, please search in the knowledge base first'),
('en', 'phpbrain', 'base directory does not exist, please ask the adminstrator to check the global configuratio', 'Base directory does not exist, please ask the administrator to check the global configuration'),
('en', 'phpbrain', 'average rating', 'Average rating'),
('en', 'phpbrain', 'attach file', 'Attach File'),
('en', 'phpbrain', 'attached files', 'Attached Files'),
('en', 'phpbrain', 'ascendent', 'Ascendent');
INSERT INTO `egw_lang` (`lang`, `app_name`, `message_id`, `content`) VALUES
('en', 'phpbrain', 'articles not classified under any category', 'Articles not classified under any category'),
('en', 'phpbrain', 'articles in %1 and all its subcategories', 'Articles in %1 and all its subcategories'),
('en', 'phpbrain', 'articles in %1', 'Articles in %1'),
('en', 'phpbrain', 'articles deleted successfully', 'Articles deleted successfully'),
('en', 'phpbrain', 'articles have been published', 'Articles have been published'),
('en', 'phpbrain', 'article id', 'Article ID'),
('en', 'phpbrain', 'articles added', 'Articles added'),
('en', 'phpbrain', 'article has been published', 'Article has been published'),
('en', 'phpbrain', 'article edited', 'Article edited'),
('en', 'phpbrain', 'article deleted successfully', 'Article deleted successfully'),
('en', 'phpbrain', 'article deleted', 'Article deleted'),
('en', 'phpbrain', 'article created', 'Article created'),
('en', 'phpbrain', 'article added to database, you can now attach files or links, or relate to other articles', 'Article added to database, you can now attach files or links, or relate to other articles'),
('en', 'phpbrain', 'article', 'Article'),
('en', 'phpbrain', 'are you sure?', 'Are you sure?'),
('en', 'phpbrain', 'anywhere in the article', 'Anywhere in the article'),
('en', 'phpbrain', 'anytime', 'anytime'),
('en', 'phpbrain', 'answer', 'answer'),
('en', 'phpbrain', 'added related articles %1', 'Added related articles %1'),
('en', 'phpbrain', 'advanced search', 'Advanced Search'),
('en', 'phpbrain', 'all articles', 'All articles'),
('en', 'phpbrain', 'allow posting of questions', 'Allow posting of questions'),
('en', 'phpbrain', 'added link %1', 'Added link %1'),
('en', 'phpbrain', 'added file %1', 'Added file %1'),
('en', 'phpbrain', 'add question', 'Add Question'),
('en', 'phpbrain', 'add link', 'Add link'),
('en', 'phpbrain', 'add articles', 'Add articles'),
('en', 'phpbrain', 'actions', 'Actions'),
('en', 'phpbrain', 'action', 'Action'),
('en', 'phpbrain', '/kb directory does not exist and could not be created, please ask the adminstrator to check the global configuration', '/kb directory does not exist and could not be created, please ask the administrator to check the global configuration'),
('en', 'notifications', 'windows-popup only', 'Windows-Popup only'),
('en', 'notifications', 'you''ve got new mail', 'You''ve got new mail'),
('en', 'notifications', 'windows-popup first, if that fails notify me by sms', 'Windows-Popup first, if that fails notify me by SMS'),
('en', 'notifications', 'windows-popup first, if that fails notify me by e-mail', 'Windows-Popup first, if that fails notify me by E-Mail'),
('en', 'notifications', 'windows-popup and e-mail', 'Windows-Popup and E-Mail'),
('en', 'notifications', 'this egroupware notification has been sent to you by mail because your chosen notification-chain has been disabled by the admini', 'This EGroupware notification has been sent to you by mail because your chosen notification-chain has been disabled by the administrator. Please choose another notification-chain in your preferences!'),
('en', 'notifications', 'received', 'received'),
('en', 'notifications', 'sms only', 'SMS only'),
('en', 'notifications', 'preferences for notification', 'preferences for notification'),
('en', 'notifications', 'optimize e-mails for external mail client', 'optimize E-Mails for external E-Mail client'),
('en', 'notifications', 'poll interval', 'poll interval'),
('en', 'notifications', 'message from', 'message from'),
('en', 'notifications', 'minutes', 'minutes'),
('en', 'notifications', 'notify me by', 'notify me by'),
('en', 'notifications', 'if set, embedded links get rendered special for external clients', 'If set, embedded links get rendered special for external clients'),
('en', 'notifications', 'how verbose should the egroupware-popup behave if a notification is sent to the user:<br />low: just display the notification be', 'How verbose should the EGroupware-Popup behave if a notification is sent to the user:<br />low: just display the notification bell in the topmenu - topmenu must be enabled!<br />medium: bring notification window to front<br />high: bring notification window to front and let the browser do something to announce itself'),
('en', 'notifications', 'folder', 'folder'),
('en', 'notifications', 'from', 'from'),
('en', 'notifications', 'enabled chains', 'enabled chains'),
('en', 'notifications', 'egroupware-popup only', 'EGroupware-Popup only'),
('en', 'notifications', 'egroupware-popup verbosity', 'EGroupware-Popup verbosity'),
('en', 'notifications', 'egroupware-popup first, if that fails notify me by sms', 'EGroupware-Popup first, if that fails notify me by SMS'),
('en', 'notifications', 'egroupware-popup first, if that fails notify me by e-mail', 'EGroupware-Popup first, if that fails notify me by E-Mail'),
('en', 'notifications', 'egroupware-popup and windows-popup', 'EGroupware-Popup and Windows-Popup'),
('en', 'notifications', 'egroupware-popup and e-mail', 'EGroupware-Popup and E-Mail'),
('en', 'notifications', 'egroupware has notifications for you', 'EGroupware has notifications for you'),
('en', 'notifications', 'disabled chains', 'disabled chains'),
('en', 'notifications', 'do not notify me at all', 'do not notify me at all'),
('en', 'notifications', 'e-mail only', 'E-Mail only'),
('en', 'notifications', 'common chains', 'common chains'),
('en', 'notifications', 'choose a notification-chain. you will be notified over the backends included in the chain.<br />note: if a notification-chain is', 'Choose a notification-chain. You will be notified over the backends included in the chain.<br />Note: If a notification-chain is marked as "disabled", your Administrator does not allow one or more of the backends included in the chain, the notifications falls back to "E-Mail" while notifying you.'),
('en', 'notifications', 'all possible notification backends', 'all possible notification backends'),
('en', 'news_admin', 'write', 'Write'),
('en', 'news_admin', 'write permissions', 'Write permissions'),
('en', 'news_admin', 'which news categories should be displayed on the main screen.', 'Which news categories should be displayed on the main screen.'),
('en', 'news_admin', 'which information do you want to show (css class)', 'Which information do you want to show (CSS class)'),
('en', 'news_admin', 'webpage news admin', 'Webpage news admin'),
('en', 'news_admin', 'visible', 'Visible'),
('en', 'news_admin', 'view this category', 'View this category'),
('en', 'news_admin', 'until', 'until'),
('en', 'news_admin', 'url of the rss or atom feed, empty for own news feed', 'URL of the RSS or Atom feed, empty for own news feed'),
('en', 'news_admin', 'there no such translation.', 'There no such translation.'),
('en', 'news_admin', 'this module publishes news from the news_admin application on your website. be aware of news_admin''s acl restrictions.', 'This module publishes news from the news_admin application on your website. Be aware of news_admin''s ACL restrictions.'),
('en', 'news_admin', 'the subject is missing', 'The subject is missing'),
('en', 'news_admin', 'the number of articles to display on the main screen.', 'The number of articles to display on the main screen.'),
('en', 'news_admin', 'the news content is missing', 'The news content is missing'),
('en', 'news_admin', 'teaser with read more link', 'Teaser with read more link'),
('en', 'news_admin', 'teaser', 'Teaser'),
('en', 'news_admin', 'submitted by and date', 'Submitted by and date'),
('en', 'news_admin', 'submitted by %1 on %2', 'Submitted by %1 on %2'),
('en', 'news_admin', 'start', 'Start'),
('en', 'news_admin', 'small view', 'small view'),
('en', 'news_admin', 'show news articles on main page?', 'Show news articles on main page?'),
('en', 'news_admin', 'show latest news articles?', 'Show latest news articles?'),
('en', 'news_admin', 'should news_admin display the latest article headlines on the main screen.', 'Should News Admin display the latest article headlines on the main screen.'),
('en', 'news_admin', 'send mail to others', 'Send Mail to Others'),
('en', 'news_admin', 'reload', 'Reload'),
('en', 'news_admin', 'read permissions', 'Read permissions'),
('en', 'news_admin', 'read news', 'Read news'),
('en', 'news_admin', 'read more', 'read more'),
('en', 'news_admin', 'publish date', 'Publish Date'),
('en', 'news_admin', 'page-name the item should be displayed (empty = current page)', 'Page-name the item should be displayed (empty = current page)'),
('en', 'news_admin', 'parent', 'Parent'),
('en', 'news_admin', 'please select a category', 'Please select a category'),
('en', 'news_admin', 'on', 'on'),
('en', 'news_admin', 'old', 'Old'),
('en', 'news_admin', 'number of news items to be displayed on page', 'Number of news items to be displayed on page'),
('en', 'news_admin', 'number of articles to display on the main screen', 'Number of articles to display on the main screen'),
('en', 'news_admin', 'now', 'Now'),
('en', 'news_admin', 'no rss export', 'No RSS export'),
('en', 'news_admin', 'no news', 'No News is Currently Available in the Category'),
('en', 'news_admin', 'no matching news item', 'No matching news item'),
('en', 'news_admin', 'no entries found', 'no entries found'),
('en', 'news_admin', 'no anonymous user accounts installed.  notify the administrator.', 'NO ANONYMOUS USER ACCOUNTS INSTALLED.  NOTIFY THE ADMINISTRATOR.'),
('en', 'news_admin', 'news saved.', 'News saved.'),
('en', 'news_admin', 'news item has been updated', 'News item has been updated'),
('en', 'news_admin', 'news item has been added', 'News item has been added'),
('en', 'news_admin', 'news deleted.', 'News deleted.'),
('en', 'news_admin', 'news administration', 'News Administration'),
('en', 'news_admin', 'news', 'News'),
('en', 'news_admin', 'news admin', 'News Admin'),
('en', 'news_admin', 'new item has been added', 'New item has been added'),
('en', 'news_admin', 'more news link', 'More news link'),
('en', 'news_admin', 'more news', 'More news'),
('en', 'news_admin', 'message has been added', 'Message has been added'),
('en', 'news_admin', 'link', 'Link'),
('en', 'news_admin', 'main', 'Main'),
('en', 'news_admin', 'maintain', 'Maintain'),
('en', 'news_admin', 'last updated', 'Last updated'),
('en', 'news_admin', 'item not found', 'Item not found'),
('en', 'news_admin', 'item has been deleted', 'Item has been deleted'),
('en', 'news_admin', 'imported feeds can not be writable!', 'Imported feeds can NOT be writable!'),
('en', 'news_admin', 'import url', 'Import URL'),
('en', 'news_admin', 'import now', 'Import now'),
('en', 'news_admin', 'import every', 'Import every'),
('en', 'news_admin', 'implies read permission', 'implies read permission'),
('en', 'news_admin', 'image url', 'Image URL'),
('en', 'news_admin', 'image title', 'Image Title'),
('en', 'news_admin', 'image link', 'Image Link'),
('en', 'news_admin', 'headline with link', 'Headline with link'),
('en', 'news_admin', 'headline', 'Headline'),
('en', 'news_admin', 'global news', 'Global News'),
('en', 'news_admin', 'global_news', 'Global_News'),
('en', 'news_admin', 'global categories', 'global categories'),
('en', 'news_admin', 'future', 'Future'),
('en', 'news_admin', 'from', 'From'),
('en', 'news_admin', 'from all', 'From all'),
('en', 'news_admin', 'format for links to items', 'Format for links to items'),
('en', 'news_admin', 'format of export', 'Format of export'),
('en', 'news_admin', 'failed to add message', 'Failed to add new message'),
('en', 'news_admin', 'error saving the news!', 'Error saving the news!'),
('en', 'news_admin', 'error importing the feed!', 'Error importing the feed!'),
('en', 'news_admin', 'error saving the category!', 'Error saving the category!'),
('en', 'news_admin', 'end', 'End'),
('en', 'news_admin', 'edit news item', 'Edit news item'),
('en', 'news_admin', 'delete this news', 'Delete this news'),
('en', 'news_admin', 'do you want to publish a rss feed for this news category', 'Do you want to publish a RSS feed for this news category'),
('en', 'news_admin', 'date and time', 'Date and time'),
('en', 'news_admin', 'count', 'Count'),
('en', 'news_admin', 'content', 'Content'),
('en', 'news_admin', 'contains html', 'Contains HTML'),
('en', 'news_admin', 'choose a category', 'Choose a category'),
('en', 'news_admin', 'configuration', 'Configuration'),
('en', 'news_admin', 'always', 'Always'),
('en', 'news_admin', 'by date', 'By date'),
('en', 'news_admin', 'categories to displayed on main page?', 'Categories to displayed on main page?'),
('en', 'news_admin', 'category deleted.', 'Category deleted.'),
('en', 'news_admin', 'category saved.', 'Category saved.'),
('en', 'news_admin', 'all news', 'All news'),
('en', 'news_admin', 'add news item', 'Add news item'),
('en', 'news_admin', 'add new news', 'Add new news'),
('en', 'news_admin', 'add new article', 'Add New Article'),
('en', 'news_admin', 'actions', 'Actions'),
('en', 'news_admin', 'active', 'Active'),
('en', 'news_admin', '%s hours', '%s hours'),
('en', 'news_admin', '%1 news imported (%2 new).', '%1 news imported (%2 new).'),
('en', 'news_admin', '%1 module', '%1 module'),
('en', 'manual', 'the search returned no result!', 'The search returned no result!'),
('en', 'manual', 'starting import from %1, this might take several minutes (specialy if you start it the first time) ...', 'Starting import from %1, this might take several minutes (specialy if you start it the first time) ...'),
('en', 'manual', 'search for', 'Search for'),
('en', 'manual', 'index', 'Index'),
('en', 'manual', 'page(s) %1 not found !!!', 'Page(s) %1 not found !!!'),
('en', 'manual', 'download', 'download'),
('en', 'manual', '%1 manual page(s) added or updated', '%1 manual page(s) added or updated'),
('en', 'infolog', 'your database is not up to date (%1 vs. %2), please run %3setup%4 to update your database.', 'Your database is NOT up to date (%1 vs. %2), please run %3setup%4 to update your database.'),
('en', 'infolog', 'you need to select some entries first', 'You need to select some entries first'),
('en', 'infolog', 'you need to select an entry for linking.', 'You need to select an entry for linking.'),
('en', 'infolog', 'you must enter a subject or a description', 'You must enter a subject or a description'),
('en', 'infolog', 'you have to enter a name, to create a new typ!!!', 'You have to enter a name, to create a new type!!!'),
('en', 'infolog', 'you have entered an invalid starting date', 'You have entered an invalid starting date'),
('en', 'infolog', 'you have entered an invalid ending date', 'You have entered an invalid due date'),
('en', 'infolog', 'you can''t delete one of the stock types !!!', 'You can''t delete one of the stock types !!!'),
('en', 'infolog', 'you can choose a categorie to be preselected, when you create a new infolog entry', 'You can choose a category to be preselected, when you create a new InfoLog entry'),
('en', 'infolog', 'yes, with purging of deleted items possible', 'Yes, with purging of deleted items possible'),
('en', 'infolog', 'yes, with larger fontsize', 'Yes, with larger fontsize'),
('en', 'infolog', 'yes, only admins can purge deleted items', 'Yes, only admins can purge deleted items'),
('en', 'infolog', 'yes, noone can purge deleted items', 'Yes, noone can purge deleted items'),
('en', 'infolog', 'yes - delete including sub-entries', 'Yes - Delete including sub-entries'),
('en', 'infolog', 'yes - delete', 'Yes - Delete'),
('en', 'infolog', 'yes - close including sub-entries', 'Yes - Close including sub-entries'),
('en', 'infolog', 'yes - close', 'Yes - Close'),
('en', 'infolog', 'write (add or update) a record by passing its fields.', 'Write (add or update) a record by passing its fields.'),
('en', 'infolog', 'whole query', 'whole query'),
('en', 'infolog', 'will-call', 'will call'),
('en', 'infolog', 'which types should the calendar show', 'Which types should the calendar show'),
('en', 'infolog', 'which implicit acl rights should the responsible get?', 'Which implicit ACL rights should the responsible get?'),
('en', 'infolog', 'which additional fields should the responsible be allowed to edit without having edit rights?<br />status, percent and date comp', 'Which additional fields should the responsible be allowed to edit without having edit rights?<br />Status, percent and date completed are always allowed.'),
('en', 'infolog', 'when should the todo or phonecall be started, it shows up from that date in the filter open or own open (startpage)', 'when should the ToDo or Phone call be started, it shows up from that date in the filter open or own open (start page)'),
('en', 'infolog', 'view this linked entry in its application', 'view this linked entry in its application'),
('en', 'infolog', 'view the parent of this entry and all his subs', 'View the parent of this entry and all his subs'),
('en', 'infolog', 'view subs', 'view Subs'),
('en', 'infolog', 'view parent', 'View parent'),
('en', 'infolog', 'view other subs', 'view other Subs'),
('en', 'infolog', 'view all subs of this entry', 'View all subs of this entry'),
('en', 'infolog', 'values for selectbox', 'Values for selectbox'),
('en', 'infolog', 'used time', 'used time'),
('en', 'infolog', 'valid path on clientside<br>eg. \\\\server\\share or e:\\', 'valid path on clientside<br>eg. \\\\Server\\Share or e:\\'),
('en', 'infolog', 'use this tag for addresslabels. put the content, you want to repeat, between two tags.', 'Use this tag for addresslabels. Put the content, you want to repeat, between two tags.'),
('en', 'infolog', 'use search results', 'Use search results'),
('en', 'infolog', 'use field from csv if possible', 'Use field from CSV if possible'),
('en', 'infolog', 'use all', 'Use all'),
('en', 'infolog', 'urgent', 'urgent'),
('en', 'infolog', 'urgency', 'urgency'),
('en', 'infolog', 'upcoming', 'upcoming'),
('en', 'infolog', 'unlinked from %1', 'unlinked from %1'),
('en', 'infolog', 'unlink', 'Unlink'),
('en', 'infolog', 'type of the log-entry: note, phonecall or todo', 'Type of the log-entry: Note, Phone call or ToDo'),
('en', 'infolog', 'type ...', 'Type ...'),
('en', 'infolog', 'type of customfield', 'Type of customfield'),
('en', 'infolog', 'type', 'Type'),
('en', 'infolog', 'typ ''%1'' already exists !!!', 'Type ''%1'' already exists !!!'),
('en', 'infolog', 'typ', 'Type'),
('en', 'infolog', 'todo', 'ToDo'),
('en', 'infolog', 'translation', 'Translation'),
('en', 'infolog', 'todays date', 'todays date'),
('en', 'infolog', 'today', 'Today'),
('en', 'infolog', 'to what should the startdate of new entries be set.', 'To what should the start date of new entries be set.'),
('en', 'infolog', 'times', 'Times'),
('en', 'infolog', 'to many might exceed your execution-time-limit', 'to many might exceed your execution-time-limit'),
('en', 'infolog', 'til when should the todo or phonecall be finished', 'til when should the ToDo or Phone call be finished'),
('en', 'infolog', 'this is the filter infolog uses when you enter the application. filters limit the entries to show in the actual view. there are ', 'This is the filter InfoLog uses when you enter the application. Filters limit the entries to show in the actual view. There are filters to show only finished, still open or futures entries of yourself or all users.'),
('en', 'infolog', 'the text displayed to the user', 'the text displayed to the user'),
('en', 'infolog', 'the name used internaly (<= 20 chars), changeing it makes existing data unavailible', 'the name used internally (<= 20 chars), changing it makes existing data unavailable'),
('en', 'infolog', 'the name used internaly (<= 10 chars), changeing it makes existing data unavailible', 'the name used internally (<= 10 chars), changing it makes existing data unavailable'),
('en', 'infolog', 'test import (show importable records <u>only</u> in browser)', 'Test Import (show importable records <u>only</u> in browser)'),
('en', 'infolog', 'template', 'Template'),
('en', 'infolog', 'tasks of', 'Tasks of'),
('en', 'infolog', 'task', 'ToDo'),
('en', 'infolog', 'sum', 'Sum'),
('en', 'infolog', 'tag to mark positions for address labels', 'Tag to mark positions for address labels'),
('en', 'infolog', 'subject', 'Subject'),
('en', 'infolog', 'sub-entries will not be closed', 'Sub-entries will not be closed'),
('en', 'infolog', 'status ...', 'Status ...'),
('en', 'infolog', 'sub', 'Sub'),
('en', 'infolog', 'sub-entries become subs of the parent or main entries, if there''s no parent', 'Sub-entries become subs of the parent or main entries, if there''s no parent'),
('en', 'infolog', 'status', 'Status'),
('en', 'infolog', 'startrecord', 'Startrecord'),
('en', 'infolog', 'starting %1', 'Starting %1'),
('en', 'infolog', 'startdate enddate', 'Start Date Due Date'),
('en', 'infolog', 'startdate for new entries', 'Startdate for new entries'),
('en', 'infolog', 'startdate', 'Start Date'),
('en', 'infolog', 'start a new search, cancel this link', 'start a new search, cancel this link'),
('en', 'infolog', 'start', 'Start'),
('en', 'infolog', 'small view', 'small view'),
('en', 'infolog', 'show times', 'Show times'),
('en', 'infolog', 'show ticket id', 'Show ticket Id'),
('en', 'infolog', 'show status and percent done separate', 'Show status and percent done separate'),
('en', 'infolog', 'show last modified', 'Show last modified'),
('en', 'infolog', 'show in the infolog list', 'Show in the InfoLog list'),
('en', 'infolog', 'show full usernames', 'Show full usernames'),
('en', 'infolog', 'show a x if content equals this compare value, otherwise show nothing', 'show a X if content equals this compare value, otherwise show nothing'),
('en', 'infolog', 'show a column for used and planned times in the list.', 'Show a column for used and planned times in the list.'),
('en', 'infolog', 'should this entry only be visible to you and people you grant privat access via the acl', 'should this entry only be visible to you and people you grant private access via the ACL'),
('en', 'infolog', 'should the infolog list show the percent done only for status ongoing or two separate icons.', 'Should the InfoLog list show the percent done only for status ongoing or two separate icons.'),
('en', 'infolog', 'should the infolog list show the column "last modified".', 'Should the InfoLog list show the column "last modified".'),
('en', 'infolog', 'should the infolog list show a unique numerical id, which can be used eg. as ticket id.', 'Should the InfoLog list show a unique numerical Id, which can be used eg. as ticket Id.'),
('en', 'infolog', 'should infolog use full names (surname and familyname) or just the loginnames.', 'Should InfoLog use full names (sure name and family name) or just the login names.'),
('en', 'infolog', 'should infolog show up on the main screen and with which filter. works only if you dont selected an application for the main scr', 'Should InfoLog show up on the main screen and with which filter. Works only if you didn''t select an application for the main screen (in your preferences).'),
('en', 'infolog', 'should infolog show the links to other applications and/or the file-attachments in the infolog list (normal view when you enter ', 'Should InfoLog show the links to other applications and/or the file-attachments in the InfoLog list (normal view when you enter InfoLog).'),
('en', 'infolog', 'should infolog show subtasks, -calls or -notes in the normal view or not. you can always view the subs via there parent.', 'Should InfoLog show Subtasks, -calls or -notes in the normal view or not. You can always view the subs via their parent.'),
('en', 'infolog', 'sets the status of this entry to done', 'Sets the status of this entry to done'),
('en', 'infolog', 'sender', 'Sender'),
('en', 'infolog', 'set status to done', 'Set status to done'),
('en', 'infolog', 'set status to done for all entries', 'Set status to done for all entries'),
('en', 'infolog', 'sets the status of this entry and its subs to done', 'Sets the status of this entry and its subs to done'),
('en', 'infolog', 'selection cf', 'Selection CF'),
('en', 'infolog', 'select users or groups', 'Select users or groups'),
('en', 'infolog', 'select to filter by owner', 'select to filter by owner'),
('en', 'infolog', 'select to filter by responsible', 'select to filter by responsible'),
('en', 'infolog', 'select new category', 'Select new category'),
('en', 'infolog', 'select multiple contacts for a further action', 'Select multiple contacts for a further action'),
('en', 'infolog', 'select an entry to link with', 'Select an entry to link with'),
('en', 'infolog', 'select an app to search in', 'Select an App to search in'),
('en', 'infolog', 'select an action...', 'Select an action...'),
('en', 'infolog', 'select an action', 'Select an action'),
('en', 'infolog', 'select a typ to edit it''s status-values or delete it', 'Select a type to edit it''s status-values or delete it'),
('en', 'infolog', 'select a responsible user: a person you want to delegate this task', 'Select a responsible user: a person you want to delegate this task'),
('en', 'infolog', 'select a project', 'Select a project'),
('en', 'infolog', 'select a priority for this task', 'select a priority for this task'),
('en', 'infolog', 'select a price', 'Select a price'),
('en', 'infolog', 'select a category for this entry', 'select a category for this entry'),
('en', 'infolog', 'select', 'Select'),
('en', 'infolog', 'search', 'Search'),
('en', 'infolog', 'search for:', 'Search for:'),
('en', 'infolog', 'second parameter for preg_replace', 'second parameter for preg_replace'),
('en', 'infolog', 'saves this entry', 'Saves this entry'),
('en', 'infolog', 'saves the changes made and leaves', 'saves the changes made and leaves'),
('en', 'infolog', 'save', 'Save'),
('en', 'infolog', 'same day', 'same day'),
('en', 'infolog', 'rights for the responsible', 'Rights for the responsible'),
('en', 'infolog', 'responsible user, priority', 'responsible user, priority'),
('en', 'infolog', 'returns a list / search for records.', 'Returns a list / search for records.'),
('en', 'infolog', 'responsible overdue', 'responsible overdue'),
('en', 'infolog', 'responsible upcoming', 'responsible upcoming'),
('en', 'infolog', 'responsible open and upcoming', 'responsible open and upcoming'),
('en', 'infolog', 'responsible', 'responsible'),
('en', 'infolog', 'responsible open', 'responsible open'),
('en', 'infolog', 'replacements for inserting entries into documents', 'Replacements for inserting entries into documents'),
('en', 'infolog', 'replacement', 'Replacement'),
('en', 'infolog', 'removed', 'removed'),
('en', 'infolog', 'remove this link (not the entry itself)', 'Remove this link (not the entry itself)'),
('en', 'infolog', 'remark', 'Remark'),
('en', 'infolog', 'regular expression', 'Regular expression'),
('en', 'infolog', 'reg. expr. for local ip''s<br>eg. ^192\\.168\\.1\\.', 'reg. expr. for local IP''s<br>eg. ^192\\.168\\.1\\.'),
('en', 'infolog', 'receive notifications as html-mails', 'Receive notifications as html-mails'),
('en', 'infolog', 'receive notifications about starting entries you delegated', 'Receive notifications about starting entries you delegated'),
('en', 'infolog', 'receive notifications about starting entries you are responsible for', 'Receive notifications about starting entries you are responsible for'),
('en', 'infolog', 'receive notifications about own items', 'Receive notifications about own items'),
('en', 'infolog', 'receive notifications about items assigned to you', 'Receive notifications about items assigned to you'),
('en', 'infolog', 'receive notifications about due entries you delegated', 'Receive notifications about due entries you delegated'),
('en', 'infolog', 'receive notifications about due entries you are responsible for', 'Receive notifications about due entries you are responsible for'),
('en', 'infolog', 're:', 'Re:'),
('en', 'infolog', 'read one record by passing its id.', 'Read one record by passing its id.'),
('en', 'infolog', 'read rights (default)', 'read rights (default)'),
('en', 'infolog', 're-planned', 'Re-planned'),
('en', 'infolog', 're-planned time', 'Re-planned time'),
('en', 'infolog', 'project settings: price, times', 'Project settings: price, times'),
('en', 'infolog', 'projectmanager', 'Projectmanager'),
('en', 'infolog', 'private', 'Private'),
('en', 'infolog', 'project', 'Project'),
('en', 'infolog', 'priority', 'Priority'),
('en', 'infolog', 'pricelist', 'Pricelist'),
('en', 'infolog', 'primary link', 'primary link'),
('en', 'infolog', 'planned', 'planned'),
('en', 'infolog', 'planned time', 'planned time'),
('en', 'infolog', 'price', 'Price'),
('en', 'infolog', 'permission denied', 'Permission denied'),
('en', 'infolog', 'permissions error - %1 could not %2', 'Permissions error - %1 could not %2'),
('en', 'infolog', 'phone', 'Phone Call'),
('en', 'infolog', 'phone/email', 'Phone/Email'),
('en', 'infolog', 'phonecall', 'Phone Call'),
('en', 'infolog', 'percent completed', 'Percent completed'),
('en', 'infolog', 'pattern for search in projects', 'pattern for search in Projects'),
('en', 'infolog', 'pattern for search in addressbook', 'pattern for search in Addressbook'),
('en', 'infolog', 'path to user and group files has to be outside of the webservers document-root!!!', 'Path to user and group files HAS TO BE OUTSIDE of the webservers document-root!!!'),
('en', 'infolog', 'path on (web-)serverside<br>eg. /var/samba/share', 'path on (web-)serverside<br>eg. /var/samba/Share'),
('en', 'infolog', 'parent infolog', 'Parent Infolog'),
('en', 'infolog', 'parent', 'Parent'),
('en', 'infolog', 'owner does not have edit rights', 'Owner does not have edit rights'),
('en', 'infolog', 'own upcoming', 'own upcoming'),
('en', 'infolog', 'own overdue', 'own overdue'),
('en', 'infolog', 'own open and upcoming', 'own open and upcoming'),
('en', 'infolog', 'overdue', 'overdue'),
('en', 'infolog', 'own', 'own'),
('en', 'infolog', 'own open', 'own open'),
('en', 'infolog', 'order', 'Order'),
('en', 'infolog', 'organization', 'Organization'),
('en', 'infolog', 'optional note to the link', 'optional note to the Link'),
('en', 'infolog', 'open', 'open'),
('en', 'infolog', 'open and upcoming', 'open and upcoming'),
('en', 'infolog', 'only the attachments', 'only the attachments'),
('en', 'infolog', 'only the links', 'only the links'),
('en', 'infolog', 'only if i get assigned or removed', 'Only if I get assigned or removed'),
('en', 'infolog', 'only for details', 'Only for details'),
('en', 'infolog', 'ongoing', 'ongoing'),
('en', 'infolog', 'one day in advance', 'one day in advance'),
('en', 'infolog', 'one day after', 'one day after'),
('en', 'infolog', 'offer', 'offer'),
('en', 'infolog', 'number of row for a multiline inputfield or line of a multi-select-box', 'number of row for a multi-line input field or line of a multi-select-box'),
('en', 'infolog', 'number of records to read (%1)', 'Number of records to read (%1)'),
('en', 'infolog', 'note', 'Note'),
('en', 'infolog', 'not-started', 'not started'),
('en', 'infolog', 'normal', 'normal'),
('en', 'infolog', 'not', 'not'),
('en', 'infolog', 'not assigned', 'not assigned'),
('en', 'infolog', 'nonactive', 'nonactive'),
('en', 'infolog', 'none', 'None'),
('en', 'infolog', 'no filter', 'no Filter'),
('en', 'infolog', 'no links or attachments', 'no links or attachments'),
('en', 'infolog', 'no project', 'No project'),
('en', 'infolog', 'no entries found, try again ...', 'no entries found, try again ...'),
('en', 'infolog', 'no details', 'no details'),
('en', 'infolog', 'new search', 'New search'),
('en', 'infolog', 'no - cancel', 'No - Cancel'),
('en', 'infolog', 'no describtion, links or attachments', 'no describtion, links or attachments'),
('en', 'infolog', 'new name', 'new name'),
('en', 'infolog', 'new %1 created by %2 at %3', 'New %1 created by %2 at %3'),
('en', 'infolog', 'name of new type to create', 'name of new type to create'),
('en', 'infolog', 'never hide search and filters', 'Never hide search and filters'),
('en', 'infolog', 'new %1', 'New %1'),
('en', 'infolog', 'modifier', 'Modifier'),
('en', 'infolog', 'modifierer', 'Modifierer'),
('en', 'infolog', 'name must not be empty !!!', 'Name must not be empty !!!'),
('en', 'infolog', 'name of current user, all other contact fields are valid too', 'Name of current user, all other contact fields are valid too'),
('en', 'infolog', 'max length of the input [, length of the inputfield (optional)]', 'max length of the input [, length of the input field (optional)]'),
('en', 'infolog', 'manage mapping', 'Manage mapping'),
('en', 'infolog', 'low', 'low'),
('en', 'infolog', 'longer textual description', 'longer textual description'),
('en', 'infolog', 'location', 'Location'),
('en', 'infolog', 'list no subs/childs', 'List no Subs/Childs'),
('en', 'infolog', 'list all categories', 'List all categories'),
('en', 'infolog', 'links of this entry', 'Links of this entry'),
('en', 'infolog', 'links', 'Links'),
('en', 'infolog', 'linked to %1', 'linked to %1'),
('en', 'infolog', 'link', 'Link'),
('en', 'infolog', 'limit width of description column ((effective only if lines limit is set), 0 for no limit)', 'Limit width of description column ((effective only if lines limit is set), 0 for no limit)'),
('en', 'infolog', 'length<br>rows', 'Length<br>Rows'),
('en', 'infolog', 'limit number of description lines (default 5, 0 for no limit)', 'Limit number of description lines (default 5, 0 for no limit)'),
('en', 'infolog', 'leave without saveing the entry', 'leave without saveing the entry'),
('en', 'infolog', 'leaves without saveing', 'leaves without saveing'),
('en', 'infolog', 'leave it empty for a full week', 'Leave it empty for a full week'),
('en', 'infolog', 'leave it empty', 'leave it empty'),
('en', 'infolog', 'last changed', 'Last changed'),
('en', 'infolog', 'last modified', 'Last modified'),
('en', 'infolog', 'leave blank to get the used time calculated by timesheet entries', 'Leave blank to get the used time calculated by time sheet entries'),
('en', 'infolog', 'invalid status for entry type %1.', 'Invalid status for entry type %1.'),
('en', 'infolog', 'label<br>helptext', 'Label<br>Helptext'),
('en', 'infolog', 'invalid owner id: %1.  might be a bad field translation.  used %2 instead.', 'Invalid owner ID: %1.  Might be a bad field translation.  Used %2 instead.'),
('en', 'infolog', 'invalid filename', 'Invalid filename'),
('en', 'infolog', 'insert in document', 'Insert in document'),
('en', 'infolog', 'insert', 'insert'),
('en', 'infolog', 'infolog list', 'InfoLog list'),
('en', 'infolog', 'infolog-fieldname', 'Info Log-Fieldname'),
('en', 'infolog', 'infolog id', 'Infolog ID'),
('en', 'infolog', 'infolog filter for the main screen', 'InfoLog filter for the main screen'),
('en', 'infolog', 'infolog fields:', 'Infolog fields:'),
('en', 'infolog', 'infolog entry deleted', 'InfoLog entry deleted'),
('en', 'infolog', 'infolog entry saved', 'InfoLog entry saved'),
('en', 'infolog', 'infolog - subprojects from', 'InfoLog - Subprojects from'),
('en', 'infolog', 'infolog copied - the copy can now be edited', 'Infolog copied - the copy can now be edited'),
('en', 'infolog', 'infolog csv export', 'Infolog CSV export'),
('en', 'infolog', 'infolog csv import', 'Infolog CSV import'),
('en', 'infolog', 'infolog - new subproject', 'InfoLog - New Subproject'),
('en', 'infolog', 'infolog - new', 'InfoLog - New'),
('en', 'infolog', 'infolog - edit', 'InfoLog - Edit'),
('en', 'infolog', 'infolog - import csv-file', 'InfoLog - Import CSV-File'),
('en', 'infolog', 'infolog - delete', 'Info Log - Delete'),
('en', 'infolog', 'imports entries into the infolog from a csv file. csv means ''comma seperated values''. however in the options tab you can also ch', 'Imports entries into the infolog from a CSV File. CSV means ''Comma Seperated Values''. However in the options Tab you can also choose other seperators.'),
('en', 'infolog', 'importance', 'Importance'),
('en', 'infolog', 'import', 'Import'),
('en', 'infolog', 'import next set', 'import next set'),
('en', 'infolog', 'if you specify an export definition, it will be used when you export', 'If you specify an export definition, it will be used when you export'),
('en', 'infolog', 'if you specify a document (full vfs path) here, infolog displays an extra document icon for each entry. that icon allows to down', 'If you specify a document (full vfs path) here, infolog displays an extra document icon for each entry. That icon allows to download the specified document with the contact data inserted.'),
('en', 'infolog', 'if you specify a directory (full vfs path) here, infolog displays an action for each document. that action allows to download th', 'If you specify a directory (full vfs path) here, infolog displays an action for each document. That action allows to download the specified document with the infolog data inserted.'),
('en', 'infolog', 'if not set, the line with search and filters is hidden for less entries then "max matches per page" (as defined in your common p', 'If not set, the line with search and filters is hidden for less entries then "max matches per page" (as defined in your common preferences).'),
('en', 'infolog', 'if a type has a group owner, all entries of that type will be owned by the given group and not the user who created it!', 'If a type has a group owner, all entries of that type will be owned by the given group and NOT the user who created it!'),
('en', 'infolog', 'id', 'Id'),
('en', 'infolog', 'id#', 'Id#'),
('en', 'infolog', 'how wide should the description area be. this value is numeric and interpreted as em; 60 works reasonably well.', 'How wide should the description area be. This value is numeric and interpreted as em; 60 works reasonably well.'),
('en', 'infolog', 'history logging and deleting of items', 'History logging and deleting of items'),
('en', 'infolog', 'how many describtion lines should be directly visible. further lines are available via a scrollbar.', 'How many description lines should be directly visible. Further lines are available via a scroll bar.'),
('en', 'infolog', 'high', 'high'),
('en', 'infolog', 'history', 'History'),
('en', 'infolog', 'history logging', 'History logging'),
('en', 'infolog', 'group owner for', 'Group owner for'),
('en', 'infolog', 'global categories', 'Global Categories'),
('en', 'infolog', 'general fields:', 'General fields:'),
('en', 'infolog', 'general', 'General'),
('en', 'infolog', 'from', 'From'),
('en', 'infolog', 'for which types should this field be used', 'for which types should this field be used'),
('en', 'infolog', 'for serial letter use this tag. put the content, you want to repeat between two tags.', 'For serial letter use this tag. Put the content, you want to repeat between two Tags.'),
('en', 'infolog', 'first argument for preg_replace', 'first argument for preg_replace'),
('en', 'infolog', 'finish', 'finish'),
('en', 'infolog', 'fieldseparator', 'Fieldseparator'),
('en', 'infolog', 'field must not be empty !!!', 'Field must not be empty !!!'),
('en', 'infolog', 'fax', 'Fax'),
('en', 'infolog', 'exports infolog entries into a csv file.', 'Exports Infolog entries into a CSV File.'),
('en', 'infolog', 'export definitition to use for nextmatch export', 'Export definitition to use for nextmatch export'),
('en', 'infolog', 'exists', 'exists'),
('en', 'infolog', 'existing links', 'Existing links'),
('en', 'infolog', 'execute a further action for this entry', 'Execute a further action for this entry'),
('en', 'infolog', 'example {{nelfnv role}} - if field role is not empty, set a lf without any value of the field', 'Example {{NELFNV role}} - if field role is not empty, set a LF without any value of the field'),
('en', 'infolog', 'example {{nelf role}} - if field role is not empty, you will get a new line with the value of field role', 'Example {{NELF role}} - if field role is not empty, you will get a new line with the value of field role'),
('en', 'infolog', 'example {{letterprefixcustom n_prefix title n_family}} - example: mr dr. james miller', 'Example {{LETTERPREFIXCUSTOM n_prefix title n_family}} - Example: Mr Dr. James Miller'),
('en', 'infolog', 'example {{if n_prefix~mr~hello mr.~hello ms.}} - search the field "n_prefix", for "mr", if found, write hello mr., else write he', 'Example {{IF n_prefix~Mr~Hello Mr.~Hello Ms.}} - search the field "n_prefix", for "Mr", if found, write Hello Mr., else write Hello Ms.'),
('en', 'infolog', 'error: the entry has been updated since you opened it for editing!', 'Error: the entry has been updated since you opened it for editing!'),
('en', 'infolog', 'error: saving the entry', 'Error: saving the entry'),
('en', 'infolog', 'entry and all files', 'Entry and all files'),
('en', 'infolog', 'enter the query pattern', 'Enter the query pattern'),
('en', 'infolog', 'enter a textual description of the log-entry', 'enter a textual description of the log-entry'),
('en', 'infolog', 'enter a custom phone/email, leave empty if linked entry should be used', 'Enter a custom phone/email, leave empty if linked entry should be used'),
('en', 'infolog', 'enter a custom contact, leave empty if linked entry should be used', 'Enter a custom contact, leave empty if linked entry should be used'),
('en', 'infolog', 'enddate can not be before startdate', 'Due date can not be before start date'),
('en', 'infolog', 'enddate', 'Due date'),
('en', 'infolog', 'end', 'End'),
('en', 'infolog', 'empty for all', 'empty for all'),
('en', 'infolog', 'edit this entry', 'Edit this entry'),
('en', 'infolog', 'edit the entry', 'Edit the entry'),
('en', 'infolog', 'edit status', 'Edit status'),
('en', 'infolog', 'edit rights (full edit rights incl. making someone else responsible!)', 'Edit rights (full edit rights incl. making someone else responsible!)'),
('en', 'infolog', 'edit or create categories for ingolog', 'Edit or create categories for IngoLog'),
('en', 'infolog', 'edit', 'Edit'),
('en', 'infolog', 'each value is a line like <id>[=<label>]', 'Each value is a line like <id>[=<label>]'),
('en', 'infolog', 'e-mail:', 'E-mail:'),
('en', 'infolog', 'duration', 'Duration'),
('en', 'infolog', 'due %1', 'Due %1'),
('en', 'infolog', 'download', 'Download'),
('en', 'infolog', 'don''t show infolog', 'DON''T show InfoLog'),
('en', 'infolog', 'document ''%1'' does not exist or is not readable for you!', 'Document ''%1'' does not exist or is not readable for you!'),
('en', 'infolog', 'do you want to receive notifications as html-mails or plain text?', 'Do you want to receive notifications as html-mails or plain text?'),
('en', 'infolog', 'do you want a notification, if items you delegated are due?', 'Do you want a notification, if items you delegated are due?'),
('en', 'infolog', 'do you want a notification, if items you delegated are about to start?', 'Do you want a notification, if items you delegated are about to start?'),
('en', 'infolog', 'do you want a notification, if items you created get updated?', 'Do you want a notification, if items you created get updated?'),
('en', 'infolog', 'do you want a notification, if items you are responsible for are due?', 'Do you want a notification, if items you are responsible for are due?'),
('en', 'infolog', 'do you want a notification, if items you are responsible for are about to start?', 'Do you want a notification, if items you are responsible for are about to start?'),
('en', 'infolog', 'do you want a notification, if items get assigned to you or assigned items get updated?', 'Do you want a notification, if items get assigned to you or assigned items get updated?'),
('en', 'infolog', 'do you want a confirmation of the responsible on: accepting, finishing the task or both', 'Do you want a confirmation of the responsible on: accepting, finishing the task or both'),
('en', 'infolog', 'disables a status without deleting it', 'disables a status without deleting it'),
('en', 'infolog', 'do not notify of these changes', 'Do not notify of these changes'),
('en', 'infolog', 'directory with documents to insert entries', 'Directory with documents to insert entries'),
('en', 'infolog', 'description', 'Description'),
('en', 'infolog', 'determines the order the fields are displayed', 'determines the order the fields are displayed'),
('en', 'infolog', 'deletes this field', 'deletes this field'),
('en', 'infolog', 'deletes this status', 'deletes this status'),
('en', 'infolog', 'deletes the selected typ', 'deletes the selected type'),
('en', 'infolog', 'deleted', 'deleted'),
('en', 'infolog', 'delete selected entries?', 'Delete selected entries?'),
('en', 'infolog', 'delete the entry', 'Delete the entry'),
('en', 'infolog', 'delete this entry', 'delete this entry'),
('en', 'infolog', 'delete this entry and all listed sub-entries', 'Delete this entry and all listed sub-entries'),
('en', 'infolog', 'delete one record by passing its id.', 'Delete one record by passing its id.'),
('en', 'infolog', 'delete', 'Delete'),
('en', 'infolog', 'delegation', 'Delegation'),
('en', 'infolog', 'delegated upcomming', 'delegated upcomming'),
('en', 'infolog', 'delegated overdue', 'delegated overdue'),
('en', 'infolog', 'delegated open and upcoming', 'delegated open and upcoming'),
('en', 'infolog', 'delegated', 'delegated'),
('en', 'infolog', 'delegated open', 'delegated open'),
('en', 'infolog', 'default status for a new log entry', 'default status for a new log entry'),
('en', 'infolog', 'default filter for infolog', 'Default Filter for InfoLog'),
('en', 'infolog', 'default document to insert entries', 'Default document to insert entries'),
('en', 'infolog', 'days', 'days'),
('en', 'infolog', 'default category for new infolog entries', 'Default category for new Infolog entries'),
('en', 'infolog', 'dates, status, access', 'Dates, Status, Access'),
('en', 'infolog', 'datecreated', 'date created'),
('en', 'infolog', 'date completed (leave it empty to have it automatic set if status is done or billed)', 'Date completed (leave it empty to have it automatically set if status is done or billed)'),
('en', 'infolog', 'customfields', 'Customfields'),
('en', 'infolog', 'date completed', 'Date completed'),
('en', 'infolog', 'custom status for typ', 'Custom status for type'),
('en', 'infolog', 'custom regarding', 'Custom regarding'),
('en', 'infolog', 'custom from', 'Custom from'),
('en', 'infolog', 'custom fields', 'Custom Fields'),
('en', 'infolog', 'custom contact-information, leave emtpy to use information from most recent link', 'Custom contact-information, leave empty to use information from most recent link'),
('en', 'infolog', 'csv-fieldname', 'CSV-Fieldname'),
('en', 'infolog', 'csv-filename', 'CSV-Filename'),
('en', 'infolog', 'custom', 'Custom'),
('en', 'infolog', 'custom contact-address, leave empty to use information from most recent link', 'Custom contact-address, leave empty to use information from most recent link'),
('en', 'infolog', 'creates a new typ with the given name', 'creates a new type with the given name'),
('en', 'infolog', 'creation', 'Creation'),
('en', 'infolog', 'creates a new status with the given values', 'creates a new status with the given values'),
('en', 'infolog', 'creates a new field', 'creates a new field'),
('en', 'infolog', 'create new links', 'Create new links'),
('en', 'infolog', 'contactfield', 'Contactfield'),
('en', 'infolog', 'copy of:', 'Copy of:'),
('en', 'infolog', 'copy your changes to the clipboard, %1reload the entry%2 and merge them.', 'Copy your changes to the clipboard, %1reload the entry%2 and merge them.'),
('en', 'infolog', 'confirm', 'Confirm'),
('en', 'infolog', 'contact', 'Contact'),
('en', 'infolog', 'contact cf', 'contact CF'),
('en', 'infolog', 'contact fields', 'Contact fields'),
('en', 'infolog', 'configuration', 'Configuration'),
('en', 'infolog', 'completed', 'Completed'),
('en', 'infolog', 'comment', 'Comment'),
('en', 'infolog', 'compare', 'Compare'),
('en', 'infolog', 'closed', 'closed'),
('en', 'infolog', 'colon (:) separated list of field names to use if value is empty or to sum up', 'colon (:) separated list of field names to use if value is empty or to sum up'),
('en', 'infolog', 'close this entry and all listed sub-entries', 'Close this entry and all listed sub-entries'),
('en', 'infolog', 'close all', 'Close all'),
('en', 'infolog', 'close', 'Close'),
('en', 'infolog', 'click here to start the search', 'click here to start the search'),
('en', 'infolog', 'click here to create the link', 'click here to create the Link'),
('en', 'infolog', 'check to set startday', 'check to set startday'),
('en', 'infolog', 'check to specify custom contact', 'Check to specify custom contact'),
('en', 'infolog', 'choose owner of imported data', 'Choose owner of imported data'),
('en', 'infolog', 'check all', 'Check all'),
('en', 'infolog', 'charset of file', 'Charset of file'),
('en', 'infolog', 'changed type', 'changed type'),
('en', 'infolog', 'changed status to %1', 'changed status to %1'),
('en', 'infolog', 'changed responsible', 'changed responsible'),
('en', 'infolog', 'changed completion to %1%', 'changed completion to %1%'),
('en', 'infolog', 'changed category to %1', 'changed category to %1'),
('en', 'infolog', 'change type:', 'Change type:'),
('en', 'infolog', 'change the status of an entry, eg. close it', 'Change the status of an entry, eg. close it'),
('en', 'infolog', 'change status:', 'Change status:'),
('en', 'infolog', 'change owner when updating', 'Change owner when updating'),
('en', 'infolog', 'change responsible', 'Change responsible'),
('en', 'infolog', 'change category', 'Change category'),
('en', 'infolog', 'change completed', 'Change completed'),
('en', 'infolog', 'change completion', 'Change completion'),
('en', 'infolog', 'change history', 'Change history'),
('en', 'infolog', 'category', 'Category'),
('en', 'infolog', 'categories', 'Categories'),
('en', 'infolog', 'cancelled', 'cancelled'),
('en', 'infolog', 'cancel', 'Cancel'),
('en', 'infolog', 'can be used to show further infolog types in the calendar or limit it to show eg. only tasks.', 'Can be used to show further InfoLog types in the calendar or limit it to show e.g. only tasks.'),
('en', 'infolog', 'call', 'call'),
('en', 'infolog', 'both', 'both'),
('en', 'infolog', 'billed', 'billed'),
('en', 'infolog', 'back to main list', 'Back to main list'),
('en', 'infolog', 'attention: no contact with address %1 found.', 'Attention: No Contact with address %1 found.'),
('en', 'infolog', 'attach file', 'Attach file'),
('en', 'infolog', 'attach a file', 'Attach a file'),
('en', 'infolog', 'at the moment the following document-types are supported:', 'At the moment the following document-types are supported:'),
('en', 'infolog', 'are you shure you want to delete this entry ?', 'Are you sure you want to delete this entry ?'),
('en', 'infolog', 'are you shure you want to close this entry ?', 'Are you shure you want to close this entry ?'),
('en', 'infolog', 'archive', 'archive'),
('en', 'infolog', 'apply the changes', 'Apply the changes'),
('en', 'infolog', 'apply the action on the whole query, not only the shown entries!!!', 'Apply the action on the whole query, NOT only the shown entries!!!');
INSERT INTO `egw_lang` (`lang`, `app_name`, `message_id`, `content`) VALUES
('en', 'infolog', 'alternatives', 'Alternatives'),
('en', 'infolog', 'allows to set the status of an entry, eg. set a todo to done if it''s finished (values depend on entry-typ)', 'Allows to set the status of an entry, eg. set a ToDo to done if it''s finished (values depend on entry-type)'),
('en', 'infolog', 'all links and attachments', 'all links and attachments'),
('en', 'infolog', 'all projects', 'All projects'),
('en', 'infolog', 'add timesheet entry', 'Add timesheet entry'),
('en', 'infolog', 'add:', 'Add:'),
('en', 'infolog', 'added', 'added'),
('en', 'infolog', 'all', 'All'),
('en', 'infolog', 'add sub', 'add Sub'),
('en', 'infolog', 'add file', 'Add file'),
('en', 'infolog', 'add or delete links', 'Add or delete links'),
('en', 'infolog', 'add a new todo', 'Add a new ToDo'),
('en', 'infolog', 'add a file', 'Add a file'),
('en', 'infolog', 'add a new entry', 'Add a new Entry'),
('en', 'infolog', 'add a new note', 'Add a new Note'),
('en', 'infolog', 'add a new phonecall', 'Add a new Phone Call'),
('en', 'infolog', 'add a new sub-task, -note, -call to this entry', 'Add a new sub-task, -note, -call to this entry'),
('en', 'infolog', 'add / remove link', 'Add / Remove link'),
('en', 'infolog', 'add', 'Add'),
('en', 'infolog', 'actual date and time', 'actual date and time'),
('en', 'infolog', 'actions...', 'Actions...'),
('en', 'infolog', 'action', 'Action'),
('en', 'infolog', 'accept', 'accept'),
('en', 'infolog', 'abort without deleting', 'Abort without deleting'),
('en', 'infolog', 'a short subject for the entry', 'a short subject for the entry'),
('en', 'infolog', '<b>file-attachments via symlinks</b> instead of uploads and retrieval via file:/path for direct lan-clients', '<b>file-attachments via symlinks</b> instead of uploads and retrieval via file:/path for direct lan-clients'),
('en', 'infolog', '90%', '90%'),
('en', 'infolog', '80%', '80%'),
('en', 'infolog', '60%', '60%'),
('en', 'infolog', '70%', '70%'),
('en', 'infolog', '50%', '50%'),
('en', 'infolog', '20%', '20%'),
('en', 'infolog', '30%', '30%'),
('en', 'infolog', '40%', '40%'),
('en', 'infolog', '100%', '100%'),
('en', 'infolog', '0%', '0%'),
('en', 'infolog', '10%', '10%'),
('en', 'infolog', '- subprojects from', '- Subprojects from'),
('en', 'infolog', '%1 you delegated is due at %2', '%1 you delegated is due at %2'),
('en', 'infolog', '%1 you delegated is starting at %2', '%1 you delegated is starting at %2'),
('en', 'infolog', '%1 you are responsible for is starting at %2', '%1 you are responsible for is starting at %2'),
('en', 'infolog', '%1 you are responsible for is due at %2', '%1 you are responsible for is due at %2'),
('en', 'infolog', '%1 records read (not yet imported, you may go %2back%3 and uncheck test import)', '%1 records read (not yet imported, you may go %2back%3 and uncheck Test Import)'),
('en', 'infolog', '%1 records imported', '%1 records imported'),
('en', 'infolog', '%1 modified by %2 at %3', '%1 modified by %2 at %3'),
('en', 'infolog', '%1 modified', '%1 modified'),
('en', 'infolog', '%1 entries %2, %3 failed because of insufficent rights !!!', '%1 entries %2, %3 failed because of insufficent rights !!!'),
('en', 'infolog', '%1 entries %2', '%1 entries %2'),
('en', 'infolog', '%1 deleted by %2 at %3', '%1 deleted by %2 at %3'),
('en', 'infolog', '%1 days in advance', '%1 days in advance'),
('en', 'infolog', '%1 deleted', '%1 deleted'),
('en', 'importexport', 'which users are allowed to use this definition', 'Which users are allowed to use this definition'),
('en', 'importexport', 'you need to select an app and format first!', 'You need to select an app and format first!'),
('en', 'importexport', 'which useres are allowed for this definition', 'Which useres are allowed for this definition'),
('en', 'importexport', 'unable to schedule', 'Unable to schedule'),
('en', 'importexport', 'unable to import:', 'Unable to import:'),
('en', 'importexport', 'some nice text', 'some nice text'),
('en', 'importexport', 'select definition', 'Select definition'),
('en', 'importexport', 'select plugin', 'Select plugin'),
('en', 'importexport', 'previous', 'previous'),
('en', 'importexport', 'save as definition', 'Save as definition'),
('en', 'importexport', 'schedule not found', 'Schedule not found'),
('en', 'importexport', 'preview', 'Preview'),
('en', 'importexport', 'next', 'next'),
('en', 'importexport', 'no records selected', 'No records selected'),
('en', 'importexport', 'manage mapping', 'Manage mapping'),
('en', 'importexport', 'load sample file', 'Load Sample file'),
('en', 'importexport', 'imports information from a csv file.  this is only a base class, and doesn''t do anything on its own.', 'Imports information from a CSV file.  This is only a base class, and doesn''t do anything on its own.'),
('en', 'importexport', 'importexport wizard finished successfully!', 'ImportExport wizard finished successfully!'),
('en', 'importexport', 'import definitions (attension: existing definitions with equal names will be overwritten!!!)', 'Import definitions (Attension: Existing definitions with equal names will be overwritten!!!)'),
('en', 'importexport', 'general', 'General'),
('en', 'importexport', 'import', 'import'),
('en', 'importexport', 'finish', 'finish'),
('en', 'importexport', 'export', 'Export'),
('en', 'importexport', 'export all selected definitions', 'export ALL selected definitions'),
('en', 'importexport', 'expert options', 'Expert options'),
('en', 'importexport', 'choose seperator and charset', 'Choose seperator and charset'),
('en', 'importexport', 'delete all selected definitions', 'delete ALL selected definitions'),
('en', 'importexport', 'edit conditions', 'Edit conditions'),
('en', 'importexport', 'choose an application', 'Choose an application'),
('en', 'importexport', 'choose a plugin', 'Choose a plugin'),
('en', 'importexport', 'choose a name for this definition', 'Choose a name for this definition'),
('en', 'importexport', 'basic csv import', 'Basic CSV import'),
('en', 'importexport', 'automatically created by importexport', 'Automatically created by importexport'),
('en', 'importexport', 'allowed users', 'Allowed users'),
('en', 'importexport', '%1 records processed', '%1 records processed'),
('en', 'home', 'there is a new version of egroupware available', 'There is a new version of eGroupWare available'),
('en', 'home', 'egroupware', 'eGroupWare'),
('en', 'home', 'home', 'Home'),
('en', 'home', 'displays home', 'Displays home'),
('en', 'felamimail', 'your message to %1 was displayed.', 'Your message to %1 was displayed.'),
('en', 'felamimail', 'you have received a new message on the', 'You have received a new message on the'),
('en', 'felamimail', 'you can use %1 for the above start-date and %2 for the end-date.', 'You can use %1 for the above start-date and %2 for the end-date.'),
('en', 'felamimail', 'yes, offer copy option', 'yes, offer copy option'),
('en', 'felamimail', 'writing', 'writing'),
('en', 'felamimail', 'wrote', 'wrote'),
('en', 'felamimail', 'wrap incoming text at', 'Wrap incoming text at'),
('en', 'felamimail', 'with message "%1"', 'with message "%1"'),
('en', 'felamimail', 'with message', 'with message'),
('en', 'felamimail', 'which folders - in general - should not be automatically created, if not existing', 'Which folders - in general - should NOT be automatically created, if not existing'),
('en', 'felamimail', 'which folders (additional to the sent folder) should be displayed using the sent folder view schema', 'Which folders (additional to the Sent Folder) should be displayed using the Sent Folder View Schema'),
('en', 'felamimail', 'viewing messages', 'Viewing messages'),
('en', 'felamimail', 'when deleting messages', 'When deleting messages'),
('en', 'felamimail', 'viewing message', 'Viewing message'),
('en', 'felamimail', 'viewing full header', 'Viewing full header'),
('en', 'felamimail', 'view message', 'View message'),
('en', 'felamimail', 'view header lines', 'view header lines'),
('en', 'felamimail', 'view full header', 'View full header'),
('en', 'felamimail', 'validate certificate', 'validate certificate'),
('en', 'felamimail', 'vacation start-date must be before the end-date!', 'Vacation start-date must be BEFORE the end-date!'),
('en', 'felamimail', 'vacation notice is active', 'Vacation notice is active'),
('en', 'felamimail', 'use regular expressions', 'use regular expressions'),
('en', 'felamimail', 'use custom identities', 'use custom identities'),
('en', 'felamimail', 'use custom settings', 'Use Custom Settings'),
('en', 'felamimail', 'use addresses', 'Use Addresses'),
('en', 'felamimail', 'use a signature?', 'Use a signature?'),
('en', 'felamimail', 'use a signature', 'Use a signature'),
('en', 'felamimail', 'use <a href="%1">emailadmin</a> to create profiles', 'use <a href="%1">EmailAdmin</a> to create profiles'),
('en', 'felamimail', 'updating view', 'updating view'),
('en', 'felamimail', 'updating message status', 'updating message status'),
('en', 'felamimail', 'up', 'up'),
('en', 'felamimail', 'unsubscribed successfully!', 'Unsubscribed successfully!'),
('en', 'felamimail', 'unsubscribed', 'Unsubscribed'),
('en', 'felamimail', 'unsubscribe', 'Unsubscribe'),
('en', 'felamimail', 'unselect all', 'Unselect All'),
('en', 'felamimail', 'unseen', 'Unseen'),
('en', 'felamimail', 'unknown user or password incorrect.', 'Unknown user or password incorrect.'),
('en', 'felamimail', 'unknown sender', 'Unknown Sender'),
('en', 'felamimail', 'unknown imap response from the server. server responded: %s', 'Unknown IMAP response from the server. Server Responded: %s'),
('en', 'felamimail', 'unknown error', 'Unknown error'),
('en', 'felamimail', 'unflagged', 'unflagged'),
('en', 'felamimail', 'unknown err', 'Unknown err'),
('en', 'felamimail', 'unexpected response from server to login command.', 'Unexpected response from server to LOGIN command.'),
('en', 'felamimail', 'unexpected response from server to digest-md5 response.', 'Unexpected response from server to Digest-MD5 response.'),
('en', 'felamimail', 'unexpected response from server to authenticate command.', 'Unexpected response from server to AUTHENTICATE command.'),
('en', 'felamimail', 'type', 'type'),
('en', 'felamimail', 'trash folder', 'Trash Folder'),
('en', 'felamimail', 'trash fold', 'Trash Fold'),
('en', 'felamimail', 'trash', 'Trash'),
('en', 'felamimail', 'translation server', 'Translation server'),
('en', 'felamimail', 'translation preferences', 'Translation Preferences'),
('en', 'felamimail', 'to use a tls connection, you must be running a version of php 5.1.0 or higher.', 'To use a TLS connection, you must be running a version of PHP 5.1.0 or higher.'),
('en', 'felamimail', 'to', 'To'),
('en', 'felamimail', 'to mail sent to', 'to mail sent to'),
('en', 'felamimail', 'this folder is empty', 'THIS FOLDER IS EMPTY'),
('en', 'felamimail', 'this php has no imap support compiled in!!', 'This PHP has no IMAP support compiled in!!'),
('en', 'felamimail', 'there is no imap server configured.', 'There is no IMAP Server configured.'),
('en', 'felamimail', 'then', 'THEN'),
('en', 'felamimail', 'the mimeparser can not parse this message.', 'The mimeparser can not parse this message.'),
('en', 'felamimail', 'the message sender has requested a response to indicate that you have read this message. would you like to send a receipt?', 'The message sender has requested a response to indicate that you have read this message. Would you like to send a receipt?'),
('en', 'felamimail', 'the imap server does not appear to support the authentication method selected. please contact your system administrator.', 'The IMAP server does not appear to support the authentication method selected. Please contact your system administrator.'),
('en', 'felamimail', 'the connection to the imap server failed!!', 'The connection to the IMAP Server failed!!'),
('en', 'felamimail', 'the action will be applied to all messages of the current folder.\\ndo you want to proceed?', 'The action will be applied to all messages of the current folder.\\nDo you want to proceed?'),
('en', 'felamimail', 'text/plain', 'text/plain'),
('en', 'felamimail', 'text only', 'Text only'),
('en', 'felamimail', 'templates', 'Templates'),
('en', 'felamimail', 'template folder', 'Template folder'),
('en', 'felamimail', 'table of contents', 'Table of Contents'),
('en', 'felamimail', 'system signature', 'system signature'),
('en', 'felamimail', 'subscribed successfully!', 'Subscribed successfully!'),
('en', 'felamimail', 'subscribed', 'Subscribed'),
('en', 'felamimail', 'subscribe', 'Subscribe'),
('en', 'felamimail', 'submit', 'Submit'),
('en', 'felamimail', 'subject(z->a)', 'Subject (Z->A)'),
('en', 'felamimail', 'subject(a->z)', 'Subject (A->Z)'),
('en', 'felamimail', 'subject', 'Subject'),
('en', 'felamimail', 'stationery', 'stationery'),
('en', 'felamimail', 'start new messages with mime type plain/text or html?', 'Start new messages with mime type plain/text or html?'),
('en', 'felamimail', 'skipping previous', 'skipping previous'),
('en', 'felamimail', 'small view', 'small view'),
('en', 'felamimail', 'size(0->...)', 'Size (0->...)'),
('en', 'felamimail', 'skipping forward', 'skipping forward'),
('en', 'felamimail', 'size(...->0)', 'Size (...->0)'),
('en', 'felamimail', 'size of editor window', 'Size of editor window'),
('en', 'felamimail', 'size', 'Size'),
('en', 'felamimail', 'simply click the target-folder', 'Simply click the target-folder'),
('en', 'felamimail', 'signature', 'Signature'),
('en', 'felamimail', 'sieve script name', 'sieve script name'),
('en', 'felamimail', 'signatur', 'Signatur'),
('en', 'felamimail', 'show new messages on main screen', 'Show new messages on main screen'),
('en', 'felamimail', 'show header', 'show header'),
('en', 'felamimail', 'show all folders (subscribed and unsubscribed) in main screen folder pane', 'show all Folders (subscribed AND unsubscribed) in Main Screen Folder Pane'),
('en', 'felamimail', 'set as default', 'Set as default'),
('en', 'felamimail', 'server supports mailfilter(sieve)', 'server supports mailfilter (sieve)'),
('en', 'felamimail', 'sent folder', 'Sent Folder'),
('en', 'felamimail', 'sent', 'Sent'),
('en', 'felamimail', 'send', 'Send'),
('en', 'felamimail', 'send a reject message', 'send a reject message'),
('en', 'felamimail', 'select folder', 'select folder'),
('en', 'felamimail', 'select emailprofile', 'Select Email Profile'),
('en', 'felamimail', 'select all', 'Select All'),
('en', 'felamimail', 'select a message to switch on its preview (click on subject)', 'Select a message to switch on its preview (click on subject)'),
('en', 'felamimail', 'select', 'Select'),
('en', 'felamimail', 'search for', 'Search for'),
('en', 'felamimail', 'search', 'Search'),
('en', 'felamimail', 'script status', 'script status'),
('en', 'felamimail', 'save message to disk', 'save message to disk'),
('en', 'felamimail', 'script name', 'script name'),
('en', 'felamimail', 'save changes', 'save changes'),
('en', 'felamimail', 'save as infolog', 'save as infolog'),
('en', 'felamimail', 'save as draft', 'save as draft'),
('en', 'felamimail', 'save all', 'Save all'),
('en', 'felamimail', 'save', 'Save'),
('en', 'felamimail', 'rule', 'Rule'),
('en', 'felamimail', 'right', 'Right'),
('en', 'felamimail', 'row order style', 'Row order style'),
('en', 'felamimail', 'return', 'Return'),
('en', 'felamimail', 'return to options page', 'Return to options page'),
('en', 'felamimail', 'respond to mail sent to', 'respond to mail sent to'),
('en', 'felamimail', 'respond', 'Respond'),
('en', 'felamimail', 'replyto', 'ReplyTo'),
('en', 'felamimail', 'reply to', 'Reply To'),
('en', 'felamimail', 'reply all', 'Reply All'),
('en', 'felamimail', 'reply', 'Reply'),
('en', 'felamimail', 'renamed successfully!', 'Renamed successfully!'),
('en', 'felamimail', 'replied', 'replied'),
('en', 'felamimail', 'rename a folder', 'Rename a Folder'),
('en', 'felamimail', 'rename folder', 'Rename folder'),
('en', 'felamimail', 'refresh time in minutes', 'Refresh time in minutes'),
('en', 'felamimail', 'reject with', 'reject with'),
('en', 'felamimail', 'remove', 'remove'),
('en', 'felamimail', 'remove immediately', 'Remove immediately'),
('en', 'felamimail', 'rename', 'Rename'),
('en', 'felamimail', 'recent', 'recent'),
('en', 'felamimail', 'printview', 'printview'),
('en', 'felamimail', 'quicksearch', 'Quicksearch'),
('en', 'felamimail', 'read', 'read'),
('en', 'felamimail', 'reading', 'reading'),
('en', 'felamimail', 'receive notification', 'Receive notification'),
('en', 'felamimail', 'please supply the message to send with auto-responses', 'Please supply the message to send with auto-responses'),
('en', 'felamimail', 'port', 'port'),
('en', 'felamimail', 'posting', 'posting'),
('en', 'felamimail', 'preview disabled for folder:', 'Preview disabled for Folder:'),
('en', 'felamimail', 'previous', 'Previous'),
('en', 'felamimail', 'previous message', 'previous message'),
('en', 'felamimail', 'print it', 'print it'),
('en', 'felamimail', 'print this page', 'print this page'),
('en', 'felamimail', 'please select a address', 'Please select a address'),
('en', 'felamimail', 'please select the number of days to wait between responses', 'Please select the number of days to wait between responses'),
('en', 'felamimail', 'please configure access to an existing individual imap account.', 'please configure access to an existing individual IMAP account.'),
('en', 'felamimail', 'please ask the administrator to correct the emailadmin imap server settings for you.', 'Please ask the administrator to correct the emailadmin IMAP Server Settings for you.'),
('en', 'felamimail', 'personal information', 'Personal Information'),
('en', 'felamimail', 'organisation', 'organisation'),
('en', 'felamimail', 'organization', 'organization'),
('en', 'felamimail', 'original message', 'original message'),
('en', 'felamimail', 'outgoing mail server(smtp)', 'outgoing mail server(SMTP)'),
('en', 'felamimail', 'participants', 'Participants'),
('en', 'felamimail', 'options', 'Options'),
('en', 'felamimail', 'or', 'or'),
('en', 'felamimail', 'or configure an valid imap server connection using the manage accounts/identities preference in the sidebox menu.', 'or configure an valid IMAP Server connection using the Manage Accounts/Identities preference in the Sidebox Menu.'),
('en', 'felamimail', 'only one window', 'only one window'),
('en', 'felamimail', 'only unseen', 'Only unseen'),
('en', 'felamimail', 'open all', 'open all'),
('en', 'felamimail', 'on behalf of', 'on behalf of'),
('en', 'felamimail', 'one address is not valid', 'One address is not valid'),
('en', 'felamimail', 'only inbox', 'Only INBOX'),
('en', 'felamimail', 'on', 'on'),
('en', 'felamimail', 'not allowed', 'not allowed'),
('en', 'felamimail', 'notify when new mails arrive on these folders', 'notify when new mails arrive on these folders'),
('en', 'felamimail', 'none, create all', 'none, create all'),
('en', 'felamimail', 'none', 'none'),
('en', 'felamimail', 'no valid emailprofile selected!!', 'No Valid Email Profile Selected!!'),
('en', 'felamimail', 'no valid data to create mailprofile!!', 'No valid data to create MailProfile!!'),
('en', 'felamimail', 'no supported imap authentication method could be found.', 'No supported IMAP authentication method could be found.'),
('en', 'felamimail', 'no stationery', 'no stationery'),
('en', 'felamimail', 'no subject given!', 'No subject given!'),
('en', 'felamimail', 'no signature', 'no signature'),
('en', 'felamimail', 'no messages were selected.', 'No messages were selected.'),
('en', 'felamimail', 'no plain text part found', 'no plain text part found'),
('en', 'felamimail', 'no previous message', 'no previous Message'),
('en', 'felamimail', 'no recipient address given!', 'No recipient address given!'),
('en', 'felamimail', 'no message returned.', 'No message returned.'),
('en', 'felamimail', 'no messages found...', 'no messages found...'),
('en', 'felamimail', 'no messages selected, or lost selection. changing to folder', 'No messages selected, or lost selection. Changing to folder'),
('en', 'felamimail', 'no highlighting is defined', 'No highlighting is defined'),
('en', 'felamimail', 'no imap server host configured!!', 'No IMAP server host configured!!'),
('en', 'felamimail', 'no folders were found to unsubscribe from!', 'No folders were found to unsubscribe from!'),
('en', 'felamimail', 'no folders were found to subscribe to!', 'No folders were found to subscribe to!'),
('en', 'felamimail', 'no filter', 'No Filter'),
('en', 'felamimail', 'no folders', 'no folders'),
('en', 'felamimail', 'no folders found', 'No folders found'),
('en', 'felamimail', 'no encryption', 'no encryption'),
('en', 'felamimail', 'no address to/cc/bcc supplied, and no folder to save message to provided.', 'No Address TO/CC/BCC supplied, and no folder to save message to provided.'),
('en', 'felamimail', 'never display html emails', 'Never display HTML emails'),
('en', 'felamimail', 'new filter', 'New filter'),
('en', 'felamimail', 'next', 'Next'),
('en', 'felamimail', 'next message', 'next message'),
('en', 'felamimail', 'no active imap server found!!', 'No active IMAP server found!!'),
('en', 'felamimail', 'move messages?', 'Move Messages?'),
('en', 'felamimail', 'move selected to', 'move selected to'),
('en', 'felamimail', 'move to trash', 'Move to trash'),
('en', 'felamimail', 'moving messages to', 'moving messages to'),
('en', 'felamimail', 'name', 'Name'),
('en', 'felamimail', 'move folder', 'move folder'),
('en', 'felamimail', 'move messages', 'move messages'),
('en', 'felamimail', 'message list', 'Message List'),
('en', 'felamimail', 'messages', 'messages'),
('en', 'felamimail', 'move', 'move'),
('en', 'felamimail', 'message highlighting', 'Message Highlighting'),
('en', 'felamimail', 'matches regexp', 'matches regexp'),
('en', 'felamimail', 'max uploadsize', 'max uploadsize'),
('en', 'felamimail', 'match', 'Match'),
('en', 'felamimail', 'matches', 'matches'),
('en', 'felamimail', 'mark selected as unread', 'Mark selected as unread'),
('en', 'felamimail', 'mark selected as unflagged', 'Mark selected as unflagged'),
('en', 'felamimail', 'mark as deleted', 'Mark as deleted'),
('en', 'felamimail', 'mark messages as', 'Mark selected messages as'),
('en', 'felamimail', 'mark selected as flagged', 'Mark selected as flagged'),
('en', 'felamimail', 'mark selected as read', 'Mark selected as read'),
('en', 'felamimail', 'mail settings', 'Mail Settings'),
('en', 'felamimail', 'mainmessage', 'mainmessage'),
('en', 'felamimail', 'manage signatures', 'Manage Signatures'),
('en', 'felamimail', 'location of buttons when composing', 'Location of buttons when composing'),
('en', 'felamimail', 'last name', 'Last name'),
('en', 'felamimail', 'left', 'Left'),
('en', 'felamimail', 'less', 'less'),
('en', 'felamimail', 'less than', 'less than'),
('en', 'felamimail', 'light gray', 'Light Gray'),
('en', 'felamimail', 'list all', 'List all'),
('en', 'felamimail', 'loading', 'loading'),
('en', 'felamimail', 'kilobytes', 'kilobytes'),
('en', 'felamimail', 'language', 'Language'),
('en', 'felamimail', 'keep local copy of email', 'keep local copy of email'),
('en', 'felamimail', 'junk', 'Junk'),
('en', 'felamimail', 'keep a copy of the message in your inbox', 'keep a copy of the message in your inbox'),
('en', 'felamimail', 'info', 'Info'),
('en', 'felamimail', 'invalid user name or password', 'Invalid user name or password'),
('en', 'felamimail', 'javascript', 'JavaScript'),
('en', 'felamimail', 'jumping to end', 'jumping to end'),
('en', 'felamimail', 'jumping to start', 'jumping to start'),
('en', 'felamimail', 'incoming mail server(imap)', 'incoming mail server(IMAP)'),
('en', 'felamimail', 'index order', 'Index Order'),
('en', 'felamimail', 'import message', 'import message'),
('en', 'felamimail', 'in', 'in'),
('en', 'felamimail', 'inbox', 'INBOX'),
('en', 'felamimail', 'imaps encryption only', 'IMAPS Encryption only'),
('en', 'felamimail', 'import', 'import'),
('en', 'felamimail', 'import mail', 'Import Mail'),
('en', 'felamimail', 'imap server type', 'IMAP Server type'),
('en', 'felamimail', 'imap server username', 'imap server username'),
('en', 'felamimail', 'imaps authentication', 'IMAPS Authentication'),
('en', 'felamimail', 'imap server closed the connection. server responded: %s', 'IMAP Server closed the connection. Server Responded: %s'),
('en', 'felamimail', 'imap server password', 'imap server password'),
('en', 'felamimail', 'imap server address', 'IMAP Server Address'),
('en', 'felamimail', 'imap server closed the connection.', 'IMAP server closed the connection.'),
('en', 'felamimail', 'imap', 'IMAP'),
('en', 'felamimail', 'imap server', 'IMAP Server'),
('en', 'felamimail', 'illegal folder name.  please select a different name.', 'Illegal folder name.  Please select a different name.'),
('en', 'felamimail', 'if to contains', 'if to contains'),
('en', 'felamimail', 'if using ssl or tls, you must have the php openssl extension loaded.', 'If using SSL or TLS, you must have the PHP openssl extension loaded.'),
('en', 'felamimail', 'if shown, which folders should appear on main screen', 'If shown, which folders should appear on main screen'),
('en', 'felamimail', 'if subject contains', 'if subject contains'),
('en', 'felamimail', 'if mail header', 'if mail header'),
('en', 'felamimail', 'if message size', 'if message size'),
('en', 'felamimail', 'identifying name', 'Identifying name'),
('en', 'felamimail', 'identity', 'identity'),
('en', 'felamimail', 'if', 'IF'),
('en', 'felamimail', 'if from contains', 'if from contains'),
('en', 'felamimail', 'icons only', 'Icons only'),
('en', 'felamimail', 'icons and text', 'Icons and text'),
('en', 'felamimail', 'html', 'HTML'),
('en', 'felamimail', 'how to forward messages', 'how to forward messages'),
('en', 'felamimail', 'hostname / address', 'hostname / address'),
('en', 'felamimail', 'hide header', 'hide header'),
('en', 'felamimail', 'header lines', 'Header Lines'),
('en', 'felamimail', 'have a look at <a href="http://www.felamimail.org" target="_new">www.felamimail.org</a> to learn more about squirrelmail.<br>', 'Have a look at <a href="http://www.felamimail.org" target="_new">www.felamimail.org</a> to learn more about Squirrelmail.<br>'),
('en', 'felamimail', 'greater than', 'greater than'),
('en', 'felamimail', 'from(z->a)', 'From (Z->A)'),
('en', 'felamimail', 'full name', 'Full Name'),
('en', 'felamimail', 'found', 'Found'),
('en', 'felamimail', 'from', 'From'),
('en', 'felamimail', 'from(a->z)', 'From (A->Z)'),
('en', 'felamimail', 'forwarding', 'Forwarding'),
('en', 'felamimail', 'forward to address', 'forward to address'),
('en', 'felamimail', 'forward to', 'forward to'),
('en', 'felamimail', 'forward messages to', 'Forward messages to'),
('en', 'felamimail', 'forward inline', 'forward inline'),
('en', 'felamimail', 'forward as attachment', 'forward as attachment'),
('en', 'felamimail', 'forward', 'Forward'),
('en', 'felamimail', 'for received mail', 'For received mail'),
('en', 'felamimail', 'for mail to be send - not functional yet', 'For mail to be send - not functional yet'),
('en', 'felamimail', 'follow', 'follow'),
('en', 'felamimail', 'foldername', 'Folder name'),
('en', 'felamimail', 'folders', 'Folders'),
('en', 'felamimail', 'folders created successfully!', 'Folders created successfully!'),
('en', 'felamimail', 'folderlist', 'Folderlist'),
('en', 'felamimail', 'folder settings', 'Folder settings'),
('en', 'felamimail', 'folder status', 'Folder status'),
('en', 'felamimail', 'folder preferences', 'Folder Preferences'),
('en', 'felamimail', 'folder path', 'Folder Path'),
('en', 'felamimail', 'folder name', 'Folder name'),
('en', 'felamimail', 'flagged', 'flagged'),
('en', 'felamimail', 'flags', 'Flags'),
('en', 'felamimail', 'folder', 'folder'),
('en', 'felamimail', 'folder acl', 'folder acl'),
('en', 'felamimail', 'filter name', 'Filter name'),
('en', 'felamimail', 'first name', 'First name'),
('en', 'felamimail', 'files', 'files'),
('en', 'felamimail', 'filter active', 'filter active'),
('en', 'felamimail', 'error: message could not be displayed.', 'ERROR: Message could not be displayed.'),
('en', 'felamimail', 'every', 'every'),
('en', 'felamimail', 'every %1 days', 'every %1 days'),
('en', 'felamimail', 'expunge', 'Expunge'),
('en', 'felamimail', 'extended', 'extended'),
('en', 'felamimail', 'file into', 'file into'),
('en', 'felamimail', 'filemanager', 'Filemanager'),
('en', 'felamimail', 'error: could not save rule', 'Error: Could not save rule'),
('en', 'felamimail', 'error opening', 'Error opening'),
('en', 'felamimail', 'error saving %1!', 'Error saving %1!'),
('en', 'felamimail', 'error:', 'Error:'),
('en', 'felamimail', 'error: could not save message as draft', 'Error: Could not save Message as Draft'),
('en', 'felamimail', 'error creating rule while trying to use forward/redirect.', 'Error creating rule while trying to use forward/redirect.'),
('en', 'felamimail', 'error connecting to imap server: [%s] %s.', 'Error connecting to IMAP server: [%s] %s.'),
('en', 'felamimail', 'error connecting to imap server. %s : %s.', 'Error connecting to IMAP server. %s : %s.'),
('en', 'felamimail', 'error', 'ERROR'),
('en', 'felamimail', 'error connecting to imap serv', 'Error connecting to IMAP serv'),
('en', 'felamimail', 'encrypted connection', 'encrypted connection'),
('en', 'felamimail', 'entry saved', 'Entry saved'),
('en', 'felamimail', 'emailaddress', 'emailaddress'),
('en', 'felamimail', 'empty trash', 'empty trash'),
('en', 'felamimail', 'enable', 'enable'),
('en', 'felamimail', 'email notification update failed', 'email notification update failed'),
('en', 'felamimail', 'email signature', 'Email signature'),
('en', 'felamimail', 'email address', 'E-Mail Address'),
('en', 'felamimail', 'email forwarding address', 'email forwarding address'),
('en', 'felamimail', 'edit vacation settings', 'edit vacation settings'),
('en', 'felamimail', 'editor type', 'Editor type'),
('en', 'felamimail', 'edit rule', 'edit rule'),
('en', 'felamimail', 'edit selected', 'Edit selected'),
('en', 'felamimail', 'edit email forwarding address', 'edit email forwarding address'),
('en', 'felamimail', 'edit filter', 'Edit filter'),
('en', 'felamimail', 'e-mail address', 'E-Mail address'),
('en', 'felamimail', 'e-mail folders', 'E-Mail Folders'),
('en', 'felamimail', 'draft folder', 'draft folder'),
('en', 'felamimail', 'drafts', 'Drafts'),
('en', 'felamimail', 'e-mail', 'E-Mail'),
('en', 'felamimail', 'download this as a file', 'Download this as a file'),
('en', 'felamimail', 'download', 'download'),
('en', 'felamimail', 'down', 'down'),
('en', 'felamimail', 'don''t use sent', 'Don''t use Sent'),
('en', 'felamimail', 'don''t use template folder', 'Don''t use template folder'),
('en', 'felamimail', 'don''t use trash', 'Don''t use Trash'),
('en', 'felamimail', 'dont strip any tags', 'dont strip any tags'),
('en', 'felamimail', 'does not exist on imap server.', 'does not exist on IMAP Server.'),
('en', 'felamimail', 'does not match', 'does not match'),
('en', 'felamimail', 'does not match regexp', 'does not match regexp'),
('en', 'felamimail', 'don''t use draft folder', 'Don''t use draft folder'),
('en', 'felamimail', 'does not contain', 'does not contain'),
('en', 'felamimail', 'do you want to prevent the managing of folders (creation, accessrights and subscribtion)?', 'Do you want to prevent the managing of folders (creation, access rights AND subscription)?'),
('en', 'felamimail', 'do you want to prevent the editing/setup of the absent/vacation notice (, even if sieve is enabled)?', 'Do you want to prevent the editing/setup of the absent/vacation notice (, even if SIEVE is enabled)?'),
('en', 'felamimail', 'do you want to prevent the editing/setup of notification by mail to other emailadresses if emails arrive (, even if sieve is ena', 'Do you want to prevent the editing/setup of notification by mail to other email addresses if emails arrive (, even if SIEVE is enabled)?'),
('en', 'felamimail', 'do you want to prevent the editing/setup of filter rules (, even if sieve is enabled)?', 'Do you want to prevent the editing/setup of filter rules (, even if SIEVE is enabled)?'),
('en', 'felamimail', 'do you want to prevent the editing/setup for forwarding of mails via settings (, even if sieve is enabled)?', 'Do you want to prevent the editing/setup for forwarding of mails via settings (, even if SIEVE is enabled)?'),
('en', 'felamimail', 'do you want to be asked for confirmation before moving selected messages to another folder?', 'Do you want to be asked for confirmation before moving selected messages to another folder?'),
('en', 'felamimail', 'do you really want to move the selected messages to folder:', 'Do you really want to move the selected messages to folder:'),
('en', 'felamimail', 'do you really want to move or copy the selected messages to folder:', 'Do you really want to move or copy the selected messages to folder:'),
('en', 'felamimail', 'do you really want to delete the selected signatures?', 'Do you really want to delete the selected signatures?'),
('en', 'felamimail', 'do you really want to delete the selected accountsettings and the assosiated identity.', 'Do you really want to delete the selected Account settings and the associated Identity.'),
('en', 'felamimail', 'do you really want to delete the ''%1'' folder?', 'Do you really want to delete the ''%1'' folder?'),
('en', 'felamimail', 'do not validate certificate', 'do not validate certificate'),
('en', 'felamimail', 'do it!', 'do it!'),
('en', 'felamimail', 'do not use sent', 'Do not use Sent'),
('en', 'felamimail', 'do not use trash', 'Do not use Trash'),
('en', 'felamimail', 'displaying html messages is disabled', 'displaying html messages is disabled'),
('en', 'felamimail', 'display only when no plain text is available', 'Display only when no plain text is available'),
('en', 'felamimail', 'display preferences', 'Display Preferences'),
('en', 'felamimail', 'display of html emails', 'Display of HTML emails'),
('en', 'felamimail', 'display messages in multiple windows', 'display messages in multiple windows'),
('en', 'felamimail', 'display message in new window', 'Display message in new window'),
('en', 'felamimail', 'discard message', 'discard message'),
('en', 'felamimail', 'disable', 'Disable'),
('en', 'felamimail', 'discard', 'discard'),
('en', 'felamimail', 'deleting messages', 'deleting messages'),
('en', 'felamimail', 'deleted folder successfully!', 'Deleted folder successfully!'),
('en', 'felamimail', 'deleted', 'deleted'),
('en', 'felamimail', 'delete selected messages', 'delete selected messages'),
('en', 'felamimail', 'delete this folder irreversible?', 'Delete this folder irreversible?'),
('en', 'felamimail', 'delete selected', 'Delete selected'),
('en', 'felamimail', 'delete script', 'delete script'),
('en', 'felamimail', 'delete folder', 'Delete Folder'),
('en', 'felamimail', 'delete all', 'delete all'),
('en', 'felamimail', 'default sorting order', 'Default sorting order'),
('en', 'felamimail', 'default signature', 'default signature'),
('en', 'felamimail', 'default', 'default'),
('en', 'felamimail', 'deactivate script', 'deactivate script'),
('en', 'felamimail', 'date(newest first)', 'Date (newest first)'),
('en', 'felamimail', 'date(oldest first)', 'Date (oldest first)'),
('en', 'felamimail', 'days', 'days'),
('en', 'felamimail', 'dark yellow', 'Dark Yellow'),
('en', 'felamimail', 'dark magenta', 'Dark Magenta'),
('en', 'felamimail', 'dark green', 'Dark Green'),
('en', 'felamimail', 'dark gray', 'Dark Gray'),
('en', 'felamimail', 'dark blue', 'Dark Blue'),
('en', 'felamimail', 'dark cyan', 'Dark Cyan'),
('en', 'felamimail', 'created folder successfully!', 'Created folder successfully!'),
('en', 'felamimail', 'create trash', 'Create Trash'),
('en', 'felamimail', 'create subfolder', 'Create subfolder'),
('en', 'felamimail', 'create folder', 'Create Folder'),
('en', 'felamimail', 'create sent', 'Create Sent'),
('en', 'felamimail', 'create', 'Create'),
('en', 'felamimail', 'cram-md5 or digest-md5 requires the auth_sasl package to be installed.', 'CRAM-MD5 or DIGEST-MD5 requires the Auth_SASL package to be installed.'),
('en', 'felamimail', 'could not open secure connection to the imap server. %s : %s.', 'Could not open secure connection to the IMAP server. %s : %s.'),
('en', 'felamimail', 'could not import message:', 'Could not import Message:'),
('en', 'felamimail', 'copying messages to', 'copying messages to'),
('en', 'felamimail', 'could not complete request. reason given: %s', 'Could not complete request. Reason Given: %s'),
('en', 'felamimail', 'contains', 'contains'),
('en', 'felamimail', 'copy or move messages?', 'Copy or Move Messages?'),
('en', 'felamimail', 'contact not found!', 'Contact not found!'),
('en', 'felamimail', 'connection dropped by imap server.', 'Connection dropped by IMAP server.'),
('en', 'felamimail', 'configure a valid imap server in emailadmin for the profile you are using.', 'Configure a valid IMAP Server in emailadmin for the profile you are using.'),
('en', 'felamimail', 'condition', 'condition'),
('en', 'felamimail', 'configuration', 'Configuration'),
('en', 'felamimail', 'compose', 'Compose'),
('en', 'felamimail', 'compose as new', 'compose as new'),
('en', 'felamimail', 'compress folder', 'Compress folder'),
('en', 'felamimail', 'color', 'Color'),
('en', 'felamimail', 'close window', 'Close window'),
('en', 'felamimail', 'close this page', 'close this page'),
('en', 'felamimail', 'close all', 'close all'),
('en', 'felamimail', 'click here to return to %1', 'Click here to return to %1'),
('en', 'felamimail', 'click here to log back in.', 'Click here to log back in.'),
('en', 'felamimail', 'clear search', 'clear search'),
('en', 'felamimail', 'choose from vfs', 'choose from VFS'),
('en', 'felamimail', 'checkbox', 'Checkbox'),
('en', 'felamimail', 'check message against next rule also', 'check message against next rule also'),
('en', 'felamimail', 'change folder', 'Change folder'),
('en', 'felamimail', 'cc', 'CC'),
('en', 'felamimail', 'can''t connect to inbox!!', 'can''t connect to INBOX!!'),
('en', 'felamimail', 'can not send message. no recipient defined!', 'can not send message. no recipient defined!'),
('en', 'felamimail', 'by date', 'by date'),
('en', 'felamimail', 'body part', 'body part'),
('en', 'felamimail', 'between headers and message body', 'Between headers and message body'),
('en', 'felamimail', 'before headers', 'Before headers'),
('en', 'felamimail', 'bcc', 'BCC'),
('en', 'felamimail', 'bad request: %s', 'Bad request: %s'),
('en', 'felamimail', 'based upon given criteria, incoming messages can have different background colors in the message list.  this helps to easily dis', 'Based upon given criteria, incoming messages can have different background colors in the message list.  This helps to easily distinguish who the messages are from, especially for mailing lists.'),
('en', 'felamimail', 'bad or malformed request. server responded: %s', 'Bad or malformed request. Server Responded: %s'),
('en', 'felamimail', 'bad login name or password.', 'Bad login name or password.'),
('en', 'felamimail', 'back to folder', 'Back to folder'),
('en', 'felamimail', 'auto refresh folder list', 'Auto refresh folder list'),
('en', 'felamimail', 'authentication required', 'authentication required'),
('en', 'felamimail', 'attachments', 'Attachments'),
('en', 'felamimail', 'attach', 'Attach'),
('en', 'felamimail', 'anyone', 'anyone'),
('en', 'felamimail', 'as a subfolder of', 'as a subfolder of'),
('en', 'felamimail', 'any status', 'any status'),
('en', 'felamimail', 'any of', 'any of'),
('en', 'felamimail', 'and', 'and'),
('en', 'felamimail', 'always show html emails', 'Always show HTML emails'),
('en', 'felamimail', 'allways a new window', 'always a new window'),
('en', 'felamimail', 'all of', 'all of'),
('en', 'felamimail', 'allow images from external sources in html emails', 'Allow images from external sources in HTML emails'),
('en', 'felamimail', 'all messages in folder', 'all messages in folder'),
('en', 'felamimail', 'all folders', 'All Folders'),
('en', 'felamimail', 'all address books', 'All address books'),
('en', 'felamimail', 'address book', 'Address Book'),
('en', 'felamimail', 'address book search', 'Address Book Search'),
('en', 'felamimail', 'after message body', 'After message body'),
('en', 'felamimail', 'additional info', 'Additional info'),
('en', 'felamimail', 'adding file to message. please wait!', 'Adding file to message. Please wait!'),
('en', 'felamimail', 'add to address book', 'Add to address book'),
('en', 'felamimail', 'add to addressbook', 'add to addressbook'),
('en', 'felamimail', 'add script', 'Add Script'),
('en', 'felamimail', 'add to %1', 'Add to %1'),
('en', 'felamimail', 'add rule', 'Add Rule'),
('en', 'felamimail', 'add address', 'Add address'),
('en', 'felamimail', 'add acl', 'add acl'),
('en', 'felamimail', 'activating by date requires a start- and end-date!', 'Activating by date requires a start- AND end-date!'),
('en', 'felamimail', 'activate script', 'activate script'),
('en', 'felamimail', 'activate', 'Activate'),
('en', 'felamimail', 'aborted', 'aborted'),
('en', 'felamimail', '3paneview: if you want to see a preview of a mail by single clicking onto the subject, set the height for the message-list and t', '3PaneView: If you want to see a preview of a mail by single clicking onto the subject, set the height for the message-list and the preview area here (300 seems to be a good working value). The preview will be displayed at the end of the message list on demand (click).'),
('en', 'felamimail', '(separate multiple addresses by comma)', '(separate multiple addresses by comma)'),
('en', 'felamimail', '(unknown sender)', '(unknown sender)'),
('en', 'felamimail', '(only cc/bcc)', '(only Cc/Bcc)'),
('en', 'felamimail', '(no subject)', '(no subject)'),
('en', 'felamimail', '%1 is not writable by you!', '%1 is NOT writable by you!'),
('en', 'filemanager', 'your home directory', 'Your home directory'),
('en', 'filemanager', 'your home dir did not exist, egroupware created a new one.', 'Your Home Dir did not exist, eGroupWare created a new one.'),
('en', 'filemanager', 'you will be redirected to your start folder.', 'You will be redirected to your Start Folder.'),
('en', 'filemanager', 'you will be redirected to your home directory.', 'You will be redirected to your Home Directory.'),
('en', 'filemanager', 'you need to select some files first!', 'You need to select some files first!'),
('en', 'filemanager', 'you need to select an owner!', 'You need to select an owner!'),
('en', 'filemanager', 'you do not have access to %1', 'You do not have access to %1'),
('en', 'filemanager', 'you can only grant additional rights, you can not take rights away!', 'You can only grant additional rights, you can NOT take rights away!'),
('en', 'filemanager', 'you are not allowed to upload a script!', 'You are NOT allowed to upload a script!'),
('en', 'filemanager', 'wrong username or password!', 'Wrong username or password!'),
('en', 'filemanager', 'used space', 'Used space'),
('en', 'filemanager', 'users and groups', 'Users and groups'),
('en', 'filemanager', 'unused space', 'Unused space'),
('en', 'filemanager', 'up', 'Up'),
('en', 'filemanager', 'updated comment for %1', 'Updated comment for %1'),
('en', 'filemanager', 'total files', 'Total Files'),
('en', 'filemanager', 'to overwrite the existing file store again.', 'To overwrite the existing file store again.'),
('en', 'filemanager', 'there''s already a file with that name!', 'There''s already a file with that name!'),
('en', 'filemanager', 'there''s already a directory with that name!', 'There''s already a directory with that name!'),
('en', 'filemanager', 'the requested path %1 is not available.', 'The requested path %1 is not available.'),
('en', 'filemanager', 'symlink to %1 created.', 'Symlink to %1 created.'),
('en', 'filemanager', 'the default start folder is your personal folder. the default is used, if you leave this empty, the path does not exist or you l', 'The default start folder is your personal Folder. The default is used, if you leave this empty, the path does not exist or you lack the necessary access permissions.'),
('en', 'filemanager', 'start search', 'start search'),
('en', 'filemanager', 'startfolder', 'Startfolder'),
('en', 'filemanager', 'superuser', 'Superuser'),
('en', 'filemanager', 'size', 'Size'),
('en', 'filemanager', 'show', 'Show'),
('en', 'filemanager', 'show hidden files', 'Show hidden files'),
('en', 'filemanager', 'show link to filemanagers basedirectory (/) in side box menu?', 'Show link to File Manager''s base directory (/) in side box menu?'),
('en', 'filemanager', 'select file to upload in current directory', 'Select file to upload in current directory'),
('en', 'filemanager', 'searchstring', 'searchstring'),
('en', 'filemanager', 'select action...', 'Select action...'),
('en', 'filemanager', 'saved %1', 'Saved %1'),
('en', 'filemanager', 'saving properties failed!', 'Saving properties failed!'),
('en', 'filemanager', 'search for ''%1''', 'Search for ''%1'''),
('en', 'filemanager', 'save %1, and go back to file listing', 'Save %1, and go back to file listing'),
('en', 'filemanager', 'save changes', 'Save changes'),
('en', 'filemanager', 'root access stopped.', 'Root access stopped.'),
('en', 'filemanager', 'save %1', 'Save %1'),
('en', 'filemanager', 'root access granted.', 'Root access granted.'),
('en', 'filemanager', 'root', 'root'),
('en', 'filemanager', 'rights', 'Rights'),
('en', 'filemanager', 'replaced %1', 'Replaced %1'),
('en', 'filemanager', 'renamed %1 to %2', 'Renamed %1 to %2'),
('en', 'filemanager', 'renamed %1 to %2.', 'Renamed %1 to %2.'),
('en', 'filemanager', 'reload', 'reload'),
('en', 'filemanager', 'rename of %1 to %2 failed!', 'Rename of %1 to %2 failed!'),
('en', 'filemanager', 'rename, change permissions or ownership', 'Rename, change permissions or ownership'),
('en', 'filemanager', 'read access only', 'Read access only'),
('en', 'filemanager', 'read & write access', 'Read & write access'),
('en', 'filemanager', 'quick jump to', 'Quick jump to'),
('en', 'filemanager', 'properties saved.', 'Properties saved.'),
('en', 'filemanager', 'projectmanager', 'Projectmanager'),
('en', 'filemanager', 'preview of %1', 'Preview of %1'),
('en', 'filemanager', 'preview', 'Preview'),
('en', 'filemanager', 'preview %1', 'Preview %1'),
('en', 'filemanager', 'please select a file to delete.', 'Please select a file to delete.'),
('en', 'filemanager', 'permissions of %1 changed.', 'Permissions of %1 changed.'),
('en', 'filemanager', 'permission denied!', 'Permission denied!'),
('en', 'filemanager', 'permissions', 'Permissions'),
('en', 'filemanager', 'only owner can rename or delete the content', 'Only owner can rename or delete the content'),
('en', 'filemanager', 'open', 'Open'),
('en', 'filemanager', 'operation', 'Operation'),
('en', 'filemanager', 'no version history for this file/directory', 'No version history for this file/directory'),
('en', 'filemanager', 'no preview available', 'No preview available'),
('en', 'filemanager', 'no files in this directory.', 'No files in this directory.'),
('en', 'filemanager', 'no access', 'No access'),
('en', 'filemanager', 'moved %1 to %2', 'Moved %1 to %2'),
('en', 'filemanager', 'move to', 'Move to'),
('en', 'filemanager', 'move', 'Move'),
('en', 'filemanager', 'modify all subdirectories and their content', 'Modify all Subdirectories and their content'),
('en', 'filemanager', 'modified between', 'modified between'),
('en', 'filemanager', 'modified', 'modified'),
('en', 'filemanager', 'mime type', 'mime type'),
('en', 'filemanager', 'log out as superuser', 'Log out as superuser'),
('en', 'filemanager', 'location', 'Location'),
('en', 'filemanager', 'link target %1 not found!', 'Link target %1 not found!'),
('en', 'filemanager', 'link %1: %2', 'Link %1: %2'),
('en', 'filemanager', 'go up', 'go up'),
('en', 'filemanager', 'id', 'Id'),
('en', 'filemanager', 'inherited', 'Inherited'),
('en', 'filemanager', 'link', 'Link'),
('en', 'filemanager', 'go to', 'Go to'),
('en', 'filemanager', 'go to your home directory', 'Go to your home directory'),
('en', 'filemanager', 'go home', 'go home'),
('en', 'filemanager', 'general', 'General'),
('en', 'filemanager', 'folder up', 'Folder Up'),
('en', 'filemanager', 'files in this directory', 'Files in this directory'),
('en', 'filemanager', 'files from subdirectories', 'Files from subdirectories'),
('en', 'filemanager', 'file successful uploaded.', 'File successful uploaded.'),
('en', 'filemanager', 'file names cannot contain "%1"', 'File names cannot contain "%1"'),
('en', 'filemanager', 'file or directory not found!', 'File or directory not found!'),
('en', 'filemanager', 'file deleted.', 'File deleted.'),
('en', 'filemanager', 'file %1 could not be created.', 'File %1 could not be created.'),
('en', 'filemanager', 'file %1 may be too big. contact your systemadministrator for further info', 'File %1 may be too big. Contact your System administrator for further info'),
('en', 'filemanager', 'file %1 already exists. please edit it or delete it first.', 'File %1 already exists. Please edit it or delete it first.'),
('en', 'filemanager', 'failed to create directory!', 'Failed to create directory!'),
('en', 'filemanager', 'favorites', 'Favorites'),
('en', 'filemanager', 'file', 'File'),
('en', 'filemanager', 'failed to change permissions of %1!', 'Failed to change permissions of %1!'),
('en', 'filemanager', 'extended acl', 'Extended ACL'),
('en', 'filemanager', 'extended access control list', 'Extended access control list'),
('en', 'filemanager', 'executable', 'Executable'),
('en', 'filemanager', 'error deleting the acl entry!', 'Error deleting the ACL entry!'),
('en', 'filemanager', 'error adding the acl!', 'Error adding the ACL!'),
('en', 'filemanager', 'error creating symlink to target %1!', 'Error creating symlink to target %1!'),
('en', 'filemanager', 'enter the complete vfs path to specify your desired start folder.', 'Enter the complete VFS path to specify your desired start folder.'),
('en', 'filemanager', 'enter the complete vfs path to specify a fast access link to a folder (1).', 'Enter the complete VFS path to specify a fast access link to a folder (1).'),
('en', 'filemanager', 'enter the complete vfs path to specify a fast access link to a folder', 'Enter the complete VFS path to specify a fast access link to a folder'),
('en', 'filemanager', 'enter setup user and password to get root rights', 'Enter setup user and password to get root rights'),
('en', 'filemanager', 'enter setup user and password', 'Enter setup user and password'),
('en', 'filemanager', 'download', 'Download'),
('en', 'filemanager', 'edit comments', 'Edit comments'),
('en', 'filemanager', 'edit settings', 'Edit settings'),
('en', 'filemanager', 'display and modification of content', 'Display and modification of content'),
('en', 'filemanager', 'display of content', 'Display of content'),
('en', 'filemanager', 'do you want to overwrite the existing file %1?', 'Do you want to overwrite the existing file %1?'),
('en', 'filemanager', 'directory names cannot contain "%1"', 'Directory names cannot contain "%1"');
INSERT INTO `egw_lang` (`lang`, `app_name`, `message_id`, `content`) VALUES
('en', 'filemanager', 'directory not found or no permission to access it!', 'Directory not found or no permission to access it!'),
('en', 'filemanager', 'directory %1 does not exist', 'Directory %1 does not exist'),
('en', 'filemanager', 'directory %1 already exists', 'Directory %1 already exists'),
('en', 'filemanager', 'directory', 'Directory'),
('en', 'filemanager', 'delete this file or directory', 'Delete this file or directory'),
('en', 'filemanager', 'deleted %1', 'Deleted %1'),
('en', 'filemanager', 'directories sorted in', 'Directories sorted in'),
('en', 'filemanager', 'default behavior is no. the link will not be shown, but you are still able to navigate to this location, or configure this paric', 'Default behavior is NO. The link will not be shown, but you are still able to navigate to this location, or configure this particular location as start folder or folder link.'),
('en', 'filemanager', 'cut to clipboard', 'Cut to clipboard'),
('en', 'filemanager', 'cut', 'cut'),
('en', 'filemanager', 'custom fields', 'Custom fields'),
('en', 'filemanager', 'current directory', 'Current directory'),
('en', 'filemanager', 'created directory %1', 'Created directory %1'),
('en', 'filemanager', 'created between', 'created between'),
('en', 'filemanager', 'created %1,%2', 'Created %1,%2'),
('en', 'filemanager', 'created', 'created'),
('en', 'filemanager', 'create folder', 'Create Folder'),
('en', 'filemanager', 'create file', 'Create File'),
('en', 'filemanager', 'create a link', 'Create a link'),
('en', 'filemanager', 'create directory', 'Create directory'),
('en', 'filemanager', 'could not save %1', 'Could not save %1'),
('en', 'filemanager', 'could not rename %1 to %2', 'Could not rename %1 to %2'),
('en', 'filemanager', 'could not move file because no destination directory is given', 'Could not move file because no destination directory is given'),
('en', 'filemanager', 'could not move %1 to %2', 'Could not move %1 to %2'),
('en', 'filemanager', 'could not delete %1', 'Could not delete %1'),
('en', 'filemanager', 'could not create %1', 'Could not create %1'),
('en', 'filemanager', 'could not copy file because no destination directory is given', 'Could not copy file because no destination directory is given'),
('en', 'filemanager', 'could not copy %1 to %2', 'Could not copy %1 to %2'),
('en', 'filemanager', 'copy to clipboard', 'Copy to clipboard'),
('en', 'filemanager', 'copy', 'Copy'),
('en', 'filemanager', 'copy to', 'Copy to'),
('en', 'filemanager', 'comment', 'Comment'),
('en', 'filemanager', 'comments cannot contain "%1"', 'Comments cannot contain "%1"'),
('en', 'filemanager', 'copied', 'copied'),
('en', 'filemanager', 'copied %1 to %2', 'Copied %1 to %2'),
('en', 'filemanager', 'check all', 'Check all'),
('en', 'filemanager', 'clear search', 'clear search'),
('en', 'filemanager', 'cannot create directory because it begins or ends in a space', 'Cannot create directory because it begins or ends in a space'),
('en', 'filemanager', 'cancel editing %1 without saving', 'Cancel editing %1 without saving'),
('en', 'filemanager', 'can''t open directory %1!', 'Can''t open directory %1!'),
('en', 'filemanager', 'acl deleted.', 'ACL deleted.'),
('en', 'filemanager', 'actions', 'Actions'),
('en', 'filemanager', 'and all it''s childeren', 'and all it''s childeren'),
('en', 'filemanager', 'basedirectory', 'Basedirectory'),
('en', 'filemanager', 'accessrights', 'Accessrights'),
('en', 'filemanager', 'acl added.', 'ACL added.'),
('en', 'filemanager', '%1 urls %2 to clipboard.', '%1 URLs %2 to clipboard.'),
('en', 'filemanager', '%1 successful uploaded.', '%1 successful uploaded.'),
('en', 'filemanager', '%1 the following files into current directory', '%1 the following files into current directory'),
('en', 'filemanager', '%1 files moved.', '%1 files moved.'),
('en', 'filemanager', '%1 starts with ''%2''', '%1 starts with ''%2'''),
('en', 'filemanager', '%1 failed, %2 succeded', '%1 failed, %2 succeded'),
('en', 'filemanager', '%1 files copied.', '%1 files copied.'),
('en', 'filemanager', '%1 files deleted.', '%1 files deleted.'),
('en', 'filemanager', '%1 errors linking (%2)!', '%1 errors linking (%2)!'),
('en', 'filemanager', '%1 errors moving (%2 files moved)!', '%1 errors moving (%2 files moved)!'),
('en', 'filemanager', '%1 errors deleteting (%2 directories and %3 files deleted)!', '%1 errors deleteting (%2 directories and %3 files deleted)!'),
('en', 'filemanager', '%1 errors copying (%2 diretories and %3 files copied)!', '%1 errors copying (%2 diretories and %3 files copied)!'),
('en', 'filemanager', '%1 elements linked.', '%1 elements linked.'),
('en', 'filemanager', '%1 directories and %2 files deleted.', '%1 directories and %2 files deleted.'),
('en', 'filemanager', '%1 directories and %2 files copied.', '%1 directories and %2 files copied.'),
('en', 'filemanager', '%1 already exists as a file', '%1 already exists as a file'),
('en', 'filemanager', 'maximum size for uploads', 'Maximum size for uploads'),
('en', 'filemanager', 'error uploading file!', 'Error uploading file!'),
('en', 'etemplate', 'you need to select a file first!', 'You need to select a file first!'),
('en', 'etemplate', 'you can respond by visiting:', 'You can respond by visiting:'),
('en', 'etemplate', 'you are not allowed to export more then %1 entries!', 'You are not allowed to export more then %1 entries!'),
('en', 'etemplate', 'year', 'Year'),
('en', 'etemplate', 'xslt template', 'XSLT Template'),
('en', 'etemplate', 'xml-file to import', 'xml-file to import'),
('en', 'etemplate', 'write tables', 'Write Tables'),
('en', 'etemplate', 'writes a ''etemplates.inc.php'' file (for application in name) in the setup-dir of the app', 'writes a ''etemplates.inc.php'' file (for application in Name) in the setup-dir of the app'),
('en', 'etemplate', 'write langfile', 'Write Langfile'),
('en', 'etemplate', 'write <app>/setup/tables_current.inc.php', 'Write <app>/setup/tables_current.inc.php'),
('en', 'etemplate', 'working days', 'working days'),
('en', 'etemplate', 'width, disabled', 'Width, Disabled'),
('en', 'etemplate', 'width of the table in % or pixels for the table-tag and (optional) div', 'Width of the table in % or pixels for the table-tag and (optional) div'),
('en', 'etemplate', 'width of column (in % or pixel)', 'width of column (in % or pixel)'),
('en', 'etemplate', 'width of col (in % or pixel), disable col: [! = not]<value>[=<check>] eg: ''!@data'' disable col if content of data is empty', 'width of col (in % or pixel), disable col: [! = not]<value>[=<check>] eg: ''!@data'' disable col if content of data is empty'),
('en', 'etemplate', 'width', 'Width'),
('en', 'etemplate', 'widget copied into clipboard', 'widget copied into clipboard'),
('en', 'etemplate', 'what happens with overflowing content: visible (default), hidden, scroll, auto (browser decides)', 'what happens with overflowing content: visible (default), hidden, scroll, auto (browser decides)'),
('en', 'etemplate', 'weekend', 'weekend'),
('en', 'etemplate', 'view this linked entry in its application', 'view this linked entry in its application'),
('en', 'etemplate', 'view this etemplate', 'view this eTemplate'),
('en', 'etemplate', 'vertical alignment of row', 'vertical alignment of row'),
('en', 'etemplate', 'version-number, should be in the form: major.minor.revision.number (eg. 0.9.13.001 all numbers filled up with zeros)', 'version-number, should be in the form: major.minor.revision.number (eg. 0.9.13.001 all numbers filled up with zeros)'),
('en', 'etemplate', 'version', 'Version'),
('en', 'etemplate', 'vbox', 'VBox'),
('en', 'etemplate', 'value has to be at maximum ''%1'' !!!', 'Value has to be at maximum ''%1'' !!!'),
('en', 'etemplate', 'value', 'Value'),
('en', 'etemplate', 'value has to be at least ''%1'' !!!', 'Value has to be at least ''%1'' !!!'),
('en', 'etemplate', 'valign', 'vAlign'),
('en', 'etemplate', 'upload', 'Upload'),
('en', 'etemplate', 'update from version ''%s'' to', 'Update from Version ''%s'' to'),
('en', 'etemplate', 'update a single entry by passing the fields.', 'Update a single entry by passing the fields.'),
('en', 'etemplate', 'unlink', 'Unlink'),
('en', 'etemplate', 'unique', 'Unique'),
('en', 'etemplate', 'tree', 'Tree'),
('en', 'etemplate', 'type', 'Type'),
('en', 'etemplate', 'type of the column', 'type of the column'),
('en', 'etemplate', 'type of the field (select label if field should be empty)', 'type of the field (select Label if field should be empty)'),
('en', 'etemplate', 'to start the search', 'to start the search'),
('en', 'etemplate', 'today', 'Today'),
('en', 'etemplate', 'top', 'Top'),
('en', 'etemplate', 'to start the db-tools', 'to start the DB-Tools'),
('en', 'etemplate', 'to start the etemplate editor', 'to start the eTemplate editor'),
('en', 'etemplate', 'time', 'Time'),
('en', 'etemplate', 'to disable: [! = not]<value>[=<check>] eg: ''!@data'' disables if content of data is empty', 'to disable: [! = not]<value>[=<check>] eg: ''!@data'' disables if content of data is empty'),
('en', 'etemplate', 'this text gets displayed if the input-field is empty and has no focus (blur)', 'this text gets displayed if the input-field is empty and has no focus (blur)'),
('en', 'etemplate', 'textarea', 'Textarea'),
('en', 'etemplate', 'text', 'Text'),
('en', 'etemplate', 'template saved', 'Template saved'),
('en', 'etemplate', 'template deleted', 'Template deleted'),
('en', 'etemplate', 'template', 'Template'),
('en', 'etemplate', 'tabs', 'Tabs'),
('en', 'etemplate', 'tablename', 'TableName'),
('en', 'etemplate', 'table unchanged, no write necessary !!!', 'Table unchanged, no write necessary !!!'),
('en', 'etemplate', 'tabindex', 'Tabindex'),
('en', 'etemplate', 'switch to an other widgets of that container', 'switch to an other widgets of that container'),
('en', 'etemplate', 'switch to a parent widget', 'switch to a parent widget'),
('en', 'etemplate', 'swap with next row', 'swap with next row'),
('en', 'etemplate', 'swap with next column', 'swap with next column'),
('en', 'etemplate', 'swap widget with next one', 'swap widget with next one'),
('en', 'etemplate', 'swap', 'swap'),
('en', 'etemplate', 'submitbutton', 'Submitbutton'),
('en', 'etemplate', 'start new search for the above pattern', 'start new search for the above pattern'),
('en', 'etemplate', 'submit form', 'submit form'),
('en', 'etemplate', 'start a new search, cancel this link', 'start a new search, cancel this link'),
('en', 'etemplate', 'stack', 'Stack'),
('en', 'etemplate', 'span, class', 'Span, Class'),
('en', 'etemplate', 'span', 'Span'),
('en', 'etemplate', 'spacing', 'Spacing'),
('en', 'etemplate', 'shows/displays etemplate for testing, does not save it before', 'shows/displays eTemplate for testing, does NOT save it before'),
('en', 'etemplate', 'shows / allows you to enter values into the etemplate for testing', 'shows / allows you to enter values into the eTemplate for testing'),
('en', 'etemplate', 'showing', 'showing'),
('en', 'etemplate', 'show values', 'Show Values'),
('en', 'etemplate', 'show all / cancel filter', 'Show all / cancel filter'),
('en', 'etemplate', 'show (no save)', 'Show (no save)'),
('en', 'etemplate', 'show', 'Show'),
('en', 'etemplate', 'should the form be submitted or any custom javascript be executed', 'Should the form be submitted or any custom javascript be executed'),
('en', 'etemplate', 'sets today as date', 'sets today as date'),
('en', 'etemplate', 'selectbox', 'Selectbox'),
('en', 'etemplate', 'select year', 'Select Year'),
('en', 'etemplate', 'select which values to show', 'select which values to show'),
('en', 'etemplate', 'select which accounts to show', 'select which accounts to show'),
('en', 'etemplate', 'select percentage', 'Select Percentage'),
('en', 'etemplate', 'select priority', 'Select Priority'),
('en', 'etemplate', 'select state', 'Select State'),
('en', 'etemplate', 'select the columns to display in the list', 'Select the columns to display in the list'),
('en', 'etemplate', 'select the indexed columns in their desired order', 'Select the indexed columns in their desired order'),
('en', 'etemplate', 'select this etemplate to delete it', 'select this eTemplate to delete it'),
('en', 'etemplate', 'select one ...', 'Select One ...'),
('en', 'etemplate', 'select number', 'Select Number'),
('en', 'etemplate', 'select month', 'Select Month'),
('en', 'etemplate', 'select language', 'Select Language'),
('en', 'etemplate', 'select if content of field should not be translated (label gets always translated)', 'select if content of field should not be translated (label gets always translated)'),
('en', 'etemplate', 'select hour', 'Select hour'),
('en', 'etemplate', 'select entry', 'Select entry'),
('en', 'etemplate', 'select day of week', 'select day of week'),
('en', 'etemplate', 'select day', 'Select Day'),
('en', 'etemplate', 'select country', 'Select Country'),
('en', 'etemplate', 'select category', 'Select Category'),
('en', 'etemplate', 'select columns', 'Select columns'),
('en', 'etemplate', 'select application to search', 'Select application to search'),
('en', 'etemplate', 'select application', 'Select Application'),
('en', 'etemplate', 'select an table of the application', 'Select an table of the application'),
('en', 'etemplate', 'select an entry to link with', 'Select an entry to link with'),
('en', 'etemplate', 'select an application, (*) = uninstalled', 'Select an application, (*) = uninstalled'),
('en', 'etemplate', 'select an application', 'Select an application'),
('en', 'etemplate', 'select an app to search in', 'Select an App to search in'),
('en', 'etemplate', 'select an app first !!!', 'Select an app first !!!'),
('en', 'etemplate', 'select account', 'Select Account'),
('en', 'etemplate', 'select access', 'Select Access'),
('en', 'etemplate', 'select a primary contact, to show in the list', 'Select a primary contact, to show in the list'),
('en', 'etemplate', 'select a category', 'select a Category'),
('en', 'etemplate', 'search', 'Search'),
('en', 'etemplate', 'scale', 'Scale'),
('en', 'etemplate', 'scale for float', 'scale for float'),
('en', 'etemplate', 'saves the template with given version number and closes the window', 'saves the template with given version number and closes the window'),
('en', 'etemplate', 'saves changes to tables_current.inc.php', 'saves changes to tables_current.inc.php'),
('en', 'etemplate', 'save the etemplate under the above keys (name, ...), change them for a saveas', 'save the eTemplate under the above keys (name, ...), change them for a SaveAs'),
('en', 'etemplate', 'save the changes made and close the window', 'Save the changes made and close the window'),
('en', 'etemplate', 'right', 'Right'),
('en', 'etemplate', 'row...', 'Row...'),
('en', 'etemplate', 'save selected columns as default preference for all users.', 'Save selected columns as default preference for all users.'),
('en', 'etemplate', 'returns savely, without deleting', 'returns savely, WITHOUT deleting'),
('en', 'etemplate', 'required', 'Required'),
('en', 'etemplate', 'remove this link (not the entry itself)', 'Remove this link (not the entry itself)'),
('en', 'etemplate', 'readonly', 'readonly'),
('en', 'etemplate', 'remove row (can not be undone!!!)', 'remove Row (can NOT be undone!!!)'),
('en', 'etemplate', 'read etemplate from database (for the keys above)', 'read eTemplate from database (for the keys above)'),
('en', 'etemplate', 'read a single entry by passing the id and fieldlist.', 'Read a single entry by passing the id and fieldlist.'),
('en', 'etemplate', 'read', 'Read'),
('en', 'etemplate', 'read a list of entries.', 'Read a list of entries.'),
('en', 'etemplate', 'radiobutton', 'Radiobutton'),
('en', 'etemplate', 'primary key for the table, gets automaticaly indexed', 'Primary key for the table, gets automaticaly indexed'),
('en', 'etemplate', 'primary key', 'Primary Key'),
('en', 'etemplate', 'precision', 'Precision'),
('en', 'etemplate', 'pm', 'pm'),
('en', 'etemplate', 'popup', 'Popup'),
('en', 'etemplate', 'path', 'Path'),
('en', 'etemplate', 'please enter table-name first !!!', 'Please enter table-name first !!!'),
('en', 'etemplate', 'parent is a ''%1'' !!!', 'parent is a ''%1'' !!!'),
('en', 'etemplate', 'paste', 'Paste'),
('en', 'etemplate', 'overflow', 'Overflow'),
('en', 'etemplate', 'padding', 'Padding'),
('en', 'etemplate', 'order to navigating by tab key through the form', 'Order to navigating by tab key through the form'),
('en', 'etemplate', 'options', 'Options'),
('en', 'etemplate', 'operator', 'Operator'),
('en', 'etemplate', 'optional note about the link', 'optional note about the Link'),
('en', 'etemplate', 'open the online help.', 'Open the online help.'),
('en', 'etemplate', 'only an other version found !!!', 'only an other Version found !!!'),
('en', 'etemplate', 'onclick', 'onClick'),
('en', 'etemplate', 'of', 'of'),
('en', 'etemplate', 'onchange', 'onChange'),
('en', 'etemplate', 'number of rows/cols in a v/hbox, cellpadding, cellspacing', 'number of rows/cols in a V/HBox, Cellpadding, Cellspacing'),
('en', 'etemplate', 'nothing in clipboard to paste !!!', 'nothing in clipboard to paste !!!'),
('en', 'etemplate', 'nothing matched search criteria !!!', 'Nothing matched search criteria !!!'),
('en', 'etemplate', 'number of colums the field/cell should span or ''all'' for the remaining columns, css-class name (for the td tag)', 'number of colums the field/cell should span or ''all'' for the remaining columns, CSS-class name (for the TD tag)'),
('en', 'etemplate', 'not null', 'NOT NULL'),
('en', 'etemplate', 'nothing', 'nothing'),
('en', 'etemplate', 'nothing found - try again !!!', 'Nothing found - try again !!!'),
('en', 'etemplate', 'no filename given or selected via browse...', 'no filename given or selected via Browse...'),
('en', 'etemplate', 'no matches found', 'No matches found'),
('en', 'etemplate', 'no row to swap with !!!', 'no row to swap with !!!'),
('en', 'etemplate', 'nextmatch header', 'Nextmatch Header'),
('en', 'etemplate', 'nextmatch sortheader', 'Nextmatch Sortheader'),
('en', 'etemplate', 'no column to swap with !!!', 'no column to swap with !!!'),
('en', 'etemplate', 'no file', 'no file'),
('en', 'etemplate', 'nextmatch filterheader', 'Nextmatch Filterheader'),
('en', 'etemplate', 'nextmatch accountfilter', 'Nextmatch Accountfilter'),
('en', 'etemplate', 'nextmatch custom filterheader', 'Nextmatch Custom Filterheader'),
('en', 'etemplate', 'nextmatch', 'Nextmatch'),
('en', 'etemplate', 'newer version ''%1'' exists !!!', 'newer version ''%1'' exists !!!'),
('en', 'etemplate', 'new table created', 'New table created'),
('en', 'etemplate', 'need to be unique in the table and no reseved word from sql, best prefix all with a common 2-digit short for the app, eg. ''et_''', 'need to be unique in the table and no reseved word from SQL, best prefix all with a common 2-digit short for the app, eg. ''et_'''),
('en', 'etemplate', 'name of the etemplate, should be in form application.function[.subtemplate]', 'name of the eTemplate, should be in form application.function[.subTemplate]'),
('en', 'etemplate', 'name of table to add', 'Name of table to add'),
('en', 'etemplate', 'name of phpgw-template set (e.g. verdilak): '''' = default (will read pref. template, us ''default'' to read default template '''')', 'name of phpgw-template set (e.g. verdilak): '''' = default (will read pref. template, us ''default'' to read default template '''')'),
('en', 'etemplate', 'name', 'Name'),
('en', 'etemplate', 'name of other table where column is a key from', 'name of other table where column is a key from'),
('en', 'etemplate', 'more than 1 match for ''%1''', 'More than 1 match for ''%1'''),
('en', 'etemplate', 'multicolumn indices', 'Multicolumn Indices'),
('en', 'etemplate', 'minutes', 'Minutes'),
('en', 'etemplate', 'month', 'Month'),
('en', 'etemplate', 'middle', 'Middle'),
('en', 'etemplate', 'minute', 'Minute'),
('en', 'etemplate', 'message ...', 'Message ...'),
('en', 'etemplate', 'load this template into the editor', 'load this template into the editor'),
('en', 'etemplate', 'linkto', 'LinkTo'),
('en', 'etemplate', 'linkstring', 'LinkString'),
('en', 'etemplate', 'linklist', 'LinkList'),
('en', 'etemplate', 'linkapps', 'LinkApps'),
('en', 'etemplate', 'linkentry', 'LinkEntry'),
('en', 'etemplate', 'link', 'Link'),
('en', 'etemplate', 'length for char+varchar, precisions int: 2, 4, 8 and float: 4, 8', 'length for char+varchar, precisions int: 2, 4, 8 and float: 4, 8'),
('en', 'etemplate', 'left', 'Left'),
('en', 'etemplate', 'last', 'Last'),
('en', 'etemplate', 'language-short (eg. ''en'' for english) for language-dependent template ('''' reads your pref. languages or the default, us ''default', 'language-short (eg. ''en'' for english) for language-dependent template ('''' reads your pref. languages or the default, us ''default'' to read the default template '''')'),
('en', 'etemplate', 'lang', 'Lang'),
('en', 'etemplate', 'label', 'Label'),
('en', 'etemplate', 'label:[bold][italic] text:[len][,max] numbers:[min][,[max][,len]] t.area:[rows][,cols] radiob.:value h.rule:[width] templ.:[inde', 'Label:[bold][italic] Text:[len][,max] Numbers:[min][,[max][,len]] T.area:[rows][,cols] Radiob.:value H.Rule:[width] Templ.:[IndexInContent] Select:[multiselect] Date:[values: eg. ''Y-m-d'']'),
('en', 'etemplate', 'key', 'Key'),
('en', 'etemplate', 'integer', 'Integer'),
('en', 'etemplate', 'insert new row after this one', 'insert new row after this one'),
('en', 'etemplate', 'insert new row in front of first line', 'insert new row in front of first Line'),
('en', 'etemplate', 'insert new column behind this one', 'insert new column behind this one'),
('en', 'etemplate', 'insert new column in front of all', 'insert new column in front of all'),
('en', 'etemplate', 'insert a widget behind', 'insert a widget behind'),
('en', 'etemplate', 'insert a widget before', 'insert a widget before'),
('en', 'etemplate', 'insert a row above', 'insert a row above'),
('en', 'etemplate', 'insert a row below', 'insert a row below'),
('en', 'etemplate', 'insert a column behind', 'insert a column behind'),
('en', 'etemplate', 'insert a column before', 'insert a column before'),
('en', 'etemplate', 'indexed', 'Indexed'),
('en', 'etemplate', 'indexoptions', 'Indexoptions'),
('en', 'etemplate', 'index/name of returned content (name of the template, link / method for image)', 'index/name of returned content (name of the Template, Link / Method for Image)'),
('en', 'etemplate', 'increment version to not overwrite the existing template', 'increment version to not overwrite the existing template'),
('en', 'etemplate', 'import xml', 'Import XML'),
('en', 'etemplate', 'import table-definitions from existing db-table', 'Import table-definitions from existing db-table'),
('en', 'etemplate', 'import an etemplate from a xml-file', 'import an eTemplate from a xml-file'),
('en', 'etemplate', 'import', 'Import'),
('en', 'etemplate', 'image', 'Image'),
('en', 'etemplate', 'if field is disabled an empty table-cell is displayed, for (temporal) removement of a field/cell', 'if field is disabled an empty table-cell is displayed, for (temporal) removement of a field/cell'),
('en', 'etemplate', 'hours', 'hours'),
('en', 'etemplate', 'how many entries should the list show', 'How many entries should the list show'),
('en', 'etemplate', 'html', 'Html'),
('en', 'etemplate', 'hour', 'Hour'),
('en', 'etemplate', 'horizontal rule', 'Horizontal Rule'),
('en', 'etemplate', 'history log', 'History Log'),
('en', 'etemplate', 'help', 'Help'),
('en', 'etemplate', 'height, disabled', 'Height, Disabled'),
('en', 'etemplate', 'height of the table in % or pixels for the table-tag and (optional) div', 'Height of the table in % or pixels for the table-tag and (optional) div'),
('en', 'etemplate', 'height of row (in % or pixel), disable row: [! = not]<value>[=<check>] eg: ''!@data'' disable row if content of data is empty', 'height of row (in % or pixel), disable row: [! = not]<value>[=<check>] eg: ''!@data'' disable row if content of data is empty'),
('en', 'etemplate', 'groupbox', 'GroupBox'),
('en', 'etemplate', 'hbox', 'HBox'),
('en', 'etemplate', 'height', 'Height'),
('en', 'etemplate', 'height of row (in % or pixel)', 'height of row (in % or pixel)'),
('en', 'etemplate', 'grid', 'Grid'),
('en', 'etemplate', 'grid column attributes', 'Grid column attributes'),
('en', 'etemplate', 'grid row attributes', 'Grid row attributes'),
('en', 'etemplate', 'go to the previous page of entries', 'go to the previous page of entries'),
('en', 'etemplate', 'go to the next page of entries', 'go to the next page of entries'),
('en', 'etemplate', 'go to the last entry', 'go to the last entry'),
('en', 'etemplate', 'go to the first entry', 'go to the first entry'),
('en', 'etemplate', 'formatted text (html)', 'Formatted Text (HTML)'),
('en', 'etemplate', 'foreign key', 'Foreign Key'),
('en', 'etemplate', 'first', 'First'),
('en', 'etemplate', 'floating point', 'Floating Point'),
('en', 'etemplate', 'fileupload', 'FileUpload'),
('en', 'etemplate', 'file writen', 'File writen'),
('en', 'etemplate', 'file is of wrong type (%1 != %2)!', 'File is of wrong type (%1 != %2)!'),
('en', 'etemplate', 'file contains more than one etemplate, last one is shown !!!', 'File contains more than one eTemplate, last one is shown !!!'),
('en', 'etemplate', 'file', 'File'),
('en', 'etemplate', 'file ''%1'' not found!', 'File ''%1'' not found!'),
('en', 'etemplate', 'field must not be empty !!!', 'Field must not be empty !!!'),
('en', 'etemplate', 'field', 'Field'),
('en', 'etemplate', 'export xml', 'Export XML'),
('en', 'etemplate', 'extensions loaded:', 'Extensions loaded:'),
('en', 'etemplate', 'export the loaded etemplate into a xml-file', 'export the loaded eTemplate into a xml-file'),
('en', 'etemplate', 'exchange this two columns', 'exchange this two columns'),
('en', 'etemplate', 'exchange this row with the one above', 'exchange this row with the one above'),
('en', 'etemplate', 'etemplate reference', 'eTemplate Reference'),
('en', 'etemplate', 'etemplate tutorial', 'eTemplate Tutorial'),
('en', 'etemplate', 'etemplate ''%1'' written to ''%2''', 'eTemplate ''%1'' written to ''%2'''),
('en', 'etemplate', 'etemplate editor', 'eTemplate Editor'),
('en', 'etemplate', 'etemplate ''%1'' imported, use save to put it in the database', 'eTemplate ''%1'' imported, use Save to put it in the database'),
('en', 'etemplate', 'error: while saving !!!', 'Error: while saving !!!'),
('en', 'etemplate', 'error: writing file (no write-permission for the webserver) !!!', 'Error: writing file (no write-permission for the webserver) !!!'),
('en', 'etemplate', 'error: template not found !!!', 'Error: Template not found !!!'),
('en', 'etemplate', 'error: webserver is not allowed to write into ''%1'' !!!', 'Error: webserver is not allowed to write into ''%1'' !!!'),
('en', 'etemplate', 'error deleting %1!', 'Error deleting %1!'),
('en', 'etemplate', 'error create parent directory %1!', 'Error create parent directory %1!'),
('en', 'etemplate', 'error copying uploaded file to vfs!', 'Error copying uploaded file to vfs!'),
('en', 'etemplate', 'entry saved', 'Entry saved'),
('en', 'etemplate', 'enter the new version number here (has to be > old_version)', 'enter the new version number here (has to be > old_version)'),
('en', 'etemplate', 'enter the new version number here (> old_version), empty for no update-file', 'enter the new version number here (> old_version), empty for no update-file'),
('en', 'etemplate', 'enter filename to upload and attach, use [browse...] to search for it', 'Enter filename to upload and attach, use [Browse...] to search for it'),
('en', 'etemplate', 'enter a search pattern', 'Enter a search pattern'),
('en', 'etemplate', 'enter '''' for an empty default, nothing mean no default', 'enter '''' for an empty default, nothing mean no default'),
('en', 'etemplate', 'enable javascript onchange submit', 'enable JavaScript onChange submit'),
('en', 'etemplate', 'embeded css styles, eg. ''.red { background: red; }'' (note the ''.'' before the class-name) or ''@import url(...)'' (class names are ', 'embeded CSS styles, eg. ''.red { background: red; }'' (note the ''.'' before the class-name) or ''@import url(...)'' (class names are global for the whole page!)'),
('en', 'etemplate', 'editable templates - show template', 'Editable Templates - Show Template'),
('en', 'etemplate', 'editable templates - search', 'Editable Templates - Search'),
('en', 'etemplate', 'editable templates - editor', 'Editable Templates - Editor'),
('en', 'etemplate', 'editable templates - delete template', 'Editable Templates - Delete Template'),
('en', 'etemplate', 'editable templates - db-tools', 'Editable Templates - DB-Tools'),
('en', 'etemplate', 'edit...', 'Edit...'),
('en', 'etemplate', 'edit the etemplate spez. above', 'edit the eTemplate spez. above'),
('en', 'etemplate', 'edit embeded css styles or of the applications app.css file', 'edit embeded CSS styles or of the applications app.css file'),
('en', 'etemplate', 'edit', 'Edit'),
('en', 'etemplate', 'duration', 'Duration'),
('en', 'etemplate', 'drop table', 'Drop Table'),
('en', 'etemplate', 'dump4setup', 'Dump4Setup'),
('en', 'etemplate', 'doesn''t matter', 'doesn''t matter'),
('en', 'etemplate', 'drop a table - this can not be undone', 'Drop a table - this can NOT be undone'),
('en', 'etemplate', 'documentation', 'Documentation'),
('en', 'etemplate', 'do you want to save the changes you made in table %s?', 'Do you want to save the changes you made in table %s?'),
('en', 'etemplate', 'displayed in the top line of the groupbox (legend)', 'displayed in the top line of the groupbox (legend)'),
('en', 'etemplate', 'displayed in statusline of browser if input-field gets focus', 'displayed in statusline of browser if input-field gets focus'),
('en', 'etemplate', 'discard changes', 'discard changes'),
('en', 'etemplate', 'displayed in front of input or input is inserted for a ''%s'' in the label (label of the submitbutton or image-filename)', 'displayed in front of input or input is inserted for a ''%s'' in the label (label of the Submitbutton or Image-filename)'),
('en', 'etemplate', 'deletes this column', 'Deletes this column'),
('en', 'etemplate', 'deletes this index', 'Deletes this index'),
('en', 'etemplate', 'deletes the etemplate spez. above', 'deletes the eTemplate spez. above'),
('en', 'etemplate', 'deletes the above spez. etemplate from the database, can not be undone', 'deletes the above spez. eTemplate from the database, can NOT be undone'),
('en', 'etemplate', 'delete this row', 'delete this row'),
('en', 'etemplate', 'delete whole column (can not be undone!!!)', 'delete whole column (can NOT be undone!!!)'),
('en', 'etemplate', 'delete this file', 'Delete this file'),
('en', 'etemplate', 'delete this column', 'delete this column'),
('en', 'etemplate', 'delete this etemplate', 'delete this eTemplate'),
('en', 'etemplate', 'delete the spezified etemplate', 'Delete the spezified eTemplate'),
('en', 'etemplate', 'delete column', 'Delete Column'),
('en', 'etemplate', 'delete index', 'Delete Index'),
('en', 'etemplate', 'delete and cut save the template!', 'delete and cut save the template!'),
('en', 'etemplate', 'delete all selected etemplates, without further inquiry', 'delete ALL selected eTemplates, WITHOUT further inquiry'),
('en', 'etemplate', 'delete a single entry by passing the id.', 'Delete a single entry by passing the id.'),
('en', 'etemplate', 'default', 'Default'),
('en', 'etemplate', 'deck', 'Deck (internal)'),
('en', 'etemplate', 'db-tools', 'DB-Tools'),
('en', 'etemplate', 'db-specific index options (comma-sep.), eg. mysql(fulltext) or mysql(100) for the indexed length of a col', 'db-specific index options (comma-sep.), eg. mysql(FULLTEXT) or mysql(100) for the indexed length of a col'),
('en', 'etemplate', 'db ensures that every row has a unique value in that column', 'DB ensures that every row has a unique value in that column'),
('en', 'etemplate', 'days', 'days'),
('en', 'etemplate', 'day', 'Day'),
('en', 'etemplate', 'datum', 'Datum'),
('en', 'etemplate', 'date+time', 'Date+Time'),
('en', 'etemplate', 'cut', 'Cut'),
('en', 'etemplate', 'custom javascript for onchange', 'custom javascript for onChange'),
('en', 'etemplate', 'css-styles', 'CSS-styles'),
('en', 'etemplate', 'custom', 'custom'),
('en', 'etemplate', 'custom fields', 'custom fields'),
('en', 'etemplate', 'css-class name for this row, preset: ''th'' = header, ''row'' = alternating row, ''row_off''+''row_on'' rows', 'CSS-class name for this row, preset: ''th'' = header, ''row'' = alternating row, ''row_off''+''row_on'' rows'),
('en', 'etemplate', 'css-class name for this row, preset: ''nmh'' = nextmatch header, ''nmr'' = alternating nm row, ''nmr0''+''nmr1'' nm rows', 'CSS-class name for this row, preset: ''nmh'' = NextMatch header, ''nmr'' = alternating NM row, ''nmr0''+''nmr1'' NM rows'),
('en', 'etemplate', 'css class for the table-tag', 'CSS class for the table-tag'),
('en', 'etemplate', 'css properties', 'CSS properties'),
('en', 'etemplate', 'creates an english (''en'') langfile from label and helptexts (for application in name)', 'creates an english (''en'') langfile from label and helptexts (for application in Name)'),
('en', 'etemplate', 'contact', 'Contact'),
('en', 'etemplate', 'contact field to show', 'Contact field to show'),
('en', 'etemplate', 'contact fields', 'Contact fields'),
('en', 'etemplate', 'contains', 'contains'),
('en', 'etemplate', 'create a new table for the application', 'Create a new table for the application'),
('en', 'etemplate', 'confirmation necesary or custom java-script', 'confirmation necesary or custom java-script'),
('en', 'etemplate', 'confirm', 'confirm'),
('en', 'etemplate', 'confirmation message or custom javascript (returning true or false)', 'confirmation message or custom javascript (returning true or false)'),
('en', 'etemplate', 'comment', 'Comment'),
('en', 'etemplate', 'columnname', 'ColumnName'),
('en', 'etemplate', 'closes the window without saving the changes', 'closes the window without saving the changes'),
('en', 'etemplate', 'column...', 'Column...'),
('en', 'etemplate', 'clickable path', 'clickable path'),
('en', 'etemplate', 'click to order after that criteria', 'click to order after that criteria'),
('en', 'etemplate', 'click here to upload the file', 'Click here to upload the file'),
('en', 'etemplate', 'click here to start the search', 'Click here to start the search'),
('en', 'etemplate', 'click here to create the link', 'click here to create the Link'),
('en', 'etemplate', 'click here to attach the file', 'click here to attach the file'),
('en', 'etemplate', 'class, valign', 'class, Valign'),
('en', 'etemplate', 'checkbox', 'Checkbox'),
('en', 'etemplate', 'class', 'Class'),
('en', 'etemplate', 'check if field has to be filled by user', 'check if field has to be filled by user'),
('en', 'etemplate', 'check if content should only be displayed but not altered (the content is not send back then!)', 'check if content should only be displayed but not altered (the content is not send back then!)'),
('en', 'etemplate', 'changed', 'Changed'),
('en', 'etemplate', 'cells', 'Cells'),
('en', 'etemplate', 'cellspacing for the table-tag', 'Cellspacing for the table-tag'),
('en', 'etemplate', 'center', 'Center'),
('en', 'etemplate', 'cellpadding for the table-tag', 'Cellpadding for the table-tag'),
('en', 'etemplate', 'category tree', 'Category tree'),
('en', 'etemplate', 'category', 'Category'),
('en', 'etemplate', 'cant delete the only row in a grid !!!', 'cant delete the only row in a grid !!!'),
('en', 'etemplate', 'cant delete the only column of a grid !!!', 'cant delete the only column of a grid !!!'),
('en', 'etemplate', 'cancel', 'Cancel'),
('en', 'etemplate', 'cant delete a single widget from a grid !!!', 'cant delete a single widget from a grid !!!'),
('en', 'etemplate', 'can not have special sql-value null', 'can not have special SQL-value NULL'),
('en', 'etemplate', 'box...', 'Box...'),
('en', 'etemplate', 'box', 'Box'),
('en', 'etemplate', 'bottom', 'Bottom'),
('en', 'etemplate', 'border-line-thickness for the table-tag', 'Border-line-thickness for the table-tag'),
('en', 'etemplate', 'border', 'Border'),
('en', 'etemplate', 'blurtext', 'blurText'),
('en', 'etemplate', 'baseline', 'Baseline'),
('en', 'etemplate', 'attach file', 'attach file'),
('en', 'etemplate', 'as default', 'as default'),
('en', 'etemplate', 'attach', 'Attach'),
('en', 'etemplate', 'applies the changes to the given version of the template', 'applies the changes to the given version of the template'),
('en', 'etemplate', 'applies the changes made', 'applies the changes made'),
('en', 'etemplate', 'application', 'Application'),
('en', 'etemplate', 'application name needed to write a langfile or dump the etemplates !!!', 'Application name needed to write a langfile or dump the eTemplates !!!'),
('en', 'etemplate', 'an indexed column speeds up querys using that column (cost space on the disk !!!)', 'an indexed column speeds up querys using that column (cost space on the disk !!!)'),
('en', 'etemplate', 'am', 'am'),
('en', 'etemplate', 'allowed file type: %1', 'Allowed file type: %1'),
('en', 'etemplate', 'all operations save the template!', 'all operations save the template!'),
('en', 'etemplate', 'all days', 'all days'),
('en', 'etemplate', 'alignment of the v/hbox containing table-cell', 'Alignment of the V/HBox containing table-cell'),
('en', 'etemplate', 'alignment of label and input-field in table-cell', 'alignment of label and input-field in table-cell'),
('en', 'etemplate', 'advanced search', 'Advanced search'),
('en', 'etemplate', 'align', 'Align'),
('en', 'etemplate', 'add new', 'Add new'),
('en', 'etemplate', 'add table', 'Add Table'),
('en', 'etemplate', 'add index', 'Add Index'),
('en', 'etemplate', 'add column', 'Add Column'),
('en', 'etemplate', 'add a new multi-column index', 'Add a new multi-column index'),
('en', 'etemplate', 'add a new entry of the selected application', 'Add a new entry of the selected application'),
('en', 'etemplate', 'account contactdata', 'Account contactdata'),
('en', 'etemplate', 'add a new column (after the existing ones)', 'Add a new column (after the existing ones)'),
('en', 'etemplate', 'accesskeys can also be specified with an & in the label (eg. &name)', 'Accesskeys can also be specified with an & in the label (eg. &Name)'),
('en', 'etemplate', 'accesskey', 'Accesskey'),
('en', 'etemplate', 'a pattern to be searched for', 'a pattern to be searched for'),
('en', 'etemplate', '''%1'' is not allowed (''%2'')!', '''%1'' is NOT allowed (''%2'')!'),
('en', 'etemplate', '''%1'' is not a valid integer !!!', '''%1'' is not a valid integer !!!'),
('en', 'etemplate', '''%1'' is not a valid floatingpoint number !!!', '''%1'' is not a valid floatingpoint number !!!'),
('en', 'etemplate', '''%1'' is not a valid date !!!', '''%1'' is not a valid date !!!'),
('en', 'etemplate', '''%1'' is no php file in the egw server root (%2)!', '''%1'' is no php file in the eGW server root (%2)!'),
('en', 'etemplate', '%s readonly', '%s readonly'),
('en', 'etemplate', '''%1'' has an invalid format !!!', '''%1'' has an invalid format !!!'),
('en', 'etemplate', '%s onchange', '%s onChange'),
('en', 'etemplate', '%s notranslation', '%s NoTranslation'),
('en', 'etemplate', '%s needed', '%s needed'),
('en', 'etemplate', '%s disabled', '%s disabled'),
('en', 'etemplate', '%1 new etemplates imported for application ''%2''', '%1 new eTemplates imported for Application ''%2'''),
('en', 'etemplate', '%1 more...', '%1 more...'),
('en', 'etemplate', '%1 matches on search criteria', '%1 matches on search criteria'),
('en', 'etemplate', '%1 etemplates found', '%1 eTemplates found'),
('en', 'etemplate', '%1 etemplates for application ''%2'' dumped to ''%3''', '%1 eTemplates for Application ''%2'' dumped to ''%3'''),
('en', 'etemplate', '%1 etemplates deleted', '%1 eTemplates deleted'),
('en', 'etemplate', '%1 entries found, select one ...', '%1 entries found, select one ...'),
('en', 'etemplate', '%1 (%2 new) messages writen for application ''%3'' and languages ''%4''', '%1 (%2 new) Messages writen for Application ''%3'' and Languages ''%4'''),
('en', 'emailadmin', 'you have received a new message on the', 'You have received a new message on the'),
('en', 'emailadmin', 'yes, use credentials of current user or if given credentials below', 'Yes, use credentials of current user or if given credentials below'),
('en', 'emailadmin', 'yes, use credentials below only for alarms and notifications, otherwise use credentials of current user', 'Yes, use credentials below only for alarms and notifications, otherwise use credentials of current user'),
('en', 'emailadmin', 'virtual mail manager', 'Virtual MAIL ManaGeR'),
('en', 'emailadmin', 'vacation messages with start- and end-date require an admin account to be set', 'Vacation messages with start and end date require an admin account to be set!'),
('en', 'emailadmin', 'users can utilize these stationery templates', 'Users can utilize these stationery templates'),
('en', 'emailadmin', 'users can define their own signatures', 'Users can define their own signatures'),
('en', 'emailadmin', 'users can define their own identities', 'Users can define their own identities'),
('en', 'emailadmin', 'users can define their own emailaccounts', 'Users can define their own email accounts'),
('en', 'emailadmin', 'username@domainname (virtual mail manager)', 'username@domainname (Virtual MAIL ManaGeR)'),
('en', 'emailadmin', 'username/password defined by admin', 'Username / Password defined by admin'),
('en', 'emailadmin', 'username (standard)', 'Username (standard)'),
('en', 'emailadmin', 'userid@domain eg. u1234@domain', 'UserId@domain eg. u1234@domain'),
('en', 'emailadmin', 'user can edit forwarding address', 'User can edit forwarding address'),
('en', 'emailadmin', 'use users email-address (as seen in useraccount)', 'Use users email address, as set in user account'),
('en', 'emailadmin', 'use tls encryption', 'Use TLS encryption'),
('en', 'emailadmin', 'use tls authentication', 'Use TLS authentication'),
('en', 'emailadmin', 'use smtp auth', 'Use SMTP authentication'),
('en', 'emailadmin', 'use ldap defaults', 'Use LDAP defaults'),
('en', 'emailadmin', 'use predefined username and password defined below', 'Use predefined username and password defined below'),
('en', 'emailadmin', 'update current email address:', 'Update current email address:'),
('en', 'emailadmin', 'unsupported action ''%1'' !!!', 'Unsupported action ''%1'' !'),
('en', 'emailadmin', 'unknown imap response from the server. server responded: %s', 'Unknown IMAP response from the server. %s'),
('en', 'emailadmin', 'unexpected response from server to login command.', 'Unexpected response from server to LOGIN command.'),
('en', 'emailadmin', 'unexpected response from server to digest-md5 response.', 'Unexpected response from server to Digest-MD5 response.'),
('en', 'emailadmin', 'unexpected response from server to authenticate command.', 'Unexpected response from server to AUTHENTICATE command.'),
('en', 'emailadmin', 'this php has no imap support compiled in!!', 'This PHP has no IMAP support compiled in!!'),
('en', 'emailadmin', 'to use a tls connection, you must be running a version of php 5.1.0 or higher.', 'To use a TLS connection, you must be running a version of PHP 5.1.0 or higher.'),
('en', 'emailadmin', 'the imap server does not appear to support the authentication method selected. please contact your system administrator.', 'The IMAP server does not appear to support the authentication method selected. Contact your system administrator.'),
('en', 'emailadmin', 'stationery', 'Stationery'),
('en', 'emailadmin', 'starts with', 'Starts with'),
('en', 'emailadmin', 'standard pop3 server', 'Standard POP3 server'),
('en', 'emailadmin', 'standard smtp-server', 'Standard SMTP server'),
('en', 'emailadmin', 'standard imap server', 'Standard IMAP server'),
('en', 'emailadmin', 'standard', 'Standard'),
('en', 'emailadmin', 'smtp-server port', 'SMTP server port'),
('en', 'emailadmin', 'smtp settings', 'SMTP settings'),
('en', 'emailadmin', 'smtp-server hostname or ip address', 'SMTP server hostname or IP address'),
('en', 'emailadmin', 'smtp options', 'SMTP options'),
('en', 'emailadmin', 'smtp server name', 'SMTP server name'),
('en', 'emailadmin', 'sieve settings', 'Sieve settings'),
('en', 'emailadmin', 'smtp authentication', 'SMTP authentication'),
('en', 'emailadmin', 'sieve server port', 'Sieve server port'),
('en', 'emailadmin', 'sieve server hostname or ip address', 'Sieve server hostname or IP address'),
('en', 'emailadmin', 'server settings', 'Server settings'),
('en', 'emailadmin', 'send using this email-address', 'Send using this email address'),
('en', 'emailadmin', 'select type of smtp server', 'Select type of SMTP server'),
('en', 'emailadmin', 'select type of imap/pop3 server', 'Select type of IMAP/POP3 server'),
('en', 'emailadmin', 'reset filter', 'Reset filter'),
('en', 'emailadmin', 'select type of imap server', 'Select type of IMAP server'),
('en', 'emailadmin', 'remove', 'Remove'),
('en', 'emailadmin', 'quota size in mbyte', 'Quota size in MByte'),
('en', 'emailadmin', 'quota settings', 'Quota settings'),
('en', 'emailadmin', 'qmaildotmode', 'qmaildotmode'),
('en', 'emailadmin', 'profile name', 'Profile name'),
('en', 'emailadmin', 'profile is active', 'Profile is active'),
('en', 'emailadmin', 'profile list', 'Profile list'),
('en', 'emailadmin', 'profile access rights', 'Profile access rights'),
('en', 'emailadmin', 'pop3 server port', 'POP3 server port'),
('en', 'emailadmin', 'postfix with ldap', 'Postfix with LDAP'),
('en', 'emailadmin', 'plesk smtp-server (qmail)', 'Plesk SMTP-Server (Qmail)'),
('en', 'emailadmin', 'pop3 server hostname or ip address', 'POP3 server hostname or IP address'),
('en', 'emailadmin', 'plesk requires passwords to have at least 5 characters and not contain the account-name --> password not set!!!', 'Plesk requires passwords to have at least 5 characters and not contain the account name --> password NOT set!'),
('en', 'emailadmin', 'plesk imap server (courier)', 'Plesk IMAP Server (Courier)'),
('en', 'emailadmin', 'plesk mail script ''%1'' not found !!!', 'Plesk mail script ''%1'' not found!'),
('en', 'emailadmin', 'plesk can''t rename users --> request ignored', 'Plesk can''t rename users --> request ignored'),
('en', 'emailadmin', 'order', 'Order'),
('en', 'emailadmin', 'organisation', 'Organisation'),
('en', 'emailadmin', 'no supported imap authentication method could be found.', 'No supported IMAP authentication method could be found.'),
('en', 'emailadmin', 'no forwarding email address', 'No forwarding email address'),
('en', 'emailadmin', 'no message returned.', 'No message returned'),
('en', 'emailadmin', 'no encryption', 'No encryption'),
('en', 'emailadmin', 'no alternate email address', 'No alternate email address'),
('en', 'emailadmin', 'name of organisation', 'Name of organization'),
('en', 'emailadmin', 'mb used', 'MB used'),
('en', 'emailadmin', 'manage stationery templates', 'Manage stationery templates'),
('en', 'emailadmin', 'ldap server admin password', 'LDAP server admin password'),
('en', 'emailadmin', 'ldap server hostname or ip address', 'LDAP server host name or IP address'),
('en', 'emailadmin', 'ldap settings', 'LDAP settings'),
('en', 'emailadmin', 'leave empty for no quota', 'Leave empty for no quota'),
('en', 'emailadmin', 'ldap server admin dn', 'LDAP server admin DN'),
('en', 'emailadmin', 'ldap server', 'LDAP server'),
('en', 'emailadmin', 'ldap server accounts dn', 'LDAP server accounts DN'),
('en', 'emailadmin', 'ldap basedn', 'LDAP basedn'),
('en', 'emailadmin', 'inactive', 'Inactive'),
('en', 'emailadmin', 'imap/pop3 server name', 'IMAP/POP3 server name'),
('en', 'emailadmin', 'in mbyte', 'in MByte'),
('en', 'emailadmin', 'imap server port', 'IMAP server port'),
('en', 'emailadmin', 'imap server name', 'IMAP server name'),
('en', 'emailadmin', 'imap server logintyp', 'IMAP server login type'),
('en', 'emailadmin', 'imap server hostname or ip address', 'IMAP server hostname or ip address'),
('en', 'emailadmin', 'imap server closed the connection. server responded: %s', 'IMAP Server closed the connection. Server Responded: %s'),
('en', 'emailadmin', 'imap server closed the connection.', 'IMAP server closed the connection.'),
('en', 'emailadmin', 'imap c-client version < 2001', 'IMAP C-Client Version < 2001'),
('en', 'emailadmin', 'if you specify port 5190 as sieve server port, you enforce ssl for sieve (server must support that)', 'if you specify port 5190 as sieve server port, you enforce ssl for sieve (server must support that)'),
('en', 'emailadmin', 'global options', 'Global options'),
('en', 'emailadmin', 'if using ssl or tls, you must have the php openssl extension loaded.', 'If using SSL or TLS, you must have the PHP openssl extension loaded.'),
('en', 'emailadmin', 'forward only', 'Forward only'),
('en', 'emailadmin', 'forward email''s to', 'Forward email''s to'),
('en', 'emailadmin', 'forward also to', 'Forward also to'),
('en', 'emailadmin', 'filtered by account', 'Filtered by account'),
('en', 'emailadmin', 'filtered by group', 'Filtered by group'),
('en', 'emailadmin', 'error saving the entry!!!', 'Error saving the entry!'),
('en', 'emailadmin', 'error deleting entry!', 'Error deleting entry!'),
('en', 'emailadmin', 'error connecting to imap server: [%s] %s.', 'Error connecting to IMAP server: [%s] %s.'),
('en', 'emailadmin', 'error connecting to imap server. %s : %s.', 'Error connecting to IMAP server. %s : %s.'),
('en', 'emailadmin', 'entry saved', 'Entry saved'),
('en', 'emailadmin', 'enter your default mail domain (from: user@domain)', 'Enter your default mail domain from: user@domain'),
('en', 'emailadmin', 'encryption settings', 'Encryption settings'),
('en', 'emailadmin', 'enable sieve', 'Enable Sieve'),
('en', 'emailadmin', 'encrypted connection', 'Encrypted connection'),
('en', 'emailadmin', 'enable cyrus imap server administration', 'Enable Cyrus IMAP server administration'),
('en', 'emailadmin', 'emailadmin', 'eMailAdmin'),
('en', 'emailadmin', 'email address', 'Email address'),
('en', 'emailadmin', 'edit email settings', 'Edit email settings'),
('en', 'emailadmin', 'email account active', 'Email account active'),
('en', 'emailadmin', 'domainname', 'Domain name'),
('en', 'emailadmin', 'do you really want to reset the filter for the profile listing', 'Do you really want to reset the filter for the profile listing?'),
('en', 'emailadmin', 'do you really want to delete this profile', 'Do you really want to delete this profile?'),
('en', 'emailadmin', 'deliver extern', 'Deliver extern'),
('en', 'emailadmin', 'do not validate certificate', 'Do not validate certificate'),
('en', 'emailadmin', 'default', 'Default'),
('en', 'emailadmin', 'cyrus imap server administration', 'Cyrus IMAP server administration'),
('en', 'emailadmin', 'cyrus imap server', 'Cyrus IMAP server');
INSERT INTO `egw_lang` (`lang`, `app_name`, `message_id`, `content`) VALUES
('en', 'emailadmin', 'cram-md5 or digest-md5 requires the auth_sasl package to be installed.', 'CRAM-MD5 or DIGEST-MD5 requires the Auth_SASL package to be installed.'),
('en', 'emailadmin', 'could not open secure connection to the imap server. %s : %s.', 'Could not open secure connection to the IMAP server. %s : %s.'),
('en', 'emailadmin', 'could not complete request. reason given: %s', 'Could not complete request. %s'),
('en', 'emailadmin', 'connection dropped by imap server.', 'Connection dropped by IMAP server.'),
('en', 'emailadmin', 'can be used by user', 'Can be used by user'),
('en', 'emailadmin', 'can be used by group', 'Can be used by group'),
('en', 'emailadmin', 'can be used by application', 'Can be used by application'),
('en', 'emailadmin', 'bad request: %s', 'Bad request: %s'),
('en', 'emailadmin', 'bad or malformed request. server responded: %s', 'Bad or malformed request. %s'),
('en', 'emailadmin', 'bad login name or password.', 'Bad login name or password.'),
('en', 'emailadmin', 'back to admin/userlist', 'Back to Admin / User list'),
('en', 'emailadmin', 'any application', 'Any application'),
('en', 'emailadmin', 'any group', 'Any group'),
('en', 'emailadmin', 'any user', 'Any user'),
('en', 'emailadmin', 'back to admin/grouplist', 'Back to Admin / Group list'),
('en', 'emailadmin', 'alternate email address', 'Alternate email address'),
('en', 'emailadmin', 'advanced options', 'Advanced options'),
('en', 'emailadmin', 'admin username', 'Admin user name'),
('en', 'emailadmin', 'admin password', 'Admin password'),
('en', 'emailadmin', 'admin dn', 'Admin dn'),
('en', 'emailadmin', 'add profile', 'Add profile'),
('en', 'emailadmin', 'add new email address:', 'Add new email address:'),
('en', 'emailadmin', 'active templates', 'Active templates'),
('en', 'emailadmin', 'account ''%1'' not found !!!', 'Account ''%1'' not found!'),
('en', 'emailadmin', '(imapclass must support this feature by querying the corresponding config value and pass it as defaultquota to the imapserver)', '(imapclass must support this feature by querying the corresponding config value and pass it as defaultquota to the imapserver)'),
('en', 'emailadmin', '%1 entries deleted.', '%1 entries deleted.'),
('en', 'preferences', 'your preferences', 'Your Preferences'),
('en', 'preferences', 'your current theme is: %1', 'your current theme is: %1'),
('en', 'preferences', 'you must enter a password', 'You must enter a password'),
('en', 'preferences', 'you do not have permission to set acl''s in this mode!', 'You do not have permission to set ACL''s in this mode!'),
('en', 'preferences', 'you can show the applications as icons only, icons with app-name or both.', 'You can show the applications as icons only, icons with app-name or both.'),
('en', 'preferences', 'write prefs for the specified application.', 'Write prefs for the specified application.'),
('en', 'preferences', 'which currency symbol or name should be used in egroupware.', 'Which currency symbol or name should be used in eGroupWare.'),
('en', 'preferences', 'use default', 'Use default'),
('en', 'preferences', 'users choice', 'Users choice'),
('en', 'preferences', 'when you say yes the home and logout buttons are presented as applications in the main top applcation bar.', 'When you say yes the home and logout buttons are presented as applications in the main top applcation bar.'),
('en', 'preferences', 'time format', 'Time format'),
('en', 'preferences', 'thousands separator is only used for displaying and not for editing numbers.', 'Thousands separator is only used for displaying and not for editing numbers.'),
('en', 'preferences', 'this server is located in the %1 timezone', 'This server is located in the %1 timezone'),
('en', 'preferences', 'theme (colors/fonts) selection', 'Theme (colors/fonts) Selection'),
('en', 'preferences', 'the two passwords are not the same', 'The two passwords are not the same'),
('en', 'preferences', 'the two last options limit the visibility of other users. therefore they should be forced and apply not to administrators.', 'The two last options limit the visibility of other users. Therefore they should be forced and apply NOT to administrators.'),
('en', 'preferences', 'the selectbox shows all available users (can be very slow on big installs with many users). the popup can search users by name o', 'The selectbox shows all available users (can be very slow on big installs with many users). The popup can search users by name or group. The two last options limit the visibility of other users. Therefore they should be forced and apply NOT to administrators.'),
('en', 'preferences', 'the old password is not correct', 'The old password is not correct'),
('en', 'preferences', 'the default application will be started when you enter egroupware or click on the homepage icon.<br>you can also have more than ', 'The default application will be started when you enter eGroupWare or click on the homepage icon.<br>You can also have more than one application showing up on the homepage, if you don''t choose a specific application here (has to be configured in the preferences of each application).'),
('en', 'preferences', 'text only', 'Text only'),
('en', 'preferences', 'silver theme', 'Silver theme'),
('en', 'preferences', 'show text on navigation icons', 'Show text on navigation icons'),
('en', 'preferences', 'show number of current users', 'Show number of current users'),
('en', 'preferences', 'show navigation bar as', 'Show navigation bar as'),
('en', 'preferences', 'show helpmessages by default', 'Show help messages by default'),
('en', 'preferences', 'should this help messages shown up always, when you enter the preferences or only on request.', 'Should these help messages always display when modifying preferences, or only on request.'),
('en', 'preferences', 'should the number of active sessions be displayed for you all the time.', 'Should the number of active sessions be displayed for you all the time.'),
('en', 'preferences', 'set this to your convenience. for security reasons, you might not want to show your loginname in public.', 'Set this to your liking.  For security reasons, you might not want to show your Username in public.'),
('en', 'preferences', 'selectbox with primary group and search', 'Selectbox with primary group and search'),
('en', 'preferences', 'selectbox', 'Selectbox'),
('en', 'preferences', 'select the theme (visualization) of the rich text editor.', 'Select the theme (visualization) of the rich text editor.'),
('en', 'preferences', 'select the language of the spellchecker integrated into the rich text editor.', 'Select the language of the spellchecker integrated into the rich text editor.'),
('en', 'preferences', 'select the language of texts and messages within egroupware.<br>some languages may not contain all messages, in that case you wi', 'Select the language of texts and messages within eGroupWare.<br>Some languages may not contain all messages, in that case you will see an english message.'),
('en', 'preferences', 'select one', 'Select one'),
('en', 'preferences', 'select different theme', 'Select different Theme'),
('en', 'preferences', 'select how the rich text editor will generate the enter (linebreak) tag.', 'Select how the rich text editor will generate the enter (linebreak) tag.'),
('en', 'preferences', 'rich text editor theme', 'Rich text editor theme'),
('en', 'preferences', 'rich text editor enter mode', 'Rich text editor enter mode'),
('en', 'preferences', 'read prefs for the specified application.', 'Read prefs for the specified application.'),
('en', 'preferences', 're-enter your password', 'Re-Enter your password'),
('en', 'preferences', 'popup with search', 'Popup with search'),
('en', 'preferences', 'please, select a new theme', 'Please, select a new theme'),
('en', 'preferences', 'please select your timezone.', 'Please select your timezone.'),
('en', 'preferences', 'please select timezones, you want to be able to quickly switch between. switch is not shown, if less then two are selected.', 'Please select timezones, you want to be able to quickly switch between. Switch is NOT shown, if less then two are selected.'),
('en', 'preferences', 'permanent time zone selection', 'Permanent time zone selection'),
('en', 'preferences', 'p: paragraph', 'p: Paragraph'),
('en', 'preferences', 'office 2003 theme', 'Office 2003 theme'),
('en', 'preferences', 'number format', 'Number format'),
('en', 'preferences', 'note: this feature does *not* change your email password. this will need to be done manually.', 'Note: This feature does *not* change your email password. This will need to be done manually.'),
('en', 'preferences', 'note: this feature does *not* change your email password. this will', 'note: This feature does *not* change your email password. This will'),
('en', 'preferences', 'no default', 'No default'),
('en', 'preferences', 'max number of icons in navbar', 'Max number of icons in navigation bar'),
('en', 'preferences', 'max matches per page', 'Max matches per page'),
('en', 'preferences', 'language', 'Language'),
('en', 'preferences', 'interface/template selection', 'Interface/Template Selection'),
('en', 'preferences', 'in which country are you. this is used to set certain defaults for you.', 'In which country are you. This is used to set certain defaults for you.'),
('en', 'preferences', 'images linked to an entry can be displayed as thumbnails.  you can turn this off to speed up page display.', 'Images linked to an entry can be displayed as thumbnails.  You can turn this off to speed up page display.'),
('en', 'preferences', 'icons only', 'icons only'),
('en', 'preferences', 'icons and text', 'Icons and text'),
('en', 'preferences', 'icon', 'Icon'),
('en', 'preferences', 'how should egroupware display dates for you.', 'How should eGroupWare display dates for you.'),
('en', 'preferences', 'how many icons should be shown in the navbar (top of the page). additional icons go into a kind of pulldown menu, callable by th', 'How many icons should be shown in the navigation bar at the top of the page. Additional icons go into a pulldown menu, callable by the icon on the far right side of the navbar.'),
('en', 'preferences', 'how many hours are you in front or after the timezone of the server.<br>if you are in the same time zone as the server select 0 ', 'How many hours are you in front or after the timezone of the server.<br>If you are in the same time zone as the server select 0 hours, else select your locale date and time.'),
('en', 'preferences', 'how do you like to select accounts', 'How would you like to select accounts'),
('en', 'preferences', 'how do you like to display accounts', 'How would you like to display accounts'),
('en', 'preferences', 'hours', 'hours'),
('en', 'preferences', 'help off', 'Help off'),
('en', 'preferences', 'forced preferences', 'Forced Preferences'),
('en', 'preferences', 'failed to change password.  please contact your administrator.', 'Failed to change password.  Please contact your administrator.'),
('en', 'preferences', 'enter your old password', 'Enter your old password'),
('en', 'preferences', 'enter your new password', 'Enter your new password'),
('en', 'preferences', 'enables or disables dropdown selectbox resizing for ie in all applications. if the browser is not an ie , the option will not ap', 'Enables or disables selectbox-dropdown-menu resizing for IE in all applications. If the browser is not an IE , the option will not apply. This feature is experimental at the moment.'),
('en', 'preferences', 'enables or disables drag and drop functions in all applications. if the browser does not support drag and drop, it will be disab', 'Enables or disables drag and drop functions in all applications. If the browser does not support drag and drop, it will be disabled automatically. This feature is experimental at the moment.'),
('en', 'preferences', 'enable selectbox dropdown resizing for ie (experimental)', 'Enable selectbox-dropdown-menu resizing for IE (experimental)'),
('en', 'preferences', 'enable drag and drop functionality (experimental)', 'Enable drag and drop functionality (experimental)'),
('en', 'preferences', 'edit custom fields', 'edit custom fields'),
('en', 'preferences', 'do you prefer a 24 hour time format, or a 12 hour one with am/pm attached.', 'Do you prefer a 24 hour time format, or a 12 hour one with am/pm attached.'),
('en', 'preferences', 'div', 'div'),
('en', 'preferences', 'display thumbnails for linked images', 'Display thumbnails for linked images'),
('en', 'preferences', 'description can not exceed 255 characters in length !', 'Description can not exceed 255 characters in length !'),
('en', 'preferences', 'delete categories', 'Delete Categories'),
('en', 'preferences', 'default application', 'Default application'),
('en', 'preferences', 'default preferences', 'Default Preferences'),
('en', 'preferences', 'default theme', 'Default theme'),
('en', 'preferences', 'default', 'default'),
('en', 'preferences', 'date format', 'Date format'),
('en', 'preferences', 'color', 'Color'),
('en', 'preferences', 'country', 'Country'),
('en', 'preferences', 'change your password', 'Change your Password'),
('en', 'preferences', 'change your profile', 'Change your profile'),
('en', 'preferences', 'change your settings', 'Change your Settings'),
('en', 'preferences', 'click to select a color', 'Click to select a color'),
('en', 'preferences', 'change a user password by passing the old and new passwords.  returns true on success, false on failure.', 'Change a user password by passing the old and new passwords.  Returns TRUE on success, FALSE on failure.'),
('en', 'preferences', 'are you sure you want to delete this category ?', 'Are you sure you want to delete this category ?'),
('en', 'preferences', 'any listing in egw will show you this number of entries or lines per page.<br>to many slow down the page display, to less will c', 'Any listing in eGroupWare will show you this number of entries or lines per page.<br>Too many slow down the page display, too less will cost you the overview.'),
('en', 'preferences', 'acl grants have been updated', 'ACL grants have been updated'),
('en', 'preferences', 'a theme defines the colors and fonts used by the template.', 'A theme defines the colors and fonts used by the template.'),
('en', 'preferences', 'a template defines the layout of egroupware and it contains icons for each application.', 'A template defines the layout of eGroupWare and it contains icons for each application.'),
('en', 'preferences', '24 hour', '24 hour'),
('en', 'preferences', '12 hour', '12 hour'),
('en', 'preferences', '%1 hours', '%1 hours'),
('en', 'preferences', '%1 - preferences', '%1 - Preferences'),
('en', 'preferences', 'manage emailfilter / vacation', 'Manage EMailfilter / Vacation'),
('en', 'preferences', 'sf project tracker preferences', 'SF Project tracker preferences'),
('en', 'developer_tools', 'you need to set your preferences for this app', 'You need to set your preferences for this app'),
('en', 'developer_tools', 'you must select a project', 'You must select a project'),
('en', 'developer_tools', 'you must a version', 'You must a version'),
('en', 'developer_tools', 'you must enter a change', 'You must enter a change'),
('en', 'developer_tools', 'you have to [save] every manual change in the above fields, before you can go to the next step !!!', 'You have to [Save] every manual change in the above fields, before you can go to the next step !!!'),
('en', 'developer_tools', 'writing langfile for ''%1'' ...', 'Writing langfile for ''%1'' ...'),
('en', 'developer_tools', 'write to lang table', 'Write to lang table'),
('en', 'developer_tools', 'write the lang-file to the apps setup-dir', 'Write the lang-file to the apps setup-dir'),
('en', 'developer_tools', 'write', 'Write'),
('en', 'developer_tools', 'version', 'Version'),
('en', 'developer_tools', 'updates the translations of both lang-files in your database, so you can verify your work immediately', 'Updates the translations of both lang-files in your database, so you can verify your work immediately'),
('en', 'developer_tools', 'update database', 'Update Database'),
('en', 'developer_tools', 'update', 'Update'),
('en', 'developer_tools', 'translation of phrase', 'Translation of phrase'),
('en', 'developer_tools', 'translation', 'Translation'),
('en', 'developer_tools', 'translate', 'Translate'),
('en', 'developer_tools', 'title', 'Title'),
('en', 'developer_tools', 'target language', 'Target Language'),
('en', 'developer_tools', 'submit', 'Submit'),
('en', 'developer_tools', 'step', 'Step'),
('en', 'developer_tools', 'sourceforge project tracker preferences', 'Sourceforge project tracker preferences'),
('en', 'developer_tools', 'sourceforge project tracker', 'Sourceforge project tracker'),
('en', 'developer_tools', 'sourceforge project id', 'Sourceforge project ID'),
('en', 'developer_tools', 'source language', 'Source Language'),
('en', 'developer_tools', 'sf project tracker', 'SF Project tracker'),
('en', 'developer_tools', 'select project', 'Select project'),
('en', 'developer_tools', 'search for missing phrase', 'Search for missing phrase'),
('en', 'developer_tools', 'search new phrases', 'Search new phrases'),
('en', 'developer_tools', 'searches the source-code for phrases not in the actual source-lang-file', 'Searches the source-code for phrases not in the actual source-lang-file'),
('en', 'developer_tools', 'search changelogs', 'Search changelogs'),
('en', 'developer_tools', 'revert', 'Revert'),
('en', 'developer_tools', 'saves the added/changed translations to an internal buffer, to be used in further steps', 'Saves the added/changed translations to an internal buffer, to be used in further steps'),
('en', 'developer_tools', 'returns to the application list, not saved changes get lost !!!', 'Returns to the application list, not saved changes get lost !!!'),
('en', 'developer_tools', 'removed %1 phrases from the target language, as they are not present in the source language!', 'Removed %1 phrases from the target language, as they are not present in the source language!'),
('en', 'developer_tools', 'remove', 'Remove'),
('en', 'developer_tools', 'project', 'Project'),
('en', 'developer_tools', 'preferences have been updated', 'Preferences have been updated'),
('en', 'developer_tools', 'preferences', 'Preferences'),
('en', 'developer_tools', 'phrase in english (or empty if identical)', 'Phrase in English (or empty if identical)'),
('en', 'developer_tools', 'original', 'Original'),
('en', 'developer_tools', 'ok', 'ok'),
('en', 'developer_tools', 'message_id in english', 'message_id in English'),
('en', 'developer_tools', 'no file', 'no file'),
('en', 'developer_tools', 'message', 'Message'),
('en', 'developer_tools', 'loads the selected lang-files, to be modified in the next steps', 'Loads the selected lang-files, to be modified in the next steps'),
('en', 'developer_tools', 'loading target langfile', 'Loading target langfile'),
('en', 'developer_tools', 'loading source langfile', 'Loading source langfile'),
('en', 'developer_tools', 'load', 'Load'),
('en', 'developer_tools', 'list changelogs', 'List changelogs'),
('en', 'developer_tools', 'language file management', 'Language file management'),
('en', 'developer_tools', 'installed applications', 'Installed applications'),
('en', 'developer_tools', 'edit', 'Edit'),
('en', 'developer_tools', 'download the lang-file to be saved in the apps setup-dir', 'Download the lang-file to be saved in the apps setup-dir'),
('en', 'developer_tools', 'download', 'Download'),
('en', 'developer_tools', 'diary', 'Diary'),
('en', 'developer_tools', 'done', 'done'),
('en', 'developer_tools', 'developer tools - preferences', 'Developer tools - preferences'),
('en', 'developer_tools', 'create sgml file', 'Create SGML file'),
('en', 'developer_tools', 'create new language file', 'Create New Language File'),
('en', 'developer_tools', 'changelogs', 'Changelogs'),
('en', 'developer_tools', 'clears the internal buffer, all changes made sofar are lost', 'Clears the internal buffer, all changes made sofar are lost'),
('en', 'developer_tools', 'changelog entry has been added', 'Changelog entry has been added'),
('en', 'developer_tools', 'change', 'Change'),
('en', 'developer_tools', 'cancel', 'Cancel'),
('en', 'developer_tools', 'back', 'Back'),
('en', 'developer_tools', 'application', 'Application'),
('en', 'developer_tools', 'allows you to add a single phrase', 'Allows you to add a single phrase'),
('en', 'developer_tools', 'add phrase', 'add phrase'),
('en', 'developer_tools', 'add new phrase', 'Add new phrase'),
('en', 'developer_tools', 'add more', 'Add more'),
('en', 'developer_tools', 'add change', 'Add change'),
('en', 'developer_tools', 'add', 'add'),
('en', 'calendar', 'deleted', 'Deleted.'),
('en', 'calendar', 'your meeting that had been scheduled for %1 has been rescheduled to %2', 'Your meeting that had been scheduled for %1 has been rescheduled to %2'),
('en', 'calendar', 'your meeting scheduled for %1 has been canceled', 'Your meeting scheduled for %1 has been canceled'),
('en', 'calendar', 'you requested more than available for the selected resource:', 'You requested more than available for the selected resource:'),
('en', 'calendar', 'you need to set either a day or a occurence !!!', 'You need to set either a day or a occurence !!!'),
('en', 'calendar', 'you need to select an ical file first', 'You need to select an iCal file first'),
('en', 'calendar', 'you need to select an account, contact or resource first!', 'You need to select an account, contact or resource first!'),
('en', 'calendar', 'you have been disinvited from the meeting at %1', 'You have been disinvited from the meeting at %1'),
('en', 'calendar', 'you have a meeting scheduled for %1', 'You have a meeting scheduled for %1'),
('en', 'calendar', 'you do not have permission to read this record!', 'You do not have permission to read this record!'),
('en', 'calendar', 'you can only set a year or a occurence !!!', 'You can only set a year or a occurrence !!!'),
('en', 'calendar', 'you can either set a year or a occurence, not both !!!', 'You can either set a Year or a Occurrence, not both !!!'),
('en', 'calendar', 'you are not allowed to book the resource selected:', 'You are not allowed to book the resource selected:'),
('en', 'calendar', 'yearview', 'Year view'),
('en', 'calendar', 'yearly', 'Yearly'),
('en', 'calendar', 'workdays', 'Work days'),
('en', 'calendar', 'workday', 'Work day'),
('en', 'calendar', 'work day starts on', 'Work day starts on'),
('en', 'calendar', 'work day ends on', 'Work day ends on'),
('en', 'calendar', 'wk', 'Wk'),
('en', 'calendar', 'whole query', 'whole query'),
('en', 'calendar', 'whole day', 'Whole day'),
('en', 'calendar', 'which of calendar view do you want to see, when you start calendar ?', 'Which of calendar views do you want to see, when you start calendar ?'),
('en', 'calendar', 'which events do you want to see when you enter the calendar.', 'Which events do you want to see when you enter the calendar.'),
('en', 'calendar', 'weekview without weekend', 'Weekview without weekend'),
('en', 'calendar', 'weekview with weekend', 'Weekview with weekend'),
('en', 'calendar', 'weekview', 'Weekview'),
('en', 'calendar', 'weeks in multiple week view', 'Weeks in multiple week view'),
('en', 'calendar', 'weekly', 'Weekly'),
('en', 'calendar', 'weekdays to use in search', 'Weekdays to use in search'),
('en', 'calendar', 'weekdays', 'Weekdays'),
('en', 'calendar', 'weekday starts on', 'Weekday starts on'),
('en', 'calendar', 'weekday', 'Weekday'),
('en', 'calendar', 'week', 'Week'),
('en', 'calendar', 'wed', 'Wed'),
('en', 'calendar', 'views with fixed time intervals', 'Views with fixed time intervals'),
('en', 'calendar', 'view this event', 'View this event'),
('en', 'calendar', 'view exception', 'View exception'),
('en', 'calendar', 'view series', 'View series'),
('en', 'calendar', 'user or group', 'User or group'),
('en', 'calendar', 'use this timezone to export calendar data.', 'Use this timezone to export calendar data.'),
('en', 'calendar', 'use end date', 'Use End date'),
('en', 'calendar', 'use the selected time and close the popup', 'Use the selected time and close the popup'),
('en', 'calendar', 'update timezones', 'Update timezones'),
('en', 'calendar', 'updated', 'Updated'),
('en', 'calendar', 'tomorrow', 'Tomorrow'),
('en', 'calendar', 'translation', 'Translation'),
('en', 'calendar', 'tue', 'Tue'),
('en', 'calendar', 'two weeks', 'Two weeks'),
('en', 'calendar', 'to-lastname', 'To last name'),
('en', 'calendar', 'to-fullname', 'To fullname'),
('en', 'calendar', 'to-firstname', 'To first name'),
('en', 'calendar', 'to many might exceed your execution-time-limit', 'too many might exceed your execution-time-limit'),
('en', 'calendar', 'title of the event', 'Title of the event'),
('en', 'calendar', 'timezones updated to version %1 (%2 records updated).', 'Timezones updated to version %1 (%2 records updated).'),
('en', 'calendar', 'timezone of event exports', 'Timezone of event exports'),
('en', 'calendar', 'timezone in which recurrences have identical time', 'Timezone in which recurrences have identical time'),
('en', 'calendar', 'timezone', 'Timezone'),
('en', 'calendar', 'timeframe to search', 'Timeframe to search'),
('en', 'calendar', 'timeframe', 'Timeframe'),
('en', 'calendar', 'til', 'til'),
('en', 'calendar', 'thu', 'Thu'),
('en', 'calendar', 'three month', 'Three month'),
('en', 'calendar', 'this module displays the current month', 'This module displays the current month'),
('en', 'calendar', 'this message is sent when you set an alarm for a certain event. include all information you might need.', 'This message is sent when you set an Alarm for a certain event. Include all information you might need.'),
('en', 'calendar', 'this message is sent when you accept, tentative accept or reject an event.', 'This message is sent when you accept, tentative accept or reject an event.'),
('en', 'calendar', 'this message is sent to every participant of events you own, who has requested notifcations about new events.<br>you can use cer', 'This message is sent to every participant of events you own, who has requested notifications about new events.<br>You can use certain variables which get substituted with the data of the event. The first line is the subject of the email.'),
('en', 'calendar', 'this message is sent to disinvited participants.', 'This message is sent to disinvited participants.'),
('en', 'calendar', 'this message is sent for modified or moved events.', 'This message is sent for modified or moved events.'),
('en', 'calendar', 'this message is sent for canceled or deleted events.', 'This message is sent for canceled or deleted events.'),
('en', 'calendar', 'this group that is preselected when you enter the planner. you can change it in the planner anytime you want.', 'This group that is preselected when you enter the planner. You can change it in the planner anytime you want.'),
('en', 'calendar', 'this event is part of a series', 'This event is part of a series'),
('en', 'calendar', 'this entry is opened by user:', 'This entry was opened within the configured time interval by user:'),
('en', 'calendar', 'this entry is currently opened by %1!', 'This entry is currently opened by %1!'),
('en', 'calendar', 'this defines the start of your dayview. events before this time, are shown above the dayview.<br>this time is also used as a def', 'This defines the start of your day view. Events before this time, are shown above the day view.<br>This time is also used as a default start time for new events.'),
('en', 'calendar', 'this defines the end of your dayview. events after this time, are shown below the dayview.', 'This defines the end of your day view. Events after this time, are shown below the day view.'),
('en', 'calendar', 'this day is shown as first day in the week or month view.', 'This day is shown as first day in the week or month view.'),
('en', 'calendar', 'the resource you selected is already overbooked:', 'The resource you selected is already overbooked:'),
('en', 'calendar', 'test import (show importable records <u>only</u> in browser)', 'Test Import (show importable records <u>only</u> in browser)'),
('en', 'calendar', 'tentative', 'Tentative'),
('en', 'calendar', 'sun', 'Sun'),
('en', 'calendar', 'submit to repository', 'Submit to Repository'),
('en', 'calendar', 'status of participants set to unknown because of missing category rights', 'Status of participants set to unknown because of missing category rights'),
('en', 'calendar', 'status for this particular day changed', 'Status for this particular day changed'),
('en', 'calendar', 'status for all future scheduled days changed', 'Status for all future scheduled days changed'),
('en', 'calendar', 'status changed', 'Status changed'),
('en', 'calendar', 'startdate of the export', 'Start date of the export'),
('en', 'calendar', 'startrecord', 'Start record'),
('en', 'calendar', 'startdate and -time of the search', 'Start date and -time of the search'),
('en', 'calendar', 'startdate / -time', 'Start date / -time'),
('en', 'calendar', 'startdate', 'Startdate'),
('en', 'calendar', 'start date/time', 'Start Date/Time'),
('en', 'calendar', 'start', 'Start'),
('en', 'calendar', 'single event', 'Single event'),
('en', 'calendar', 'show this month', 'Show this month'),
('en', 'calendar', 'show this week', 'Show this week'),
('en', 'calendar', 'show only tentative accepted events', 'Show only tentative accepted events'),
('en', 'calendar', 'show only rejected events', 'Show only rejected events'),
('en', 'calendar', 'show only invitations, not yet accepted or rejected', 'Show only invitations, not yet accepted or rejected'),
('en', 'calendar', 'show only accepted events', 'Show only accepted events'),
('en', 'calendar', 'show list of upcoming events', 'Show list of upcoming events'),
('en', 'calendar', 'show empty rows in planner', 'Show empty rows in Planner'),
('en', 'calendar', 'show default view on main screen', 'Show default view on main screen'),
('en', 'calendar', 'show also events just owned by selected user', 'Show also events just owned by selected user'),
('en', 'calendar', 'show all status, but rejected', 'Show all status, but rejected'),
('en', 'calendar', 'show all status incl. rejected events', 'Show all status incl. rejected events'),
('en', 'calendar', 'show all events, as if they were private', 'Show all events, as if they were private'),
('en', 'calendar', 'should the status of the event-participants (accept, reject, ...) be shown in brakets after each participants name ?', 'Should the status of the event-participants (accept, reject, ...) be shown in brackets after each participant''s name ?'),
('en', 'calendar', 'should the planner display an empty row for users or categories without any appointment.', 'Should the planner display an empty row for users or categories without any appointment.'),
('en', 'calendar', 'should not loged in persons be able to see your freebusy information? you can set an extra password, different from your normal ', 'Should not logged in persons be able to see your Free/Busy information? You can set an extra password, different from your normal password, to protect this information. The Free/Busy information is in iCal format and only includes the times when you are busy. It does not include the event-name, description or locations. The URL to your Free/Busy information is %1.'),
('en', 'calendar', 'should new events created as private by default ?', 'Should new events created as private by default ?'),
('en', 'calendar', 'set new events to private', 'Set new events to private'),
('en', 'calendar', 'set a year only for one-time / non-regular holidays.', 'Set a Year only for one-time / non-regular holidays.'),
('en', 'calendar', 'selected range', 'Selected range'),
('en', 'calendar', 'select who should get the alarm', 'Select who should get the alarm'),
('en', 'calendar', 'select resources', 'Select resources'),
('en', 'calendar', 'select multiple contacts for a further action', 'Select multiple contacts for a further action'),
('en', 'calendar', 'select a time', 'Select a time'),
('en', 'calendar', 'select an action', 'Select an action'),
('en', 'calendar', 'select a %1', 'Select a %1'),
('en', 'calendar', 'scheduling conflict', 'Scheduling conflict'),
('en', 'calendar', 'saves the event ignoring the conflict', 'Saves the event ignoring the conflict'),
('en', 'calendar', 'saves the changes made', 'Saves the changes made'),
('en', 'calendar', 'save event as exception - delete single occurrence - edit status or alarms for this particular day', 'Save event as exception - Delete single occurrence - Edit status or alarms for this particular day'),
('en', 'calendar', 'sat', 'Sat'),
('en', 'calendar', 'rule', 'Rule'),
('en', 'calendar', 'role', 'Role'),
('en', 'calendar', 'restrict set status to', 'Restrict set status to'),
('en', 'calendar', 'restrict add category to', 'Restrict add category to'),
('en', 'calendar', 'resources with conflict detection', 'Resources with conflict detection'),
('en', 'calendar', 'resources except conflicting ones', 'Resources except conflicting ones'),
('en', 'calendar', 'requested', 'Requested'),
('en', 'calendar', 'reset', 'Reset'),
('en', 'calendar', 'resources', 'Resources'),
('en', 'calendar', 'repetitiondetails (or empty)', 'Repetition details (or empty)'),
('en', 'calendar', 'repeating interval, eg. 2 to repeat every second week', 'Repeating interval, e.g. 2 to repeat every second week'),
('en', 'calendar', 'repetition', 'Repetition'),
('en', 'calendar', 'repeating event information', 'Repeating Event Information'),
('en', 'calendar', 'repeat type', 'Repeat type'),
('en', 'calendar', 'repeat the event until which date (empty means unlimited)', 'Repeat the event until which date (empty means unlimited)'),
('en', 'calendar', 'repeat days', 'Repeat days'),
('en', 'calendar', 'recurring event', 'Recurring event'),
('en', 'calendar', 'rejected', 'Rejected'),
('en', 'calendar', 'recurrence', 'Recurrence'),
('en', 'calendar', 'receive summary of appointments', 'Receive summary of appointments'),
('en', 'calendar', 'receive email updates', 'Receive email updates'),
('en', 'calendar', 'quantity', 'Quantity'),
('en', 'calendar', 're-edit event', 'Re-Edit event'),
('en', 'calendar', 'private only', 'Private Only'),
('en', 'calendar', 'private and group public', 'private and group public'),
('en', 'calendar', 'previous', 'previous'),
('en', 'calendar', 'private and global public', 'private and global public'),
('en', 'calendar', 'preselected group for entering the planner', 'Preselected group for entering the planner'),
('en', 'calendar', 'please note: you can configure the field assignments after you uploaded the file.', 'Please note: You can configure the field assignments AFTER you uploaded the file.'),
('en', 'calendar', 'planner by user', 'Planner by user'),
('en', 'calendar', 'planner by category', 'Planner by category'),
('en', 'calendar', 'permission denied', 'Permission denied'),
('en', 'calendar', 'people holiday', 'People holiday'),
('en', 'calendar', 'password for not loged in users to your freebusy information?', 'Password for not logged in users to your Free/Busy information?'),
('en', 'calendar', 'participants, resources, ...', 'Participants, Resources, ...'),
('en', 'calendar', 'participants disinvited from an event', 'Participants disinvited from an event'),
('en', 'calendar', 'owner too', 'Owner too'),
('en', 'calendar', 'participants', 'Participants'),
('en', 'calendar', 'overlap holiday', 'Overlap holiday'),
('en', 'calendar', 'open todo''s:', 'Open ToDo''s:'),
('en', 'calendar', 'optional', 'Optional'),
('en', 'calendar', 'only the initial date of that recuring event is checked!', 'Only the initial date of that recurring event is checked!'),
('en', 'calendar', 'only group-events', 'Only group-events'),
('en', 'calendar', 'one year', 'one year'),
('en', 'calendar', 'one week', 'one week'),
('en', 'calendar', 'one month', 'one month'),
('en', 'calendar', 'on time change of more than 4 hours too', 'On time change of more than 4 hours too'),
('en', 'calendar', 'on participant responses too', 'On participant responses too'),
('en', 'calendar', 'on invitation / cancelation only', 'On invitation / cancelation only'),
('en', 'calendar', 'on any time change too', 'On any time change too'),
('en', 'calendar', 'on all modification, but responses', 'On all modification, but responses'),
('en', 'calendar', 'on %1 %2 %3 your meeting request for %4', 'On %1 %2 %3 your meeting request for %4'),
('en', 'calendar', 'olddate', 'Original date'),
('en', 'calendar', 'observance rule', 'Observance Rule'),
('en', 'calendar', 'occurence', 'Occurence'),
('en', 'calendar', 'old startdate', 'Old Start date'),
('en', 'calendar', 'number of weeks to show', 'Number of weeks to show'),
('en', 'calendar', 'number of records to read (%1)', 'Number of records to read (%1)'),
('en', 'calendar', 'notification messages for your responses', 'Notification messages for your responses'),
('en', 'calendar', 'notification messages for your alarms', 'Notification messages for your alarms'),
('en', 'calendar', 'notification messages for modified events', 'Notification messages for modified events'),
('en', 'calendar', 'notification messages for disinvited participants', 'Notification messages for disinvited participants'),
('en', 'calendar', 'notification messages for canceled events', 'Notification messages for canceled events'),
('en', 'calendar', 'notification messages for added events', 'Notification messages for added events'),
('en', 'calendar', 'nothing to update, version is already %1.', 'Nothing to update, version is already %1.'),
('en', 'calendar', 'not rejected', 'Not rejected'),
('en', 'calendar', 'no response', 'No response'),
('en', 'calendar', 'non blocking', 'non blocking'),
('en', 'calendar', 'not', 'not'),
('en', 'calendar', 'no recurrence', 'No recurrence'),
('en', 'calendar', 'no matches found', 'No matches found'),
('en', 'calendar', 'no filter', 'No filter'),
('en', 'calendar', 'no events found', 'No events found'),
('en', 'calendar', 'new search with the above parameters', 'New search with the above parameters'),
('en', 'calendar', 'monthview', 'Month view'),
('en', 'calendar', 'multiple week view', 'Multiple week view'),
('en', 'calendar', 'needs action', 'Needs action'),
('en', 'calendar', 'monthly (by day)', 'Monthly (by day)'),
('en', 'calendar', 'monthly', 'Monthly'),
('en', 'calendar', 'monthly (by date)', 'Monthly (by date)'),
('en', 'calendar', 'mon', 'Mon'),
('en', 'calendar', 'modified', 'Modified'),
('en', 'calendar', 'minutes', 'Minutes'),
('en', 'calendar', 'make freebusy information available to not loged in persons?', 'Make Free/Busy information available to not logged in persons?'),
('en', 'calendar', 'mail all participants', 'Mail all participants'),
('en', 'calendar', 'location, start- and endtimes, ...', 'Location, Start and End Times, ...'),
('en', 'calendar', 'location', 'Location'),
('en', 'calendar', 'listview', 'List view'),
('en', 'calendar', 'links', 'Links'),
('en', 'calendar', 'links, attachments', 'Links, Attachments'),
('en', 'calendar', 'length of the time interval', 'Length of the time interval'),
('en', 'calendar', 'link', 'Link to event'),
('en', 'calendar', 'link to view the event', 'Link to view the event'),
('en', 'calendar', 'invalid email-address "%1" for user %2', 'Invalid email-address "%1" for user %2'),
('en', 'calendar', 'invitations', 'Invitations'),
('en', 'calendar', 'invite', 'Invite'),
('en', 'calendar', 'last', 'Last'),
('en', 'calendar', 'lastname of person to notify', 'Last name of a person to notify'),
('en', 'calendar', 'interval', 'Interval'),
('en', 'calendar', 'import', 'Import'),
('en', 'calendar', 'imports events into your calendar from a csv file. csv means ''comma seperated values''. however in the options tab you can also c', 'Imports events into your Calendar from a CSV File. CSV means ''Comma Separated Values''. However in the options Tab you can also choose other separators.'),
('en', 'calendar', 'ignore conflict', 'Ignore conflict'),
('en', 'calendar', 'if you dont set a password here, the information is available to everyone, who knows the url!!!', 'If you don''t set a password here, the information is available to everyone, who knows the URL!!!'),
('en', 'calendar', 'if checked holidays falling on a weekend, are taken on the monday after.', 'If checked holidays are falling on a weekend, they are taken on the Monday after.'),
('en', 'calendar', 'ical successful imported', 'iCal successful imported'),
('en', 'calendar', 'ical import', 'iCal Import'),
('en', 'calendar', 'ical file', 'iCal file'),
('en', 'calendar', 'ical export', 'iCal Export'),
('en', 'calendar', 'ical / rfc2445', 'iCal / rfc2445'),
('en', 'calendar', 'ical', 'iCal'),
('en', 'calendar', 'how many weeks should the multiple week view show?', 'How many weeks should the multiple week view show?'),
('en', 'calendar', 'how many minutes should each interval last?', 'How many minutes should each interval last?'),
('en', 'calendar', 'hours', 'hours'),
('en', 'calendar', 'how far to search (from startdate)', 'How far to search (from start date)'),
('en', 'calendar', 'holidays', 'Holidays'),
('en', 'calendar', 'holiday management', 'Holiday Management'),
('en', 'calendar', 'holiday', 'Holiday'),
('en', 'calendar', 'history', 'History'),
('en', 'calendar', 'high priority', 'High priority'),
('en', 'calendar', 'hide private infos', 'Hide private infos'),
('en', 'calendar', 'here is your requested alarm.', 'Here is your requested alarm.'),
('en', 'calendar', 'h', 'h'),
('en', 'calendar', 'groupmember(s) %1 not included, because you have no access.', 'Group member(s) %1 not included, because of you have no access.'),
('en', 'calendar', 'group public only', 'group public only'),
('en', 'calendar', 'group planner', 'Group planner'),
('en', 'calendar', 'group invitation', 'Group invitation'),
('en', 'calendar', 'general', 'General'),
('en', 'calendar', 'global categories', 'Global Categories'),
('en', 'calendar', 'global public and group public', 'global public and group public'),
('en', 'calendar', 'global public only', 'global public only'),
('en', 'calendar', 'fullname of person to notify', 'Full name of a person to notify'),
('en', 'calendar', 'full description', 'Full description'),
('en', 'calendar', 'fri', 'Fri'),
('en', 'calendar', 'freetime search', 'Freetime Search'),
('en', 'calendar', 'four days view', 'Four days view'),
('en', 'calendar', 'freebusy: unknow user ''%1'', wrong password or not availible to not loged in users !!!', 'Free/Busy: Unknown user ''%1'', wrong password or not available to not logged in users !!!'),
('en', 'calendar', 'forward one month', 'forward one month'),
('en', 'calendar', 'forward half a month', 'forward half a month'),
('en', 'calendar', 'format of event updates', 'Format of event updates'),
('en', 'calendar', 'for', 'for'),
('en', 'calendar', 'for which views should calendar show distinct lines with a fixed time interval.', 'For which views should calendar show distinct lines with a fixed time interval.'),
('en', 'calendar', 'firstname of person to notify', 'First name of a person to notify'),
('en', 'calendar', 'filename', 'File name'),
('en', 'calendar', 'filename of the download', 'File name of the download'),
('en', 'calendar', 'find free timeslots where the selected participants are availible for the given timespan', 'Find free time slots where the selected participants are available for the given time span'),
('en', 'calendar', 'fieldseparator', 'Field separator'),
('en', 'calendar', 'extended updates always include the complete event-details. ical''s can be imported by certain other calendar-applications.', 'Extended updates always include the complete event-details. iCal''s can be imported by certain other calendar-applications.'),
('en', 'calendar', 'extended', 'Extended'),
('en', 'calendar', 'export', 'Export'),
('en', 'calendar', 'existing links', 'Existing links'),
('en', 'calendar', 'execute a further action for this entry', 'Execute a further action for this entry'),
('en', 'calendar', 'exceptions', 'Exceptions'),
('en', 'calendar', 'exception created - you can now edit or delete it', 'Exception created - you can now edit or delete it'),
('en', 'calendar', 'exception', 'Exception'),
('en', 'calendar', 'event deleted', 'Event deleted'),
('en', 'calendar', 'event details follow', 'Event Details follow'),
('en', 'calendar', 'event saved', 'Event saved'),
('en', 'calendar', 'event will occupy the whole day', 'Event will occupy the whole day'),
('en', 'calendar', 'event copied - the copy can now be edited', 'Event copied - the copy can now be edited'),
('en', 'calendar', 'error: no participants selected !!!', 'Error: no participants selected!'),
('en', 'calendar', 'error: ressources reservation in private events is not allowed!!!', 'Error: Resources reservation in private events is not allowed!'),
('en', 'calendar', 'error: saving the event !!!', 'Error saving the event!'),
('en', 'calendar', 'error: starttime has to be before the endtime !!!', 'Error: Start time has to be before the end time !!!'),
('en', 'calendar', 'error: the entry has been updated since you opened it for editing!', 'Error: The entry has been updated since you opened it for editing!'),
('en', 'calendar', 'error: importing the ical', 'Error: importing the iCal!'),
('en', 'calendar', 'ends', 'ends'),
('en', 'calendar', 'error adding the alarm', 'Error adding the alarm'),
('en', 'calendar', 'error: can''t delete original series!', 'Error: Can''t delete original series!'),
('en', 'calendar', 'error: duration of event longer then recurrence interval!', 'Error: Duration of event longer then recurrence interval!'),
('en', 'calendar', 'enddate of the export', 'End date of the export'),
('en', 'calendar', 'enddate / -time of the meeting, eg. for more then one day', 'End date / -time of the meeting, e.g. for more then one day'),
('en', 'calendar', 'enddate', 'End date'),
('en', 'calendar', 'end', 'End'),
('en', 'calendar', 'end date/time', 'End Date/Time'),
('en', 'calendar', 'empty for all', 'Empty for all'),
('en', 'calendar', 'edit this series of recuring events', 'Edit this series of recurring events'),
('en', 'calendar', 'edit this event', 'Edit this event'),
('en', 'calendar', 'edit status or alarms for this particular day', 'Edit status or alarms for this particular day'),
('en', 'calendar', 'edit series', 'Edit series'),
('en', 'calendar', 'edit exception', 'Edit exception'),
('en', 'calendar', 'duration of the meeting', 'Duration of the meeting'),
('en', 'calendar', 'download this event as ical', 'Download this event as iCal'),
('en', 'calendar', 'download', 'Download'),
('en', 'calendar', 'do you want to receive a regulary summary of your appointsments via email?<br>the summary is sent to your standard email-address', 'Do you want to receive regularly a summary of your appointments via email?<br>The summary is sent to your standard email-address on the morning of that day or on Monday for weekly summaries.<br>It is only sent when you have any appointments on that day or week.'),
('en', 'calendar', 'do you want to edit this event as an exception or the whole series?', 'Do you want to edit this event as an exception or the whole series?'),
('en', 'calendar', 'do you want to be notified about new or changed appointments? you are not notified about changes you made yourself.<br>you can l', 'Do you want to be notified about new or changed appointments? You are NOT notified about changes you made yourself.<br>You can limit the notifications to certain changes only. Each item includes all notifications listed above. All modifications include changes of title, description, participants, but no participant responses. If the owner of an event requested any notifications, he will always get participant responses like acceptions or rejections too.'),
('en', 'calendar', 'do you want a weekview with or without weekend?', 'Do you want a weekview with or without weekend?'),
('en', 'calendar', 'do not include events of group members', 'Do not include events of group members'),
('en', 'calendar', 'displays your default calendar view on the startpage (page you get when you enter egroupware or click on the homepage icon)?', 'Displays your default calendar view on the start page (page you get when you enter eGroupWare or click on the homepage icon)?'),
('en', 'calendar', 'displayed view', 'Displayed view'),
('en', 'calendar', 'display status of events', 'Display status of events'),
('en', 'calendar', 'disinvited', 'Disinvited'),
('en', 'calendar', 'delete this series of recuring events', 'Delete this series of recuring events'),
('en', 'calendar', 'deny ressources reservation for private events', 'Deny Resources reservation for private events'),
('en', 'calendar', 'delete this exception', 'Delete this exception'),
('en', 'calendar', 'delete this event', 'Delete this event'),
('en', 'calendar', 'delete this alarm', 'Delete this alarm'),
('en', 'calendar', 'delete series', 'Delete series'),
('en', 'calendar', 'delete selected events', 'Delete selected events'),
('en', 'calendar', 'default week view', 'Default week view'),
('en', 'calendar', 'default type of resources selection', 'Default type of resources selection'),
('en', 'calendar', 'default type of resources application selected in the calendar particpants research form.', 'Default type of resources application selected in the calendar participants research form.'),
('en', 'calendar', 'default length of newly created events. the length is in minutes, eg. 60 for 1 hour.', 'Default length of newly created events. The length is in minutes, e.g. 60 for 1 hour.'),
('en', 'calendar', 'default calendar view', 'Default calendar view'),
('en', 'calendar', 'default calendar filter', 'Default calendar filter'),
('en', 'calendar', 'default appointment length (in minutes)', 'Default appointment length (in minutes)'),
('en', 'calendar', 'dayview', 'Day view'),
('en', 'calendar', 'days repeated', 'days repeated'),
('en', 'calendar', 'daily', 'Daily'),
('en', 'calendar', 'day', 'day'),
('en', 'calendar', 'days', 'days'),
('en', 'calendar', 'days of the week for a weekly repeated event', 'Days of the week for a weekly repeated event'),
('en', 'calendar', 'create new links', 'Create new links'),
('en', 'calendar', 'csv', 'CSV'),
('en', 'calendar', 'csv-fieldname', 'CSV-Fieldname'),
('en', 'calendar', 'csv-filename', 'CSV-Filename'),
('en', 'calendar', 'create exception', 'Create exception'),
('en', 'calendar', 'countries', 'Countries'),
('en', 'calendar', 'country', 'Country'),
('en', 'calendar', 'create an exception for the given date', 'Create an exception for the given date'),
('en', 'calendar', 'copy this event', 'Copy this event');
INSERT INTO `egw_lang` (`lang`, `app_name`, `message_id`, `content`) VALUES
('en', 'calendar', 'copy your changes to the clipboard, %1reload the entry%2 and merge them.', 'Copy your changes to the clipboard, %1reload the entry%2 and merge them.'),
('en', 'calendar', 'copy of:', 'Copy of:'),
('en', 'calendar', 'conflict', 'Conflict'),
('en', 'calendar', 'compose a mail to all participants after the event is saved', 'Compose a mail to all participants after the event is saved'),
('en', 'calendar', 'close the window', 'Close the window'),
('en', 'calendar', 'check all', 'Check all'),
('en', 'calendar', 'charset of file', 'Charset of file'),
('en', 'calendar', 'change history', 'Change history'),
('en', 'calendar', 'chair', 'Chair'),
('en', 'calendar', 'category acl only restrict adding a category to an event or changing status of a participant. it does not change the visibility ', 'Category ACL only restrict adding a category to an event or changing status of a participant. It does NOT change the visibility of an event!'),
('en', 'calendar', 'category acl', 'Category ACL'),
('en', 'calendar', 'canceled', 'Canceled'),
('en', 'calendar', 'category %1 removed because of missing rights', 'Category %1 removed because of missing rights'),
('en', 'calendar', 'can''t aquire lock!', 'Can''t aquire lock!'),
('en', 'calendar', 'can''t add alarms in the past !!!', 'Can''t add alarms in the past !!!'),
('en', 'calendar', 'calendar-fieldname', 'Calendar-Fieldname'),
('en', 'calendar', 'calendar menu', 'Calendar Menu'),
('en', 'calendar', 'calendar preferences', 'Calendar preferences'),
('en', 'calendar', 'calendar event', 'Calendar Event'),
('en', 'calendar', 'by', 'by'),
('en', 'calendar', 'calendar csv export', 'Calendar CSV export'),
('en', 'calendar', 'birthday', 'Birthday'),
('en', 'calendar', 'busy', 'busy'),
('en', 'calendar', 'before the event', 'Before the event'),
('en', 'calendar', 'before current date', 'Before current date'),
('en', 'calendar', 'before %1', 'Before %1'),
('en', 'calendar', 'back one month', 'back one month'),
('en', 'calendar', 'back half a month', 'back half a month'),
('en', 'calendar', 'are you sure you want to delete this holiday ?', 'Are you sure you want to delete this holiday ?'),
('en', 'calendar', 'are you sure you want to delete this country ?', 'Are you sure you want to delete this Country ?'),
('en', 'calendar', 'apply the changes', 'apply the changes'),
('en', 'calendar', 'apply the action on the whole query, not only the shown events', 'Apply the action on the whole query, NOT only the shown events'),
('en', 'calendar', 'allows to edit the event again', 'Allows to edit the event again'),
('en', 'calendar', 'all participants', 'All participants'),
('en', 'calendar', 'all incl. rejected', 'All incl. rejected'),
('en', 'calendar', 'all future', 'All future'),
('en', 'calendar', 'all day', 'All day'),
('en', 'calendar', 'all events', 'All events'),
('en', 'calendar', 'all categories', 'All categories'),
('en', 'calendar', 'alarms', 'Alarms'),
('en', 'calendar', 'alarm management', 'Alarm management'),
('en', 'calendar', 'alarm deleted', 'Alarm deleted'),
('en', 'calendar', 'alarm for %1 at %2 in %3', 'Alarm for %1 at %2 in %3'),
('en', 'calendar', 'alarm added', 'Alarm added'),
('en', 'calendar', 'after current date', 'After current date'),
('en', 'calendar', 'alarm', 'Alarm'),
('en', 'calendar', 'after %1', 'After %1'),
('en', 'calendar', 'added by synchronisation', 'Added by synchronisation'),
('en', 'calendar', 'added', 'Added'),
('en', 'calendar', 'actions', 'Actions'),
('en', 'calendar', 'add alarm', 'Add alarm'),
('en', 'calendar', 'action that caused the notify: added, canceled, accepted, rejected, ...', 'Action that caused the notify: Added, Canceled, Accepted, Rejected, ...'),
('en', 'calendar', 'access denied to the calendar of %1 !!!', 'Access denied to the calendar of %1 !!!'),
('en', 'calendar', 'accepted', 'Accepted'),
('en', 'calendar', 'accept or reject an invitation', 'Accept or reject an invitation'),
('en', 'calendar', 'a non blocking event will not conflict with other events', 'A non blocking event will not conflict with other events'),
('en', 'calendar', '%1 weeks', '%1 weeks'),
('en', 'calendar', '<b>please note</b>: the calendar use the holidays of your country, which is set to %1. you can change it in your %2.<br />holida', '<b>Please note</b>: The calendar use the holidays of your country, which is set to %1. You can change it in your %2.<br />Holidays are %3 automatic installed from %4. You can change it in %5.'),
('en', 'calendar', '%1 records read (not yet imported, you may go back and uncheck test import)', '%1 records read (not yet imported, you may go back and uncheck Test Import)'),
('en', 'calendar', '%1 records imported', '%1 records imported'),
('en', 'calendar', '%1 participants removed because of missing invite grants', '%1 participants removed because of missing invite grants'),
('en', 'calendar', '%1 %2 in %3', '%1 %2 in %3'),
('en', 'bookmarks', 'you need to select a category!', 'You need to select a category!'),
('en', 'bookmarks', 'warning', 'Warning'),
('en', 'bookmarks', 'you are viewing this site outside of egroupware', 'You are viewing this site outside of eGroupWare'),
('en', 'bookmarks', 'you must select a category', 'You must select a category'),
('en', 'bookmarks', 'view bookmark', 'View bookmark'),
('en', 'bookmarks', 'view this bookmark', 'View this bookmark'),
('en', 'bookmarks', 'url is required.', 'URL is required.'),
('en', 'bookmarks', 'tree view', 'Tree view'),
('en', 'bookmarks', 'unable to open temp file %1 for import.', 'Unable to open temp file %1 for import.'),
('en', 'bookmarks', 'total visits', 'total visits'),
('en', 'bookmarks', 'to which category should the imported folder hierarchy be attached', 'To which category should the imported folder hierarchy be attached'),
('en', 'bookmarks', 'to e-mail addresses', 'To E-Mail Addresses'),
('en', 'bookmarks', 'select the format you would like to export to', 'Select the format you would like to export to'),
('en', 'bookmarks', 'send bookmark', 'Send bookmark'),
('en', 'bookmarks', 'sub category', 'Sub Category'),
('en', 'bookmarks', 'this module displays bookmarks in a javascript based tree', 'This module displays bookmarks in a javascript based tree'),
('en', 'bookmarks', 'to address %1 invalid. format must be <strong>user@domain</strong> and domain must exist!', 'To address %1 invalid. Format must be <strong>user@domain</strong> and domain must exist!'),
('en', 'bookmarks', 'query condition', 'Query Condition'),
('en', 'bookmarks', 'rating', 'Rating'),
('en', 'bookmarks', 'search for:', 'Search for:'),
('en', 'bookmarks', 'please select the categories to export', 'Please select the categories to export'),
('en', 'bookmarks', 'please fill out <b>to e-mail address</b>, <b>subject</b>, and <b>message</b>!', 'Please fill out <B>To E-Mail Address</B>, <B>Subject</B>, and <B>Message</B>!'),
('en', 'bookmarks', 'or', 'or'),
('en', 'bookmarks', 'new', 'New'),
('en', 'bookmarks', 'new bookmark', 'new bookmark'),
('en', 'bookmarks', 'netscape bookmark filename is required!', 'Netscape bookmark filename is required!'),
('en', 'bookmarks', 'netscape bookmark file', 'Netscape Bookmark File'),
('en', 'bookmarks', 'name', 'Name'),
('en', 'bookmarks', 'name is required', 'Name is required'),
('en', 'bookmarks', 'more', 'More'),
('en', 'bookmarks', 'mass update:', 'Mass update:'),
('en', 'bookmarks', 'message from', 'Message from'),
('en', 'bookmarks', 'mail-this-link message sent to %1.', 'mail-this-link message sent to %1.'),
('en', 'bookmarks', 'mail this bookmark', 'Mail this bookmark'),
('en', 'bookmarks', 'lowest', 'Lowest'),
('en', 'bookmarks', 'list view', 'list view'),
('en', 'bookmarks', 'like', 'like'),
('en', 'bookmarks', 'i thought you would be interested in the following link(s):', 'I thought you would be interested in the following link(s):'),
('en', 'bookmarks', 'highest', 'Highest'),
('en', 'bookmarks', 'global categories', 'Global Categories'),
('en', 'bookmarks', 'from category %1', 'from category %1'),
('en', 'bookmarks', 'from', 'From'),
('en', 'bookmarks', 'found a link you might like', 'Found a link you might like'),
('en', 'bookmarks', 'fewer', 'Fewer'),
('en', 'bookmarks', 'filter by', 'Filter by'),
('en', 'bookmarks', 'enter the name of the netscape bookmark file<br>that you want imported into bookmarker below.', 'Enter the name of the Netscape bookmark file<br>that you want imported into bookmarker below.'),
('en', 'bookmarks', 'edit bookmark', 'Edit bookmark'),
('en', 'bookmarks', 'edit this bookmark', 'Edit this bookmark'),
('en', 'bookmarks', 'date last visited', 'Date last visited'),
('en', 'bookmarks', 'descending', 'Descending'),
('en', 'bookmarks', 'date changed', 'Date Changed'),
('en', 'bookmarks', 'date last updated', 'Date last updated'),
('en', 'bookmarks', 'create bookmark', 'Create bookmark'),
('en', 'bookmarks', 'create new bookmark', 'Create new bookmark'),
('en', 'bookmarks', 'date added', 'Date added'),
('en', 'bookmarks', 'change bookmark', 'Change Bookmark'),
('en', 'bookmarks', 'choose the categories to display', 'Choose the categories to display'),
('en', 'bookmarks', 'close this window to return', 'close this window to return'),
('en', 'bookmarks', 'bookmarks settings', 'Bookmarks Settings'),
('en', 'bookmarks', 'bookmark not editable', 'Bookmark not editable'),
('en', 'bookmarks', 'bookmark not readable', 'Bookmark not readable'),
('en', 'bookmarks', 'bookmark deleted successfully.', 'bookmark deleted successfully.'),
('en', 'bookmarks', 'bookmark created successfully.', 'Bookmark created successfully.'),
('en', 'bookmarks', 'bookmark deleted successfully', 'Bookmark deleted successfully.'),
('en', 'bookmarks', 'ascending', 'Ascending'),
('en', 'bookmarks', 'bookmark changed sucessfully', 'Bookmark changed sucessfully'),
('en', 'bookmarks', 'append this message to mailed bookmarks', 'Append this message to mailed bookmarks'),
('en', 'bookmarks', 'all bookmarks', 'All bookmarks'),
('en', 'bookmarks', 'and', 'And'),
('en', 'bookmarks', '(comma separate multiple addresses)', '(comma separate multiple addresses)'),
('en', 'bookmarks', '<b>note:</b> this currently works with netscape bookmarks only', '<b>Note:</b> This currently works with netscape bookmarks only'),
('en', 'common', 'wiki', 'Wiki'),
('en', 'bookmarks', '%1 bookmarks have been deleted', '%1 bookmarks have been deleted'),
('en', 'bookmarks', '%1 bookmarks imported from %2 successfully.', '%1 bookmarks imported from %2 successfully.'),
('en', 'common', 'tracker', 'Tracking System'),
('en', 'common', 'block / unblock hosts', 'Block / Unblock hosts'),
('en', 'common', 'lock / unlock pages', 'Lock / Unlock Pages'),
('en', 'common', 'timesheet', 'TimeSheet'),
('en', 'common', 'define escalations', 'Define escalations'),
('en', 'common', 'documentation', 'Documentation'),
('en', 'common', 'device history', 'Device History'),
('en', 'common', 'web content manager', 'SiteMgr Web Content Manager'),
('en', 'common', 'there was an error accessing the requested page. either you do not have permission to view this page, or the page does not exist', 'There was an error accessing the requested page. Either you do not have permission to view this page, or the page does not exist.'),
('en', 'common', 'sitemgr-link', 'Website'),
('en', 'common', 'sitemgr web content manager', 'SiteMgr Web Content Manager'),
('en', 'common', 'sitemgr', 'SiteMgr'),
('en', 'common', 'site setup', 'Site Setup'),
('en', 'common', 'manage pages', 'Manage Pages'),
('en', 'common', 'error accessing page', 'Error accessing page'),
('en', 'common', 'edit site header and footer', 'Edit Site Header and Footer'),
('en', 'common', 'edit individual pages', 'Edit Individual Pages'),
('en', 'common', 'edit categories and permissions', 'Edit Categories and Permissions'),
('en', 'common', 'as', 'as'),
('en', 'common', 'define websites', 'Define websites'),
('en', 'common', 'sambaadmin', 'Sambaadmin'),
('en', 'common', 'samba settings', 'Samba settings'),
('en', 'common', 'select resources', 'Select resources'),
('en', 'common', 'resources', 'Resources'),
('en', 'common', 'registration', 'Registration'),
('en', 'common', 'projectmanager', 'ProjectManager'),
('en', 'common', 'selectbox with groupmembers', 'Selectbox with groupmembers'),
('en', 'common', 'no user-selection at all', 'No user-selection at all'),
('en', 'common', 'show questions', 'Show questions'),
('en', 'common', 'polls', 'Polls'),
('en', 'common', 'zoom', 'Zoom'),
('en', 'common', 'zambia', 'ZAMBIA'),
('en', 'common', 'zimbabwe', 'ZIMBABWE'),
('en', 'common', 'your search returned 1 match', 'your search returned 1 match'),
('en', 'common', 'your settings have been updated', 'Your settings have been Updated'),
('en', 'common', 'your search returned %1 matchs', 'your search returned %1 matches'),
('en', 'common', 'your message has been sent', 'Your message has been sent'),
('en', 'common', 'your message could <b>not</b> be sent!<br>', 'Your message could <b>not</b> be sent!<br>'),
('en', 'common', 'you''ve tried to open the egroupware application: %1, but you have no permission to access this application.', 'You''ve tried to open the eGroupWare application: %1, but you have no permission to access this application.'),
('en', 'common', 'you need to be an egroupware administrator to access this functionality!', 'You need to be an eGroupWare administrator to access this functionality!'),
('en', 'common', 'you need to add the webserver user ''%1'' to the group ''%2''.', 'You need to add the webserver user ''%1'' to the group ''%2''.'),
('en', 'common', 'you need to %1set your timezone preference%2.', 'You need to %1set your timezone preference%2.'),
('en', 'common', 'you have successfully logged out', 'You have successfully logged out'),
('en', 'common', 'you have selected an invalid main category', 'You have selected an invalid main category !'),
('en', 'common', 'you have selected an invalid date', 'You have selected an invalid date !'),
('en', 'common', 'you have not entered participants', 'You have not entered participants'),
('en', 'common', 'you have not entered a valid time of day', 'You have not entered a valid time of day'),
('en', 'common', 'you have not entered a valid date', 'You have not entered a valid date'),
('en', 'common', 'you have not entered a title', 'You have not entered a title'),
('en', 'common', 'you can customize how many icons and toolbars the editor shows.', 'You can customize how many icons and toolbars the editor shows.'),
('en', 'common', 'you are required to change your password during your first login', 'You are required to change your password during your first login'),
('en', 'common', 'year', 'Year'),
('en', 'common', 'yemen', 'YEMEN'),
('en', 'common', 'yes', 'Yes'),
('en', 'common', 'written by:', 'Written by:'),
('en', 'common', 'writing', 'writing'),
('en', 'common', 'width', 'Width'),
('en', 'common', 'work email', 'work email'),
('en', 'common', 'would you like to display the page generation time at the bottom of every window?', 'Would you like to display the page generation time at the bottom of every window?'),
('en', 'common', 'which groups', 'Which groups'),
('en', 'common', 'where and how will the egroupware links like preferences, about and logout be displayed.', 'Where and how will the egroupware links like preferences, about and logout be displayed.'),
('en', 'common', 'when you say yes the home and logout buttons are presented as applications in the main top applcation bar.', 'When you say yes the home and logout buttons are presented as applications in the main top applcation bar.'),
('en', 'common', 'what style would you like the image to have?', 'What style would you like the image to have?'),
('en', 'common', 'what color should all the blank space on the desktop have', 'What color should all the blank space on the desktop have'),
('en', 'common', 'western sahara', 'WESTERN SAHARA'),
('en', 'common', 'western european', 'Western european'),
('en', 'common', 'welcome', 'Welcome'),
('en', 'common', 'wednesday', 'Wednesday'),
('en', 'common', 'virgin islands, u.s.', 'VIRGIN ISLANDS, U.S.'),
('en', 'common', 'wallis and futuna', 'WALLIS AND FUTUNA'),
('en', 'common', 'version', 'Version'),
('en', 'common', 'viet nam', 'VIET NAM'),
('en', 'common', 'view', 'View'),
('en', 'common', 'virgin islands, british', 'VIRGIN ISLANDS, BRITISH'),
('en', 'common', 'venezuela', 'VENEZUELA'),
('en', 'common', 'uzbekistan', 'UZBEKISTAN'),
('en', 'common', 'value', 'Value'),
('en', 'common', 'vanuatu', 'VANUATU'),
('en', 'common', 'users choice', 'Users Choice'),
('en', 'common', 'users', 'users'),
('en', 'common', 'username', 'Username'),
('en', 'common', 'user', 'User'),
('en', 'common', 'user accounts', 'user accounts'),
('en', 'common', 'user groups', 'user groups'),
('en', 'common', 'use button to search for project', 'use Button to search for Project'),
('en', 'common', 'use button to search for calendarevent', 'use Button to search for Calendarevent'),
('en', 'common', 'use button to search for address', 'use Button to search for Address'),
('en', 'common', 'use button to search for', 'use Button to search for'),
('en', 'common', 'uruguay', 'URUGUAY'),
('en', 'common', 'url', 'URL'),
('en', 'common', 'upload requires the directory to be writable by the webserver!', 'Upload requires the directory to be writable by the webserver!'),
('en', 'common', 'upload', 'Upload'),
('en', 'common', 'upload directory does not exist, or is not writeable by webserver', 'Upload directory does not exist, or is not writeable by webserver'),
('en', 'common', 'update the clock per minute or per second', 'Update the clock per minute or per second'),
('en', 'common', 'update', 'Update'),
('en', 'common', 'unknown', 'Unknown'),
('en', 'common', 'united states minor outlying islands', 'UNITED STATES MINOR OUTLYING ISLANDS'),
('en', 'common', 'united states', 'UNITED STATES'),
('en', 'common', 'underline', 'Underline'),
('en', 'common', 'united arab emirates', 'UNITED ARAB EMIRATES'),
('en', 'common', 'united kingdom', 'UNITED KINGDOM'),
('en', 'common', 'ukraine', 'UKRAINE'),
('en', 'common', 'type', 'Type'),
('en', 'common', 'uganda', 'UGANDA'),
('en', 'common', 'tuvalu', 'TUVALU'),
('en', 'common', 'turks and caicos islands', 'TURKS AND CAICOS ISLANDS'),
('en', 'common', 'turkey', 'TURKEY'),
('en', 'common', 'turkmenistan', 'TURKMENISTAN'),
('en', 'common', 'tuesday', 'Tuesday'),
('en', 'common', 'tunisia', 'TUNISIA'),
('en', 'common', 'trinidad and tobago', 'TRINIDAD AND TOBAGO'),
('en', 'common', 'transparant bg for the icons?', 'Transparant bg for the icons?'),
('en', 'common', 'top', 'Top'),
('en', 'common', 'total', 'Total'),
('en', 'common', 'tonga', 'TONGA'),
('en', 'common', 'too many unsucessful attempts to login: %1 for the user ''%2'', %3 for the ip %4', 'Too many unsucessful attempts to login: %1 for the user ''%2'', %3 for the IP %4'),
('en', 'common', 'togo', 'TOGO'),
('en', 'common', 'tokelau', 'TOKELAU'),
('en', 'common', 'to go back to the msg list, click <a href= %1 >here</a>', 'To go back to the msg list, click <a href="%1">here</a>'),
('en', 'common', 'today', 'Today'),
('en', 'common', 'todays date, eg. "%1"', 'todays date, eg. "%1"'),
('en', 'common', 'time zone', 'Timezone'),
('en', 'common', 'time zone offset', 'Time zone offset'),
('en', 'common', 'title', 'Title'),
('en', 'common', 'to', 'To'),
('en', 'common', 'to correct this error for the future you will need to properly set the', 'To correct this error for the future you will need to properly set the'),
('en', 'common', 'time', 'Time'),
('en', 'common', 'tiled', 'tiled'),
('en', 'common', 'thursday', 'Thursday'),
('en', 'common', 'this name has been used already', 'This name has been used already !'),
('en', 'common', 'this application requires an upgrade', 'This application requires an upgrade'),
('en', 'common', 'this application is current', 'This application is current'),
('en', 'common', 'the mail server returned', 'The mail server returned'),
('en', 'common', 'there already is a system-user with this name. user''s should not have the same name as a systemuser', 'There already is a system-user with this name. User''s should not have the same name as a systemuser'),
('en', 'common', 'the following applications require upgrades', 'The following applications require upgrades'),
('en', 'common', 'thailand', 'THAILAND'),
('en', 'common', 'the api is current', 'The API is current'),
('en', 'common', 'the api requires an upgrade', 'The API requires an upgrade'),
('en', 'common', 'text color:', 'Text color:'),
('en', 'common', 'tanzania, united republic of', 'TANZANIA, UNITED REPUBLIC OF'),
('en', 'common', 'taiwan', 'TAIWAN/TAIPEI'),
('en', 'common', 'tajikistan', 'TAJIKISTAN'),
('en', 'common', 'syrian arab republic', 'SYRIAN ARAB REPUBLIC'),
('en', 'common', 'table %1 is excluded from backup and restore. data will not be restored.', 'Table %1 is excluded from backup and restore. Data will not be restored.'),
('en', 'common', 'table properties', 'Table properties'),
('en', 'common', 'suriname', 'SURINAME'),
('en', 'common', 'svalbard and jan mayen', 'SVALBARD AND JAN MAYEN'),
('en', 'common', 'swaziland', 'SWAZILAND'),
('en', 'common', 'sweden', 'SWEDEN'),
('en', 'common', 'switzerland', 'SWITZERLAND'),
('en', 'common', 'sudan', 'SUDAN'),
('en', 'common', 'sunday', 'Sunday'),
('en', 'common', 'substitutions and their meanings:', 'Substitutions and their meanings:'),
('en', 'common', 'status', 'Status'),
('en', 'common', 'stretched', 'stretched'),
('en', 'common', 'subject', 'Subject'),
('en', 'common', 'submit', 'Submit'),
('en', 'common', 'starting up...', 'Starting Up...'),
('en', 'common', 'start with', 'start with'),
('en', 'common', 'start date', 'Start date'),
('en', 'common', 'start time', 'Start time'),
('en', 'common', 'sri lanka', 'SRI LANKA'),
('en', 'common', 'spain', 'SPAIN'),
('en', 'common', 'solomon islands', 'SOLOMON ISLANDS'),
('en', 'common', 'somalia', 'SOMALIA'),
('en', 'common', 'south africa', 'SOUTH AFRICA'),
('en', 'common', 'south georgia and the south sandwich islands', 'SOUTH GEORGIA AND THE SOUTH SANDWICH ISLANDS'),
('en', 'common', 'slovenia', 'SLOVENIA'),
('en', 'common', 'slovakia', 'SLOVAKIA'),
('en', 'common', 'size', 'Size'),
('en', 'common', 'singapore', 'SINGAPORE'),
('en', 'common', 'site configuration', 'Site configuration'),
('en', 'common', 'simple', 'Simple'),
('en', 'common', 'sierra leone', 'SIERRA LEONE'),
('en', 'common', 'show_more_apps', 'Show More Applications'),
('en', 'common', 'showing %1', 'showing %1'),
('en', 'common', 'showing %1 - %2 of %3', 'showing %1 - %2 of %3'),
('en', 'common', 'show the logo''s of egroupware and x-desktop on the desktop.', 'Show the logo''s of eGroupware and x-desktop on the desktop.'),
('en', 'common', 'show page generation time on the bottom of the page?', 'Show page generation time on the bottom of the page?'),
('en', 'common', 'show page generation time?', 'Show page generation time?'),
('en', 'common', 'show menu', 'show menu'),
('en', 'common', 'show page generation time', 'Show page generation time'),
('en', 'common', 'show in sidebox', 'Show in sidebox'),
('en', 'common', 'show logo''s on the desktop.', 'Show logo''s on the desktop.'),
('en', 'common', 'show home and logout button in main application bar?', 'Show home and logout button in main application bar?'),
('en', 'common', 'show clock?', 'Show clock?'),
('en', 'common', 'show as topmenu', 'Show as Topmenu'),
('en', 'common', 'server name', 'Server Name'),
('en', 'common', 'session has been killed', 'Session has been killed'),
('en', 'common', 'setup', 'Setup'),
('en', 'common', 'setup main menu', 'Setup Main Menu'),
('en', 'common', 'seychelles', 'SEYCHELLES'),
('en', 'common', 'show all', 'show all'),
('en', 'common', 'show all categorys', 'Show all categorys'),
('en', 'common', 'server contacted. waiting for response...', 'Server Contacted. Waiting for response...'),
('en', 'common', 'september', 'September'),
('en', 'common', 'serbia', 'Serbia'),
('en', 'common', 'server %1 has been added', 'Server %1 has been added'),
('en', 'common', 'server answered. processing response...', 'Server answered. Processing response...'),
('en', 'common', 'select work email address', 'Select work email address'),
('en', 'common', 'selection', 'Selection'),
('en', 'common', 'send', 'Send'),
('en', 'common', 'senegal', 'SENEGAL'),
('en', 'common', 'select user', 'Select user'),
('en', 'common', 'select the default width for the application windows', 'Select the default width for the application windows'),
('en', 'common', 'select the default height for the application windows', 'Select the default height for the application windows'),
('en', 'common', 'select one', 'Select one'),
('en', 'common', 'select group', 'Select group'),
('en', 'common', 'select home email address', 'Select home email address'),
('en', 'common', 'select multiple accounts', 'select multiple accounts'),
('en', 'common', 'select category', 'Select Category'),
('en', 'common', 'select date', 'Select date'),
('en', 'common', 'select all %1 %2 for %3', 'Select all %1 %2 for %3'),
('en', 'common', 'second', 'second'),
('en', 'common', 'section', 'Section'),
('en', 'common', 'select', 'Select'),
('en', 'common', 'search accounts', 'Search accounts'),
('en', 'common', 'search or select accounts', 'search or select accounts'),
('en', 'common', 'search', 'Search'),
('en', 'common', 'search %1 ''%2''', 'Search %1 ''%2'''),
('en', 'common', 'save', 'Save'),
('en', 'common', 'savant2 version differs from savant2 wrapper. <br/>this version: %1 <br/>savants version: %2', 'Savant2 version differs from Savant2 wrapper. <br/>This version: %1 <br/>Savants version: %2'),
('en', 'common', 'saturday', 'Saturday'),
('en', 'common', 'saudi arabia', 'SAUDI ARABIA'),
('en', 'common', 'san marino', 'SAN MARINO'),
('en', 'common', 'sao tome and principe', 'SAO TOME AND PRINCIPE'),
('en', 'common', 'samoa', 'SAMOA'),
('en', 'common', 'saint vincent and the grenadines', 'SAINT VINCENT AND THE GRENADINES'),
('en', 'common', 'saint pierre and miquelon', 'SAINT PIERRE AND MIQUELON'),
('en', 'common', 'saint kitts and nevis', 'SAINT KITTS AND NEVIS'),
('en', 'common', 'saint lucia', 'SAINT LUCIA'),
('en', 'common', 'russian federation', 'RUSSIAN FEDERATION'),
('en', 'common', 'rwanda', 'RWANDA'),
('en', 'common', 'saint helena', 'SAINT HELENA'),
('en', 'common', 'russian', 'Russian'),
('en', 'common', 'right', 'Right'),
('en', 'common', 'romania', 'ROMANIA'),
('en', 'common', 'reunion', 'REUNION'),
('en', 'common', 'returns struct of users application access', 'Returns struct of users application access'),
('en', 'common', 'returns an array of todo items', 'Returns an array of todo items'),
('en', 'common', 'restore failed', 'Restore failed'),
('en', 'common', 'returns a full list of accounts on the system.  warning: this is return can be quite large', 'Returns a full list of accounts on the system.  Warning: This is return can be quite large'),
('en', 'common', 'resource type', 'Resource type'),
('en', 'common', 'replace with', 'Replace with'),
('en', 'common', 'rename', 'Rename'),
('en', 'common', 'replace', 'Replace'),
('en', 'common', 'remove shortcut', 'Remove Shortcut'),
('en', 'common', 'remove selected accounts', 'remove selected accounts'),
('en', 'common', 'reject', 'Reject'),
('en', 'common', 'remember me', 'remember me'),
('en', 'common', 'register', 'register'),
('en', 'common', 'regular', 'Regular'),
('en', 'common', 'reading', 'reading'),
('en', 'common', 'read this list of methods.', 'Read this list of methods.'),
('en', 'common', 'read', 'Read'),
('en', 'common', 'public', 'public'),
('en', 'common', 'puerto rico', 'PUERTO RICO'),
('en', 'common', 'qatar', 'QATAR'),
('en', 'common', 'properties', 'Properties'),
('en', 'common', 'programs', 'Programs'),
('en', 'common', 'project', 'Project'),
('en', 'common', 'print', 'Print'),
('en', 'common', 'priority', 'Priority'),
('en', 'common', 'private', 'Private'),
('en', 'common', 'primary style-sheet:', 'Primary style-sheet:'),
('en', 'common', 'previous page', 'Previous page'),
('en', 'common', 'preferences for the idots template set', 'Preferences for the idots template set'),
('en', 'common', 'preferences', 'Preferences'),
('en', 'common', 'powered by', 'Powered by'),
('en', 'common', 'portugal', 'PORTUGAL'),
('en', 'common', 'poland', 'POLAND'),
('en', 'common', 'please, check back with us shortly.', 'Please, check back with us shortly.'),
('en', 'common', 'please wait...', 'Please Wait...'),
('en', 'common', 'please set your preferences for this application', 'Please set your preferences for this application !'),
('en', 'common', 'please set your global preferences', 'Please set your global preferences !'),
('en', 'common', 'please select', 'Please Select'),
('en', 'common', 'please run setup to become current', 'Please run setup to become current'),
('en', 'common', 'please enter a name', 'Please enter a name !'),
('en', 'common', 'pitcairn', 'PITCAIRN'),
('en', 'common', 'please %1 by hand', 'Please %1 by hand'),
('en', 'common', 'phpgwapi', 'eGroupWare API'),
('en', 'common', 'philippines', 'PHILIPPINES'),
('en', 'common', 'personal', 'Personal'),
('en', 'common', 'peru', 'PERU'),
('en', 'common', 'permisson denied!', 'Permisson denied!'),
('en', 'common', 'permissions to the files/users directory', 'permissions to the files/users directory'),
('en', 'common', 'permission denied!', 'Permission denied!'),
('en', 'common', 'path to user and group files has to be outside of the webservers document-root!!!', 'Path to user and group files HAS TO BE OUTSIDE of the webservers document-root!!!'),
('en', 'common', 'password must have at least %1 characters', 'Password must have at least %1 characters'),
('en', 'common', 'password must contain at least %1 uppercase letters', 'Password must contain at least %1 uppercase letters'),
('en', 'common', 'password must contain at least %1 special characters', 'Password must contain at least %1 special characters'),
('en', 'common', 'password must contain at least %1 numbers', 'Password must contain at least %1 numbers'),
('en', 'common', 'password could not be changed', 'Password could not be changed'),
('en', 'common', 'password has been updated', 'Password has been updated'),
('en', 'common', 'password must contain at least %1 lowercase letters', 'Password must contain at least %1 lowercase letters'),
('en', 'common', 'parent category', 'Parent Category'),
('en', 'common', 'password', 'Password'),
('en', 'common', 'papua new guinea', 'PAPUA NEW GUINEA'),
('en', 'common', 'paraguay', 'PARAGUAY'),
('en', 'common', 'parcel', 'Parcel'),
('en', 'common', 'palestinian territory, occupied', 'PALESTINIAN TERRITORY, OCCUPIED'),
('en', 'common', 'panama', 'PANAMA'),
('en', 'common', 'pakistan', 'PAKISTAN'),
('en', 'common', 'palau', 'PALAU'),
('en', 'common', 'page', 'Page'),
('en', 'common', 'page was generated in %1 seconds', 'Page was generated in %1 seconds'),
('en', 'common', 'other', 'Other'),
('en', 'common', 'overview', 'Overview'),
('en', 'common', 'owner', 'Owner'),
('en', 'common', 'original', 'Original'),
('en', 'common', 'ordered list', 'Ordered List'),
('en', 'common', 'open sidebox', 'Open sidebox'),
('en', 'common', 'open popup window', 'Open popup window'),
('en', 'common', 'open notify window', 'Open notify window'),
('en', 'common', 'only private', 'only private'),
('en', 'common', 'only yours', 'only yours'),
('en', 'common', 'oops! you caught us in the middle of system maintainance.', 'Oops! You caught us in the middle of system maintainance.'),
('en', 'common', 'on mouse over', 'On Mouse Over'),
('en', 'common', 'on *nix systems please type: %1', 'On *nix systems please type: %1'),
('en', 'common', 'oman', 'OMAN'),
('en', 'common', 'ok', 'OK'),
('en', 'common', 'old value', 'Old Value'),
('en', 'common', 'november', 'November'),
('en', 'common', 'october', 'October'),
('en', 'common', 'notify your administrator to correct this situation', 'Notify your Administrator to correct this Situation'),
('en', 'common', 'notify window', 'Notify Window'),
('en', 'common', 'notifications', 'notifications'),
('en', 'common', 'note', 'Note'),
('en', 'common', 'notes', 'Notes'),
('en', 'common', 'not readable %1 entry of user %2', 'Not readable %1 entry of user %2'),
('en', 'common', 'not assigned', 'not assigned'),
('en', 'common', 'not a user yet? register now', 'Not a user yet? Register now'),
('en', 'common', 'norway', 'NORWAY'),
('en', 'common', 'not', 'not'),
('en', 'common', 'normal', 'Normal'),
('en', 'common', 'northern mariana islands', 'NORTHERN MARIANA ISLANDS'),
('en', 'common', 'none', 'None'),
('en', 'common', 'norfolk island', 'NORFOLK ISLAND'),
('en', 'common', 'no subject', 'No Subject'),
('en', 'common', 'no savant2 template directories were found in:', 'No Savant2 template directories were found in:'),
('en', 'common', 'no history for this record', 'No history for this record'),
('en', 'common', 'no', 'No'),
('en', 'common', 'no entries found, try again ...', 'no entries found, try again ...'),
('en', 'common', 'nigeria', 'NIGERIA'),
('en', 'common', 'niue', 'NIUE'),
('en', 'common', 'niger', 'NIGER'),
('en', 'common', 'nicaragua', 'NICARAGUA'),
('en', 'common', 'next page', 'Next page'),
('en', 'common', 'new value', 'New Value'),
('en', 'common', 'new zealand', 'NEW ZEALAND'),
('en', 'common', 'next', 'Next'),
('en', 'common', 'new main category', 'New main category'),
('en', 'common', 'never', 'Never'),
('en', 'common', 'new caledonia', 'NEW CALEDONIA'),
('en', 'common', 'new entry added sucessfully', 'New entry added sucessfully'),
('en', 'common', 'netherlands antilles', 'NETHERLANDS ANTILLES'),
('en', 'common', 'nauru', 'NAURU'),
('en', 'common', 'nepal', 'NEPAL'),
('en', 'common', 'netherlands', 'NETHERLANDS'),
('en', 'common', 'namibia', 'NAMIBIA'),
('en', 'common', 'namespace', 'Namespace'),
('en', 'common', 'name of the user, eg. "%1"', 'name of the user, eg. "%1"'),
('en', 'common', 'myanmar', 'MYANMAR'),
('en', 'common', 'name', 'Name'),
('en', 'common', 'multiple', 'multiple'),
('en', 'common', 'mozambique', 'MOZAMBIQUE'),
('en', 'common', 'morocco', 'MOROCCO'),
('en', 'common', 'montserrat', 'MONTSERRAT'),
('en', 'common', 'mongolia', 'MONGOLIA'),
('en', 'common', 'montenegro', 'MONTENEGRO'),
('en', 'common', 'monaco', 'MONACO'),
('en', 'common', 'monday', 'Monday'),
('en', 'common', 'moldova, republic of', 'MOLDOVA, REPUBLIC OF'),
('en', 'common', 'minute', 'minute'),
('en', 'common', 'mexico', 'MEXICO'),
('en', 'common', 'micronesia, federated states of', 'MICRONESIA, FEDERATED STATES OF'),
('en', 'common', 'message', 'Message'),
('en', 'common', 'menu', 'Menu'),
('en', 'common', 'max number of icons in navbar', 'Max number of icons in navbar'),
('en', 'common', 'may', 'May'),
('en', 'common', 'mayotte', 'MAYOTTE'),
('en', 'common', 'medium', 'Medium'),
('en', 'common', 'mauritania', 'MAURITANIA'),
('en', 'common', 'mauritius', 'MAURITIUS'),
('en', 'common', 'martinique', 'MARTINIQUE'),
('en', 'common', 'marshall islands', 'MARSHALL ISLANDS'),
('en', 'common', 'march', 'March'),
('en', 'common', 'malta', 'MALTA'),
('en', 'common', 'mali', 'MALI'),
('en', 'common', 'maldives', 'MALDIVES'),
('en', 'common', 'malaysia', 'MALAYSIA'),
('en', 'common', 'malawi', 'MALAWI'),
('en', 'common', 'maintainer', 'Maintainer'),
('en', 'common', 'main screen', 'Main screen'),
('en', 'common', 'main category', 'Main category'),
('en', 'common', 'mail domain, eg. "%1"', 'mail domain, eg. "%1"'),
('en', 'common', 'macedonia, the former yugoslav republic of', 'MACEDONIA, THE FORMER YUGOSLAV REPUBLIC OF'),
('en', 'common', 'madagascar', 'MADAGASCAR'),
('en', 'common', 'luxembourg', 'LUXEMBOURG'),
('en', 'common', 'macau', 'MACAU'),
('en', 'common', 'lowest', 'Lowest'),
('en', 'common', 'low', 'Low'),
('en', 'common', 'lost login id', 'Lost Login Id'),
('en', 'common', 'lost password', 'Lost password'),
('en', 'common', 'local', 'Local'),
('en', 'common', 'login', 'Login'),
('en', 'common', 'loginid', 'LoginID'),
('en', 'common', 'logout', 'Logout'),
('en', 'common', 'lithuania', 'LITHUANIA'),
('en', 'common', 'list members', 'List members'),
('en', 'common', 'line %1: ''%2''<br><b>csv data does not match column-count of table %3 ==> ignored</b>', 'Line %1: ''%2''<br><b>csv data does not match column-count of table %3 ==> ignored</b>'),
('en', 'common', 'list', 'List'),
('en', 'common', 'line %1: ''%2''<br><b>csv data does contain ##last-check-run## of table %3 ==> ignored</b>', 'Line %1: ''%2''<br><b>csv data does contain ##last-check-run## of table %3 ==> ignored</b>'),
('en', 'common', 'liechtenstein', 'LIECHTENSTEIN'),
('en', 'common', 'license', 'License'),
('en', 'common', 'libyan arab jamahiriya', 'LIBYAN ARAB JAMAHIRIYA'),
('en', 'common', 'liberia', 'LIBERIA'),
('en', 'common', 'lesotho', 'LESOTHO'),
('en', 'common', 'left', 'Left'),
('en', 'common', 'lebanon', 'LEBANON'),
('en', 'common', 'lastname', 'Lastname'),
('en', 'common', 'latvia', 'LATVIA'),
('en', 'common', 'ldap-mgr', 'LDAP-Manager'),
('en', 'common', 'last modified', 'Last modified'),
('en', 'common', 'last name', 'Last name'),
('en', 'common', 'last name of the user, eg. "%1"', 'last name of the user, eg. "%1"'),
('en', 'common', 'last page', 'Last page'),
('en', 'common', 'lao peoples democratic republic', 'LAO PEOPLES DEMOCRATIC REPUBLIC'),
('en', 'common', 'language_direction_rtl', 'language_direction_rtl'),
('en', 'common', 'kyrgyzstan', 'KYRGYZSTAN'),
('en', 'common', 'language', 'Language'),
('en', 'common', 'korean', 'Korean'),
('en', 'common', 'kuwait', 'KUWAIT'),
('en', 'common', 'korea, republic of', 'KOREA, REPUBLIC OF'),
('en', 'common', 'korea, democratic peoples republic of', 'KOREA, DEMOCRATIC PEOPLES REPUBLIC OF'),
('en', 'common', 'kiribati', 'KIRIBATI'),
('en', 'common', 'keywords', 'Keywords'),
('en', 'common', 'kenya', 'KENYA'),
('en', 'common', 'justify right', 'Justify Right'),
('en', 'common', 'kazakstan', 'KAZAKSTAN'),
('en', 'common', 'justify full', 'Justify Full'),
('en', 'common', 'justify left', 'Justify Left'),
('en', 'common', 'june', 'June'),
('en', 'common', 'justify center', 'Justify Center'),
('en', 'common', 'jun', 'Jun'),
('en', 'common', 'july', 'July'),
('en', 'common', 'jordan', 'JORDAN'),
('en', 'common', 'italy', 'ITALY'),
('en', 'common', 'jamaica', 'JAMAICA'),
('en', 'common', 'january', 'January'),
('en', 'common', 'japan', 'JAPAN'),
('en', 'common', 'japanese', 'Japanese'),
('en', 'common', 'italic', 'Italic'),
('en', 'common', 'it is recommended that you run setup to upgrade your tables to the current version', 'It is recommended that you run setup to upgrade your tables to the current version.'),
('en', 'common', 'it has been more then %1 days since you changed your password', 'It has been more then %1 days since you changed your password'),
('en', 'common', 'ireland', 'IRELAND'),
('en', 'common', 'israel', 'ISRAEL'),
('en', 'common', 'iraq', 'IRAQ'),
('en', 'common', 'iran, islamic republic of', 'IRAN, ISLAMIC REPUBLIC OF'),
('en', 'common', 'invalid ip address', 'Invalid IP address'),
('en', 'common', 'invalid password', 'Invalid password'),
('en', 'common', 'invalid filename', 'Invalid filename'),
('en', 'common', 'international', 'International'),
('en', 'common', 'insert row before', 'Insert row before'),
('en', 'common', 'insert row after', 'Insert row after'),
('en', 'common', 'insert column before', 'Insert column before'),
('en', 'common', 'insert column after', 'Insert column after'),
('en', 'common', 'image url', 'Image URL'),
('en', 'common', 'india', 'INDIA'),
('en', 'common', 'indonesia', 'INDONESIA'),
('en', 'common', 'insert all %1 addresses of the %2 contacts in %3', 'Insert all %1 addresses of the %2 contacts in %3'),
('en', 'common', 'image directory relative to document root (use / !), example:', 'Image directory relative to document root (use / !), example:'),
('en', 'common', 'if there are some images in the background folder you can choose the one you would like to see.', 'If there are some images in the background folder you can choose the one you would like to see.'),
('en', 'common', 'if the clock is enabled would you like it to update it every second or every minute?', 'If the clock is enabled would you like it to update it every second or every minute?'),
('en', 'common', 'iceland', 'ICELAND'),
('en', 'common', 'iespell not detected. click ok to go to download page.', 'ieSpell not detected. Click OK to go to download page.'),
('en', 'common', 'hungary', 'HUNGARY'),
('en', 'common', 'how to show the general egroupware menu ?', 'How to show the general eGroupWare menu ?'),
('en', 'common', 'hong kong', 'HONG KONG'),
('en', 'common', 'how many icons should be shown in the navbar (top of the page). additional icons go into a kind of pulldown menu, callable by th', 'How many icons should be shown in the navbar (top of the page). Additional icons go into a kind of pulldown menu, callable by the icon on the far right side of the navbar.'),
('en', 'common', 'honduras', 'HONDURAS'),
('en', 'common', 'home email', 'home email'),
('en', 'common', 'home', 'Home'),
('en', 'common', 'holy see (vatican city state)', 'HOLY SEE (VATICAN CITY STATE)'),
('en', 'common', 'high', 'High'),
('en', 'common', 'highest', 'Highest'),
('en', 'common', 'height', 'Height'),
('en', 'common', 'help', 'Help'),
('en', 'common', 'heard island and mcdonald islands', 'HEARD ISLAND AND MCDONALD ISLANDS'),
('en', 'common', 'guyana', 'GUYANA'),
('en', 'common', 'haiti', 'HAITI'),
('en', 'common', 'guatemala', 'GUATEMALA'),
('en', 'common', 'guinea', 'GUINEA'),
('en', 'common', 'guinea-bissau', 'GUINEA-BISSAU'),
('en', 'common', 'guam', 'GUAM'),
('en', 'common', 'guadeloupe', 'GUADELOUPE'),
('en', 'common', 'groups without permission for %1', 'Groups without permission for %1'),
('en', 'common', 'groups with permission for %1', 'Groups with permission for %1'),
('en', 'common', 'groups', 'Groups'),
('en', 'common', 'groupdav', 'CalDAV, CardDAV and GroupDAV server'),
('en', 'common', 'group public', 'Group Public'),
('en', 'common', 'group name', 'group name'),
('en', 'common', 'group access', 'Group Access'),
('en', 'common', 'group', 'Group'),
('en', 'common', 'grenada', 'GRENADA'),
('en', 'common', 'greenland', 'GREENLAND'),
('en', 'common', 'greece', 'GREECE'),
('en', 'common', 'greek', 'Greek'),
('en', 'common', 'ghana', 'GHANA'),
('en', 'common', 'gibraltar', 'GIBRALTAR'),
('en', 'common', 'global', 'Global'),
('en', 'common', 'global public', 'Global Public'),
('en', 'common', 'grant access', 'Grant Access'),
('en', 'common', 'georgia', 'GEORGIA'),
('en', 'common', 'german', 'German'),
('en', 'common', 'germany', 'GERMANY'),
('en', 'common', 'general menu', 'General Menu'),
('en', 'common', 'gambia', 'GAMBIA'),
('en', 'common', 'gabon', 'GABON'),
('en', 'common', 'fullscreen mode', 'Fullscreen mode'),
('en', 'common', 'ftp', 'FTP'),
('en', 'common', 'fullname', 'Fullname'),
('en', 'common', 'friday', 'Friday'),
('en', 'common', 'french guiana', 'FRENCH GUIANA'),
('en', 'common', 'french polynesia', 'FRENCH POLYNESIA'),
('en', 'common', 'french southern territories', 'FRENCH SOUTHERN TERRITORIES'),
('en', 'common', 'france', 'FRANCE'),
('en', 'common', 'forever', 'Forever'),
('en', 'common', 'force selectbox', 'Force SelectBox'),
('en', 'common', 'fixme!', 'FIXME!'),
('en', 'common', 'folder already exists.', 'Folder already exists.'),
('en', 'common', 'firstname', 'Firstname'),
('en', 'common', 'first name of the user, eg. "%1"', 'first name of the user, eg. "%1"'),
('en', 'common', 'first page', 'First page'),
('en', 'common', 'files', 'Files'),
('en', 'common', 'filter', 'Filter'),
('en', 'common', 'finland', 'FINLAND'),
('en', 'common', 'first name', 'First name'),
('en', 'common', 'fiji', 'FIJI'),
('en', 'common', 'fields', 'Fields'),
('en', 'common', 'february', 'February'),
('en', 'common', 'features of the editor?', 'Features of the editor?'),
('en', 'common', 'faroe islands', 'FAROE ISLANDS'),
('en', 'common', 'falkland islands (malvinas)', 'FALKLAND ISLANDS (MALVINAS)'),
('en', 'common', 'failed to contact server or invalid response from server. try to relogin. contact admin in case of faliure.', 'Failed to Contact Server or Invalid Response from Server. Try to relogin. Contact Admin in case of faliure.'),
('en', 'common', 'everything', 'Everything'),
('en', 'common', 'exact', 'exact'),
('en', 'common', 'ethiopia', 'ETHIOPIA'),
('en', 'common', 'etag', 'ETag'),
('en', 'common', 'error creating %1 %2 directory', 'Error creating %1 %2 directory'),
('en', 'common', 'error deleting %1 %2 directory', 'Error deleting %1 %2 directory'),
('en', 'common', 'error renaming %1 %2 directory', 'Error renaming %1 %2 directory'),
('en', 'common', 'estonia', 'ESTONIA'),
('en', 'common', 'error', 'Error'),
('en', 'common', 'entry not found!', 'Entry not found!'),
('en', 'common', 'entry updated sucessfully', 'Entry updated sucessfully'),
('en', 'common', 'equatorial guinea', 'EQUATORIAL GUINEA'),
('en', 'common', 'eritrea', 'ERITREA'),
('en', 'common', 'entry has been deleted sucessfully', 'Entry has been deleted sucessfully'),
('en', 'common', 'enabled', 'Enabled'),
('en', 'common', 'end date', 'End date'),
('en', 'common', 'end time', 'End time'),
('en', 'common', 'email-address of the user, eg. "%1"', 'email-address of the user, eg. "%1"'),
('en', 'common', 'email', 'E-Mail'),
('en', 'common', 'el salvador', 'EL SALVADOR'),
('en', 'common', 'egypt', 'EGYPT'),
('en', 'common', 'egroupware: login blocked for user ''%1'', ip %2', 'eGroupWare: login blocked for user ''%1'', IP %2'),
('en', 'common', 'egroupware api version', 'eGroupWare API version'),
('en', 'common', 'edit category', 'Edit category'),
('en', 'common', 'egroupware', 'eGroupWare'),
('en', 'common', 'eastern european', 'Eastern european'),
('en', 'common', 'ecuador', 'ECUADOR'),
('en', 'common', 'edit', 'Edit'),
('en', 'common', 'edit %1 category for', 'Edit %1 category for'),
('en', 'common', 'edit categories', 'Edit Categories'),
('en', 'common', 'east timor', 'EAST TIMOR'),
('en', 'common', 'dominica', 'DOMINICA'),
('en', 'common', 'dominican republic', 'DOMINICAN REPUBLIC'),
('en', 'common', 'e-mail', 'E-Mail'),
('en', 'common', 'document title:', 'Document title:'),
('en', 'common', 'domain', 'Domain'),
('en', 'common', 'domain name for mail-address, eg. "%1"', 'domain name for mail-address, eg. "%1"'),
('en', 'common', 'domestic', 'Domestic'),
('en', 'common', 'document properties', 'Document properties'),
('en', 'common', 'doctype:', 'DOCTYPE:'),
('en', 'common', 'do you also want to delete all subcategories ?', 'Do you also want to delete all subcategories ?'),
('en', 'common', 'djibouti', 'DJIBOUTI'),
('en', 'common', 'disabled', 'Disabled'),
('en', 'common', 'disable the execution a bugfixscript for internet explorer 5.5 and higher to show transparency in png-images?', 'Disable the execution a bugfixscript for Internet Explorer 5.5 and higher to show transparency in PNG-images?'),
('en', 'common', 'disable internet explorer png-image-bugfix', 'Disable Internet Explorer png-image-bugfix'),
('en', 'common', 'disable slider effects', 'Disable slider effects'),
('en', 'common', 'disable the animated slider effects when showing or hiding menus in the page? opera and konqueror users will probably must want ', 'Disable the animated slider effects when showing or hiding menus in the page? Opera and Konqueror users will probably must want this.'),
('en', 'common', 'directory', 'Directory'),
('en', 'common', 'directory does not exist, is not readable by the webserver or is not relative to the document root!', 'Directory does not exist, is not readable by the webserver or is not relative to the document root!'),
('en', 'common', 'direction left to right', 'Direction left to right'),
('en', 'common', 'diable the execution a bugfixscript for internet explorer 5.5 and higher to show transparency in png-images?', 'Diable the execution a bugfixscript for Internet Explorer 5.5 and higher to show transparency in PNG-images?'),
('en', 'common', 'details', 'Details'),
('en', 'common', 'detail', 'Detail'),
('en', 'common', 'description', 'Description'),
('en', 'common', 'denmark', 'DENMARK'),
('en', 'common', 'delete row', 'Delete row'),
('en', 'common', 'delete', 'Delete'),
('en', 'common', 'default height for the windows', 'Default height for the windows'),
('en', 'common', 'default width for the windows', 'Default width for the windows'),
('en', 'common', 'default category', 'Default Category'),
('en', 'common', 'december', 'December'),
('en', 'common', 'date', 'Date'),
('en', 'common', 'date due', 'Date Due'),
('en', 'common', 'database error', 'Database error'),
('en', 'common', 'database error!', 'Database error!'),
('en', 'common', 'cyprus', 'CYPRUS'),
('en', 'common', 'czech republic', 'CZECH REPUBLIC'),
('en', 'common', 'current', 'Current'),
('en', 'common', 'current users', 'Current users'),
('en', 'common', 'currency', 'Currency'),
('en', 'common', 'croatia', 'CROATIA'),
('en', 'common', 'cuba', 'CUBA'),
('en', 'common', 'created by', 'Created By'),
('en', 'common', 'create', 'Create'),
('en', 'common', 'costa rica', 'COSTA RICA'),
('en', 'common', 'cote d ivoire', 'COTE D IVOIRE'),
('en', 'common', 'could not contact server. operation timed out!', 'Could not contact server. Operation Timed Out!'),
('en', 'common', 'cook islands', 'COOK ISLANDS'),
('en', 'common', 'copy', 'Copy'),
('en', 'common', 'contacting server...', 'Contacting Server...'),
('en', 'common', 'content type', 'Content type'),
('en', 'common', 'congo, the democratic republic of the', 'CONGO, THE DEMOCRATIC REPUBLIC OF THE'),
('en', 'common', 'congo', 'CONGO'),
('en', 'common', 'comoros', 'COMOROS'),
('en', 'common', 'common preferences', 'Common preferences'),
('en', 'common', 'colombia', 'COLOMBIA'),
('en', 'common', 'collection listing', 'Collection listing'),
('en', 'common', 'collection empty.', 'Collection empty.'),
('en', 'common', 'cocos (keeling) islands', 'COCOS (KEELING) ISLANDS'),
('en', 'common', 'close', 'Close'),
('en', 'common', 'close sidebox', 'Close sidebox'),
('en', 'common', 'click this image on the navbar: %1', 'Click this image on the navbar: %1'),
('en', 'common', 'click or mouse over to show menus?', 'Click or Mouse Over to show menus?'),
('en', 'common', 'click or mouse over to show menus', 'Click or Mouse Over to show menus'),
('en', 'common', 'click here to resume your egroupware session.', 'Click here to resume your eGroupWare Session.'),
('en', 'common', 'click', 'Click'),
('en', 'common', 'christmas island', 'CHRISTMAS ISLAND'),
('en', 'common', 'clear', 'Clear'),
('en', 'common', 'clear form', 'Clear Form'),
('en', 'common', 'choose the parent category', 'Choose the parent category'),
('en', 'common', 'choose the category', 'Choose the category'),
('en', 'common', 'choose a text color for the icons', 'Choose a text color for the icons'),
('en', 'common', 'choose a background style.', 'Choose a background style.'),
('en', 'common', 'choose a background image.', 'Choose a background image.'),
('en', 'common', 'choose a background color for the icons', 'Choose a background color for the icons'),
('en', 'common', 'choose a background color', 'Choose a background color'),
('en', 'common', 'china', 'CHINA'),
('en', 'common', 'check installation', 'Check installation'),
('en', 'common', 'check now', 'Check Now'),
('en', 'common', 'chile', 'CHILE'),
('en', 'common', 'charset', 'utf-8');
INSERT INTO `egw_lang` (`lang`, `app_name`, `message_id`, `content`) VALUES
('en', 'common', 'change', 'Change'),
('en', 'common', 'chad', 'CHAD'),
('en', 'common', 'cc', 'Cc'),
('en', 'common', 'centered', 'centered'),
('en', 'common', 'central african republic', 'CENTRAL AFRICAN REPUBLIC'),
('en', 'common', 'cayman islands', 'CAYMAN ISLANDS'),
('en', 'common', 'category %1 has been updated !', 'Category %1 has been updated !'),
('en', 'common', 'category', 'Category'),
('en', 'common', 'category %1 has been added !', 'Category %1 has been added !'),
('en', 'common', 'categories', 'Categories'),
('en', 'common', 'categories for', 'categories for'),
('en', 'common', 'caption', 'Caption'),
('en', 'common', 'cape verde', 'CAPE VERDE'),
('en', 'common', 'cant open ''%1'' for %2', 'Cant open ''%1'' for %2'),
('en', 'common', 'cant open %1, needs ziparchive', 'Cant open %1, needs ZipArchive'),
('en', 'common', 'cancel', 'Cancel'),
('en', 'common', 'cannot replace %1 because it is a directory', 'Cannot replace %1 because it is a directory'),
('en', 'common', 'canada', 'CANADA'),
('en', 'common', 'cambodia', 'CAMBODIA'),
('en', 'common', 'cameroon', 'CAMEROON'),
('en', 'common', 'calendar', 'Calendar'),
('en', 'common', 'burundi', 'BURUNDI'),
('en', 'common', 'burkina faso', 'BURKINA FASO'),
('en', 'common', 'bulgarian', 'Bulgarian'),
('en', 'common', 'bulgaria', 'BULGARIA'),
('en', 'common', 'brunei darussalam', 'BRUNEI DARUSSALAM'),
('en', 'common', 'british indian ocean territory', 'BRITISH INDIAN OCEAN TERRITORY'),
('en', 'common', 'botswana', 'BOTSWANA'),
('en', 'common', 'bottom', 'Bottom'),
('en', 'common', 'bouvet island', 'BOUVET ISLAND'),
('en', 'common', 'brazil', 'BRAZIL'),
('en', 'common', 'border', 'Border'),
('en', 'common', 'bosnia and herzegovina', 'BOSNIA AND HERZEGOVINA'),
('en', 'common', 'bolivia', 'BOLIVIA'),
('en', 'common', 'bold', 'Bold'),
('en', 'common', 'blocked, too many attempts', 'Blocked, too many attempts'),
('en', 'common', 'benin', 'BENIN'),
('en', 'common', 'bermuda', 'BERMUDA'),
('en', 'common', 'bhutan', 'BHUTAN'),
('en', 'common', 'belize', 'BELIZE'),
('en', 'common', 'belgium', 'BELGIUM'),
('en', 'common', 'bcc', 'Bcc'),
('en', 'common', 'belarus', 'BELARUS'),
('en', 'common', 'barbados', 'BARBADOS'),
('en', 'common', 'bangladesh', 'BANGLADESH'),
('en', 'common', 'bahrain', 'BAHRAIN'),
('en', 'common', 'bahamas', 'BAHAMAS'),
('en', 'common', 'bad login or password', 'Bad login or password'),
('en', 'common', 'back', 'Back'),
('en', 'common', 'back to user login', 'Back to user login'),
('en', 'common', 'background color:', 'Background color:'),
('en', 'common', 'backupdir ''%1'' is not writeable by the webserver', 'backupdir ''%1'' is not writeable by the webserver'),
('en', 'common', 'azerbaijan', 'AZERBAIJAN'),
('en', 'common', 'autosave default category', 'Autosave Default Category'),
('en', 'common', 'automatically hide the sidebox menus?', 'Automatically hide the Sidebox menus?'),
('en', 'common', 'autohide sidebox menus', 'Autohide Sidebox menus'),
('en', 'common', 'automatically hide the sidebox menu''s?', 'Automatically hide the Sidebox menu''s?'),
('en', 'common', 'author', 'Author'),
('en', 'common', 'autohide sidebox menu''s', 'Autohide Sidebox menu''s'),
('en', 'common', 'austria', 'AUSTRIA'),
('en', 'common', 'argentina', 'ARGENTINA'),
('en', 'common', 'armenia', 'ARMENIA'),
('en', 'common', 'aruba', 'ARUBA'),
('en', 'common', 'august', 'August'),
('en', 'common', 'australia', 'AUSTRALIA'),
('en', 'common', 'are you sure you want to delete this entry ?', 'Are you sure you want to delete this entry ?'),
('en', 'common', 'are you sure you want to delete these entries ?', 'Are you sure you want to delete these entries ?'),
('en', 'common', 'april', 'April'),
('en', 'common', 'application', 'Application'),
('en', 'common', 'apply', 'Apply'),
('en', 'common', 'antigua and barbuda', 'ANTIGUA AND BARBUDA'),
('en', 'common', 'andorra', 'ANDORRA'),
('en', 'common', 'angola', 'ANGOLA'),
('en', 'common', 'anguilla', 'ANGUILLA'),
('en', 'common', 'antarctica', 'ANTARCTICA'),
('en', 'common', 'an existing and by the webserver readable directory enables the image browser and upload.', 'An existing AND by the webserver readable directory enables the image browser and upload.'),
('en', 'common', 'an error happened', 'An error happened'),
('en', 'common', 'american samoa', 'AMERICAN SAMOA'),
('en', 'common', 'alternate style-sheet:', 'Alternate style-sheet:'),
('en', 'common', 'alphabet', 'a,b,c,d,e,f,g,h,i,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y,z'),
('en', 'common', 'all languages', 'all languages'),
('en', 'common', 'all fields', 'all fields'),
('en', 'common', 'all', 'All'),
('en', 'common', 'algeria', 'ALGERIA'),
('en', 'common', 'afghanistan', 'AFGHANISTAN'),
('en', 'common', 'albania', 'ALBANIA'),
('en', 'common', 'administration', 'Administration'),
('en', 'common', 'admin', 'Admin'),
('en', 'common', 'addressbooks to sync with apple clients', 'Addressbooks to sync with Apple clients'),
('en', 'common', 'addressbooks for carddav attribute "addressbook-home-set".', 'Addressbooks for CardDAV attribute "addressbook-home-set".'),
('en', 'common', 'add sub', 'Add sub'),
('en', 'common', 'add shortcut', 'Add Shortcut'),
('en', 'common', 'add category', 'Add category'),
('en', 'common', 'add %1 category for', 'Add %1 category for'),
('en', 'common', 'add', 'Add'),
('en', 'common', 'active', 'Active'),
('en', 'common', 'acl', 'ACL'),
('en', 'common', 'action', 'Action'),
('en', 'common', 'accounts', 'Accounts'),
('en', 'common', 'account is expired', 'Account is expired'),
('en', 'common', 'access', 'Access'),
('en', 'common', 'access not permitted', 'Access not permitted'),
('en', 'common', 'about egroupware', 'About eGroupware'),
('en', 'common', '1 day', '1 Day'),
('en', 'common', '1 hour', '1 Hour'),
('en', 'common', '1 month', '1 Month'),
('en', 'common', '1 week', '1 Week'),
('en', 'common', 'about', 'About'),
('en', 'common', 'about %1', 'About %1'),
('en', 'common', '(session restored in %1 seconds)', '(session restored in %1 seconds)'),
('en', 'common', '%1egroupware%2 is a multi-user, web-based groupware suite written in %3php%4.', '%1eGroupWare%2 is a multi-user, web-based groupware suite written in %3PHP%4.'),
('en', 'common', '%1choose an other directory%2<br />or make %3 writeable by webserver', '%1Choose an other directory%2<br />or make %3 writeable by webserver'),
('en', 'common', '%1 is not executable by the webserver !!!', '%1 is not executable by the webserver !!!'),
('en', 'common', '%1 file', '%1 file'),
('en', 'common', '%1 email addresses inserted', '%1 email addresses inserted'),
('en', 'common', 'phpfreechat', 'freeChat'),
('en', 'common', 'publish questions automatically?', 'Publish questions automatically'),
('en', 'common', 'publish comments automatically?', 'Publish comments automatically?'),
('en', 'common', 'publish articles automatically?', 'Publish articles automatically?'),
('en', 'common', 'phpbrain', 'Knowledge Base'),
('en', 'common', 'knowledge base configuration', 'Knowledge Base configuration'),
('en', 'common', 'notification', 'notification'),
('en', 'common', 'have to be approved first', 'Have to be approved first'),
('en', 'common', 'submitted by', 'Submitted by'),
('en', 'common', 'linked entries:', 'linked entries:'),
('en', 'common', 'news_admin', 'News Admin'),
('en', 'common', 'configure rss exports', 'Configure RSS exports'),
('en', 'common', 'configure access permissions', 'Configure Access Permissions'),
('en', 'common', 'manual', 'Manual / Help'),
('en', 'common', 'infolog preferences', 'InfoLog preferences'),
('en', 'common', 'infolog', 'InfoLog'),
('en', 'common', 'info log', 'InfoLog'),
('en', 'common', 'done', 'Done'),
('en', 'common', 'custom fields, typ and status', 'Custom fields, type and status'),
('en', 'common', 'csv-import', 'CSV-Import'),
('en', 'common', 'schedule import / export', 'Schedule import / export'),
('en', 'common', 'schedule', 'Schedule'),
('en', 'common', 'importexport', 'importexport'),
('en', 'common', 'import definitions', 'Import definitions'),
('en', 'common', 'define imports|exports', 'Define imports|exports'),
('en', 'common', 'filemanager', 'Filemanager'),
('en', 'common', 'applications', 'Applications'),
('en', 'common', 'all files', 'All files'),
('en', 'common', '%1 files', '%1 files'),
('en', 'common', 'vacation notice', 'vacation notice'),
('en', 'common', 'unread', 'Unread'),
('en', 'common', 'new', 'New'),
('en', 'common', 'manage sieve', 'Manage Sieve scripts'),
('en', 'common', 'manage folders', 'Manage Folders'),
('en', 'common', 'manage emailaccounts', 'Manage EMailaccounts'),
('en', 'common', 'filter rules', 'filter rules'),
('en', 'common', 'manage email accounts and identities', 'Manage eMail Accounts and Identities'),
('en', 'common', 'felamimail', 'eMail'),
('en', 'common', 'etemplate', 'eTemplate'),
('en', 'common', 'new search', 'New search'),
('en', 'common', 'emailadmin: user assigned profile', 'eMailAdmin: User assigned profile'),
('en', 'common', 'emailadmin: group assigned profile', 'eMailAdmin: Group assigned profile'),
('en', 'common', 'developer_tools', 'Translation Tools'),
('en', 'common', 'email settings', 'Email settings'),
('en', 'common', 'freebusy', 'Free/Busy'),
('en', 'common', 'import csv-file', 'Import CSV-File'),
('en', 'common', 'custom_2', 'Free/Busy'),
('en', 'common', 'custom fields', 'Custom fields'),
('en', 'common', 'import bookmarks', 'Import bookmarks'),
('en', 'common', 'export bookmarks', 'Export Bookmarks'),
('en', 'common', 'bookmarks', 'Bookmarks'),
('en', 'common', 'book marks', 'Book marks'),
('en', 'common', 'user data', 'User data'),
('en', 'common', 'installed applications', 'Installed applications'),
('en', 'common', 'group has been updated', 'Group has been updated'),
('en', 'common', 'group has been deleted', 'Group has been deleted'),
('en', 'common', 'group has been added', 'Group has been added'),
('en', 'common', 'global categories', 'Global categories'),
('en', 'common', 'are you sure you want to delete this category ?', 'Are you sure you want to delete this category?'),
('en', 'common', 'acl rights', 'ACL rights'),
('en', 'common', 'account has been updated', 'Account has been updated'),
('en', 'common', 'account has been deleted', 'Account has been deleted'),
('en', 'common', 'account has been created', 'Account has been created'),
('en', 'common', 'zip code', 'ZIP Code'),
('en', 'common', 'vcard', 'vCard'),
('en', 'common', 'tomorrow is %1''s birthday.', 'Tomorrow is %1''s birthday.'),
('en', 'common', 'street', 'Street'),
('en', 'common', 'today is %1''s birthday!', 'Today is %1''s birthday!'),
('en', 'common', 'postal', 'Postal'),
('en', 'common', 'state', 'State'),
('en', 'common', 'phone numbers', 'Phone Numbers'),
('en', 'common', 'phone number', 'phone number'),
('en', 'common', 'pager', 'Pager'),
('en', 'common', 'grant addressbook access', 'Grant Addressbook Access'),
('en', 'common', 'fax number', 'fax number'),
('en', 'common', 'department', 'Department'),
('en', 'common', 'country', 'Country'),
('en', 'common', 'contact', 'Contact'),
('en', 'common', 'configuration', 'Configuration'),
('en', 'common', 'company', 'Company'),
('en', 'common', 'city', 'City'),
('en', 'common', 'business', 'Business'),
('en', 'common', 'birthdays', 'Birthdays'),
('en', 'common', 'birthday', 'Birthday'),
('en', 'common', 'addressbook', 'Addressbook'),
('en', 'common', 'address book', 'Address Book'),
('en', 'admin', 'yes with navbar', 'Yes with navbar'),
('en', 'admin', 'yes always', 'Yes always'),
('en', 'admin', 'readonly', 'readonly'),
('en', 'admin', 'url of the upload directory', 'URL of the upload directory'),
('en', 'admin', 'picture upload via richtext editor (leave the upload directory empty to disable the upload)', 'Picture upload via richtext editor (leave the upload directory empty to disable the upload)'),
('en', 'admin', 'path of the upload directory (has to be writable by the webserver!)', 'Path of the upload directory (has to be writable by the webserver!)'),
('en', 'admin', 'interwikiprefix', 'InterWikiPrefix'),
('en', 'admin', 'name wiki home link', 'name wiki home link'),
('en', 'admin', 'no never', 'No never'),
('en', 'admin', 'no only on request', 'No only on request'),
('en', 'admin', 'only if browser supports a richtext-editor', 'Only if browser supports a richtext-editor'),
('en', 'admin', 'enable wiki links', 'Enable Wiki Links'),
('en', 'admin', 'enable free links', 'Enable Free Links'),
('en', 'admin', 'emailaddress administrator', 'Emailaddress Administrator'),
('en', 'admin', 'editable', 'editable'),
('en', 'admin', 'edit with preview', 'Edit With Preview'),
('en', 'admin', 'automatically convert pages with wiki-syntax to richtext (if edited)?', 'Automatically convert pages with wiki-syntax to richtext (if edited)?'),
('en', 'admin', 'allow anonymous access', 'allow anonymous access'),
('en', 'admin', 'anonymous session type', 'Anonymous Session Type'),
('en', 'admin', 'after how many days should old versions of a page be removed (0 for never)', 'After how many days should old versions of a page be removed (0 for never)'),
('en', 'admin', '(don''t offer the possibility)', '(don''t offer the possibility)'),
('en', 'admin', 'projectmanager integration', 'ProjectManager integration'),
('en', 'admin', 'show a quantity sum (eg. to sum up negative overtime)', 'Show a quantity sum (eg. to sum up negative overtime)'),
('en', 'admin', 'none: use only free project-names', 'None: use only free project-names'),
('en', 'admin', 'full: use only projectmanager', 'Full: use only ProjectManager'),
('en', 'admin', 'both: allow to use projectmanager and free project-names', 'Both: allow to use ProjectManager and free project-names'),
('en', 'admin', 'smb homepath', 'Smb homepath'),
('en', 'admin', 'samba sid', 'Samba SID'),
('en', 'admin', 'profilepath', 'Profilepath'),
('en', 'admin', 'path to mkntpwd', 'Path to mkntpwd'),
('en', 'admin', 'new account defaults', 'New account defaults'),
('en', 'admin', 'homedrive', 'Homedrive'),
('en', 'admin', 'logonscript', 'Logon script'),
('en', 'admin', 'computer ou', 'Computer ou'),
('en', 'admin', 'computer group', 'Computer group'),
('en', 'admin', 'check ldap setup (experimental!!!)', 'Check ldap setup (experimental!!!)'),
('en', 'admin', 'configure access permissions', 'Configure ACL'),
('en', 'admin', 'username is', 'Username is'),
('en', 'admin', 'use html', 'use HTML'),
('en', 'admin', 'use trial accounts?', 'Use trial accounts?'),
('en', 'admin', 'terms of service text', 'Terms of Service text'),
('en', 'admin', 'subject for confirmation email', 'Subject for confirmation email'),
('en', 'admin', 'send email', 'Send Email'),
('en', 'admin', 'registration settings', 'Registration settings'),
('en', 'admin', 'register link at login screen?', 'Register link at login screen?'),
('en', 'admin', 'password is', 'Password is'),
('en', 'admin', 'name sender to send notices from', 'Name Sender to send notices from'),
('en', 'admin', 'manage fields', 'Manage Fields'),
('en', 'admin', 'lost user id link at login screen?', 'Lost user id link at login screen?'),
('en', 'admin', 'lost password link at login screen?', 'Lost password link at login screen?'),
('en', 'admin', 'immediately', 'Immediately'),
('en', 'admin', 'http username', 'HTTP Username'),
('en', 'admin', 'http password', 'HTTP Password'),
('en', 'admin', 'enable registration?', 'Enable Registration?'),
('en', 'admin', 'email address to send notices from', 'Email address to send notices from'),
('en', 'admin', 'email address to display for support', 'Email address to display for support'),
('en', 'admin', 'display terms of service?', 'Display Terms of Service?'),
('en', 'admin', 'days until trial accounts expire', 'Days until trial accounts expire'),
('en', 'admin', 'activate account', 'Activate account'),
('en', 'admin', 'convert user login id to 7 bit string', 'Convert user login ID to 7 bit string'),
('en', 'admin', 'voting booth admin', 'Voting Booth'),
('en', 'admin', 'view system information', 'View system information'),
('en', 'admin', 'phpsysinfo', 'System information'),
('en', 'admin', '80 (http)', '80 (http)'),
('en', 'admin', 'datetime port.<br>if using port 13, please set firewall rules appropriately before submitting this page.<br>(port: 13 / host: 12', 'Datetime port.<br>If using port 13, please set firewall rules appropriately before submitting this page.<br>(Port: 13 / Host: 129.6.15.28)'),
('en', 'admin', '13 (ntp)', '13 (ntp)'),
('en', 'admin', '00 (disable)', '00 (disable)'),
('en', 'admin', 'should the article view make an automatic table of contents?', 'Should the article view make an automatic table of contents?'),
('en', 'admin', 'name of the backlink to the index:', 'Name of the backlink to the index:'),
('en', 'admin', 'windows-popup backend', 'Windows-Popup backend'),
('en', 'admin', 'sms backend', 'SMS backend'),
('en', 'admin', 'maximum sms messages per notification', 'maximum SMS messages per notification'),
('en', 'admin', 'mail backend', 'Mail backend'),
('en', 'admin', 'enable sms backend', 'enable SMS backend'),
('en', 'admin', 'enable windows-popup backend', 'enable Windows-Popup backend'),
('en', 'admin', 'enable egroupware-popup backend', 'enable EGroupware-Popup backend'),
('en', 'admin', 'emailadmin profile only (do not use user defined (active) mail profiles for notification)', 'Emailadmin Profile only (Do not use User defined (active) Mail Profiles for Notification)'),
('en', 'admin', 'egroupware-popup backend', 'EGroupware-Popup backend'),
('en', 'admin', 'choose from mailsettings used for notification', 'choose from mailsettings used for email notification'),
('en', 'admin', 'check both (first try (active) user defined account, if none use emailadmin profile)', 'Check both (first try (active) User defined account, if none use emailadmin profile)'),
('en', 'admin', 'picture upload (leave the upload directory empty to disable the upload)', 'Picture upload (leave the upload directory empty to disable the upload)'),
('en', 'admin', 'maintain news', 'Maintain News'),
('en', 'admin', 'wiki id for the local manual, default 1, 0 to use the wiki to edit the manual pages', 'Wiki Id for the local manual, default 1, 0 to use the wiki to edit the manual pages'),
('en', 'admin', 'update url for the local manual, default', 'Update URL for the local manual, default'),
('en', 'admin', 'remote egroupware url for the manual to use, empty for a local manual, default', 'Remote eGroupWare URL for the manual to use, empty for a local manual, default'),
('en', 'admin', 'install or update the manual-pages', 'install or update the manual-pages'),
('en', 'admin', 'anonymous username', 'anonymous username'),
('en', 'admin', 'anonymous password', 'Anonymous password'),
('en', 'admin', 'allow anonymous access to the manual, only necessary to act as remote manual', 'Allow anonymous access to the manual, only necessary to act as remote manual'),
('en', 'admin', 'max folderlinks', 'max folderlinks'),
('en', 'admin', 'filemanager configuration', 'filemanager configuration'),
('en', 'admin', 'allow a maximum of the above configured folderlinks to be configured in settings', 'allow a maximum of the above configured folder links to be configured in settings'),
('en', 'admin', 'users can define their own emailaccounts', 'Users can define their own emailaccounts'),
('en', 'admin', 'use smtp auth', 'Use SMTP auth'),
('en', 'admin', 'smtp settings', 'SMTP settings'),
('en', 'admin', 'sieve settings', 'Sieve settings'),
('en', 'admin', 'select your mail server type', 'Select your mail server type'),
('en', 'admin', 'organization name', 'Organization name'),
('en', 'admin', 'mail server login type', 'Mail server login type'),
('en', 'admin', 'enter your sieve server port', 'Enter your SIEVE server port'),
('en', 'admin', 'enter your sieve server hostname or ip address', 'Enter your SIEVE server hostname or IP address'),
('en', 'admin', 'imap admin user', 'IMAP admin user'),
('en', 'admin', 'enter your imap mail server hostname or ip address', 'Enter your IMAP mail server hostname or IP address'),
('en', 'admin', 'imap admin password', 'IMAP admin password'),
('en', 'admin', 'prevent deleting of entries', 'Prevent deleting of entries'),
('en', 'admin', 'users + groups: inviting both allways requires an invite grant', 'Users + groups: inviting both always requires an invite grant'),
('en', 'admin', 'show only the date, not the year', 'Show only the date, not the year'),
('en', 'admin', 'show birthdays from addressbook', 'Show birthdays from addressbook'),
('en', 'admin', 'setting lock time calender', 'Setting Data lock Time for Calendar (default 1 sec.)'),
('en', 'admin', 'require an acl grant to invite other users and groups', 'Require an ACL grant to invite other users and groups'),
('en', 'admin', 'location to autoload from', 'Location to autoload from'),
('en', 'admin', 'groups: other users can allways be invited, only groups require an invite grant', 'Groups: other users can always be invited, only groups require an invite grant.'),
('en', 'admin', 'every user can invite other users and groups', 'Every user can invite other users and groups'),
('en', 'admin', 'calendar settings', 'Calendar settings'),
('en', 'admin', 'do you wish to autoload calendar holidays files dynamically?', 'Do you wish to auto-load calendar holidays files dynamically?'),
('en', 'admin', 'birthdays', 'Birthdays'),
('en', 'admin', 'calendar holiday management', 'Calendar Holiday Management'),
('en', 'admin', 'your session could not be verified.', 'Your session could not be verified.'),
('en', 'admin', 'your last submission was less then %1 days ago!', 'Your last submission was less than %1 days ago!'),
('en', 'admin', 'you will need to remove the subcategories before you can delete this category', 'Remove the sub categories before deleting this category!'),
('en', 'admin', 'you need to enter install id and password!', 'You need to enter install ID AND password!'),
('en', 'admin', 'you must select at least one group member.', 'You must select at least one group member.'),
('en', 'admin', 'you must select a file type', 'You must select a file type.'),
('en', 'admin', 'you must enter an application title.', 'You must enter an application title.'),
('en', 'admin', 'you must enter an application name.', 'You must enter an application name.'),
('en', 'admin', 'you must enter an application name and title.', 'You must enter an application name and title.'),
('en', 'admin', 'you must enter a loginid', 'You must enter a login ID.'),
('en', 'admin', 'you must enter a lastname', 'You must enter a last name.'),
('en', 'admin', 'you must enter a group name.', 'You must enter a group name.'),
('en', 'admin', 'you must add at least 1 permission or group to this account', 'You must add at least 1 permission or group to this account!'),
('en', 'admin', 'you have to enter a name, to create a new type!!!', 'You have to enter a name, to create a new type!'),
('en', 'admin', 'you have to enter a name, to create a new field!!!', 'You have to enter a name, to create a new field!'),
('en', 'admin', 'you have no email address for your user set !!!', 'You have no email address set for your user!'),
('en', 'admin', 'you have entered an invalid expiration date', 'You have entered an invalid expiration date!'),
('en', 'admin', 'xml-rpc', 'XML-RPC'),
('en', 'admin', 'wrong admin-account or -password !!!', 'Wrong admin account or password!'),
('en', 'admin', 'wrong account type: %1 is no %2 !!!', 'Wrong account type: %1 is NO %2 !'),
('en', 'admin', 'would you like to show each application''s upgrade status ?', 'Show each application''s upgrade status.'),
('en', 'admin', 'would you like to automaticaly load new langfiles (at login-time) ?', 'Load automatically new language files at login.'),
('en', 'admin', 'would you like egroupware to check for new application versions when admins login ?', 'Check for application updates when admins login.'),
('en', 'admin', 'would you like egroupware to check for a new version<br>when admins login ?', 'Check for version updates when admins login.'),
('en', 'admin', 'would you like egroupware to cache the egw info array ?', 'Cache the EGroupware info array.'),
('en', 'admin', 'who would you like to transfer all records owned by the deleted user to?', 'To whom would you like to transfer ALL records owned by the deleted user?'),
('en', 'admin', 'we hope you understand the importance for this voluntary statistic and not deny it lightly.', 'We''re not saving any data regarding your identity.'),
('en', 'admin', 'we ask for the data to improve our profile in the press and to get a better understanding of egroupware''s user base and it''s nee', 'Information is asked only to get an overview about the use of EGroupware worldwide.'),
('en', 'admin', 'view user account', 'View user account'),
('en', 'admin', 'view this user', 'View this user'),
('en', 'admin', 'view sessions', 'View sessions'),
('en', 'admin', 'view error log', 'View error log'),
('en', 'admin', 'view category', 'View category'),
('en', 'admin', 'view account', 'View account'),
('en', 'admin', 'view access log', 'View access log'),
('en', 'admin', 'value for column %1 is not unique!', 'Value for column %1 is not unique!'),
('en', 'admin', 'users choice', 'Users choice'),
('en', 'admin', 'userdata', 'User data'),
('en', 'admin', 'user groups', 'User groups'),
('en', 'admin', 'user for smtp-authentication (leave it empty if no auth required)', 'User for SMTP authentication. Leave it empty if no authentication is required.'),
('en', 'admin', 'user accounts', 'User accounts'),
('en', 'admin', 'use theme', 'Use theme'),
('en', 'admin', 'use pure html compliant code (not fully working yet)', 'Use pure HTML compliant code'),
('en', 'admin', 'use secure cookies (transmitted only via https)', 'Use secure cookies (transmitted only via https)'),
('en', 'admin', 'use cookies to pass sessionid', 'Use cookies to pass session ID'),
('en', 'admin', 'usage', 'Usage'),
('en', 'admin', 'url of the egroupware installation, eg. http://domain.com/egroupware', 'URL of the EGroupware installation, e.g. http://domain.com/egroupware'),
('en', 'admin', 'updated', 'Updated'),
('en', 'admin', 'unknown option %1', 'Unknown option %1 !'),
('en', 'admin', 'unknown command %1!', 'Unknown command %1!'),
('en', 'admin', 'unknown account: %1 !!!', 'Unknown account: %1 !'),
('en', 'admin', 'under windows you need to install the asyncservice %1manually%2 or use the fallback mode. fallback means the jobs get only check', 'Under windows you need to install the async service %1manually%2 or use the fallback mode. Fallback means the jobs get only checked after each page view!'),
('en', 'admin', 'type of customfield', 'Type of custom field'),
('en', 'admin', 'type ''%1'' already exists !!!', 'Type ''%1'' already exists!'),
('en', 'admin', 'two weeks', 'Two weeks'),
('en', 'admin', 'two months', 'Two months'),
('en', 'admin', 'two hours', 'Two hours'),
('en', 'admin', 'two days', 'Two days'),
('en', 'admin', 'trust relationship', 'Trust Relationship'),
('en', 'admin', 'total records', 'Total records'),
('en', 'admin', 'true', 'True'),
('en', 'admin', 'trust level', 'Trust Level'),
('en', 'admin', 'total of %1 id''s changed.', 'Total of %1 id''s changed.'),
('en', 'admin', 'top', 'Top'),
('en', 'admin', 'timeout for sessions in seconds (default 14400 = 4 hours)', 'Timeout for sessions in seconds. Default 14400 = 4 hours'),
('en', 'admin', 'times', 'Times'),
('en', 'admin', 'to allow us to track the growth of your individual installation use this submit id, otherwise delete it:', 'To allow us to track the growth of your individual installation use this submit ID, otherwise delete it:'),
('en', 'admin', 'timeout for application session data in seconds (default 86400 = 1 day)', 'Timeout for application session data in seconds. Default 86400 = 1 day'),
('en', 'admin', 'this category is currently being used by applications as a parent category', 'This category is currently being used by applications as a parent category.'),
('en', 'admin', 'this application requires an upgrade', 'This application requires an upgrade.'),
('en', 'admin', 'this application is current', 'This application is current.'),
('en', 'admin', 'they must be removed before you can continue', 'They must be removed before you can continue.'),
('en', 'admin', 'the users bellow are still members of group %1', 'The users below are still members of group %1'),
('en', 'admin', 'there already is a group with this name. userid''s can not have the same name as a groupid', 'There is already a group with this name. User ID''s can not have the same name as a group ID.'),
('en', 'admin', 'the two passwords are not the same', 'Passwords are not the same'),
('en', 'admin', 'the text displayed to the user', 'The text displayed to the user'),
('en', 'admin', 'the testjob sends you a mail everytime it is called.', 'The TestJob sends you a mail every time it is called.'),
('en', 'admin', 'the name used internaly (<= 20 chars), changeing it makes existing data unavailible', 'The name used internally, <= 20 chars, changing it makes existing data unavailable.'),
('en', 'admin', 'the loginid can not be more then 8 characters', 'The login ID can not be more than 8 characters.'),
('en', 'admin', 'the login and password can not be the same', 'The login and password can not be the same.'),
('en', 'admin', 'the install id of an instance can be found under admin > site configuration', 'The install ID of an instance can be found under Admin > Site configuration'),
('en', 'admin', 'the groups must include the primary group', 'The groups must include the primary group.'),
('en', 'admin', 'the cumulated and anonymised data will be publically available:', 'The accumulated and anonymous data will be publicly available:'),
('en', 'admin', 'the api is current', 'The API is current'),
('en', 'admin', 'the api requires an upgrade', 'The API requires an upgrade'),
('en', 'admin', 'that server name has been used already !', 'That server name has been used already!'),
('en', 'admin', 'that name has been used already', 'That name has been used already.'),
('en', 'admin', 'that loginid has already been taken', 'That login ID has already been taken.'),
('en', 'admin', 'that application name already exists.', 'That application name already exists.'),
('en', 'admin', 'that application order must be a number.', 'That application order must be a number.'),
('en', 'admin', 'template selection', 'Template selection'),
('en', 'admin', 'text entry', 'Text entry'),
('en', 'admin', 'switch it off, if users are randomly thrown out', 'Switch it off, if users are randomly logged out'),
('en', 'admin', 'success', 'Success'),
('en', 'admin', 'subversion checkout', 'Subversion checkout'),
('en', 'admin', 'submit to egroupware.org', 'Submit to egroupware.org'),
('en', 'admin', 'subtype', 'Sub type'),
('en', 'admin', 'submit the search string', 'Submit the search string'),
('en', 'admin', 'submit statistic information', 'Submit statistic information'),
('en', 'admin', 'submit displayed information?', 'Submit displayed information'),
('en', 'admin', 'submit changes', 'Submit changes'),
('en', 'admin', 'start testjob!', 'Start TestJob!'),
('en', 'admin', 'standard smtp-server', 'Standard SMTP server'),
('en', 'admin', 'standard pop3 server', 'Standard POP3 server'),
('en', 'admin', 'standard imap server', 'Standard IMAP server'),
('en', 'admin', 'standard', 'Standard'),
('en', 'admin', 'ssl', 'ssl'),
('en', 'admin', 'sort the entries', 'Sort the entries'),
('en', 'admin', 'sorry, the follow users are still a member of the group %1', 'Sorry, the follow users are still a member of the group %1 .'),
('en', 'admin', 'sorry, the above users are still a member of the group %1', 'Sorry, the above users are still a member of the group %1 .'),
('en', 'admin', 'sorry, that group name has already been taken.', 'Sorry, that group name has already been taken.'),
('en', 'admin', 'soap', 'SOAP'),
('en', 'admin', 'show session ip address', 'Show session IP address'),
('en', 'admin', 'site', 'Site'),
('en', 'admin', 'show error log', 'Show error log'),
('en', 'admin', 'show phpinfo()', 'Show phpinfo()'),
('en', 'admin', 'show current action', 'Show current action'),
('en', 'admin', 'show an asterisk (*) to mark untranslated strings', 'Show an asterisk (*) to mark untranslated strings'),
('en', 'admin', 'show access log', 'Show access log'),
('en', 'admin', 'show ''powered by'' logo on', 'Show ''powered by'' logo on'),
('en', 'admin', 'should the login page include a language selectbox (useful for demo-sites) ?', 'Show language select box on login page.'),
('en', 'admin', 'set preference values.', 'Set preference values.'),
('en', 'admin', 'should exceptions contain a trace (including function arguments)', 'Should exceptions contain a trace, including function arguments.'),
('en', 'admin', 'sessions last 30 days', 'Sessions last 30 days'),
('en', 'admin', 'server username', 'Server user name'),
('en', 'admin', 'server url', 'Server URL'),
('en', 'admin', 'server type(mode)', 'Server type (mode)'),
('en', 'admin', 'server list', 'Server list'),
('en', 'admin', 'server password', 'Server password'),
('en', 'admin', 'server %1 has been updated', 'Server %1 has been updated'),
('en', 'admin', 'selectbox', 'Select box'),
('en', 'admin', 'select which location this app should appear on the navbar, lowest (left) to highest (right)', 'Select which location this app should appear on the navbar, lowest (left) to highest (right).'),
('en', 'admin', 'select where you want to store/retrieve user accounts', 'Select where you want to store/retrieve user accounts.'),
('en', 'admin', 'select users for inclusion', 'Select users for inclusion'),
('en', 'admin', 'select where you want to store/retrieve filesystem information', 'Select where you want to store/retrieve filesystem information.'),
('en', 'admin', 'select the parent category. if this is a main category select no category', 'Select the parent category. If this is a main category select NO CATEGORY.'),
('en', 'admin', 'select permissions this group will have', 'Select permissions for this group'),
('en', 'admin', 'select group managers', 'Select group managers'),
('en', 'admin', 'select accounts for which the custom field should be visible', 'Select accounts the custom field should be visible for.'),
('en', 'admin', 'security', 'Security'),
('en', 'admin', 'search peer servers', 'Search peer servers'),
('en', 'admin', 'search groups', 'Search groups'),
('en', 'admin', 'search categories', 'Search categories'),
('en', 'admin', 'search accounts', 'Search accounts'),
('en', 'admin', 'scheduled', 'Scheduled'),
('en', 'admin', 'saves this entry', 'Saves this entry.'),
('en', 'admin', 'saves the changes made and leaves', 'Saves the changes made and leaves.'),
('en', 'admin', 'save the category and return back to the list', 'Save the category and return back to the list.'),
('en', 'admin', 'save the category', 'Save the category.'),
('en', 'admin', 'run asynchronous services', 'Run Asynchronous services'),
('en', 'admin', 'rpm or debian package', 'RPM or Debian package'),
('en', 'admin', 'return to view account', 'Return to view account'),
('en', 'admin', 'route all mails to', 'Route all Mails to'),
('en', 'admin', 'return to admin mainscreen', 'Return to admin main screen'),
('en', 'admin', 'requested', 'Requested'),
('en', 'admin', 'remove all users from this group ?', 'Remove all users from this group?'),
('en', 'admin', 'remove all users from this group', 'Remove all users from this group'),
('en', 'admin', 'remove', 'Remove'),
('en', 'admin', 'remote instance saved', 'Remote instance saved.'),
('en', 'admin', 'remote administration need to be enabled in the remote instance under admin > site configuration!', 'Remote administration need to be enabled in the remote instance under Admin > Site configuration!'),
('en', 'admin', 'remote administration instances', 'Remote administration instances'),
('en', 'admin', 'register application hooks', 'Register application hooks'),
('en', 'admin', 'read this list of methods.', 'Read this list of methods.'),
('en', 'admin', 're-enter password', 'Re-enter password'),
('en', 'admin', 'quota size in mbyte', 'Quota size in MByte'),
('en', 'admin', 'quota settings', 'Quota settings'),
('en', 'admin', 'qmaildotmode', 'Qmaildotmode'),
('en', 'admin', 'primary group', 'Primary group'),
('en', 'admin', 'preferences', 'Preferences'),
('en', 'admin', 'postpone for', 'Postpone for'),
('en', 'admin', 'postfix with ldap', 'Postfix with LDAP'),
('en', 'admin', 'please select', 'Please select'),
('en', 'admin', 'please run setup to become current', 'Run setup to become current'),
('en', 'admin', 'phpinfo', 'PHP information'),
('en', 'admin', 'please enter a name', 'Enter a name'),
('en', 'admin', 'please enter a name for that server !', 'Enter a name for that server!'),
('en', 'admin', 'php version', 'PHP version'),
('en', 'admin', 'personal: eg. within a family', 'Personal: eg. within a family'),
('en', 'admin', 'permissions this group has', 'Permissions this group has'),
('en', 'admin', 'permissions', 'Permissions'),
('en', 'admin', 'permission denied !!!', 'Permission denied!'),
('en', 'admin', 'permission denied', 'Permission denied'),
('en', 'admin', 'percent this user has logged out', 'Percent this user has logged out'),
('en', 'admin', 'percent of users that logged out', 'Percent of users that logged out'),
('en', 'admin', 'peer servers', 'Peer servers'),
('en', 'admin', 'peer server list', 'Peer server list'),
('en', 'admin', 'path information', 'Path information'),
('en', 'admin', 'password updated', 'Password updated.'),
('en', 'admin', 'password for smtp-authentication', 'Password for SMTP authentication'),
('en', 'admin', 'passthrough', 'Passthrough'),
('en', 'admin', 'own install id:', 'Own install ID:'),
('en', 'admin', 'outbound', 'Outbound'),
('en', 'admin', 'order', 'Order'),
('en', 'admin', 'operating system', 'Operating system'),
('en', 'admin', 'one week', 'One week'),
('en', 'admin', 'only below displayed information is directly submitted to %s.', 'Only below displayed information is directly submitted to %s.'),
('en', 'admin', 'one month', 'One month'),
('en', 'admin', 'one hour', 'One hour'),
('en', 'admin', 'one day', 'One day'),
('en', 'admin', 'official egroupware usage statistic', 'Official EGroupware usage statistic'),
('en', 'admin', 'number of users', 'Number of users'),
('en', 'admin', 'number of sessions / egroupware logins in the last 30 days', 'Number of sessions / EGroupware login''s in the last 30 days'),
('en', 'admin', 'number of row for a multiline inputfield or line of a multi-select-box', 'Number of row for a multi line input field or line of a multi select box'),
('en', 'admin', 'number of active users', 'Number of active users'),
('en', 'admin', 'note: ssl available only if php is compiled with curl support', 'Note: SSL available only if PHP is compiled with curl support.'),
('en', 'admin', 'non profit: clubs, associations, ...', 'Non profit: Clubs, Associations, ...'),
('en', 'admin', 'no permission to create groups', 'No permission to create groups!'),
('en', 'admin', 'no matches found', 'No matches found!'),
('en', 'admin', 'no modes available', 'No modes available!'),
('en', 'admin', 'no permission to add groups', 'No permission to add groups!'),
('en', 'admin', 'no permission to add users', 'No permission to add users!'),
('en', 'admin', 'no jobs in the database !!!', 'No jobs in the database!'),
('en', 'admin', 'no login history exists for this user', 'No login history exists for this user!'),
('en', 'admin', 'new password [ leave blank for no change ]', 'New password [ Leave blank for no change ]'),
('en', 'admin', 'next run', 'Next run'),
('en', 'admin', 'no algorithms available', 'No algorithms available!'),
('en', 'admin', 'no alternate email address', 'No alternate email address!'),
('en', 'admin', 'new group name', 'New group name'),
('en', 'admin', 'new name', 'New name'),
('en', 'admin', 'more secure', 'More secure'),
('en', 'admin', 'name must not be empty !!!', 'Name must not be empty!'),
('en', 'admin', 'name of the egroupware instance, eg. default', 'Name of the EGroupware instance'),
('en', 'admin', 'modified', 'Modified'),
('en', 'admin', 'month', 'Month'),
('en', 'admin', 'minimum account id (e.g. 500 or 100, etc.)', 'Minimum account id, e.g. 500 or 100'),
('en', 'admin', 'minute', 'Minute'),
('en', 'admin', 'mode', 'Mode'),
('en', 'admin', 'message has been updated', 'Message has been updated'),
('en', 'admin', 'method', 'Method'),
('en', 'admin', 'maximum entries in click path history', 'Maximum entries in click path history'),
('en', 'admin', 'maximum account id (e.g. 65535 or 1000000)', 'Maximum account id, e.g. 65535 or 1000000'),
('en', 'admin', 'manager', 'Manager'),
('en', 'admin', 'max length of the input [, length of the inputfield (optional)]', 'Max length of the input [, length of the input field (optional)]'),
('en', 'admin', 'main screen message', 'Main screen message'),
('en', 'admin', 'main email-address', 'Main email address'),
('en', 'admin', 'logoutime', 'Logout time'),
('en', 'admin', 'mail settings', 'Mail settings'),
('en', 'admin', 'logintime', 'Login time'),
('en', 'admin', 'loginid', 'Login ID'),
('en', 'admin', 'login-status', 'Login status'),
('en', 'admin', 'login time', 'Login time'),
('en', 'admin', 'login shell', 'Login shell'),
('en', 'admin', 'login message', 'Login message'),
('en', 'admin', 'login screen', 'Login screen'),
('en', 'admin', 'login history', 'Login history'),
('en', 'admin', 'logged out', 'Logged out'),
('en', 'admin', 'list of current users', 'List of current users'),
('en', 'admin', 'length<br>rows', 'Length<br>Rows'),
('en', 'admin', 'list config settings', 'List config settings'),
('en', 'admin', 'list current sessions', 'List current sessions'),
('en', 'admin', 'leave without saveing the entry', 'Leave without saving the entry'),
('en', 'admin', 'leaves without saveing', 'Leaves without saving'),
('en', 'admin', 'leave empty for no quota', 'Leave empty for no quota'),
('en', 'admin', 'leave the category untouched and return back to the list', 'Leave the category untouched and return back to the list.'),
('en', 'admin', 'leave the group untouched and return back to the list', 'Leave the group untouched and return back to the list.'),
('en', 'admin', 'ldap rootdn', 'LDAP rootdn'),
('en', 'admin', 'ldap root password', 'LDAP root password'),
('en', 'admin', 'ldap groups context', 'LDAP groups context'),
('en', 'admin', 'ldap host', 'LDAP host'),
('en', 'admin', 'ldap encryption type', 'LDAP encryption type'),
('en', 'admin', 'ldap default shell (e.g. /bin/bash)', 'LDAP default shell (e.g. /bin/bash)'),
('en', 'admin', 'ldap default homedirectory prefix (e.g. /home for /home/username)', 'LDAP default home directory prefix (e.g. /home for /home/username)'),
('en', 'admin', 'last time read', 'Last time read'),
('en', 'admin', 'ldap accounts context', 'LDAP accounts context'),
('en', 'admin', 'last submission:', 'Last submission:'),
('en', 'admin', 'last login from', 'Last login from'),
('en', 'admin', 'last login', 'Last login'),
('en', 'admin', 'last %1 logins for %2', 'Last %1 logins for %2'),
('en', 'admin', 'last action', 'Last action'),
('en', 'admin', 'last %1 logins', 'Last %1 logins'),
('en', 'admin', 'kill session', 'Kill session'),
('en', 'admin', 'kill', 'Kill'),
('en', 'admin', 'jobs', 'Jobs'),
('en', 'admin', 'ip', 'IP'),
('en', 'admin', 'invalid value "%1" use yes or no!', 'Invalid value "%1" use yes or no!'),
('en', 'admin', 'interface', 'Interface'),
('en', 'admin', 'international use', 'International use'),
('en', 'admin', 'invalid formated date "%1"!', 'Invalid formated date "%1"!'),
('en', 'admin', 'invalid remote id or name "%1"!', 'Invalid remote ID or name "%1"!'),
('en', 'admin', 'installed crontab', 'Installed crontab'),
('en', 'admin', 'instance', 'Instance'),
('en', 'admin', 'installation type', 'Installation type'),
('en', 'admin', 'installed applications, percentage of allowed users and total number of entries.', 'Installed applications, percentage of allowed users and total number of entries.'),
('en', 'admin', 'install id', 'Install ID'),
('en', 'admin', 'initial', 'Initial'),
('en', 'admin', 'install crontab', 'Install crontab'),
('en', 'admin', 'inbound', 'inbound'),
('en', 'admin', 'in mbyte', 'in MByte'),
('en', 'admin', 'if using ldap, do you want to manage homedirectory and loginshell attributes?', 'If using LDAP, do you want to manage home directory and loginshell attributes?'),
('en', 'admin', 'if no acl records for user or any group the user is a member of', 'If no ACL records for user or any group the user is a member of'),
('en', 'admin', 'icon', 'Icon'),
('en', 'admin', 'idle', 'idle'),
('en', 'admin', 'how should email addresses for new users be constructed?', 'Select default email address format for new user accounts'),
('en', 'admin', 'how many minutes should an account or ip be blocked (default 30) ?', 'How many minutes should an account or IP be blocked. Default = 30'),
('en', 'admin', 'how many entries should non-admins be able to export (empty = no limit, no = no export)', 'How many entries should non-admins be able to export. Empty = no limit, no = no export'),
('en', 'admin', 'how many days should entries stay in the access log, before they get deleted (default 90) ?', 'How many days should entries remain in the access log before they get deleted. Default = 90'),
('en', 'admin', 'how big should thumbnails for linked images be (maximum in pixels) ?', 'Maximum pixel size of thumbnails for linked images.'),
('en', 'admin', 'hour<br>(0-23)', 'Hour<br>(0-23)'),
('en', 'admin', 'host information', 'Host information'),
('en', 'admin', 'home directory', 'Home directory'),
('en', 'admin', 'hide php information', 'Hide php information'),
('en', 'admin', 'hash', 'Hash'),
('en', 'admin', 'group name', 'Group name'),
('en', 'admin', 'group list', 'Group list'),
('en', 'admin', 'group manager', 'Group manager'),
('en', 'admin', 'group ?', 'Group?'),
('en', 'admin', 'grant', 'Grant'),
('en', 'admin', 'governmental: incl. state or municipal authorities or services', 'Governmental: incl. state or municipal authorities or services'),
('en', 'admin', 'go directly to admin menu, returning here the next time you click on administration.', 'Go directly to admin menu, returning here the next time you click on administration.'),
('en', 'admin', 'full name', 'Full name'),
('en', 'admin', 'forward only', 'Forward only'),
('en', 'admin', 'forward emails to', 'Forward emails to'),
('en', 'admin', 'forward also to', 'Forward also to'),
('en', 'admin', 'force users to change their password regularily?(empty for no,number for after that number of days', 'Set recurrent forced password change. Set a number of days. Empty = No'),
('en', 'admin', 'force selectbox', 'Force select box'),
('en', 'admin', 'force password strength (1-5, default empty: no check against rules for a strong password)?', 'Set required password strength. 1 = weak, up to 5 = very strong. Default = empty, no password strength checked'),
('en', 'admin', 'for the times below (empty values count as ''*'', all empty = every minute)', 'For the times below: empty values count as ''*'', all empty = every minute.'),
('en', 'admin', 'for the times above', 'For the times above'),
('en', 'admin', 'find and register all application hooks', 'Find and register all application hooks'),
('en', 'admin', 'file space must be an integer', 'File space must be an integer'),
('en', 'admin', 'file space', 'File space'),
('en', 'admin', 'field ''%1'' already exists !!!', 'Field ''%1'' already exists!'),
('en', 'admin', 'false', 'False'),
('en', 'admin', 'fallback (after each pageview)', 'Fallback, after each page view.'),
('en', 'admin', 'explanation of ldapman', 'This module has been tested so far for POSTFIX, LDAP, Courier-IMAP and need the schemas  CORE and QMAIL (OID7914). More details about using and configuring this system can be found in README.ldapman in the doc folder of ADMIN.'),
('en', 'admin', 'error: %1 not found or other error !!!', 'Error: %1 not found or other error!'),
('en', 'admin', 'expires', 'Expires'),
('en', 'admin', 'error! no appname found', 'Error: No app name found!'),
('en', 'admin', 'error setting timer, wrong syntax or maybe there''s one already running !!!', 'Error setting timer, wrong syntax or maybe there''s one already running!'),
('en', 'admin', 'error saving to db:', 'Error saving to db:'),
('en', 'admin', 'error saving account!', 'Error saving account!'),
('en', 'admin', 'error saving the command!', 'Error saving the command!'),
('en', 'admin', 'error changing the password for %1 !!!', 'Error changing the password for %1 !'),
('en', 'admin', 'error deleting log entry!', 'Error deleting log entry!'),
('en', 'admin', 'error saving', 'Error saving!'),
('en', 'admin', 'error changing the password for % !!!', 'Error changing the password for % !!!'),
('en', 'admin', 'error canceling timer, maybe there''s none set !!!', 'Error canceling timer, maybe there''s none set!'),
('en', 'admin', 'enter your smtp server port', 'Enter your SMTP server port'),
('en', 'admin', 'enter your smtp server hostname or ip address', 'Enter your SMTP server hostname or IP address'),
('en', 'admin', 'enter your http proxy server port', 'Enter your HTTP proxy server port'),
('en', 'admin', 'enter your default mail domain ( from: user@domain )', 'Enter your default mail domain ( From: user@domain )'),
('en', 'admin', 'enter your http proxy server', 'Enter your HTTP proxy server'),
('en', 'admin', 'enter your default ftp server', 'Enter your default FTP server'),
('en', 'admin', 'enter the vfs-path where additional images, icons or logos can be placed (and found by egroupwares applications). the path must ', 'Enter the VFS path where additional images, icons or logos can be placed and found by EGroupware''s applications.<br>The path MUST start with / and be readable by all users'),
('en', 'admin', 'enter the url where your logo should link to', 'Enter the URL where the logo should link to'),
('en', 'admin', 'enter the url or filename (in your templates image directory) of your favicon (the little icon that appears in the browsers tabs', 'Enter the URL or file name of your favicon'),
('en', 'admin', 'enter the url or filename (in phpgwapi/templates/default/images) of your logo', 'Enter the URL or file name of your logo'),
('en', 'admin', 'enter the title of your logo', 'Enter the title of logo'),
('en', 'admin', 'enter the title for your site', 'Enter the title for site'),
('en', 'admin', 'enter the site username for peer servers', 'Enter the site username for peer servers'),
('en', 'admin', 'enter the site password for peer servers', 'Enter the site password for peer servers'),
('en', 'admin', 'enter the search string. to show all entries, empty this field and press the submit button again', 'Enter the search string. To show all entries, empty this field and press the SUBMIT button again');
INSERT INTO `egw_lang` (`lang`, `app_name`, `message_id`, `content`) VALUES
('en', 'admin', 'enter the location of egroupware''s url.<br>example: http://www.domain.com/egroupware &nbsp; or &nbsp; /egroupware<br><b>no trail', 'Enter the location of eGroupWare''s URL.<br>Example: http://www.domain.com/egroupware   or   /egroupware<br><b>No trailing slash</b>'),
('en', 'admin', 'enter the hostname of the machine on which this server is running', 'Enter the host name of the machine on which this server is running'),
('en', 'admin', 'enter the full path for users and group files.<br>examples: /files, e:files', 'Enter the full path for users and group files.<br>Examples: /files, E:\\FILES'),
('en', 'admin', 'enter the full path for users and group files.<br>examples: /files, e:\\files', 'Enter the full path for users and group files.<br>Examples: /files, E:\\FILES'),
('en', 'admin', 'enter the full path for temporary files.<br>examples: /tmp, c:temp', 'Enter the full path for temporary files.<br>Examples: /tmp, C:\\TEMP'),
('en', 'admin', 'enter the full path for temporary files.<br>examples: /tmp, c:\\temp', 'Enter the full path for temporary files.<br>Examples: /tmp, C:\\TEMP'),
('en', 'admin', 'enter the background color for the site title', 'Enter the background color for the site title'),
('en', 'admin', 'enter the background color for the login page', 'Enter the background color for the login page'),
('en', 'admin', 'enter some random text for app_session <br>encryption (requires mcrypt)', 'Enter some random text for app_session <br>encryption, requires mcrypt'),
('en', 'admin', 'enter a description for the category', 'Enter a description for the category'),
('en', 'admin', 'enabled - popup window', 'Enabled - Popup window'),
('en', 'admin', 'enabled - hidden from navbar', 'Enabled - Hidden from navbar'),
('en', 'admin', 'enable the xmlrpc service', 'Enable the xmlrpc service.'),
('en', 'admin', 'enable the spellcheck in the ritch text editor ?', 'Enable the spellcheck in the ritch text editor ?'),
('en', 'admin', 'enable debug-messages', 'Enable debug messages.'),
('en', 'admin', 'enable the soap service', 'Enable the soap service.'),
('en', 'admin', 'email address', 'Email address'),
('en', 'admin', 'email account active', 'Email account active'),
('en', 'admin', 'either install id and config password needed or the remote hash!', 'Either install ID AND config password needed OR the remote hash!'),
('en', 'admin', 'egroupware version', 'EGroupware version'),
('en', 'admin', 'egroupware directory', 'EGroupware directory'),
('en', 'admin', 'educational: universities, schools, ...', 'Educational: Universities, Schools, ...'),
('en', 'admin', 'edit user', 'Edit user'),
('en', 'admin', 'edit user account', 'Edit user account'),
('en', 'admin', 'edit this user', 'Edit this user'),
('en', 'admin', 'edit this group', 'Edit this group'),
('en', 'admin', 'edit this category', 'Edit this category'),
('en', 'admin', 'edit table format', 'Edit table format'),
('en', 'admin', 'edit peer server', 'Edit Peer Server'),
('en', 'admin', 'edit main screen message', 'Edit main screen message'),
('en', 'admin', 'edit login screen message', 'Edit login screen message'),
('en', 'admin', 'edit group', 'Edit group'),
('en', 'admin', 'edit group acl''s', 'Edit group ACL''s'),
('en', 'admin', 'edit global category for %1', 'Edit global category for %1'),
('en', 'admin', 'edit email settings', 'Edit email settings'),
('en', 'admin', 'edit global category', 'Edit global category'),
('en', 'admin', 'edit application', 'Edit application'),
('en', 'admin', 'edit account', 'Edit account'),
('en', 'admin', 'each value is a line like <id>[=<label>]', 'Each value is a line like <id>[=<label>]'),
('en', 'admin', 'each value is a line like id[=label]', 'Each value is a line like id[=label]'),
('en', 'admin', 'document root (default)', 'Document root (default)'),
('en', 'admin', 'do you want to move all global subcategories one level down ?', 'Do you want to move all global sub categories one level down?'),
('en', 'admin', 'do you want to delete all global subcategories ?', 'Do you want to delete all global sub categories?'),
('en', 'admin', 'do you also want to delete all global subcategories ?', 'Do you also want to delete all global sub categories?'),
('en', 'admin', 'do not delete the category and return back to the list', 'Do NOT delete the category and return back to the list'),
('en', 'admin', 'display', 'Display'),
('en', 'admin', 'disabled (not recomended)', 'Disabled (not recommended)'),
('en', 'admin', 'disable wysiwyg-editor', 'Disable WYSIWYG-editor'),
('en', 'admin', 'disable "auto completion" of the login form', 'Disable "auto completion" of the login form'),
('en', 'admin', 'determines the order the fields are displayed', 'Determines the order the fields are displayed'),
('en', 'admin', 'description can not exceed 255 characters in length !', 'Description can not exceed 255 characters in length!'),
('en', 'admin', 'deny all users access to grant other users access to their entries ?', 'Deny the right for all users to grant access to their entries'),
('en', 'admin', 'deny access to user accounts', 'Deny access to user accounts'),
('en', 'admin', 'deny access to site configuration', 'Deny access to site configuration'),
('en', 'admin', 'deny access to phpinfo', 'Deny access to phpinfo'),
('en', 'admin', 'deny access to peer servers', 'Deny access to peer servers'),
('en', 'admin', 'deny access to mainscreen message', 'Deny access to main screen message'),
('en', 'admin', 'deny access to groups', 'Deny access to groups'),
('en', 'admin', 'deny access to global categories', 'Deny access to global categories'),
('en', 'admin', 'deny access to error log', 'Deny access to error log'),
('en', 'admin', 'deny access to db backup and restore', 'Deny access to DB backup and restore'),
('en', 'admin', 'deny access to current sessions', 'Deny access to current sessions'),
('en', 'admin', 'deny access to asynchronous timed services', 'Deny access to asynchronous timed services'),
('en', 'admin', 'deny access to applications', 'Deny access to applications'),
('en', 'admin', 'deny access to application registery', 'Deny access to application registery'),
('en', 'admin', 'deny access to access log', 'Deny access to access log'),
('en', 'admin', 'deliver extern', 'Deliver extern'),
('en', 'admin', 'delete this user', 'Delete this user'),
('en', 'admin', 'deletes this field', 'Deletes this field'),
('en', 'admin', 'delete this log entry', 'Delete this log entry'),
('en', 'admin', 'delete this group', 'Delete this group'),
('en', 'admin', 'delete this category', 'Delete this category'),
('en', 'admin', 'delete the selected entries', 'Delete the selected entries'),
('en', 'admin', 'delete the group', 'Delete the group'),
('en', 'admin', 'delete the category', 'Delete the category'),
('en', 'admin', 'delete selected entries', 'Delete selected entries'),
('en', 'admin', 'delete peer server', 'Delete peer server'),
('en', 'admin', 'delete group', 'Delete group'),
('en', 'admin', 'delete category', 'Delete category'),
('en', 'admin', 'delete application', 'Delete application'),
('en', 'admin', 'delete all records', 'Delete all records'),
('en', 'admin', 'delete account %1', 'Delete account %1'),
('en', 'admin', 'delete account', 'Delete account'),
('en', 'admin', 'deinstall crontab', 'Deinstall crontab'),
('en', 'admin', 'default file system space per user/group ?', 'Default file system space per user/group?'),
('en', 'admin', 'default file system space per user', 'Default file system space per user'),
('en', 'admin', 'default', 'Default'),
('en', 'admin', 'db backup and restore', 'DB backup and restore'),
('en', 'admin', 'day of week<br>(0-6, 0=sun)', 'Day of week<br>(0-6, 0=Sun)'),
('en', 'admin', 'day', 'Day'),
('en', 'admin', 'data', 'Data'),
('en', 'admin', 'custom fields', 'Custom fields'),
('en', 'admin', 'cyrus imap server', 'Cyrus IMAP Server'),
('en', 'admin', 'creates a new field', 'Creates a new field'),
('en', 'admin', 'crontab only (recomended)', 'Crontab only (recommended)'),
('en', 'admin', 'created with id #%1', 'Created with id #%1'),
('en', 'admin', 'create group', 'Create group'),
('en', 'admin', 'created', 'Created'),
('en', 'admin', 'country selection', 'Country selection'),
('en', 'admin', 'country', 'Country'),
('en', 'admin', 'could not remote execute the command', 'Could not remote execute the command'),
('en', 'admin', 'cookie path (allows multiple egw sessions with different directories, has problemes with sitemgr!)', 'Cookie path. Allows multiple EGroupware sessions with different directories.'),
('en', 'admin', 'cookie domain (default empty means use full domain name, for sitemgr eg. ".domain.com" allows to use the same cookie for egw.dom', 'Cookie domain. Default empty uses full domain name. E.g. in Site Manager ".domain.com" allows to use the same cookie for egw.domain.com and www.domain.com.'),
('en', 'admin', 'config password or md5 hash from the header.inc.php', 'Config password or md5 hash from the header.inc.php.'),
('en', 'admin', 'commercial: all sorts of companies', 'Commercial: all sorts of companies'),
('en', 'admin', 'color', 'Color'),
('en', 'admin', 'command scheduled to run at %1', 'Command scheduled to run at %1'),
('en', 'admin', 'click to select a color', 'Click to select a color'),
('en', 'admin', 'children', 'Children'),
('en', 'admin', 'check ip address of all sessions', 'Check IP address of all sessions'),
('en', 'admin', 'check items to <b>%1</b> to %2 for %3', 'Check items to <b>%1</b> to %2 for %3'),
('en', 'admin', 'change password for %1', 'Change password for %1'),
('en', 'admin', 'check acl for entries of not (longer) existing accounts', 'Check ACL for entries of not existing accounts.'),
('en', 'admin', 'change main screen message', 'Change main screen message'),
('en', 'admin', 'change acl rights', 'Change ACL rights'),
('en', 'admin', 'change config settings', 'Change config settings'),
('en', 'admin', 'category saved.', 'Category saved.'),
('en', 'admin', 'change account_id', 'Change account ID'),
('en', 'admin', 'category list', 'Category list'),
('en', 'admin', 'category deleted.', 'Category deleted.'),
('en', 'admin', 'categories list', 'Categories list'),
('en', 'admin', 'category %1 has been saved !', 'Category %1 has been saved!'),
('en', 'admin', 'cancel this scheduled command', 'Cancel this scheduled command'),
('en', 'admin', 'cancel testjob!', 'Cancel TestJob!'),
('en', 'admin', 'can change password', 'Can change password'),
('en', 'admin', 'calculate next run', 'Calculate next run'),
('en', 'admin', 'bottom', 'Bottom'),
('en', 'admin', 'bi-directional', 'bi-directional'),
('en', 'admin', 'bi-dir passthrough', 'bi-dir passthrough'),
('en', 'admin', 'back to the list', 'Back to the list'),
('en', 'admin', 'auto create account records for authenticated users', 'Auto create account records for authenticated users.'),
('en', 'admin', 'authentication / accounts', 'Authentication | Accounts'),
('en', 'admin', 'attribute mailforwardingaddress explained', 'This handles the attribute <b><i>-mailForwardingAddress-</i></b> from QMAIL Schema and must not be empty if assigned.'),
('en', 'admin', 'attribute mailalternateaddress explained', 'This handles the attribute <b><i>-mailAlternateAddress-</i></b> from the QMAIL schema and can be handled as virtual maps or aliases.'),
('en', 'admin', 'attribute mail explained', 'This handles the attribute <b><i>-mail-</i></b> from the QMAIL schema and should never be empty. It is also the eGW internal email field.'),
('en', 'admin', 'attribute accountstatus explained', 'This handles the attribute <b><i>-accountStatus-</i></b> from the QMAIL schema.'),
('en', 'admin', 'attempt to use correct mimetype for ftp instead of default ''application/octet-stream''', 'Attempt to use correct mime type for FTP instead of default ''application/octet-stream''.'),
('en', 'admin', 'asyncservices not yet installed or other error (%1) !!!', 'Async services not yet installed or other error (%1) !'),
('en', 'admin', 'asynchronous timed services', 'Asynchronous timed services'),
('en', 'admin', 'async services last executed', 'Async services last executed'),
('en', 'admin', 'are you sure you want to kill this session ?', 'Are you sure you want to kill this session?'),
('en', 'admin', 'are you sure you want to delete this server?', 'Are you sure you want to delete this server?'),
('en', 'admin', 'are you sure you want to delete this group ?', 'Are you sure you want to delete this group?'),
('en', 'admin', 'are you sure you want to delete this global category ?', 'Are you sure you want to delete this global category?'),
('en', 'admin', 'are you sure you want to delete this application ?', 'Are you sure you want to delete this application?'),
('en', 'admin', 'are you sure you want to delete the application %1 ?', 'Are you sure you want to delete the application %1 ?'),
('en', 'admin', 'are you sure you want to delete this account ?', 'Are you sure you want to delete this account?'),
('en', 'admin', 'apply the changes', 'Apply the changes'),
('en', 'admin', 'archive: zip or tar', 'Archive: zip or tar'),
('en', 'admin', 'applies the changes', 'Applies the changes'),
('en', 'admin', 'applications list', 'Applications list'),
('en', 'admin', 'applications run rights updated.', 'Applications run rights updated.'),
('en', 'admin', 'applications', 'Applications'),
('en', 'admin', 'application title', 'Application title'),
('en', 'admin', 'application name', 'Application name'),
('en', 'admin', 'application ''%1'' not found (maybe not installed or misspelled)!', 'Application ''%1'' not found. Maybe it is not installed or is misspelled!'),
('en', 'admin', 'application', 'Application'),
('en', 'admin', 'appearance', 'Appearance'),
('en', 'admin', 'anonymous user has no run-rights for the application!', 'Anonymous user has NO run-rights for the application!'),
('en', 'admin', 'anonymous user does not exist!', 'Anonymous user does NOT exist!'),
('en', 'admin', 'anonymous user', 'Anonymous user'),
('en', 'admin', 'anonymous user (not shown in list sessions)', 'Anonymous user. Not shown in list sessions.'),
('en', 'admin', 'alternate email address', 'Alternate email address'),
('en', 'admin', 'allow remote administration from following install id''s (comma separated)', 'Allow remote administration from following install ID''s, comma separated.'),
('en', 'admin', 'all users', 'All users'),
('en', 'admin', 'allow anonymous access to this app', 'Allow anonymous access to this app'),
('en', 'admin', 'all records and account information will be lost!', 'All records and account information will be lost!'),
('en', 'admin', 'aliases', 'Aliases'),
('en', 'admin', 'after how many unsuccessful attempts to login, an ip should be blocked (default 3) ?', 'After how many unsuccessful attempts to login an IP should be blocked. Default = 3'),
('en', 'admin', 'after how many unsuccessful attempts to login, an account should be blocked (default 3) ?', 'After how many unsuccessful attempts to login an account should be blocked. Default = 3'),
('en', 'admin', 'admins', 'Admins'),
('en', 'admin', 'advanced options', 'Advanced options'),
('en', 'admin', 'administration', 'Administration'),
('en', 'admin', 'admin queue and history', 'Admin queue and history'),
('en', 'admin', 'admin name', 'Admin name'),
('en', 'admin', 'admin email addresses (comma-separated) to be notified about the blocking (empty for no notify)', 'Admin email addresses, comma-separated, to be notified about the blocked user accounts and IP. Empty = no notification.'),
('en', 'admin', 'admin email', 'Admin email'),
('en', 'admin', 'add sub-category', 'Add sub category'),
('en', 'admin', 'add peer server', 'Add Peer Server'),
('en', 'admin', 'add new application', 'Add new application'),
('en', 'admin', 'add new account', 'Add new account'),
('en', 'admin', 'add group', 'Add group'),
('en', 'admin', 'add global category for %1', 'Add global category for %1'),
('en', 'admin', 'add global category', 'Add global category'),
('en', 'admin', 'add application', 'Add application'),
('en', 'admin', 'add auto-created users to this group (''default'' will be attempted if this is empty.)', 'Add auto-created users to this group. ''Default'' will be attempted if this is empty.'),
('en', 'admin', 'add account', 'Add account'),
('en', 'admin', 'add a user', 'Add a user'),
('en', 'admin', 'add a subcategory', 'Add a sub category'),
('en', 'admin', 'add a new remote instance', 'Add a new remote instance'),
('en', 'admin', 'add a group', 'Add a group'),
('en', 'admin', 'add a new account.', 'Add a new account'),
('en', 'admin', 'add a category', 'Add a category'),
('en', 'admin', 'actions', 'Actions'),
('en', 'admin', 'activate wysiwyg-editor', 'Activate WYSIWYG-editor'),
('en', 'admin', 'action', 'Action'),
('en', 'admin', 'acl manager', 'ACL manager'),
('en', 'admin', 'account-id''s have to be integers!', 'Account ID''s have to be integers!'),
('en', 'admin', 'account preferences', 'Account preferences'),
('en', 'admin', 'account permissions', 'Account permissions'),
('en', 'admin', 'account list', 'Account list'),
('en', 'admin', 'account active', 'Account active'),
('en', 'admin', 'account ''%1'' deleted.', 'Account ''%1'' deleted.'),
('en', 'admin', 'account %1 %2', 'Account %1 %2'),
('en', 'admin', 'accesslog and bruteforce defense', 'AccessLog and BruteForce defense'),
('en', 'admin', '-  type', '-  type'),
('en', 'admin', '(to install new applications use<br><a href="setup/" target="setup">setup</a> [manage applications] !!!)', 'To install new applications use<br><a href="setup/" target="setup">Setup</a> [Manage Applications]!'),
('en', 'admin', '(stored password will not be shown here)', 'Stored password will not be shown here!'),
('en', 'admin', '(default no, leave it off if you dont use it)', 'Default = No, leave it off if you dont use it'),
('en', 'admin', '%1 sessions killed', '%1 sessions killed.'),
('en', 'admin', '%1 user %2', '%1 user %2'),
('en', 'admin', '%1 log entries deleted.', '%1 log entries deleted.'),
('en', 'admin', '%1 not found or not executable !!!', '%1 not found or not executable!'),
('en', 'admin', '%1 rights for %2 and applications %3', '%1 rights for %2 and applications %3 .'),
('en', 'admin', '%1 is no command!', '%1 is no command!'),
('en', 'admin', '%1 group %2', '%1 group %2'),
('en', 'admin', '%1 class not instanciated', '%1 class not instanciated'),
('en', 'admin', '%1 acl records of not (longer) existing accounts deleted.', '%1 ACL records of not longer existing accounts deleted.'),
('en', 'admin', '%1 - %2 of %3 user groups', '%1 - %2 of %3 user groups'),
('en', 'admin', '%1 - %2 of %3 user accounts', '%1 - %2 of %3 user accounts'),
('en', 'admin', 'yes, users can purge their deleted items', 'Yes, users can purge their deleted items'),
('en', 'admin', 'yes, only admins can purge deleted items', 'Yes, only admins can purge deleted items'),
('en', 'admin', 'prevent deleting of contacts', 'Prevent deleting of contacts'),
('en', 'admin', 'history logging', 'History logging'),
('en', 'admin', 'you can only use ldap as contact repository if the accounts are stored in ldap too!', 'You can only use LDAP as contact repository if the accounts are stored in LDAP too!'),
('en', 'admin', 'use setup for a full account-migration', 'Use setup for a full account-migration'),
('en', 'admin', 'warning!! ldap is valid only if you are not using contacts for accounts storage!', 'WARNING!! LDAP is valid only if you are NOT using contacts for accounts storage!'),
('en', 'admin', 'use an extra tab for private custom fields?', 'Use an extra tab for private custom fields?'),
('en', 'admin', 'url to link telephone numbers to (use %1 = number to call, %u = account name, %t = account phone)', 'URL to link telephone numbers to (use %1 = number to call, %u = account name, %t = account phone)'),
('en', 'admin', 'update fields by edited organisations?', 'Update Fields by edited organisations?'),
('en', 'admin', 'start', 'Start'),
('en', 'admin', 'telephony integration', 'Telephone integration'),
('en', 'admin', 'size of popup (wxh, eg.400x300, if a popup should be used)', 'Size of popup (WxH, eg.400x300, if a popup should be used)'),
('en', 'admin', 'set full name and file as field in contacts of all users (either all or only empty values)', 'Set full name and file as field in contacts of all users (either all or only empty values)'),
('en', 'admin', 'select where you want to store / retrieve contacts', 'Select where you want to store / retrieve contacts'),
('en', 'admin', 'select migration type', 'Select migration type'),
('en', 'admin', 'migration to ldap', 'Migration to LDAP'),
('en', 'admin', 'options for type', 'Options for type'),
('en', 'admin', 'ldap settings for contacts', 'LDAP settings for contacts'),
('en', 'admin', 'ldap host for contacts', 'LDAP host for contacts'),
('en', 'admin', 'ldap context for contacts', 'LDAP context for contacts'),
('en', 'admin', 'if accounts are already in ldap', 'if accounts are already in LDAP'),
('en', 'admin', 'how many contacts should non-admins be able to export', 'How many contacts should non-admins be able to export'),
('en', 'admin', 'for read only ldap', 'for read only LDAP'),
('en', 'admin', 'fields the user is allowed to edit himself', 'Fields the user is allowed to edit himself'),
('en', 'admin', 'empty', 'Empty'),
('en', 'admin', 'edit extra account-data in the addressbook', 'Edit extra account-data in the addressbook'),
('en', 'admin', 'edit custom fields', 'Edit Custom Fields'),
('en', 'admin', 'contacts to ldap', 'contacts to LDAP'),
('en', 'admin', 'contacts to ldap, account contact-data to sql', 'contacts to LDAP, account contact-data to SQL'),
('en', 'admin', 'contacts and account contact-data to sql', 'contacts and account contact-data to SQL'),
('en', 'admin', 'contact settings', 'Contact Settings'),
('en', 'admin', 'contacts and account contact-data to ldap', 'contacts and account contact-data to LDAP'),
('en', 'admin', 'contact repository', 'Contact repository'),
('en', 'admin', 'contact maintenance', 'Contact maintenance'),
('en', 'admin', 'contact application', 'Contact application'),
('en', 'admin', 'chosse an etemplate for this contact type', 'Chosse an eTemplate for this contact type'),
('en', 'admin', 'choose an icon for this contact type', 'Choose an icon for this contact type'),
('en', 'admin', 'category tree', 'Category tree'),
('en', 'admin', 'can be changed via setup >> configuration', 'Can be changed via Setup >> Configuration'),
('en', 'admin', 'allow users to maintain their own account-data', 'Allow users to maintain their own account-data'),
('en', 'admin', 'additional information about using ldap as contact repository', 'Additional information about using LDAP as contact repository'),
('en', 'admin', 'account repository', 'Account repository'),
('en', 'admin', '(empty = use global limit, no = no export at all)', '(empty = use global limit, no = no export at all)'),
('en', 'addressbook', 'you can show the linked entries with icons only, icons with app-name or both.', 'You can show the linked entries with icons only, icons with app-name or both.'),
('en', 'addressbook', 'spellchecker language', 'Spellchecker language'),
('en', 'addressbook', 'show links between egroupware aps as', 'Show links between eGroupWare aps as'),
('en', 'addressbook', 'zip_note', '<p><b>Note:</b> The file may be a zip file collection of .csv, .vcf, or .ldif files.  However, do not mix file types per import.'),
('en', 'addressbook', 'you need to select some contacts first', 'You need to select some contacts first'),
('en', 'addressbook', 'you need to select a distribution list', 'You need to select a distribution list'),
('en', 'addressbook', 'you must select at least 1 column to display', 'You must select at least 1 column to display'),
('en', 'addressbook', 'you must select a vcard. (*.vcf)', 'You must select a vCard. (*.vcf)'),
('en', 'addressbook', 'you are not permittet to view this contact', 'You are not permitted to view this contact'),
('en', 'addressbook', 'you can respond by visiting:', 'To view it visit:'),
('en', 'addressbook', 'you are not permittet to delete this contact', 'You are not permitted to delete this contact'),
('en', 'addressbook', 'you are not permittet to edit this contact', 'You are not permitted to edit this contact'),
('en', 'addressbook', 'you are not permitted to delete contact %1', 'You are not permitted to delete contact %1'),
('en', 'addressbook', 'yes, for today and tomorrow', 'Yes, for today and tomorrow'),
('en', 'addressbook', 'yes, for the next week', 'Yes, for the next week'),
('en', 'addressbook', 'yes, for the next two weeks', 'Yes, for the next two weeks'),
('en', 'addressbook', 'yes, for the next three days', 'Yes, for the next three days'),
('en', 'addressbook', 'wrong - try again ...', 'Wrong - try again ...'),
('en', 'addressbook', 'write (update or add) a single entry by passing the fields.', 'Write (update or add) a single entry by passing the fields.'),
('en', 'addressbook', 'work phone', 'Work Phone'),
('en', 'addressbook', 'work email if given, else home email', 'Work email if given, else home email'),
('en', 'addressbook', 'whole query', 'whole query'),
('en', 'addressbook', 'which fields should be exported. all means every field stored in the addressbook incl. the custom fields. the business or home a', 'Which fields should be exported. All means every field stored in the address book incl. the custom fields. The business or home address only contains name, company and the selected address.'),
('en', 'addressbook', 'which charset should be used for the csv export. the system default is the charset of this egroupware installation.', 'Which charset should be used for the CSV export. The system default is the charset of this eGroupWare installation.'),
('en', 'addressbook', 'which addressbook should be selected when adding a contact and you have no add rights to the current addressbook.', 'Which address book should be selected when adding a contact AND you have no add rights to the current address book.'),
('en', 'addressbook', 'which address format should the addressbook use for countries it does not know the address format. if the address format of a co', 'Which address format should the address book use for countries it does not know the address format. If the address format of a country is known, it uses it independent of this setting.'),
('en', 'addressbook', 'where to add the email address', 'where to add the email address'),
('en', 'addressbook', 'weekday', 'Weekday'),
('en', 'addressbook', 'what should links to the addressbook display in other applications. empty values will be left out. you need to log in anew, if y', 'What should links to the address book display in other applications. Empty values will be left out. You need to log in anew, if you change this setting!'),
('en', 'addressbook', 'warning: template "%1" not found, using default template instead.', 'WARNING: Template "%1" not found, using default template instead.'),
('en', 'addressbook', 'view linked infolog entries', 'View linked InfoLog entries'),
('en', 'addressbook', 'warning: all contacts found will be deleted!', 'WARNING: All contacts found will be deleted!'),
('en', 'addressbook', 'verification', 'Verification'),
('en', 'addressbook', 'vcards require a first name entry.', 'vCards require a first name entry.'),
('en', 'addressbook', 'vcards require a last name entry.', 'vCards require a last name entry.'),
('en', 'addressbook', 'use this tag for addresslabels. put the content, you want to repeat, between two tags.', 'Use this tag for address labels. Put the content, you want to repeat, between two tags.'),
('en', 'addressbook', 'used for links and for the own sorting of the list', 'Used for links and for the own sorting of the list'),
('en', 'addressbook', 'use country list', 'Use Country List'),
('en', 'addressbook', 'use an extra category tab?', 'Use an extra category tab?'),
('en', 'addressbook', 'upload or delete the photo', 'Upload or delete the photo'),
('en', 'addressbook', 'updated', 'Updated'),
('en', 'addressbook', 'update a single entry by passing the fields.', 'Update a single entry by passing the fields.'),
('en', 'addressbook', 'unique id<br />(to update existing records)', 'Unique ID<br />(to update existing records)'),
('en', 'addressbook', 'unique id (uid)', 'Unique ID (UID)'),
('en', 'addressbook', 'type', 'Type'),
('en', 'addressbook', 'two of: %1', 'two of: %1'),
('en', 'addressbook', 'translation', 'Translation'),
('en', 'addressbook', 'to many might exceed your execution-time-limit', 'too many might exceed your execution-time-limit'),
('en', 'addressbook', 'timezone', 'Timezone'),
('en', 'addressbook', 'this person''s last name was not in the address book.', 'This person''s last name was not in the address book.'),
('en', 'addressbook', 'this person''s first name was not in the address book.', 'This person''s first name was not in the address book.'),
('en', 'addressbook', 'this module displays block from a adddressbook group.', 'This module displays Block from a Address book Group.'),
('en', 'addressbook', 'this module displays a contactform, that stores direct into the addressbook.', 'This module displays a contact form, that stores directly into the address book.'),
('en', 'addressbook', 'there was an error saving your data :-(', 'There was an error saving your data :-('),
('en', 'addressbook', 'the document can contain placeholder like $$n_fn$$, to be replaced with the contact data (%1full list of placeholder names%2).', 'The document can contain placeholder like $$n_fn$$, to be replaced with the contact data (%1full list of placeholder names%2).'),
('en', 'addressbook', 'the anonymous user needs read it!', 'The anonymous user needs read it!'),
('en', 'addressbook', 'the anonymous user needs add rights for it!', 'The anonymous user needs add rights for it!'),
('en', 'addressbook', 'the anonymous user has probably no add rights for this addressbook.', 'The anonymous user has probably no add rights for this address book.'),
('en', 'addressbook', 'test import (show importable records <u>only</u> in browser)', 'Test Import (show importable records <u>only</u> in browser)'),
('en', 'addressbook', 'thank you for contacting us.', 'Thank you for contacting us.'),
('en', 'addressbook', 'that field name has been used already !', 'That field name has been used already !'),
('en', 'addressbook', 'tel home', 'Tel home'),
('en', 'addressbook', 'suffix', 'Suffix'),
('en', 'addressbook', 'tag to mark positions for address labels', 'Tag to mark positions for address labels'),
('en', 'addressbook', 'startrecord', 'Startrecord'),
('en', 'addressbook', 'subject for email', 'Subject for email'),
('en', 'addressbook', 'successfully imported %1 records into your addressbook.', 'Successfully imported %1 record(s) into your address book.'),
('en', 'addressbook', 'stadt', 'Stadt'),
('en', 'addressbook', 'show the contacts of this organisation', 'Show the contacts of this organisation'),
('en', 'addressbook', 'show infolog entries for this organisation', 'Show InfoLog entries for this organisation'),
('en', 'addressbook', 'set only full name', 'Set only full name'),
('en', 'addressbook', 'should the columns photo and home address always be displayed, even if they are empty.', 'Should the columns photo and home address always be displayed, even if they are empty.'),
('en', 'addressbook', 'show', 'Show'),
('en', 'addressbook', 'show birthday reminders on main screen', 'Show birthday reminders on main screen'),
('en', 'addressbook', 'selected contacts', 'Selected contacts'),
('en', 'addressbook', 'seperator', 'Seperator'),
('en', 'addressbook', 'select phone number as prefered way of contact', 'Select phone number as prefered way of contact'),
('en', 'addressbook', 'select the type of conversion', 'Select the type of conversion'),
('en', 'addressbook', 'select the type of conversion:', 'Select the type of conversion:'),
('en', 'addressbook', 'select multiple contacts for a further action', 'Select multiple contacts for a further action'),
('en', 'addressbook', 'select an action or addressbook to move to...', 'Select an action or addressbook to move to...'),
('en', 'addressbook', 'select an action or addressbook to move to', 'Select an action or addressbook to move to'),
('en', 'addressbook', 'select all', 'Select all'),
('en', 'addressbook', 'select addressbook type', 'Select addressbook type'),
('en', 'addressbook', 'select a view', 'Select a view'),
('en', 'addressbook', 'room', 'Room'),
('en', 'addressbook', 'search for ''%1''', 'Search for ''%1'''),
('en', 'addressbook', 'select a portrait format jpeg photo. it will be resized to 60 pixel width.', 'Select a portrait format jpeg photo. It will be resized to 60 pixel width.'),
('en', 'addressbook', 'required fields *', 'Required fields *'),
('en', 'addressbook', 'role', 'Role'),
('en', 'addressbook', 'replacements for inserting contacts into documents', 'Replacements for inserting contacts into documents'),
('en', 'addressbook', 'repetition', 'Repetition'),
('en', 'addressbook', 'removed from distribution list', 'Removed from distribution list'),
('en', 'addressbook', 'remove selected contacts from distribution list', 'Remove selected contacts from distribution list'),
('en', 'addressbook', 'region', 'Region'),
('en', 'addressbook', 'record owner', 'Record owner'),
('en', 'addressbook', 'record access', 'Record Access'),
('en', 'addressbook', 'read only', 'read only'),
('en', 'addressbook', 'read a single entry by passing the id and fieldlist.', 'Read a single entry by passing the id and field list.'),
('en', 'addressbook', 'read a list of entries.', 'Read a list of entries.'),
('en', 'addressbook', 'read a list / search for entries.', 'Read a list / search for entries.'),
('en', 'addressbook', 'publish into groups:', 'Publish into groups:'),
('en', 'addressbook', 'public key', 'Public Key'),
('en', 'addressbook', 'private custom fields', 'Private custom fields'),
('en', 'addressbook', 'prefix', 'Prefix'),
('en', 'addressbook', 'preferred type of email address to add for distribution lists', 'preferred type of email address to add for distribution lists'),
('en', 'addressbook', 'preferred phone', 'preferred phone'),
('en', 'addressbook', 'preferred email address to use in distribution lists', 'Preferred email address to use in distribution lists'),
('en', 'addressbook', 'pref', 'pref'),
('en', 'addressbook', 'please update the templatename in your customfields section!', 'Please update the template name in your custom fields section!'),
('en', 'addressbook', 'please select only one category', 'Please select only one category'),
('en', 'addressbook', 'please enter a name for that field !', 'Please enter a name for that field !'),
('en', 'addressbook', 'photo', 'Photo'),
('en', 'addressbook', 'permission denied !!!', 'Permission denied !!!'),
('en', 'addressbook', 'parcel', 'Parcel'),
('en', 'addressbook', 'participants', 'Participants'),
('en', 'addressbook', 'own sorting', 'Own sorting'),
('en', 'addressbook', 'other phone', 'Other Phone'),
('en', 'addressbook', 'other number', 'Other Number'),
('en', 'addressbook', 'organisations by location', 'Organisations by location'),
('en', 'addressbook', 'organisations by departments', 'Organisations by departments'),
('en', 'addressbook', 'organisations', 'Organisations'),
('en', 'addressbook', 'organisation', 'Organisation'),
('en', 'addressbook', 'number of records to read (%1)', 'Number of records to read (%1)'),
('en', 'addressbook', 'number', 'Number'),
('en', 'addressbook', 'no vcard', 'No VCard'),
('en', 'addressbook', 'no fallback', 'No fallback'),
('en', 'addressbook', 'no categories selected', 'no categories selected'),
('en', 'addressbook', 'next date', 'Next date'),
('en', 'addressbook', 'new window opened to edit infolog for your selection', 'New window opened to edit InfoLog for your selection'),
('en', 'addressbook', 'new contact submitted by %1 at %2', 'New contact submitted by %1 at %2'),
('en', 'addressbook', 'name, address', 'Name, Address'),
('en', 'addressbook', 'name of current user, all other contact fields are valid too', 'Name of current user, all other contact fields are valid too'),
('en', 'addressbook', 'name for the distribution list', 'Name for the distribution list'),
('en', 'addressbook', 'multiple vcard', 'Multiple VCard'),
('en', 'addressbook', 'moved', 'moved'),
('en', 'addressbook', 'move to addressbook:', 'Move to addressbook:'),
('en', 'addressbook', 'more ...', 'More ...'),
('en', 'addressbook', 'modem phone', 'Modem Phone'),
('en', 'addressbook', 'mobile phone', 'Mobile Phone'),
('en', 'addressbook', 'mobile', 'Mobile'),
('en', 'addressbook', 'migration finished', 'Migration finished'),
('en', 'addressbook', 'middle name', 'Middle Name'),
('en', 'addressbook', 'message phone', 'Message Phone'),
('en', 'addressbook', 'message after submitting the form', 'Message after submitting the form'),
('en', 'addressbook', 'merged', 'merged'),
('en', 'addressbook', 'merge into first or account, deletes all other!', 'Merge into first or account, deletes all other!'),
('en', 'addressbook', 'mark records as private', 'Mark records as private'),
('en', 'addressbook', 'manage mapping', 'Manage mapping'),
('en', 'addressbook', 'locations', 'locations'),
('en', 'addressbook', 'location', 'Location'),
('en', 'addressbook', 'load vcard', 'Load VCard'),
('en', 'addressbook', 'load sample file', 'Load Sample file'),
('en', 'addressbook', 'list creation failed, no rights!', 'List creation failed, no rights!'),
('en', 'addressbook', 'list created', 'List created'),
('en', 'addressbook', 'list already exists!', 'List already exists!'),
('en', 'addressbook', 'list all customfields', 'List all customfields'),
('en', 'addressbook', 'list all categories', 'List all categories'),
('en', 'addressbook', 'links', 'Links'),
('en', 'addressbook', 'line 2', 'Line 2'),
('en', 'addressbook', 'link title for contacts show', 'Link title for contacts show'),
('en', 'addressbook', 'ldif', 'LDIF'),
('en', 'addressbook', 'last modified by', 'last modified by'),
('en', 'addressbook', 'last modified', 'last modified'),
('en', 'addressbook', 'last date', 'Last date'),
('en', 'addressbook', 'internet', 'Internet'),
('en', 'addressbook', 'label', 'Label'),
('en', 'addressbook', 'international', 'International'),
('en', 'addressbook', 'insufficent rights to delete this list!', 'Insufficent rights to delete this list!'),
('en', 'addressbook', 'insert in document', 'Insert in document'),
('en', 'addressbook', 'infolog', 'InfoLog'),
('en', 'addressbook', 'income', 'Income'),
('en', 'addressbook', 'in %1 days (%2) is %3''s birthday.', 'In %1 days (%2) is %3''s birthday.'),
('en', 'addressbook', 'imports contacts into your addressbook from a csv file. csv means ''comma seperated values''. however in the options tab you can a', 'Imports contacts into your Address book from a CSV File. CSV means ''Comma Separated Values''. However in the options Tab you can also choose other separators.'),
('en', 'addressbook', 'import_instructions', 'In Netscape, open the Address book and select <b>Export</b> from the <b>File</b> menu.  The file exported will be in LDIF format.<p>Or, in Outlook, select your Contacts folder, select <b>Import and Export...</b> from the <b>File</b> menu and export your contacts into a comma separated text (CSV) file.  <p>Or, in Palm Desktop 4.0 or greater, visit your address book and select <b>Export</b> from the <b>File</b> menu.  The file exported will be in vCard format.'),
('en', 'addressbook', 'import next set', 'Import next set'),
('en', 'addressbook', 'import multiple vcard', 'Import Multiple VCard'),
('en', 'addressbook', 'import from outlook', 'Import from Outlook'),
('en', 'addressbook', 'import from ldif, csv, or vcard', 'Import from LDIF, CSV, or VCard'),
('en', 'addressbook', 'import from', 'Import from'),
('en', 'addressbook', 'import file', 'Import File'),
('en', 'addressbook', 'import csv-file into addressbook', 'Import CSV-File into Addressbook'),
('en', 'addressbook', 'import contacts', 'Import Contacts'),
('en', 'addressbook', 'import', 'Import'),
('en', 'addressbook', 'ignore first line', 'Ignore first line'),
('en', 'addressbook', 'if you specify a document (full vfs path) here, addressbook displays an extra document icon for each address. that icon allows t', 'If you specify a document (full vfs path) here, address book displays an extra document icon for each address. That icon allows to download the specified document with the contact data inserted.'),
('en', 'addressbook', 'if you specify a directory (full vfs path) here, addressbook displays an action for each document. that action allows to downloa', 'If you specify a directory (full vfs path) here, address book displays an action for each document. That action allows to download the specified document with the contact data inserted.'),
('en', 'addressbook', 'icon', 'Icon'),
('en', 'addressbook', 'home zip code', 'Home ZIP Code'),
('en', 'addressbook', 'home street', 'Home Street'),
('en', 'addressbook', 'home state', 'Home State'),
('en', 'addressbook', 'home phone', 'Home Phone'),
('en', 'addressbook', 'home email if given, else work email', 'Home email if given, else work email'),
('en', 'addressbook', 'home country', 'Home Country'),
('en', 'addressbook', 'home email', 'Home EMail'),
('en', 'addressbook', 'home city', 'Home City'),
('en', 'addressbook', 'home address, birthday, ...', 'Home address, Birthday, ...'),
('en', 'addressbook', 'home address', 'Home address'),
('en', 'addressbook', 'hides accounts completly from the adressbook.', 'Hides accounts completly from the adressbook.'),
('en', 'addressbook', 'h', 'h'),
('en', 'addressbook', 'hide accounts from addressbook', 'Hide accounts from addressbook'),
('en', 'addressbook', 'group %1', 'Group %1'),
('en', 'addressbook', 'global categories', 'Global Categories'),
('en', 'addressbook', 'geo', 'GEO'),
('en', 'addressbook', 'general fields:', 'General fields:'),
('en', 'addressbook', 'general', 'General'),
('en', 'addressbook', 'full name', 'Full Name'),
('en', 'addressbook', 'freebusy uri', 'Freebusy URI'),
('en', 'addressbook', 'for serial letter use this tag. put the content, you want to repeat between two tags.', 'For serial letter use this tag. Put the content, you want to repeat between two Tags.'),
('en', 'addressbook', 'fieldseperator', 'Fieldseperator'),
('en', 'addressbook', 'for more then one contact in a document use the tag pagerepeat!', 'for more then one contact in a document use the tag page repeat!'),
('en', 'addressbook', 'fieldseparator', 'Fieldseparator'),
('en', 'addressbook', 'fields to show in address list', 'Fields to show in address list'),
('en', 'addressbook', 'fields for the csv export', 'Fields for the CSV export'),
('en', 'addressbook', 'field name', 'Field Name'),
('en', 'addressbook', 'field %1 has been updated !', 'Field %1 has been updated !'),
('en', 'addressbook', 'field %1 has been added !', 'Field %1 has been added !'),
('en', 'addressbook', 'fax', 'Fax'),
('en', 'addressbook', 'failed to change %1 organisation member(s) (insufficent rights) !!!', 'failed to change %1 organisation member(s) (insufficient rights) !!!'),
('en', 'addressbook', 'extra private', 'Extra private'),
('en', 'addressbook', 'extra', 'Extra'),
('en', 'addressbook', 'export selection', 'Export selection'),
('en', 'addressbook', 'exported', 'exported'),
('en', 'addressbook', 'exports contacts from your addressbook into a csv file. csv means ''comma seperated values''. however in the options tab you can a', 'Exports contacts from your Address book into a CSV File. CSV means ''Comma Separated Values''. However in the options Tab you can also choose other separators.'),
('en', 'addressbook', 'export from addressbook', 'Export from Addressbook'),
('en', 'addressbook', 'export file name', 'Export file name'),
('en', 'addressbook', 'export contacts', 'Export Contacts'),
('en', 'addressbook', 'export as vcard', 'Export as VCard'),
('en', 'addressbook', 'export as csv', 'Export as CSV'),
('en', 'addressbook', 'existing links', 'Existing links'),
('en', 'addressbook', 'export', 'export'),
('en', 'addressbook', 'example $$if n_prefix~mr~hello mr.~hello ms.$$ - search the field "n_prefix", for "mr", if found, write hello mr., else write he', 'Example $$IF n_prefix~Mr~Hello Mr.~Hello Ms.$$ - search the field "n_prefix", for "Mr", if found, write Hello Mr., else write Hello Ms. You can also use a field name instead a fix value. Example: $$IFadr_one_countryname~DEUTSCHLAND~~adr_one_countryname$$'),
('en', 'addressbook', 'error: the entry has been updated since you opened it for editing!', 'Error: the entry has been updated since you opened it for editing!'),
('en', 'addressbook', 'error saving the contact !!!', 'Error saving the contact !!!'),
('en', 'addressbook', 'error deleting the contact !!!', 'Error deleting the contact !!!'),
('en', 'addressbook', 'enter the path to the exported file here', 'Enter the path to the exported file here'),
('en', 'addressbook', 'end', 'End'),
('en', 'addressbook', 'enclosure', 'Enclosure'),
('en', 'addressbook', 'enable an extra private addressbook', 'Enable an extra private addressbook'),
('en', 'addressbook', 'empty for all', 'empty for all'),
('en', 'addressbook', 'email addresses (comma separated) to send the contact data', 'Email addresses (comma separated) to send the contact data'),
('en', 'addressbook', 'email & internet', 'Email & Internet'),
('en', 'addressbook', 'edit custom field', 'Edit Custom Field'),
('en', 'addressbook', 'edit phonenumbers -', 'Edit Phonenumbers -'),
('en', 'addressbook', 'either the configured email addesses are wrong or the mail configuration.', 'Either the configured email addresses are wrong or the mail configuration.'),
('en', 'addressbook', 'duration', 'Duration'),
('en', 'addressbook', 'download this contact as vcard file', 'download this contact as vCard file'),
('en', 'addressbook', 'download export file (uncheck to debug output in browser)', 'Download export file (Uncheck to debug output in browser)'),
('en', 'addressbook', 'download', 'Download'),
('en', 'addressbook', 'don''t hide empty columns', 'Don''t hide empty columns'),
('en', 'addressbook', 'domestic', 'Domestic'),
('en', 'addressbook', 'doesn''t matter', 'doesn''t matter'),
('en', 'addressbook', 'document ''%1'' does not exist or is not readable for you!', 'Document ''%1'' does not exist or is not readable for you!'),
('en', 'addressbook', 'do your really want to delete this contact?', 'Do you really want to delete this contact?'),
('en', 'addressbook', 'do you want a private addressbook, which can not be viewed by users, you grant access to your personal addressbook?', 'Do you want a private address book, which can not be viewed by users, if you grant access to your personal address book?'),
('en', 'addressbook', 'distribution lists, ...', 'Distribution lists, ...'),
('en', 'addressbook', 'distribution lists', 'Distribution lists'),
('en', 'addressbook', 'distribution list deleted', 'Distribution list deleted'),
('en', 'addressbook', 'displays a remider for birthdays on the startpage (page you get when you enter egroupware or click on the homepage icon).', 'Displays a reminder for birthdays on the start page (page you get when you enter eGroupWare or click on the homepage icon).'),
('en', 'addressbook', 'display contact', 'Display Contact'),
('en', 'addressbook', 'directory with documents to insert contacts', 'Directory with documents to insert contacts'),
('en', 'addressbook', 'departments', 'departments'),
('en', 'addressbook', 'deletes the photo', 'Deletes the photo'),
('en', 'addressbook', 'deleted', 'Deleted'),
('en', 'addressbook', 'delete this organisation including all its contacts', 'Delete this organisation including ALL its contacts'),
('en', 'addressbook', 'delete this contact', 'Delete this contact'),
('en', 'addressbook', 'delete selected distribution list!', 'Delete selected distribution list!'),
('en', 'addressbook', 'delete a single entry by passing the id.', 'Delete a single entry by passing the id.'),
('en', 'addressbook', 'defines which email address (business or home) to use as the preferred one for distribution lists in mail.', 'Defines which email address (business or home) to use as the preferred one for distribution lists in mail.'),
('en', 'addressbook', 'default filter', 'Default Filter'),
('en', 'addressbook', 'default format for fileas, eg. for new entries.', 'Default format for fileas, eg. for new entries.'),
('en', 'addressbook', 'default file as format', 'Default file as format'),
('en', 'addressbook', 'default document to insert contacts', 'Default document to insert contacts'),
('en', 'addressbook', 'default addressbook for adding contacts', 'Default addressbook for adding contacts'),
('en', 'addressbook', 'debug output in browser', 'Debug output in browser'),
('en', 'addressbook', 'default', 'default'),
('en', 'addressbook', 'default address format', 'Default address format'),
('en', 'addressbook', 'custom etemplate for the contactform', 'Custom eTemplate for the contactform'),
('en', 'addressbook', 'custom fields', 'Custom Fields'),
('en', 'addressbook', 'custom', 'Custom'),
('en', 'addressbook', 'csv-filename', 'CSV-Filename'),
('en', 'addressbook', 'csv-fieldname', 'CSV-Fieldname'),
('en', 'addressbook', 'csv field', 'CSV Field'),
('en', 'addressbook', 'created', 'Created'),
('en', 'addressbook', 'credit', 'Credit'),
('en', 'addressbook', 'create new links', 'Create new links'),
('en', 'addressbook', 'copy your changes to the clipboard, %1reload the entry%2 and merge them.', 'Copy your changes to the clipboard, %1reload the entry%2 and merge them.'),
('en', 'addressbook', 'contains', 'contains'),
('en', 'addressbook', 'copied by %1, from record #%2.', 'Copied by %1, from record #%2.'),
('en', 'addressbook', 'copy a contact and edit the copy', 'Copy a contact and edit the copy'),
('en', 'addressbook', 'contactform', 'Contactform'),
('en', 'addressbook', 'contact saved', 'Contact saved'),
('en', 'addressbook', 'contact not found!', 'Contact not found!'),
('en', 'addressbook', 'contact modified by %1 at %2', 'Contact modified by %1 at %2'),
('en', 'addressbook', 'contact id', 'Contact ID'),
('en', 'addressbook', 'contact fields:', 'Contact fields:'),
('en', 'addressbook', 'contact fields to show', 'Contact fields to show'),
('en', 'addressbook', 'contact deleted', 'Contact deleted'),
('en', 'addressbook', 'contact copied', 'Contact copied'),
('en', 'addressbook', 'company name', 'company name'),
('en', 'addressbook', 'cleanup addressbook fields (apply if synchronization creates duplicates)', 'Cleanup address book fields (apply if synchronization creates duplicates)'),
('en', 'addressbook', 'choose seperator and charset', 'Choose seperator and charset'),
('en', 'addressbook', 'choose owner of imported data', 'Choose owner of imported data'),
('en', 'addressbook', 'check all', 'Check all');
INSERT INTO `egw_lang` (`lang`, `app_name`, `message_id`, `content`) VALUES
('en', 'addressbook', 'charset of file', 'Charset of file'),
('en', 'addressbook', 'charset for the csv export', 'Charset for the CSV export'),
('en', 'addressbook', 'change all organisation members', 'change all organisation members'),
('en', 'addressbook', 'cell phone', 'Mobile phone'),
('en', 'addressbook', 'categorie delete', 'Category deleted'),
('en', 'addressbook', 'categories, notes, ...', 'Categories, Notes, ...'),
('en', 'addressbook', 'categorie', 'category'),
('en', 'addressbook', 'categorie added', 'category added'),
('en', 'addressbook', 'car phone', 'Car Phone'),
('en', 'addressbook', 'business zip code', 'Business Postal Code'),
('en', 'addressbook', 'calendar fields:', 'Calendar fields:'),
('en', 'addressbook', 'calendar uri', 'Calendar URI'),
('en', 'addressbook', 'business street', 'Business Street'),
('en', 'addressbook', 'business phone', 'Business Phone'),
('en', 'addressbook', 'business state', 'Business State'),
('en', 'addressbook', 'business fax', 'Business Fax'),
('en', 'addressbook', 'business email', 'Business EMail'),
('en', 'addressbook', 'business country', 'Business Country'),
('en', 'addressbook', 'business city', 'Business City'),
('en', 'addressbook', 'blank', 'Blank'),
('en', 'addressbook', 'business address', 'Business address'),
('en', 'addressbook', 'at the moment the following document-types are supported:', 'At the moment the following document types are supported:'),
('en', 'addressbook', 'assistent phone', 'Assistent phone'),
('en', 'addressbook', 'assistent', 'Assistent'),
('en', 'addressbook', 'are you sure you want to delete this field?', 'Are you sure you want to delete this field?'),
('en', 'addressbook', 'are you shure you want to delete this contact?', 'Are you sure you want to delete this contact?'),
('en', 'addressbook', 'apply the action on the whole query, not only the shown contacts!!!', 'Apply the action on the whole query, NOT only the shown contacts!!!'),
('en', 'addressbook', 'always', 'always'),
('en', 'addressbook', 'apply changes to all members, whose fields have the same previous content', 'Apply changes to all members, whose fields have the same previous content'),
('en', 'addressbook', 'addressbook-fieldname', 'Addressbook-Fieldname'),
('en', 'addressbook', 'addvcard', 'Add VCard'),
('en', 'addressbook', 'advanced search', 'Advanced search'),
('en', 'addressbook', 'all contacts', 'All contacts'),
('en', 'addressbook', 'alt. csv import', 'Alt. CSV Import'),
('en', 'addressbook', 'addressbook the contact should be shown', 'Addressbook the contact should be shown'),
('en', 'addressbook', 'addressbook the contact should be saved to', 'Addressbook the contact should be saved to'),
('en', 'addressbook', 'addressbook preferences', 'Addressbook preferences'),
('en', 'addressbook', 'addressbook menu', 'Addressbook menu'),
('en', 'addressbook', 'address type', 'Address Type'),
('en', 'addressbook', 'addressbook csv export', 'Addressbook CSV export'),
('en', 'addressbook', 'addressbook field', 'Addressbook Field'),
('en', 'addressbook', 'address line 2', 'Address Line 2'),
('en', 'addressbook', 'address book - view', 'Address book - view'),
('en', 'addressbook', 'address book - vcard in', 'Address book - VCard in'),
('en', 'addressbook', 'added to distribution list', 'added to distribution list'),
('en', 'addressbook', 'added by synchronisation', 'added by synchronisation'),
('en', 'addressbook', 'added', 'added'),
('en', 'addressbook', 'add to distribution list:', 'Add to distribution list:'),
('en', 'addressbook', 'add or delete categories', 'Add or delete Categoies'),
('en', 'addressbook', 'add emails of whole distribution list?', 'Add emails of whole distribution list?'),
('en', 'addressbook', 'add custom field', 'Add Custom Field'),
('en', 'addressbook', 'add business email of whole distribution list?', 'Add business email of whole distribution list?'),
('en', 'addressbook', 'add a single entry by passing the fields.', 'Add a single entry by passing the fields.'),
('en', 'addressbook', 'add a new list', 'Add a new list'),
('en', 'addressbook', 'add a new infolog', 'Add a new Infolog'),
('en', 'addressbook', 'add a new contact', 'Add a new contact'),
('en', 'addressbook', 'add a contact to this organisation', 'Add a contact to this organisation'),
('en', 'addressbook', 'add %1', 'Add %1'),
('en', 'addressbook', 'actions', 'Actions'),
('en', 'addressbook', 'accounts', 'Accounts'),
('en', 'addressbook', '@-eval() is only availible to admins!!!', '@-eval() is only availible to admins!!!'),
('en', 'addressbook', '<b>no conversion type &lt;none&gt; could be located.</b>  please choose a conversion type from the list', '<b>No conversion type <none> could be located.</b>  Please choose a conversion type from the list'),
('en', 'addressbook', '%1 starts with ''%2''', '%1 starts with ''%2'''),
('en', 'addressbook', '%s please calculate the result', '%s please calculate the result'),
('en', 'addressbook', '(e.g. 1969)', '(e.g. 1969)'),
('en', 'addressbook', '%1 records read (not yet imported, you may go %2back%3 and uncheck test import)', '%1 records read (not yet imported, you may go %2back%3 and uncheck Test Import)'),
('en', 'addressbook', '%1 records imported', '%1 records imported'),
('en', 'addressbook', '%1 not implemented for %2!', '%1 not implemented for %2!'),
('en', 'addressbook', '%1 fields in %2 other organisation member(s) changed', '%1 fields in %2 other organisation member(s) changed'),
('en', 'addressbook', '%1 contacts updated (%2 errors).', '%1 contacts updated (%2 errors).'),
('en', 'addressbook', '%1 contact(s) %2, %3 failed because of insufficent rights !!!', '%1 contact(s) %2, %3 failed because of insufficient rights !!!'),
('en', 'addressbook', '%1 contact(s) %2', '%1 contact(s) %2'),
('en', 'addressbook', '%1 added', '%1 added'),
('it', 'admin', 'times', 'Tempi'),
('it', 'admin', 'to allow us to track the growth of your individual installation use this submit id, otherwise delete it:', 'Per permetterci di valutare lo sviluppo della sua installazione individuale, utilizzare questo ID, altrimenti eliminarlo.'),
('it', 'admin', 'top', 'in alto'),
('it', 'admin', 'total of %1 id''s changed.', 'Totale di %1 id modificati'),
('it', 'admin', 'total records', 'Inserimenti totali'),
('it', 'admin', 'true', 'Vero'),
('it', 'admin', 'trust level', 'Livello di Fiducia'),
('it', 'admin', 'trust relationship', 'Relazioni Fidate'),
('it', 'admin', 'two days', 'Due giorni'),
('it', 'admin', 'two hours', 'Due ore'),
('it', 'admin', 'two months', 'Due mesi'),
('it', 'admin', 'two weeks', 'Due settimane'),
('it', 'admin', 'type ''%1'' already exists !!!', 'il tipo ''%1'' esiste già !!!'),
('it', 'admin', 'type of customfield', 'Tipo di campo personalizzato'),
('it', 'admin', 'under windows you need to install the asyncservice %1manually%2 or use the fallback mode. fallback means the jobs get only check', 'Sotto windows devi installare lo schedulatore %1manualmente%2 o usare la modalità fallback. Fallback significa che i lavori vengono controllati solo dopo ogni vista pagina !!!'),
('it', 'admin', 'unknown account: %1 !!!', 'Account ignoto: %1 !'),
('it', 'admin', 'unknown command %1!', 'Comando %1 ignoto !'),
('it', 'admin', 'unknown option %1', 'Opzione %1 ignota !'),
('it', 'admin', 'updated', 'Aggiornato'),
('it', 'admin', 'url of the egroupware installation, eg. http://domain.com/egroupware', 'URL della installazione EGroupware, p.es. http://dominio.com/egroupware'),
('it', 'admin', 'usage', 'Utilizzo'),
('it', 'admin', 'use cookies to pass sessionid', 'utilizza i cookie per passare l''id di sessione'),
('it', 'admin', 'use pure html compliant code (not fully working yet)', 'Usa codice HTML compliant (non ancora completamente implementato)'),
('it', 'admin', 'use theme', 'Utilizza il tema'),
('it', 'admin', 'user accounts', 'Account utenti'),
('it', 'admin', 'user for smtp-authentication (leave it empty if no auth required)', 'User per autenticazione SMTP (lascia vuoto se non è richiesta autenticazione)'),
('it', 'admin', 'user groups', 'Gruppi utenti'),
('it', 'admin', 'userdata', 'Dati utente'),
('it', 'admin', 'users choice', 'Scelta dell''utente'),
('it', 'admin', 'value for column %1 is not unique!', 'Il valore per la colonna %1 non è univoco!'),
('it', 'admin', 'view access log', 'Visualizza Log accessi'),
('it', 'admin', 'view account', 'Visualizza account'),
('it', 'admin', 'view category', 'Visualizza categoria'),
('it', 'admin', 'view error log', 'Visualizza Log errori'),
('it', 'admin', 'view sessions', 'Visualizza sessioni'),
('it', 'admin', 'view this user', 'visualizza questo utente'),
('it', 'admin', 'view user account', 'Visualizza account utente'),
('it', 'admin', 'we ask for the data to improve our profile in the press and to get a better understanding of egroupware''s user base and it''s nee', 'Le informazioni inviate servono soltanto per avere una panoramica dell''utilizzo si Egroupware nel mondo'),
('it', 'admin', 'we hope you understand the importance for this voluntary statistic and not deny it lightly.', 'Non registriamo dati identificativi.'),
('it', 'admin', 'who would you like to transfer all records owned by the deleted user to?', 'A chi vuoi trasferire TUTTI i dati di questo utente?'),
('it', 'admin', 'would you like egroupware to cache the egw info array ?', 'Vuoi che eGroupWare utilizzi la cache per l''array egw info?'),
('it', 'admin', 'would you like egroupware to check for a new version<br>when admins login ?', 'Vuoi che eGroupWare controlli se c''è una nuova versione<br>quando un amministratore effettua il login ?'),
('it', 'admin', 'would you like egroupware to check for new application versions when admins login ?', 'Vuoi che eGroupWare controlli se ci sono nuove versioni delle applicazioni<br>quando un amministratore effettua il login ?'),
('it', 'admin', 'would you like to automaticaly load new langfiles (at login-time) ?', 'Vuoi caricare automaticamente i nuovi file di traduzione (al momento del login) ?'),
('it', 'admin', 'would you like to show each application''s upgrade status ?', 'Vuoi che venga mostrato lo stato di aggiornamento di ogni applicazione?'),
('it', 'admin', 'wrong account type: %1 is no %2 !!!', 'Tipo di account errato: %1 non è %2 !'),
('it', 'admin', 'wrong admin-account or -password !!!', 'Account amministrativo o password errati'),
('it', 'admin', 'xml-rpc', 'XML-RPC'),
('it', 'admin', 'you have entered an invalid expiration date', 'Hai inserito una data di scadenza non valida'),
('it', 'admin', 'you have no email address for your user set !!!', 'Non hai inserito un indirizzo email per il tuo utente!'),
('it', 'admin', 'you have to enter a name, to create a new field!!!', 'Devi inserire un nome, per creare un nuovo campo!!!'),
('it', 'admin', 'you have to enter a name, to create a new type!!!', 'Devi inserire un nome, per creare un nuovo tipo!!!'),
('it', 'admin', 'you must add at least 1 permission or group to this account', 'Devi aggiungere almeno 1 permesso o gruppo a questo account'),
('it', 'admin', 'you must enter a group name.', 'Devi inserire un nome di gruppo'),
('it', 'admin', 'you must enter a lastname', 'Devi inserire un cognome'),
('it', 'admin', 'you must enter a loginid', 'Devi inserire un  ID di login'),
('it', 'admin', 'you must enter an application name and title.', 'Devi inserire un nome e un titolo per l''applicazione.'),
('it', 'admin', 'you must enter an application name.', 'Devi inserire un nome per l''applicazione'),
('it', 'admin', 'you must enter an application title.', 'Devi inserire un titolo per l''applicazione'),
('it', 'admin', 'you must select a file type', 'Devi selezionare un tipo di file'),
('it', 'admin', 'you must select at least one group member.', 'Devi selezionare almeno un membro del gruppo.'),
('it', 'admin', 'you need to enter install id and password!', 'Devi inserire sia l''ID di installazione che la password!'),
('it', 'admin', 'you will need to remove the subcategories before you can delete this category', 'E'' necessario rimuovere le sotto-categorie prima di cancellare questa categoria'),
('it', 'admin', 'your last submission was less then %1 days ago!', 'Il tuo ultimo invio dati è stato meno di %1 giorni fa!'),
('it', 'admin', 'your session could not be verified.', 'La sessione non può essere verificata.'),
('it', 'admin', 'birthdays', 'Compleanni'),
('it', 'admin', 'calendar holiday management', 'Gestione Festività Agenda'),
('it', 'admin', 'calendar settings', 'Impostazioni Agenda'),
('it', 'admin', 'do you wish to autoload calendar holidays files dynamically?', 'Vuoi caricare automaticamente nell''agenda i file con l''elenco delle festività?'),
('it', 'admin', 'every user can invite other users and groups', 'Ogni utente può invitare altri utenti o gruppi'),
('it', 'admin', 'groups: other users can allways be invited, only groups require an invite grant', 'Gruppi: gli altri utenti possono sempre essere invitati, solo i gruppo hanno bisogno di un accreditamento di invito.'),
('it', 'admin', 'location to autoload from', 'Indirizzo da cui caricare automaticamente'),
('it', 'admin', 'prevent deleting of entries', 'Previeni la eliminazione degli inserimenti'),
('it', 'admin', 'require an acl grant to invite other users and groups', 'Richiedi ACL per invitare altri utenti e gruppi'),
('it', 'admin', 'setting lock time calender', 'Impostazione di blocco di dati di orario per l''agenda (predefinito 1 sec.)'),
('it', 'admin', 'show birthdays from addressbook', 'Mostra compleanni dalla Rubrica'),
('it', 'admin', 'show only the date, not the year', 'Mostra solo mese e giorno'),
('it', 'admin', 'users + groups: inviting both allways requires an invite grant', 'Utenti + gruppi: l''invito ad entrambi richiede permessi di invito'),
('it', 'admin', 'imap admin password', 'Password amministratore IMAP'),
('it', 'admin', 'imap admin user', 'User amministratore IMAP'),
('it', 'admin', 'enter your imap mail server hostname or ip address', 'Enter your IMAP mail server hostname or IP address'),
('it', 'admin', 'enter your sieve server hostname or ip address', 'Enter your SIEVE server hostname or IP address'),
('it', 'admin', 'enter your sieve server port', 'Enter your SIEVE server port'),
('it', 'admin', 'mail server login type', 'Mail server login type'),
('it', 'admin', 'organization name', 'Nome organizzazione'),
('it', 'admin', 'select your mail server type', 'Selezona il tipo di server mail'),
('it', 'admin', 'sieve settings', 'Impostazioni Sieve'),
('it', 'admin', 'smtp settings', 'Impostazioni SMTP'),
('it', 'admin', 'use smtp auth', 'usa autenticazione SMTP'),
('it', 'admin', 'users can define their own emailaccounts', 'Gli utenti possono definire i propri account email'),
('it', 'admin', 'allow a maximum of the above configured folderlinks to be configured in settings', 'Numero massimo di collegamenti a cartelle da configurare nelle preferenze'),
('it', 'admin', 'filemanager configuration', 'Configurazione filemanager'),
('it', 'admin', 'max folderlinks', 'Numero massimo di collegamenti a cartella'),
('it', 'admin', 'anonymous password', 'Password per anonimo'),
('it', 'admin', 'anonymous username', 'Username per anonimo'),
('it', 'admin', 'install or update the manual-pages', 'installa o aggiorna le pagine del manuale'),
('it', 'admin', 'maintain news', 'Manutenzione Notizie'),
('it', 'admin', '00 (disable)', '00 (disabilitato)'),
('it', 'admin', '13 (ntp)', '13 (ntp)'),
('it', 'admin', '80 (http)', '80 (http)'),
('it', 'admin', 'datetime port.<br>if using port 13, please set firewall rules appropriately before submitting this page.<br>(port: 13 / host: 12', 'Porta data e ora.<br>Se utilizzi la porta 13, imposta correttamente il firewall prima di confermare questa pagina.<br>(Port: 13 / Host: 129.6.15.28)'),
('it', 'admin', 'voting booth admin', 'Cabina votazioni'),
('it', 'admin', 'activate account', 'Attivazione account'),
('it', 'admin', 'days until trial accounts expire', 'Giorni prima della scadenza account di prova'),
('it', 'admin', 'display terms of service?', 'Visualizza termini del servizio?'),
('it', 'admin', 'email address to display for support', 'Indirizzo email da visualizzare per supporto'),
('it', 'admin', 'email address to send notices from', 'Indirizzo email da cui inviare notifiche'),
('it', 'admin', 'enable registration?', 'Abilita Registrazione?'),
('it', 'admin', 'http password', 'Password HTTP'),
('it', 'admin', 'http username', 'Username HTTP'),
('it', 'admin', 'immediately', 'Immediatamente'),
('it', 'admin', 'lost password link at login screen?', 'Collegamento Password persa in schermata login?'),
('it', 'admin', 'lost user id link at login screen?', 'Collegamento id utente persa in schermata login?'),
('it', 'admin', 'manage fields', 'Gestisci campi'),
('it', 'admin', 'password is', 'La password è'),
('it', 'admin', 'register link at login screen?', 'Link Registrati nella schermata di Login?'),
('it', 'admin', 'registration settings', 'Impostazioni Registrazione'),
('it', 'admin', 'send email', 'Invia email'),
('it', 'admin', 'subject for confirmation email', 'Oggetto per la mail di conferma'),
('it', 'admin', 'terms of service text', 'Testo Termini di Servizio'),
('it', 'admin', 'use html', 'usa HTML'),
('it', 'admin', 'use trial accounts?', 'Utilizzare account di prova?'),
('it', 'admin', 'username is', 'Il Nome Utente è'),
('it', 'admin', 'configure access permissions', 'Configura Permessi Accesso'),
('it', 'admin', 'both: allow to use projectmanager and free project-names', 'Entrambi: permetti di usare Gestione Progetti e nomi-progetto liberi'),
('it', 'admin', 'full: use only projectmanager', 'Pieno: usa solo Gestione Progetti'),
('it', 'admin', 'none: use only free project-names', 'Nessuno: usa solo nomi-progetto liberi'),
('it', 'admin', 'projectmanager integration', 'Integrazione Gestione Progetti'),
('it', 'admin', '(don''t offer the possibility)', '(non offrono la possibilità)'),
('it', 'admin', 'after how many days should old versions of a page be removed (0 for never)', 'Dopo quanti giorni le vecchie versioni della pagina dovrebbe essere rimossa (0 per mai)'),
('it', 'admin', 'allow anonymous access', 'Permetti accesso anonimo'),
('it', 'admin', 'anonymous session type', 'Tipo sessione per anonimo'),
('it', 'admin', 'automatically convert pages with wiki-syntax to richtext (if edited)?', 'Convertire automaticamente le pagine con sintassi WIKI in RICHTEXT (se modificate)?'),
('it', 'admin', 'edit with preview', 'Modifica con Anteprima'),
('it', 'admin', 'editable', 'modificabile'),
('it', 'admin', 'emailaddress administrator', 'Indirizzo email Amministratore'),
('it', 'admin', 'enable free links', 'Abilita Link liberi'),
('it', 'admin', 'enable wiki links', 'Abilita link WIKI'),
('it', 'admin', 'interwikiprefix', 'Prefisso interWiki'),
('it', 'admin', 'name wiki home link', 'Nome collegamento HOME del Wiki'),
('it', 'admin', 'no never', 'No mai'),
('it', 'admin', 'no only on request', 'No solo su richiesta'),
('it', 'admin', 'only if browser supports a richtext-editor', 'Solo se il browser supporta un editor RICHTEXT'),
('it', 'admin', 'path of the upload directory (has to be writable by the webserver!)', 'Percorso della cartella di upload (deve essere scrivibile dal Server web)'),
('it', 'admin', 'picture upload via richtext editor (leave the upload directory empty to disable the upload)', 'Upload delle immagini attraverso l''editor richtext (lascia la cartella di upload vuota per disabilitare l''upload)'),
('it', 'admin', 'readonly', 'Sola lettura'),
('it', 'admin', 'url of the upload directory', 'URL della cartella di upload'),
('it', 'admin', 'yes always', 'Sì sempre'),
('it', 'admin', 'yes with navbar', 'Si con barra di navigazione'),
('it', 'common', 'address book', 'Rubrica'),
('it', 'common', 'addressbook', 'Rubrica'),
('it', 'common', 'birthday', 'Data di nascita'),
('it', 'common', 'birthdays', 'Compleanni'),
('it', 'common', 'business', 'Ufficio'),
('it', 'common', 'city', 'Città'),
('it', 'common', 'company', 'Azienda'),
('it', 'common', 'configuration', 'Configurazione'),
('it', 'common', 'contact', 'Contatto'),
('it', 'common', 'country', 'Nazione'),
('it', 'common', 'department', 'Dipartimento'),
('it', 'common', 'fax number', 'numero di fax'),
('it', 'common', 'grant addressbook access', 'Permetti accesso alla Rubrica'),
('it', 'common', 'pager', 'Cercapersone'),
('it', 'common', 'phone number', 'numero telefonico'),
('it', 'common', 'phone numbers', 'Numeri di telefono'),
('it', 'common', 'postal', 'Postale'),
('it', 'common', 'state', 'Provincia'),
('it', 'common', 'street', 'Via'),
('it', 'common', 'today is %1''s birthday!', 'Oggi è il compleanno di %1!'),
('it', 'common', 'tomorrow is %1''s birthday.', 'Domani è il compleanno di %1.'),
('it', 'common', 'vcard', 'VCard'),
('it', 'common', 'zip code', 'CAP'),
('it', 'common', 'account has been created', 'Account creato'),
('it', 'common', 'account has been deleted', 'Account cancellato'),
('it', 'common', 'account has been updated', 'Account aggiornato'),
('it', 'common', 'acl rights', 'Diritti ACL'),
('it', 'common', 'are you sure you want to delete this category ?', 'Vuoi davvero eliminare questa categoria ?'),
('it', 'common', 'global categories', 'Categorie Globali'),
('it', 'common', 'group has been added', 'Gruppo aggiunto'),
('it', 'common', 'group has been deleted', 'Gruppo cancellato'),
('it', 'common', 'group has been updated', 'Gruppo aggiornato'),
('it', 'common', 'installed applications', 'Applicazioni Installate'),
('it', 'common', 'user data', 'Dati utente'),
('it', 'common', 'book marks', 'Segnalibri'),
('it', 'common', 'bookmarks', 'Segnalibri'),
('it', 'common', 'export bookmarks', 'Esporta Segnalibri'),
('it', 'common', 'import bookmarks', 'Importa segnalibri'),
('it', 'common', 'custom fields', 'Personalizza i Campi'),
('it', 'common', 'custom_2', 'Libero/Impegnato'),
('it', 'common', 'freebusy', 'Libero/Impegnato'),
('it', 'common', 'import csv-file', 'Importa File-CSV'),
('it', 'common', 'developer_tools', 'Strumenti di Traduzione'),
('it', 'common', 'email settings', 'Impostazioni email'),
('it', 'common', 'emailadmin: group assigned profile', 'eMailAdmin: Profilo assegnato al gruppo'),
('it', 'common', 'emailadmin: user assigned profile', 'eMailAdmin: Profilo assegnato all''utente'),
('it', 'common', 'etemplate', 'eTemplate'),
('it', 'common', 'new search', 'Nuova ricerca'),
('it', 'common', 'felamimail', 'eMail'),
('it', 'common', 'filter rules', 'Regole Filtro'),
('it', 'common', 'manage email accounts and identities', 'Gestisci account e identità'),
('it', 'common', 'manage emailaccounts', 'Gestisci account di posta'),
('it', 'common', 'manage folders', 'Gestione Cartelle'),
('it', 'common', 'manage sieve', 'Gestione script Sieve'),
('it', 'common', 'new', 'Nuovo'),
('it', 'common', 'unread', 'da leggere'),
('it', 'common', 'vacation notice', 'notifica assenza'),
('it', 'common', '%1 files', '%1 file'),
('it', 'common', 'all files', 'Tutti i file'),
('it', 'common', 'applications', 'Applicazioni'),
('it', 'common', 'filemanager', 'Filemanager'),
('it', 'common', 'csv-import', 'CSV Importa'),
('it', 'common', 'custom fields, typ and status', 'Campi personalizzati, tipo e stato'),
('it', 'common', 'done', 'Finito'),
('it', 'common', 'info log', 'Attività'),
('it', 'common', 'infolog', 'Attività'),
('it', 'common', 'infolog preferences', 'Preferenze Attività'),
('it', 'common', 'manual', 'Manuale / Aiuto'),
('it', 'common', 'configure access permissions', 'Configura i permessi di accesso'),
('it', 'common', 'configure rss exports', 'Configura l''esportazione RSS'),
('it', 'common', 'news_admin', 'Gestione Notizie'),
('it', 'common', 'submitted by', 'Aggiunto da'),
('it', 'common', 'notification', 'Notifica'),
('it', 'common', 'have to be approved first', 'Deve prima essere approvato'),
('it', 'common', 'knowledge base configuration', 'Configurazione Archivio Conoscenza'),
('it', 'common', 'phpbrain', 'Archivio Conoscenza'),
('it', 'common', 'publish articles automatically?', 'Pubblica gli articoli automaticamente?'),
('it', 'common', 'publish comments automatically?', 'Pubblica i commenti automaticamente?'),
('it', 'common', 'publish questions automatically?', 'Pubblica le domande automaticamente?'),
('it', 'common', '%1 email addresses inserted', '%1 indirizzi e-mail inseriti'),
('it', 'common', '%1 file', '%1 file'),
('it', 'common', '%1 is not executable by the webserver !!!', '%1 non è eseguibile dal webserver !!!'),
('it', 'common', '%1choose an other directory%2<br />or make %3 writeable by webserver', '%1Scegli un''altra directory%2<br />o rendi %3 scrivibile dal webserver'),
('it', 'common', '%1egroupware%2 is a multi-user, web-based groupware suite written in %3php%4.', '%1eGroupWare%2 è una suite di collaborazione multiutente, web-based scritta in %3PHP%4.'),
('it', 'common', '(session restored in %1 seconds)', 'Sessione ripristinata in %1 secondi'),
('it', 'common', '1 day', '1 Giorno'),
('it', 'common', '1 hour', '1 Ora'),
('it', 'common', '1 month', '1 Mese'),
('it', 'common', '1 week', '1 Settimana'),
('it', 'common', 'about', 'Info'),
('it', 'common', 'about %1', 'Info su %1'),
('it', 'common', 'about egroupware', 'Info su eGroupware'),
('it', 'common', 'access', 'Accesso'),
('it', 'common', 'access not permitted', 'Accesso non permesso'),
('it', 'common', 'account is expired', 'L''account è scaduto'),
('it', 'common', 'accounts', 'Account'),
('it', 'common', 'acl', 'ACL'),
('it', 'common', 'action', 'Azione'),
('it', 'common', 'active', 'Attivo'),
('it', 'common', 'add', 'Aggiungi'),
('it', 'common', 'add %1 category for', 'Aggiungi %1 categoria per'),
('it', 'common', 'add category', 'Aggiungi categoria'),
('it', 'common', 'add shortcut', 'Aggiungi Scorciatoia'),
('it', 'common', 'add sub', 'Aggiungi Sotto-'),
('it', 'common', 'admin', 'Amministra'),
('it', 'common', 'administration', 'Amministrazione'),
('it', 'common', 'afghanistan', 'AFGHANISTAN'),
('it', 'common', 'albania', 'ALBANIA'),
('it', 'common', 'algeria', 'ALGERIA'),
('it', 'common', 'all', 'Tutto'),
('it', 'common', 'all fields', 'tutti i campi'),
('it', 'common', 'all languages', 'Tutte le lingue'),
('it', 'common', 'alphabet', 'a,b,c,d,e,f,g,h,i,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y,z'),
('it', 'common', 'alternate style-sheet:', 'Foglio di stile alternativo:'),
('it', 'common', 'american samoa', 'SAMOA AMERICANA'),
('it', 'common', 'an error happened', 'Un errore è occorso!'),
('it', 'common', 'an existing and by the webserver readable directory enables the image browser and upload.', 'Una directory esistente e leggibile dal server consente di sfogliare e caricare immagini'),
('it', 'common', 'andorra', 'ANDORRA'),
('it', 'common', 'angola', 'ANGOLA'),
('it', 'common', 'anguilla', 'ANGUILLA'),
('it', 'common', 'antarctica', 'ANTARTIDE'),
('it', 'common', 'antigua and barbuda', 'ANTIGUA E BARBUDA'),
('it', 'common', 'application', 'Applicazione'),
('it', 'common', 'apply', 'Applica'),
('it', 'common', 'april', 'Aprile'),
('it', 'common', 'are you sure you want to delete these entries ?', 'Vuoi davvero cancellare queste voci ?'),
('it', 'common', 'are you sure you want to delete this entry ?', 'Vuoi davvero cancellare questa voce?'),
('it', 'common', 'argentina', 'ARGENTINA'),
('it', 'common', 'armenia', 'ARMENIA'),
('it', 'common', 'aruba', 'ARUBA'),
('it', 'common', 'august', 'Agosto'),
('it', 'common', 'australia', 'AUSTRALIA'),
('it', 'common', 'austria', 'AUSTRIA'),
('it', 'common', 'author', 'Autore'),
('it', 'common', 'autohide sidebox menu''s', 'Nascondi automaticamente i menù laterali'),
('it', 'common', 'autohide sidebox menus', 'Nascondi automaticamente i menù laterali'),
('it', 'common', 'automatically hide the sidebox menu''s?', 'Nascondere automaticamente i menù laterali?'),
('it', 'common', 'automatically hide the sidebox menus?', 'Nascondo automaticamente i menù laterali ?'),
('it', 'common', 'autosave default category', 'Categoria predefinita per il salvataggio automatico'),
('it', 'common', 'azerbaijan', 'AZERBAIJAN'),
('it', 'common', 'back', 'Indietro'),
('it', 'common', 'back to user login', 'Torna al Login utente'),
('it', 'common', 'background color:', 'Colore di sfondo:'),
('it', 'common', 'backupdir ''%1'' is not writeable by the webserver', 'directory di backup ''%1'' non è scrivibile dal webserver'),
('it', 'common', 'bad login or password', 'Nome utente o password errati'),
('it', 'common', 'bahamas', 'BAHAMAS'),
('it', 'common', 'bahrain', 'BAHRAIN'),
('it', 'common', 'bangladesh', 'BANGLADESH'),
('it', 'common', 'barbados', 'BARBADOS'),
('it', 'common', 'bcc', 'Bcc'),
('it', 'common', 'belarus', 'BELARUS'),
('it', 'common', 'belgium', 'BELGIO'),
('it', 'common', 'belize', 'BELIZE'),
('it', 'common', 'benin', 'BENIN'),
('it', 'common', 'bermuda', 'BERMUDA'),
('it', 'common', 'bhutan', 'BHUTAN'),
('it', 'common', 'blocked, too many attempts', 'Bloccato, troppi tentativi'),
('it', 'common', 'bold', 'Grassetto'),
('it', 'common', 'bolivia', 'BOLIVIA'),
('it', 'common', 'border', 'Bordo'),
('it', 'common', 'bosnia and herzegovina', 'BOSNIA E HERZEGOVINA'),
('it', 'common', 'botswana', 'BOTSWANA'),
('it', 'common', 'bottom', 'Bottom'),
('it', 'common', 'bouvet island', 'BOUVET ISLAND'),
('it', 'common', 'brazil', 'BRASILE'),
('it', 'common', 'british indian ocean territory', 'TERRITORI BRITANNICI OCEANO INDIANO'),
('it', 'common', 'brunei darussalam', 'BRUNEI DARUSSALAM'),
('it', 'common', 'bulgaria', 'BULGARIA'),
('it', 'common', 'bulgarian', 'Bulgaro'),
('it', 'common', 'burkina faso', 'BURKINA FASO'),
('it', 'common', 'burundi', 'BURUNDI'),
('it', 'common', 'calendar', 'Agenda'),
('it', 'common', 'cambodia', 'CAMBOGIA'),
('it', 'common', 'cameroon', 'CAMEROON'),
('it', 'common', 'canada', 'CANADA'),
('it', 'common', 'cancel', 'Cancella'),
('it', 'common', 'cannot replace %1 because it is a directory', 'Non è possibile sostituire %1 perché è una directory'),
('it', 'common', 'cant open %1, needs ziparchive', 'Non posso aprire %1, per farlo è necessario ZipArchive'),
('it', 'common', 'cant open ''%1'' for %2', 'Non è possibile aprire ''%1'' per %2'),
('it', 'common', 'cape verde', 'CAPO VERDE'),
('it', 'common', 'caption', 'Didascalia'),
('it', 'common', 'categories', 'Categorie'),
('it', 'common', 'categories for', 'Categorie per'),
('it', 'common', 'category', 'Categoria'),
('it', 'common', 'category %1 has been added !', 'La categoria %1 è stata aggiunta!'),
('it', 'common', 'category %1 has been updated !', 'La categoria %1 è stata aggiornata!'),
('it', 'common', 'cayman islands', 'ISOLE CAYMAN'),
('it', 'common', 'cc', 'Cc'),
('it', 'common', 'centered', 'centrato'),
('it', 'common', 'central african republic', 'REPUBBLICA CENTRO AFRICANA'),
('it', 'common', 'chad', 'CHAD'),
('it', 'common', 'change', 'Cambia'),
('it', 'common', 'charset', 'utf-8'),
('it', 'common', 'check installation', 'Controlla installazione'),
('it', 'common', 'check now', 'Controlla Adesso'),
('it', 'common', 'chile', 'CILE'),
('it', 'common', 'china', 'CINA'),
('it', 'common', 'choose a background color', 'Scegli un colore di sfondo'),
('it', 'common', 'choose a background color for the icons', 'Scegli un colore di sfondo per le icone'),
('it', 'common', 'choose a background image.', 'Scegli un''immagine di sfondo'),
('it', 'common', 'choose a background style.', 'Scegli un stile per lo sfondo'),
('it', 'common', 'choose a text color for the icons', 'Scegli un colore per il testo delle icone'),
('it', 'common', 'choose the category', 'Scegli la categoria'),
('it', 'common', 'choose the parent category', 'Scegli la categoria superiore'),
('it', 'common', 'christmas island', 'ISOLA DI NATALE'),
('it', 'common', 'clear', 'Pulisci'),
('it', 'common', 'clear form', 'Svuota il modulo'),
('it', 'common', 'click', 'Clicca'),
('it', 'common', 'click here to resume your egroupware session.', 'Clicca qui per ripristinare la tua sessione EGroupware'),
('it', 'common', 'click or mouse over to show menus', 'Clicca o passa sopra con il puntatore per mostrare i menù'),
('it', 'common', 'click or mouse over to show menus?', 'Clicca o passa sopra con il puntatore per mostrare i menù ?'),
('it', 'common', 'click this image on the navbar: %1', 'Clicca su questa immagine sulla barra di navigazione: %1'),
('it', 'common', 'close', 'Chiudi'),
('it', 'common', 'close sidebox', 'Chiudi riquadro laterale'),
('it', 'common', 'cocos (keeling) islands', 'ISOLE COCOS (KEELING)'),
('it', 'common', 'collection empty.', 'Collezione vuota'),
('it', 'common', 'collection listing', 'Elenco collezione'),
('it', 'common', 'colombia', 'COLOMBIA'),
('it', 'common', 'common preferences', 'Preferenze generiche'),
('it', 'common', 'comoros', 'COMORE'),
('it', 'common', 'congo', 'CONGO'),
('it', 'common', 'congo, the democratic republic of the', 'CONGO, REPUBBLICA DEMOCRATICA DEL'),
('it', 'common', 'contacting server...', 'Sto contattando il Server...'),
('it', 'common', 'content type', 'Tipo contenuto'),
('it', 'common', 'cook islands', 'ISOLE COOK'),
('it', 'common', 'copy', 'Copia'),
('it', 'common', 'costa rica', 'COSTA RICA'),
('it', 'common', 'cote d ivoire', 'COSTA D''AVORIO'),
('it', 'common', 'could not contact server. operation timed out!', 'Impossibile contattare il server. Operazione fuori tempo massimo!'),
('it', 'common', 'create', 'Crea'),
('it', 'common', 'created by', 'Creato da'),
('it', 'common', 'croatia', 'CROAZIA'),
('it', 'common', 'cuba', 'CUBA'),
('it', 'common', 'currency', 'Valuta'),
('it', 'common', 'current', 'Attuale'),
('it', 'common', 'current users', 'Utenti attuali'),
('it', 'common', 'cyprus', 'CIPRO'),
('it', 'common', 'czech republic', 'REPUBBLICA CECA'),
('it', 'common', 'database error', 'Errore del database!'),
('it', 'common', 'database error!', 'Errore del database!'),
('it', 'common', 'date', 'Data'),
('it', 'common', 'date due', 'Data richiesta'),
('it', 'common', 'december', 'Dicembre'),
('it', 'common', 'default category', 'Categoria Predefinita'),
('it', 'common', 'default height for the windows', 'Altezza predefinita per le finestre'),
('it', 'common', 'default width for the windows', 'Larghezza predefinita per le finestre'),
('it', 'common', 'delete', 'Elimina'),
('it', 'common', 'delete row', 'Cancella riga'),
('it', 'common', 'denmark', 'DANIMARCA'),
('it', 'common', 'description', 'Descrizione'),
('it', 'common', 'detail', 'Dettaglio'),
('it', 'common', 'details', 'Dettagli'),
('it', 'common', 'diable the execution a bugfixscript for internet explorer 5.5 and higher to show transparency in png-images?', 'Disabilita lo script per sistemare il bug di Internet Explorer 5.5 and superiore nella visualizzazione delle trasparenze nelle immagini PNG?'),
('it', 'common', 'direction left to right', 'Direzione da sinistra a destra'),
('it', 'common', 'directory', 'Directory'),
('it', 'common', 'directory does not exist, is not readable by the webserver or is not relative to the document root!', 'La directory non esiste, non è leggibile dal server o non è relativa alla base dei documenti (docroot)'),
('it', 'common', 'disable internet explorer png-image-bugfix', 'Disabilita il png-image-bugfix di Internet Explorer'),
('it', 'common', 'disable slider effects', 'Disabilita l''effetto effects slider'),
('it', 'common', 'disable the animated slider effects when showing or hiding menus in the page? opera and konqueror users will probably must want ', 'Disabilita gli effetti animati mentre vengono mostrati o nascosti i menù sulla pagina? Gli utenti di Opera e Konqueror probabilmente vorranno così.'),
('it', 'common', 'disable the execution a bugfixscript for internet explorer 5.5 and higher to show transparency in png-images?', 'Disabilitare l''esecuzione di bugfixscript per Internet Explorer 5.5 e superiori per mostrare la trasparenza nelle immagini PNG?'),
('it', 'common', 'disabled', 'Disabilitato'),
('it', 'common', 'djibouti', 'DJIBOUTI'),
('it', 'common', 'do you also want to delete all subcategories ?', 'Vuoi anche cancellare tutte le sotto-categorie?'),
('it', 'common', 'doctype:', 'TIPO DOCUMENTO:'),
('it', 'common', 'document properties', 'Proprietà documento'),
('it', 'common', 'document title:', 'Titolo documento:'),
('it', 'common', 'domain', 'Dominio'),
('it', 'common', 'domain name for mail-address, eg. "%1"', 'Nome dominio per l''indirizzo e-mail, es. "%1"'),
('it', 'common', 'domestic', 'Domestico'),
('it', 'common', 'dominica', 'DOMINICA'),
('it', 'common', 'dominican republic', 'REPUBBLICA DOMINICANA'),
('it', 'common', 'e-mail', 'E-Mail'),
('it', 'common', 'east timor', 'TIMOR EST'),
('it', 'common', 'eastern european', 'Europeo orientale'),
('it', 'common', 'ecuador', 'EQUADOR'),
('it', 'common', 'edit', 'Modifica'),
('it', 'common', 'edit %1 category for', 'Modifica categoria %1 per'),
('it', 'common', 'edit categories', 'Modifica Categorie'),
('it', 'common', 'edit category', 'Modifica Categoria'),
('it', 'common', 'egroupware', 'EGroupware'),
('it', 'common', 'egroupware api version', 'Versione API EGroupware'),
('it', 'common', 'egroupware: login blocked for user ''%1'', ip %2', 'eGroupWare: login bloccato per l''utente ''%1'', IP %2'),
('it', 'common', 'egypt', 'EGITTO'),
('it', 'common', 'el salvador', 'EL SALVADOR'),
('it', 'common', 'email', 'E-Mail'),
('it', 'common', 'email-address of the user, eg. "%1"', 'Indirizzo e-mail per l''utente, es. "%1"'),
('it', 'common', 'enabled', 'Abilitato'),
('it', 'common', 'end date', 'Data Fine'),
('it', 'common', 'end time', 'Ora Fine'),
('it', 'common', 'entry has been deleted sucessfully', 'La voce è stata cancellata correttamente'),
('it', 'common', 'entry not found!', 'Voce non trovata!'),
('it', 'common', 'entry updated sucessfully', 'La voce è stata aggiornata correttamente'),
('it', 'common', 'equatorial guinea', 'GUINEA EQUATORIALE'),
('it', 'common', 'eritrea', 'ERITREA'),
('it', 'common', 'error', 'Errore'),
('it', 'common', 'error creating %1 %2 directory', 'Errore durante la creazione della directory %1 %2'),
('it', 'common', 'error deleting %1 %2 directory', 'Errore durante l''eliminazione della directory %1 %2'),
('it', 'common', 'error renaming %1 %2 directory', 'Errore durante la rinomina della directory %1 %2'),
('it', 'common', 'estonia', 'ESTONIA'),
('it', 'common', 'etag', 'ETag'),
('it', 'common', 'ethiopia', 'ETIOPIA'),
('it', 'common', 'everything', 'Tutto'),
('it', 'common', 'exact', 'esatta'),
('it', 'common', 'failed to contact server or invalid response from server. try to relogin. contact admin in case of faliure.', 'Connessione al Server fallita o risposta del Server non valida. Prova a ripetere il login. Contatta l''Amministratore in caso di fallimento operazione.'),
('it', 'common', 'falkland islands (malvinas)', 'ISOLE FALKLAND (MALVINAS)'),
('it', 'common', 'faroe islands', 'ISOLE FAROE'),
('it', 'common', 'features of the editor?', 'Funzioni dell''editor'),
('it', 'common', 'february', 'Febbraio'),
('it', 'common', 'fields', 'Campi'),
('it', 'common', 'fiji', 'FIJI'),
('it', 'common', 'files', 'File'),
('it', 'common', 'filter', 'Filtro'),
('it', 'common', 'finland', 'FINLANDIA'),
('it', 'common', 'first name', 'Nome'),
('it', 'common', 'first name of the user, eg. "%1"', 'Nome dell''utente, es. "%1"'),
('it', 'common', 'first page', 'Prima pagina'),
('it', 'common', 'firstname', 'Nome'),
('it', 'common', 'fixme!', 'CORREGGIMI !'),
('it', 'common', 'folder already exists.', 'La cartella esiste già.'),
('it', 'common', 'force selectbox', 'Forza Casella di Selezione'),
('it', 'common', 'forever', 'Per sempre'),
('it', 'common', 'france', 'FRANCIA'),
('it', 'common', 'french guiana', 'GUIANA FRANCESE'),
('it', 'common', 'french polynesia', 'POLINESIA FRANCESE'),
('it', 'common', 'french southern territories', 'FRENCH SOUTHERN TERRITORIES'),
('it', 'common', 'friday', 'Venerdì'),
('it', 'common', 'ftp', 'FTP'),
('it', 'common', 'fullname', 'Nome completo'),
('it', 'common', 'fullscreen mode', 'Modalità schermo intero'),
('it', 'common', 'gabon', 'GABON'),
('it', 'common', 'gambia', 'GAMBIA'),
('it', 'common', 'general menu', 'Menù Generale'),
('it', 'common', 'georgia', 'GEORGIA'),
('it', 'common', 'german', 'Tedesco'),
('it', 'common', 'germany', 'GERMANIA'),
('it', 'common', 'ghana', 'GHANA'),
('it', 'common', 'gibraltar', 'GIBILTERRA'),
('it', 'common', 'global', 'Globale'),
('it', 'common', 'global public', 'Pubblico Globale'),
('it', 'common', 'grant access', 'Autorizza Accesso'),
('it', 'common', 'greece', 'GRECIA'),
('it', 'common', 'greek', 'Greco'),
('it', 'common', 'greenland', 'GROENLANDIA'),
('it', 'common', 'grenada', 'GRENADA'),
('it', 'common', 'group', 'Gruppo'),
('it', 'common', 'group access', 'Accesso Gruppo'),
('it', 'common', 'group name', 'nome gruppo'),
('it', 'common', 'group public', 'Gruppo Pubblico'),
('it', 'common', 'groupdav', 'Server CalDAV, CardCAV e GroupDAV'),
('it', 'common', 'groups', 'Gruppi'),
('it', 'common', 'groups with permission for %1', 'Gruppi con permessi per %1'),
('it', 'common', 'groups without permission for %1', 'Gruppi senza permessi per %1'),
('it', 'common', 'guadeloupe', 'GUADALUPA'),
('it', 'common', 'guam', 'GUAM'),
('it', 'common', 'guatemala', 'GUATEMALA'),
('it', 'common', 'guinea', 'GUINEA'),
('it', 'common', 'guinea-bissau', 'GUINEA-BISSAU'),
('it', 'common', 'guyana', 'GUIANA'),
('it', 'common', 'haiti', 'HAITI'),
('it', 'common', 'heard island and mcdonald islands', 'ISOLE HEARD E ISOLE MCDONALD'),
('it', 'common', 'height', 'Altezza'),
('it', 'common', 'help', 'Guida'),
('it', 'common', 'high', 'Alta'),
('it', 'common', 'highest', 'Più Alta'),
('it', 'common', 'holy see (vatican city state)', 'SANTA SEDE (STATO DI CITTA'' DEL VATICANO)'),
('it', 'common', 'home', 'Home'),
('it', 'common', 'home email', 'e-mail abitazione'),
('it', 'common', 'honduras', 'HONDURAS'),
('it', 'common', 'hong kong', 'HONG KONG'),
('it', 'common', 'how many icons should be shown in the navbar (top of the page). additional icons go into a kind of pulldown menu, callable by th', 'Quante icone visualizzare nella barra di navigazione (in cima alla pagina). Le icone addizionali vanno in un menù pulldown, richiamabile dall''icona all''estrema destra della barra di navigazione.'),
('it', 'common', 'how to show the general egroupware menu ?', 'Come mostrare il menù generale di EGroupware'),
('it', 'common', 'hungary', 'UNGHERIA'),
('it', 'common', 'iceland', 'ISLANDA'),
('it', 'common', 'iespell not detected. click ok to go to download page.', 'ieSpell non trovato. Clicca OK per andare alla pagina di download.'),
('it', 'common', 'if the clock is enabled would you like it to update it every second or every minute?', 'Se l''orologio è abilitato, vuoi che si aggiorni ogni secondo oppure ogni minuto?'),
('it', 'common', 'if there are some images in the background folder you can choose the one you would like to see.', 'Se ci sono diverse immagini nella cartella sfondi, puoi scegliere quale vuoi vedere.'),
('it', 'common', 'image directory relative to document root (use / !), example:', 'La cartella delle immagini relativa alla base dei documenti (docroot) (usare / !), esempio:'),
('it', 'common', 'image url', 'URL immagine'),
('it', 'common', 'india', 'INDIA'),
('it', 'common', 'indonesia', 'INDONESIA'),
('it', 'common', 'insert all %1 addresses of the %2 contacts in %3', 'Inseriti tutti i %1 indirizzi dei %2 contatti in %3'),
('it', 'common', 'insert column after', 'Inserisci colonna dopo'),
('it', 'common', 'insert column before', 'Inserisci colonna prima'),
('it', 'common', 'insert row after', 'Inserisci una riga dopo'),
('it', 'common', 'insert row before', 'Inserisci una riga prima'),
('it', 'common', 'international', 'Internazionale'),
('it', 'common', 'invalid filename', 'Nome file non valido'),
('it', 'common', 'invalid ip address', 'Indirizzo IP errato'),
('it', 'common', 'invalid password', 'Password errata'),
('it', 'common', 'iran, islamic republic of', 'IRAN, REPUBBLICA ISLAMICA DELL'),
('it', 'common', 'iraq', 'IRAQ'),
('it', 'common', 'ireland', 'IRLANDA'),
('it', 'common', 'israel', 'ISRAELE'),
('it', 'common', 'it has been more then %1 days since you changed your password', 'Sono passati più di %1 giorni da quando hai cambiato la password'),
('it', 'common', 'it is recommended that you run setup to upgrade your tables to the current version', 'E'' consigliato eseguire il setup per aggiornare le tabelle alla versione attuale.'),
('it', 'common', 'italic', 'Corsivo'),
('it', 'common', 'italy', 'ITALIA'),
('it', 'common', 'jamaica', 'GIAMAICA'),
('it', 'common', 'january', 'Gennaio'),
('it', 'common', 'japan', 'GIAPPONE'),
('it', 'common', 'japanese', 'Giapponese'),
('it', 'common', 'jordan', 'GIORDANIA'),
('it', 'common', 'july', 'Luglio'),
('it', 'common', 'jun', 'Giu'),
('it', 'common', 'june', 'Giugno'),
('it', 'common', 'justify center', 'Centrato'),
('it', 'common', 'justify full', 'Giustificato'),
('it', 'common', 'justify left', 'Allinea a Sinistra'),
('it', 'common', 'justify right', 'Allinea a Destra'),
('it', 'common', 'kazakstan', 'KAZAKISTAN'),
('it', 'common', 'kenya', 'KENIA'),
('it', 'common', 'keywords', 'Keywords'),
('it', 'common', 'kiribati', 'KIRIBATI'),
('it', 'common', 'korea, democratic peoples republic of', 'KOREA, REPUBBLICA POPOLARE'),
('it', 'common', 'korea, republic of', 'KOREA, REPUBBLICA'),
('it', 'common', 'korean', 'Koreano'),
('it', 'common', 'kuwait', 'KUWAIT'),
('it', 'common', 'kyrgyzstan', 'KYRGYZSTAN'),
('it', 'common', 'language', 'Lingua'),
('it', 'common', 'language_direction_rtl', 'language_direction_rtl'),
('it', 'common', 'lao peoples democratic republic', 'REPUBBLICA DEMOCRATICA POPOLARE DEL LAOS'),
('it', 'common', 'last modified', 'Ultima modifica'),
('it', 'common', 'last name', 'Cognome'),
('it', 'common', 'last name of the user, eg. "%1"', 'Cognome dell''utente, es. "%1"'),
('it', 'common', 'last page', 'Ultima pagina'),
('it', 'common', 'lastname', 'Cognome'),
('it', 'common', 'latvia', 'LATVIA'),
('it', 'common', 'ldap-mgr', 'LDAP-Manager'),
('it', 'common', 'lebanon', 'LIBANO'),
('it', 'common', 'left', 'Sinistra'),
('it', 'common', 'lesotho', 'LESOTHO'),
('it', 'common', 'liberia', 'LIBERIA'),
('it', 'common', 'libyan arab jamahiriya', 'LIBIAN ARAB JAMAHIRIYA'),
('it', 'common', 'license', 'Licenza'),
('it', 'common', 'liechtenstein', 'LIECHTENSTEIN'),
('it', 'common', 'line %1: ''%2''<br><b>csv data does contain ##last-check-run## of table %3 ==> ignored</b>', 'Riga %1: ''%2''<br><b> dati csv contengono ##last-check-run## della tabella %3 ==> ignorato</b>'),
('it', 'common', 'line %1: ''%2''<br><b>csv data does not match column-count of table %3 ==> ignored</b>', 'Linea %1: ''%2''<br><b>dati csv non corrisponde al numero colonne della tabella %3 ==> ignorato</b>'),
('it', 'common', 'list', 'Lista'),
('it', 'common', 'list members', 'Elenco membri'),
('it', 'common', 'lithuania', 'LITUANIA'),
('it', 'common', 'local', 'Locale'),
('it', 'common', 'login', 'Login'),
('it', 'common', 'loginid', 'LoginID'),
('it', 'common', 'logout', 'Logout'),
('it', 'common', 'lost login id', 'ID di accesso perso'),
('it', 'common', 'lost password', 'Password persa'),
('it', 'common', 'low', 'Bassa'),
('it', 'common', 'lowest', 'Più Bassa'),
('it', 'common', 'luxembourg', 'LUSSEMBURGO'),
('it', 'common', 'macau', 'MACAO'),
('it', 'common', 'macedonia, the former yugoslav republic of', 'MACEDONIA, EX REPUBBLICA YUGOSLAVA DI'),
('it', 'common', 'madagascar', 'MADAGASCAR'),
('it', 'common', 'mail domain, eg. "%1"', 'dominio e-mail, es. "%1"'),
('it', 'common', 'main category', 'Categoria principale'),
('it', 'common', 'main screen', 'Schermata principale'),
('it', 'common', 'maintainer', 'Manutentore'),
('it', 'common', 'malawi', 'MALAWI'),
('it', 'common', 'malaysia', 'MALESIA'),
('it', 'common', 'maldives', 'MALDIVE'),
('it', 'common', 'mali', 'MALI'),
('it', 'common', 'malta', 'MALTA'),
('it', 'common', 'march', 'Marzo'),
('it', 'common', 'marshall islands', 'ISOLE MARSHALL'),
('it', 'common', 'martinique', 'MARTINICA'),
('it', 'common', 'mauritania', 'MAURITANIA'),
('it', 'common', 'mauritius', 'MAURITIUS'),
('it', 'common', 'max number of icons in navbar', 'Numero massimo di icone della barra di navigazione'),
('it', 'common', 'may', 'Maggio'),
('it', 'common', 'mayotte', 'MAYOTTE'),
('it', 'common', 'medium', 'Medio'),
('it', 'common', 'menu', 'Menù'),
('it', 'common', 'message', 'Messaggio'),
('it', 'common', 'mexico', 'MESSICO'),
('it', 'common', 'micronesia, federated states of', 'MICRONESIA, STATI FEDERATI DELLA'),
('it', 'common', 'minute', 'minuto'),
('it', 'common', 'moldova, republic of', 'MOLDAVIA, REPUBBLICA DELLA'),
('it', 'common', 'monaco', 'MONACO'),
('it', 'common', 'monday', 'Lunedì'),
('it', 'common', 'mongolia', 'MONGOLIA'),
('it', 'common', 'montenegro', 'MONTENEGRO'),
('it', 'common', 'montserrat', 'MONTSERRAT'),
('it', 'common', 'morocco', 'MAROCCO'),
('it', 'common', 'mozambique', 'MOZAMBICO'),
('it', 'common', 'multiple', 'multiplo'),
('it', 'common', 'myanmar', 'MYANMAR'),
('it', 'common', 'name', 'Nome'),
('it', 'common', 'name of the user, eg. "%1"', 'Nome dell''utente, es. "%1"'),
('it', 'common', 'namespace', 'Spazio dei nomi'),
('it', 'common', 'namibia', 'NAMIBIA'),
('it', 'common', 'nauru', 'NAURU'),
('it', 'common', 'nepal', 'NEPAL'),
('it', 'common', 'netherlands', 'OLANDA'),
('it', 'common', 'netherlands antilles', 'ANTILLE OLANDESI'),
('it', 'common', 'never', 'Mai'),
('it', 'common', 'new caledonia', 'NUOVA CALEDONIA'),
('it', 'common', 'new entry added sucessfully', 'Nuova voce aggiunto con successo'),
('it', 'common', 'new main category', 'Nuova categoria principale'),
('it', 'common', 'new value', 'Nuovo Valore'),
('it', 'common', 'new zealand', 'NUOVA ZELANDA'),
('it', 'common', 'next', 'Successivo'),
('it', 'common', 'next page', 'Pagina successiva'),
('it', 'common', 'nicaragua', 'NICARAGUA'),
('it', 'common', 'niger', 'NIGER'),
('it', 'common', 'nigeria', 'NIGERIA'),
('it', 'common', 'niue', 'NIUE'),
('it', 'common', 'no', 'No'),
('it', 'common', 'no entries found, try again ...', 'nessuna voce trovata, prova ancora ...'),
('it', 'common', 'no history for this record', 'Nessuna history per questo record'),
('it', 'common', 'no savant2 template directories were found in:', 'Nessuna directory template Savant2 trovata in:'),
('it', 'common', 'no subject', 'Nessun Oggetto'),
('it', 'common', 'none', 'Nessuno'),
('it', 'common', 'norfolk island', 'ISOLE NORFOLK'),
('it', 'common', 'normal', 'Normale'),
('it', 'common', 'northern mariana islands', 'ISOLE NORTHERN MARIANA'),
('it', 'common', 'norway', 'NORVEGIA'),
('it', 'common', 'not', 'non'),
('it', 'common', 'not a user yet? register now', 'Non hai un account? registrati adesso!'),
('it', 'common', 'not assigned', 'non assegnato'),
('it', 'common', 'not readable %1 entry of user %2', 'Non leggibile: voce %1 dell''utente %2'),
('it', 'common', 'note', 'Nota'),
('it', 'common', 'notes', 'Note'),
('it', 'common', 'notifications', 'Notifiche'),
('it', 'common', 'notify window', 'Finestra di Notifica'),
('it', 'common', 'notify your administrator to correct this situation', 'Chiedi all''Amministratore di correggere questa Situazione'),
('it', 'common', 'november', 'Novembre'),
('it', 'common', 'october', 'Ottobre'),
('it', 'common', 'ok', 'OK'),
('it', 'common', 'old value', 'Vecchio Valore'),
('it', 'common', 'oman', 'OMAN');
INSERT INTO `egw_lang` (`lang`, `app_name`, `message_id`, `content`) VALUES
('it', 'common', 'on *nix systems please type: %1', 'Sui sistemi *nix prego digita: %1'),
('it', 'common', 'on mouse over', 'Al passaggio del mouse'),
('it', 'common', 'only private', 'solo privati'),
('it', 'common', 'only yours', 'solo personali'),
('it', 'common', 'oops! you caught us in the middle of system maintainance.', 'Ops! Ci avete presi mentre stiamo facendo lavori di manutenzione!'),
('it', 'common', 'open notify window', 'Apri finestra di Notifica'),
('it', 'common', 'open popup window', 'Apri finestra popup'),
('it', 'common', 'open sidebox', 'Apri riquadro laterale'),
('it', 'common', 'ordered list', 'Lista ordinata'),
('it', 'common', 'original', 'Originale'),
('it', 'common', 'other', 'Altro'),
('it', 'common', 'overview', 'Panoramica'),
('it', 'common', 'owner', 'Proprietario'),
('it', 'common', 'page', 'Pagina'),
('it', 'common', 'page was generated in %1 seconds', 'La pagina è stata generata in %1 secondi'),
('it', 'common', 'pakistan', 'PAKISTAN'),
('it', 'common', 'palau', 'PALAU'),
('it', 'common', 'palestinian territory, occupied', 'PALESTINA, TERRITORI OCCUPATI DELLA'),
('it', 'common', 'panama', 'PANAMA'),
('it', 'common', 'papua new guinea', 'PAPUA NUOVA GUINEA'),
('it', 'common', 'paraguay', 'PARAGUAY'),
('it', 'common', 'parcel', 'Parcella'),
('it', 'common', 'parent category', 'Categoria superiore'),
('it', 'common', 'password', 'Password'),
('it', 'common', 'password could not be changed', 'La password non può essere cambiata'),
('it', 'common', 'password has been updated', 'La password è stata aggiornata'),
('it', 'common', 'password must contain at least %1 lowercase letters', 'La Password deve contenere almeno %1 lettere minuscole'),
('it', 'common', 'password must contain at least %1 numbers', 'La Password deve contenere almeno %1 numeri'),
('it', 'common', 'password must contain at least %1 special characters', 'La Password deve contenere almeno %1 caratteri speciali'),
('it', 'common', 'password must contain at least %1 uppercase letters', 'La Password deve contenere almeno %1 lettere maiuscole'),
('it', 'common', 'password must have at least %1 characters', 'La Password deve avere almeno %1 caratteri'),
('it', 'common', 'path to user and group files has to be outside of the webservers document-root!!!', 'Il percorso per i files degli utenti e dei gruppi DEVE ESSERE ESTERNO alla document-root del webserver!!!'),
('it', 'common', 'permission denied!', 'Permesso negato'),
('it', 'common', 'permissions to the files/users directory', 'permessi per la directory dei files/utenti'),
('it', 'common', 'permisson denied!', 'Permesso negato'),
('it', 'common', 'personal', 'Personale'),
('it', 'common', 'peru', 'PERU'),
('it', 'common', 'philippines', 'FILIPPINE'),
('it', 'common', 'phpgwapi', 'API eGroupWare'),
('it', 'common', 'pitcairn', 'PITCAIRN'),
('it', 'common', 'please %1 by hand', 'Per favore %1 a mano'),
('it', 'common', 'please enter a name', 'Per favore inserisci un nome!'),
('it', 'common', 'please run setup to become current', 'Per favore esegui setup per aggiornare'),
('it', 'common', 'please select', 'Per favore Seleziona'),
('it', 'common', 'please set your global preferences', 'Per favore imposta le preferenze globali !'),
('it', 'common', 'please set your preferences for this application', 'Per favore imposta le tue preferenze per questa applicazione !'),
('it', 'common', 'please wait...', 'Attendere per Favore...'),
('it', 'common', 'please, check back with us shortly.', 'Per favore torna a trovarci più tardi'),
('it', 'common', 'poland', 'POLONIA'),
('it', 'common', 'portugal', 'PORTOGALLO'),
('it', 'common', 'powered by', 'Powered by'),
('it', 'common', 'preferences', 'Preferenze'),
('it', 'common', 'preferences for the idots template set', 'Preferenze per il template idots'),
('it', 'common', 'previous page', 'Pagina precedente'),
('it', 'common', 'primary style-sheet:', 'Foglio di stile primario:'),
('it', 'common', 'print', 'Stampa'),
('it', 'common', 'priority', 'Priorità'),
('it', 'common', 'private', 'Privato'),
('it', 'common', 'programs', 'Programmi'),
('it', 'common', 'project', 'Progetto'),
('it', 'common', 'properties', 'Proprietà'),
('it', 'common', 'public', 'pubblico'),
('it', 'common', 'puerto rico', 'PUERTO RICO'),
('it', 'common', 'qatar', 'QATAR'),
('it', 'common', 'read', 'Leggi'),
('it', 'common', 'read this list of methods.', 'Leggi questo elenco di metodi.'),
('it', 'common', 'reading', 'leggendo'),
('it', 'common', 'register', 'Registrati'),
('it', 'common', 'regular', 'Regolare'),
('it', 'common', 'reject', 'Rifiuta'),
('it', 'common', 'remember me', 'Ricordamelo'),
('it', 'common', 'remove selected accounts', 'rimuovi gli account selezionati'),
('it', 'common', 'remove shortcut', 'Rimuovi scorciatoie'),
('it', 'common', 'rename', 'Rinomina'),
('it', 'common', 'replace', 'Sostituisci'),
('it', 'common', 'replace with', 'Stostituisci con'),
('it', 'common', 'resource type', 'Tipo di risorsa'),
('it', 'common', 'restore failed', 'Rirpristino fallito'),
('it', 'common', 'returns a full list of accounts on the system.  warning: this is return can be quite large', 'Restituisce la lista degli account di sistema.  Attenzione: La lista può essere molto grande'),
('it', 'common', 'returns an array of todo items', 'Restituisce un elenco delle cose da fare'),
('it', 'common', 'returns struct of users application access', 'Restituisce la struttura degli accessi alle applicazioni'),
('it', 'common', 'reunion', 'REUNION'),
('it', 'common', 'right', 'Destra'),
('it', 'common', 'romania', 'ROMANIA'),
('it', 'common', 'russian', 'Russo'),
('it', 'common', 'russian federation', 'FEDERAZIONE RUSSA'),
('it', 'common', 'rwanda', 'RUANDA'),
('it', 'common', 'saint helena', 'SANT''ELENA'),
('it', 'common', 'saint kitts and nevis', 'SAINT KITTS E NEVIS'),
('it', 'common', 'saint lucia', 'SANTA LUCIA'),
('it', 'common', 'saint pierre and miquelon', 'SAINT PIERRE E MIQUELON'),
('it', 'common', 'saint vincent and the grenadines', 'SAINT VINCENT E LE GRENADINES'),
('it', 'common', 'samoa', 'SAMOA'),
('it', 'common', 'san marino', 'SAN MARINO'),
('it', 'common', 'sao tome and principe', 'SAO TOME E PRINCIPE'),
('it', 'common', 'saturday', 'Sabato'),
('it', 'common', 'saudi arabia', 'ARABIA SAUDITA'),
('it', 'common', 'savant2 version differs from savant2 wrapper. <br/>this version: %1 <br/>savants version: %2', 'La versione Savant2 è diversa dal wrapper Savant2. <br/>Questa versione: %1 <br/> Versione di Savant: %2'),
('it', 'common', 'save', 'Salva'),
('it', 'common', 'search', 'Cerca'),
('it', 'common', 'search %1 ''%2''', 'Cerca %1 ''%2'''),
('it', 'common', 'search accounts', 'Cerca account'),
('it', 'common', 'search or select accounts', 'Cerca o seleziona account'),
('it', 'common', 'second', 'secondo'),
('it', 'common', 'section', 'Sezione'),
('it', 'common', 'select', 'Seleziona'),
('it', 'common', 'select all %1 %2 for %3', 'Seleziona tutti %1 %2 per %3'),
('it', 'common', 'select category', 'Selezione categoria'),
('it', 'common', 'select date', 'Selezione data'),
('it', 'common', 'select group', 'Selezione gruppo'),
('it', 'common', 'select home email address', 'Selezione indirizzo e-mail abitazione'),
('it', 'common', 'select multiple accounts', 'seleziona molteplici account'),
('it', 'common', 'select one', 'Seleziona uno'),
('it', 'common', 'select the default height for the application windows', 'Seleziona l''altezza predefinita per le finestre dell''applicazione'),
('it', 'common', 'select the default width for the application windows', 'Seleziona la larghezza predefinita per le finestre dell''applicazione'),
('it', 'common', 'select user', 'Selezione utente'),
('it', 'common', 'select work email address', 'Selezione indirizzio e-mail ufficio'),
('it', 'common', 'selection', 'Selezione'),
('it', 'common', 'send', 'Invia'),
('it', 'common', 'senegal', 'SENEGAL'),
('it', 'common', 'september', 'Settembre'),
('it', 'common', 'serbia', 'Serbia'),
('it', 'common', 'server %1 has been added', 'Server %1 aggiunto'),
('it', 'common', 'server answered. processing response...', 'Il Server ha risposto. Elaborazione risposta in corso...'),
('it', 'common', 'server contacted. waiting for response...', 'Server contattato. Attesa risposta...'),
('it', 'common', 'server name', 'Nome Server'),
('it', 'common', 'session has been killed', 'La sessione è stata terminata'),
('it', 'common', 'setup', 'Setup'),
('it', 'common', 'setup main menu', 'Menù Principale Setup'),
('it', 'common', 'seychelles', 'SEYCHELLES'),
('it', 'common', 'show all', 'visualizza tutto'),
('it', 'common', 'show all categorys', 'Visualizza tutte le categorie'),
('it', 'common', 'show as topmenu', 'Mostra come menù in cima'),
('it', 'common', 'show clock?', 'Mostrare orologio?'),
('it', 'common', 'show home and logout button in main application bar?', 'Mostrare i pulsanti Home e Logout nella barra applicazioni principale?'),
('it', 'common', 'show in sidebox', 'Mostra nel menù laterale'),
('it', 'common', 'show logo''s on the desktop.', 'Mostra logo sul desktop'),
('it', 'common', 'show menu', 'visualizza menu'),
('it', 'common', 'show page generation time', 'Visualizza il tempo di generazione della pagina'),
('it', 'common', 'show page generation time on the bottom of the page?', 'Visualizza il tempo di generazione in fondo alla pagina?'),
('it', 'common', 'show page generation time?', 'Mostrare tempo generazione pagina?'),
('it', 'common', 'show the logo''s of egroupware and x-desktop on the desktop.', 'Mostra il logo di eGroupware e di x-desktop sul desktop.'),
('it', 'common', 'show_more_apps', 'Visualizza altre applicazioni'),
('it', 'common', 'showing %1', 'visualizzati %1'),
('it', 'common', 'showing %1 - %2 of %3', 'visualizzati da %1 a %2 di %3'),
('it', 'common', 'sierra leone', 'SIERRA LEONE'),
('it', 'common', 'simple', 'Semplice'),
('it', 'common', 'singapore', 'SINGAPORE'),
('it', 'common', 'site configuration', 'Configurazione per tutto il Sito'),
('it', 'common', 'size', 'Dimensione'),
('it', 'common', 'slovakia', 'SLOVACCHIA'),
('it', 'common', 'slovenia', 'SLOVENIA'),
('it', 'common', 'solomon islands', 'ISOLE DI SOLOMONE'),
('it', 'common', 'somalia', 'SOMALIA'),
('it', 'common', 'south africa', 'SUD AFRICA'),
('it', 'common', 'south georgia and the south sandwich islands', 'SUD GEORGIA E LE ISOLE SUD SANDWICH'),
('it', 'common', 'spain', 'SPAGNA'),
('it', 'common', 'sri lanka', 'SRI LANKA'),
('it', 'common', 'start date', 'Data Inizio'),
('it', 'common', 'start time', 'Ora Inizio'),
('it', 'common', 'start with', 'Inizia con'),
('it', 'common', 'starting up...', 'Inizializzazione...'),
('it', 'common', 'status', 'Status'),
('it', 'common', 'stretched', 'adattato'),
('it', 'common', 'subject', 'Oggetto'),
('it', 'common', 'submit', 'Invia'),
('it', 'common', 'substitutions and their meanings:', 'Sostituzioni e loro significati:'),
('it', 'common', 'sudan', 'SUDAN'),
('it', 'common', 'sunday', 'Domenica'),
('it', 'common', 'suriname', 'SURINAME'),
('it', 'common', 'svalbard and jan mayen', 'SVALBARD E JAN MAYEN'),
('it', 'common', 'swaziland', 'SWAZILAND'),
('it', 'common', 'sweden', 'SVEZIA'),
('it', 'common', 'switzerland', 'SVIZZERA'),
('it', 'common', 'syrian arab republic', 'REPUBBLICA ARABA SIRIANA'),
('it', 'common', 'table %1 is excluded from backup and restore. data will not be restored.', 'La tabella %1 è esclusa dal backup e ripristino. I dati non verranno ripristinati.'),
('it', 'common', 'table properties', 'Table properties'),
('it', 'common', 'taiwan', 'TAIWAN/TAIPEI'),
('it', 'common', 'tajikistan', 'TAJIKISTAN'),
('it', 'common', 'tanzania, united republic of', 'TANZANIA, REPUBBLICA UNITA DELLA'),
('it', 'common', 'text color:', 'Colore testo'),
('it', 'common', 'thailand', 'TAILANDIA'),
('it', 'common', 'the api is current', 'L''API è aggiornata'),
('it', 'common', 'the api requires an upgrade', 'L''API necessita di un aggiornamento'),
('it', 'common', 'the following applications require upgrades', 'Le seguenti applicazioni richiedono un aggiornamento'),
('it', 'common', 'the mail server returned', 'Il mail server ha risposto'),
('it', 'common', 'there already is a system-user with this name. user''s should not have the same name as a systemuser', 'C''è già un sistema con questo nome. Per favore usane un altro.'),
('it', 'common', 'this application is current', 'Questa applicazione è aggiornata'),
('it', 'common', 'this application requires an upgrade', 'Questa applicazione richiede un aggiornamento'),
('it', 'common', 'this name has been used already', 'Questo nome è già stato usato!'),
('it', 'common', 'thursday', 'Giovedì'),
('it', 'common', 'tiled', 'tiled'),
('it', 'common', 'time', 'Ora'),
('it', 'common', 'time zone', 'Fuso orario'),
('it', 'common', 'time zone offset', 'Differenza di fuso orario'),
('it', 'common', 'title', 'Titolo'),
('it', 'common', 'to', 'A'),
('it', 'common', 'to correct this error for the future you will need to properly set the', 'Per correggere questo errore devi impostare correttamente il'),
('it', 'common', 'to go back to the msg list, click <a href= %1 >here</a>', 'Per tornare alla lista dei messaggi, clicca <a href="%1">qui</a>'),
('it', 'common', 'today', 'Oggi'),
('it', 'common', 'todays date, eg. "%1"', 'Data di oggi, es. "%1"'),
('it', 'common', 'togo', 'TOGO'),
('it', 'common', 'tokelau', 'TOKELAU'),
('it', 'common', 'tonga', 'TONGA'),
('it', 'common', 'too many unsucessful attempts to login: %1 for the user ''%2'', %3 for the ip %4', 'Troppi tentativi di login falliti: %1 per l''utente ''%2'', %3 dall''IP %4'),
('it', 'common', 'top', 'Top'),
('it', 'common', 'total', 'Totale'),
('it', 'common', 'transparant bg for the icons?', 'Sfondo trasparente per le icone?'),
('it', 'common', 'trinidad and tobago', 'TRINIDAD E TOBAGO'),
('it', 'common', 'tuesday', 'Martedì'),
('it', 'common', 'tunisia', 'TUNISIA'),
('it', 'common', 'turkey', 'TURCHIA'),
('it', 'common', 'turkmenistan', 'TURKMENISTAN'),
('it', 'common', 'turks and caicos islands', 'ISOLE TURKS E CAICOS'),
('it', 'common', 'tuvalu', 'TUVALU'),
('it', 'common', 'type', 'Tipo'),
('it', 'common', 'uganda', 'UGANDA'),
('it', 'common', 'ukraine', 'UCRAINA'),
('it', 'common', 'underline', 'Sottolineato'),
('it', 'common', 'united arab emirates', 'EMIRATI ARABI UNITI'),
('it', 'common', 'united kingdom', 'REGNO UNITO'),
('it', 'common', 'united states', 'STATI UNITI'),
('it', 'common', 'united states minor outlying islands', 'UNITED STATES MINOR OUTLYING ISLANDS'),
('it', 'common', 'unknown', 'Sconosciuto'),
('it', 'common', 'update', 'Aggiorna'),
('it', 'common', 'update the clock per minute or per second', 'Aggiorna l''orologio ogni minuto o ogni secondo'),
('it', 'common', 'upload', 'Carica'),
('it', 'common', 'upload directory does not exist, or is not writeable by webserver', 'Cartella di upload inesistente o non scrivibile dal server'),
('it', 'common', 'upload requires the directory to be writable by the webserver!', 'Il caricamento richiede che il server possa scrivere nella cartella!'),
('it', 'common', 'url', 'URL'),
('it', 'common', 'uruguay', 'URUGUAY'),
('it', 'common', 'use button to search for', 'usa il Pulsante per cercare'),
('it', 'common', 'use button to search for address', 'usa il Pulsante per cercare l''Indirizzo'),
('it', 'common', 'use button to search for calendarevent', 'usa il Pulsante per cercare un Evento in Agenda'),
('it', 'common', 'use button to search for project', 'usa il Pulsante per cercare un Progetto'),
('it', 'common', 'user', 'Utente'),
('it', 'common', 'user accounts', 'account utente'),
('it', 'common', 'user groups', 'gruppi utente'),
('it', 'common', 'username', 'Username'),
('it', 'common', 'users', 'Utenti'),
('it', 'common', 'users choice', 'Scelta Utente'),
('it', 'common', 'uzbekistan', 'UZBEKISTAN'),
('it', 'common', 'value', 'Valore'),
('it', 'common', 'vanuatu', 'VANUATU'),
('it', 'common', 'venezuela', 'VENEZUELA'),
('it', 'common', 'version', 'Versione'),
('it', 'common', 'viet nam', 'VIET NAM'),
('it', 'common', 'view', 'Visualizza'),
('it', 'common', 'virgin islands, british', 'ISOLE VERGINI, GRAN BRETAGNA'),
('it', 'common', 'virgin islands, u.s.', 'ISOLE VERGINI, U.S.'),
('it', 'common', 'wallis and futuna', 'WALLIS E FUTUNA'),
('it', 'common', 'wednesday', 'Mercoledì'),
('it', 'common', 'welcome', 'Benvenuto'),
('it', 'common', 'western european', 'Europeo occidentale'),
('it', 'common', 'western sahara', 'SAHARA OCCIDENTALE'),
('it', 'common', 'what color should all the blank space on the desktop have', 'Di che colore dovrebbe essere lo spazio vuoto sul desktop?'),
('it', 'common', 'what style would you like the image to have?', 'Che stile vuoi che abbia l''immagine?'),
('it', 'common', 'when you say yes the home and logout buttons are presented as applications in the main top applcation bar.', 'Se dirai sì, i pulsanti Home e Logout saranno presenti come applicazioni sulla barra principale delle applicazioni'),
('it', 'common', 'where and how will the egroupware links like preferences, about and logout be displayed.', 'Come e dove verranno visualizzati i collegamenti come Preferenze, About e Log'),
('it', 'common', 'which groups', 'Quali gruppi'),
('it', 'common', 'width', 'Larghezza'),
('it', 'common', 'work email', 'e-mail ufficio'),
('it', 'common', 'would you like to display the page generation time at the bottom of every window?', 'Mostra il tempo per la generazione della pagina in fondo ad ogni finestra'),
('it', 'common', 'writing', 'Scrittura'),
('it', 'common', 'written by:', 'Scritto da:'),
('it', 'common', 'year', 'Anno'),
('it', 'common', 'yemen', 'YEMEN'),
('it', 'common', 'yes', 'Sì'),
('it', 'common', 'you are required to change your password during your first login', 'E'' richiesto che tu cambi la tua password durante il primo Login'),
('it', 'common', 'you can customize how many icons and toolbars the editor shows.', 'Quante icone e barre degli strumenti mostra l''editor'),
('it', 'common', 'you have not entered a title', 'Non hai inserito un titolo'),
('it', 'common', 'you have not entered a valid date', 'Non hai inserito una data valida'),
('it', 'common', 'you have not entered a valid time of day', 'Non hai inserito un''ora del giorno valida'),
('it', 'common', 'you have not entered participants', 'Non hai inserito i partecipanti'),
('it', 'common', 'you have selected an invalid date', 'Hai selezionato una data non valida!'),
('it', 'common', 'you have selected an invalid main category', 'Hai selezionato una categoria principale non valida!'),
('it', 'common', 'you have successfully logged out', 'Ti sei disconesso con successo'),
('it', 'common', 'you need to %1set your timezone preference%2.', 'Devi %1impostare la tua zona oraria%2'),
('it', 'common', 'you need to add the webserver user ''%1'' to the group ''%2''.', 'Devi aggiungere l''utente ''%1'' del webserver al gruppo ''%2''.'),
('it', 'common', 'you need to be an egroupware administrator to access this functionality!', 'Devi essere un amministratore per accedere a questa funzione!'),
('it', 'common', 'you''ve tried to open the egroupware application: %1, but you have no permission to access this application.', 'Non hai il permesso di accesso all''applicazione %1!'),
('it', 'common', 'your message could <b>not</b> be sent!<br>', 'Il tuo messaggio <b>non</b> può essere inviato!<br>'),
('it', 'common', 'your message has been sent', 'Il tuo messaggio è stato inviato'),
('it', 'common', 'your search returned %1 matchs', 'la tua ricerca ha restituito %1 risultati'),
('it', 'common', 'your search returned 1 match', 'la tua ricerca ha restituito 1 risultato'),
('it', 'common', 'your settings have been updated', 'Le tue impostazioni sono state aggiornate'),
('it', 'common', 'zambia', 'ZAMBIA'),
('it', 'common', 'zimbabwe', 'ZIMBABWE'),
('it', 'common', 'zoom', 'Zoom'),
('it', 'common', 'polls', 'Sondaggi'),
('it', 'common', 'show questions', 'Mostra domande'),
('it', 'common', 'projectmanager', 'Gestione Progetti'),
('it', 'common', 'registration', 'Registrazione'),
('it', 'common', 'resources', 'Risorse'),
('it', 'common', 'select resources', 'Seleziona risorse'),
('it', 'common', 'as', 'come'),
('it', 'common', 'define websites', 'Definisci i siti'),
('it', 'common', 'edit categories and permissions', 'Modifica categorie e permessi'),
('it', 'common', 'edit individual pages', 'Modifica singole pagine'),
('it', 'common', 'edit site header and footer', 'Modifica la testata e il piede del sito'),
('it', 'common', 'error accessing page', 'Errore durante l''accesso alla pagina'),
('it', 'common', 'manage pages', 'Gestione pagine'),
('it', 'common', 'site setup', 'Setup del Sito'),
('it', 'common', 'sitemgr', 'SiteMgr'),
('it', 'common', 'sitemgr web content manager', 'Gestore dei contenuti Weg di SiteMrg'),
('it', 'common', 'sitemgr-link', 'Sito Web'),
('it', 'common', 'there was an error accessing the requested page. either you do not have permission to view this page, or the page does not exist', 'Si è verificato un errore di accesso la pagina richiesta. O non l''avete i permessi per visualizzare questa pagina o la pagina non esiste .'),
('it', 'common', 'web content manager', 'SiteMgr Gestore di contenuti Web'),
('it', 'common', 'documentation', 'Documentazione'),
('it', 'common', 'timesheet', 'Foglio Ore'),
('it', 'common', 'define escalations', 'Definisci azioni'),
('it', 'common', 'tracker', 'Tracking'),
('it', 'common', 'block / unblock hosts', 'Blocca / Sblocca host'),
('it', 'common', 'lock / unlock pages', 'Blocca / Sblocca Pagine'),
('it', 'common', 'wiki', 'Wiki'),
('it', 'bookmarks', '%1 bookmarks have been deleted', '%1 segnalibri sono stati cancellati'),
('it', 'bookmarks', '%1 bookmarks imported from %2 successfully.', '%1 segnalibri importati da %2 con successo.'),
('it', 'bookmarks', '(comma separate multiple addresses)', '(indirizzi multipli separati da virgole)'),
('it', 'bookmarks', '<b>note:</b> this currently works with netscape bookmarks only', '<b>Nota:</b> Attualmente funziona solo con segnalibri di Netscape'),
('it', 'bookmarks', 'all bookmarks', 'Tutti i segnalibri'),
('it', 'bookmarks', 'and', 'E'),
('it', 'bookmarks', 'append this message to mailed bookmarks', 'Appendi questo messaggio ai segnalibri inviati'),
('it', 'bookmarks', 'ascending', 'Ascendente'),
('it', 'bookmarks', 'bookmark changed sucessfully', 'Segnalibro cambiato con successo'),
('it', 'bookmarks', 'bookmark created successfully.', 'Segnalibro creato con successo.'),
('it', 'bookmarks', 'bookmark deleted successfully', 'Segnalibro eliminato con successo.'),
('it', 'bookmarks', 'bookmark not editable', 'Segnalibro non modificabile'),
('it', 'bookmarks', 'bookmark not readable', 'Segnalibro non leggibile'),
('it', 'bookmarks', 'bookmarks settings', 'Impostazioni Segnalibri'),
('it', 'bookmarks', 'change bookmark', 'Cambia segnalibro'),
('it', 'bookmarks', 'choose the categories to display', 'Scegli le categorie da mostrare'),
('it', 'bookmarks', 'close this window to return', 'chiudi questa finestra per ritornare'),
('it', 'bookmarks', 'create bookmark', 'Crea segnalibro'),
('it', 'bookmarks', 'create new bookmark', 'Crea nuovo segnalibro'),
('it', 'bookmarks', 'date added', 'Data aggiunta'),
('it', 'bookmarks', 'date changed', 'Data modifica'),
('it', 'bookmarks', 'date last updated', 'Data ultimo aggiornamento'),
('it', 'bookmarks', 'date last visited', 'Data ultima visita'),
('it', 'bookmarks', 'descending', 'Discendente'),
('it', 'bookmarks', 'edit bookmark', 'Modifica segnalibro'),
('it', 'bookmarks', 'edit this bookmark', 'Modifica questo segnalibro'),
('it', 'bookmarks', 'enter the name of the netscape bookmark file<br>that you want imported into bookmarker below.', 'Inserisci il nome del file Netscape <br> che vuoi importare qui sotto.'),
('it', 'bookmarks', 'fewer', 'Di meno'),
('it', 'bookmarks', 'filter by', 'Filtra per'),
('it', 'bookmarks', 'found a link you might like', 'Trovato un link che ti potrebbe piacere'),
('it', 'bookmarks', 'from', 'Da'),
('it', 'bookmarks', 'from category %1', 'dalla categoria %1'),
('it', 'bookmarks', 'global categories', 'Categorie Globali'),
('it', 'bookmarks', 'highest', 'Più alto'),
('it', 'bookmarks', 'i thought you would be interested in the following link(s):', 'Ho pensato che saresti stato interessato ai seguenti link:'),
('it', 'bookmarks', 'like', 'come'),
('it', 'bookmarks', 'list view', 'elenco'),
('it', 'bookmarks', 'lowest', 'Più basso'),
('it', 'bookmarks', 'mail this bookmark', 'Invia questo segnalibro'),
('it', 'bookmarks', 'mail-this-link message sent to %1.', 'messaggio invia-questo-link inviato a %1.'),
('it', 'bookmarks', 'mass update:', 'Aggiornamento cumulativo:'),
('it', 'bookmarks', 'message from', 'Messaggio da'),
('it', 'bookmarks', 'more', 'Altro'),
('it', 'bookmarks', 'name', 'Nome'),
('it', 'bookmarks', 'name is required', 'Il nome è richiesto'),
('it', 'bookmarks', 'netscape bookmark file', 'File Segnalibri Netscape'),
('it', 'bookmarks', 'netscape bookmark filename is required!', 'NomeFile dei Segnalibri di Netscape è richiesto !'),
('it', 'bookmarks', 'new', 'Nuovo'),
('it', 'bookmarks', 'new bookmark', 'nuovo segnalibro'),
('it', 'bookmarks', 'or', 'o'),
('it', 'bookmarks', 'please fill out <b>to e-mail address</b>, <b>subject</b>, and <b>message</b>!', 'Prego riempi <B>A Indirizzo E-Mail</B>,<B>Oggetto</B>, e <B>Messaggio</B>!'),
('it', 'bookmarks', 'please select the categories to export', 'Prego seleziona le categorie da esportare'),
('it', 'bookmarks', 'query condition', 'Condizione query'),
('it', 'bookmarks', 'rating', 'Valutazione'),
('it', 'bookmarks', 'search for:', 'Cerca:'),
('it', 'bookmarks', 'select the format you would like to export to', 'Seleziona il formato per l''esportazione'),
('it', 'bookmarks', 'send bookmark', 'Invia segnalibro'),
('it', 'bookmarks', 'sub category', 'SottoCategoria'),
('it', 'bookmarks', 'this module displays bookmarks in a javascript based tree', 'Questo modulo visualizza i preferiti in una struttura basata su javascript'),
('it', 'bookmarks', 'to address %1 invalid. format must be <strong>user@domain</strong> and domain must exist!', 'L''indirizzo %1 non è valido. Il formato deve essere <strong>utente@dominio</strong> e il dominio deve esistere!'),
('it', 'bookmarks', 'to e-mail addresses', 'Indirizzi email A'),
('it', 'bookmarks', 'to which category should the imported folder hierarchy be attached', 'A quale categoria deve appartenere la gerarchia delle cartelle importate'),
('it', 'bookmarks', 'total visits', 'visite totali'),
('it', 'bookmarks', 'tree view', 'Vista ad albero'),
('it', 'bookmarks', 'unable to open temp file %1 for import.', 'Impossibile aprire il file temporaneo %1 per importazione.'),
('it', 'bookmarks', 'url is required.', 'URL richiesto'),
('it', 'bookmarks', 'view bookmark', 'Visualizza segnalibro'),
('it', 'bookmarks', 'view this bookmark', 'Visualizza questo segnalibro'),
('it', 'bookmarks', 'warning', 'Avvertenza'),
('it', 'bookmarks', 'you are viewing this site outside of egroupware', 'Stai vedendo questo sito fuori da eGroupWare'),
('it', 'bookmarks', 'you must select a category', 'Devi selezionare una categoria'),
('it', 'calendar', '%1 %2 in %3', '%1 %2 in %3'),
('it', 'calendar', '%1 participants removed because of missing invite grants', '%1 partecipanti rimossi a causa di permessi di invito mancanti.'),
('it', 'calendar', '%1 records imported', '%1 record importato/i'),
('it', 'calendar', '%1 records read (not yet imported, you may go back and uncheck test import)', '%1 record letto/i (non ancora importato/i, torna indietro e deseleziona Test Import)'),
('it', 'calendar', '%1 weeks', '%1 settimane'),
('it', 'calendar', '<b>please note</b>: the calendar use the holidays of your country, which is set to %1. you can change it in your %2.<br />holida', '<b>Attenzione</b>: l''agenda usa le festività della tua nazione, che è impostata a %1. Puoi cambiarla in %2.<br />Le festività sono %3 automaticamente installate da %4. Puoi cambiarle  in %5.'),
('it', 'calendar', 'a non blocking event will not conflict with other events', 'Un evento non bloccante non sarà in conflitto con altri eventi'),
('it', 'calendar', 'accept or reject an invitation', 'Accetta o o rifiuta un invito'),
('it', 'calendar', 'accepted', 'Accettato'),
('it', 'calendar', 'access denied to the calendar of %1 !!!', 'Accesso negato all''agenda di %1 !!!'),
('it', 'calendar', 'action that caused the notify: added, canceled, accepted, rejected, ...', 'Azione che ha causato la notifica: Aggiunto, Cancellato, Accettato, Rifiutato, ...'),
('it', 'calendar', 'actions', 'Azioni'),
('it', 'calendar', 'add alarm', 'Aggiungi Allarme'),
('it', 'calendar', 'added', 'Aggiunto'),
('it', 'calendar', 'added by synchronisation', 'Aggiunto da sincronizzazione'),
('it', 'calendar', 'after %1', 'Dopo %1'),
('it', 'calendar', 'after current date', 'Dopo la data attuale'),
('it', 'calendar', 'alarm', 'Sveglia'),
('it', 'calendar', 'alarm added', 'Sveglia aggiunta'),
('it', 'calendar', 'alarm deleted', 'Sveglia cancellata'),
('it', 'calendar', 'alarm for %1 at %2 in %3', 'Allarme per %1 a %2 in %3'),
('it', 'calendar', 'alarm management', 'Gestione Allarmi'),
('it', 'calendar', 'alarms', 'Allarmi'),
('it', 'calendar', 'all categories', 'Tutte le categorie'),
('it', 'calendar', 'all day', 'Tutto il giorno'),
('it', 'calendar', 'all events', 'Tutti gli eventi'),
('it', 'calendar', 'all future', 'Tutti nel futuro'),
('it', 'calendar', 'all incl. rejected', 'Tutti, incusi i rigettati'),
('it', 'calendar', 'all participants', 'Tutti i partecipanti'),
('it', 'calendar', 'allows to edit the event again', 'Permette di modificare ancora l''evento'),
('it', 'calendar', 'apply the action on the whole query, not only the shown events', 'Applica all''intera interrogazione, NON solo agli eventi mostrati'),
('it', 'calendar', 'apply the changes', 'apllica le modifiche'),
('it', 'calendar', 'are you sure you want to delete this country ?', 'Confermi la cancellazione di questa Nazione ?'),
('it', 'calendar', 'are you sure you want to delete this holiday ?', 'Sei sicuro di voler cancellare questa festività ?'),
('it', 'calendar', 'back half a month', 'indietro di metà mese'),
('it', 'calendar', 'back one month', 'indietro di un mese'),
('it', 'calendar', 'before %1', 'Prima di %1'),
('it', 'calendar', 'before current date', 'Prima della data attuale'),
('it', 'calendar', 'before the event', 'prima dell''evento'),
('it', 'calendar', 'birthday', 'Compleanno'),
('it', 'calendar', 'busy', 'occupato'),
('it', 'calendar', 'by', 'da'),
('it', 'calendar', 'calendar csv export', 'Agenda - Esportazione in CSV'),
('it', 'calendar', 'calendar event', 'Evento in Agenda'),
('it', 'calendar', 'calendar menu', 'Menù Agenda'),
('it', 'calendar', 'calendar preferences', 'Preferenze Agenda'),
('it', 'calendar', 'calendar-fieldname', 'Campi-Agenda'),
('it', 'calendar', 'can''t add alarms in the past !!!', 'Non si può aggiungere sveglie nel passato !!!'),
('it', 'calendar', 'can''t aquire lock!', 'Impossibile acquisire lo sblocco!'),
('it', 'calendar', 'canceled', 'Cancellato'),
('it', 'calendar', 'category %1 removed because of missing rights', 'Categoria %1 rimossa, a causa di diritti mancanti'),
('it', 'calendar', 'category acl', 'ACL di categoria'),
('it', 'calendar', 'category acl only restrict adding a category to an event or changing status of a participant. it does not change the visibility ', 'Gli ACL di categoria, applicano restrizioni solamente all''inserimento di una categoria ad un evento oppure la modifica dello stato di un partecipante. NON modifica la visibilità di un evento!'),
('it', 'calendar', 'chair', 'Presiede'),
('it', 'calendar', 'change history', 'Cambia storico'),
('it', 'calendar', 'charset of file', 'Set di Caratteri del file'),
('it', 'calendar', 'check all', 'Controlla tutti'),
('it', 'calendar', 'close the window', 'Chiudi la finestra'),
('it', 'calendar', 'compose a mail to all participants after the event is saved', 'componi una email per tutti i partecipanti dopo che l''evento è stato salvato'),
('it', 'calendar', 'conflict', 'Conflitto'),
('it', 'calendar', 'copy of:', 'Copia di:'),
('it', 'calendar', 'copy this event', 'Copia questo evento'),
('it', 'calendar', 'copy your changes to the clipboard, %1reload the entry%2 and merge them.', 'Copia le tue modifiche negli appunti, %1aggiorna l''inserimento%2 e uniscili.'),
('it', 'calendar', 'countries', 'Nazioni'),
('it', 'calendar', 'country', 'Nazione'),
('it', 'calendar', 'create an exception for the given date', 'Crea una eccezione per questa data'),
('it', 'calendar', 'create exception', 'Crea eccezione'),
('it', 'calendar', 'create new links', 'Crea nuovi collegamenti'),
('it', 'calendar', 'csv', 'CSV'),
('it', 'calendar', 'csv-fieldname', 'Campi-CSV'),
('it', 'calendar', 'csv-filename', 'Nomefile-CSV'),
('it', 'calendar', 'daily', 'Giornaliero'),
('it', 'calendar', 'day', 'giorno'),
('it', 'calendar', 'days', 'giorni'),
('it', 'calendar', 'days of the week for a weekly repeated event', 'Giorni della settimana per un evento con ricorrenza settimanale'),
('it', 'calendar', 'days repeated', 'giorni ripetuti'),
('it', 'calendar', 'dayview', 'Vista Giornaliera'),
('it', 'calendar', 'default appointment length (in minutes)', 'lunghezza predefinita degli appuntamenti (in minuti)'),
('it', 'calendar', 'default calendar filter', 'Filtro agenda predefinito'),
('it', 'calendar', 'default calendar view', 'Vista agenda predefinita'),
('it', 'calendar', 'default length of newly created events. the length is in minutes, eg. 60 for 1 hour.', 'Lunghezza predefinita dei nuovi eventi. La lunghezza è in minuti, es. 60 per 1 ora.'),
('it', 'calendar', 'default type of resources application selected in the calendar particpants research form.', 'Tipologia di risorse predefinita selezionata nel modulo di ricerca partecipanti dell''agenda'),
('it', 'calendar', 'default type of resources selection', 'Selezione tipologia predefinita di risorse'),
('it', 'calendar', 'default week view', 'Vista settimanale predefinita'),
('it', 'calendar', 'delete selected events', 'Elimina eventi selezionati'),
('it', 'calendar', 'delete series', 'Cancella serie'),
('it', 'calendar', 'delete this alarm', 'Cancella questa sveglia'),
('it', 'calendar', 'delete this event', 'Cancella questo evento'),
('it', 'calendar', 'delete this exception', 'Cancella questa eccezione'),
('it', 'calendar', 'delete this series of recuring events', 'Cancella questa serie di eventi ricorrenti'),
('it', 'calendar', 'deleted', 'Cancellati'),
('it', 'calendar', 'deny ressources reservation for private events', 'Nega la prenotazione di risorse per eventi privati'),
('it', 'calendar', 'disinvited', 'Disinvitato'),
('it', 'calendar', 'display status of events', 'Visualizza lo stato degli eventi'),
('it', 'calendar', 'displayed view', 'Vista mostrata'),
('it', 'calendar', 'displays your default calendar view on the startpage (page you get when you enter egroupware or click on the homepage icon)?', 'Visualizzare la tua vista agenda predefinita sulla pagina iniziale (la pagina che appare quando entri in eGroupWare o clicchi sull''icona HOME) ?'),
('it', 'calendar', 'do not include events of group members', 'Non includere eventi di membri del gruppo'),
('it', 'calendar', 'do you want a weekview with or without weekend?', 'Vuoi una vista settimanale con o senza weekend?'),
('it', 'calendar', 'do you want to be notified about new or changed appointments? you are not notified about changes you made yourself.<br>you can l', 'Vuoi una notifica per i nuovi appuntamenti o per quelli cambiati? Sarai avvertito dei cambiamenti da te effettuati.<br>Puoi limitare la notifica su alcuni cambiamenti. TUTTE LE VOCI include tutte le notifiche elencate sopra di esso. TUTTE LE MODIFICHE include il cambiamento del titolo, della descrizione, dei partecipanti, ma non delle risposte dei partecipanti. Se il creatore dell''evento richiede ogni notifica, avrà sempre le risposte dei partecipanti sia gli accetti che i rifiuti.'),
('it', 'calendar', 'do you want to edit this event as an exception or the whole series?', 'Vuoi modificare questo evento come eccezione oppure l''intera ricorrenza?'),
('it', 'calendar', 'do you want to receive a regulary summary of your appointsments via email?<br>the summary is sent to your standard email-address', 'Vuoi ricevere regolarmente il resoconto dei tuoi appuntamenti via e-mail?<br>Il resoconto sarà mandato al tuo indirizzo e-mail standard ogni mattina o ogni Lunedì per il resoconto settimanale.<br>Sarà mandato solo se avrai un appuntamento per quel giorno o per quella settimana.'),
('it', 'calendar', 'download', 'Download'),
('it', 'calendar', 'download this event as ical', 'Scarica questo evento come iCal'),
('it', 'calendar', 'duration of the meeting', 'Durata della riunione'),
('it', 'calendar', 'edit exception', 'Modifica eccezione'),
('it', 'calendar', 'edit series', 'Modifica Serie'),
('it', 'calendar', 'edit status or alarms for this particular day', 'Modifica lo stato degli allarmi per questo giorno in particolare'),
('it', 'calendar', 'edit this event', 'Modifica questo evento'),
('it', 'calendar', 'edit this series of recuring events', 'Modifica questa serie di eventi ricorrenti'),
('it', 'calendar', 'empty for all', 'vuoto per tutti'),
('it', 'calendar', 'end', 'Fine'),
('it', 'calendar', 'end date/time', 'Data/Ora finale'),
('it', 'calendar', 'enddate', 'Data-finale'),
('it', 'calendar', 'enddate / -time of the meeting, eg. for more then one day', 'Data/ora finale della riunione, es: per più di un giorno'),
('it', 'calendar', 'enddate of the export', 'Data finale dell''esportazione'),
('it', 'calendar', 'ends', 'finisce'),
('it', 'calendar', 'error adding the alarm', 'Errore aggiungendo la sveglia'),
('it', 'calendar', 'error: can''t delete original series!', 'Errore! Impossibile cancellare la serie originale!'),
('it', 'calendar', 'error: importing the ical', 'Errore: importando iCal'),
('it', 'calendar', 'error: no participants selected !!!', 'Errore: nessun partecipante selezionato !!!'),
('it', 'calendar', 'error: ressources reservation in private events is not allowed!!!', 'Errore! La prenotazione di risorse non è consentita per eventi privati.'),
('it', 'calendar', 'error: saving the event !!!', 'Errore: durante il salvataggio dell''evento !!!'),
('it', 'calendar', 'error: starttime has to be before the endtime !!!', 'Errore: Inizio deve essere prima della Fine !!!'),
('it', 'calendar', 'error: the entry has been updated since you opened it for editing!', 'L''inserimento è stato modificato dall''ultima volta che l''hai aperto per la modifica!'),
('it', 'calendar', 'event copied - the copy can now be edited', 'Evento copiato - la copia può ora essere modificata'),
('it', 'calendar', 'event deleted', 'Evento cancellato'),
('it', 'calendar', 'event details follow', 'Dettagli dell''evento'),
('it', 'calendar', 'event saved', 'Evento salvato'),
('it', 'calendar', 'event will occupy the whole day', 'L''evento occuperà l''intera giornata'),
('it', 'calendar', 'exception', 'Eccezione'),
('it', 'calendar', 'exception created - you can now edit or delete it', 'Eccezione creata - adesso puoi modificarla o eliminarla'),
('it', 'calendar', 'exceptions', 'Eccezioni'),
('it', 'calendar', 'execute a further action for this entry', 'Esegui ancora una azione per questo inserimento'),
('it', 'calendar', 'existing links', 'Collegamenti esistenti'),
('it', 'calendar', 'export', 'esporta'),
('it', 'calendar', 'extended', 'Esteso'),
('it', 'calendar', 'extended updates always include the complete event-details. ical''s can be imported by certain other calendar-applications.', 'Gli update estesi contengono tutti i dettagli degli eventi. Gli iCal possono essere importanti da certe applicazioni.'),
('it', 'calendar', 'fieldseparator', 'Separatore'),
('it', 'calendar', 'filename', 'Nome file'),
('it', 'calendar', 'filename of the download', 'Nome file del download'),
('it', 'calendar', 'find free timeslots where the selected participants are availible for the given timespan', 'Trova spazi di tempo libero in cui tutti i partecipanti sono disponibili per il periodo stabilito'),
('it', 'calendar', 'firstname of person to notify', 'Nome della persona da avvisare'),
('it', 'calendar', 'for', 'per'),
('it', 'calendar', 'for which views should calendar show distinct lines with a fixed time interval.', 'Per quali viste Agenda deve mostrare linee distinte con un intervallo fisso.'),
('it', 'calendar', 'format of event updates', 'Formato degli aggiornamenti degli eventi'),
('it', 'calendar', 'forward half a month', 'avanti di metà mese'),
('it', 'calendar', 'forward one month', 'avanti di un mese'),
('it', 'calendar', 'four days view', 'vista quattro giorni'),
('it', 'calendar', 'freebusy: unknow user ''%1'', wrong password or not availible to not loged in users !!!', 'libero/impegnato: Utente ''%1'' sconosciuto, password errata o non disponibile agli utenti non loggati !!!'),
('it', 'calendar', 'freetime search', 'Ricerca Tempo libero'),
('it', 'calendar', 'fri', 'Ven'),
('it', 'calendar', 'full description', 'Descrizione completa'),
('it', 'calendar', 'fullname of person to notify', 'Nome completo della persona da avvisare'),
('it', 'calendar', 'general', 'Generale'),
('it', 'calendar', 'global categories', 'Categorie Globali'),
('it', 'calendar', 'global public and group public', 'Pubblico Globale e Pubblico per il Gruppo'),
('it', 'calendar', 'global public only', 'Solo Pubblico Globale'),
('it', 'calendar', 'group invitation', 'Invito di gruppo'),
('it', 'calendar', 'group planner', 'Pianificatore di Gruppo'),
('it', 'calendar', 'group public only', 'Solo Pubblico per il Gruppo'),
('it', 'calendar', 'groupmember(s) %1 not included, because you have no access.', 'Membro(i) del gruppo %1 non incluso(i), perché non hai accesso.'),
('it', 'calendar', 'h', 'h'),
('it', 'calendar', 'here is your requested alarm.', 'la tua richiesta di allarme.'),
('it', 'calendar', 'hide private infos', 'Nascondi informazioni private'),
('it', 'calendar', 'high priority', 'priorità alta'),
('it', 'calendar', 'history', 'Storico'),
('it', 'calendar', 'holiday', 'Festività'),
('it', 'calendar', 'holiday management', 'Gestione Festività'),
('it', 'calendar', 'holidays', 'Festività'),
('it', 'calendar', 'hours', 'ore'),
('it', 'calendar', 'how far to search (from startdate)', 'quanto lontano cercare (dalla data iniziale)'),
('it', 'calendar', 'how many minutes should each interval last?', 'Quanti minuti deve durare ogni intervallo?'),
('it', 'calendar', 'how many weeks should the multiple week view show?', 'Quante settimane dovrebbre mostrare la vista a settimane multiple?'),
('it', 'calendar', 'ical', 'iCal'),
('it', 'calendar', 'ical / rfc2445', 'iCal / rfc2445'),
('it', 'calendar', 'ical export', 'Esportazione iCal'),
('it', 'calendar', 'ical file', 'file iCal'),
('it', 'calendar', 'ical import', 'Importazione iCal'),
('it', 'calendar', 'ical successful imported', 'iCal importato con successo'),
('it', 'calendar', 'if checked holidays falling on a weekend, are taken on the monday after.', 'Se selezionato la festività che ricorre nel weekend sarà spostata al lunedì successivo.'),
('it', 'calendar', 'if you dont set a password here, the information is available to everyone, who knows the url!!!', 'Se non stabilisci una password qui, l''informazione sarà disponibile a chiunque conosca l''URL!!!'),
('it', 'calendar', 'ignore conflict', 'Ignora Conflitto'),
('it', 'calendar', 'import', 'Importa'),
('it', 'calendar', 'imports events into your calendar from a csv file. csv means ''comma seperated values''. however in the options tab you can also c', 'Importa eventi nella tua agenda da un file CSV. CSV sta per valori separati da virgola. Comunque puoi scegliere anche altri separatori dalle Opzioni.'),
('it', 'calendar', 'interval', 'Intervallo'),
('it', 'calendar', 'invalid email-address "%1" for user %2', 'Indirizzo email "%1" non valido per utente %2'),
('it', 'calendar', 'invitations', 'Inviti'),
('it', 'calendar', 'invite', 'Invita'),
('it', 'calendar', 'last', 'Ultimo'),
('it', 'calendar', 'lastname of person to notify', 'Cognome della persona da avvisare'),
('it', 'calendar', 'length of the time interval', 'Lunghezza dell''intervallo di tempo'),
('it', 'calendar', 'link', 'Collegamento ad evento'),
('it', 'calendar', 'link to view the event', 'Collegamento per visualizzare l''evento'),
('it', 'calendar', 'links', 'Collegamenti'),
('it', 'calendar', 'links, attachments', 'Collegamenti, Allegati'),
('it', 'calendar', 'listview', 'Vista elenco'),
('it', 'calendar', 'location', 'Località'),
('it', 'calendar', 'location, start- and endtimes, ...', 'Luogo, Inizio e Fine, ...'),
('it', 'calendar', 'mail all participants', 'Invia email a tutti i partecipanti'),
('it', 'calendar', 'make freebusy information available to not loged in persons?', 'Rendere disponibili le informazioni libero/occupato alle persone non loggate?'),
('it', 'calendar', 'minutes', 'Minuti'),
('it', 'calendar', 'modified', 'Modificato'),
('it', 'calendar', 'mon', 'Lun'),
('it', 'calendar', 'monthly', 'Mensile'),
('it', 'calendar', 'monthly (by date)', 'Mensile (per data)'),
('it', 'calendar', 'monthly (by day)', 'Mensile (per giorno)'),
('it', 'calendar', 'monthview', 'Vista Mensile'),
('it', 'calendar', 'multiple week view', 'Vista Settimanale'),
('it', 'calendar', 'needs action', 'Richiede azione'),
('it', 'calendar', 'new search with the above parameters', 'nuova ricerca con i parametri indicati sopra'),
('it', 'calendar', 'no events found', 'Nessun evento trovato'),
('it', 'calendar', 'no filter', 'Nessun Filtro'),
('it', 'calendar', 'no matches found', 'Nessuna corrispondenza'),
('it', 'calendar', 'no recurrence', 'Nessuna ricorrenza'),
('it', 'calendar', 'no response', 'Nessuna Risposta'),
('it', 'calendar', 'non blocking', 'non bloccante'),
('it', 'calendar', 'not', 'non'),
('it', 'calendar', 'not rejected', 'Non rifiutato'),
('it', 'calendar', 'nothing to update, version is already %1.', 'Niente da aggiornare la versione è già la %1'),
('it', 'calendar', 'notification messages for added events', 'Messaggi di notifica per gli eventi aggiunti'),
('it', 'calendar', 'notification messages for canceled events', 'Messaggi di notifica per gli eventi cancellati'),
('it', 'calendar', 'notification messages for disinvited participants', 'Messaggi di notifica per i partecipanti disinvitati'),
('it', 'calendar', 'notification messages for modified events', 'Messaggi di notifica per gli eventi modificati'),
('it', 'calendar', 'notification messages for your alarms', 'Messaggi di notifica per i tuoi allarmi'),
('it', 'calendar', 'notification messages for your responses', 'Messaggi di notifica per le tue risposte'),
('it', 'calendar', 'number of records to read (%1)', 'Numero di record da leggere (%1)'),
('it', 'calendar', 'number of weeks to show', 'Numero di settimane da mostrare'),
('it', 'calendar', 'observance rule', 'Regola da osservare'),
('it', 'calendar', 'occurence', 'Occorrenze'),
('it', 'calendar', 'old startdate', 'Vecchia data di partenza'),
('it', 'calendar', 'olddate', 'Data originale'),
('it', 'calendar', 'on %1 %2 %3 your meeting request for %4', 'Su %1 %2 %3  la tua richiesta di appuntamento per %4'),
('it', 'calendar', 'on all modification, but responses', 'su tutte le modifiche, tranne le risposte'),
('it', 'calendar', 'on any time change too', 'anche ad ogni cambio ora'),
('it', 'calendar', 'on invitation / cancelation only', 'solo su invito / cancellazione'),
('it', 'calendar', 'on participant responses too', 'anche sulle risposte dei partecipanti'),
('it', 'calendar', 'on time change of more than 4 hours too', 'anche sul cambio ora maggiore di 4 ore'),
('it', 'calendar', 'one month', 'un mese'),
('it', 'calendar', 'one week', 'una settimana'),
('it', 'calendar', 'one year', 'un anno'),
('it', 'calendar', 'only group-events', 'Eventi solo per gruppi'),
('it', 'calendar', 'only the initial date of that recuring event is checked!', 'Solo la data iniziale di quel evento ricorrente è selezionata!'),
('it', 'calendar', 'open todo''s:', 'ToDo Aperti:'),
('it', 'calendar', 'optional', 'Opzionale'),
('it', 'calendar', 'overlap holiday', 'sovrapposizione di una festività'),
('it', 'calendar', 'owner too', 'Anche il proprietario'),
('it', 'calendar', 'participants', 'Partecipanti'),
('it', 'calendar', 'participants disinvited from an event', 'Partecipanti disinvitati da un evento'),
('it', 'calendar', 'participants, resources, ...', 'Partecipanti, Risorse, ...'),
('it', 'calendar', 'password for not loged in users to your freebusy information?', 'Password per gli utenti non loggati sulle tue informazioni di disponibilità?'),
('it', 'calendar', 'people holiday', 'festività personali'),
('it', 'calendar', 'permission denied', 'Permesso negato'),
('it', 'calendar', 'planner by category', 'Pianificatore per categorie'),
('it', 'calendar', 'planner by user', 'Pianificatore per utente'),
('it', 'calendar', 'please note: you can configure the field assignments after you uploaded the file.', 'Attenzione: Puoi configurare il campo assegnazioni DOPO che hai caricato il file.'),
('it', 'calendar', 'preselected group for entering the planner', 'Gruppo predefinito per aggiunte al pianificatore'),
('it', 'calendar', 'previous', 'precedente'),
('it', 'calendar', 'private and global public', 'Privato e Pubblico Globale'),
('it', 'calendar', 'private and group public', 'Private e Pubblico per il Gruppo'),
('it', 'calendar', 'private only', 'Solo privato'),
('it', 'calendar', 'quantity', 'Quantità'),
('it', 'calendar', 're-edit event', 'Ri-modifica l''evento'),
('it', 'calendar', 'receive email updates', 'Ricevi aggiornamenti via e-mail'),
('it', 'calendar', 'receive summary of appointments', 'Ricevi il resoconto degli appuntamenti'),
('it', 'calendar', 'recurrence', 'Ricorrenza'),
('it', 'calendar', 'recurring event', 'evento ricorrente'),
('it', 'calendar', 'rejected', 'Rifiutato'),
('it', 'calendar', 'repeat days', 'Giorni di ripetizione'),
('it', 'calendar', 'repeat the event until which date (empty means unlimited)', 'ripeti l''evento fino a che data (vuoto significa illimitato)'),
('it', 'calendar', 'repeat type', 'Tipo di ripetizione'),
('it', 'calendar', 'repeating event information', 'Informazioni sugli eventi ricorrenti'),
('it', 'calendar', 'repeating interval, eg. 2 to repeat every second week', 'intervallo di ripetizione, es. 2 per ripetere ogni seconda settimana'),
('it', 'calendar', 'repetition', 'Ripetizione'),
('it', 'calendar', 'repetitiondetails (or empty)', 'Dettagli Ripetizione (o vuoto)'),
('it', 'calendar', 'requested', 'Richiesto'),
('it', 'calendar', 'reset', 'Reimposta'),
('it', 'calendar', 'resources', 'Risorse'),
('it', 'calendar', 'resources except conflicting ones', 'Risorse eccetto quelle in conflitto'),
('it', 'calendar', 'resources with conflict detection', 'Risorse con rilevamento di conflitti'),
('it', 'calendar', 'restrict add category to', 'Restringi l''inserimento di categorie a'),
('it', 'calendar', 'restrict set status to', 'Restringi l''impostazione dello stato a'),
('it', 'calendar', 'role', 'Ruolo');
INSERT INTO `egw_lang` (`lang`, `app_name`, `message_id`, `content`) VALUES
('it', 'calendar', 'rule', 'Regola'),
('it', 'calendar', 'sat', 'Sab'),
('it', 'calendar', 'save event as exception - delete single occurrence - edit status or alarms for this particular day', 'Salva come eccezione - Cancella l''inserimento unico - Modifica lo stato di allarmi per questo giorno in particolare'),
('it', 'calendar', 'saves the changes made', 'salva le modifiche fatte'),
('it', 'calendar', 'saves the event ignoring the conflict', 'Salva l''evento ignorando il conflitto'),
('it', 'calendar', 'scheduling conflict', 'Conflitto di orario'),
('it', 'calendar', 'select a %1', 'Seleziona %1'),
('it', 'calendar', 'select a time', 'Seleziona un''orario'),
('it', 'calendar', 'select an action', 'Seleziona una azione'),
('it', 'calendar', 'select multiple contacts for a further action', 'Seleziona contatti multipli per azioni ulteriori'),
('it', 'calendar', 'select resources', 'Seleziona risorse'),
('it', 'calendar', 'select who should get the alarm', 'Seleziona chi dovrà avere la sveglia'),
('it', 'calendar', 'selected range', 'Intervallo di selezione'),
('it', 'calendar', 'set a year only for one-time / non-regular holidays.', 'Imposta un Anno solo per festività occasionali / non regolari.'),
('it', 'calendar', 'set new events to private', 'Imposta il nuovo evento come privato'),
('it', 'calendar', 'should new events created as private by default ?', 'I nuovi eventi sono creati come privati normalmente ?'),
('it', 'calendar', 'should not loged in persons be able to see your freebusy information? you can set an extra password, different from your normal ', 'Le persone non loggate possono vedere le tue informazioni di disponibilità? Puoi impostare una password extra, diversa dalla tua normale password, per proteggere queste imformazioni. Le informazioni di disponibilità sono nel formato iCal e includono solo i tempi in cui sei occupato. Non includono i nomi degli eventi, descrizioni o luoghi. L''URL delle informazioni di disponibilità è %1.'),
('it', 'calendar', 'should the planner display an empty row for users or categories without any appointment.', 'Il pianificatore dovrebbe mostrare una riga vuota per gli utenti o le categorie senza appuntamenti.'),
('it', 'calendar', 'should the status of the event-participants (accept, reject, ...) be shown in brakets after each participants name ?', 'Lo stato dei partecipanti agli eventi (accettato, rifiutato, ...) sarà visualizzato tra parentesi dopo il nome?'),
('it', 'calendar', 'show all events, as if they were private', 'Mostra tutti gli eventi come se fossero privati'),
('it', 'calendar', 'show all status incl. rejected events', 'Mostra tutti gli stati compresi gli eventi rifiutati'),
('it', 'calendar', 'show all status, but rejected', 'Mostra tutti gli stati tranne che per gli eventi rifiutati'),
('it', 'calendar', 'show also events just owned by selected user', 'Mostra anche gli eventi di proprietà dell''utente selezionato'),
('it', 'calendar', 'show default view on main screen', 'Mostra la vista prefedinita sulla maschera principale'),
('it', 'calendar', 'show empty rows in planner', 'Mostra righe vuote nel pianificatore'),
('it', 'calendar', 'show list of upcoming events', 'Visualizza la lista degli eventi imminenti'),
('it', 'calendar', 'show only accepted events', 'Mostra solo gli eventi accettati'),
('it', 'calendar', 'show only invitations, not yet accepted or rejected', 'Mostra solo inviti, non ancora accettati o rifiutati'),
('it', 'calendar', 'show only rejected events', 'Mostra solo gli eventi rifiutati'),
('it', 'calendar', 'show only tentative accepted events', 'Mostra solo gli eventi tentati accettati'),
('it', 'calendar', 'show this month', 'mostra questo mese'),
('it', 'calendar', 'show this week', 'mostra questa settimana'),
('it', 'calendar', 'single event', 'singolo evento'),
('it', 'calendar', 'start', 'Inizio'),
('it', 'calendar', 'start date/time', 'Data/Ora Inizio'),
('it', 'calendar', 'startdate', 'Data di inizio'),
('it', 'calendar', 'startdate / -time', 'Data/ora iniziale'),
('it', 'calendar', 'startdate and -time of the search', 'Data/ora iniziale della ricerca'),
('it', 'calendar', 'startdate of the export', 'Data iniziale dell''esportazione'),
('it', 'calendar', 'startrecord', 'Primo Record'),
('it', 'calendar', 'status changed', 'Stato modificato'),
('it', 'calendar', 'status for all future scheduled days changed', 'Stato per tutti gli eventi futuri modificato'),
('it', 'calendar', 'status for this particular day changed', 'Stato per questo giorno in particolare modificato'),
('it', 'calendar', 'status of participants set to unknown because of missing category rights', 'Stato dei partecipanti impostato a "sconosciuto" a causa di mancanza di diritti per la categoria'),
('it', 'calendar', 'submit to repository', 'Invia all''archivio'),
('it', 'calendar', 'sun', 'Dom'),
('it', 'calendar', 'tentative', 'Tentativo'),
('it', 'calendar', 'test import (show importable records <u>only</u> in browser)', 'Test d''importazione (visualizza nel browser <u>solo</u> i record importabili)'),
('it', 'calendar', 'the resource you selected is already overbooked:', 'La risorsa selezionata è già in overbooking'),
('it', 'calendar', 'this day is shown as first day in the week or month view.', 'Questo giorno è visualizzato come primo giorno nella vista settimanale o in quella mensile.'),
('it', 'calendar', 'this defines the end of your dayview. events after this time, are shown below the dayview.', 'Questo definisce la fine della tua vista giornaliera. Eventi dopo quest''ora sono mostrati dopo la vista giornaliera.'),
('it', 'calendar', 'this defines the start of your dayview. events before this time, are shown above the dayview.<br>this time is also used as a def', 'Questo definisce l''inizio della tua vista giornaliera. Eventi prima di quest''ora sono visualizzati prima della vista giornaliera.<br>Quest''ora è utilizzata anche come ora d''inizio dei nuovi eventi.'),
('it', 'calendar', 'this entry is currently opened by %1!', 'La scheda è attualmente aperta da %1'),
('it', 'calendar', 'this entry is opened by user:', 'Questa scheda è stata aperta nell''intervallo di tempo preconfigurato dall''utente:'),
('it', 'calendar', 'this event is part of a series', 'Questo evento è parte di una serie'),
('it', 'calendar', 'this group that is preselected when you enter the planner. you can change it in the planner anytime you want.', 'Questo gruppo è preselezionato quando entri nel pianificatore. Quando vorrai potrai cambiarlo nel pianificatore.'),
('it', 'calendar', 'this message is sent for canceled or deleted events.', 'Questo messaggio è inviato per gli eventi annullati o cancellati.'),
('it', 'calendar', 'this message is sent for modified or moved events.', 'Questo messaggio è inviato. per gli eventi modficiati o spostati.'),
('it', 'calendar', 'this message is sent to disinvited participants.', 'Questo messaggio viene inviato ai partecipanti disinvitati.'),
('it', 'calendar', 'this message is sent to every participant of events you own, who has requested notifcations about new events.<br>you can use cer', 'Questo messaggio è inviato ad ogni partecipante, che ha richiesto la notifica, all''evento da te creato.<br>Puoi usare certe variabili che sostituiranno dati dell''evento. La prima linea è l''oggetto dell''e-mail.'),
('it', 'calendar', 'this message is sent when you accept, tentative accept or reject an event.', 'Questo messaggio è inviato quando accetti, provi ad accettare, o rifiuti un evento.'),
('it', 'calendar', 'this message is sent when you set an alarm for a certain event. include all information you might need.', 'Questo messaggio è inviato quando imposti un Allarme per certi eventi.  Include tutte le informazioni di cui hai bisogno.'),
('it', 'calendar', 'this module displays the current month', 'Questo modulo mostra il mese corrente'),
('it', 'calendar', 'three month', 'tre mesi'),
('it', 'calendar', 'thu', 'Gio'),
('it', 'calendar', 'til', 'fino'),
('it', 'calendar', 'timeframe', 'Spazio temporale'),
('it', 'calendar', 'timeframe to search', 'Spazio temporale da cercare'),
('it', 'calendar', 'timezone', 'Fuso orario'),
('it', 'calendar', 'timezone in which recurrences have identical time', 'Fuso orario in cui le ricorrenze hanno orario identico'),
('it', 'calendar', 'timezone of event exports', 'Fuso orario dell''esportazione di eventi'),
('it', 'calendar', 'timezones updated to version %1 (%2 records updated).', 'Fusi orari aggiornati alla versione %1 (%2 voci aggiornate).'),
('it', 'calendar', 'title of the event', 'Titolo dell''evento'),
('it', 'calendar', 'to many might exceed your execution-time-limit', 'troppi potrebbero superare il limite del tempo di esecuzione'),
('it', 'calendar', 'to-firstname', 'A Nome'),
('it', 'calendar', 'to-fullname', 'A nome completo'),
('it', 'calendar', 'to-lastname', 'A Cognome'),
('it', 'calendar', 'tomorrow', 'Domani'),
('it', 'calendar', 'translation', 'Traduzione'),
('it', 'calendar', 'tue', 'Mar'),
('it', 'calendar', 'two weeks', 'due settimane'),
('it', 'calendar', 'update timezones', 'Aggiorna i fusi orari'),
('it', 'calendar', 'updated', 'Aggiornato'),
('it', 'calendar', 'use end date', 'Usa data di termine'),
('it', 'calendar', 'use the selected time and close the popup', 'utilizza l''ora selezionata e chiudi popup'),
('it', 'calendar', 'use this timezone to export calendar data.', 'Usa questo fuso orario per esportare i dati dell''agenda'),
('it', 'calendar', 'user or group', 'Utente o Gruppo'),
('it', 'calendar', 'view exception', 'Visualizza eccezione'),
('it', 'calendar', 'view series', 'Visualizza serie'),
('it', 'calendar', 'view this event', 'Visualizza questo evento'),
('it', 'calendar', 'views with fixed time intervals', 'Viste con intervalli di tempo fissi'),
('it', 'calendar', 'wed', 'Mer'),
('it', 'calendar', 'week', 'Settimana'),
('it', 'calendar', 'weekday', 'Giorno della settimana'),
('it', 'calendar', 'weekday starts on', 'La settimana inizia di'),
('it', 'calendar', 'weekdays', 'Giorni settimanali'),
('it', 'calendar', 'weekdays to use in search', 'Giorni settimanali da usare per la ricerca'),
('it', 'calendar', 'weekly', 'Settimanale'),
('it', 'calendar', 'weeks in multiple week view', 'Settimane nella visualizzazione di settimane multiple'),
('it', 'calendar', 'weekview', 'Vista Settimanale'),
('it', 'calendar', 'weekview with weekend', 'Vista settimanale con weekend'),
('it', 'calendar', 'weekview without weekend', 'Vista settimanale senza weekend'),
('it', 'calendar', 'which events do you want to see when you enter the calendar.', 'Quali eventi vuoi vedere quando entri nell''agenda.'),
('it', 'calendar', 'which of calendar view do you want to see, when you start calendar ?', 'Quale vista dell''agenda vuoi vedere quanto apri l''agenda?'),
('it', 'calendar', 'whole day', 'Giornata intera'),
('it', 'calendar', 'wk', 'Sett'),
('it', 'calendar', 'work day ends on', 'La giornata lavorativa termina alle'),
('it', 'calendar', 'work day starts on', 'La giornata lavorativa inizia alle'),
('it', 'calendar', 'workday', 'Giorno feriale'),
('it', 'calendar', 'workdays', 'Giorni feriali'),
('it', 'calendar', 'yearly', 'Annuale'),
('it', 'calendar', 'yearview', 'Vista Annuale'),
('it', 'calendar', 'you are not allowed to book the resource selected:', 'Non puoi prenotare questa risorsa:'),
('it', 'calendar', 'you can either set a year or a occurence, not both !!!', 'Puoi impostare un Anno o un''Occorrenza, non entrambi !!!'),
('it', 'calendar', 'you can only set a year or a occurence !!!', 'E'' possibile impostare solo un anno o una occorrenza!!!'),
('it', 'calendar', 'you do not have permission to read this record!', 'Non hai l''autorizzazione per leggere questo record'),
('it', 'calendar', 'you have a meeting scheduled for %1', 'Hai un meeting fissato alle %1'),
('it', 'calendar', 'you have been disinvited from the meeting at %1', 'Il tuo invito al meeting delle %1 è stato annullato'),
('it', 'calendar', 'you need to select an account, contact or resource first!', 'Per favore seleziona un account, in contato o una risorsa prima!'),
('it', 'calendar', 'you need to select an ical file first', 'Devi prima selezionare un file iCal'),
('it', 'calendar', 'you need to set either a day or a occurence !!!', 'Impostare un giorno o una ricorrenza !!!'),
('it', 'calendar', 'you requested more than available for the selected resource:', 'Hai richiesto più del disponibile per la risorsa:'),
('it', 'calendar', 'your meeting scheduled for %1 has been canceled', 'Il tuo meeting fissato per il %1 è stato cancellato'),
('it', 'calendar', 'your meeting that had been scheduled for %1 has been rescheduled to %2', 'Il tuo meeting fissato per il %1 è stato spostato al %2'),
('it', 'developer_tools', 'add', 'aggiungi'),
('it', 'developer_tools', 'add change', 'Aggiungi modifica'),
('it', 'developer_tools', 'add more', 'Aggiungi altro'),
('it', 'developer_tools', 'add new phrase', 'Aggiungi una nuova frase'),
('it', 'developer_tools', 'add phrase', 'Aggiungi frase'),
('it', 'developer_tools', 'allows you to add a single phrase', 'Consente di inserire una singola frase'),
('it', 'developer_tools', 'application', 'Applicazione'),
('it', 'developer_tools', 'back', 'Indietro'),
('it', 'developer_tools', 'cancel', 'Annulla'),
('it', 'developer_tools', 'change', 'Cambia'),
('it', 'developer_tools', 'changelog entry has been added', 'Voce aggiunta al log delle modifiche'),
('it', 'developer_tools', 'changelogs', 'Changelog'),
('it', 'developer_tools', 'clears the internal buffer, all changes made sofar are lost', 'Pulisce il buffer interno, tutti i cambiamenti saranno persi'),
('it', 'developer_tools', 'create new language file', 'Crea nuovo File Linguaggio'),
('it', 'developer_tools', 'create sgml file', 'Crea file SGML'),
('it', 'developer_tools', 'developer tools - preferences', 'Strumenti Sviluppatori - preferenze'),
('it', 'developer_tools', 'diary', 'Diario'),
('it', 'developer_tools', 'done', 'fatto'),
('it', 'developer_tools', 'download', 'Download'),
('it', 'developer_tools', 'download the lang-file to be saved in the apps setup-dir', 'Scarica il file .lang da salvare nella directory setup dell''applicazione'),
('it', 'developer_tools', 'edit', 'Modifica'),
('it', 'developer_tools', 'installed applications', 'Applicazioni Installate'),
('it', 'developer_tools', 'language file management', 'Gestione dei File di Linguaggio'),
('it', 'developer_tools', 'list changelogs', 'Elenco log delle  modifiche'),
('it', 'developer_tools', 'load', 'Carica'),
('it', 'developer_tools', 'loading source langfile', 'Caricamento file linguaggio sorgente'),
('it', 'developer_tools', 'loading target langfile', 'Caricamento file linguaggio destinazione'),
('it', 'developer_tools', 'loads the selected lang-files, to be modified in the next steps', 'Carica i file linguaggio selezionati, per l''utilizzo nella fase successiva'),
('it', 'developer_tools', 'message', 'Messaggio'),
('it', 'developer_tools', 'message_id in english', 'Message_id in Inglese'),
('it', 'developer_tools', 'no file', 'Nessun File'),
('it', 'developer_tools', 'ok', 'ok'),
('it', 'developer_tools', 'original', 'Originale'),
('it', 'developer_tools', 'phrase in english (or empty if identical)', 'Frase in INGLESE (o vuota se identica)'),
('it', 'developer_tools', 'preferences', 'Preferenze'),
('it', 'developer_tools', 'preferences have been updated', 'Le Preferenze sono state aggiornate'),
('it', 'developer_tools', 'project', 'Progetto'),
('it', 'developer_tools', 'remove', 'Rimuovi'),
('it', 'developer_tools', 'removed %1 phrases from the target language, as they are not present in the source language!', 'Rimosse %1 frase/i dal linguaggio destinazione, dato che non è/sono presenti nel linguaggio origine!'),
('it', 'developer_tools', 'returns to the application list, not saved changes get lost !!!', 'Ritorna alla lista delle applicazioni, tutti i cambiamenti non salvati saranno perduti !!!'),
('it', 'developer_tools', 'revert', 'Ripristina'),
('it', 'developer_tools', 'saves the added/changed translations to an internal buffer, to be used in further steps', 'Salva le traduzioni aggiunte/modificate in un buffer interno, per essere usate nei passaggi successivi'),
('it', 'developer_tools', 'search changelogs', 'Cerca nel Log delle Modifiche'),
('it', 'developer_tools', 'search for missing phrase', 'Cerca frase mancante'),
('it', 'developer_tools', 'search new phrases', 'Cerca nuove frasi'),
('it', 'developer_tools', 'searches the source-code for phrases not in the actual source-lang-file', 'Cerca nel codice sorgente frasi non presenti nel file .lang sorgente'),
('it', 'developer_tools', 'select project', 'Seleziona progetto'),
('it', 'developer_tools', 'sf project tracker', 'Monitoraggio del progetto su SF'),
('it', 'developer_tools', 'source language', 'Linguaggio di Origine'),
('it', 'developer_tools', 'sourceforge project id', 'ID del progetto su SourceForge'),
('it', 'developer_tools', 'sourceforge project tracker', 'Monitoraggio progetto su SourceForge'),
('it', 'developer_tools', 'sourceforge project tracker preferences', 'Preferenze monitoraggio progetto su SourceForge'),
('it', 'developer_tools', 'step', 'Fase'),
('it', 'developer_tools', 'submit', 'Invia'),
('it', 'developer_tools', 'target language', 'Linguaggio di Destinazione'),
('it', 'developer_tools', 'title', 'Titolo'),
('it', 'developer_tools', 'translate', 'Traduci'),
('it', 'developer_tools', 'translation', 'Traduzione'),
('it', 'developer_tools', 'translation of phrase', 'Traduzione della frase'),
('it', 'developer_tools', 'update', 'Aggiorna'),
('it', 'developer_tools', 'update database', 'Aggiorna database'),
('it', 'developer_tools', 'updates the translations of both lang-files in your database, so you can verify your work immediately', 'Aggiorna le traduzioni di tutti e due i file .lang nel database, così è possibile verificare immediatamente il lavoro'),
('it', 'developer_tools', 'version', 'Versione'),
('it', 'developer_tools', 'write', 'Scrivi'),
('it', 'developer_tools', 'write the lang-file to the apps setup-dir', 'Scrive il file .lang nella directory setup dell''applicazione'),
('it', 'developer_tools', 'write to lang table', 'Scrivi nella Tabella Linguaggio'),
('it', 'developer_tools', 'writing langfile for ''%1'' ...', 'Scrittura in corso del file linguaggio per ''%1'' ...'),
('it', 'developer_tools', 'you have to [save] every manual change in the above fields, before you can go to the next step !!!', 'Devi cliccare [Salva] per ogni modifica apportata nei campi soprastanti, prima di poter proseguire alla fase successiva !!!'),
('it', 'developer_tools', 'you must a version', 'Inserire una versione'),
('it', 'developer_tools', 'you must enter a change', 'Inserire una modifica'),
('it', 'developer_tools', 'you must select a project', 'Selezionare un progetto'),
('it', 'developer_tools', 'you need to set your preferences for this app', 'Devono essere impostate le preferenze per questa applicazione'),
('it', 'preferences', 'sf project tracker preferences', 'preferenze per il monitoraggio del progetto du SF'),
('it', 'preferences', 'manage emailfilter / vacation', 'Gestione Filtro Email / Assenze'),
('it', 'preferences', '%1 - preferences', 'Preferenze %1'),
('it', 'preferences', '%1 hours', '%1 ore'),
('it', 'preferences', '12 hour', '12 ore'),
('it', 'preferences', '24 hour', '24 ore'),
('it', 'preferences', 'a template defines the layout of egroupware and it contains icons for each application.', 'Un Template definisce il layout di eGroupWare e contiene le icone per ogni applicazione.'),
('it', 'preferences', 'a theme defines the colors and fonts used by the template.', 'Un Tema definisce i colori e i tipi di carattere usati dal template.'),
('it', 'preferences', 'acl grants have been updated', 'Le autorizzazioni ACL sono state aggiornate'),
('it', 'preferences', 'any listing in egw will show you this number of entries or lines per page.<br>to many slow down the page display, to less will c', 'Ogni lista in eGroupWare visualizzerà questo numero di voci o di linee per pagina.<br>Un numero elevato rallenta la visualizzazione della pagina, troppo poche ti costringono ad un lavoro aggiuntivo.'),
('it', 'preferences', 'are you sure you want to delete this category ?', 'Sei sicuro di voler eliminare questa categoria?'),
('it', 'preferences', 'change a user password by passing the old and new passwords.  returns true on success, false on failure.', 'Modifica la password di un utente passando la vecchia e nuova password. Restituisce TRUE se ha successo, FALSE se fallisce.'),
('it', 'preferences', 'change your password', 'Cambia la tua password'),
('it', 'preferences', 'change your profile', 'Cambia il tuo profilo'),
('it', 'preferences', 'change your settings', 'Cambia le tue impostazioni'),
('it', 'preferences', 'click to select a color', 'Clicca per selezionare un colore'),
('it', 'preferences', 'color', 'Colore'),
('it', 'preferences', 'country', 'Nazione'),
('it', 'preferences', 'date format', 'Formato data'),
('it', 'preferences', 'default', 'predefinito'),
('it', 'preferences', 'default application', 'Applicazione predefinita'),
('it', 'preferences', 'default preferences', 'Preferenze Predefinite'),
('it', 'preferences', 'delete categories', 'Elimina Categorie'),
('it', 'preferences', 'description can not exceed 255 characters in length !', 'La descrizione non può essere più lunga di 255 caratteri!'),
('it', 'preferences', 'do you prefer a 24 hour time format, or a 12 hour one with am/pm attached.', 'Preferisci il formato a 24 ore, o a 12 ore con l''aggiunta di am/pm?'),
('it', 'preferences', 'edit custom fields', 'modifica campi personalizzati'),
('it', 'preferences', 'enter your new password', 'Inserisci la tua nuova password'),
('it', 'preferences', 'enter your old password', 'Inserisci la tua vecchia password'),
('it', 'preferences', 'failed to change password.  please contact your administrator.', 'Impossibile cambiare la password. Prego contatta l''amministratore.'),
('it', 'preferences', 'forced preferences', 'Preferenze Forzate'),
('it', 'preferences', 'help off', 'Nessun Aiuto'),
('it', 'preferences', 'hours', 'ore'),
('it', 'preferences', 'how do you like to display accounts', 'Come vuoi visualizzare gli account'),
('it', 'preferences', 'how do you like to select accounts', 'Come vuoi selezionare gli account'),
('it', 'preferences', 'how many hours are you in front or after the timezone of the server.<br>if you are in the same time zone as the server select 0 ', 'Quante ora è avanti o indietro il fuso orario del tuo server.<br>Se stai usando il fuso orario del server seleziona 0 altrimenti seleziona il tuo fuso orario locale.'),
('it', 'preferences', 'how many icons should be shown in the navbar (top of the page). additional icons go into a kind of pulldown menu, callable by th', 'Quante icone devono essere visualizzare nella barra di navigazione in cima alla pagina. Le altre icone saranno nel menu a discesa richiamabile dall''icona all''estrema destra della barra di navigazione.'),
('it', 'preferences', 'how should egroupware display dates for you.', 'Come eGroupWare deve visualizzare le date.'),
('it', 'preferences', 'icon', 'Icona'),
('it', 'preferences', 'icons and text', 'Icone e testo'),
('it', 'preferences', 'icons only', 'Solo icone'),
('it', 'preferences', 'in which country are you. this is used to set certain defaults for you.', 'In quale nazione sei. Sarà usato per impostare alcuni parametri predefiniti.'),
('it', 'preferences', 'interface/template selection', 'Selezione Interfaccia/Template'),
('it', 'preferences', 'language', 'Lingua'),
('it', 'preferences', 'max matches per page', 'Numero massimo di risultati per pagina'),
('it', 'preferences', 'max number of icons in navbar', 'Numero massimo di icone nella barra di navigazione'),
('it', 'preferences', 'no default', 'Nessun predefinito'),
('it', 'preferences', 'note: this feature does *not* change your email password. this will', 'nota: Questa funzione *non* cambia la tua password email.'),
('it', 'preferences', 'note: this feature does *not* change your email password. this will need to be done manually.', 'Nota: Questo *NON* cambia la vostra password di email. Dovrà essere fatto manualmente.'),
('it', 'preferences', 'please, select a new theme', 'Per favore, selezionare un nuovo tema'),
('it', 'preferences', 'popup with search', 'Popup con ricerca'),
('it', 'preferences', 're-enter your password', 'Reinserisci la password'),
('it', 'preferences', 'read prefs for the specified application.', 'Legge le preferenze per l''applicazione specificata.'),
('it', 'preferences', 'select different theme', 'Seleziona un tema differente'),
('it', 'preferences', 'select one', 'Seleziona uno'),
('it', 'preferences', 'select the language of texts and messages within egroupware.<br>some languages may not contain all messages, in that case you wi', 'Seleziona la lingua dei testi e dei messaggi di eGroupWare.<br>Alcune lingue non contengono tutti i messaggi, in quel caso rimarranno in inglese.'),
('it', 'preferences', 'selectbox', 'Casella di selezione'),
('it', 'preferences', 'selectbox with primary group and search', 'Casella di selezione con gruppo primario e ricerca'),
('it', 'preferences', 'set this to your convenience. for security reasons, you might not want to show your loginname in public.', 'Impostalo come preferisci. Per ragioni di sicurezza, puoi forzare di non visualizzare la tua Username in pubblico.'),
('it', 'preferences', 'should the number of active sessions be displayed for you all the time.', 'Il numero di sessioni attive sarà sempre visualizzato per te.'),
('it', 'preferences', 'should this help messages shown up always, when you enter the preferences or only on request.', 'Questo messaggio di aiuto sarà sempre visualizzato quando si modificano le preferenze, o solo su richiesta.'),
('it', 'preferences', 'show helpmessages by default', 'Per default visualizza i messaggi di aiuto'),
('it', 'preferences', 'show navigation bar as', 'Mostra la barra di navigazione come'),
('it', 'preferences', 'show number of current users', 'Visualizza il numero degli utenti correnti'),
('it', 'preferences', 'show text on navigation icons', 'Mostra testo nelle icone di navigazione'),
('it', 'preferences', 'text only', 'Solo Testo'),
('it', 'preferences', 'the default application will be started when you enter egroupware or click on the homepage icon.<br>you can also have more than ', 'L''applicazione predefinita partirà quando entri in eGroupWare o premi sull''icona della homepage.<br>Puoi avere più di una applicazione visualizzata in homepage, se non scegli un''applicazione specifica (dovrà esser configurato nelle preferenze di ogni applicazione).'),
('it', 'preferences', 'the old password is not correct', 'La vecchia password non è corretta.'),
('it', 'preferences', 'the selectbox shows all available users (can be very slow on big installs with many users). the popup can search users by name o', 'La selectbox visualizza tutti gli utenti disponibili (può essere molto lenta nelle grandi installazioni con molto utenti). Il popup può cercare gli utenti per nome o gruppo.'),
('it', 'preferences', 'the two passwords are not the same', 'Le due password non sono uguali'),
('it', 'preferences', 'theme (colors/fonts) selection', 'Selezione tema (colori/caratteri)'),
('it', 'preferences', 'this server is located in the %1 timezone', 'Questo server è situato nel fuso orario %1'),
('it', 'preferences', 'time format', 'Formato ora'),
('it', 'preferences', 'use default', 'Usa il predefinito'),
('it', 'preferences', 'users choice', 'Scelta dell''utente'),
('it', 'preferences', 'when you say yes the home and logout buttons are presented as applications in the main top applcation bar.', 'Quando dici sì i pulsanti Home e Uscita sono presentati come applicazioni nella barra principale superiore.'),
('it', 'preferences', 'which currency symbol or name should be used in egroupware.', 'Quale simbolo monetario o nome deve essere usato in eGroupWare.'),
('it', 'preferences', 'write prefs for the specified application.', 'Scrive le preferenze per l''applicazione selezionata.'),
('it', 'preferences', 'you can show the applications as icons only, icons with app-name or both.', 'Puoi visualizzare le applicazioni come icone, icone con nome o entrambi.'),
('it', 'preferences', 'you do not have permission to set acl''s in this mode!', 'Non hai il permesso di stabilire i permessi ACL in questa modo!'),
('it', 'preferences', 'you must enter a password', 'Devi inserire una password'),
('it', 'preferences', 'your current theme is: %1', 'il tuo tema attuale è: %1'),
('it', 'preferences', 'your preferences', 'Preferenze personali'),
('it', 'emailadmin', '%1 entries deleted.', '%1 inserimenti cancellati'),
('it', 'emailadmin', 'account ''%1'' not found !!!', 'Account ''%1'' non trovato !!!'),
('it', 'emailadmin', 'active templates', 'Modelli attivi'),
('it', 'emailadmin', 'add new email address:', 'Aggiungi un nuovo indirizzo di posta elettronica'),
('it', 'emailadmin', 'add profile', 'Aggiungi Profilo'),
('it', 'emailadmin', 'admin dn', 'dn amministratore'),
('it', 'emailadmin', 'admin password', 'password amministratore'),
('it', 'emailadmin', 'admin username', 'username amministratore'),
('it', 'emailadmin', 'advanced options', 'opzioni avanzate'),
('it', 'emailadmin', 'alternate email address', 'indirizzo email alternativo'),
('it', 'emailadmin', 'any application', 'ogni applicazione'),
('it', 'emailadmin', 'any group', 'ogni gruppo'),
('it', 'emailadmin', 'any user', 'Qualsiasi utente'),
('it', 'emailadmin', 'back to admin/grouplist', 'Indietro alla lista Admin / Group'),
('it', 'emailadmin', 'back to admin/userlist', 'Indietro alla lista Admin / User'),
('it', 'emailadmin', 'bad login name or password.', 'Nome utente o password errati.'),
('it', 'emailadmin', 'bad or malformed request. server responded: %s', 'Richiesta errata o mal composta. Il Server ha risposto: %s'),
('it', 'emailadmin', 'bad request: %s', 'Richiesta errata: %s'),
('it', 'emailadmin', 'can be used by application', 'può essere usato da applicazione'),
('it', 'emailadmin', 'can be used by group', 'può essere usato da gruppo'),
('it', 'emailadmin', 'can be used by user', 'può essere usato dall''utente'),
('it', 'emailadmin', 'connection dropped by imap server.', 'Connessione interrotta dal sever IMAP.'),
('it', 'emailadmin', 'could not complete request. reason given: %s', 'Impossibile completare la richiesta. Motivazione data: %s'),
('it', 'emailadmin', 'could not open secure connection to the imap server. %s : %s.', 'Non è possibile aprire una connessione sicura al server IMAP. %s : %s.'),
('it', 'emailadmin', 'cram-md5 or digest-md5 requires the auth_sasl package to be installed.', 'CRAM-MD5 o DIGEST-MD5 richiede che il pacchetto Auth_SASL sia installato.'),
('it', 'emailadmin', 'cyrus imap server', 'Server IMAP Cyrus'),
('it', 'emailadmin', 'cyrus imap server administration', 'Amministrazione Server IMAP Cyrus'),
('it', 'emailadmin', 'default', 'predefinito'),
('it', 'emailadmin', 'deliver extern', 'Consegna esterna'),
('it', 'emailadmin', 'do not validate certificate', 'Non convalidare il certificato'),
('it', 'emailadmin', 'do you really want to delete this profile', 'Vuoi davvero cancellare questo profilo?'),
('it', 'emailadmin', 'do you really want to reset the filter for the profile listing', 'Vuoi davvero reimpostare il filtro per l''elenco dei profili?'),
('it', 'emailadmin', 'domainname', 'nome dominio'),
('it', 'emailadmin', 'edit email settings', 'modifica impostazioni email'),
('it', 'emailadmin', 'email account active', 'account email attivo'),
('it', 'emailadmin', 'email address', 'indirizzo email'),
('it', 'emailadmin', 'emailadmin', 'Gestione Email'),
('it', 'emailadmin', 'enable cyrus imap server administration', 'abilita amministrazione Server IMAP Cyrus'),
('it', 'emailadmin', 'enable sieve', 'abilita Sieve'),
('it', 'emailadmin', 'encrypted connection', 'Connessione criptata'),
('it', 'emailadmin', 'encryption settings', 'impostazioni cifratura'),
('it', 'emailadmin', 'enter your default mail domain (from: user@domain)', 'Inserisci il tuo dominio di posta predefinito (da: utente@dominio)'),
('it', 'emailadmin', 'entry saved', 'Inserimento salvato'),
('it', 'emailadmin', 'error connecting to imap server. %s : %s.', 'Errore in connessione al server IMAP. %s : %s.'),
('it', 'emailadmin', 'error connecting to imap server: [%s] %s.', 'Errore in connessione al server IMAP: [%s] %s.'),
('it', 'emailadmin', 'error deleting entry!', 'Errore durante l''eliminazione dell''inserimento!'),
('it', 'emailadmin', 'error saving the entry!!!', 'Errore durante il salvataggio dell''inserimento'),
('it', 'emailadmin', 'filtered by account', 'Filtrati per account'),
('it', 'emailadmin', 'filtered by group', 'Filtrati per gruppo'),
('it', 'emailadmin', 'forward also to', 'Inoltra anche a'),
('it', 'emailadmin', 'forward email''s to', 'Inoltra email a'),
('it', 'emailadmin', 'forward only', 'Inoltra solo'),
('it', 'emailadmin', 'global options', 'Opzioni globali'),
('it', 'emailadmin', 'if using ssl or tls, you must have the php openssl extension loaded.', 'Se stai usando SSL oppure TLS, devi aver caricato l''estensione SSL in PHP'),
('it', 'emailadmin', 'imap c-client version < 2001', 'Versione C-Cliente < 2001'),
('it', 'emailadmin', 'imap server closed the connection.', 'Il server IMAP ha chiuso la connessione'),
('it', 'emailadmin', 'imap server closed the connection. server responded: %s', 'Il server IMAP ha chiuso la connessione. Risposta del server: %s'),
('it', 'emailadmin', 'imap server hostname or ip address', 'Nome Host o IP del server IMAP'),
('it', 'emailadmin', 'imap server logintyp', 'Tipo login server IMAP'),
('it', 'emailadmin', 'imap server name', 'Nome del server IMAP'),
('it', 'emailadmin', 'imap server port', 'Porta server IMAP'),
('it', 'emailadmin', 'imap/pop3 server name', 'Nome server IMAP/POP3'),
('it', 'emailadmin', 'in mbyte', 'in MByte'),
('it', 'emailadmin', 'inactive', 'Inattivo'),
('it', 'emailadmin', 'ldap basedn', 'LDAP basedn'),
('it', 'emailadmin', 'ldap server', 'server LDAP'),
('it', 'emailadmin', 'ldap server accounts dn', 'DN account server LDAP'),
('it', 'emailadmin', 'ldap server admin dn', 'DN amministratore server LDAP'),
('it', 'emailadmin', 'ldap server admin password', 'password amministratore server LDAP'),
('it', 'emailadmin', 'ldap server hostname or ip address', 'Nome host o IP server LDAP'),
('it', 'emailadmin', 'ldap settings', 'impostazioni LDAP'),
('it', 'emailadmin', 'leave empty for no quota', 'lascia vuoto per nessuna quota'),
('it', 'emailadmin', 'manage stationery templates', 'Amministra i modelli'),
('it', 'emailadmin', 'name of organisation', 'Nome dell''organizzazione'),
('it', 'emailadmin', 'no alternate email address', 'nessun indirizzo email alternativo'),
('it', 'emailadmin', 'no encryption', 'Nessuna cifratura'),
('it', 'emailadmin', 'no forwarding email address', 'nessun indirizzo email di inoltro'),
('it', 'emailadmin', 'no message returned.', 'nessun messaggio ricevuto'),
('it', 'emailadmin', 'no supported imap authentication method could be found.', 'Non è stato trovato alcun metodo di autenticazione supportato da IMAP'),
('it', 'emailadmin', 'order', 'ordine'),
('it', 'emailadmin', 'organisation', 'organizzazione'),
('it', 'emailadmin', 'plesk can''t rename users --> request ignored', 'Plesk non può rinominare gli utenti --> richiesta ignorata'),
('it', 'emailadmin', 'plesk imap server (courier)', 'IMAP server Plesk (Courier)'),
('it', 'emailadmin', 'plesk mail script ''%1'' not found !!!', 'Script Plesk ''%1'' non trovato'),
('it', 'emailadmin', 'plesk requires passwords to have at least 5 characters and not contain the account-name --> password not set!!!', 'Plesk richiede password con almeno 5 caratteri e che non deve contenere il nome account --> password NON impostata'),
('it', 'emailadmin', 'plesk smtp-server (qmail)', 'Server SMTP Plesk (Qmail)'),
('it', 'emailadmin', 'pop3 server hostname or ip address', 'Nome host o IP server POP3'),
('it', 'emailadmin', 'pop3 server port', 'porta server POP3'),
('it', 'emailadmin', 'postfix with ldap', 'Postfix con LDAP'),
('it', 'emailadmin', 'profile access rights', 'diritti di accesso profilo'),
('it', 'emailadmin', 'profile is active', 'Il profilo è attivo'),
('it', 'emailadmin', 'profile list', 'Elenco Profili'),
('it', 'emailadmin', 'profile name', 'Nome Profilo'),
('it', 'emailadmin', 'qmaildotmode', 'qmaildotmode'),
('it', 'emailadmin', 'quota settings', 'impostazioni quota'),
('it', 'emailadmin', 'quota size in mbyte', 'dimensione quota in MByte'),
('it', 'emailadmin', 'remove', 'rimuovi'),
('it', 'emailadmin', 'reset filter', 'Reimposta filtro'),
('it', 'emailadmin', 'select type of imap server', 'Seleziona il tipo di server IMAP'),
('it', 'emailadmin', 'select type of imap/pop3 server', 'Seleziona il tipo si server IMAP/POP3'),
('it', 'emailadmin', 'select type of smtp server', 'Seleziona il tipo di server SMTP'),
('it', 'emailadmin', 'send using this email-address', 'Invia utilizzando questo indirizzo email'),
('it', 'emailadmin', 'server settings', 'impostazioni server'),
('it', 'emailadmin', 'sieve server hostname or ip address', 'Nome host o IP server Sieve'),
('it', 'emailadmin', 'sieve server port', 'porta server Sieve'),
('it', 'emailadmin', 'sieve settings', 'impostazioni SIeve'),
('it', 'emailadmin', 'smtp authentication', 'autenticazione smtp'),
('it', 'emailadmin', 'smtp options', 'opzioni smtp'),
('it', 'emailadmin', 'smtp server name', 'nome server SMTP'),
('it', 'emailadmin', 'smtp settings', 'impostazioni smtp'),
('it', 'emailadmin', 'smtp-server hostname or ip address', 'Nome host o IP server SMTP'),
('it', 'emailadmin', 'smtp-server port', 'porta server SMTP'),
('it', 'emailadmin', 'standard', 'Standard'),
('it', 'emailadmin', 'standard imap server', 'Server IMAP standard'),
('it', 'emailadmin', 'standard pop3 server', 'Server POP3 standard'),
('it', 'emailadmin', 'standard smtp-server', 'Server SMTP standard'),
('it', 'emailadmin', 'starts with', 'Comincia con'),
('it', 'emailadmin', 'stationery', 'Modeillo'),
('it', 'emailadmin', 'the imap server does not appear to support the authentication method selected. please contact your system administrator.', 'Il server IMAP sembra non supportare il metodo di autenticazione scelto. Contatta il tuo amministratore di sistema.'),
('it', 'emailadmin', 'this php has no imap support compiled in!!', 'PHP non è stato compilato con supporto IMAP!'),
('it', 'emailadmin', 'to use a tls connection, you must be running a version of php 5.1.0 or higher.', 'Per utilizzare una connessione TLS devi utilizzare una versione PHP 5.1.0 o superiore'),
('it', 'emailadmin', 'unexpected response from server to authenticate command.', 'Risposta inaspettata dal server al comando AUTHENTICATE'),
('it', 'emailadmin', 'unexpected response from server to digest-md5 response.', 'Risposta inaspettata dal server alla risposta Digest-MD5'),
('it', 'emailadmin', 'unexpected response from server to login command.', 'Risposta inaspettata dal server al comando LOGIN'),
('it', 'emailadmin', 'unknown imap response from the server. server responded: %s', 'Riposta non riconosciuta dal server IMAP %s'),
('it', 'emailadmin', 'unsupported action ''%1'' !!!', 'Azione non supportata ''%1'' !!!'),
('it', 'emailadmin', 'update current email address:', 'Aggiorna l''indirizzo email attuale:'),
('it', 'emailadmin', 'use ldap defaults', 'usa predefiniti LDAP'),
('it', 'emailadmin', 'use predefined username and password defined below', 'Utilizza il nome utente e la password definiti qui sotto'),
('it', 'emailadmin', 'use smtp auth', 'usa autenticazione SMTP'),
('it', 'emailadmin', 'use tls authentication', 'usa autenticazione TLS'),
('it', 'emailadmin', 'use tls encryption', 'usa crittografia TLS'),
('it', 'emailadmin', 'use users email-address (as seen in useraccount)', 'Utilizza l''indirizzo email come impostato nell''account utente'),
('it', 'emailadmin', 'user can edit forwarding address', 'l''utente può modificare indirizzo di inoltro'),
('it', 'emailadmin', 'userid@domain eg. u1234@domain', 'UserId@dominio p.es. u1234@dominio'),
('it', 'emailadmin', 'username (standard)', 'Nome utente (standard)'),
('it', 'emailadmin', 'username/password defined by admin', 'Nome utente / password definiti dall''amministratore'),
('it', 'emailadmin', 'username@domainname (virtual mail manager)', 'nomeutente@nome dominio (ManaGeR MAIL Virtuale)'),
('it', 'emailadmin', 'users can define their own emailaccounts', 'Gli utenti possono definire i propri account email'),
('it', 'emailadmin', 'users can define their own identities', 'Gli utenti possono definire le loro identità personali'),
('it', 'emailadmin', 'users can define their own signatures', 'Gli utenti possono definire le loro firme personali'),
('it', 'emailadmin', 'users can utilize these stationery templates', 'Gli utenti possono utilizzare questi modelli'),
('it', 'emailadmin', 'virtual mail manager', 'ManaGeR MAIL Virtuale'),
('it', 'emailadmin', 'yes, use credentials below only for alarms and notifications, otherwise use credentials of current user', 'Sì, utilizza le credenziali sottostanti solo per allarmi e notifiche, altrimenti usa le credenziali dell''utente attuale'),
('it', 'emailadmin', 'yes, use credentials of current user or if given credentials below', 'Sì, utilizza le credenziali dell''utente attuale oppure, se date, e credenziali qui sotto'),
('it', 'emailadmin', 'you have received a new message on the', 'Hai ricevuto un nuovo messaggio sul'),
('it', 'etemplate', '%1 (%2 new) messages writen for application ''%3'' and languages ''%4''', '%1 (%2 nuovi) Messaggi scritti per l''Applicazione ''%3'' e Linguaggi ''%4'''),
('it', 'etemplate', '%1 etemplates deleted', '%1 eTemplate cancellati'),
('it', 'etemplate', '%1 etemplates for application ''%2'' dumped to ''%3''', '%1 eTemplate per l''Applicazione ''%2'' scaricati in ''%3'''),
('it', 'etemplate', '%1 etemplates found', '%1 eTemplate trovati'),
('it', 'etemplate', '%1 matches on search criteria', '%1 occorrenze trovate'),
('it', 'etemplate', '%1 new etemplates imported for application ''%2''', '%1 nuovi eTemplate importati per l''Applicazione ''%2'''),
('it', 'etemplate', '%s disabled', '%s disabilitato'),
('it', 'etemplate', '%s needed', '%s necessario'),
('it', 'etemplate', '%s notranslation', '%s NoTranslation'),
('it', 'etemplate', '%s onchange', '%s onChange'),
('it', 'etemplate', '%s readonly', '%s sola lettura'),
('it', 'etemplate', '''%1'' has an invalid format !!!', '''%1'' ha un formato non valido !!!'),
('it', 'etemplate', '''%1'' is not a valid date !!!', '''%1''  non è una data valida !!!'),
('it', 'etemplate', '''%1'' is not a valid floatingpoint number !!!', '''%1'' non è un numero in virgola mobile valido !!!'),
('it', 'etemplate', '''%1'' is not a valid integer !!!', '''%1'' non è un intero valido !!!'),
('it', 'etemplate', 'a pattern to be searched for', 'un pattern da cercare'),
('it', 'etemplate', 'accesskey', 'Chiave d''accesso'),
('it', 'etemplate', 'accesskeys can also be specified with an & in the label (eg. &name)', 'Le chiavi d''accesso possono anche essere specificate con un & nell''etichetta (es. &Nome)'),
('it', 'etemplate', 'add a new column (after the existing ones)', 'Aggiungi una nuova colonna (dopo quelle esistenti)'),
('it', 'etemplate', 'add a new entry of the selected application', 'Aggiungi una nuova voce dell''applicazione selezionata'),
('it', 'etemplate', 'add a new multi-column index', 'Aggiungi un nuovo indice multi-colonna'),
('it', 'etemplate', 'add column', 'Aggiungi Colonna'),
('it', 'etemplate', 'add index', 'Aggiungi Indice'),
('it', 'etemplate', 'add new', 'Aggiungi nuova'),
('it', 'etemplate', 'add table', 'Aggiungi Tabella'),
('it', 'etemplate', 'advanced search', 'Ricerca avanzata'),
('it', 'etemplate', 'align', 'Allinea'),
('it', 'etemplate', 'alignment of label and input-field in table-cell', 'allineamento di etichetta e campo-input in cella-tabella'),
('it', 'etemplate', 'alignment of the v/hbox containing table-cell', 'Allineamento del V/HBox contenente cella-tabella'),
('it', 'etemplate', 'all days', 'tutti i giorni'),
('it', 'etemplate', 'all operations save the template!', 'tutte le operazioni salvano il template!'),
('it', 'etemplate', 'am', 'am'),
('it', 'etemplate', 'an indexed column speeds up querys using that column (cost space on the disk !!!)', 'una colonna indicizzata velocizza le ricerche che utilizzano quella colonna (costa spazio sul disco!!!)'),
('it', 'etemplate', 'application', 'Applicazione'),
('it', 'etemplate', 'application name needed to write a langfile or dump the etemplates !!!', 'Il nome applicazione è necessario per scrivere un file linguaggio o dump i eTemplate !!!'),
('it', 'etemplate', 'applies the changes made', 'applica le modifiche fatte'),
('it', 'etemplate', 'applies the changes to the given version of the template', 'applica le modifiche alla data versione del template'),
('it', 'etemplate', 'attach', 'Allega'),
('it', 'etemplate', 'attach file', 'allega file'),
('it', 'etemplate', 'baseline', 'Linea base'),
('it', 'etemplate', 'blurtext', 'blurText'),
('it', 'etemplate', 'border', 'Bordo'),
('it', 'etemplate', 'border-line-thickness for the table-tag', 'Spessore linea bordo per table-tag'),
('it', 'etemplate', 'bottom', 'In fondo'),
('it', 'etemplate', 'box', 'Box'),
('it', 'etemplate', 'box...', 'Box...'),
('it', 'etemplate', 'can not have special sql-value null', 'non può avere NULL come valore-SQL speciale'),
('it', 'etemplate', 'cancel', 'Annulla'),
('it', 'etemplate', 'cant delete a single widget from a grid !!!', 'non si può cancellare un singolo widget da una griglia !!!'),
('it', 'etemplate', 'cant delete the only column of a grid !!!', 'non si può cancellare l''unica colonna di una griglia !!!'),
('it', 'etemplate', 'cant delete the only row in a grid !!!', 'non si può cancellare l''unica riga di una griglia !!!'),
('it', 'etemplate', 'category', 'Categoria'),
('it', 'etemplate', 'cellpadding for the table-tag', 'Cellpadding per table-tag'),
('it', 'etemplate', 'cells', 'Celle'),
('it', 'etemplate', 'cellspacing for the table-tag', 'Spaziatura celle per table-tag'),
('it', 'etemplate', 'center', 'Centrato'),
('it', 'etemplate', 'changed', 'Modificato'),
('it', 'etemplate', 'check if content should only be displayed but not altered (the content is not send back then!)', 'spunta se il contenuto deve essere solo visualizzato ma non alterato (il contenuto non viene rispedito allora!)'),
('it', 'etemplate', 'check if field has to be filled by user', 'spunta se il campo deve essere riempito dall''utente'),
('it', 'etemplate', 'checkbox', 'Checkbox'),
('it', 'etemplate', 'class', 'Classe'),
('it', 'etemplate', 'class, valign', 'classe, Valign'),
('it', 'etemplate', 'click here to attach the file', 'premi qui per allegare il file'),
('it', 'etemplate', 'click here to create the link', 'premi qui per creare il Link'),
('it', 'etemplate', 'click here to start the search', 'Premi qui per iniziare la ricerca'),
('it', 'etemplate', 'click here to upload the file', 'Premi qui per caricare il file'),
('it', 'etemplate', 'click to order after that criteria', 'premi qui per ordinare con questo criterio'),
('it', 'etemplate', 'clickable path', 'percorso cliccabile'),
('it', 'etemplate', 'closes the window without saving the changes', 'chiude la finestra senza salvare le modifiche'),
('it', 'etemplate', 'column...', 'Colonna...'),
('it', 'etemplate', 'columnname', 'NomeColonna'),
('it', 'etemplate', 'comment', 'Commento'),
('it', 'etemplate', 'confirm', 'conferma'),
('it', 'etemplate', 'confirmation message or custom javascript (returning true or false)', 'messaggio di conferma o javascript personalizzato (che restituisce vero o falso)'),
('it', 'etemplate', 'confirmation necesary or custom java-script', 'conferma necessaria o javascript personalizzato'),
('it', 'etemplate', 'contact', 'Contatto'),
('it', 'etemplate', 'contact fields', 'campi Contatti'),
('it', 'etemplate', 'contains', 'contiene'),
('it', 'etemplate', 'create a new table for the application', 'Crea una nuova tabella per l''applicazione'),
('it', 'etemplate', 'creates an english (''en'') langfile from label and helptexts (for application in name)', 'creates an english (''en'') langfile from label and helptexts (for application in Name)'),
('it', 'etemplate', 'css class for the table-tag', 'classe CSS per table-tag'),
('it', 'etemplate', 'css properties', 'proprietà CSS'),
('it', 'etemplate', 'css-class name for this row, preset: ''nmh'' = nextmatch header, ''nmr'' = alternating nm row, ''nmr0''+''nmr1'' nm rows', 'CSS-class name for this row, preset: ''nmh'' = NextMatch header, ''nmr'' = alternating NM row, ''nmr0''+''nmr1'' NM rows'),
('it', 'etemplate', 'css-class name for this row, preset: ''th'' = header, ''row'' = alternating row, ''row_off''+''row_on'' rows', 'Nome classe CSS per questa riga, preset: ''th'' = header, ''row'' = riga alternativa, ''row_off''+''row_on'' righe'),
('it', 'etemplate', 'css-styles', 'stili-CSS'),
('it', 'etemplate', 'custom', 'personalizzato'),
('it', 'etemplate', 'custom fields', 'campi personalizzati'),
('it', 'etemplate', 'custom javascript for onchange', 'javascript personalizzato per onChange'),
('it', 'etemplate', 'cut', 'Taglia'),
('it', 'etemplate', 'date+time', 'Data+Ora'),
('it', 'etemplate', 'datum', 'Datum'),
('it', 'etemplate', 'day', 'Giorno'),
('it', 'etemplate', 'days', 'giorni'),
('it', 'etemplate', 'db ensures that every row has a unique value in that column', 'DB assicura che ogni riga abbia un unico valore in quella colonna'),
('it', 'etemplate', 'db-specific index options (comma-sep.), eg. mysql(fulltext) or mysql(100) for the indexed length of a col', 'db-specific index options (comma-sep.), eg. mysql(FULLTEXT) or mysql(100) for the indexed length of a col'),
('it', 'etemplate', 'db-tools', 'DB-Tools'),
('it', 'etemplate', 'deck', 'Deck (interno)'),
('it', 'etemplate', 'default', 'Predefinito'),
('it', 'etemplate', 'delete a single entry by passing the id.', 'Delete a single entry by passing the id.'),
('it', 'etemplate', 'delete all selected etemplates, without further inquiry', 'cancella TUTTI gli eTemplate selezionati, SENZA ulteriori domande'),
('it', 'etemplate', 'delete and cut save the template!', 'cancella e taglia-salva il template!'),
('it', 'etemplate', 'delete column', 'Cancella Colonna'),
('it', 'etemplate', 'delete index', 'Cancella Indice'),
('it', 'etemplate', 'delete the spezified etemplate', 'Cancella eTemplate specificato'),
('it', 'etemplate', 'delete this column', 'cancella questa colonna'),
('it', 'etemplate', 'delete this etemplate', 'cancella questo eTemplate'),
('it', 'etemplate', 'delete this file', 'Cancella questo file');
INSERT INTO `egw_lang` (`lang`, `app_name`, `message_id`, `content`) VALUES
('it', 'etemplate', 'delete this row', 'cancella questa riga'),
('it', 'etemplate', 'delete whole column (can not be undone!!!)', 'cancella intera colonna  (NON si può annullare!!!)'),
('it', 'etemplate', 'deletes the above spez. etemplate from the database, can not be undone', 'cancella il suddetto eTemplate dal database, NON può essere annullato'),
('it', 'etemplate', 'deletes the etemplate spez. above', 'cancella il suddetto eTemplate'),
('it', 'etemplate', 'deletes this column', 'Cancella questa colonna'),
('it', 'etemplate', 'deletes this index', 'Cancella questo index'),
('it', 'etemplate', 'discard changes', 'annulla i cambiamenti'),
('it', 'etemplate', 'displayed in front of input or input is inserted for a ''%s'' in the label (label of the submitbutton or image-filename)', 'displayed in front of input or input is inserted for a ''%s'' in the label (label of the Submitbutton or Image-filename)'),
('it', 'etemplate', 'displayed in statusline of browser if input-field gets focus', 'displayed in statusline of browser if input-field gets focus'),
('it', 'etemplate', 'displayed in the top line of the groupbox (legend)', 'visualizzato nella riga più alta del groupbox (legenda)'),
('it', 'etemplate', 'do you want to save the changes you made in table %s?', 'Vuoi salvare i cambiamenti fatti nella tabella %s?'),
('it', 'etemplate', 'documentation', 'Documentazione'),
('it', 'etemplate', 'doesn''t matter', 'non importa'),
('it', 'etemplate', 'drop a table - this can not be undone', 'Drop di una tabella - questo NON può essere annullato'),
('it', 'etemplate', 'drop table', 'Drop Table'),
('it', 'etemplate', 'dump4setup', 'Dump4Setup'),
('it', 'etemplate', 'duration', 'Durata'),
('it', 'etemplate', 'edit', 'Modifica'),
('it', 'etemplate', 'edit embeded css styles or of the applications app.css file', 'modifica gli stili CSS incorporati o del file applicazioni app.css'),
('it', 'etemplate', 'edit the etemplate spez. above', 'edit the eTemplate spez. above'),
('it', 'etemplate', 'edit...', 'Modifica...'),
('it', 'etemplate', 'editable templates - db-tools', 'Editable Templates - DB-Tools'),
('it', 'etemplate', 'editable templates - delete template', 'Editable Templates - Delete Template'),
('it', 'etemplate', 'editable templates - editor', 'Editable Templates - Editor'),
('it', 'etemplate', 'editable templates - search', 'Editable Templates - Search'),
('it', 'etemplate', 'editable templates - show template', 'Editable Templates - Show Template'),
('it', 'etemplate', 'embeded css styles, eg. ''.red { background: red; }'' (note the ''.'' before the class-name) or ''@import url(...)'' (class names are ', 'embeded CSS styles, eg. ''.red { background: red; }'' (note the ''.'' before the class-name) or ''@import url(...)'' (class names are global for the whole page!)'),
('it', 'etemplate', 'enable javascript onchange submit', 'abilita JavaScript onChange submit'),
('it', 'etemplate', 'enter '''' for an empty default, nothing mean no default', 'inserisci '''' per un predefinito vuoto, niente significa nessun predefinito'),
('it', 'etemplate', 'enter a search pattern', 'Inserisci una stringa di ricerca'),
('it', 'etemplate', 'enter filename to upload and attach, use [browse...] to search for it', 'Enter filename to upload and attach, use [Browse...] to search for it'),
('it', 'etemplate', 'enter the new version number here (> old_version), empty for no update-file', 'enter the new version number here (> old_version), empty for no update-file'),
('it', 'etemplate', 'enter the new version number here (has to be > old_version)', 'inserisci il numero della nuova versione qui (deve essere > old_version)'),
('it', 'etemplate', 'entry saved', 'Voce salvata'),
('it', 'etemplate', 'error: template not found !!!', 'Errore: Template non trovato !!!'),
('it', 'etemplate', 'error: webserver is not allowed to write into ''%1'' !!!', 'Errore: il webserver non può scrivere in ''%1'' !!!'),
('it', 'etemplate', 'error: while saving !!!', 'Errore: durante salvataggio !!!'),
('it', 'etemplate', 'error: writing file (no write-permission for the webserver) !!!', 'Error: writing file (no write-permission for the webserver) !!!'),
('it', 'etemplate', 'etemplate ''%1'' imported, use save to put it in the database', 'eTemplate ''%1'' importato, usa Salva per metterlo nel database'),
('it', 'etemplate', 'etemplate ''%1'' written to ''%2''', 'eTemplate ''%1'' scritto su ''%2'''),
('it', 'etemplate', 'etemplate editor', 'Editor eTemplate'),
('it', 'etemplate', 'etemplate reference', 'Riferimenti eTemplate'),
('it', 'etemplate', 'etemplate tutorial', 'Tutorial eTemplate'),
('it', 'etemplate', 'exchange this row with the one above', 'scambia questa riga con quella superiore'),
('it', 'etemplate', 'exchange this two columns', 'scambia queste due colonne'),
('it', 'etemplate', 'export the loaded etemplate into a xml-file', 'esporta l''eTemplate caricato in un file xml'),
('it', 'etemplate', 'export xml', 'Esporta XML'),
('it', 'etemplate', 'extensions loaded:', 'Estensioni caricate:'),
('it', 'etemplate', 'field', 'Campo'),
('it', 'etemplate', 'field must not be empty !!!', 'Il campo non può essere vuoto !!!'),
('it', 'etemplate', 'file', 'File'),
('it', 'etemplate', 'file contains more than one etemplate, last one is shown !!!', 'Il file contiene più di un eTemplate, l''ultimo è visualizzato !!!'),
('it', 'etemplate', 'file writen', 'File scritto'),
('it', 'etemplate', 'fileupload', 'Caricamento file'),
('it', 'etemplate', 'first', 'Primo'),
('it', 'etemplate', 'floating point', 'Virgola Mobile'),
('it', 'etemplate', 'foreign key', 'Tasto straniero'),
('it', 'etemplate', 'formatted text (html)', 'Testo Formattato (HTML)'),
('it', 'etemplate', 'go to the first entry', 'vai alla prima voce'),
('it', 'etemplate', 'go to the last entry', 'vai all''ultima voce'),
('it', 'etemplate', 'go to the next page of entries', 'vai alla pagina seguente delle voci'),
('it', 'etemplate', 'go to the previous page of entries', 'go to the previous page of entries'),
('it', 'etemplate', 'grid', 'Griglia'),
('it', 'etemplate', 'grid column attributes', 'Attributi colonna della griglia'),
('it', 'etemplate', 'grid row attributes', 'Attributi riga della griglia'),
('it', 'etemplate', 'groupbox', 'GroupBox'),
('it', 'etemplate', 'hbox', 'HBox'),
('it', 'etemplate', 'height', 'Altezza'),
('it', 'etemplate', 'height of row (in % or pixel)', 'altezza della riga (in % o pixel)'),
('it', 'etemplate', 'height of row (in % or pixel), disable row: [! = not]<value>[=<check>] eg: ''!@data'' disable row if content of data is empty', 'height of row (in % or pixel), disable row: [! = not]<value>[=<check>] eg: ''!@data'' disable row if content of data is empty'),
('it', 'etemplate', 'height of the table in % or pixels for the table-tag and (optional) div', 'Height of the table in % or pixels for the table-tag and (optional) div'),
('it', 'etemplate', 'height, disabled', 'Altezza, Disabilitata'),
('it', 'etemplate', 'help', 'Aiuto'),
('it', 'etemplate', 'history log', 'Log cronologia'),
('it', 'etemplate', 'horizontal rule', 'Righello Orrizzontale'),
('it', 'etemplate', 'hour', 'Ora'),
('it', 'etemplate', 'hours', 'ore'),
('it', 'etemplate', 'how many entries should the list show', 'Quante voci deve mostrare l''elenco'),
('it', 'etemplate', 'html', 'Html'),
('it', 'etemplate', 'if field is disabled an empty table-cell is displayed, for (temporal) removement of a field/cell', 'if field is disabled an empty table-cell is displayed, for (temporal) removement of a field/cell'),
('it', 'etemplate', 'image', 'Immagine'),
('it', 'etemplate', 'import', 'Importa'),
('it', 'etemplate', 'import an etemplate from a xml-file', 'import an eTemplate from a xml-file'),
('it', 'etemplate', 'import table-definitions from existing db-table', 'Import table-definitions from existing db-table'),
('it', 'etemplate', 'import xml', 'Importa XML'),
('it', 'etemplate', 'increment version to not overwrite the existing template', 'incrementa la versione per non sovrascrivere il template esistente'),
('it', 'etemplate', 'index/name of returned content (name of the template, link / method for image)', 'index/name of returned content (name of the Template, Link / Method for Image)'),
('it', 'etemplate', 'indexed', 'Indicizzato'),
('it', 'etemplate', 'indexoptions', 'Indexoptions'),
('it', 'etemplate', 'insert a column before', 'inserisci una colonna prima'),
('it', 'etemplate', 'insert a column behind', 'inserisci una colonna dopo'),
('it', 'etemplate', 'insert a row above', 'inserisci una riga sopra'),
('it', 'etemplate', 'insert a row below', 'inserisci una riga sotto'),
('it', 'etemplate', 'insert a widget before', 'inserisci un widget prima'),
('it', 'etemplate', 'insert a widget behind', 'inserisci un widget dopo'),
('it', 'etemplate', 'insert new column behind this one', 'insert new column behind this one'),
('it', 'etemplate', 'insert new column in front of all', 'insert new column in front of all'),
('it', 'etemplate', 'insert new row after this one', 'insert new row after this one'),
('it', 'etemplate', 'insert new row in front of first line', 'insert new row in front of first Line'),
('it', 'etemplate', 'integer', 'Intero'),
('it', 'etemplate', 'key', 'Chiave'),
('it', 'etemplate', 'label', 'Etichetta'),
('it', 'etemplate', 'label:[bold][italic] text:[len][,max] numbers:[min][,[max][,len]] t.area:[rows][,cols] radiob.:value h.rule:[width] templ.:[inde', 'Label:[bold][italic] Text:[len][,max] Numbers:[min][,[max][,len]] T.area:[rows][,cols] Radiob.:value H.Rule:[width] Templ.:[IndexInContent] Select:[multiselect] Date:[values: eg. ''Y-m-d'']'),
('it', 'etemplate', 'lang', 'Lingua'),
('it', 'etemplate', 'language-short (eg. ''en'' for english) for language-dependent template ('''' reads your pref. languages or the default, us ''default', 'language-short (eg. ''en'' for english) for language-dependent template ('''' reads your pref. languages or the default, us ''default'' to read the default template '''')'),
('it', 'etemplate', 'last', 'Ultimo'),
('it', 'etemplate', 'left', 'Sinistra'),
('it', 'etemplate', 'length for char+varchar, precisions int: 2, 4, 8 and float: 4, 8', 'length for char+varchar, precisions int: 2, 4, 8 and float: 4, 8'),
('it', 'etemplate', 'link', 'Link'),
('it', 'etemplate', 'linkapps', 'Applicazioni Link'),
('it', 'etemplate', 'linkentry', 'Voce Link'),
('it', 'etemplate', 'linklist', 'Elenco Link'),
('it', 'etemplate', 'linkstring', 'Stringa Link'),
('it', 'etemplate', 'linkto', 'Link A'),
('it', 'etemplate', 'load this template into the editor', 'carica questo template nell''editor'),
('it', 'etemplate', 'middle', 'In mezzo'),
('it', 'etemplate', 'minute', 'Minuto'),
('it', 'etemplate', 'minutes', 'Minuti'),
('it', 'etemplate', 'month', 'Mese'),
('it', 'etemplate', 'multicolumn indices', 'Multicolumn Indices'),
('it', 'etemplate', 'name', 'Nome'),
('it', 'etemplate', 'name of other table where column is a key from', 'name of other table where column is a key from'),
('it', 'etemplate', 'name of phpgw-template set (e.g. verdilak): '''' = default (will read pref. template, us ''default'' to read default template '''')', 'name of phpgw-template set (e.g. verdilak): '''' = default (will read pref. template, us ''default'' to read default template '''')'),
('it', 'etemplate', 'name of table to add', 'Nome della tabella da aggiungere'),
('it', 'etemplate', 'name of the etemplate, should be in form application.function[.subtemplate]', 'name of the eTemplate, should be in form application.function[.subTemplate]'),
('it', 'etemplate', 'need to be unique in the table and no reseved word from sql, best prefix all with a common 2-digit short for the app, eg. ''et_''', 'need to be unique in the table and no reseved word from SQL, best prefix all with a common 2-digit short for the app, eg. ''et_'''),
('it', 'etemplate', 'new table created', 'Nuova tabella creata'),
('it', 'etemplate', 'newer version ''%1'' exists !!!', 'newer version ''%1'' exists !!!'),
('it', 'etemplate', 'nextmatch', 'Nextmatch'),
('it', 'etemplate', 'nextmatch filterheader', 'Nextmatch Filterheader'),
('it', 'etemplate', 'nextmatch sortheader', 'Nextmatch Sortheader'),
('it', 'etemplate', 'no column to swap with !!!', 'nessuna colonna con cui scambiare !!!'),
('it', 'etemplate', 'no file', 'nessun file'),
('it', 'etemplate', 'no filename given or selected via browse...', 'no filename given or selected via Browse...'),
('it', 'etemplate', 'no matches found', 'Nessuna corrispondenza trovata.'),
('it', 'etemplate', 'no row to swap with !!!', 'nessuna riga con cui scambiare !!!'),
('it', 'etemplate', 'not null', 'NON VUOTO'),
('it', 'etemplate', 'nothing', 'niente'),
('it', 'etemplate', 'nothing found - try again !!!', 'Non è stato trovato niente - prova ancora !!!'),
('it', 'etemplate', 'nothing in clipboard to paste !!!', 'niente negli appunti da incollare !!!'),
('it', 'etemplate', 'nothing matched search criteria !!!', 'Nothing matched search criteria !!!'),
('it', 'etemplate', 'number of colums the field/cell should span or ''all'' for the remaining columns, css-class name (for the td tag)', 'number of colums the field/cell should span or ''all'' for the remaining columns, CSS-class name (for the TD tag)'),
('it', 'etemplate', 'number of rows/cols in a v/hbox, cellpadding, cellspacing', 'number of rows/cols in a V/HBox, Cellpadding, Cellspacing'),
('it', 'etemplate', 'of', 'di'),
('it', 'etemplate', 'onchange', 'onChange'),
('it', 'etemplate', 'onclick', 'onClick'),
('it', 'etemplate', 'only an other version found !!!', 'only an other Version found !!!'),
('it', 'etemplate', 'open the online help.', 'Apre help online.'),
('it', 'etemplate', 'operator', 'Operatore'),
('it', 'etemplate', 'optional note about the link', 'optional note about the Link'),
('it', 'etemplate', 'options', 'Opzioni'),
('it', 'etemplate', 'order to navigating by tab key through the form', 'Ordine per spostarsi con tasto TAB attraverso modulo'),
('it', 'etemplate', 'overflow', 'Overflow'),
('it', 'etemplate', 'padding', 'Padding'),
('it', 'etemplate', 'parent is a ''%1'' !!!', 'superiore è un ''%1'' !!!'),
('it', 'etemplate', 'paste', 'Incolla'),
('it', 'etemplate', 'path', 'Percorso'),
('it', 'etemplate', 'please enter table-name first !!!', 'Please enter table-name first !!!'),
('it', 'etemplate', 'pm', 'pm'),
('it', 'etemplate', 'popup', 'Popup'),
('it', 'etemplate', 'precision', 'Precisione'),
('it', 'etemplate', 'primary key', 'Chiave Primaria'),
('it', 'etemplate', 'primary key for the table, gets automaticaly indexed', 'Primary key for the table, gets automaticaly indexed'),
('it', 'etemplate', 'radiobutton', 'Radiobutton'),
('it', 'etemplate', 'read', 'Leggi'),
('it', 'etemplate', 'read a list of entries.', 'Leggi un elenco di voci'),
('it', 'etemplate', 'read a single entry by passing the id and fieldlist.', 'Read a single entry by passing the id and fieldlist.'),
('it', 'etemplate', 'read etemplate from database (for the keys above)', 'read eTemplate from database (for the keys above)'),
('it', 'etemplate', 'readonly', 'sola lettura'),
('it', 'etemplate', 'remove row (can not be undone!!!)', 'remove Row (can NOT be undone!!!)'),
('it', 'etemplate', 'remove this link (not the entry itself)', 'Remove this link (not the entry itself)'),
('it', 'etemplate', 'required', 'Richiesto'),
('it', 'etemplate', 'returns savely, without deleting', 'returns savely, WITHOUT deleting'),
('it', 'etemplate', 'right', 'Destra'),
('it', 'etemplate', 'row...', 'Riga...'),
('it', 'etemplate', 'save the changes made and close the window', 'Salva le modifiche fatte e chiude la finestra'),
('it', 'etemplate', 'save the etemplate under the above keys (name, ...), change them for a saveas', 'save the eTemplate under the above keys (name, ...), change them for a SaveAs'),
('it', 'etemplate', 'saves changes to tables_current.inc.php', 'saves changes to tables_current.inc.php'),
('it', 'etemplate', 'saves the template with given version number and closes the window', 'salva il template con il numero di versione dato e chiude la finestra'),
('it', 'etemplate', 'scale', 'Scala'),
('it', 'etemplate', 'scale for float', 'scale for float'),
('it', 'etemplate', 'search', 'Cerca'),
('it', 'etemplate', 'select a category', 'seleziona una Categoria'),
('it', 'etemplate', 'select a primary contact, to show in the list', 'Seleziona un contatto primario, da mostrare in elenco'),
('it', 'etemplate', 'select access', 'Seleziona Accesso'),
('it', 'etemplate', 'select account', 'Seleziona Account'),
('it', 'etemplate', 'select an app first !!!', 'Seleziona prima un''applicazione !!!'),
('it', 'etemplate', 'select an app to search in', 'Seleziona un''applicazione in cui cercare'),
('it', 'etemplate', 'select an application', 'Seleziona una applicazione'),
('it', 'etemplate', 'select an application, (*) = uninstalled', 'Seleziona una applicazione, (*) = disinstallata'),
('it', 'etemplate', 'select an entry to link with', 'Seleziona una voce con cui collegarsi'),
('it', 'etemplate', 'select an table of the application', 'Seleziona una tabella dell''applicazione'),
('it', 'etemplate', 'select application', 'Seleziona Applicazione'),
('it', 'etemplate', 'select category', 'Seleziona Categoria'),
('it', 'etemplate', 'select country', 'Seleziona Nazione'),
('it', 'etemplate', 'select day', 'Seleziona Giorno'),
('it', 'etemplate', 'select day of week', 'scegli giorno della settimana'),
('it', 'etemplate', 'select entry', 'Scegli voce'),
('it', 'etemplate', 'select hour', 'Scegli ora'),
('it', 'etemplate', 'select if content of field should not be translated (label gets always translated)', 'scegli se il contenuto del campo non deve essere tradotto (l''etichetta viene sempre tradotta)'),
('it', 'etemplate', 'select month', 'Seleziona Mese'),
('it', 'etemplate', 'select number', 'Seleziona Numero'),
('it', 'etemplate', 'select one ...', 'Seleziona Uno ...'),
('it', 'etemplate', 'select percentage', 'Seleziona Percentuale'),
('it', 'etemplate', 'select priority', 'Seleziona Priorità'),
('it', 'etemplate', 'select state', 'Seleziona Stato'),
('it', 'etemplate', 'select the indexed columns in their desired order', 'Seleziona le colonne indicizzate nel loro ordine desiderato'),
('it', 'etemplate', 'select this etemplate to delete it', 'seleziona questo eTemplate per cancellarlo'),
('it', 'etemplate', 'select which accounts to show', 'seleziona quali account mostrare'),
('it', 'etemplate', 'select which values to show', 'seleziona quali valori mostrare'),
('it', 'etemplate', 'select year', 'Seleziona Anno'),
('it', 'etemplate', 'selectbox', 'Selectbox'),
('it', 'etemplate', 'sets today as date', 'imposta oggi come data'),
('it', 'etemplate', 'show', 'Mostra'),
('it', 'etemplate', 'show (no save)', 'Mostra (non salva)'),
('it', 'etemplate', 'show values', 'Mostra Valori'),
('it', 'etemplate', 'showing', 'showing'),
('it', 'etemplate', 'shows / allows you to enter values into the etemplate for testing', 'shows / allows you to enter values into the eTemplate for testing'),
('it', 'etemplate', 'shows/displays etemplate for testing, does not save it before', 'shows/displays eTemplate for testing, does NOT save it before'),
('it', 'etemplate', 'spacing', 'Spaziatura'),
('it', 'etemplate', 'span', 'Span'),
('it', 'etemplate', 'span, class', 'Classe, Span'),
('it', 'etemplate', 'stack', 'Stack'),
('it', 'etemplate', 'start a new search, cancel this link', 'inizia una nuova ricerca, annulla questo link'),
('it', 'etemplate', 'start new search for the above pattern', 'inizia nuova ricerca della stringa'),
('it', 'etemplate', 'submit form', 'invia modulo'),
('it', 'etemplate', 'submitbutton', 'Submitbutton'),
('it', 'etemplate', 'swap', 'scambia'),
('it', 'etemplate', 'swap widget with next one', 'scambia widget con il seguente'),
('it', 'etemplate', 'swap with next column', 'scambia con colonna seguente'),
('it', 'etemplate', 'swap with next row', 'scambia con riga seguente'),
('it', 'etemplate', 'switch to a parent widget', 'commuta a un widget superiore'),
('it', 'etemplate', 'switch to an other widgets of that container', 'commuta a un altro widget di quel contenitore'),
('it', 'etemplate', 'tabindex', 'Tabindex'),
('it', 'etemplate', 'table unchanged, no write necessary !!!', 'Tabella non modificata, scrittura non necessaria!!!'),
('it', 'etemplate', 'tablename', 'TableName'),
('it', 'etemplate', 'tabs', 'Tabs'),
('it', 'etemplate', 'template', 'Template'),
('it', 'etemplate', 'template deleted', 'Template cancellato'),
('it', 'etemplate', 'template saved', 'Template salvato'),
('it', 'etemplate', 'text', 'Testo'),
('it', 'etemplate', 'textarea', 'Area di Testo'),
('it', 'etemplate', 'this text gets displayed if the input-field is empty and has no focus (blur)', 'this text gets displayed if the input-field is empty and has no focus (blur)'),
('it', 'etemplate', 'time', 'Tempo'),
('it', 'etemplate', 'to start the db-tools', 'to start the DB-Tools'),
('it', 'etemplate', 'to start the etemplate editor', 'to start the eTemplate editor'),
('it', 'etemplate', 'to start the search', 'to start the search'),
('it', 'etemplate', 'today', 'Oggi'),
('it', 'etemplate', 'top', 'In cima'),
('it', 'etemplate', 'type', 'Tipo'),
('it', 'etemplate', 'type of the column', 'tipo di colonna'),
('it', 'etemplate', 'type of the field (select label if field should be empty)', 'type of the field (select Label if field should be empty)'),
('it', 'etemplate', 'unique', 'Unico'),
('it', 'etemplate', 'unlink', 'Unlink'),
('it', 'etemplate', 'update a single entry by passing the fields.', 'Update a single entry by passing the fields.'),
('it', 'etemplate', 'update from version ''%s'' to', 'Update from Version ''%s'' to'),
('it', 'etemplate', 'upload', 'Upload'),
('it', 'etemplate', 'valign', 'vAlign'),
('it', 'etemplate', 'value', 'Valore'),
('it', 'etemplate', 'value has to be at least ''%1'' !!!', 'Value has to be at least ''%1'' !!!'),
('it', 'etemplate', 'value has to be at maximum ''%1'' !!!', 'Value has to be at maximum ''%1'' !!!'),
('it', 'etemplate', 'vbox', 'VBox'),
('it', 'etemplate', 'version', 'Version'),
('it', 'etemplate', 'version-number, should be in the form: major.minor.revision.number (eg. 0.9.13.001 all numbers filled up with zeros)', 'version-number, should be in the form: major.minor.revision.number (eg. 0.9.13.001 all numbers filled up with zeros)'),
('it', 'etemplate', 'vertical alignment of row', 'allineamento verticale della riga'),
('it', 'etemplate', 'view this etemplate', 'visualizza questo eTemplate'),
('it', 'etemplate', 'view this linked entry in its application', 'vedi questa voce collegata nella sua applicazione'),
('it', 'etemplate', 'weekend', 'weekend'),
('it', 'etemplate', 'what happens with overflowing content: visible (default), hidden, scroll, auto (browser decides)', 'what happens with overflowing content: visible (default), hidden, scroll, auto (browser decides)'),
('it', 'etemplate', 'widget copied into clipboard', 'widget copiato negli appunti'),
('it', 'etemplate', 'width', 'Larghezza'),
('it', 'etemplate', 'width of col (in % or pixel), disable col: [! = not]<value>[=<check>] eg: ''!@data'' disable col if content of data is empty', 'width of col (in % or pixel), disable col: [! = not]<value>[=<check>] eg: ''!@data'' disable col if content of data is empty'),
('it', 'etemplate', 'width of column (in % or pixel)', 'larghezza della colonna (in % o pixel)'),
('it', 'etemplate', 'width of the table in % or pixels for the table-tag and (optional) div', 'Larghezza della tabella in % o pixel per table-tag e (opzionale)div'),
('it', 'etemplate', 'width, disabled', 'Larghezza, Disabilitata'),
('it', 'etemplate', 'working days', 'giorni lavorativi'),
('it', 'etemplate', 'write <app>/setup/tables_current.inc.php', 'Scrivi <app>/setup/tables_current.inc.php'),
('it', 'etemplate', 'write langfile', 'Scrivi File Linguaggio'),
('it', 'etemplate', 'write tables', 'Scrivi Tabelle'),
('it', 'etemplate', 'writes a ''etemplates.inc.php'' file (for application in name) in the setup-dir of the app', 'scrive un file ''etemplates.inc.php'' (per applicazione in Nome) nella directory setup dell''applicazione'),
('it', 'etemplate', 'xml-file to import', 'file XML da importare'),
('it', 'etemplate', 'xslt template', 'Template XSLT'),
('it', 'etemplate', 'year', 'Anno'),
('it', 'etemplate', 'you can respond by visiting:', 'Puoi rispondere visitando:'),
('it', 'filemanager', 'error uploading file!', 'Errore di caricamento file!'),
('it', 'filemanager', '%1 already exists as a file', '%1 esiste già come file'),
('it', 'filemanager', '%1 directories and %2 files copied.', '%1 cartelle e %2 files copiati.'),
('it', 'filemanager', '%1 directories and %2 files deleted.', '%1 cartelle e %2 files eliminati.'),
('it', 'filemanager', '%1 elements linked.', '%1 elementi collegati.'),
('it', 'filemanager', '%1 errors copying (%2 diretories and %3 files copied)!', '%1 errori di duplicazione, %2 cartelle e %3 file copiati!'),
('it', 'filemanager', '%1 errors deleteting (%2 directories and %3 files deleted)!', '%1 errori di eliminazione, %2 cartelle e %3 file eliminati!'),
('it', 'filemanager', '%1 errors linking (%2)!', '%1 errori di collegamento (%2)!'),
('it', 'filemanager', '%1 errors moving (%2 files moved)!', '%1 errori di spostamento. %2 file spostati!'),
('it', 'filemanager', '%1 failed, %2 succeded', '%1 falliti, %2 riusciti.'),
('it', 'filemanager', '%1 files copied.', '%1 files copiati.'),
('it', 'filemanager', '%1 files deleted.', '%1 files rimossi.'),
('it', 'filemanager', '%1 files moved.', '%1 files spostati.'),
('it', 'filemanager', '%1 starts with ''%2''', '%1 inizia con ''%2'''),
('it', 'filemanager', '%1 successful uploaded.', '%1 caricati con successo.'),
('it', 'filemanager', '%1 the following files into current directory', '%1 i file seguenti nella cartella corrente.'),
('it', 'filemanager', '%1 urls %2 to clipboard.', '%1 URL %2 negli appunti'),
('it', 'filemanager', 'accessrights', 'Diritti di accesso'),
('it', 'filemanager', 'acl added.', 'Regola ACL aggiunta.'),
('it', 'filemanager', 'acl deleted.', 'Regola ACL eliminata.'),
('it', 'filemanager', 'actions', 'Azioni'),
('it', 'filemanager', 'and all it''s childeren', 'e tutti i figli'),
('it', 'filemanager', 'basedirectory', 'Cartella principale'),
('it', 'filemanager', 'can''t open directory %1!', 'Impossibile aprire la cartella %1!'),
('it', 'filemanager', 'cancel editing %1 without saving', 'Annulla modifiche di %1 senza salvare'),
('it', 'filemanager', 'cannot create directory because it begins or ends in a space', 'Non posso creare la directory perché inizia o finisce con uno spazio'),
('it', 'filemanager', 'check all', 'Seleziona tutto'),
('it', 'filemanager', 'clear search', 'Reimposta la ricerca'),
('it', 'filemanager', 'comment', 'Commento'),
('it', 'filemanager', 'comments cannot contain "%1"', 'I commenti non possono contenere "%1"'),
('it', 'filemanager', 'copied', 'Copiato'),
('it', 'filemanager', 'copied %1 to %2', 'Ho copiato %1 in %2'),
('it', 'filemanager', 'copy', 'Copia'),
('it', 'filemanager', 'copy to', 'Copia In'),
('it', 'filemanager', 'copy to clipboard', 'Copia negli appunti'),
('it', 'filemanager', 'could not copy %1 to %2', 'Non posso copiare %1 in %2'),
('it', 'filemanager', 'could not copy file because no destination directory is given', 'Non posso copiare il file perché non è indicata la directory di destinazione'),
('it', 'filemanager', 'could not create %1', 'Non posso creare %1'),
('it', 'filemanager', 'could not delete %1', 'Non posso eliminare %1'),
('it', 'filemanager', 'could not move %1 to %2', 'Non posso spostare %1 in %2'),
('it', 'filemanager', 'could not move file because no destination directory is given', 'Non posso spostare il file perché non è indicata la directory di destinazione'),
('it', 'filemanager', 'could not rename %1 to %2', 'Non posso rinominare %1 in %2'),
('it', 'filemanager', 'could not save %1', 'Non posso salvare %1'),
('it', 'filemanager', 'create a link', 'Crea un collegamento'),
('it', 'filemanager', 'create directory', 'Crea una cartella'),
('it', 'filemanager', 'create file', 'Crea File'),
('it', 'filemanager', 'create folder', 'Crea cartella'),
('it', 'filemanager', 'created', 'Creato'),
('it', 'filemanager', 'created %1,%2', 'Creato %1, %2'),
('it', 'filemanager', 'created directory %1', 'Creata la cartella %1'),
('it', 'filemanager', 'current directory', 'Cartella corrente'),
('it', 'filemanager', 'custom fields', 'Campi personalizzati'),
('it', 'filemanager', 'cut', 'Taglia'),
('it', 'filemanager', 'cut to clipboard', 'Taglia e metti negli appunti'),
('it', 'filemanager', 'default behavior is no. the link will not be shown, but you are still able to navigate to this location, or configure this paric', 'Predefinito: No. Il collegamento non verrà mostrato, ma potrai comunque raggiungere questo percorso, oppure configurarlo come cartella di avvio o collegamento a cartella.'),
('it', 'filemanager', 'delete this file or directory', 'Elimina questo file o questa cartella'),
('it', 'filemanager', 'deleted %1', 'Eliminato %1'),
('it', 'filemanager', 'directories sorted in', 'Cartelle ordinate per'),
('it', 'filemanager', 'directory', 'Directory'),
('it', 'filemanager', 'directory %1 already exists', 'La directory %1 esiste già'),
('it', 'filemanager', 'directory %1 does not exist', 'La directory %1 non esiste'),
('it', 'filemanager', 'directory names cannot contain "%1"', 'I nomi di directory non possono contenere "%1"'),
('it', 'filemanager', 'directory not found or no permission to access it!', 'Directory non trovata oppure non hai diritto di accesso!'),
('it', 'filemanager', 'display and modification of content', 'Visualizzazione e modifica del contenuto'),
('it', 'filemanager', 'display of content', 'Visualizzazione del contenuto'),
('it', 'filemanager', 'do you want to overwrite the existing file %1?', 'Vuoi sovrascrivere il file esistente?'),
('it', 'filemanager', 'download', 'Download'),
('it', 'filemanager', 'edit comments', 'Modifica commenti'),
('it', 'filemanager', 'edit settings', 'Modifica le impostazioni'),
('it', 'filemanager', 'enter setup user and password', 'Inserisci il nome utente e la password dell''utente di setup.'),
('it', 'filemanager', 'enter setup user and password to get root rights', 'Inserisci il nome utente e la password dell''utente di setup per ottenere diritti amministrativi (root)'),
('it', 'filemanager', 'enter the complete vfs path to specify a fast access link to a folder', 'Inserisci il percorso VFS completo per specificare un link veloce verso una cartella'),
('it', 'filemanager', 'enter the complete vfs path to specify your desired start folder.', 'Inserisci il percorso VFS completo per specificare la tua cartella di avvio'),
('it', 'filemanager', 'error adding the acl!', 'Errore nell''aggiunta della regola ACL!'),
('it', 'filemanager', 'error creating symlink to target %1!', 'Errore di creazione del link simbolico verso %1!'),
('it', 'filemanager', 'error deleting the acl entry!', 'Errore di eliminazione della regola ACL!'),
('it', 'filemanager', 'executable', 'Eseguibile'),
('it', 'filemanager', 'extended access control list', 'Lista di controllo degli accessi (ACL) estesa'),
('it', 'filemanager', 'extended acl', 'ACL estesa'),
('it', 'filemanager', 'failed to change permissions of %1!', 'Non è stato possibilile modificare i permessi di %1!'),
('it', 'filemanager', 'failed to create directory!', 'Non è stato possibile creare la cartella!'),
('it', 'filemanager', 'favorites', 'Preferiti'),
('it', 'filemanager', 'file', 'Archivia'),
('it', 'filemanager', 'file %1 already exists. please edit it or delete it first.', 'Il file %1 esiste già. Per favore, prima modificalo o cancellalo.'),
('it', 'filemanager', 'file %1 could not be created.', 'Il file %1 non può essere creato.'),
('it', 'filemanager', 'file %1 may be too big. contact your systemadministrator for further info', 'Il file %1 potrebbe essere troppo grande'),
('it', 'filemanager', 'file deleted.', 'File eliminato'),
('it', 'filemanager', 'file names cannot contain "%1"', 'I nomi dei File non possono contenere "%1"'),
('it', 'filemanager', 'file or directory not found!', 'File o cartella non trovati!'),
('it', 'filemanager', 'file successful uploaded.', 'File caricato con successo.'),
('it', 'filemanager', 'files from subdirectories', 'File da sottocartelle'),
('it', 'filemanager', 'files in this directory', 'File in questa cartella'),
('it', 'filemanager', 'folder up', 'Cartella superiore'),
('it', 'filemanager', 'general', 'Generale'),
('it', 'filemanager', 'go home', 'Vai alla Home'),
('it', 'filemanager', 'go to', 'Vai A'),
('it', 'filemanager', 'go to your home directory', 'Vai alla tua directory Home'),
('it', 'filemanager', 'go up', 'Vai su'),
('it', 'filemanager', 'id', 'ID'),
('it', 'filemanager', 'inherited', 'Ereditato'),
('it', 'filemanager', 'link', 'Collegamento'),
('it', 'filemanager', 'link %1: %2', 'Collegamento %1: %2'),
('it', 'filemanager', 'link target %1 not found!', 'Destinazione %1 del collegamento non trovata!'),
('it', 'filemanager', 'location', 'Percorso'),
('it', 'filemanager', 'log out as superuser', 'Esci come super utente'),
('it', 'filemanager', 'mime type', 'Tipo MIME'),
('it', 'filemanager', 'modified', 'Modificato'),
('it', 'filemanager', 'modified between', 'Modificato tra'),
('it', 'filemanager', 'modify all subdirectories and their content', 'Modifica tutte le sottocartelle e il loro contenuto'),
('it', 'filemanager', 'move', 'Sposta'),
('it', 'filemanager', 'move to', 'Sposta in'),
('it', 'filemanager', 'moved %1 to %2', 'Ho spostato %1 in %2'),
('it', 'filemanager', 'no access', 'Accesso negato'),
('it', 'filemanager', 'no files in this directory.', 'Nessun File in questa directory.'),
('it', 'filemanager', 'no preview available', 'L''anteprima non è disponibile'),
('it', 'filemanager', 'no version history for this file/directory', 'Nessuna cronologia versioni per questo file/directory'),
('it', 'filemanager', 'only owner can rename or delete the content', 'Solo il proprietario può rinominare o eliminare il contenuto'),
('it', 'filemanager', 'open', 'A'),
('it', 'filemanager', 'operation', 'Operazione'),
('it', 'filemanager', 'permission denied!', 'Permesso negato'),
('it', 'filemanager', 'permissions', 'Permessi'),
('it', 'filemanager', 'permissions of %1 changed.', 'Permessi di %1 modificati.'),
('it', 'filemanager', 'please select a file to delete.', 'Selezion un File da eliminare.'),
('it', 'filemanager', 'preview', 'Anteprima'),
('it', 'filemanager', 'preview %1', 'Anteprima %1'),
('it', 'filemanager', 'preview of %1', 'Anteprima di %1'),
('it', 'filemanager', 'projectmanager', 'Project Manager'),
('it', 'filemanager', 'properties saved.', 'Proprietà salvate.'),
('it', 'filemanager', 'quick jump to', 'Salta a'),
('it', 'filemanager', 'read & write access', 'Lettura e scrittura'),
('it', 'filemanager', 'read access only', 'Sola lettura'),
('it', 'filemanager', 'reload', 'Ricarica'),
('it', 'filemanager', 'rename of %1 to %2 failed!', 'Non è stato possibile rinominare %1 a %2'),
('it', 'filemanager', 'rename, change permissions or ownership', 'Rinomina, modifica permessi oppure proprietario'),
('it', 'filemanager', 'renamed %1 to %2', 'Rinominato %1 in %2'),
('it', 'filemanager', 'renamed %1 to %2.', 'Rinominato %1 in %2'),
('it', 'filemanager', 'replaced %1', 'Sostituito %1'),
('it', 'filemanager', 'rights', 'Diritti'),
('it', 'filemanager', 'root', 'Root'),
('it', 'filemanager', 'root access granted.', 'Accesso root conesso'),
('it', 'filemanager', 'root access stopped.', 'Accesso root fermato.'),
('it', 'filemanager', 'save %1', 'Salva %1'),
('it', 'filemanager', 'save %1, and go back to file listing', 'Salva %1 e torna alla lista dei file'),
('it', 'filemanager', 'save changes', 'Salva le modifiche'),
('it', 'filemanager', 'saved %1', 'Ho salvato %1'),
('it', 'filemanager', 'saving properties failed!', 'Non è stato possibile salvare le proprietà'),
('it', 'filemanager', 'search for ''%1''', 'Cerca per ''%1'''),
('it', 'filemanager', 'searchstring', 'Stringa di ricerca'),
('it', 'filemanager', 'select action...', 'Scegli azione...'),
('it', 'filemanager', 'select file to upload in current directory', 'Seleziona il file da caricare nella cartella corrente'),
('it', 'filemanager', 'show', 'Mostra'),
('it', 'filemanager', 'show hidden files', 'Mostra i file nascosti'),
('it', 'filemanager', 'show link to filemanagers basedirectory (/) in side box menu?', 'Mostrare il collegamento alla cartella principale (/) nel menù laterale?'),
('it', 'filemanager', 'size', 'Dimensione'),
('it', 'filemanager', 'start search', 'Avvia ricerca'),
('it', 'filemanager', 'startfolder', 'Cartella di avvio'),
('it', 'filemanager', 'superuser', 'Super utente'),
('it', 'filemanager', 'symlink to %1 created.', 'Link simbolico a %1 creato.'),
('it', 'filemanager', 'the default start folder is your personal folder. the default is used, if you leave this empty, the path does not exist or you l', 'La cartella di avvio predefinita è quella personale. Se lasci questa voce vuota, immetti un percorso inesistente oppure non hai i diritti di accesso sufficienti, allora verrà utilizzata quella predefinita.'),
('it', 'filemanager', 'the requested path %1 is not available.', 'Il percorso %1 non è disponibile!'),
('it', 'filemanager', 'there''s already a directory with that name!', 'Esiste già una cartella con questo nome!'),
('it', 'filemanager', 'there''s already a file with that name!', 'Esiste già un file con questo nome!'),
('it', 'filemanager', 'to overwrite the existing file store again.', 'Per sovrascrivere l''esistente salva di nuovo'),
('it', 'filemanager', 'total files', 'File totali'),
('it', 'filemanager', 'unused space', 'Spazio inutilizzato'),
('it', 'filemanager', 'up', 'Su'),
('it', 'filemanager', 'updated comment for %1', 'Ho aggiornato i commenti per %1'),
('it', 'filemanager', 'used space', 'Spazio utilizzato'),
('it', 'filemanager', 'users and groups', 'Utenti e gruppo'),
('it', 'filemanager', 'wrong username or password!', 'Nome utente o password errati!'),
('it', 'filemanager', 'you are not allowed to upload a script!', 'Non hai il permesso di caricamento di script!'),
('it', 'filemanager', 'you can only grant additional rights, you can not take rights away!', 'Puoi soltanto concedere diritti aggiuntivi, non puoi toglierne!'),
('it', 'filemanager', 'you do not have access to %1', 'Non hai accesso a %1'),
('it', 'filemanager', 'you need to select an owner!', 'Devi selezionare un proprietario!'),
('it', 'filemanager', 'you need to select some files first!', 'Devi selezionare alcuni file prima!'),
('it', 'filemanager', 'you will be redirected to your home directory.', 'Sarai reindirizzato alla tua cartella personale'),
('it', 'filemanager', 'you will be redirected to your start folder.', 'Sarai reindirizzato alla tua cartella di avvio'),
('it', 'filemanager', 'your home dir did not exist, egroupware created a new one.', 'La tua cartella personale (home) non esisteva, EGroupware ne ha creata una nuova.'),
('it', 'filemanager', 'your home directory', 'Cartella personale (home)'),
('it', 'felamimail', '%1 is not writable by you!', '%1 non è scrivibile da te!'),
('it', 'felamimail', '(no subject)', '(nessun oggetto)'),
('it', 'felamimail', '(only cc/bcc)', '(solo Cc/Ccn)'),
('it', 'felamimail', '(separate multiple addresses by comma)', 'Usa la virgola per separare indirizzi multipli'),
('it', 'felamimail', '(unknown sender)', '(mittente sconosciuto)'),
('it', 'felamimail', '3paneview: if you want to see a preview of a mail by single clicking onto the subject, set the height for the message-list and t', '3PanelView: Se vuoi vedere una anteprima di un messaggio email con click singolo sull''oggetto, imposta l''altezza dell''elenco dei messaggi e l''area di anteprima p.es. 300. Puoi specificare anche l''altezza minima della lista dei messaggi, aggiungendola dopo l''altezza dal pannello di anteprima specificata, separando con la virgola: (p.es. 300, 190)'),
('it', 'felamimail', 'aborted', 'Fallito'),
('it', 'felamimail', 'activate', 'Attiva'),
('it', 'felamimail', 'activate script', 'attiva script'),
('it', 'felamimail', 'activating by date requires a start- and end-date!', 'L''attivazione per data richiede una data di inizio e una di fine!'),
('it', 'felamimail', 'add acl', 'Aggiungi ACL'),
('it', 'felamimail', 'add address', 'Aggiungi indirizzo'),
('it', 'felamimail', 'add rule', 'Aggiungi Regola'),
('it', 'felamimail', 'add script', 'Aggiungi Script'),
('it', 'felamimail', 'add to %1', 'Aggiungi a %1'),
('it', 'felamimail', 'add to address book', 'Aggiungi alla rubrica'),
('it', 'felamimail', 'add to addressbook', 'aggiungi alla rubrica'),
('it', 'felamimail', 'adding file to message. please wait!', 'Sto aggiungendo il file al messaggio. Attendere prego...'),
('it', 'felamimail', 'additional info', 'Informazioni Addizionali'),
('it', 'felamimail', 'address book', 'Rubrica'),
('it', 'felamimail', 'address book search', 'Ricerca Rubrica'),
('it', 'felamimail', 'after message body', 'Dopo il corpo del messaggio'),
('it', 'felamimail', 'all address books', 'Tutte le rubriche'),
('it', 'felamimail', 'all folders', 'Tutte le Cartelle'),
('it', 'felamimail', 'all messages in folder', 'Tutti i messaggi nella cartella'),
('it', 'felamimail', 'all of', 'tutto di'),
('it', 'felamimail', 'allow images from external sources in html emails', 'Permetti immagini da sorgenti esterne nei messaggi HTML'),
('it', 'felamimail', 'allways a new window', 'sempre in una nuova finestra'),
('it', 'felamimail', 'always show html emails', 'Visualizza sempre le e-mail HTML'),
('it', 'felamimail', 'and', 'E'),
('it', 'felamimail', 'any of', 'qualche di'),
('it', 'felamimail', 'any status', 'Qualsiasi stato'),
('it', 'felamimail', 'anyone', 'chiunque'),
('it', 'felamimail', 'as a subfolder of', 'come sottocartella di'),
('it', 'felamimail', 'attach', 'Allega'),
('it', 'felamimail', 'attachments', 'Allegati'),
('it', 'felamimail', 'authentication required', 'Autenticazione richiesta'),
('it', 'felamimail', 'auto refresh folder list', 'Auto aggiorna elenco cartelle'),
('it', 'felamimail', 'back to folder', 'Torna alla cartella'),
('it', 'felamimail', 'bad login name or password.', 'Login o password errati!'),
('it', 'felamimail', 'bad or malformed request. server responded: %s', 'Richiesta errata o mal posta. Il server ha risposto: %s'),
('it', 'felamimail', 'bad request: %s', 'Richiesta errata: %s'),
('it', 'felamimail', 'based upon given criteria, incoming messages can have different background colors in the message list.  this helps to easily dis', 'In base ai criteri stabiliti, i messaggi in entrata possono avere differenti colori nell''elenco messaggi. Ciò aiuta a distinguere facilmente la provenienza dei messaggi, specialmente per liste di distribuzione.'),
('it', 'felamimail', 'bcc', 'CCN'),
('it', 'felamimail', 'before headers', 'Prima degli header'),
('it', 'felamimail', 'between headers and message body', 'Tra gli header e il corpo del messaggio'),
('it', 'felamimail', 'body part', 'body part'),
('it', 'felamimail', 'by date', 'Per data'),
('it', 'felamimail', 'can not send message. no recipient defined!', 'Non posso inviare il messaggio. Non hai specificato il destinatario!'),
('it', 'felamimail', 'can''t connect to inbox!!', 'non riesco a connettermi alla INBOX !!'),
('it', 'felamimail', 'cc', 'CC'),
('it', 'felamimail', 'change folder', 'Cambia cartella'),
('it', 'felamimail', 'check message against next rule also', 'controlla il messaggio anche con regola seguente'),
('it', 'felamimail', 'checkbox', 'Checkbox'),
('it', 'felamimail', 'choose from vfs', 'Seleziona dal File System Virtuale'),
('it', 'felamimail', 'clear search', 'Reimposta la ricerca'),
('it', 'felamimail', 'click here to log back in.', 'Clicca qui per loggarti di nuovo.'),
('it', 'felamimail', 'click here to return to %1', 'Clicca qui per tornare a %1'),
('it', 'felamimail', 'close all', 'chiudi tutto'),
('it', 'felamimail', 'close this page', 'chiudi questa pagina'),
('it', 'felamimail', 'close window', 'Chiudi finestra'),
('it', 'felamimail', 'color', 'Colore'),
('it', 'felamimail', 'compose', 'Componi'),
('it', 'felamimail', 'compose as new', 'Componi come nuovo'),
('it', 'felamimail', 'compress folder', 'Comprimi cartella'),
('it', 'felamimail', 'condition', 'Condizione'),
('it', 'felamimail', 'configuration', 'Configurazione'),
('it', 'felamimail', 'configure a valid imap server in emailadmin for the profile you are using.', 'Configura un server IMAP valido il eMailAdmin per il profilo che stai usando'),
('it', 'felamimail', 'connection dropped by imap server.', 'Connessione rifiutata dal server IMAP:'),
('it', 'felamimail', 'contact not found!', 'Contatto non trovato!'),
('it', 'felamimail', 'contains', 'Contiene'),
('it', 'felamimail', 'copy or move messages?', 'Copia o sposta messaggi'),
('it', 'felamimail', 'copying messages to', 'Copia messaggi in'),
('it', 'felamimail', 'could not complete request. reason given: %s', 'La richiesta non è stata completata. %s'),
('it', 'felamimail', 'could not import message:', 'Il messaggio non è stato importato'),
('it', 'felamimail', 'could not open secure connection to the imap server. %s : %s.', 'Non posso aprire una connessione sicura con il server IMAP %s: %s.'),
('it', 'felamimail', 'cram-md5 or digest-md5 requires the auth_sasl package to be installed.', 'CRAM-MD5 oppure DIGEST-MD5 richiedono il pacchetto Auth_SASL.'),
('it', 'felamimail', 'create', 'Crea'),
('it', 'felamimail', 'create folder', 'Crea Cartella'),
('it', 'felamimail', 'create sent', 'Crea Messaggi Inviati'),
('it', 'felamimail', 'create subfolder', 'Crea sottocartella'),
('it', 'felamimail', 'create trash', 'Crea Cestino'),
('it', 'felamimail', 'created folder successfully!', 'Cartella creata correttamente!'),
('it', 'felamimail', 'dark blue', 'Blu Scuro'),
('it', 'felamimail', 'dark cyan', 'Ciano Scuro'),
('it', 'felamimail', 'dark gray', 'Grigio Scuro'),
('it', 'felamimail', 'dark green', 'Verde Scuro'),
('it', 'felamimail', 'dark magenta', 'Magenta Scuro'),
('it', 'felamimail', 'dark yellow', 'Giallo Scuro'),
('it', 'felamimail', 'date(newest first)', 'Data (prima più recenti)'),
('it', 'felamimail', 'date(oldest first)', 'Data (prima meno recenti)'),
('it', 'felamimail', 'days', 'giorni'),
('it', 'felamimail', 'deactivate script', 'disattiva script'),
('it', 'felamimail', 'default', 'Predefinito'),
('it', 'felamimail', 'default signature', 'Firma predefinita'),
('it', 'felamimail', 'default sorting order', 'Ordinamento predefinito'),
('it', 'felamimail', 'delete all', 'cancella tutto'),
('it', 'felamimail', 'delete folder', 'Cancella Cartella'),
('it', 'felamimail', 'delete script', 'cancella script'),
('it', 'felamimail', 'delete selected', 'Cancella selezionati'),
('it', 'felamimail', 'delete selected messages', 'cancella i messaggi selezionati'),
('it', 'felamimail', 'delete this folder irreversible?', 'Eliminare definitivamente la cartella?'),
('it', 'felamimail', 'deleted', 'cancellato'),
('it', 'felamimail', 'deleted folder successfully!', 'Cartella eliminata!'),
('it', 'felamimail', 'deleting messages', 'Eliminazione messaggi'),
('it', 'felamimail', 'disable', 'Disabilita'),
('it', 'felamimail', 'discard', 'Scarta'),
('it', 'felamimail', 'discard message', 'Scarta messaggio'),
('it', 'felamimail', 'display message in new window', 'Visualizza i messaggi in una nuova finestra'),
('it', 'felamimail', 'display messages in multiple windows', 'Mostra i messaggi in finestre multiple'),
('it', 'felamimail', 'display of html emails', 'Visualizzazione delle e-mail HTML'),
('it', 'felamimail', 'display only when no plain text is available', 'Visualizza solo quando non disponibile il testo normale'),
('it', 'felamimail', 'display preferences', 'Visualizza Preferenze'),
('it', 'felamimail', 'displaying html messages is disabled', 'La visualizzazione dei messaggi HTML è disabilitata'),
('it', 'felamimail', 'do it!', 'Esegui!'),
('it', 'felamimail', 'do not use sent', 'Non usare Inviati'),
('it', 'felamimail', 'do not use trash', 'Non usare Cestino'),
('it', 'felamimail', 'do not validate certificate', 'Non convalidare il certificato'),
('it', 'felamimail', 'do you really want to delete the ''%1'' folder?', 'Vuoi veramente cancellare la cartella ''%1'' ?'),
('it', 'felamimail', 'do you really want to delete the selected accountsettings and the assosiated identity.', 'Vuoi davvero eliminare le impostazioni e l''identità associata?'),
('it', 'felamimail', 'do you really want to delete the selected signatures?', 'Vuoi davvero eliminare le firme selezionate?'),
('it', 'felamimail', 'do you really want to move or copy the selected messages to folder:', 'Vuoi davvero spostare o copiare i messaggi selezionati nella cartella:'),
('it', 'felamimail', 'do you really want to move the selected messages to folder:', 'Vuoi davvero spostare i messaggi selezionati nella cartella:'),
('it', 'felamimail', 'do you want to be asked for confirmation before moving selected messages to another folder?', 'Vuoi una richiesta di conferma prima di spostare i messaggi selezionati ad un altra cartella?'),
('it', 'felamimail', 'do you want to prevent the editing/setup for forwarding of mails via settings (, even if sieve is enabled)?', 'Vuoi inibire la modifica/impostazione per l''inoltro di email tramite impostazioni, anche se SIEVE è abilitato?'),
('it', 'felamimail', 'do you want to prevent the editing/setup of filter rules (, even if sieve is enabled)?', 'Vuoi inibire la modifica/impostazione di regole di filtraggio, anche se SIEVE è abilitato?'),
('it', 'felamimail', 'do you want to prevent the editing/setup of notification by mail to other emailadresses if emails arrive (, even if sieve is ena', 'Vuoi inibire la modifica/impostazione della notifica per email ad altri indirizzi email se arrivassero messaggi, anche se SIEVE è abilitato?'),
('it', 'felamimail', 'do you want to prevent the editing/setup of the absent/vacation notice (, even if sieve is enabled)?', 'Vuoi inibire la modifica/impostazione della notifica di assenza/vacanza, anche se SIEVE è abilitato?'),
('it', 'felamimail', 'do you want to prevent the managing of folders (creation, accessrights and subscribtion)?', 'Vuoi inibire la gestione delle cartelle? (creazione, accesso e sottoscrizione)'),
('it', 'felamimail', 'does not contain', 'non contiene'),
('it', 'felamimail', 'does not exist on imap server.', 'Non esiste sul server IMAP'),
('it', 'felamimail', 'does not match', 'non corrisponde'),
('it', 'felamimail', 'does not match regexp', 'non corrisponde a regexp'),
('it', 'felamimail', 'don''t use draft folder', 'Non usare la cartella Bozze'),
('it', 'felamimail', 'don''t use sent', 'Non usare Posta Inviata'),
('it', 'felamimail', 'don''t use template folder', 'Non usare la cartella Modelli'),
('it', 'felamimail', 'don''t use trash', 'Non usare il Cestino'),
('it', 'felamimail', 'dont strip any tags', 'Non togliere i tag'),
('it', 'felamimail', 'down', 'sotto');
INSERT INTO `egw_lang` (`lang`, `app_name`, `message_id`, `content`) VALUES
('it', 'felamimail', 'download', 'download'),
('it', 'felamimail', 'download this as a file', 'Download come un file'),
('it', 'felamimail', 'draft folder', 'Cartella Bozze'),
('it', 'felamimail', 'drafts', 'Bozze'),
('it', 'felamimail', 'e-mail', 'E-Mail'),
('it', 'felamimail', 'e-mail address', 'indirizzo E-Mail'),
('it', 'felamimail', 'e-mail folders', 'Cartelle E-Mail'),
('it', 'felamimail', 'edit email forwarding address', 'Modifica l''indirizzo email di inoltro'),
('it', 'felamimail', 'edit filter', 'Modifica filtro'),
('it', 'felamimail', 'edit rule', 'modifica regola'),
('it', 'felamimail', 'edit selected', 'Modifica selezionato'),
('it', 'felamimail', 'edit vacation settings', 'Modifica impostazioni vacation'),
('it', 'felamimail', 'editor type', 'Tipo di editor'),
('it', 'felamimail', 'email address', 'Indirizzo E-Mail'),
('it', 'felamimail', 'email forwarding address', 'Indirizzo email di inoltro'),
('it', 'felamimail', 'email notification update failed', 'L''aggiornamento della notifica email è fallita!'),
('it', 'felamimail', 'email signature', 'Firma E-mail'),
('it', 'felamimail', 'emailaddress', 'Indirizzo email'),
('it', 'felamimail', 'empty trash', 'svuota cestino'),
('it', 'felamimail', 'enable', 'abilita'),
('it', 'felamimail', 'encrypted connection', 'Connessione criptata'),
('it', 'felamimail', 'entry saved', 'Inserimento salvato'),
('it', 'felamimail', 'error', 'ERRORE'),
('it', 'felamimail', 'error connecting to imap serv', 'Errore in connessione al server IMAP'),
('it', 'felamimail', 'error connecting to imap server. %s : %s.', 'Errore di connessione al server IMAP. %s: %s'),
('it', 'felamimail', 'error connecting to imap server: [%s] %s.', 'Errore di connessione al server IMAP: [%s] %s.'),
('it', 'felamimail', 'error creating rule while trying to use forward/redirect.', 'Errore di creazione della regola durante l''uso di inoltro/reindirizzamento'),
('it', 'felamimail', 'error opening', 'Errore in apertura'),
('it', 'felamimail', 'error saving %1!', 'Errore di salvataggio di %1!'),
('it', 'felamimail', 'error:', 'Errore:'),
('it', 'felamimail', 'error: could not save message as draft', 'Errore: Il messaggio non può essere salvato nelle Bozze'),
('it', 'felamimail', 'error: could not save rule', 'Errore: la regola non può essere salvata'),
('it', 'felamimail', 'error: message could not be displayed.', 'Errore: il messaggio non può essere visualizzato'),
('it', 'felamimail', 'every', 'ogni'),
('it', 'felamimail', 'every %1 days', 'ogni %1 giorni'),
('it', 'felamimail', 'expunge', 'Svuota'),
('it', 'felamimail', 'extended', 'Esteso'),
('it', 'felamimail', 'file into', 'file in'),
('it', 'felamimail', 'filemanager', 'File Manager'),
('it', 'felamimail', 'files', 'files'),
('it', 'felamimail', 'filter active', 'filtro attivo'),
('it', 'felamimail', 'filter name', 'Nome Filtro'),
('it', 'felamimail', 'first name', 'Nome'),
('it', 'felamimail', 'flagged', 'contrassegnato'),
('it', 'felamimail', 'flags', 'Flags'),
('it', 'felamimail', 'folder', 'Cartella'),
('it', 'felamimail', 'folder acl', 'acl cartella'),
('it', 'felamimail', 'folder name', 'Nome Cartella'),
('it', 'felamimail', 'folder path', 'Path della Cartella'),
('it', 'felamimail', 'folder preferences', 'Preferenze Cartelle'),
('it', 'felamimail', 'folder settings', 'Impostazioni Cartelle'),
('it', 'felamimail', 'folder status', 'Stato Cartelle'),
('it', 'felamimail', 'folderlist', 'Lista Cartele'),
('it', 'felamimail', 'foldername', 'Nome cartella'),
('it', 'felamimail', 'folders', 'Cartelle'),
('it', 'felamimail', 'folders created successfully!', 'Cartella creata correttamente!'),
('it', 'felamimail', 'follow', 'segue'),
('it', 'felamimail', 'for mail to be send - not functional yet', 'For mail to be send - not functional yet'),
('it', 'felamimail', 'for received mail', 'For received mail'),
('it', 'felamimail', 'forward', 'Inoltra'),
('it', 'felamimail', 'forward as attachment', 'Inoltra come allegato'),
('it', 'felamimail', 'forward inline', 'Inoltra incorporato nel messaggio'),
('it', 'felamimail', 'forward messages to', 'Inoltra messaggi a'),
('it', 'felamimail', 'forward to', 'Inoltra a'),
('it', 'felamimail', 'forward to address', 'inoltra a indirizzo'),
('it', 'felamimail', 'forwarding', 'Inoltro'),
('it', 'felamimail', 'found', 'Trovato'),
('it', 'felamimail', 'from', 'Da'),
('it', 'felamimail', 'from(a->z)', 'Da (A->Z)'),
('it', 'felamimail', 'from(z->a)', 'Da (Z->A)'),
('it', 'felamimail', 'full name', 'Nome Completo'),
('it', 'felamimail', 'greater than', 'superiore a'),
('it', 'felamimail', 'have a look at <a href="http://www.felamimail.org" target="_new">www.felamimail.org</a> to learn more about squirrelmail.<br>', 'Have a look at <a href="http://www.felamimail.org" target="_new">www.felamimail.org</a> to learn more about Squirrelmail.<br>'),
('it', 'felamimail', 'header lines', 'Linee Intestazione'),
('it', 'felamimail', 'hide header', 'nascondi intestazione'),
('it', 'felamimail', 'hostname / address', 'Nome host / indirizzo'),
('it', 'felamimail', 'how to forward messages', 'Come inoltrare i messaggi'),
('it', 'felamimail', 'html', 'HTML'),
('it', 'felamimail', 'icons and text', 'Icone e Testo'),
('it', 'felamimail', 'icons only', 'Solo icone'),
('it', 'felamimail', 'identifying name', 'Nome identificativo'),
('it', 'felamimail', 'identity', 'Identità'),
('it', 'felamimail', 'if', 'SE'),
('it', 'felamimail', 'if from contains', 'se da contiene'),
('it', 'felamimail', 'if mail header', 'se intestazione messaggio'),
('it', 'felamimail', 'if message size', 'se dimensione messaggio'),
('it', 'felamimail', 'if shown, which folders should appear on main screen', 'Se mostrato, quali cartelle dovrebbero comparire nella schermata principale?'),
('it', 'felamimail', 'if subject contains', 'se oggetto contiene'),
('it', 'felamimail', 'if to contains', 'se a contiene'),
('it', 'felamimail', 'if using ssl or tls, you must have the php openssl extension loaded.', 'Se usati SSL o TLS devi avere prima caricato l''estensione openssl in PHP'),
('it', 'felamimail', 'illegal folder name.  please select a different name.', 'Nome cartella non permesso. Prego scegli un altro nome.'),
('it', 'felamimail', 'imap', 'IMAP'),
('it', 'felamimail', 'imap server', 'Server IMAP'),
('it', 'felamimail', 'imap server address', 'Indirizzo Server IMAP'),
('it', 'felamimail', 'imap server closed the connection.', 'Il server IMAP ha chiuso la connessione'),
('it', 'felamimail', 'imap server closed the connection. server responded: %s', 'Il server IMAP ha chiuso la connessione. %s'),
('it', 'felamimail', 'imap server password', 'Password del server IMAP'),
('it', 'felamimail', 'imap server type', 'Tipo Server IMAP'),
('it', 'felamimail', 'imap server username', 'Nome utente del sever IMAP'),
('it', 'felamimail', 'imaps authentication', 'Autenticazione IMAPS'),
('it', 'felamimail', 'imaps encryption only', 'Cifratura IMAPS soltanto'),
('it', 'felamimail', 'import', 'Importa'),
('it', 'felamimail', 'import mail', 'Importa mail'),
('it', 'felamimail', 'import message', 'Importa messaggio'),
('it', 'felamimail', 'in', 'nel'),
('it', 'felamimail', 'inbox', 'Posta in arrivo'),
('it', 'felamimail', 'incoming mail server(imap)', 'Server della posta in arrivo'),
('it', 'felamimail', 'index order', 'Index Order'),
('it', 'felamimail', 'info', 'Info'),
('it', 'felamimail', 'invalid user name or password', 'Nome utente o password errati'),
('it', 'felamimail', 'javascript', 'JavaScript'),
('it', 'felamimail', 'jumping to end', 'Passaggio veloce alla fine'),
('it', 'felamimail', 'jumping to start', 'Passaggio veloce all''inizio'),
('it', 'felamimail', 'junk', 'Spazzatura'),
('it', 'felamimail', 'keep a copy of the message in your inbox', 'mantieni una copia del messaggio nella tua posta in arrivo'),
('it', 'felamimail', 'keep local copy of email', 'Mantieni una copia locale del messaggio'),
('it', 'felamimail', 'kilobytes', 'kilobyte'),
('it', 'felamimail', 'language', 'Lingua'),
('it', 'felamimail', 'last name', 'Cognome'),
('it', 'felamimail', 'left', 'Sinistra'),
('it', 'felamimail', 'less', 'pochi'),
('it', 'felamimail', 'less than', 'meno di'),
('it', 'felamimail', 'light gray', 'Grigio Chiaro'),
('it', 'felamimail', 'list all', 'Visualizza tutti'),
('it', 'felamimail', 'loading', 'Sto caricando...'),
('it', 'felamimail', 'location of buttons when composing', 'Location of buttons when composing'),
('it', 'felamimail', 'mail settings', 'Imposazioni Mail'),
('it', 'felamimail', 'mainmessage', 'Messaggio principale'),
('it', 'felamimail', 'manage signatures', 'Gestisci firme'),
('it', 'felamimail', 'mark as deleted', 'Segna come cancellato'),
('it', 'felamimail', 'mark messages as', 'Segna i messaggi selezionati come'),
('it', 'felamimail', 'mark selected as flagged', 'Segna come contrassegnati'),
('it', 'felamimail', 'mark selected as read', 'Segna come già letto'),
('it', 'felamimail', 'mark selected as unflagged', 'Segna come non contrassegnati'),
('it', 'felamimail', 'mark selected as unread', 'Segna come da leggere'),
('it', 'felamimail', 'match', 'Corrisponde'),
('it', 'felamimail', 'matches', 'corrispondenze'),
('it', 'felamimail', 'matches regexp', 'matches regexp'),
('it', 'felamimail', 'max uploadsize', 'Dimensione massima consentita'),
('it', 'felamimail', 'message highlighting', 'Message Highlighting'),
('it', 'felamimail', 'message list', 'Lista Messaggi'),
('it', 'felamimail', 'messages', 'messaggi'),
('it', 'felamimail', 'move', 'sposta'),
('it', 'felamimail', 'move folder', 'Sposta cartella'),
('it', 'felamimail', 'move messages', 'sposta messaggi'),
('it', 'felamimail', 'move messages?', 'Sposta messaggi'),
('it', 'felamimail', 'move selected to', 'Sposta selezionati in'),
('it', 'felamimail', 'move to trash', 'Sposta nel cestino'),
('it', 'felamimail', 'moving messages to', 'spostamento messaggi in'),
('it', 'felamimail', 'name', 'Nome'),
('it', 'felamimail', 'never display html emails', 'Non visualizzare mai le e-mail HTML'),
('it', 'felamimail', 'new filter', 'Nuovo Filtro'),
('it', 'felamimail', 'next', 'Successivo'),
('it', 'felamimail', 'next message', 'prossimo messaggio'),
('it', 'felamimail', 'no active imap server found!!', 'Non è stato trovato un server IMAP attivo'),
('it', 'felamimail', 'no address to/cc/bcc supplied, and no folder to save message to provided.', 'Nessun indirizzo A/CC/CCN fornito. Nessuna cartella di salvataggio messaggi specificata.'),
('it', 'felamimail', 'no encryption', 'Nessuna cifratura'),
('it', 'felamimail', 'no filter', 'Nessun Filtro'),
('it', 'felamimail', 'no folders', 'Nessuna cartella'),
('it', 'felamimail', 'no folders found', 'Nessuna cartella trovata'),
('it', 'felamimail', 'no folders were found to subscribe to!', 'No folders were found to subscribe to!'),
('it', 'felamimail', 'no folders were found to unsubscribe from!', 'No folders were found to unsubscribe from!'),
('it', 'felamimail', 'no highlighting is defined', 'Nessuna evidenziazione definita'),
('it', 'felamimail', 'no imap server host configured!!', 'Nessun host IMAP configurato'),
('it', 'felamimail', 'no message returned.', 'Nessun messaggio restituito'),
('it', 'felamimail', 'no messages found...', 'nessun messaggio trovato...'),
('it', 'felamimail', 'no messages selected, or lost selection. changing to folder', 'Nessun messaggio selezionato oppure selezione persa. Passaggio alla cartella'),
('it', 'felamimail', 'no messages were selected.', 'Nessun messaggio selezionato.'),
('it', 'felamimail', 'no plain text part found', 'Non c''è una parte di testo semplice'),
('it', 'felamimail', 'no previous message', 'nessun Messaggio precedente'),
('it', 'felamimail', 'no recipient address given!', 'Nessun indirizzo destinatario'),
('it', 'felamimail', 'no signature', 'Nessuna firma!'),
('it', 'felamimail', 'no stationery', 'Nessun modello!'),
('it', 'felamimail', 'no subject given!', 'Nessun oggetto!'),
('it', 'felamimail', 'no supported imap authentication method could be found.', 'Non è stato trovato alcun metodo valido di autenticazione IMAP'),
('it', 'felamimail', 'no valid data to create mailprofile!!', 'Dati non validi per la creazione di un profilo email!'),
('it', 'felamimail', 'no valid emailprofile selected!!', 'Nessun Profilo E-Mail valido selezionato!!'),
('it', 'felamimail', 'none', 'nessuno'),
('it', 'felamimail', 'none, create all', 'Nessuno, crea tutti'),
('it', 'felamimail', 'not allowed', 'Non permesso'),
('it', 'felamimail', 'notify when new mails arrive on these folders', 'Notifica quando arrivano nuovi messaggi in questa cartella'),
('it', 'felamimail', 'on', 'Su'),
('it', 'felamimail', 'on behalf of', 'Da parte di'),
('it', 'felamimail', 'one address is not valid', 'Un indirizzo non è valido'),
('it', 'felamimail', 'only inbox', 'Solo INBOX'),
('it', 'felamimail', 'only one window', 'solo una finestra'),
('it', 'felamimail', 'only unseen', 'Solo non letti'),
('it', 'felamimail', 'open all', 'apri tutto'),
('it', 'felamimail', 'options', 'Opzioni'),
('it', 'felamimail', 'or', 'Oppure'),
('it', 'felamimail', 'or configure an valid imap server connection using the manage accounts/identities preference in the sidebox menu.', 'Oppure configura una connessione ad un server IMAP valido usando la gestione di account e identità nelle preferenze dal menù laterale'),
('it', 'felamimail', 'organisation', 'organizzazione'),
('it', 'felamimail', 'organization', 'organizzazione'),
('it', 'felamimail', 'original message', 'Messaggio originale'),
('it', 'felamimail', 'outgoing mail server(smtp)', 'Server SMTP in uscita'),
('it', 'felamimail', 'participants', 'Partecipanti'),
('it', 'felamimail', 'personal information', 'Informazioni Personali'),
('it', 'felamimail', 'please ask the administrator to correct the emailadmin imap server settings for you.', 'Richiedi all''amministratore la correzione delle impostazioni in emaladmin'),
('it', 'felamimail', 'please configure access to an existing individual imap account.', 'Configura l''accesso ad un account IMAP esistente'),
('it', 'felamimail', 'please select a address', 'Prego seleziona un indirizzo'),
('it', 'felamimail', 'please select the number of days to wait between responses', 'Prego seleziona il numero di giorni da aspettare tra le risposte'),
('it', 'felamimail', 'please supply the message to send with auto-responses', 'Prego fornisci il messaggio ta inviare con la risposta automatica'),
('it', 'felamimail', 'port', 'Porta'),
('it', 'felamimail', 'posting', 'invio'),
('it', 'felamimail', 'preview disabled for folder:', 'Anteprima disabilitata per la cartella'),
('it', 'felamimail', 'previous', 'Precedente'),
('it', 'felamimail', 'previous message', 'messaggio precedente'),
('it', 'felamimail', 'print it', 'stampa'),
('it', 'felamimail', 'print this page', 'stampa questa pagina'),
('it', 'felamimail', 'printview', 'Vista stampa'),
('it', 'felamimail', 'quicksearch', 'Ricerca Veloce'),
('it', 'felamimail', 'read', 'leggi'),
('it', 'felamimail', 'reading', 'leggendo'),
('it', 'felamimail', 'receive notification', 'Ricevi notifiche'),
('it', 'felamimail', 'recent', 'recenti'),
('it', 'felamimail', 'refresh time in minutes', 'Tempo di aggiornamento in minuti'),
('it', 'felamimail', 'reject with', 'Rifiuta con'),
('it', 'felamimail', 'remove', 'rimuovi'),
('it', 'felamimail', 'remove immediately', 'Rimuovi immediatamente'),
('it', 'felamimail', 'rename', 'Rinomina'),
('it', 'felamimail', 'rename a folder', 'Rinomina una Cartella'),
('it', 'felamimail', 'rename folder', 'Rinomina cartella'),
('it', 'felamimail', 'renamed successfully!', 'Rinominato correttamente!'),
('it', 'felamimail', 'replied', 'risposto'),
('it', 'felamimail', 'reply', 'Rispondi'),
('it', 'felamimail', 'reply all', 'Rispondi a Tutti'),
('it', 'felamimail', 'reply to', 'Rispondi A'),
('it', 'felamimail', 'replyto', 'Rispondi A'),
('it', 'felamimail', 'respond', 'AutoRispondi'),
('it', 'felamimail', 'respond to mail sent to', 'AutoRispondi alle mail inviate a'),
('it', 'felamimail', 'return', 'Ritorna'),
('it', 'felamimail', 'return to options page', 'Return to options page'),
('it', 'felamimail', 'right', 'Destra'),
('it', 'felamimail', 'row order style', 'Stile dell''ordinameno per righe'),
('it', 'felamimail', 'rule', 'Regole'),
('it', 'felamimail', 'save', 'Salva'),
('it', 'felamimail', 'save all', 'Salva tutti'),
('it', 'felamimail', 'save as draft', 'Salva come bozza'),
('it', 'felamimail', 'save as infolog', 'Salva come Attività'),
('it', 'felamimail', 'save changes', 'Salva le modifiche'),
('it', 'felamimail', 'save message to disk', 'Salva il messaggio sul disco'),
('it', 'felamimail', 'script name', 'Nome script'),
('it', 'felamimail', 'script status', 'Stato script'),
('it', 'felamimail', 'search', 'Ricerca'),
('it', 'felamimail', 'search for', 'Cerca'),
('it', 'felamimail', 'select', 'Seleziona'),
('it', 'felamimail', 'select a message to switch on its preview (click on subject)', 'Seleziona un messaggio per vederne l''anteprima'),
('it', 'felamimail', 'select all', 'Seleziona Tutti'),
('it', 'felamimail', 'select emailprofile', 'Seleziona Profilo E-Mail'),
('it', 'felamimail', 'select folder', 'seleziona cartella'),
('it', 'felamimail', 'send', 'Invia'),
('it', 'felamimail', 'send a reject message', 'invia messaggio di rifiuto'),
('it', 'felamimail', 'sent', 'Inviata'),
('it', 'felamimail', 'sent folder', 'Cartella Posta Inviata'),
('it', 'felamimail', 'server supports mailfilter(sieve)', 'Il server supporta il filtro SIEVE'),
('it', 'felamimail', 'set as default', 'Imposta come predefinito'),
('it', 'felamimail', 'show all folders (subscribed and unsubscribed) in main screen folder pane', 'Mostra tutte le cartelle, sottoscitte e non, nel pannello delle cartelle della schermata principale.'),
('it', 'felamimail', 'show header', 'visualizza header'),
('it', 'felamimail', 'show new messages on main screen', 'Visualizza i nuovi messaggi nella schermata principale'),
('it', 'felamimail', 'sieve script name', 'Nome script sieve'),
('it', 'felamimail', 'signatur', 'Firma'),
('it', 'felamimail', 'signature', 'Firma'),
('it', 'felamimail', 'simply click the target-folder', 'Semplicemente clicca la cartella destinazione'),
('it', 'felamimail', 'size', 'Dimensione'),
('it', 'felamimail', 'size of editor window', 'Dimensione della finestra di edit'),
('it', 'felamimail', 'size(...->0)', 'Dimensione (...->0)'),
('it', 'felamimail', 'size(0->...)', 'Dimensione (0->...)'),
('it', 'felamimail', 'skipping forward', 'Salto avanti'),
('it', 'felamimail', 'skipping previous', 'Salto indietro'),
('it', 'felamimail', 'small view', 'visualizzazione ridotta'),
('it', 'felamimail', 'start new messages with mime type plain/text or html?', 'Iniziare nuovi messaggi con mime type plain/test o HTML'),
('it', 'felamimail', 'stationery', 'Modello'),
('it', 'felamimail', 'subject', 'Oggetto'),
('it', 'felamimail', 'subject(a->z)', 'Oggetto (A->Z)'),
('it', 'felamimail', 'subject(z->a)', 'Oggetto (Z->A)'),
('it', 'felamimail', 'submit', 'Invia'),
('it', 'felamimail', 'subscribe', 'Sottoscrivi'),
('it', 'felamimail', 'subscribed', 'Sottoscritti'),
('it', 'felamimail', 'subscribed successfully!', 'Sottoscritto con successo!'),
('it', 'felamimail', 'system signature', 'Firma di sistema'),
('it', 'felamimail', 'table of contents', 'Indice dei contenuti'),
('it', 'felamimail', 'template folder', 'Cartella dei modelli'),
('it', 'felamimail', 'templates', 'Modelli'),
('it', 'felamimail', 'text only', 'Solo testo'),
('it', 'felamimail', 'text/plain', 'Text/plain'),
('it', 'felamimail', 'the connection to the imap server failed!!', 'La connessione al server IMAP è fallita!!'),
('it', 'felamimail', 'the imap server does not appear to support the authentication method selected. please contact your system administrator.', 'Il server IMAP sembra non supportare il metodo di autenticazione scelto. Contattare l''amministratore di sistema.'),
('it', 'felamimail', 'the message sender has requested a response to indicate that you have read this message. would you like to send a receipt?', 'Il mittente ha richiesto la ricevuta di lettura. Inviarla?'),
('it', 'felamimail', 'the mimeparser can not parse this message.', 'Il mime parser non riesce a interpretare il messaggio.'),
('it', 'felamimail', 'then', 'DI'),
('it', 'felamimail', 'there is no imap server configured.', 'Non c''è alcun server IMAP configurato!'),
('it', 'felamimail', 'this folder is empty', 'QUESTA CARTELLA E'' VUOTA'),
('it', 'felamimail', 'this php has no imap support compiled in!!', 'Questo PHP non contiene il supporto IMAP!!'),
('it', 'felamimail', 'to', 'A'),
('it', 'felamimail', 'to mail sent to', 'A email inviata a'),
('it', 'felamimail', 'to use a tls connection, you must be running a version of php 5.1.0 or higher.', 'Per usare una connessione TLS, devi avere PHP 5.1.0 o superiore'),
('it', 'felamimail', 'translation preferences', 'Preferenze Traduzioni'),
('it', 'felamimail', 'translation server', 'Server Traduzioni'),
('it', 'felamimail', 'trash', 'Cestino'),
('it', 'felamimail', 'trash fold', 'Cestino'),
('it', 'felamimail', 'trash folder', 'Cestino'),
('it', 'felamimail', 'type', 'tipo'),
('it', 'felamimail', 'unexpected response from server to authenticate command.', 'Risposta inattesa del server al comando AUTHENTICATE'),
('it', 'felamimail', 'unexpected response from server to digest-md5 response.', 'Risposta inattesa del server alla risposta Digest-MD5.'),
('it', 'felamimail', 'unexpected response from server to login command.', 'Risposta inaspettata del server al comando LOGIN'),
('it', 'felamimail', 'unflagged', 'non contrassegnato'),
('it', 'felamimail', 'unknown err', 'Errore Sconosciuto'),
('it', 'felamimail', 'unknown error', 'Errore Sconosciuto'),
('it', 'felamimail', 'unknown imap response from the server. server responded: %s', 'Risposta non riconosciuta del server. %s'),
('it', 'felamimail', 'unknown sender', 'Mittente Sconosciuto'),
('it', 'felamimail', 'unknown user or password incorrect.', 'Utente sconosciuto o password sbagliata.'),
('it', 'felamimail', 'unseen', 'Nuovi'),
('it', 'felamimail', 'unselect all', 'Deseleziona Tutto'),
('it', 'felamimail', 'unsubscribe', 'Cancella sottoscrizione'),
('it', 'felamimail', 'unsubscribed', 'Sottoscrizione cancellata'),
('it', 'felamimail', 'unsubscribed successfully!', 'Sottoscizione cancellata con successo'),
('it', 'felamimail', 'up', 'Su'),
('it', 'felamimail', 'updating message status', 'Aggiornameto dello stato del messaggio'),
('it', 'felamimail', 'updating view', 'Aggiornamento visualizzazione'),
('it', 'felamimail', 'use <a href="%1">emailadmin</a> to create profiles', 'Usa <a href="%1">eMailAdmin</a> per creare profili'),
('it', 'felamimail', 'use a signature', 'Usa una firma'),
('it', 'felamimail', 'use a signature?', 'Usare una firma?'),
('it', 'felamimail', 'use addresses', 'Usa Indirizzo'),
('it', 'felamimail', 'use custom identities', 'Usa identità personalizzate'),
('it', 'felamimail', 'use custom settings', 'Usa Impostazioni Personali'),
('it', 'felamimail', 'use regular expressions', 'usa espressioni regolari'),
('it', 'felamimail', 'vacation notice is active', 'La notifica "vacanze" è attiva'),
('it', 'felamimail', 'vacation start-date must be before the end-date!', 'La data di inizio delle vacanze deve essere prima della data di fine'),
('it', 'felamimail', 'validate certificate', 'Convalida certificato'),
('it', 'felamimail', 'view full header', 'Visualizza gli header completi'),
('it', 'felamimail', 'view header lines', 'Visualizza righe header'),
('it', 'felamimail', 'view message', 'Visualizza messaggio'),
('it', 'felamimail', 'viewing full header', 'Viewing full header'),
('it', 'felamimail', 'viewing message', 'Viewing message'),
('it', 'felamimail', 'viewing messages', 'Viewing messages'),
('it', 'felamimail', 'when deleting messages', 'Durante la cancellazione dei messaggi'),
('it', 'felamimail', 'which folders (additional to the sent folder) should be displayed using the sent folder view schema', 'Quali cartelle oltre alla cartella della posta inviata dovrebbe essere mostrata usando lo schema di visualizzazione della posta inviata?'),
('it', 'felamimail', 'which folders - in general - should not be automatically created, if not existing', 'Quali cartelle in generale non dovrebbero essere automaticamente create se non esistono?'),
('it', 'felamimail', 'with message', 'con messaggio'),
('it', 'felamimail', 'with message "%1"', 'con messaggio "%1"'),
('it', 'felamimail', 'wrap incoming text at', 'Affianca testo a'),
('it', 'felamimail', 'writing', 'scrittura'),
('it', 'felamimail', 'wrote', 'scritto'),
('it', 'felamimail', 'yes, offer copy option', 'Sì, fornisci l''ozione di copia'),
('it', 'felamimail', 'you can use %1 for the above start-date and %2 for the end-date.', 'Puoi usare %1 per la data di inizio e %2 per la data fine'),
('it', 'felamimail', 'you have received a new message on the', 'Hai ricevuto un nuovo messaggio sul'),
('it', 'felamimail', 'your message to %1 was displayed.', 'Il messaggio a %1 è stato visualizzato dal destinatario'),
('it', 'home', 'displays home', 'Mostra home'),
('it', 'home', 'egroupware', 'eGroupware'),
('it', 'home', 'home', 'Home'),
('it', 'home', 'there is a new version of egroupware available', 'C''è una nuova versione di eGroupWare disponibile'),
('it', 'importexport', 'export', 'esporta'),
('it', 'importexport', 'finish', 'termina'),
('it', 'importexport', 'general', 'Generale'),
('it', 'importexport', 'import', 'Importa'),
('it', 'importexport', 'manage mapping', 'Gestisci la mappatura'),
('it', 'importexport', 'preview', 'Anteprima'),
('it', 'importexport', 'previous', 'precedente'),
('it', 'infolog', '%1 records imported', '%1 record importati'),
('it', 'infolog', '%1 records read (not yet imported, you may go %2back%3 and uncheck test import)', '%1 record letti (non ancora importati, puoi tornare %2indietro%3 e deselezionare Test Importazione)'),
('it', 'infolog', '- subprojects from', '- Sottoprogetti da'),
('it', 'infolog', '0%', '0%'),
('it', 'infolog', '10%', '10%'),
('it', 'infolog', '100%', '100%'),
('it', 'infolog', '20%', '20%'),
('it', 'infolog', '30%', '30%'),
('it', 'infolog', '40%', '40%'),
('it', 'infolog', '50%', '50%'),
('it', 'infolog', '60%', '60%'),
('it', 'infolog', '70%', '70%'),
('it', 'infolog', '80%', '80%'),
('it', 'infolog', '90%', '90%'),
('it', 'infolog', '<b>file-attachments via symlinks</b> instead of uploads and retrieval via file:/path for direct lan-clients', '<b>allegati via symlinks</b> invece che caricamento e recupero via file:/path per i lan-client diretti'),
('it', 'infolog', 'a short subject for the entry', 'un breve oggetto per la nota'),
('it', 'infolog', 'abort without deleting', 'Annulla senza cancellare'),
('it', 'infolog', 'accept', 'accetta'),
('it', 'infolog', 'action', 'Azione'),
('it', 'infolog', 'actions...', 'Azioni'),
('it', 'infolog', 'actual date and time', 'data e ora attuale'),
('it', 'infolog', 'add', 'Aggiungi'),
('it', 'infolog', 'add a file', 'Aggiungi File'),
('it', 'infolog', 'add a new entry', 'Aggiungi una voce'),
('it', 'infolog', 'add a new note', 'Aggiungi una Nota'),
('it', 'infolog', 'add a new phonecall', 'Aggiungi una Chiamata'),
('it', 'infolog', 'add a new sub-task, -note, -call to this entry', 'Aggiungi un''attività-, nota-, chiamata a questo contatto- secondaria'),
('it', 'infolog', 'add a new todo', 'Aggiungi un nuovo ToDo'),
('it', 'infolog', 'add file', 'Aggiungi file'),
('it', 'infolog', 'add sub', 'Aggiungi secondaria'),
('it', 'infolog', 'add timesheet entry', 'Aggiungi voce foglio ore'),
('it', 'infolog', 'add:', 'Aggiungi:'),
('it', 'infolog', 'added', 'Aggiunto'),
('it', 'infolog', 'all', 'Tutte'),
('it', 'infolog', 'all links and attachments', 'tutti i link links e gli allegati'),
('it', 'infolog', 'all projects', 'Tutti i progetti'),
('it', 'infolog', 'allows to set the status of an entry, eg. set a todo to done if it''s finished (values depend on entry-typ)', 'pemette di impostare lo stato di una voce, es. impostare completato un ToDo finito (i valori dipendono dal tipo di voce)'),
('it', 'infolog', 'apply the changes', 'Applica le modifiche'),
('it', 'infolog', 'archive', 'Archivio'),
('it', 'infolog', 'are you shure you want to delete this entry ?', 'Sei sicuro di voler cancellare questa voce ?'),
('it', 'infolog', 'attach a file', 'Allega un file'),
('it', 'infolog', 'attach file', 'Allega file'),
('it', 'infolog', 'back to main list', 'Torna all''elenco principale'),
('it', 'infolog', 'billed', 'fatturato'),
('it', 'infolog', 'both', 'entrambi'),
('it', 'infolog', 'call', 'chiamata'),
('it', 'infolog', 'cancel', 'Annulla'),
('it', 'infolog', 'cancelled', 'annullato'),
('it', 'infolog', 'categories', 'Categorie'),
('it', 'infolog', 'category', 'Categoria'),
('it', 'infolog', 'change history', 'Cambia storico'),
('it', 'infolog', 'change the status of an entry, eg. close it', 'Cambia lo stato di una voce, es. chiudi'),
('it', 'infolog', 'charset of file', 'Set di Caratteri del file'),
('it', 'infolog', 'check all', 'Seleziona tutto'),
('it', 'infolog', 'check to set startday', 'seleziona per impostare la data d''inizio'),
('it', 'infolog', 'check to specify custom contact', 'Spunta per specificare contatto personalizzato'),
('it', 'infolog', 'click here to create the link', 'clicca qui per creare il collegamento'),
('it', 'infolog', 'click here to start the search', 'clicca qui per iniziare la ricerca'),
('it', 'infolog', 'close', 'Chiudi'),
('it', 'infolog', 'close all', 'chiudi tutto'),
('it', 'infolog', 'closed', 'Chiuso'),
('it', 'infolog', 'comment', 'Commento'),
('it', 'infolog', 'completed', 'Avanzamento'),
('it', 'infolog', 'configuration', 'Configurazione'),
('it', 'infolog', 'confirm', 'conferma'),
('it', 'infolog', 'contact', 'Rubrica'),
('it', 'infolog', 'contact fields', 'campi Contatti'),
('it', 'infolog', 'copy of:', 'Copia di:'),
('it', 'infolog', 'copy your changes to the clipboard, %1reload the entry%2 and merge them.', 'Copia le tue modifiche negli appunti, %1ricarica la voce%2 e fondile.'),
('it', 'infolog', 'create new links', 'Crea nuovi links'),
('it', 'infolog', 'creates a new field', 'crea un nuovo campo'),
('it', 'infolog', 'creates a new status with the given values', 'crea un nuovo stato col valore inserito'),
('it', 'infolog', 'creates a new typ with the given name', 'crea un nuovo tipo col valore inserito'),
('it', 'infolog', 'creation', 'Creazione'),
('it', 'infolog', 'csv-fieldname', 'CSV Nome Campo'),
('it', 'infolog', 'csv-filename', 'CSV Nome File'),
('it', 'infolog', 'custom', 'Personalizzato'),
('it', 'infolog', 'custom contact-address, leave empty to use information from most recent link', 'Indirizzo personalizzato, lascia vuoto per usare le informazioni dal link più recente'),
('it', 'infolog', 'custom contact-information, leave emtpy to use information from most recent link', 'Informazione personalizzata del contatto, lascia vuoto per usare le informazioni dal link più recente'),
('it', 'infolog', 'custom fields', 'Campi Personalizzati'),
('it', 'infolog', 'custom regarding', 'Considerazione personale'),
('it', 'infolog', 'custom status for typ', 'Stato personalizzato per il tipo'),
('it', 'infolog', 'customfields', 'Customfields'),
('it', 'infolog', 'date completed', 'Data completamento'),
('it', 'infolog', 'date completed (leave it empty to have it automatic set if status is done or billed)', 'Data completamento (lasciala vuota per averla impostata automaticamento se lo stato è Fatto o Fatturato)'),
('it', 'infolog', 'datecreated', 'data creazione'),
('it', 'infolog', 'dates, status, access', 'Date, Stato, Accesso'),
('it', 'infolog', 'days', 'giorni'),
('it', 'infolog', 'default document to insert entries', 'Documento predefinito per l''inserimento'),
('it', 'infolog', 'default filter for infolog', 'Filtro predefinito per Attività'),
('it', 'infolog', 'default status for a new log entry', 'stato predefinito per le nuove voci'),
('it', 'infolog', 'delegated', 'Delegati'),
('it', 'infolog', 'delegation', 'Delega'),
('it', 'infolog', 'delete', 'Cancella'),
('it', 'infolog', 'delete one record by passing its id.', 'Cancella un record fornendo la sua ID'),
('it', 'infolog', 'delete the entry', 'Cancella la voce'),
('it', 'infolog', 'delete this entry and all listed sub-entries', 'Cancella questa voce e tutte le sotto-voci elencate'),
('it', 'infolog', 'deleted', 'cancellato'),
('it', 'infolog', 'deletes the selected typ', 'cancella il tipo selezionato'),
('it', 'infolog', 'deletes this field', 'cancella questo campo'),
('it', 'infolog', 'deletes this status', 'cancella questo stato'),
('it', 'infolog', 'description', 'Descrizione'),
('it', 'infolog', 'determines the order the fields are displayed', 'determina l''ordine di visualizzazone dei campi'),
('it', 'infolog', 'directory with documents to insert entries', 'Cartella con documenti per l''inserimento'),
('it', 'infolog', 'disables a status without deleting it', 'disabilita lo stato senza cancellarlo'),
('it', 'infolog', 'do you want a confirmation of the responsible on: accepting, finishing the task or both', 'vuoi una conferma dal responsabile su: accettazione, completamento dei ToDo o entrambe'),
('it', 'infolog', 'don''t show infolog', 'NON mostrare Attività'),
('it', 'infolog', 'download', 'Download'),
('it', 'infolog', 'duration', 'Durata'),
('it', 'infolog', 'each value is a line like <id>[=<label>]', 'ogni valore è una linea tipo <id>[=<label>]'),
('it', 'infolog', 'edit', 'Modifica'),
('it', 'infolog', 'edit or create categories for ingolog', 'Modifica o crea una categoria di IngoLog'),
('it', 'infolog', 'edit rights (full edit rights incl. making someone else responsible!)', 'diritti di modifica (diritti di modifica completi incluso rendere qualcun''altro responsabile!)'),
('it', 'infolog', 'edit status', 'Modifica lo Stato'),
('it', 'infolog', 'edit the entry', 'Modifica una voce'),
('it', 'infolog', 'edit this entry', 'Modifica questa voce'),
('it', 'infolog', 'empty for all', 'vuoto per tutti'),
('it', 'infolog', 'end', 'Fine'),
('it', 'infolog', 'enddate', 'Data Fine'),
('it', 'infolog', 'enddate can not be before startdate', 'La data finale non può precedere la data iniziale'),
('it', 'infolog', 'enter a custom contact, leave empty if linked entry should be used', 'inserisci un contatto personalizzato, lascia vuoto se vuoi usare la voce linkata'),
('it', 'infolog', 'enter a custom phone/email, leave empty if linked entry should be used', 'inserisci un numero di telefono/email personalizzato, lascia vuoto se vuoi usare la voce linkata'),
('it', 'infolog', 'enter a textual description of the log-entry', 'inserisci una descrizione testuale per il log della voce'),
('it', 'infolog', 'enter the query pattern', 'Inserisci la stringa di ricerca'),
('it', 'infolog', 'entry and all files', 'Inserimenti e tutti i files'),
('it', 'infolog', 'error: saving the entry', 'Errore: durante il salvataggio della voce'),
('it', 'infolog', 'error: the entry has been updated since you opened it for editing!', 'Errore: la voce è stata aggiornata da quando l''hai aperta per la modifica!'),
('it', 'infolog', 'execute a further action for this entry', 'Esegui ancora una azione per questo inserimento'),
('it', 'infolog', 'existing links', 'Collegamenti esistenti'),
('it', 'infolog', 'exists', 'Esiste'),
('it', 'infolog', 'export definitition to use for nextmatch export', 'Esporta la definizione da utilizzare per la esportazione'),
('it', 'infolog', 'fax', 'Fax'),
('it', 'infolog', 'field must not be empty !!!', 'Il campo non può essere vuoto !!!'),
('it', 'infolog', 'fieldseparator', 'Separatore campi'),
('it', 'infolog', 'finish', 'termina'),
('it', 'infolog', 'for serial letter use this tag. put the content, you want to repeat between two tags.', 'Per una lettera seriale, utilizzare questo tag. Immettere il contenuto che si vuole ripetere tra due tag.'),
('it', 'infolog', 'for which types should this field be used', 'per quali tipo devi usare questo campo'),
('it', 'infolog', 'from', 'Da'),
('it', 'infolog', 'general', 'Generale'),
('it', 'infolog', 'global categories', 'Categorie Globali'),
('it', 'infolog', 'high', 'Alta'),
('it', 'infolog', 'history', 'Storico'),
('it', 'infolog', 'history logging', 'Registrazione dello storico'),
('it', 'infolog', 'how many describtion lines should be directly visible. further lines are available via a scrollbar.', 'Quante righe di descrizione dovranno essere visibili direttamente. Righe ulteriori sono disponibili tramite una barra di scorrimento.'),
('it', 'infolog', 'id', 'Id'),
('it', 'infolog', 'if not set, the line with search and filters is hidden for less entries then "max matches per page" (as defined in your common p', 'Se non impostato, la linea con ricerca e filtri viene nascosta per meno voci di "massime occorrenze per pagina" (come definito nelle tue preferenze comuni).'),
('it', 'infolog', 'if you specify an export definition, it will be used when you export', 'Se specifichi una definizione di esportazione, allora verrà usata durante la relativa operazione'),
('it', 'infolog', 'import', 'Importa'),
('it', 'infolog', 'import next set', 'importa il prossimo set'),
('it', 'infolog', 'importance', 'Importanza'),
('it', 'infolog', 'infolog - delete', 'Attività - Cancella'),
('it', 'infolog', 'infolog - edit', 'Attività - Modifica'),
('it', 'infolog', 'infolog - import csv-file', 'Attività - Importa File CSV'),
('it', 'infolog', 'infolog - new', 'Attività - Nuovo'),
('it', 'infolog', 'infolog - new subproject', 'Attività - Nuovo progetto secondario'),
('it', 'infolog', 'infolog - subprojects from', 'Attività - progetto secondario da'),
('it', 'infolog', 'infolog entry deleted', 'Voce Attività cancellata'),
('it', 'infolog', 'infolog entry saved', 'Voce Attività salvata'),
('it', 'infolog', 'infolog filter for the main screen', 'Filtro Attività per la schermata principale'),
('it', 'infolog', 'infolog list', 'Elenco Attività'),
('it', 'infolog', 'infolog-fieldname', 'Attività - Nome del Campo'),
('it', 'infolog', 'insert', 'Inserisci'),
('it', 'infolog', 'insert in document', 'Inserisci in documento'),
('it', 'infolog', 'invalid filename', 'Nome di Campo non valido'),
('it', 'infolog', 'invalid owner id: %1.  might be a bad field translation.  used %2 instead.', 'ID proprietario non valido: %1. Potrebbe essere una traduzione errata del campo. Usare %2.'),
('it', 'infolog', 'label<br>helptext', 'Etichetta<br>Testo di Help'),
('it', 'infolog', 'last changed', 'Ultima modifica'),
('it', 'infolog', 'last modified', 'Ultima modifica'),
('it', 'infolog', 'leave it empty', 'lascia vuoto'),
('it', 'infolog', 'leave it empty for a full week', 'Lascia vuoto per una settimana completa'),
('it', 'infolog', 'leave without saveing the entry', 'uscire senza salvare la voce'),
('it', 'infolog', 'leaves without saveing', 'uscire senza salvare'),
('it', 'infolog', 'length<br>rows', 'Lunghezza<br>Righe'),
('it', 'infolog', 'link', 'Link'),
('it', 'infolog', 'links', 'Links'),
('it', 'infolog', 'links of this entry', 'Links della voce'),
('it', 'infolog', 'list all categories', 'Elenca tutte le categorie'),
('it', 'infolog', 'list no subs/childs', 'Non elencare Sub/figli'),
('it', 'infolog', 'location', 'Localizzazione'),
('it', 'infolog', 'longer textual description', 'descrizione testuale più lunga'),
('it', 'infolog', 'low', 'Bassa'),
('it', 'infolog', 'manage mapping', 'Gestisci la mappatura'),
('it', 'infolog', 'max length of the input [, length of the inputfield (optional)]', 'massima lunghezza di inserimento [, lunghezza dal campo di inserimento (opzionale)]'),
('it', 'infolog', 'name must not be empty !!!', 'Il nome deve essere vuoto !!!'),
('it', 'infolog', 'name of current user, all other contact fields are valid too', 'Nome dell''utente corrente, tutti gli altri campi di contatto sono validi pure.'),
('it', 'infolog', 'name of new type to create', 'nome del tipo da creare'),
('it', 'infolog', 'never hide search and filters', 'Non nascondere mai ricerca e filtri'),
('it', 'infolog', 'new %1', 'Nuovo %1'),
('it', 'infolog', 'new name', 'nuovo nome'),
('it', 'infolog', 'new search', 'Nuova ricerca'),
('it', 'infolog', 'no - cancel', 'No - Annulla'),
('it', 'infolog', 'no describtion, links or attachments', 'nessuna descrizione, collegamenti o allegati'),
('it', 'infolog', 'no details', 'no dettagli'),
('it', 'infolog', 'no entries found, try again ...', 'nessun risulato, prova ancora...'),
('it', 'infolog', 'no filter', 'Nessun Filtro'),
('it', 'infolog', 'no links or attachments', 'nessun link o allegato'),
('it', 'infolog', 'no project', 'Nessun progetto'),
('it', 'infolog', 'nonactive', 'non attivo'),
('it', 'infolog', 'none', 'Nessuna'),
('it', 'infolog', 'normal', 'Normale'),
('it', 'infolog', 'not', 'non'),
('it', 'infolog', 'not assigned', 'non assegnata'),
('it', 'infolog', 'not-started', 'non iniziata'),
('it', 'infolog', 'note', 'Nota'),
('it', 'infolog', 'number of records to read (%1)', 'Numero di record da leggere (%1)'),
('it', 'infolog', 'number of row for a multiline inputfield or line of a multi-select-box', 'numeri di righe per la casella di inserimento multilinea o linee per una select-box multipla'),
('it', 'infolog', 'offer', 'offerta'),
('it', 'infolog', 'ongoing', 'in corso'),
('it', 'infolog', 'only for details', 'Solo per dettagli'),
('it', 'infolog', 'only the attachments', 'solo gli allegati'),
('it', 'infolog', 'only the links', 'solo i collegamenti'),
('it', 'infolog', 'optional note to the link', 'note opzionali per il Link'),
('it', 'infolog', 'order', 'Ordine'),
('it', 'infolog', 'organization', 'organizzazione'),
('it', 'infolog', 'overdue', 'scaduto'),
('it', 'infolog', 'own', 'proprie'),
('it', 'infolog', 'own open', 'proprie aperte'),
('it', 'infolog', 'own overdue', 'proprie scaduti'),
('it', 'infolog', 'own upcoming', 'proprie in arrivo'),
('it', 'infolog', 'parent', 'Superiore'),
('it', 'infolog', 'path on (web-)serverside<br>eg. /var/samba/share', 'percorso lato (web)server<br>es. /var/samba/Share'),
('it', 'infolog', 'path to user and group files has to be outside of the webservers document-root!!!', 'Il path ai file utente e gruppo DEVE ESSERE ESTERNO alla directory principale del webserver!!!'),
('it', 'infolog', 'pattern for search in addressbook', 'stringa da ricercare nella rubrica'),
('it', 'infolog', 'pattern for search in projects', 'stringa da ricercare nei progetti'),
('it', 'infolog', 'percent completed', 'Percentuale completamento'),
('it', 'infolog', 'permission denied', 'Permesso negato'),
('it', 'infolog', 'phone', 'Chiamata Telefonica'),
('it', 'infolog', 'phone/email', 'Telefono/Email'),
('it', 'infolog', 'phonecall', 'Chiamata Telefonica'),
('it', 'infolog', 'planned', 'pianificato'),
('it', 'infolog', 'planned time', 'tempo pianificato'),
('it', 'infolog', 'price', 'Prezzo'),
('it', 'infolog', 'pricelist', 'Listino'),
('it', 'infolog', 'priority', 'Priorità'),
('it', 'infolog', 'private', 'Privata'),
('it', 'infolog', 'project', 'Progetto'),
('it', 'infolog', 'project settings: price, times', 'Impostazioni progetto: prezzo, tempi'),
('it', 'infolog', 'projectmanager', 'Project Manager'),
('it', 'infolog', 're:', 'Re:'),
('it', 'infolog', 'read one record by passing its id.', 'Leggi un record fornendo la sua ID'),
('it', 'infolog', 'read rights (default)', 'diritti di lettura (default)'),
('it', 'infolog', 'reg. expr. for local ip''s<br>eg. ^192\\.168\\.1\\.', 'espressione corretta per indirizzi IP Locali<br>es.^192\\.168\\.1\\.'),
('it', 'infolog', 'remark', 'Osservazione'),
('it', 'infolog', 'remove this link (not the entry itself)', 'Rimuovi questo link (non la voce)'),
('it', 'infolog', 'responsible', 'responsabile'),
('it', 'infolog', 'responsible open', 'aperte responsabile'),
('it', 'infolog', 'responsible overdue', 'scadute responsabile'),
('it', 'infolog', 'responsible upcoming', 'imminenti responsabile'),
('it', 'infolog', 'responsible user, priority', 'utente, priorità responsabile'),
('it', 'infolog', 'returns a list / search for records.', 'Restituisce un elenco / cerca record.'),
('it', 'infolog', 'rights for the responsible', 'Diritti del responsabile'),
('it', 'infolog', 'save', 'Salva'),
('it', 'infolog', 'saves the changes made and leaves', 'salva i cambiamenti ed esci'),
('it', 'infolog', 'saves this entry', 'Salva questa voce'),
('it', 'infolog', 'search', 'Cerca'),
('it', 'infolog', 'search for:', 'Ricerca:'),
('it', 'infolog', 'select', 'Seleziona'),
('it', 'infolog', 'select a category for this entry', 'seleziona una ricerca per questa voce'),
('it', 'infolog', 'select a price', 'Seleziona un prezzo'),
('it', 'infolog', 'select a priority for this task', 'seleziona una priorità per questo ToDo'),
('it', 'infolog', 'select a project', 'Seleziona un progetto'),
('it', 'infolog', 'select a responsible user: a person you want to delegate this task', 'seleziona un utente responsabile: una persona a cui vuoi delegare questa attività'),
('it', 'infolog', 'select a typ to edit it''s status-values or delete it', 'seleziona un tipo per modificare il suo stato o cancellarlo'),
('it', 'infolog', 'select an action', 'Seleziona una azione'),
('it', 'infolog', 'select an action...', 'Seleziona una azione'),
('it', 'infolog', 'select an app to search in', 'Seleziona un''applicazione un cui cercare'),
('it', 'infolog', 'select an entry to link with', 'Seleziona una voce da linkare con'),
('it', 'infolog', 'select multiple contacts for a further action', 'Seleziona contatti multipli per azioni ulteriori'),
('it', 'infolog', 'select to filter by owner', 'seleziona per filtrare per proprietario'),
('it', 'infolog', 'select to filter by responsible', 'seleziona per filtrare per responsabile'),
('it', 'infolog', 'sender', 'Mittente'),
('it', 'infolog', 'sets the status of this entry and its subs to done', 'Imposta lo stato di questa voce e delle sue sotto- a fatto'),
('it', 'infolog', 'should infolog show subtasks, -calls or -notes in the normal view or not. you can always view the subs via there parent.', 'Attività deve visualizzare ToDo-, chiamate- o note- secondarie nella vista normale oppure no. Potrai sempre visualizzare le secondarie attraverso le principali.'),
('it', 'infolog', 'should infolog show the links to other applications and/or the file-attachments in the infolog list (normal view when you enter ', 'Attività deve mostrare i link ad altre apllicazioni e/o gli allegati nell''elenco Attività (vista normale quando entri in Attività).'),
('it', 'infolog', 'should infolog show up on the main screen and with which filter. works only if you dont selected an application for the main scr', 'Attività deve apparire nella schermata principale e con quale filtro. Funziona solo se non hai selezionato un''applicazione per la schermata principale (nelle tue preferenze).'),
('it', 'infolog', 'should infolog use full names (surname and familyname) or just the loginnames.', 'Attività deve usare i nomi completi (nome e cognome) o solo il nome utente.'),
('it', 'infolog', 'should the infolog list show a unique numerical id, which can be used eg. as ticket id.', 'L''elenco Attività deve mostrare un ID numerico univoco, che può essere usato ad esempio come Id ticket.'),
('it', 'infolog', 'should the infolog list show the column "last modified".', 'L''elenco Attività deve mostrare la colonna "ultima modifica".'),
('it', 'infolog', 'should the infolog list show the percent done only for status ongoing or two separate icons.', 'L''elenco Attività deve mostrare la percentuale di completamento solo per lo stato IN CORSO o due icone separate.'),
('it', 'infolog', 'should this entry only be visible to you and people you grant privat access via the acl', 'questa voce deve essere visibile solo alle persone a cui garantisci accesso privato attraverso la ACL'),
('it', 'infolog', 'show a column for used and planned times in the list.', 'Mostra una colonna per i tempi effettivi e pianificati nell''elenco.'),
('it', 'infolog', 'show full usernames', 'Mostra nomi utente completi'),
('it', 'infolog', 'show in the infolog list', 'Visualizza nella lista di Attività'),
('it', 'infolog', 'show last modified', 'Mostra ultima modifica'),
('it', 'infolog', 'show status and percent done separate', 'Mostra status e percentuale completamento separati'),
('it', 'infolog', 'show ticket id', 'Mostra ID ticket'),
('it', 'infolog', 'show times', 'Mostra tempi'),
('it', 'infolog', 'small view', 'vista ridotta'),
('it', 'infolog', 'start', 'Inizio'),
('it', 'infolog', 'start a new search, cancel this link', 'inizia una nuova ricerca, annulla questo link'),
('it', 'infolog', 'startdate', 'Data Inizio'),
('it', 'infolog', 'startdate enddate', 'Data Inizio Data Fine'),
('it', 'infolog', 'startdate for new entries', 'Data iniziale per nuove voci'),
('it', 'infolog', 'startrecord', 'Record Iniziale'),
('it', 'infolog', 'status', 'Stato'),
('it', 'infolog', 'status ...', 'Stato ...'),
('it', 'infolog', 'sub', 'Sub'),
('it', 'infolog', 'sub-entries become subs of the parent or main entries, if there''s no parent', 'Le sotto-voci diventano sotto- di voci superiori o voci principali, se non c''è più superiore'),
('it', 'infolog', 'subject', 'Oggetto'),
('it', 'infolog', 'tag to mark positions for address labels', 'Tagga per marcare le posizioni per le etichette di indirizzo'),
('it', 'infolog', 'task', 'ToDo'),
('it', 'infolog', 'template', 'Template'),
('it', 'infolog', 'test import (show importable records <u>only</u> in browser)', 'Test importazione (mostra <u>solo</u> record importabili nel browser)'),
('it', 'infolog', 'the name used internaly (<= 10 chars), changeing it makes existing data unavailible', 'il nome usato internamente (<= 10 caratteri), cambiandolo rende i dati esistenti indisponibili'),
('it', 'infolog', 'the name used internaly (<= 20 chars), changeing it makes existing data unavailible', 'il nome usato internamente (<= 20 caratteri), cambiandolo rende i dati esistenti indisponibili'),
('it', 'infolog', 'the text displayed to the user', 'il testo mostrato all''utente'),
('it', 'infolog', 'this is the filter infolog uses when you enter the application. filters limit the entries to show in the actual view. there are ', 'Questo è il filtro che Attività applica quando entri nell''applicazione. I filtri limitano le voci visualizzate nella vista attuale. Ci sono filtri per visualizzare solo le voci completate, ancora aperte o future sia tue che degli altri utenti.'),
('it', 'infolog', 'til when should the todo or phonecall be finished', 'esegue fino a quando il ToDo o la Chiamata Telefonica è finita'),
('it', 'infolog', 'times', 'Tempi'),
('it', 'infolog', 'to many might exceed your execution-time-limit', 'troppi potrebbero superare il tuo limite di tempo di esecuzione'),
('it', 'infolog', 'to what should the startdate of new entries be set.', 'A quando deve essere impostata la data inizio delle nuove voci.'),
('it', 'infolog', 'today', 'Oggi'),
('it', 'infolog', 'todays date', 'data odierna'),
('it', 'infolog', 'todo', 'ToDo'),
('it', 'infolog', 'translation', 'Traduzione'),
('it', 'infolog', 'typ', 'Tipo'),
('it', 'infolog', 'typ ''%1'' already exists !!!', 'Il tipo ''%1'' esiste già !!!'),
('it', 'infolog', 'type', 'Tipo');
INSERT INTO `egw_lang` (`lang`, `app_name`, `message_id`, `content`) VALUES
('it', 'infolog', 'type ...', 'Tipo ...'),
('it', 'infolog', 'type of customfield', 'Tipo di campo personalizzato'),
('it', 'infolog', 'type of the log-entry: note, phonecall or todo', 'Tipo di log per la voce: Note, Chiamate o ToDo'),
('it', 'infolog', 'unlink', 'annulla link'),
('it', 'infolog', 'upcoming', 'imminente'),
('it', 'infolog', 'urgency', 'Urgenza'),
('it', 'infolog', 'urgent', 'urgente'),
('it', 'infolog', 'use this tag for addresslabels. put the content, you want to repeat, between two tags.', 'Usa questo tag per le etichette di indirizzo. Posiziona il contenuto da ripetere, tra due tag.'),
('it', 'infolog', 'used time', 'tempo effettivo'),
('it', 'infolog', 'valid path on clientside<br>eg. \\\\server\\share or e:\\', 'percorsi validi lato client<br>es. \\\\Server\\Share or e:\\'),
('it', 'infolog', 'values for selectbox', 'Valori per la selectbox'),
('it', 'infolog', 'view all subs of this entry', 'Visualizza tutti le sub voci'),
('it', 'infolog', 'view other subs', 'visualizza altri sub'),
('it', 'infolog', 'view parent', 'Visualizza i padri'),
('it', 'infolog', 'view subs', 'visualizza sub'),
('it', 'infolog', 'view the parent of this entry and all his subs', 'Visualizza i padri di queste voci e tutte i suoi subs'),
('it', 'infolog', 'view this linked entry in its application', 'visualizza le voci linkate nella sua applicazione'),
('it', 'infolog', 'when should the todo or phonecall be started, it shows up from that date in the filter open or own open (startpage)', 'quando i ToDo e le Chiamate Telefoniche iniziano, vengono visualizzati dalla data impostata sul filtro aperti o propri aperti (pagina iniziale)'),
('it', 'infolog', 'which additional fields should the responsible be allowed to edit without having edit rights?<br />status, percent and date comp', 'Che campi aggiuntivi sarà permesso modificare al responsabile senza avere diritti di modifica?<br />Stato, percentuale e data completamento sono sempre permessi.'),
('it', 'infolog', 'which implicit acl rights should the responsible get?', 'Che diritti ACL impliciti otterrà il responsabile?'),
('it', 'infolog', 'will-call', 'chiamerà'),
('it', 'infolog', 'write (add or update) a record by passing its fields.', 'Scrivi (aggiungi o aggiorna) un record fornendo i suoi campi.'),
('it', 'infolog', 'yes - delete', 'Sì - Cancella'),
('it', 'infolog', 'yes - delete including sub-entries', 'Sì - Cancella includendo voci secondarie'),
('it', 'infolog', 'yes, only admins can purge deleted items', 'Sì, solo gli amministratori possono cancellare definitivamente gli elementi'),
('it', 'infolog', 'yes, with larger fontsize', 'Si, di dimensioni più grandi'),
('it', 'infolog', 'you can''t delete one of the stock types !!!', 'Non puoi cancellare uno dei tipi predefiniti !!!'),
('it', 'infolog', 'you have entered an invalid ending date', 'E'' stata inserita una data di fine non valida'),
('it', 'infolog', 'you have entered an invalid starting date', 'E'' stata inserita una data di inizio non valida'),
('it', 'infolog', 'you have to enter a name, to create a new typ!!!', 'Per creare un nuovo tipo devi inserire un nome!!!'),
('it', 'infolog', 'you must enter a subject or a description', 'E'' necessario inserire un oggetto o una descrizione'),
('it', 'infolog', 'your database is not up to date (%1 vs. %2), please run %3setup%4 to update your database.', 'Il tuo database NON è aggiornato (%1 invece di %2), per favore esegui %3setup%4 per aggiornarlo.'),
('it', 'manual', '%1 manual page(s) added or updated', '%1 pagina/e del manuale aggiunta/e o aggiornata/e'),
('it', 'manual', 'download', 'download'),
('it', 'manual', 'index', 'Index'),
('it', 'manual', 'page(s) %1 not found !!!', 'Pagina/e %1 non trovata/e !!!'),
('it', 'manual', 'search for', 'Cerca'),
('it', 'manual', 'starting import from %1, this might take several minutes (specialy if you start it the first time) ...', 'Inizio importazione da %1, può richiedere diversi minuti (specialmente se lo fai partire per la prima volta) ...'),
('it', 'manual', 'the search returned no result!', 'La ricerca non ha dato risultati'),
('it', 'news_admin', '%1 module', 'modulo %1'),
('it', 'news_admin', 'actions', 'Azioni'),
('it', 'news_admin', 'active', 'Attivo'),
('it', 'news_admin', 'add new article', 'Aggiungi Nuovo Articolo'),
('it', 'news_admin', 'add new news', 'Aggiungi Nuova Notizia'),
('it', 'news_admin', 'add news item', 'Aggiungi oggetto notizia'),
('it', 'news_admin', 'all news', 'Tutte le Notizie'),
('it', 'news_admin', 'always', 'Sempre'),
('it', 'news_admin', 'by date', 'Per data'),
('it', 'news_admin', 'category deleted.', 'Categoria eliminata'),
('it', 'news_admin', 'category saved.', 'Categoria salvata'),
('it', 'news_admin', 'choose a category', 'Scegli una categoria'),
('it', 'news_admin', 'configuration', 'Configurazione'),
('it', 'news_admin', 'contains html', 'Contiene HTML'),
('it', 'news_admin', 'content', 'Contenuto'),
('it', 'news_admin', 'date and time', 'Data e ora'),
('it', 'news_admin', 'delete this news', 'Cancella questa notizia'),
('it', 'news_admin', 'do you want to publish a rss feed for this news category', 'Vuoi pubblicare un feed RSS per questa categoria di notizie?'),
('it', 'news_admin', 'edit news item', 'Modifica oggetto notizia'),
('it', 'news_admin', 'end', 'Fine'),
('it', 'news_admin', 'error saving the news!', 'Errore durante il salvataggio delle notizie!'),
('it', 'news_admin', 'failed to add message', 'Aggiunta nuovo messaggio fallita'),
('it', 'news_admin', 'format for links to items', 'Formato per i collegamenti agli oggetti'),
('it', 'news_admin', 'format of export', 'Formato esportazione'),
('it', 'news_admin', 'from', 'Da'),
('it', 'news_admin', 'from all', 'Da tutti'),
('it', 'news_admin', 'future', 'Futuro'),
('it', 'news_admin', 'global categories', 'Categorie Globali'),
('it', 'news_admin', 'global news', 'Notizie Generali'),
('it', 'news_admin', 'global_news', 'Notizie_Generali'),
('it', 'news_admin', 'headline', 'Titolo'),
('it', 'news_admin', 'headline with link', 'Titolo con link'),
('it', 'news_admin', 'image link', 'Link Immagine'),
('it', 'news_admin', 'image title', 'Titolo Immagine'),
('it', 'news_admin', 'image url', 'Url Immagine'),
('it', 'news_admin', 'implies read permission', 'implica i permessi di lettura'),
('it', 'news_admin', 'item has been deleted', 'L''oggetto è stato cancellato'),
('it', 'news_admin', 'item not found', 'Oggetto non trovato'),
('it', 'news_admin', 'link', 'Link'),
('it', 'news_admin', 'main', 'Principale'),
('it', 'news_admin', 'maintain', 'Manutenzione'),
('it', 'news_admin', 'message has been added', 'Il messaggio è stato aggiunto'),
('it', 'news_admin', 'more news', 'Altre Notizie'),
('it', 'news_admin', 'more news link', 'Altri collegamenti a notizie'),
('it', 'news_admin', 'new item has been added', 'Il nuovo oggetto è stato aggiunto'),
('it', 'news_admin', 'news', 'Notizie'),
('it', 'news_admin', 'news admin', 'Gestione Notizie'),
('it', 'news_admin', 'news administration', 'Amministrazione Notizie'),
('it', 'news_admin', 'news deleted.', 'Notizia cancellata.'),
('it', 'news_admin', 'news item has been added', 'l''oggetto Notizia è stato aggiunto'),
('it', 'news_admin', 'news item has been updated', 'l''oggetto Notizia è stato aggiornato'),
('it', 'news_admin', 'news saved.', 'Notizia salvata.'),
('it', 'news_admin', 'no anonymous user accounts installed.  notify the administrator.', 'Nessun utente Anonimo impostato. Notificare all''amministratore.'),
('it', 'news_admin', 'no entries found', 'nessuna voce trovata'),
('it', 'news_admin', 'no matching news item', 'Nessuna notizia corrispondente.'),
('it', 'news_admin', 'no news', 'Nessuna Notizia è attualmente disponibile nella Categoria'),
('it', 'news_admin', 'no rss export', 'Nessuna esportazione RSS'),
('it', 'news_admin', 'now', 'Adesso'),
('it', 'news_admin', 'number of articles to display on the main screen', 'Numero di articoli da visualizzare sulla schermata principale'),
('it', 'news_admin', 'old', 'Vecchie'),
('it', 'news_admin', 'on', 'il'),
('it', 'news_admin', 'parent', 'Superiore'),
('it', 'news_admin', 'please select a category', 'Prego seleziona una categoria'),
('it', 'news_admin', 'publish date', 'Data pubblicazione'),
('it', 'news_admin', 'read more', 'leggi di più'),
('it', 'news_admin', 'read news', 'Leggi Notizie'),
('it', 'news_admin', 'read permissions', 'Permessi di lettura'),
('it', 'news_admin', 'reload', 'Ricarica'),
('it', 'news_admin', 'send mail to others', 'Invia Mail a Altri'),
('it', 'news_admin', 'should news_admin display the latest article headlines on the main screen.', 'Gestione Notizie deve mostrare i titoli degli articoli più recenti sulla schermata principale?'),
('it', 'news_admin', 'show latest news articles?', 'Mostra gli articoli delle notizie più recenti?'),
('it', 'news_admin', 'show news articles on main page?', 'Mostra gli articoli delle notizie sulla schermata principale?'),
('it', 'news_admin', 'small view', 'Visualizzazione ridotta'),
('it', 'news_admin', 'start', 'Inizio'),
('it', 'news_admin', 'submitted by %1 on %2', 'Aggiunto da %1 il %2'),
('it', 'news_admin', 'teaser', 'Didascalia'),
('it', 'news_admin', 'the news content is missing', 'Il contenuto della notizia è mancante'),
('it', 'news_admin', 'the number of articles to display on the main screen.', 'Il numero di articoli da mostrare sulla schermata principale.'),
('it', 'news_admin', 'the subject is missing', 'L''oggetto è mancante'),
('it', 'news_admin', 'until', 'fino al'),
('it', 'news_admin', 'view this category', 'Visualizza questa categoria'),
('it', 'news_admin', 'visible', 'Visibile'),
('it', 'news_admin', 'webpage news admin', 'Pagina web News Admin'),
('it', 'news_admin', 'write', 'Scrivi'),
('it', 'news_admin', 'write permissions', 'Permessi di scrittura'),
('it', 'notifications', 'folder', 'Cartella'),
('it', 'notifications', 'from', 'Da'),
('it', 'notifications', 'message from', 'Messaggio da'),
('it', 'notifications', 'minutes', 'Minuti'),
('it', 'notifications', 'preferences for notification', 'Preferenze per Notifica'),
('it', 'phpbrain', '/kb directory does not exist and could not be created, please ask the adminstrator to check the global configuration', 'la directory /kb non esiste e non può essere creata. Chiedi all''amministratore di controllare la configurazione generale.'),
('it', 'phpbrain', 'action', 'Azione'),
('it', 'phpbrain', 'actions', 'Azioni'),
('it', 'phpbrain', 'add articles', 'Aggiungi articoli'),
('it', 'phpbrain', 'add link', 'Aggiungi link'),
('it', 'phpbrain', 'add question', 'Aggiungi domanda'),
('it', 'phpbrain', 'added file %1', 'Aggiunto file %1'),
('it', 'phpbrain', 'added link %1', 'Aggiunto link %1'),
('it', 'phpbrain', 'added related articles %1', 'Aggiunti articoli correlati %1'),
('it', 'phpbrain', 'advanced search', 'Ricerca avanzata'),
('it', 'phpbrain', 'all articles', 'Tutti gli articoli'),
('it', 'phpbrain', 'allow posting of questions', 'Consenti di porre domande'),
('it', 'phpbrain', 'answer', 'Risposta'),
('it', 'phpbrain', 'anytime', 'In qualunque momento'),
('it', 'phpbrain', 'anywhere in the article', 'Ovunque nell''articolo'),
('it', 'phpbrain', 'are you sure?', 'SEI SICURO?'),
('it', 'phpbrain', 'article', 'Articolo'),
('it', 'phpbrain', 'article added to database, you can now attach files or links, or relate to other articles', 'Articolo aggiunto alla base dati, ora puoi aggiungere file o link, o fare riferimento ad altri articoli.'),
('it', 'phpbrain', 'article created', 'Articolo creato'),
('it', 'phpbrain', 'article deleted', 'Articolo eliminato'),
('it', 'phpbrain', 'article deleted successfully', 'Articolo eliminato con successo'),
('it', 'phpbrain', 'article edited', 'Articolo modificato'),
('it', 'phpbrain', 'article has been published', 'L''articolo è stato pubblicato'),
('it', 'phpbrain', 'article id', 'ID articolo'),
('it', 'phpbrain', 'articles added', 'Articoli aggiunti'),
('it', 'phpbrain', 'articles deleted successfully', 'Articoli eliminati con successo'),
('it', 'phpbrain', 'articles have been published', 'Gli articoli sono stati pubblicati'),
('it', 'phpbrain', 'articles in %1', 'Articoli in %1'),
('it', 'phpbrain', 'articles in %1 and all its subcategories', 'Articoli in %1 e tutte le sue sottocategorie'),
('it', 'phpbrain', 'articles not classified under any category', 'Articoli non classificati in nessuna categoria'),
('it', 'phpbrain', 'ascendent', 'Ascendente'),
('it', 'phpbrain', 'attach file', 'Allega FIle'),
('it', 'phpbrain', 'attached files', 'File allegati'),
('it', 'phpbrain', 'average rating', 'Valutazione media'),
('it', 'phpbrain', 'base directory does not exist, please ask the adminstrator to check the global configuratio', 'La directory base non esiste, chiedi all''amministratore di controllare la configurazione generale.'),
('it', 'phpbrain', 'before submiting a question, please search in the knowledge base first', 'Prima di porre una domanda, per favore prima cerca nell''archivio.'),
('it', 'phpbrain', 'by answering this question you will help to get the answer quicker the next time', 'Rispondendo a questa domanda, aiuterai ad ottenere una risposta più rapida la prossima volta.'),
('it', 'phpbrain', 'comment', 'Commenti'),
('it', 'phpbrain', 'comment and rating have been published', 'I commenti e la valutazione sono stati pubblicati.'),
('it', 'phpbrain', 'comment could not be inserted in the database', 'I commenti non possono essere inseriti nel database.'),
('it', 'phpbrain', 'comment has been deleted', 'I commenti sono stati eliminati.'),
('it', 'phpbrain', 'comment has been published', 'I commenti sono stati pubblicati.'),
('it', 'phpbrain', 'comment has been submited for revision', 'I commenti sono stati sottoposti a revisione.'),
('it', 'phpbrain', 'comment has been submited for revision and rating will be published', 'I commenti sono stati sottoposti a revisione e la valutazione sarà pubblicata.'),
('it', 'phpbrain', 'comments', 'Commenti'),
('it', 'phpbrain', 'configuration', 'Configurazione'),
('it', 'phpbrain', 'create a new article to answer the question asked by %1 in %2', 'Crea un nuovo articolo per rispondere alla domanda posta da %1 in %2'),
('it', 'phpbrain', 'created by %1 on %2', 'Creato da %1 il %2'),
('it', 'phpbrain', 'creation', 'creazione'),
('it', 'phpbrain', 'creation date', 'Data creazione'),
('it', 'phpbrain', 'delete article', 'Elimina articolo'),
('it', 'phpbrain', 'delete selected', 'Elimina selezione'),
('it', 'phpbrain', 'deleted relation to  article %1', 'Eliminata relazione all''articolo %1'),
('it', 'phpbrain', 'deleted relation to article %1', 'Elimina il riferimento all''articolo %1'),
('it', 'phpbrain', 'descendent', 'Discendente'),
('it', 'phpbrain', 'details', 'Dettagli'),
('it', 'phpbrain', 'e-groupware knowledge base article attached', 'Articolo Archivio Conoscenza e-GroupWare allegato'),
('it', 'phpbrain', 'e-mail has been sent', 'l''e-mail è stata spedita'),
('it', 'phpbrain', 'edit article', 'Modifica articolo'),
('it', 'phpbrain', 'enter one or two words describing the issue, or type the article number if you know it', 'Inserisci una o due parole che descrivono il problema, o digita il numero dell''articolo se lo conosci'),
('it', 'phpbrain', 'enterprise knowledge articles repository', 'Repositori degli articoli della Knowledge (della conoscenza ;) )'),
('it', 'phpbrain', 'error deleting article from database', 'Errore durante la cancellazione dell''articolo dal database'),
('it', 'phpbrain', 'error deleting link', 'Errore durante la cancellazione del link'),
('it', 'phpbrain', 'error downloading file', 'Errore durante il download del file'),
('it', 'phpbrain', 'error locating files directory', 'Errore nella localizzazione della directory dei file'),
('it', 'phpbrain', 'error moving file to directory', 'Errore durante lo spostamento del file nella directory'),
('it', 'phpbrain', 'error publishing comment', 'Errore durante la pubblicazione dei commenti'),
('it', 'phpbrain', 'error retrieving article', 'Errore durante il reperimento dell''articolo'),
('it', 'phpbrain', 'error trying to delete comment', 'Errore durante la cancellazione dei commenti'),
('it', 'phpbrain', 'error trying to delete question', 'Errore durante la cancellazione della domanda'),
('it', 'phpbrain', 'error trying to edit article', 'Errore durante la modifica dell''articolo'),
('it', 'phpbrain', 'error trying to publish article', 'Errore durante la pubblicazione dell''articolo'),
('it', 'phpbrain', 'error: file doesn''t exist in the database', 'Errore: il File non esiste nel database'),
('it', 'phpbrain', 'excellent', 'Eccellente'),
('it', 'phpbrain', 'failure trying to delete the file', 'Errore durante la cancellazione del File'),
('it', 'phpbrain', 'file could be deleted from server but not from database', 'Il File potrebbe essere cancellato dal server ma non dal database'),
('it', 'phpbrain', 'file has been successfully uploaded', 'Il File è stato caricato con successo'),
('it', 'phpbrain', 'file was already missing from server, and was deleted from the database', 'Il File era già mancante dal server ed è stato cancellato dal database'),
('it', 'phpbrain', 'file was deleted successfully', 'Il File è stato cancellato con successo'),
('it', 'phpbrain', 'file wasn''t in server and it couldn''t be deleted from the database', 'Il File non era sul server e non poteva essere cancellato dal database'),
('it', 'phpbrain', 'find results', 'Trova risultati'),
('it', 'phpbrain', 'global categories', 'Categorie Globali'),
('it', 'phpbrain', 'history', 'Cronologia'),
('it', 'phpbrain', 'if you can''t find answers to your problem in the knowledge base, describe it below', 'Se non trovi risposte al tuo problema nell''Archivio Conoscenza, descrivilo qui sotto'),
('it', 'phpbrain', 'if you wish, you can comment this article here', 'Se vuoi, puoi commentare questo articolo qui'),
('it', 'phpbrain', 'in %1', 'in %1'),
('it', 'phpbrain', 'in the text', 'nel testo'),
('it', 'phpbrain', 'in the title', 'nel titolo'),
('it', 'phpbrain', 'in the topic', 'nell''argomento'),
('it', 'phpbrain', 'include subcategories', 'Includi sottocategorie'),
('it', 'phpbrain', 'keywords', 'Parole chiave'),
('it', 'phpbrain', 'knowledge base', 'Knowledge Base'),
('it', 'phpbrain', 'knowledge base article #%1', 'Articolo Archivio Conoscenza n. %1'),
('it', 'phpbrain', 'last modification by %1 on %2', 'Ultima modifica di %1 il %2'),
('it', 'phpbrain', 'last modified', 'Ultima modifica'),
('it', 'phpbrain', 'latest', 'Più recenti'),
('it', 'phpbrain', 'latest comments', 'Commenti più recenti'),
('it', 'phpbrain', 'leave empty to automatically generate an id', 'Lascia vuoto per generare automaticamente un ID'),
('it', 'phpbrain', 'link could not be added', 'Il Link non è stato aggiunto'),
('it', 'phpbrain', 'link deleted successfully', 'Link eliminato con successo'),
('it', 'phpbrain', 'link has been added', 'Il Link è stato aggiunto'),
('it', 'phpbrain', 'links', 'Link'),
('it', 'phpbrain', 'links & files', 'Link & File'),
('it', 'phpbrain', 'mail article', 'Invia articolo'),
('it', 'phpbrain', 'main view', 'Vista principale'),
('it', 'phpbrain', 'maintain articles', 'Manutenzione Articoli'),
('it', 'phpbrain', 'maintain questions', 'Manutenzione Domande'),
('it', 'phpbrain', 'maximum number of comments to show:', 'Numero massimo di commenti da visualizzare:'),
('it', 'phpbrain', 'maximum number of most popular articles, latest articles and unanswered questions to show in the main view:', 'Numero massimo di articoli più visti, articoli recenti e domande senza risposta da mostrare nella Vista Principale:'),
('it', 'phpbrain', 'modification date', 'Data modifica'),
('it', 'phpbrain', 'most viewed', 'Più visti'),
('it', 'phpbrain', 'new article', 'Nuovo articolo'),
('it', 'phpbrain', 'nobody has rated this article so far', 'Nessuno ha valutato questo articolo finora'),
('it', 'phpbrain', 'nothing was uploaded!', 'Non è stato caricato niente!'),
('it', 'phpbrain', 'number of results per page', 'Numero di risultati'),
('it', 'phpbrain', 'ocurrences', 'Occorrenze'),
('it', 'phpbrain', 'or browse the categories', 'O sfoglia le categorie'),
('it', 'phpbrain', 'order results by', 'Ordina i risultati per'),
('it', 'phpbrain', 'outstanding published questions', 'Domande pubblicate Outstanding'),
('it', 'phpbrain', 'past %1 months', 'Negli ultimi %1 mesi'),
('it', 'phpbrain', 'past year', 'L''anno scorso'),
('it', 'phpbrain', 'people have rated this article', 'alcuni hanno valutato questo articolo'),
('it', 'phpbrain', 'please rate the pertinence and quality of this article', 'Prego valuta la pertinenza e la qualità di questo articolo'),
('it', 'phpbrain', 'please try again', 'prego riprovare'),
('it', 'phpbrain', 'poor', 'Scarso'),
('it', 'phpbrain', 'printer view', 'Vista stampa'),
('it', 'phpbrain', 'problem relating articles', 'Problema nella correlazione degli articoli'),
('it', 'phpbrain', 'publication date', 'Data pubblicazione'),
('it', 'phpbrain', 'publish', 'Pubblica'),
('it', 'phpbrain', 'publish selected', 'Pubblica i selezionati'),
('it', 'phpbrain', 'published', 'Pubblicato'),
('it', 'phpbrain', 'question deleted successfully', 'Domanda eliminata con successo'),
('it', 'phpbrain', 'questions deleted successfully', 'Domande eliminate con successo'),
('it', 'phpbrain', 'rating has been submited', 'La valutazione è stata inviata'),
('it', 'phpbrain', 'rating invalid', 'Valutazione non valida'),
('it', 'phpbrain', 'recipient', 'Ricevente'),
('it', 'phpbrain', 'related articles in the knowledge base', 'Ariticoli correlati in Archivio Conoscenza'),
('it', 'phpbrain', 'relation with article was removed successfully', 'La relazione con l''articolo è stata rimossa con successo'),
('it', 'phpbrain', 'removed file %1', 'Rimosso File %1'),
('it', 'phpbrain', 'removed link %1', 'Rimosso Link %1'),
('it', 'phpbrain', 'reply-to', 'Rispondi a'),
('it', 'phpbrain', 'search in all the knowledge base', 'Cerca in tutto l''Archivio Conoscenza'),
('it', 'phpbrain', 'search results', 'Risultati Ricerca'),
('it', 'phpbrain', 'see more questions', 'Vedi altre domande'),
('it', 'phpbrain', 'see more questions...', 'Vedi altre domande...'),
('it', 'phpbrain', 'select articles', 'Seleziona articolli'),
('it', 'phpbrain', 'show all comments', 'Mostra tutti i commenti'),
('it', 'phpbrain', 'show articles belonging to:', 'Mostra gli articoli appartenenti a:'),
('it', 'phpbrain', 'show messages in category', 'Mostra i messaggi nella categoria'),
('it', 'phpbrain', 'submit comment', 'Invia commento'),
('it', 'phpbrain', 'submit comment and rating', 'Invia commento e valutazione'),
('it', 'phpbrain', 'suggested category', 'Categoria suggerita'),
('it', 'phpbrain', 'summary', 'Sommario'),
('it', 'phpbrain', 'table of contents', 'Indice dei contenuti'),
('it', 'phpbrain', 'that file already exists', 'Quel File esiste già'),
('it', 'phpbrain', 'the article id must be a number', 'L''ID dell''articolo deve essere un numero'),
('it', 'phpbrain', 'the article is empty', 'L''articolo è vuoto'),
('it', 'phpbrain', 'the file was already missing in the server', 'Il File era già mancante dal server'),
('it', 'phpbrain', 'the following errors occurred', 'Sono avvenuti i seguenti errori'),
('it', 'phpbrain', 'the mail server returned:', 'Il server di posta ha inviato:'),
('it', 'phpbrain', 'the present category and all subcategories under it', 'La categoria attuale e tutte le sue sottocategorie'),
('it', 'phpbrain', 'the present category only', 'Solo la categoria attuale'),
('it', 'phpbrain', 'there are no articles', 'Non ci sono articoli'),
('it', 'phpbrain', 'there are no articles available', 'Non ci sono articoli disponibili'),
('it', 'phpbrain', 'this article hasn''t yet been published in the knowledge base', 'Questo articolo non è ancora stato pubblicato nell''Archivio Conoscenza'),
('it', 'phpbrain', 'title', 'Titolo'),
('it', 'phpbrain', 'to create categories, press ''edit categories'' in the preferences menu', 'Per creare categorie, premi ''Modifica Categorie'' nel menù preferenze'),
('it', 'phpbrain', 'topic', 'Argomento'),
('it', 'phpbrain', 'unable to add rating to database', 'Impossibile aggiungere la valutazione al database'),
('it', 'phpbrain', 'unanswered questions', 'Domande senza risposta'),
('it', 'phpbrain', 'unpublish', 'Annulla pubblicazione'),
('it', 'phpbrain', 'unpublished', 'Non pubblicati'),
('it', 'phpbrain', 'user preferences', 'Preferenze utente'),
('it', 'phpbrain', 'views', 'Viste'),
('it', 'phpbrain', 'was it easy to find this article using the above search string?', 'E'' stato facile trovare questo articolo usando la soprastante stringa di ricerca?'),
('it', 'phpbrain', 'when navigating through categories, choose whether the list of articles shown corresponds only to the present category, or the p', 'Durante la navigazione attraverso le categorie, scegli se l''elenco di articoli mostrato corrisponde solo alla presente categoria, o alla presente categoria e tutte le sue sottocategorie.'),
('it', 'phpbrain', 'with all the words', 'Con tutte le parole'),
('it', 'phpbrain', 'with at least one of the words', 'Con almeno una delle parole'),
('it', 'phpbrain', 'with the exact phrase', 'Con la frase esatta'),
('it', 'phpbrain', 'without the words', 'Senza le parole'),
('it', 'phpbrain', 'you are in %1', 'Tu sei in %1'),
('it', 'phpbrain', 'you have already qualified this article', 'Hai già valutato questo articolo'),
('it', 'phpbrain', 'you have not the proper permissions to do that', 'Non hai i permessi necessari per farlo'),
('it', 'phpbrain', 'you must enter a title', 'Devi inserire un titolo'),
('it', 'phpbrain', 'you must enter a topic', 'Devi inserire un argomento'),
('it', 'phpbrain', 'your message could not be sent!', 'Il tuo messaggio non può essere inviato!'),
('it', 'phpbrain', 'your question will be posted, but only will be published after approval by a user with publishing rights', 'La tua domanda sarà inviata, ma verrà pubblicata dopo l''approvazione da parte di un utente con diritti di pubblicazione.'),
('it', 'phpbrain', 'your question will be published immediately', 'La tua domanda sarà pubblicata immediatamente'),
('it', 'jscalendar', '(shift-)click or drag to change value', '(Shift-)Click o trascina per cambiare valore'),
('it', 'jscalendar', '- click on any of the time parts to increase it', '- Clicca su qualunque parte della data per aumentarla'),
('it', 'jscalendar', '- hold mouse button on any of the above buttons for faster selection.', '- Tieni premuto il tasto del mouse su uno dei pulsanti soprastanti per una selezione veloce.'),
('it', 'jscalendar', '- or click and drag for faster selection.', '- o clicca e trascina per una selezione rapida.'),
('it', 'jscalendar', '- or shift-click to decrease it', '- o Shift-clicca per diminuirlo'),
('it', 'jscalendar', '- use the %1, %2 buttons to select month', '- Usa il bottone %1, %2 per selezionare il mese'),
('it', 'jscalendar', '- use the %1, %2 buttons to select year', '- Usa il bottone %1, %2 per selezionare l''anno'),
('it', 'jscalendar', '3 number of chars for day-shortcut', '3 numeri di caratteri per la scorciatoia Giorno'),
('it', 'jscalendar', '3 number of chars for month-shortcut', '3 numeri di caratteri per la scorciatoia Mese'),
('it', 'jscalendar', 'about the calendar', 'Informazioni sull''Agenda'),
('it', 'jscalendar', 'date selection:', 'Selezione data:'),
('it', 'jscalendar', 'display %s first', 'Mostra prima %1'),
('it', 'jscalendar', 'drag to move', 'Trascina per spostare'),
('it', 'jscalendar', 'go today', 'Vai a Oggi'),
('it', 'jscalendar', 'next month (hold for menu)', 'Mese successivo (premi per menù)'),
('it', 'jscalendar', 'next year (hold for menu)', 'Anno successivo (premi per menù)'),
('it', 'jscalendar', 'prev. month (hold for menu)', 'Mese precedente (premi per menu)'),
('it', 'jscalendar', 'prev. year (hold for menu)', 'Anno precedente (premi per menu)'),
('it', 'jscalendar', 'time selection:', 'Selezione Ora:'),
('it', 'jscalendar', 'toggle first day of week', 'Togli il primo giorno della settimana'),
('it', 'jscalendar', 'wk', 'set'),
('it', 'login', 'sorry, your login has expired', 'Spiacente, il tuo login è scaduto'),
('it', 'login', 'you have been successfully logged out', 'L''uscita è stata effettuata correttamente'),
('it', 'login', 'your session could not be verified.', 'La sessione non può essere verificata.'),
('it', 'login', 'lost login id', 'Id login persa'),
('it', 'login', 'lost password', 'Password persa'),
('it', 'login', 'not a user yet? register now', 'Non sei ancora un utente? Registrati ora'),
('it', 'polls', 'actions', 'azioni'),
('it', 'polls', 'add answer to poll', 'Aggiungi risposta al Sondaggio'),
('it', 'polls', 'add answers', 'Aggiungi risposte'),
('it', 'polls', 'add new poll question', 'Aggiungi nuova domanda al Sondaggio'),
('it', 'polls', 'add questions', 'Aggiungi domande'),
('it', 'polls', 'administrators', 'amministratori'),
('it', 'polls', 'allow users to vote more then once', 'Permetti agli utenti di votare più volte'),
('it', 'polls', 'answer', 'Risposta'),
('it', 'polls', 'answer has been added to poll', 'La risposta è stata aggiunta al sondaggio'),
('it', 'polls', 'answer has been updated', 'La risposta è stata aggiornata'),
('it', 'polls', 'answers', 'Risposte'),
('it', 'polls', 'are you sure want to delete this answer ?', 'Sei sicuro di voler cancellare questa risposta?'),
('it', 'polls', 'are you sure want to delete this question ?', 'Sei sicuro di voler cancellare questa domanda?'),
('it', 'polls', 'current poll', 'Sondaggio corrente'),
('it', 'polls', 'edit answer', 'Modifica risposta'),
('it', 'polls', 'edit poll question', 'Modifica domanda Sondaggio'),
('it', 'polls', 'enter poll question', 'Inserisci domanda Sondaggio'),
('it', 'polls', 'new poll has been added.  you should now add some answers for this poll', 'Il nuovo Sondaggio è stato aggiunto. Ora devi aggiungere alcune risposte per questo sondaggio'),
('it', 'polls', 'noone', 'Nessuno'),
('it', 'polls', 'poll question', 'Domanda Sondaggio'),
('it', 'polls', 'question has been updated', 'La domanda è stata aggiornata'),
('it', 'polls', 'select current poll', 'Seleziona Sondaggio attuale'),
('it', 'polls', 'settings updated', 'Impostazioni aggiornate'),
('it', 'polls', 'show answers', 'Mostra risposte'),
('it', 'polls', 'total votes', 'Totale'),
('it', 'polls', 'view poll', 'Vedi Sondaggio'),
('it', 'polls', 'view results', 'Vedi Risultati'),
('it', 'polls', 'vote', 'Vota'),
('it', 'polls', 'voting booth administration', 'Amministrazione Cabina votazioni'),
('it', 'polls', 'which poll', 'Quale Sondaggio'),
('it', 'projectmanager', '%1 element(s) updated', '%1 elemento/i aggiornato/i'),
('it', 'projectmanager', '%1 new project-elements imported', '%1 nuovi elementi-progetto importati'),
('it', 'projectmanager', '%1 projects deleted', '%1 progetti eliminati'),
('it', 'projectmanager', '%1 records imported', '%1 record importati'),
('it', 'projectmanager', '%1 records read (not yet imported, you may go %2back%3 and uncheck test import)', '%1 record letti (non ancora importati, è possibile tornare %2indietro%3 e deselezionare Test Importazione)'),
('it', 'projectmanager', '%1 times permission denied, %2 projects deleted', '%1 permessi tempi negati, %2 progetti eliminati'),
('it', 'projectmanager', '- planned', '- pianificato'),
('it', 'projectmanager', '0ngoing (0 < % < 100)', 'in corso (0 < % < 100)'),
('it', 'projectmanager', 'a describtive title for the project, must not be empty', 'un titolo descrittivo per il progetto, non può essere vuoto'),
('it', 'projectmanager', 'accounting', 'Contabilità'),
('it', 'projectmanager', 'accounting options', 'Opzioni Contabilità'),
('it', 'projectmanager', 'accounting type', 'Tipo Contabilità'),
('it', 'projectmanager', 'actions', 'Azioni'),
('it', 'projectmanager', 'activity', 'Attività'),
('it', 'projectmanager', 'add a new milestone', 'Aggiungi un nuovo traguardo'),
('it', 'projectmanager', 'add a new project', 'Aggiungi un nuovo progetto'),
('it', 'projectmanager', 'add element', 'Aggiungi un nuovo elemento'),
('it', 'projectmanager', 'add existing', 'Aggiungi esistente'),
('it', 'projectmanager', 'add milestone', 'Aggiungi traguardo'),
('it', 'projectmanager', 'add or edit roles and their acl', 'Aggiungi o modifica ruoli e loro ACL'),
('it', 'projectmanager', 'add price', 'Aggiungi prezzo'),
('it', 'projectmanager', 'add project', 'Aggiungi progetto'),
('it', 'projectmanager', 'add project-elements', 'Aggiungi elementi-progetto'),
('it', 'projectmanager', 'add this role', 'Aggiungi questo ruolo'),
('it', 'projectmanager', 'allow users to change their working times', 'Permetti agli utenti di cambiare i propri orari di lavoro'),
('it', 'projectmanager', 'allowed accounting types', 'Tipi di contabilità permessi'),
('it', 'projectmanager', 'allowed units', 'Unità permesse'),
('it', 'projectmanager', 'anonymous public', 'Pubblico anonimo'),
('it', 'projectmanager', 'app.', 'App.'),
('it', 'projectmanager', 'apply the changes', 'Applica modifiche'),
('it', 'projectmanager', 'archive', 'Archivio'),
('it', 'projectmanager', 'assistant', 'Assistente'),
('it', 'projectmanager', 'at which time do you start working on the given day.', 'A che ora inizi a lavorare nel dato giorno.'),
('it', 'projectmanager', 'availible', 'Disponibile'),
('it', 'projectmanager', 'billable', 'fatturabile'),
('it', 'projectmanager', 'bookable', 'prenotabile'),
('it', 'projectmanager', 'budget', 'Budget'),
('it', 'projectmanager', 'budget (no pricelist)', 'Budget (nessun listino)'),
('it', 'projectmanager', 'budget and pricelist', 'Budget e listino'),
('it', 'projectmanager', 'by', 'da'),
('it', 'projectmanager', 'calculate budget by quantity (eg. time) and price', 'Calcola il budget per quantità (es.tempo) e prezzo'),
('it', 'projectmanager', 'charset of file', 'Set di Caratteri del file'),
('it', 'projectmanager', 'check all', 'Seleziona tutto'),
('it', 'projectmanager', 'close the window, discard the changes made', 'Chiudi la finestra, annulla le modifiche fatte'),
('it', 'projectmanager', 'constraints', 'Vincoli'),
('it', 'projectmanager', 'conversation between days and hours, default 8', 'conversione tra giorni e ore, predefinito 8'),
('it', 'projectmanager', 'coordinator', 'Coordinatore'),
('it', 'projectmanager', 'cost per time', 'Costo orario'),
('it', 'projectmanager', 'create a new empty project or use a template', 'Crea un nuovo progetto vuoto o usa un template'),
('it', 'projectmanager', 'create new links', 'Crea nuovi collegamenti'),
('it', 'projectmanager', 'created', 'creato'),
('it', 'projectmanager', 'created a ganttchart from the checked projects', 'Creato un grafico gantt dai progetti selezionati'),
('it', 'projectmanager', 'csv-fieldname', 'CSV-Nome del Campo'),
('it', 'projectmanager', 'csv-filename', 'CSV-Nome del File'),
('it', 'projectmanager', 'cumulated elements too', 'Anche gli elementi cumulati'),
('it', 'projectmanager', 'custom fields', 'Campi personalizzati'),
('it', 'projectmanager', 'customer title', 'Titolo cliente'),
('it', 'projectmanager', 'datasource', 'Sorgente dati'),
('it', 'projectmanager', 'dates', 'Date'),
('it', 'projectmanager', 'default all and a selectbox to choose', 'tutto predefinito e una selectbox per scegliere'),
('it', 'projectmanager', 'delete all checked projects', 'Elimina tutti i progetti selezionati'),
('it', 'projectmanager', 'delete this milestone', 'Cancella questo traguardo'),
('it', 'projectmanager', 'delete this price', 'Cancella questo prezzo'),
('it', 'projectmanager', 'delete this project', 'Cancella questo progetto'),
('it', 'projectmanager', 'delete this project-element, does not remove the linked entry', 'Cancella questo elemento-progetto, NON rimuove la voce collegata'),
('it', 'projectmanager', 'delete this role', 'Cancella questo ruolo'),
('it', 'projectmanager', 'depth of display', 'Profondità visualizzazione'),
('it', 'projectmanager', 'details of cumulated', 'Dettagli dei cumulati'),
('it', 'projectmanager', 'details of subelements', 'Dettagli dei sottoelementi'),
('it', 'projectmanager', 'do not use that entry as project-element', 'non usare quella voce come elemento-progetto'),
('it', 'projectmanager', 'done (100%)', 'Completato (100%)'),
('it', 'projectmanager', 'edit access, incl. editing budget and elements', 'modifica accesso, incl. modifica budget ed elementi'),
('it', 'projectmanager', 'edit budget', 'Modifica budget'),
('it', 'projectmanager', 'edit milestone', 'Modifica traguardo'),
('it', 'projectmanager', 'edit price', 'Modifica prezzo'),
('it', 'projectmanager', 'edit project', 'Modifica Progetto'),
('it', 'projectmanager', 'edit project-elements', 'Modifica elementi-progetto'),
('it', 'projectmanager', 'edit this milestone', 'Modifica questo traguardo'),
('it', 'projectmanager', 'edit this price', 'Modifica questo prezzo'),
('it', 'projectmanager', 'edit this project', 'Modifica questo progetto'),
('it', 'projectmanager', 'edit this project-element', 'Modifica questo elemento-progetto'),
('it', 'projectmanager', 'edit this role', 'Modifica questo ruolo'),
('it', 'projectmanager', 'elementlist', 'Elenco elementi'),
('it', 'projectmanager', 'elements of elements', 'Elementi di elementi'),
('it', 'projectmanager', 'elements that can''t start before this one is finished', 'Elementi che non possono iniziare prima che questo sia finito'),
('it', 'projectmanager', 'elements which have to be finished before this can start', 'Elementi che devono essere finiti prima che questo possa iniziare'),
('it', 'projectmanager', 'empty', 'Vuoto'),
('it', 'projectmanager', 'empty for all', 'per tutti vuoto'),
('it', 'projectmanager', 'end before', 'Fine prima di'),
('it', 'projectmanager', 'enddate', 'Data fine'),
('it', 'projectmanager', 'error: deleting price !!!', 'Errore: cancellando prezzo !!!'),
('it', 'projectmanager', 'error: deleting project !!!', 'Errore: cancellando progetto !!!'),
('it', 'projectmanager', 'error: deleting project-element !!!', 'Errore: cancellando elemento-progetto !!!'),
('it', 'projectmanager', 'error: deleting role !!!', 'Errore: cancellando ruolo !!!'),
('it', 'projectmanager', 'error: project-id already exist, choose an other one or have one generated by leaving it emtpy !!!', 'Errore: ID-progetto già esistente, scegline un''altra o lasciala generare lasciandola vuota !!!'),
('it', 'projectmanager', 'error: saving milestone', 'Errore: salvando traguardo !!!'),
('it', 'projectmanager', 'error: saving role !!!', 'Errore: salvando ruolo !!!'),
('it', 'projectmanager', 'error: saving the price (%1) !!!', 'Errore: salvando il prezzo (%1) !!!'),
('it', 'projectmanager', 'error: saving the project (%1) !!!', 'Errore: salvando il progetto (%1) !!!'),
('it', 'projectmanager', 'error: saving the project-element (%1) !!!', 'Errore: salvando l''elemento-progetto (%1) !!!'),
('it', 'projectmanager', 'everything recursive', 'Tutto ricorsivo'),
('it', 'projectmanager', 'existing links', 'Collegamenti esistenti'),
('it', 'projectmanager', 'exit without saving', 'Esci senza salvare'),
('it', 'projectmanager', 'fieldseparator', 'Separatore dei campi'),
('it', 'projectmanager', 'free descriptiv text', 'testo descrittivo libero'),
('it', 'projectmanager', 'from %1 to %2', 'da %1 a %2'),
('it', 'projectmanager', 'full access', 'accesso completo'),
('it', 'projectmanager', 'ganttchart', 'Grafico Gantt'),
('it', 'projectmanager', 'ganttchart parameter', 'Parametri per grafico Gantt'),
('it', 'projectmanager', 'general', 'Generale'),
('it', 'projectmanager', 'general availibility', 'Disponibilità generale'),
('it', 'projectmanager', 'general pricelist', 'Listino generale'),
('it', 'projectmanager', 'global categories', 'Categorie Globali'),
('it', 'projectmanager', 'h', 'h'),
('it', 'projectmanager', 'health', 'Salute'),
('it', 'projectmanager', 'hours', 'ore'),
('it', 'projectmanager', 'hours per workday', 'Ore per giorno lavorativo'),
('it', 'projectmanager', 'how long do you work on the given day.', 'Quanto lavori il dato giorno.'),
('it', 'projectmanager', 'how should the project selection in the menu be displayed: a tree gives a better overview, a selectbox might perform better.', 'Come deve essere visualizzata la selezione progetti nel menù: un albero dà un quadro d''insieme migliore, una selectbox può avere prestazioni migliori.'),
('it', 'projectmanager', 'ignore that entry', 'ignora quella voce'),
('it', 'projectmanager', 'ignored', 'ignorato'),
('it', 'projectmanager', 'import', 'Importa'),
('it', 'projectmanager', 'last modified', 'ultima modifica'),
('it', 'projectmanager', 'leave it empty if you dont need a different customer title', 'lascialo vuoto se non serve un titolo cliente differente'),
('it', 'projectmanager', 'leave it empty to have one generated', 'lascialo vuoto per averne uno generato'),
('it', 'projectmanager', 'leave it empty, if identitcal to the time', 'lascialo vuoto se identico all''ora'),
('it', 'projectmanager', 'linked elements', 'elementi collegati'),
('it', 'projectmanager', 'links', 'Collegamenti'),
('it', 'projectmanager', 'mainproject only', 'Solo progetto principale'),
('it', 'projectmanager', 'mainprojects', 'Progetti principali'),
('it', 'projectmanager', 'members', 'Membri'),
('it', 'projectmanager', 'milestone deleted', 'Traguardo cancellato'),
('it', 'projectmanager', 'milestone saved', 'Traguardo salvato'),
('it', 'projectmanager', 'milestones', 'Traguardi'),
('it', 'projectmanager', 'milestones before this element has to be finished', 'I traguardi prima di questo elemento devono essere raggiunti'),
('it', 'projectmanager', 'modified', 'Modificato'),
('it', 'projectmanager', 'modified by', 'modificato da'),
('it', 'projectmanager', 'necessary for project-elements doing that not automatic', 'necessario per gli elementi-progetto che non lo fanno in automatico'),
('it', 'projectmanager', 'necessary php extentions %1 not loaded and can''t be loaded !!!', 'Estensioni PHP necessarie (%1) non caricate e non caricabili !!!'),
('it', 'projectmanager', 'new', 'nuovo'),
('it', 'projectmanager', 'no accounting, only status', 'No contabilità, solo stato'),
('it', 'projectmanager', 'no accounting, only times and status', 'No contabilità, solo ore e stato'),
('it', 'projectmanager', 'no details', 'no dettagli'),
('it', 'projectmanager', 'no read access to the datasource: removing overwritten values will just empty them !!!', 'Nessun accesso READ a sorgente dati: rimuovere i valori sovrascritti li svuoterà solamente !!!'),
('it', 'projectmanager', 'no save necessary', 'non necessario salvare'),
('it', 'projectmanager', 'nonactive', 'non attivo'),
('it', 'projectmanager', 'not started (0%)', 'Non iniziato (0%)'),
('it', 'projectmanager', 'not working', 'non funzionante'),
('it', 'projectmanager', 'number of records to read (%1)', 'Numero di record da leggere (%1)'),
('it', 'projectmanager', 'only this project', 'Solo questo progetto'),
('it', 'projectmanager', 'overwrite the datasource', 'Sovrascrivi sorgente dati'),
('it', 'projectmanager', 'percentage the member is availible for projects', 'Percentuale disponibilità del membro per progetti'),
('it', 'projectmanager', 'percentage the member is availible for this project', 'Percentuale disponibilità del membro per questo progetto'),
('it', 'projectmanager', 'permission denied !!!', 'Permesso negato !!!'),
('it', 'projectmanager', 'planned', 'pianificato'),
('it', 'projectmanager', 'planned times', 'Ore pianificate'),
('it', 'projectmanager', 'please download a recent version from %1 and install it in %2.', 'Per favore scarica una versione recente da %1 e installala in %2.'),
('it', 'projectmanager', 'price', 'Prezzo'),
('it', 'projectmanager', 'price / unit', 'Prezzo / Unità'),
('it', 'projectmanager', 'price deleted', 'Prezzo cancellato'),
('it', 'projectmanager', 'price saved', 'Prezzo salvato'),
('it', 'projectmanager', 'pricelist', 'Listino'),
('it', 'projectmanager', 'project availibility', 'Disponibilità progetto'),
('it', 'projectmanager', 'project deleted', 'Progetto cancellato'),
('it', 'projectmanager', 'project id', 'ID progetto'),
('it', 'projectmanager', 'project members and roles', 'Membri e ruoli progetto'),
('it', 'projectmanager', 'project overview', 'panoramica progetto'),
('it', 'projectmanager', 'project saved', 'Progetto salvato'),
('it', 'projectmanager', 'project specific title, prices, ...', 'Progetto specificato: titolo, prezzi, ...'),
('it', 'projectmanager', 'project-element deleted', 'Elemento-progetto cancellato'),
('it', 'projectmanager', 'project-element saved', 'Elemento-progetto salvato'),
('it', 'projectmanager', 'project-elements', 'Elementi-Progetto'),
('it', 'projectmanager', 'projectlist', 'Elenco progetti'),
('it', 'projectmanager', 'projectmember', 'Membro progetto'),
('it', 'projectmanager', 'quantity', 'Quantità'),
('it', 'projectmanager', 'read access, incl. budget and adding elements', 'accesso in lettura, incl. budget e aggiunta elementi'),
('it', 'projectmanager', 'read access, no budget', 'accesso in lettura, no budget'),
('it', 'projectmanager', 'real end', 'Fine reale'),
('it', 'projectmanager', 'real start', 'Inizio reale'),
('it', 'projectmanager', 'resources', 'Risorse'),
('it', 'projectmanager', 'role', 'Ruolo'),
('it', 'projectmanager', 'role deleted', 'Ruolo cancellato'),
('it', 'projectmanager', 'role saved', 'Ruolo salvato'),
('it', 'projectmanager', 'roles', 'Ruoli'),
('it', 'projectmanager', 'save the changes made', 'Salva le modifiche fatte'),
('it', 'projectmanager', 'save this project element', 'Salva questo elemento progetto'),
('it', 'projectmanager', 'select a project', 'scegli un progetto'),
('it', 'projectmanager', 'select an activity if you want to calculate costs by quantity (time) and price', 'seleziona un''attività se vuoi calcolare i costi per quantità (tempo) e prezzo'),
('it', 'projectmanager', 'select multiple projects for a further action', 'Seleziona più progetti per una successiva azione'),
('it', 'projectmanager', 'select the accounting types visible for users of projectmanager', 'seleziona i tipi contabilità visibili agli utenti di Gestione Progetti'),
('it', 'projectmanager', 'select this project and show it''s elements', 'Seleziona questo progetto e mostra i suoi elementi'),
('it', 'projectmanager', 'selectbox with %1', 'Selectbox con %1'),
('it', 'projectmanager', 'share', 'Condividi'),
('it', 'projectmanager', 'share on the whole project', 'Condividi su tutto il progetto'),
('it', 'projectmanager', 'share on the whole project in hours or percent, defaults to planned time', 'Condividi su tutto il progetto i ore o percentuale, predefinito a tempo pianificato'),
('it', 'projectmanager', 'should projectmanager display the status icons of the datasource (eg. infolog) or just a progressbar with the numerical status (', 'Gestione Progetti deve visualizzare le icone di stato della sorgente dati (es.InfoLog) o solo una barra di progresso con lo stato numerico (più veloce).'),
('it', 'projectmanager', 'show constraints and milestones', 'Mostra vincoli e traguardi'),
('it', 'projectmanager', 'show planned times instead of the real times', 'Mostra tempi pianificati invece di quelli reali'),
('it', 'projectmanager', 'show status icons of the datasources', 'Mostra icone di stato delle sorgenti dati'),
('it', 'projectmanager', 'show the project selection as', 'Mostra la selezione progetti come'),
('it', 'projectmanager', 'site configuration saved', 'Configurazione sito salvata'),
('it', 'projectmanager', 'start after', 'Inizia dopo'),
('it', 'projectmanager', 'start working on %1', 'Ha iniziato a lavorare il %1'),
('it', 'projectmanager', 'start, end, category, ...', 'Inizio, Fine, Categoria, ...'),
('it', 'projectmanager', 'start- & enddate', 'Data Inizio e Fine'),
('it', 'projectmanager', 'startdate', 'Data inizio'),
('it', 'projectmanager', 'startrecord', 'Record Iniziale'),
('it', 'projectmanager', 'status filter', 'Filtro di stato'),
('it', 'projectmanager', 'subelements', 'Sottoelementi'),
('it', 'projectmanager', 'subprojects', 'Sottoprogetti'),
('it', 'projectmanager', 'synchronise all', 'Sincronizza tutto'),
('it', 'projectmanager', 'template', 'Template'),
('it', 'projectmanager', 'template including elment-tree saved as new project', 'Template contenente albero-elementi salvato come nuovo progetto'),
('it', 'projectmanager', 'test import (show importable records <u>only</u> in browser)', 'Test importazione (mostra <u>solo</u> record importabili nel browser)'),
('it', 'projectmanager', 'time', 'Tempo'),
('it', 'projectmanager', 'times', 'Tempi'),
('it', 'projectmanager', 'title must not be empty', 'Il titolo non deve essere vuoto'),
('it', 'projectmanager', 'to many might exceed your execution-time-limit', 'troppi potrebbero far superare il tempo-limite-esecuzione'),
('it', 'projectmanager', 'translation', 'Traduzione'),
('it', 'projectmanager', 'tree with %1', 'Albero con %1'),
('it', 'projectmanager', 'unit', 'Unità'),
('it', 'projectmanager', 'unitprice', 'Prezzo unitario'),
('it', 'projectmanager', 'used', 'usato'),
('it', 'projectmanager', 'valid since', 'Valido fino al'),
('it', 'projectmanager', 'view ganttchart of this project', 'Visualizza grafico Gantt di questo progetto'),
('it', 'projectmanager', 'view milestone', 'Vedi traguardo'),
('it', 'projectmanager', 'view price', 'Vedi prezzo'),
('it', 'projectmanager', 'view project', 'Vedi progetto'),
('it', 'projectmanager', 'view project-elements', 'Vedi elementi-progetto'),
('it', 'projectmanager', 'view this element in %1', 'Vedi questo elemento in %1'),
('it', 'projectmanager', 'view this milestone', 'Vedi questo traguardo'),
('it', 'projectmanager', 'view this price', 'Vedi questo prezzo'),
('it', 'projectmanager', 'view this project', 'Vedi questo progetto'),
('it', 'projectmanager', 'view this project-element', 'Vedi questo elemento-progetto'),
('it', 'projectmanager', 'working duration on %1', 'Durata lavoro il %1'),
('it', 'projectmanager', 'you can leave the date of the first price empty', 'puoi lasciare la data del primo prezzo vuota'),
('it', 'projectmanager', 'you need to select a project first', 'Devi prima selezionare un progetto'),
('it', 'projectmanager', 'your database is not up to date (%1 vs. %2), please run %3setup%4 to update your database.', 'Il tuo database NON è aggiornato (%1 contro %2), per favore esegui %3setup%4 per aggiornarlo.'),
('it', 'registration', '<br>please contact the site administrator.', '<br>Per favore contatta l''amministratore del sito.'),
('it', 'registration', '[unknown first name]', '[nome sconosciuto]'),
('it', 'registration', '[unknown last name]', '[cognome sconosciuto]'),
('it', 'registration', 'account %1 record could not be found, report to site administrator', 'Il record dell''account %1 non è stato trovato, avvisa l''amministratore del sito'),
('it', 'registration', 'account password retrieval', 'Recupero password account'),
('it', 'registration', 'account registration', 'Registrazione account'),
('it', 'registration', 'address', 'Indirizzo');
INSERT INTO `egw_lang` (`lang`, `app_name`, `message_id`, `content`) VALUES
('it', 'registration', 'after you enter your email address, the user accounts associated with this email address will be mailed to that address.', 'Dopo aver inserito il tuo indirizzo email, gli account utente associati con questo indirizzo email saranno inviati a quell''indirizzo.'),
('it', 'registration', 'after you enter your username, instructions to change your password will be sent to you by e-mail to the address you gave when y', 'Dopo aver inserito il tuo nome utente, le istruzioni per modificare la password saranno inviate all''indirizzo e-mail da te indicato in fase di registrazione.'),
('it', 'registration', 'an error occured. please contact our technical support and let them know.', 'E'' avvenuto un errore. Per favore contatta il nostro supporto tecnico e faglielo sapere.'),
('it', 'registration', 'birthday', 'Data di nascita'),
('it', 'registration', 'challenge question', 'Domanda di verifica'),
('it', 'registration', 'change password for user', 'Cambia password per utente'),
('it', 'registration', 'checkbox', 'Checkbox'),
('it', 'registration', 'choose language', 'Scegli una lingua'),
('it', 'registration', 'choose your language', 'Scegli la tua lingua'),
('it', 'registration', 'city', 'Città'),
('it', 'registration', 'click to log into your account', 'Clicca su log per restare loggato'),
('it', 'registration', 'close window', 'Chiudi finestra'),
('it', 'registration', 'country', 'Nazione'),
('it', 'registration', 'current fields:', 'Campi correnti:'),
('it', 'registration', 'dropdown', 'A discesa'),
('it', 'registration', 'email address', 'indirizzo email'),
('it', 'registration', 'enter your new password', 'Inserisci la tua nuova password'),
('it', 'registration', 'female', 'Femmina'),
('it', 'registration', 'gender', 'Sesso'),
('it', 'registration', 'hi', 'Ciao'),
('it', 'registration', 'i have read the terms and conditions and agree by them.', 'Ho letto i termini e le condizioni e li accetto.'),
('it', 'registration', 'if you did not request this account, simply ignore this message.', 'Se non hai richiesto questo account, semplicemente ignora questo messaggio.'),
('it', 'registration', 'if you did not request this change, simply ignore this message.', 'Se non hai richiesto questa modifica, semplicemente ignora questo messaggio.'),
('it', 'registration', 'lost user account retrieval', 'Recupero account utente perso'),
('it', 'registration', 'lost user id', 'Id Utente persa'),
('it', 'registration', 'lost_user_id_message', 'Di seguito gli account utente associati con questo indirizzo email:'),
('it', 'registration', 'male', 'Maschio'),
('it', 'registration', 'name (blank unless text, textarea, dropdown, checkbox; else alphanumeric only)', 'Nome (in bianco tranne Testo, Casella di Testo, A discesa, Checkbox; altrimenti solo alfanumerico)'),
('it', 'registration', 'on-line registration is not activated. please contact the site administrator for more information about registration.', 'La registrazione on-line non è attivata. Prego contatta gli amministratori del sito per maggiori informazioni circa la registrazione.'),
('it', 'registration', 'order', 'Ordine'),
('it', 'registration', 'phone', 'Chiamata Telefonica'),
('it', 'registration', 'problem sending email:', 'Problema durante invio Email:'),
('it', 'registration', 're-enter password', 'Re-inserisci password'),
('it', 'registration', 're-enter your password', 'Re-inserisci la tua password'),
('it', 'registration', 'remove', 'RImuovi'),
('it', 'registration', 'report all problems and abuse to', 'Comunica tutti i problemi e gli abusi a'),
('it', 'registration', 'required', 'Richiesto'),
('it', 'registration', 'response', 'Responso'),
('it', 'registration', 'sorry, no account exists for', 'Spiacente, non esistono account per'),
('it', 'registration', 'sorry, that username does not exist.', 'Spiacente, questo username non esiste.'),
('it', 'registration', 'sorry, that username is already taken.', 'Spiacente, questo username è già utilizzato.'),
('it', 'registration', 'sorry, we are having a problem activating your account. note that links sent by e-mail are only valid during two hours. if you t', 'Spiacente, stiamo avendo dei problemi per attivare il tuo account. Nota che i collegamenti inviati tramite email sono validi solo per due ore. Se pensi che questo tempo sia già passato, semplicemente riprova. Altrimenti, per favore contatta l''amministratore del sito.'),
('it', 'registration', 'state', 'Provincia'),
('it', 'registration', 'terms of service', 'Termini di Servizio'),
('it', 'registration', 'text', 'Testo'),
('it', 'registration', 'textarea', 'Area di Testo'),
('it', 'registration', 'the passwords you entered don''t match', 'Le password che hai inserito non corrispondono'),
('it', 'registration', 'the two passwords are not the same', 'Le due password non sono uguali'),
('it', 'registration', 'this is a confirmation email for your new account.  click on the following link to finish activating your account. this link wil', 'Questa è una mail di conferma per il tuo nuovo account. Clicca sul link seguente per terminare la procedura di attivazione del tuo account. Questo link scadrà tra 2 ore.'),
('it', 'registration', 'type', 'Tipo'),
('it', 'registration', 'unable to send mail, contact your administrator', 'Impossibile inviare posta, contatta il tuo amministratore.'),
('it', 'registration', 'unknown first name', 'Nome sconosciuto'),
('it', 'registration', 'unknown last name', 'Cognome sconosciuto'),
('it', 'registration', 'update/add', 'Aggiorna/Aggiungi'),
('it', 'registration', 'values (for dropdown only; comma separated)', 'Valori (Solo per A discesa; separati da virgole)'),
('it', 'registration', 'we have sent a confirmation email to your email address. you must click on the link within 2 hours. if you do not, it may take a', 'Abbiamo inviato una email di conferma al tuo indirizzo. Devi cliccare sul collegamento entro 2 ore. Se non lo fai, ci potranno volere alcuni giorni prima che la tua id login venga resa di nuovo disponibile.'),
('it', 'registration', 'we have sent a mail to your email account: %s with your lost user ids.', 'Abbiamo spedito una email alla tua casella : %s con il tuo nome utente che hai perso'),
('it', 'registration', 'we have sent a mail with instructions to change your password. you should follow the included link within two hours. if you do n', 'Ti abbiamo spedito un''email con le istruzione per cambiare la tua password. Devi cliccare sul seguente link entro due ore . Se non seguirai queste istruzioni dovrai richiedere la procedura di cambio password.'),
('it', 'registration', 'wrong session', 'Sessione errata'),
('it', 'registration', 'you can go back to the login page', 'Puoi tornare alla pagine di login'),
('it', 'registration', 'you have entered an invalid birthday', 'Hai inserito un compleanno non valido'),
('it', 'registration', 'you have entered an invalid email address', 'Hai inserito un indirizzo email non valido'),
('it', 'registration', 'you must enter a password', 'Devi inserire una password'),
('it', 'registration', 'you must enter a username', 'Devi inserire un nome utente'),
('it', 'registration', 'you must enter an email account', 'Devi inserire un account email'),
('it', 'registration', 'you must fill in all of the required fields', 'Devi compilare tutti i campi richiesti'),
('it', 'registration', 'you requested to change your password. please follow the url below to do so. this url will expire in two hours. after this delay', 'Hai richiesto di cambiare la tua password. Per cortesia clicca su link di seguito . Questo link avrà una durata di due ore . Dopo questo tempo dovrai rifare la procedura per richiedere il cambio password.'),
('it', 'registration', 'you specified a value for %1 that is not a choice', 'Hai specificato un valore per 1% ma non è una scelta valida'),
('it', 'registration', 'your account is now active!', 'Il tuo account ora è attivo !'),
('it', 'registration', 'your password was changed.', 'La tua password è stata cambiata'),
('it', 'registration', 'zip/postal', 'ZIP/Postale'),
('it', 'resources', 'accessories of', 'accessori di'),
('it', 'resources', 'accessories:', 'Accessori:'),
('it', 'resources', 'actions', 'Azioni'),
('it', 'resources', 'add accessory', 'Aggiungi accessorio'),
('it', 'resources', 'add resource', 'aggiungi risorsa'),
('it', 'resources', 'add resources', 'Aggiungi risorse'),
('it', 'resources', 'administrator', 'Amministratore'),
('it', 'resources', 'all categories', 'tutte le categorie'),
('it', 'resources', 'book', 'Prenota'),
('it', 'resources', 'book selected resources', 'prenota risorse selezionate'),
('it', 'resources', 'book this resource', 'Prenota questa risorsa'),
('it', 'resources', 'bookable', 'Prenotabile'),
('it', 'resources', 'buy this article', 'Compra questo articolo'),
('it', 'resources', 'buy this resource', 'Acquista questa risorsa'),
('it', 'resources', 'buyable', 'Acquistabile'),
('it', 'resources', 'categories admin', 'Gestione Categorie'),
('it', 'resources', 'category:', 'Categoria:'),
('it', 'resources', 'check all', 'Seleziona tutto'),
('it', 'resources', 'choose categories admin', 'gestione scelta categorie'),
('it', 'resources', 'clear selection', 'cancella selezione'),
('it', 'resources', 'conflict', 'Conflitto'),
('it', 'resources', 'create new accessory for this resource', 'Crea un nuovo accessorio per questa risorsa'),
('it', 'resources', 'create new links', 'Crea nuovi collegamenti'),
('it', 'resources', 'custom fields', 'Campi Personalizzati'),
('it', 'resources', 'days', 'giorni'),
('it', 'resources', 'delete selected resources', 'elimina risorse selezionate'),
('it', 'resources', 'delete this entry', 'Cancella questa voce'),
('it', 'resources', 'description (short)', 'Descrizione (breve)'),
('it', 'resources', 'direct booking permissions', 'Permessi di prenotazione diretti'),
('it', 'resources', 'don''t use vfs (this will need a symlink --> see readme)', 'Non usare vfs (servirà un symlink --> vedi README)'),
('it', 'resources', 'edit this entry', 'Modifica questa voce'),
('it', 'resources', 'existing links', 'Collegamenti esistenti'),
('it', 'resources', 'exists', 'Esiste'),
('it', 'resources', 'export definitition to use for nextmatch export', 'Esporta la definizione da utilizzare per la esportazione'),
('it', 'resources', 'general', 'Generale'),
('it', 'resources', 'general informations about resource', 'Informazioni generali sulla risorsa'),
('it', 'resources', 'gernal resource', 'risorsa generale'),
('it', 'resources', 'global categories', 'Categorie Globali'),
('it', 'resources', 'hours', 'ore'),
('it', 'resources', 'how many of the resources are useable?', 'Quante risorse sono utilizzabili?'),
('it', 'resources', 'how many of them are useable?', 'Quante di loro sono utilizzabili?'),
('it', 'resources', 'how many of this resource are usable', 'Quante di questa risorse sono utilizzabili'),
('it', 'resources', 'how many of this resource exists', 'Quante di queste risorse esistono'),
('it', 'resources', 'if you specify an export definition, it will be used when you export', 'Se specifichi una definizione di esportazione, allora verrà usata durante la relativa operazione'),
('it', 'resources', 'implies booking permission', 'implica permesso di prenotazione'),
('it', 'resources', 'implies read permission', 'implica permesso di lettura'),
('it', 'resources', 'information about storage', 'Informazioni sullo stoccaggio'),
('it', 'resources', 'informations about the location of resource', 'Informazioni sulla localizzazione della risorsa'),
('it', 'resources', 'insert', 'Inserisci'),
('it', 'resources', 'inventory number', 'Numero inventario'),
('it', 'resources', 'inventory number:', 'Numero inventario:'),
('it', 'resources', 'is resource bookable?', 'La risorsa è prenotabile?'),
('it', 'resources', 'is resource buyable?', 'La risorsa è acquistabile?'),
('it', 'resources', 'is this resource bookable?', 'Questa risorsa è prenotabile?'),
('it', 'resources', 'is this resource buyable?', 'Questa risorsa è acquistabile?'),
('it', 'resources', 'links', 'Collegamenti'),
('it', 'resources', 'location', 'Luogo'),
('it', 'resources', 'location of resource', 'Luogo della risorsa'),
('it', 'resources', 'location:', 'Localizzazione:'),
('it', 'resources', 'manage mapping', 'Gestisci la mappatura'),
('it', 'resources', 'name of resource', 'Nome della risorsa'),
('it', 'resources', 'name:', 'Nome:'),
('it', 'resources', 'no description available', 'nessuna descrizione disponibile'),
('it', 'resources', 'no resources selected', 'Nessuna risorsa selezionata'),
('it', 'resources', 'notify your administrator to correct this situation', 'Avverti il tuo amministratore di correggere questa situazione'),
('it', 'resources', 'picture', 'Immagine'),
('it', 'resources', 'picture source', 'sorgente immagine'),
('it', 'resources', 'picture type is not supported, sorry!', 'Tipo immagine non supportato, spiacente!'),
('it', 'resources', 'pictures or resource', 'Immagini della risorsa'),
('it', 'resources', 'planer', 'pianificatore'),
('it', 'resources', 'prizeing information for booking or buying', 'Prezziario per prenotazione o acquisto'),
('it', 'resources', 'quantity', 'Quantità'),
('it', 'resources', 'quantity of resource', 'Quantità della risorsa'),
('it', 'resources', 'quantity:', 'Quantità:'),
('it', 'resources', 'read calendar permissions', 'Permessi di lettura calendario'),
('it', 'resources', 'read permissions', 'Permessi di lettura'),
('it', 'resources', 'related links', 'Collegamenti relativi'),
('it', 'resources', 'resources list', 'elenco risorse'),
('it', 'resources', 'responsible:', 'Responsabile:'),
('it', 'resources', 'saves entry and exits', 'Salva la voce e esce'),
('it', 'resources', 'select a category', 'Seleziona una categoria'),
('it', 'resources', 'select resource', 'seleziona risorsa'),
('it', 'resources', 'select/deselect all', 'seleziona/deseleziona tutto'),
('it', 'resources', 'short description', 'Descrizione breve'),
('it', 'resources', 'short description of resource', 'Descrizione breve della risorsa'),
('it', 'resources', 'show calendar of resource', 'Mostra calendario della risorsa'),
('it', 'resources', 'something went wrong by deleting resource', 'Qualcosa non ha funzionato cancellando la risorsa'),
('it', 'resources', 'something went wrong by saving resource', 'Qualcosa non ha funzionato salvando la risorsa'),
('it', 'resources', 'storage information', 'Informazioni stoccaggio'),
('it', 'resources', 'storage information:', 'Informazioni stoccaggio:'),
('it', 'resources', 'the calendar of this resource', 'Il Calendario di questa risorsa'),
('it', 'resources', 'this module displays the resources app', 'Questo modulo visualizza l''applicazione risorse'),
('it', 'resources', 'use general resources icon', 'Usa l''icona risorsa generica'),
('it', 'resources', 'use own picture', 'Usa propria immagine'),
('it', 'resources', 'use the category''s icon', 'Usa l''icona della categoria'),
('it', 'resources', 'useable', 'utilizzabile'),
('it', 'resources', 'useable:', 'Utilizzabile:'),
('it', 'resources', 'view accessories for this resource', 'Vedi accessori per questa risorsa'),
('it', 'resources', 'view this entry', 'Vedi questa voce'),
('it', 'resources', 'web-page of resource', 'Pagina Web della risorsa'),
('it', 'resources', 'web-site for this resource', 'Pagina Web di questa risorsa'),
('it', 'resources', 'where to find this resource?', 'Dove trovare questa risorsa?'),
('it', 'resources', 'which category does this resource belong to?', 'A quale categoria appartiene questa risorsa?'),
('it', 'resources', 'write permissions', 'Permessi di scrittura'),
('it', 'resources', 'you are not permitted to get information about this resource!', 'Non hai il permesso di ottenere informazioni su questa risorsa!'),
('it', 'resources', 'you chose more resources than available', 'Hai scelto più risorse di quelle disponibili'),
('it', 'sambaadmin', 'participants', 'Partecipanti'),
('it', 'sitemgr', '%1 content manager', 'Gestione contenuti %1'),
('it', 'sitemgr', '%1 module manager', 'Gestione moduli %1'),
('it', 'sitemgr', '''%1'' is no valid sitemgr-site directory !!!', '''%1'' non è una directory  di sito valida per sitemgr !!!'),
('it', 'sitemgr', '(do not put spaces or punctuation in the name field.)', '(Non mettere spazi o punteggiatura nel campo Nome.)'),
('it', 'sitemgr', '(leave blank to allow insecure logins)', '(lascia vuoto per permettere login insicuri)'),
('it', 'sitemgr', '(only used in case of single file)', '(usato solo in caso di singolo file)'),
('it', 'sitemgr', '<b>autoregistration is not enabled / configured in the registration app !!!</b><br>you need to do so, to get the autoregistratio', '<b>L''autoregistrazione non è abilitata / configurata nell''applicazione Registrazione !!!</b><br>Devi farlo, perché il link autoregistrazione funzioni.'),
('it', 'sitemgr', 'a simple picture galery', 'Una semplice galleria di immagini'),
('it', 'sitemgr', 'actif', 'Attivo'),
('it', 'sitemgr', 'actions', 'Azioni'),
('it', 'sitemgr', 'add a category', 'Aggiungi una categoria'),
('it', 'sitemgr', 'add a new application', 'Aggiungi una nuova applicazione'),
('it', 'sitemgr', 'add a new guestbook', 'Aggiungi un nuovo libro delle visite'),
('it', 'sitemgr', 'add block ...', 'Aggiungi blocco ....'),
('it', 'sitemgr', 'add block to content area %1', 'Aggiungi blocco all''area contenuti %1'),
('it', 'sitemgr', 'add category', 'Aggiungi Categoria'),
('it', 'sitemgr', 'add new page to this category', 'Aggiungi una nuova pagina a questa categoria'),
('it', 'sitemgr', 'add page', 'Aggiungi Pagina'),
('it', 'sitemgr', 'add page to category', 'Aggiungi pagina a categoria'),
('it', 'sitemgr', 'add website', 'Aggiungi Sito Web'),
('it', 'sitemgr', 'address line 2', 'Indirizzo linea 2'),
('it', 'sitemgr', 'administration', 'Amministrazione'),
('it', 'sitemgr', 'administrative menu', 'Menù Amministrazione'),
('it', 'sitemgr', 'administrators', 'amministratori'),
('it', 'sitemgr', 'advanced plus google: also show google search', 'Aggiunta google: Mostra anche la ricerca con google'),
('it', 'sitemgr', 'all available languages', 'Tutte le lingue disponibili'),
('it', 'sitemgr', 'all categories', 'Tutte le categorie'),
('it', 'sitemgr', 'all forums in category %1', 'Tutti i forum nella categoria %1'),
('it', 'sitemgr', 'all languages', 'tutte le lingue'),
('it', 'sitemgr', 'all sites', 'Tutti i siti'),
('it', 'sitemgr', 'all words', 'Tutte le parole'),
('it', 'sitemgr', 'allignment of navigation elements', 'Allineamento degli elementi di navigazione'),
('it', 'sitemgr', 'allow customer to input a note', 'Concenti ai clienti di aggiungere una nota'),
('it', 'sitemgr', 'allow posting of questions', 'Consenti di porre domande'),
('it', 'sitemgr', 'amazon', 'Amazon'),
('it', 'sitemgr', 'amazon server (without www), eg. amazon.com', 'Server Amazon (senza www), es. amazon.com'),
('it', 'sitemgr', 'an application directory', 'Una directory di applicazione'),
('it', 'sitemgr', 'anonymous', 'anonimo'),
('it', 'sitemgr', 'anonymous user login domain', 'Dominio di login utente anonimo'),
('it', 'sitemgr', 'anonymous user''s password', 'Password utente anonimo'),
('it', 'sitemgr', 'anonymous user''s username', 'Nomeutente utente anonimo'),
('it', 'sitemgr', 'anvanced: show all search modes', 'Avanzato: Mostra tutti i moduli di ricerca'),
('it', 'sitemgr', 'any words', 'Ogni parola'),
('it', 'sitemgr', 'applet', 'Applet'),
('it', 'sitemgr', 'application', 'Applicazione'),
('it', 'sitemgr', 'application ''%1'' is not installed !!!<br>please install it, to be able to use the block.', 'L''Applicazione ''%1'' non è installata !!!<br>Per favore installala, per potere usare il blocco.'),
('it', 'sitemgr', 'application sitemgr_module_guestbook must be installed as a egroupware application for this module to run', 'L''applicazione sitemgr_module_guestbook deve essere installata come applicazione eGroupWare perché questo modulo funzioni'),
('it', 'sitemgr', 'apply permissions also to subcategories?', 'Applica i permessi anche alle sottocategorie?'),
('it', 'sitemgr', 'archived', 'archiviato'),
('it', 'sitemgr', 'archived content', 'Contenuto archiviato'),
('it', 'sitemgr', 'are contributors allowed to define new guestbooks?', 'I contribuenti sono autorizzati a definire nuovi guestbooks?'),
('it', 'sitemgr', 'are you sure you want to delete site %1 and all its content? you cannot retrieve it if you continue.', 'Vuoi davvero concellare il sito %1 e tutto il suo contenuto? Non potrai recuperarlo se continui.'),
('it', 'sitemgr', 'are you sure you want to delete the category %1 and all of its associated pages?  you cannot retrieve the deleted pages if you c', 'Sei sicuro di voler cancellare questa categoria %1 e tutte le pagine associate ? Non potrai recuperare le pagine se continui .'),
('it', 'sitemgr', 'ascending', 'Ascendente'),
('it', 'sitemgr', 'ask customer', 'Richiesta cliente'),
('it', 'sitemgr', 'attempt to access information outside current website', 'Tentativo di accedere a informazioni esterne al sito web corrente'),
('it', 'sitemgr', 'attempt to edit non-editable block', 'Tentativo di modificare un blocco non-modificabile'),
('it', 'sitemgr', 'automatic index', 'Indice automatico'),
('it', 'sitemgr', 'automatically generated notification', 'Notifica generata automaticamente'),
('it', 'sitemgr', 'back to module manager', 'Indietro a gestione modulo'),
('it', 'sitemgr', 'back to the list of languages', 'Indietro a elenco lingue'),
('it', 'sitemgr', 'basic settings', 'Impostazioni di base'),
('it', 'sitemgr', 'block not found.', 'Blocco non trovato.'),
('it', 'sitemgr', 'block reloaded', 'Blocco ricaricato'),
('it', 'sitemgr', 'block returned no content.', 'Il blocco non ha restituito nessun contenuto.'),
('it', 'sitemgr', 'block saved', 'Blocco salvato'),
('it', 'sitemgr', 'bookmarks', 'Segnalibri'),
('it', 'sitemgr', 'buy at %1', 'Compra a %1'),
('it', 'sitemgr', 'calendar', 'Agenda'),
('it', 'sitemgr', 'can''t open an url or execute a script, because allow_url_fopen is not set in your php.ini !!!', 'NOn può aprire un URL o eseguire uno script, perchè allow_url_fopen non è configurato nel tuo php.ini'),
('it', 'sitemgr', 'cancel the delete', 'Annulla la cancellazione'),
('it', 'sitemgr', 'cannot move page until it has been saved.', 'NOn puoi spostare una pagina se prima non l''hai salvata'),
('it', 'sitemgr', 'category', 'Categoria'),
('it', 'sitemgr', 'category description', 'Descrizione Categoria'),
('it', 'sitemgr', 'category manager', 'Gestione Categoria'),
('it', 'sitemgr', 'category name', 'Nome Categoria'),
('it', 'sitemgr', 'category saved', 'Categoria salvata'),
('it', 'sitemgr', 'cats are numeric, pages strings', 'Cat. sono numeriche, pagine stringhe'),
('it', 'sitemgr', 'center', 'Centra'),
('it', 'sitemgr', 'changes saved.', 'Modifiche salvate.'),
('it', 'sitemgr', 'choose a category', 'Scegli una categoria'),
('it', 'sitemgr', 'choose a format', 'Scegli un formato'),
('it', 'sitemgr', 'choose a guestbook', 'Scegli un libro delle visite'),
('it', 'sitemgr', 'choose language', 'Scegli una lingua'),
('it', 'sitemgr', 'choose template', 'Scegli template'),
('it', 'sitemgr', 'choose the categories to display', 'Scegli le categorie da mostrare'),
('it', 'sitemgr', 'choose the valid html type (note: not all icons are available):', 'Scegli un tipo di HTML VALIDO ( nota: non tutte le icone sono dispobili )'),
('it', 'sitemgr', 'choose your site''s theme or template.  note that if you changed the above checkbox you need to save before choosing a theme or t', 'Scegli il tema o il template del tuo sito. Nota che se cambi il checkbox di seguito devi salvare perchè la scelta venga memorizzata.'),
('it', 'sitemgr', 'code file', 'Codice del file'),
('it', 'sitemgr', 'codebase url', 'Codice dell''URL'),
('it', 'sitemgr', 'collapse threads', 'Espandi gli argomenti'),
('it', 'sitemgr', 'comment', 'Commento'),
('it', 'sitemgr', 'commit changes', 'Applica modifiche'),
('it', 'sitemgr', 'common prefix of the image-name (a number starting with 1 will be appended)', 'prefisso comune per il nome delle immagini'),
('it', 'sitemgr', 'configure module properties', 'Configura proprietà modulo'),
('it', 'sitemgr', 'configure sitemgr', 'Configura Sitemgr'),
('it', 'sitemgr', 'configure website', 'Configura Sito'),
('it', 'sitemgr', 'contact the administrator.', 'Contatta l''amministratore'),
('it', 'sitemgr', 'content areas', 'Aree contenuti'),
('it', 'sitemgr', 'content blocks', 'Blocchi di contenuti'),
('it', 'sitemgr', 'content blocks for category', 'Blocchi di contenuti per categoria'),
('it', 'sitemgr', 'content manager', 'Manager dei contenuti'),
('it', 'sitemgr', 'contentarea', 'Area contenuti'),
('it', 'sitemgr', 'copyright', 'Copyright'),
('it', 'sitemgr', 'create new version', 'Crea nuova versione'),
('it', 'sitemgr', 'css styles', 'Stili di foglio (CSS)'),
('it', 'sitemgr', 'currency code of the value specified in amount (eg. usd, eur)', 'Valuta dell''ammontare specificato'),
('it', 'sitemgr', 'current section', 'Sezione corrente'),
('it', 'sitemgr', 'custom', 'Personalizzato'),
('it', 'sitemgr', 'default', 'Default'),
('it', 'sitemgr', 'default home page id number', 'Numero ID di default della Homapage'),
('it', 'sitemgr', 'delete block', 'Cancella blocco'),
('it', 'sitemgr', 'delete category', 'Canella categoria'),
('it', 'sitemgr', 'delete page', 'Cancella pagina'),
('it', 'sitemgr', 'delete this application', 'Cancella questa applicazione'),
('it', 'sitemgr', 'delete this block', 'Cancella questo blocco'),
('it', 'sitemgr', 'delete this file or directory', 'Elimina questo file o questa cartella'),
('it', 'sitemgr', 'delete this guestbook', 'Cancella questo guestbook'),
('it', 'sitemgr', 'delete version', 'Cancella versione'),
('it', 'sitemgr', 'deleting all data for %1', 'Cancellazione di tutti i dati per %1'),
('it', 'sitemgr', 'department', 'Dipartimento'),
('it', 'sitemgr', 'descending', 'Discendente'),
('it', 'sitemgr', 'details for language %1 (%2)', 'Dettagli per lingua %1 (%2)'),
('it', 'sitemgr', 'discussions', 'Discussioni'),
('it', 'sitemgr', 'display link to autoregistration below login form?', 'Visualizzazione del link per l''autoregistrazione di suguito dopo il form di login ?'),
('it', 'sitemgr', 'do you realy want to delete the selected categories (including all pages), pages and blocks?', 'Vuoi veramente cancellare le categorie selezionate ( inclusse tutte le pagine), Pagine e blocchi ?'),
('it', 'sitemgr', 'do you realy want to delete this block?', 'Vuoi veramente cancellare questo blocco ?'),
('it', 'sitemgr', 'do you realy want to delete this page?', 'Vuoi veramente cancellare questa pagina?'),
('it', 'sitemgr', 'do you want to delete them?', 'Vuoi eliminarli ?'),
('it', 'sitemgr', 'documentation', 'Documentazione'),
('it', 'sitemgr', 'domain-name (offical dns-name eg. www.egroupware.org) if you want to give the user a choice between searching this site or the w', 'Nome del domino ( ufficiale Nome del DNS es. www.eGroupWare.org) se vuoi dare la possibilità all''utente di scegliere di cercare nel sito o in tutto il web. Lasciando vuoto pconsenti solo la ricerca nel web.'),
('it', 'sitemgr', 'don''t have an account?', 'Non hai un account ?'),
('it', 'sitemgr', 'done', 'Fatto'),
('it', 'sitemgr', 'dont ask', 'Non chiedete'),
('it', 'sitemgr', 'download as zip-archiv', 'Scarica come archivio .Zip'),
('it', 'sitemgr', 'downloaded', 'scaricato'),
('it', 'sitemgr', 'draft', 'bozza'),
('it', 'sitemgr', 'draft mode', 'Modalità bozza'),
('it', 'sitemgr', 'edit category', 'Modifica Categoria'),
('it', 'sitemgr', 'edit mode', 'Modalità modifica'),
('it', 'sitemgr', 'edit notification', 'Modifica la notifica'),
('it', 'sitemgr', 'edit notification message', 'Modifica il messaggio di notifica'),
('it', 'sitemgr', 'edit page', 'Modifica Pagina'),
('it', 'sitemgr', 'edit properties of module %1 for %2 with scope %3', 'Modifica le proprietà del modulo %1 per %2 con campo di applicazione %3'),
('it', 'sitemgr', 'edit site', 'Modifica Sito'),
('it', 'sitemgr', 'edit this block', 'Modifica questo blocco'),
('it', 'sitemgr', 'edit website', 'Modifica Sito Web'),
('it', 'sitemgr', 'egw users', 'Utenti eGW'),
('it', 'sitemgr', 'element successfully deleted.', 'Elemento eliminato con successo'),
('it', 'sitemgr', 'email address', 'indirizzo email'),
('it', 'sitemgr', 'email address of the paypal account selling the item', 'Indirizzo email del tuo account Paypal'),
('it', 'sitemgr', 'enter a name', 'Inserisci un nome'),
('it', 'sitemgr', 'enter the block content here', 'Inserisci il blocco dei contenuti qui'),
('it', 'sitemgr', 'enter the email to be notified about changes of the website.', 'Inserisci l''email per essere notificato dei cambiamenti del sito .'),
('it', 'sitemgr', 'enter the email to be notified about changes of the website:', 'Inserisci l''email per essere notificato dei cambiamenti del sito:'),
('it', 'sitemgr', 'enter the page content here', 'Inserisci il contenuto della pagina qui'),
('it', 'sitemgr', 'enterprise knowledge articles repository', 'Repositori degli articoli della Knowledge (della conoscenza ;) )'),
('it', 'sitemgr', 'entry deleted', 'Voce cancellata'),
('it', 'sitemgr', 'entry duplicated.', 'Voce duplicata'),
('it', 'sitemgr', 'entry saved', 'Voce salvata'),
('it', 'sitemgr', 'entry saved.', 'Voce salvata.'),
('it', 'sitemgr', 'error deleting the element.', 'Errore durante la cancellazione dell''elemento'),
('it', 'sitemgr', 'error deleting the entry!!!', 'Errore durante la cancellazione voce !!!'),
('it', 'sitemgr', 'error saving the entry!!!', 'Errore durante salvataggio voce!!!'),
('it', 'sitemgr', 'error uploading file!', 'Errore di caricamento file!'),
('it', 'sitemgr', 'error writing to the database.', 'Errore durante scrittura su database.'),
('it', 'sitemgr', 'error writing to the database: %1.', 'Errore durante scrittura su database: %1.'),
('it', 'sitemgr', 'everybody', 'Tutti'),
('it', 'sitemgr', 'exact phrase', 'Frase esatta'),
('it', 'sitemgr', 'expand current category', 'Espandi categoria corrente'),
('it', 'sitemgr', 'export', 'esporta'),
('it', 'sitemgr', 'fax', 'Fax'),
('it', 'sitemgr', 'file %1 is not readable by the webserver !!!', 'File %1 non è leggibile dal Server Web !!!'),
('it', 'sitemgr', 'file %1 is outside the docroot of the webserver !!!<br>this module does not allow - for security reasons - to open files outside', 'File %1 è fuori dalla directory di root del webserver !!! <br> Questo modulo non consente - per ragioni di sicurezza - di aprire file fuori dalla docroot.'),
('it', 'sitemgr', 'file contents', 'File contenuti'),
('it', 'sitemgr', 'file download', 'File download'),
('it', 'sitemgr', 'file successful uploaded.', 'File caricato con successo.'),
('it', 'sitemgr', 'filename', 'Nome del file'),
('it', 'sitemgr', 'filesystem path of the directory where xml files are stored', 'Percorso dove i file XML sono memorizzati'),
('it', 'sitemgr', 'filesystem path of the image-directory', 'Percorso della directory delle immagini'),
('it', 'sitemgr', 'filesystem path to sitemgr-site directory', 'Percorso della directory del sito Sitemgr'),
('it', 'sitemgr', 'fill in permissions from parent category? if you check this, below values will be ignored', 'Eriditare i permessi dalle categorie padre ? Se selezioni questa opzione, le impostazioni di seguito verranno ignorate'),
('it', 'sitemgr', 'footer editor', 'Editor del footer'),
('it', 'sitemgr', 'forum', 'Forum'),
('it', 'sitemgr', 'full path of the xslt file that should be applied to the xml files', 'Percorso completo del file XSLT che dovrebbe essere applicato ai file XML'),
('it', 'sitemgr', 'galerie', 'Galleria'),
('it', 'sitemgr', 'gallery plus download', 'Galleria più download'),
('it', 'sitemgr', 'go', 'Vai'),
('it', 'sitemgr', 'go back to page manager', 'Torna al manager di pagina'),
('it', 'sitemgr', 'go back to the category manager.', 'Torna al manager di categoria.'),
('it', 'sitemgr', 'go to', 'Vai a'),
('it', 'sitemgr', 'go to page manager', 'Vai al manager di pagina'),
('it', 'sitemgr', 'google', 'Google'),
('it', 'sitemgr', 'google search', 'Ricerca con Gooogle'),
('it', 'sitemgr', 'group access permissions', 'Gruppo di accesso'),
('it', 'sitemgr', 'group name', 'Nome gruppo'),
('it', 'sitemgr', 'header editor', 'Editor header'),
('it', 'sitemgr', 'hello', 'Ciao'),
('it', 'sitemgr', 'hello world', 'Ciao mondo'),
('it', 'sitemgr', 'helps you respect html/xhtml standards.', 'Ti aiuta a rispettare gli standard HTML / XHTML'),
('it', 'sitemgr', 'horizontal', 'orrizontale'),
('it', 'sitemgr', 'html frame', 'Frame Html'),
('it', 'sitemgr', 'html module', 'Modulo Html'),
('it', 'sitemgr', 'i''m sorry, you do not have write permissions for any site categories.', 'Mi dispiace , non hai i permessi di scrittura per qualsiasi categoria del sito .'),
('it', 'sitemgr', 'id', 'ID'),
('it', 'sitemgr', 'identifier you can use to track an internal inventory number', 'Identificatore che rende possibile il monitoraggio di un numero di inventario interno'),
('it', 'sitemgr', 'if nonsecure redirect to:', 'Se non sicuro fai il redirect a :'),
('it', 'sitemgr', 'if you haven''t done so already, create a user that will be used for public viewing of the site.  recommended name: anonymous.', 'Se non l''hai già fatto , crea un utente che verrà usato per avere pubblico accesso al sito. Nome dell''utente raccomandato: anonymous'),
('it', 'sitemgr', 'image type', 'tipo dell''immagine'),
('it', 'sitemgr', 'implies read permission', 'implica i permessi di lettura'),
('it', 'sitemgr', 'import', 'Importa'),
('it', 'sitemgr', 'index', 'Index'),
('it', 'sitemgr', 'individual access permission', 'Permesso d''accesso individuale'),
('it', 'sitemgr', 'individual access permissions', 'Permessi d''accesso individuale'),
('it', 'sitemgr', 'interface to google website', 'Interfaccia per il sito di Google'),
('it', 'sitemgr', 'invalid template directory ''%1'' !!!', 'Directory del template invalida ''%1'' !!!'),
('it', 'sitemgr', 'knowledge base', 'Knowledge Base'),
('it', 'sitemgr', 'language:', 'Linguaggio:'),
('it', 'sitemgr', 'languages the site user can choose from', 'Lingue del sito, l''utente può scegliere fra:'),
('it', 'sitemgr', 'last entries to the guestbook', 'Ultimo inserimento sul guestbook'),
('it', 'sitemgr', 'latest reply', 'Ultima risposta'),
('it', 'sitemgr', 'links for the tabs (comma seperated)', 'Link per le Tab (separati da virgola)'),
('it', 'sitemgr', 'list of permitted modules specific to content area %1', 'Elenco dei moduli specifici consentiti nel contenuto della pagina %1'),
('it', 'sitemgr', 'login', 'Login'),
('it', 'sitemgr', 'login name', 'Nome utente'),
('it', 'sitemgr', 'main content', 'Contenuto principale'),
('it', 'sitemgr', 'mains', 'Principali'),
('it', 'sitemgr', 'manage archived content', 'Gestione contenuti archiviati'),
('it', 'sitemgr', 'manage categories', 'Gestione categorie'),
('it', 'sitemgr', 'manage categories and pages', 'Gestione categorie e pagine'),
('it', 'sitemgr', 'manage content', 'Gestione contenuto'),
('it', 'sitemgr', 'manage modules', 'Gestione moduli'),
('it', 'sitemgr', 'manage notifications', 'Gestione notifica'),
('it', 'sitemgr', 'manage page specific content', 'Gestione pagina di contenuti specifici'),
('it', 'sitemgr', 'manage site content', 'Gestione contenuto Sito'),
('it', 'sitemgr', 'manage translations', 'Gestione traduzioni'),
('it', 'sitemgr', 'master list of permitted modules', 'Elenco Principale dei moduli consentiti'),
('it', 'sitemgr', 'maximal category depth to be shown', 'Massima profondità di visione della categoria'),
('it', 'sitemgr', 'maximal page depth to be shown', 'Massima profondità di visione della pagina'),
('it', 'sitemgr', 'message not found !!!', 'Messaggio non trovato !!!'),
('it', 'sitemgr', 'message text:', 'Testo del messaggio:'),
('it', 'sitemgr', 'messages are defined for all site languages.', 'I messaggi sono definiti per tutte le lingue del sito.'),
('it', 'sitemgr', 'module %1 is not permitted in this context!', 'Modulo 1% non è consentito in questo contesto !'),
('it', 'sitemgr', 'module ''%1'' not found in: %2! --> exiting', 'Modulo ''1%'' non trovato in: %2--> in uscita'),
('it', 'sitemgr', 'module manager', 'Gestore del modulo'),
('it', 'sitemgr', 'move block down (increase sort order)', 'Spostare il blocco verso il basso'),
('it', 'sitemgr', 'move block up (decrease sort order)', 'Spostare il blocco verso l''alto'),
('it', 'sitemgr', 'move to', 'Sposta a:'),
('it', 'sitemgr', 'name', 'Nome'),
('it', 'sitemgr', 'name of the item for sale', 'Nome degli articoli in saldo'),
('it', 'sitemgr', 'name of the tabs (comma seperated)', 'Nome delle tabs (separati con virgola)'),
('it', 'sitemgr', 'new application', 'Nuova applicazione'),
('it', 'sitemgr', 'new guestbook', 'Nuovo guestbook'),
('it', 'sitemgr', 'new sitemgr site', 'Nuovo sito'),
('it', 'sitemgr', 'no additional arguments required', 'Non è richiesto altro'),
('it', 'sitemgr', 'no anonymous user accounts installed.  notify the administrator.', 'Nessun utente Anonimo impostato. Notificare all''amministratore.'),
('it', 'sitemgr', 'no content areas found in selected template', 'Nessuna area di contenuti trovati nel template selezionato'),
('it', 'sitemgr', 'no content found', 'Nessun contenuto trovato'),
('it', 'sitemgr', 'no groups defined.', 'Gruppi non impostati.'),
('it', 'sitemgr', 'no link to full index', 'Nessun link all''indice principale'),
('it', 'sitemgr', 'no modules permitted for this content area/category', 'Moduli non consentiti per questa contenuto area/categoria'),
('it', 'sitemgr', 'no new modules found !!!', 'Nuovi moduli non trovati !!!'),
('it', 'sitemgr', 'no options available.', 'Opzioni non disponibili .'),
('it', 'sitemgr', 'no pages available', 'pagine non disponibili'),
('it', 'sitemgr', 'no sitelanguages configured', 'Nessuna lingua per il sito configurata'),
('it', 'sitemgr', 'no template file found.', 'File per template non trovato.'),
('it', 'sitemgr', 'no templates found.', 'Template non trovato'),
('it', 'sitemgr', 'no thumbnail availible', 'Anteprima non disponibile'),
('it', 'sitemgr', 'no users defined.', 'Utenti non impostati.'),
('it', 'sitemgr', 'no websites defined', 'Nessun sito impostato'),
('it', 'sitemgr', 'not yet translated', 'non ancora tradotte'),
('it', 'sitemgr', 'notification message not found !!!', 'Messaggio di notifica non trovato !!!'),
('it', 'sitemgr', 'notification not found !!!', 'Notifica non trovata !!!'),
('it', 'sitemgr', 'number of results', 'Numero di risultati'),
('it', 'sitemgr', 'on all pages', 'su tte le pagine'),
('it', 'sitemgr', 'only gallery', 'Solo galleria'),
('it', 'sitemgr', 'only on the first page', 'solo sulla prima pagina'),
('it', 'sitemgr', 'options in search result page', 'Opzioni nelle pagine di risultato della ricerca'),
('it', 'sitemgr', 'or enter the title for a new guestbook', 'o inserisci il titolo per un nuovo libro delle visite'),
('it', 'sitemgr', 'other websites', 'Altri siti web'),
('it', 'sitemgr', 'overview of all available categories', 'Panoramica di tutte le categorie disponibili'),
('it', 'sitemgr', 'overview of one specific category', 'Panoramica di una specifica categoria'),
('it', 'sitemgr', 'page', 'Pagina'),
('it', 'sitemgr', 'page content', 'Contenuto pagina'),
('it', 'sitemgr', 'page manager', 'Gestione pagina'),
('it', 'sitemgr', 'page name', 'Nome pagina'),
('it', 'sitemgr', 'page saved', 'Pagina salvata'),
('it', 'sitemgr', 'page saved.', 'Pagina salvata.'),
('it', 'sitemgr', 'page subtitle', 'Sottotitolo pagina'),
('it', 'sitemgr', 'page title', 'Titolo pagina'),
('it', 'sitemgr', 'pages', 'Pagine'),
('it', 'sitemgr', 'pages:', 'Pagine:'),
('it', 'sitemgr', 'parent', 'Superiore'),
('it', 'sitemgr', 'parent directory', 'Directory superiore'),
('it', 'sitemgr', 'parent section:', 'Sezione superiore:'),
('it', 'sitemgr', 'password', 'password'),
('it', 'sitemgr', 'password that you assigned for the anonymous user account.', 'Password che avete assegnato per l''account utente anonymous.'),
('it', 'sitemgr', 'path', 'percorso'),
('it', 'sitemgr', 'path to image-directory ''%1'' is not valid or readable by the webserver !!!', 'Percoso della directory delle immagini ''%1'' non è valida o leggebile dal Server Web !!!'),
('it', 'sitemgr', 'path to zip binary if not in path of the webserver', 'Il percorso dello zip non è in un percoso del Server Web'),
('it', 'sitemgr', 'pay with paypal', 'Paga con Paypal'),
('it', 'sitemgr', 'paypal', 'Paypal'),
('it', 'sitemgr', 'paypal pay now button', 'Bottone Paga ora con Paypal'),
('it', 'sitemgr', 'percentage', 'Percentuale'),
('it', 'sitemgr', 'phrases in total', 'Totale delle frasi'),
('it', 'sitemgr', 'please enter a name for that site !', 'Per favore inserisci un nome per questo sito !'),
('it', 'sitemgr', 'please sign the guestbook', 'Per favore lascia un commento nel guestbook'),
('it', 'sitemgr', 'post a message to this thread', 'Lascia un messaggio in questo Argomento'),
('it', 'sitemgr', 'prefix', 'Prefisso'),
('it', 'sitemgr', 'prepublished', 'Pre - pubblicato'),
('it', 'sitemgr', 'preunpublished', 'Pre - non pubblicato'),
('it', 'sitemgr', 'previous', 'Precendente'),
('it', 'sitemgr', 'price of the item (empty allows buyer to choose, eg. for donations)', 'Prezzo dell''articolo (vuoto consente all''acquirente di scegliere, ad esempio per le donazioni)'),
('it', 'sitemgr', 'production mode', 'Metodo di produzione'),
('it', 'sitemgr', 'published', 'Pubblicato'),
('it', 'sitemgr', 'quantity items (empty allows buyer to specify)', 'Quantità (vuoto permette all''acquirente di specificarlo)'),
('it', 'sitemgr', 'reactivate content', 'Riattivare il contenuto'),
('it', 'sitemgr', 'read permission', 'Permessi di lettura'),
('it', 'sitemgr', 'redirection', 'Reindirizzamento'),
('it', 'sitemgr', 'refresh', 'Aggiorna'),
('it', 'sitemgr', 'register for one now.', 'Registrati ora per uno.'),
('it', 'sitemgr', 'register new modules', 'Registra nuovi moduli'),
('it', 'sitemgr', 'reload', 'Ricaricare'),
('it', 'sitemgr', 'replies', 'Risposte'),
('it', 'sitemgr', 'required', 'Richiesto'),
('it', 'sitemgr', 'required fields', 'Dati Richiesti'),
('it', 'sitemgr', 'reset', 'Reset'),
('it', 'sitemgr', 'return to forums', 'Ritorna ai forum'),
('it', 'sitemgr', 'return to main menu.', 'Ritorna al menù principale'),
('it', 'sitemgr', 'return to message list', 'Ritorna alla lista dei messaggi'),
('it', 'sitemgr', 'root site index', 'Root indice del sito'),
('it', 'sitemgr', 'save', 'Salva'),
('it', 'sitemgr', 'save block', 'Salva blocco'),
('it', 'sitemgr', 'saved', 'Salvato'),
('it', 'sitemgr', 'scope', 'ambito'),
('it', 'sitemgr', 'search keyword', 'Cerca parola chiave'),
('it', 'sitemgr', 'search language options', 'Cerca opzioni di lingua'),
('it', 'sitemgr', 'search modes', 'Modalità di ricerca'),
('it', 'sitemgr', 'search with', 'Cerca con'),
('it', 'sitemgr', 'seen by', 'Visto da'),
('it', 'sitemgr', 'select a category', 'Seleziona una categoria'),
('it', 'sitemgr', 'select a forum', 'Seleziona un forum'),
('it', 'sitemgr', 'select allowed modules', 'Selezione moduli consentiti'),
('it', 'sitemgr', 'select layout for lang selection', 'Seleziona layout per per la lingua selezionata'),
('it', 'sitemgr', 'select persons and groups that are entitled to configure the website.', 'Seleziona utenti o gruppi che hanno titolo per configurare il sito.'),
('it', 'sitemgr', 'select the templates the user is allowed to see', 'Selezione i template che all''utente è consentito di vedere'),
('it', 'sitemgr', 'select type of navigation', 'Selezionare il tipo di navigazione'),
('it', 'sitemgr', 'selected template %1 does not exist.', 'Il template %1 selezionato  non esiste.'),
('it', 'sitemgr', 'selected theme %1 does not exist.', 'Il Tema %1 selezionato non esiste.'),
('it', 'sitemgr', 'shipping address', 'Indirizzo di spedizione'),
('it', 'sitemgr', 'show contents of a directory', 'Visualizza contenuto di una directory'),
('it', 'sitemgr', 'show contents of a directory with subdirectories', 'Visualizza contenuto di una directory con sotto-directory'),
('it', 'sitemgr', 'show current section only', 'Visualizza solo la sezione corrente'),
('it', 'sitemgr', 'show details for the applications', 'Visualizza i dettagli per le applicazioni'),
('it', 'sitemgr', 'show only (in the next field) selected templates', 'Visualizza  solo (nel campo successivo) i template selezionait'),
('it', 'sitemgr', 'show path?', 'Visualizza percorso ?'),
('it', 'sitemgr', 'show searchbox', 'Visualizza Serch Box'),
('it', 'sitemgr', 'show site index', 'Visualizza l''indice del sito'),
('it', 'sitemgr', 'show subcategories', 'Visualizza sottocategorie'),
('it', 'sitemgr', 'show the title of the wiki page', 'Visualizza il titolo della pagina del Wiki'),
('it', 'sitemgr', 'single file download', 'Unico file da scaricare'),
('it', 'sitemgr', 'site', 'Sito'),
('it', 'sitemgr', 'site %1 has been added, you need to %2configure the site%3 now', 'Il sito %1 è stato aggiunto, devi configurare %2 il sito %3 adesso'),
('it', 'sitemgr', 'site %1 has been updated', 'Sito %1 è stato aggiornato'),
('it', 'sitemgr', 'site administrators', 'Amministratori del Sito'),
('it', 'sitemgr', 'site description', 'Descrizione del sito'),
('it', 'sitemgr', 'site format manager', 'Gestore formato del Sito'),
('it', 'sitemgr', 'site index', 'Indice del Sito'),
('it', 'sitemgr', 'site language', 'Lingua Sito'),
('it', 'sitemgr', 'site name', 'Nome del Sito'),
('it', 'sitemgr', 'sitemgr manual', 'Manuale SiteMgr'),
('it', 'sitemgr', 'sitemgr options', 'Opzioni SiteMrg'),
('it', 'sitemgr', 'sitemgr setup instructions', 'Istruzioni di setup per SiteMrg'),
('it', 'sitemgr', 'sitemgr websites', 'Siti di SiteMrg'),
('it', 'sitemgr', 'size', 'Dimensione'),
('it', 'sitemgr', 'sorry, no content found for you search criteria', 'Mi dispiace, nessun contenuto trovato con il tuo criterio di ricerca'),
('it', 'sitemgr', 'sort order', 'Ordinamento'),
('it', 'sitemgr', 'state', 'Stato'),
('it', 'sitemgr', 'subcategories', 'Sottocategorie'),
('it', 'sitemgr', 'subsections:', 'Sottosezioni:'),
('it', 'sitemgr', 'subtext for image %1', 'Didascalia per immagine %1'),
('it', 'sitemgr', 'subtitle', 'Sottotitolo'),
('it', 'sitemgr', 'summary of one forum', 'Sommario di un forum'),
('it', 'sitemgr', 'suppress link to index (show all)', 'Sopprimere link per indice (mostra tutto)'),
('it', 'sitemgr', 'suppress link to parent category', 'Sopprimere link per categoria padre'),
('it', 'sitemgr', 'suppress main categories', 'Sopprimere categorie principali'),
('it', 'sitemgr', 'suppress the current category', 'Sopprimere l''attuale categoria'),
('it', 'sitemgr', 'suppress the current page', 'Sopprimere l''attuale pagina'),
('it', 'sitemgr', 'table of contents', 'Tabella di Contenuti'),
('it', 'sitemgr', 'template select', 'Selezione template'),
('it', 'sitemgr', 'text allignment', 'Allineamento testo'),
('it', 'sitemgr', 'text of page links', 'Testo del link di pagina'),
('it', 'sitemgr', 'textarea', 'Area di Testo'),
('it', 'sitemgr', 'the category to display, 0 for complete table of contents', 'La categoria da visualizzare, 0 per la completa tabella di contenuti'),
('it', 'sitemgr', 'the complete url or path to a file to be included', 'Url completo o percorso del file che deve essere incluso'),
('it', 'sitemgr', 'the config.inc.php file needs to be edited to point to the egroupware directory. copy the config.inc.php.template file to config', 'Il file config.inc.php deve essere modificato nel puntamento della directory di eGroupWare. Copia il file config.inc.php.template in config.inc.php e a quel punto fai la modifica.'),
('it', 'sitemgr', 'the file to be downloaded', 'Il file da scaricare'),
('it', 'sitemgr', 'the filesystem path to your sitemgr-site directory ''%1'' is probably wrong. go to sitemgr --> define websites and edit/fix the co', 'Il percorso della directory del tuo sitemgr-siste ''%1'' probabilmente è errato. Vai su SiteMgr--> Definisci siti and modifica/correggi il sito in questione.'),
('it', 'sitemgr', 'the first directory to think about is sitemgr-link.  if you move this to the parent directory of sitemgr (your egroupware root d', 'La prima directory a cui dobbiamo pensare è quella di sitemgr-link. Se la sposti nella directory superiore di sitemgr (praticamente la directory principale di egroupware) allora puoi usare il setup per installare l''applicazione (appunto sitemgr-link) e dare l''accesso a tutti tramite l''icona che apparirà sulla barra di navigazione che permetterà il link diretto al sito pubblico. Se non vuoi questa icona , non ci sono ragioni per cui tu debba pensare a questo.'),
('it', 'sitemgr', 'the messages for changes in this language will use the default text, if available.', 'I messaggi per il cambiamento in questa lingua verrà usatoquello di default, se disponibile.'),
('it', 'sitemgr', 'the name field cannot contain punctuation or spaces (field modified).', 'Il Nome non può contenere punteggiatura o spazio'),
('it', 'sitemgr', 'the page name must be unique.', 'Il nome della pagine deve essere unico'),
('it', 'sitemgr', 'the page was successfully saved.', 'La pagina è stata salvata con successo'),
('it', 'sitemgr', 'the path to the file to be downloaded', 'Il percoso del file da scaricare'),
('it', 'sitemgr', 'the person to say hello to', 'La persona dice Ciao a'),
('it', 'sitemgr', 'the requested path %1 is not available.', 'Il percorso %1 non è disponibile!'),
('it', 'sitemgr', 'the second directory is the sitemgr-site directory.  this can be moved <i>anywhere</i>.  it can also be named <i>anything</i>.  ', 'La seconda directory è la quella del sitemgr-site. Questa può essere spostata <i>ovunque</i>. Può essere anche rinominata in <i>qualsiasi nome</i>.Ovunque si snoda, quando punti un browser web su di esso, si aprirà il sito web generato.Supponendo, naturalmente, che tu abbia accuratamente completato i campi del setup qui sotto e anche <b> <i> di aver modificato il config.inc.php </ i> </ b>'),
('it', 'sitemgr', 'the text for the link, if empty the module returns the raw url (without a link)', 'Il testo per il link, se vuoto il modulo restituisce l''url senza link'),
('it', 'sitemgr', 'the url can be relative or absolute.  name must end in a slash.', 'L''URL può essere relativo o assoluto. Il Nome deve terminare con una barra.'),
('it', 'sitemgr', 'the url must be absolute and end in a slash, for example http://mydomain.com/mysite/', 'L''URL deve essere assoluto con lo slash alla fine , per esempio http://mydomain.com/mysite/'),
('it', 'sitemgr', 'the url to display', 'L''''URL da visualizzare'),
('it', 'sitemgr', 'the url to redirect to', 'L''URL da reindirizzare a'),
('it', 'sitemgr', 'the web', 'il web'),
('it', 'sitemgr', 'the website has changed. too see the change, follow this url: $url.', 'Il Sito web è stato cambiato. Per vedere il cambiamento, segui questo URL: $URL.'),
('it', 'sitemgr', 'the whole page', 'la pagina intera'),
('it', 'sitemgr', 'the xml files'' common name', 'Il nome comune dei file XML');
INSERT INTO `egw_lang` (`lang`, `app_name`, `message_id`, `content`) VALUES
('it', 'sitemgr', 'theme or template select', 'Tema o template da selezionare'),
('it', 'sitemgr', 'there are %1 elements in the list.', 'Ci sono %1 elementi nella lista.'),
('it', 'sitemgr', 'there are no categories', 'Non ci sono categorie'),
('it', 'sitemgr', 'there are no forums in this category', 'Non ci sono forum in questa categoria'),
('it', 'sitemgr', 'there are no pages in this section', 'Non ci sono pagine in questa sezione'),
('it', 'sitemgr', 'there are no properties defined for this module', 'NOn ci sono proprietà definite per questo modulo'),
('it', 'sitemgr', 'there are no sections available to you.', 'Non ci sono sezione disponibili per te.'),
('it', 'sitemgr', 'there are two subdirectories off of your sitemgr directory that you should move before you do anything else.  you don''t <i>have<', 'Ci sono due sottodirectory al di fuori della direcotry di sitemgr che devi spostare prima di fare qualsiasi cosa.Non è necessario spostare una di queste directory, anche se dopo probabilmente lo vorrai.'),
('it', 'sitemgr', 'there can only be one version in (pre(un))published state, with the one exeption that one prepublished version can coexist with ', 'Ci può essere solo una versione nello stato (pre(non))pubblicato, con la sola eccezzione che una pre-pubblicata versione può coesistere con una pre-non pubblicata versione'),
('it', 'sitemgr', 'there is no website configured for url %1.  notify the administrator.', 'NON CI SONO SITI WEB CONFIGURATI PER L''URL%1. NOTIFICARE ALL''AMMINISTRATORE'),
('it', 'sitemgr', 'there is nothing to list.', 'Non c''è niente da elencare.'),
('it', 'sitemgr', 'there was an error writing to the database.', 'Si è verificato un errore scrivendo nel database'),
('it', 'sitemgr', 'this block displays a javascript based tree menu', 'Questo blocco visualizza un menu basato su javascript'),
('it', 'sitemgr', 'this block displays the current section''s table of contents', 'Uqesto blocco visualizza l'' attuale sezione di tabella di contenuti'),
('it', 'sitemgr', 'this category has no pages.', 'Questa categoria non ha pagine.'),
('it', 'sitemgr', 'this is a simple sample module', 'Si tratta di un semplice modulo campione'),
('it', 'sitemgr', 'this is only used as an internal name for the website.', 'Questo è solo usato come nome interno al sito'),
('it', 'sitemgr', 'this is used chiefly for meta data and the title bar. if you change the site languages below you have to save before being able ', 'Questo è usato principalmente per meta data e la barra del titolo. Se si modifica la lingua del sito qui di seguito dovete salvare prima di essere in grado di impostare questa preferenza per una nuova lingua.'),
('it', 'sitemgr', 'this is used chiefly for meta data. if you change the site languages below you have to save before being able to set this prefer', 'Questo è usato principalmente per meta data . Se si modifica la lingua del sito qui di seguito dovete salvare prima di essere in grado di impostare questa preferenza per una nuova lingua.'),
('it', 'sitemgr', 'this module create a link for downloading a file from the vfs', 'Questo modulo crea un link per il download di un file dal VFS'),
('it', 'sitemgr', 'this module create a link for downloading a file(s) from the vfs', 'Questo modulo crea un link per il download di files dal VFS'),
('it', 'sitemgr', 'this module displays a login form', 'Questo modulo visualizza Un form di Login'),
('it', 'sitemgr', 'this module displays any kind of navigation element.', 'Questo modulo visualizza ogni tipo di elemto di navigazione.'),
('it', 'sitemgr', 'this module displays bookmarks in a javascript based tree', 'Questo modulo visualizza i preferiti in una struttura basata su javascript'),
('it', 'sitemgr', 'this module displays the current month', 'Questo modulo visualizza il mese corrente'),
('it', 'sitemgr', 'this module displays the egw forums on the web site', 'Questo modulo visualizza i forum eGW sul sito'),
('it', 'sitemgr', 'this module displays the root categories in one block each, with pages and subcategories (incl. their pages if activated).', 'Questo modulo visualizza la root della categorie in un unico blocco, con pagine e sottocategorie ( incluse le loro pagine se attive)'),
('it', 'sitemgr', 'this module includes the contents of an url or file (readable by the webserver and in its docroot !)', 'Questo modulo include i contenuti di un Url o file ( leggibile dal Server Web e nella docroot)'),
('it', 'sitemgr', 'this module is a customisable navigation element', 'Questo modulo è un elemento di navigazione personalizzabile'),
('it', 'sitemgr', 'this module is a selectbox to change the mode (production, draft or edit) plus a link back to sitemgr and to log out. it is mean', 'Questo modulo è un box di selezione che consente il cambio ala modalità( produzione,bozza o modifica )più un link per tornare al SiteMgr e il log-out.E ''pensata solo per gli utenti registrati'),
('it', 'sitemgr', 'this module is a simple html editor', 'Questo modulo è un semplice editor Html'),
('it', 'sitemgr', 'this module lets the users choose a template or shows a template gallery', 'Questo modulo consente agli utenti la scelta di un template o visualizza una galleria dei template'),
('it', 'sitemgr', 'this module lets users choose language', 'Questo modulo lascia agli utenti la possibità di scelta della lingua'),
('it', 'sitemgr', 'this module lets you define pages that redirect to another url, if you use it, there should be no other block defined for the pa', 'Questo modulo consente di definire le pagine che reindirizzeranno su un altro URL, se usato , non ci dovrebbero essere altri blocchi definiti per questa pagina'),
('it', 'sitemgr', 'this module lets you include an applet into the page.', 'Questo modulo consente di includere un applet all''interno della pagina'),
('it', 'sitemgr', 'this module lets you show a given url inside an iframe in the page.', 'Questo modulo consente di mostrare un determinato URL all''interno di un IFRAME nella pagina'),
('it', 'sitemgr', 'this module permits browsing through xml files stored in a directory, and transformed by xslt', 'Questo modulo consente il browsing nei file XML archiviati in una directory, e trasformarli in XSLT'),
('it', 'sitemgr', 'this module provides a complete table of contents, it is automatically used by the toc and category_id get parameters', 'Questo modulo fornisce una completa tabella dei contenuti, questo viene automaticamente utilizzato dal TOC e category_id GET parametri'),
('it', 'sitemgr', 'this module provides a condensed table of contents, meant for side areas', 'Questo modulo fornisce un condensato tabella dei contenuti, pensata per le aree laterali'),
('it', 'sitemgr', 'this module provides tabs', 'Questo modulo fornisce le schede'),
('it', 'sitemgr', 'this module provides the path to the element currently shown', 'Questo modulo fornisce il percorso agli elementi visualizzati attualmente'),
('it', 'sitemgr', 'this module provides the site index, it is automatically used by the index get parameter', 'Questo modulo fornice l''indice del sito , questo viene automaticamente usato dal index GET parameter'),
('it', 'sitemgr', 'this module search throw the content (page title/description and html content)', 'Questo modulo cerca tra i contenuti ( Titolo di pagina/ descrizione e contenuto html)'),
('it', 'sitemgr', 'this module show the status / percentage of the translation of egw', 'Questo modulo visualizza lo stato/percentuale della traduzione di eGW'),
('it', 'sitemgr', 'this must be an absolute directory location.  <b>no trailing slash</b>.', 'Questa deve essere la directory assoluta . <b>Non mettere la barra alla fine</b>.'),
('it', 'sitemgr', 'this should be a comma-separated list of language-codes.', 'Queste deve essere la lista delle lingue separata dalla virgola .'),
('it', 'sitemgr', 'this should be a page that is readable by everyone. if you leave this blank, the site index will be shown by default.', 'Questa deve essere una pagina leggibile da tutti . Se si lascia vuoto verrà visualizzato un indice di default .'),
('it', 'sitemgr', 'this site', 'questo sito'),
('it', 'sitemgr', 'title', 'Titolo'),
('it', 'sitemgr', 'topic', 'Topic'),
('it', 'sitemgr', 'translate', 'Tradurre'),
('it', 'sitemgr', 'translate category', 'Traduci categoria'),
('it', 'sitemgr', 'translate page', 'Traduci pagina'),
('it', 'sitemgr', 'translation manager', 'Gestore di traduzione'),
('it', 'sitemgr', 'translation status', 'Stato della traduzione'),
('it', 'sitemgr', 'unsubscribe', 'Cancella iscrizione'),
('it', 'sitemgr', 'up to table of contents', 'Fino alla tabella dei contenuti'),
('it', 'sitemgr', 'update notification', 'Aggiorna notifica'),
('it', 'sitemgr', 'updating to new category system', 'Aggiornamento a nuova categoria di sistema'),
('it', 'sitemgr', 'url pointing to the image-directory', 'Puntamento dell''URL alla directory delle immagini'),
('it', 'sitemgr', 'url to sitemgr-site', 'URL al sitemgr-site'),
('it', 'sitemgr', 'use current user selected language', 'Usa la lingua attualmente selezionata dall''utente'),
('it', 'sitemgr', 'use default', 'Usa il predefinito'),
('it', 'sitemgr', 'use phpnuke themes instead of templates', 'Usa i temi phpNuke invece delle template'),
('it', 'sitemgr', 'use this module for displaying book ads for the amazon web site', 'Usa questo modulo per visualizzare gli annunci sui libri del sito di Amazon'),
('it', 'sitemgr', 'use this module for displaying wiki-pages', 'usa questo modulo per visualizzare le pagine Wiki'),
('it', 'sitemgr', 'user name', 'Nome utente'),
('it', 'sitemgr', 'validator', 'Validatore'),
('it', 'sitemgr', 'vertical', 'Verticale'),
('it', 'sitemgr', 'view administrative menu', 'Guarda Menù amministrativo'),
('it', 'sitemgr', 'view full index', 'Guarda indice completo'),
('it', 'sitemgr', 'view generated site', 'Guarda il sito generato'),
('it', 'sitemgr', 'view template on this site', 'Guarda template sul sito'),
('it', 'sitemgr', 'view threads', 'Guarda argomenti'),
('it', 'sitemgr', 'viewed', 'visti'),
('it', 'sitemgr', 'web content manager administration', 'Amministrazione del Gestore di contenuti Web'),
('it', 'sitemgr', 'web site manager', 'Gestore del Sito Web'),
('it', 'sitemgr', 'website', 'Sito Web'),
('it', 'sitemgr', 'week', 'settimana'),
('it', 'sitemgr', 'what do you want to do with existing translations of categories and pages for this language?', 'Che cosa si desidera fare con le traduzioni esistenti, delle categorie e pagine per questa lingua?'),
('it', 'sitemgr', 'when is a tab activated?', 'Quando è attivata una scheda?'),
('it', 'sitemgr', 'which application should be executed after login?', 'Quale applicazione si deve eseguire dopo il login'),
('it', 'sitemgr', 'wiki', 'Wiki'),
('it', 'sitemgr', 'wiki startpage', 'Inizio di pagine Wiki'),
('it', 'sitemgr', 'write permission', 'Permessi di scrittura'),
('it', 'sitemgr', 'xml browser', 'XML browser'),
('it', 'sitemgr', 'yes, please delete it', 'Sì, ti preghiamo di eliminarlo'),
('it', 'sitemgr', 'you are not entitled to change the scope of block %1 to cat %2 and page %3', 'Voi non avete il diritto di modificare l''ambito dei blocchi %1 alla Cat %2 e Pagina %3'),
('it', 'sitemgr', 'you are not entitled to create module %1 on this scope', 'Non hai i permessi di creare il modulo %1 in questo ambito'),
('it', 'sitemgr', 'you are not entitled to edit block %1', 'Non hai i permessi per modificare il blocco %1'),
('it', 'sitemgr', 'you can choose the modules that can be used on the site. the first list is a sort of master list, that is consulted if you do no', 'Puoi scegliere i moduli che si possono usare nel sito . La prima lista è una sorta di elenco principale , che viene consultato se non vuoi specificare una lista per aree di contenuti o (sotto) categorie. Poi si può scegliere elenchi specifici per ogni area di contenuti. Nel gestore di categorie queste liste possono essere sovrascritte per ogni sotto categoria.'),
('it', 'sitemgr', 'you can either migrate them to a new language or delete them', 'Si può o migrare a una nuova lingua o eliminarla'),
('it', 'sitemgr', 'you can override each content blocks default title. be aware that not in all content areas the block title will be visible.', 'E'' possibile ignorare ogni titole dei contenuti a blocchi. Stai attento però che potrebbe non comparire in tutte le aree .'),
('it', 'sitemgr', 'you did not choose a module.', 'Nn hai scelto un modulo.'),
('it', 'sitemgr', 'you do not have access to any content on this site.', 'Non hai accesso a nesusn contenuto del sito.'),
('it', 'sitemgr', 'you do not have write permissions for any site categories.', 'Non hai permessi di scrittura su ogni categoria del sito .'),
('it', 'sitemgr', 'you don''t have permission to write in the category', 'Non hai i permessi per scrivere nella categoria'),
('it', 'sitemgr', 'you don''t have permission to write to that category.', 'Non hai i permessi per scrivere in quella categoria'),
('it', 'sitemgr', 'you failed to fill in one or more required fields.', 'Hai sbagliato ad inserire i dati in una o più di campo richiesti.'),
('it', 'sitemgr', 'you have no rights to view wiki content or the wiki is not installed at all !!!', 'NOn hai i prmessi per visualizzare i contenuti del wiki o il wiki non è installato a tutti !!!'),
('it', 'sitemgr', 'you may have deinstalled the used template ''%1''. reinstall it or go to sitemgr --> configure website and select an other one.', 'Il template %1 in uso potrebbe essere stato disinstallato'),
('it', 'sitemgr', 'you must be an admin to edit categories.', 'Devi essere un amministratore per modificare le categorie.'),
('it', 'sitemgr', 'you must be an admin to edit the site header and footer.', 'Devi essere un amministratore per modificare l''header e il footer'),
('it', 'sitemgr', 'you must be an admin to manage module properties.', 'Devi essere un amministratore per impostare le proprietà dei moduli.'),
('it', 'sitemgr', 'you must be an administrator to setup the site manager.', 'Devi essere un amministratore per fare il Setup del gestore del sito'),
('it', 'sitemgr', 'you removed one ore more languages from your site languages.', 'Hai rimosso una o più lingue dalla sezione lingue del tuo sito.'),
('it', 'sitemgr', 'you will remove the message in the following language from your notification system:', 'Potrai rimuovere il messaggio nella seguente lingua dal tuo sistema di notifica:'),
('it', 'sitemgr', 'your calendar', 'La tua agenda'),
('it', 'sitemgr', 'your comment', 'Il tuo commento'),
('it', 'sitemgr', 'your name', 'Il tuo nome'),
('it', 'sitemgr', 'zip code', 'CAP'),
('it', 'sitemgr-link', 'before the public web site can be viewed, you must configure the various locations and preferences.  please go to the sitemgr se', 'Prima che il sito pubblico venga visto, è necessario configurare le varie posizioni e le preferenze. Per favore vai nella pagina di setup di sitemgr seguendo questo link:'),
('it', 'sitemgr-link', 'note that you may get this message if your preferences are incorrect.  for example, if config.inc.php is not found in the direct', 'Nota che se ricevi questo messaggio le tue preferenze non errate. Per esempio, se config.inc.php non viene trovato nella directory che tu hai specificato .'),
('it', 'sitemgr-link', 'sitemgr setup page', 'Pagina di setup SiteMgr'),
('it', 'sitemgr-link', 'your administrator has not yet setup the web content manager for public viewing.  go bug your administrator to get their butt in', 'Il tuo amministratore non ha fatto il setup del Gestore dei contenuti Web per renderlo pubblico . Avverti il tuo amministratore'),
('it', 'syncml', 'accepted', 'Accettato'),
('it', 'syncml', 'all incl. rejected', 'Tutti, incusi i rigettati'),
('it', 'syncml', 'jobs', 'Jobs'),
('it', 'syncml', 'not rejected', 'Non rifiutato'),
('it', 'syncml', 'owner too', 'Anche il proprietario'),
('it', 'timesheet', '--> enter new name', '->> inserisci nuovo nome'),
('it', 'timesheet', '2 month ago', '2 mesi fa'),
('it', 'timesheet', '2 years ago', '2 anni fa'),
('it', 'timesheet', '3 years ago', '3 anni fa'),
('it', 'timesheet', 'all projects', 'Tutti i progetti'),
('it', 'timesheet', 'applies the changes', 'applica le modifiche'),
('it', 'timesheet', 'by', 'di'),
('it', 'timesheet', 'check all', 'Seleziona tutto'),
('it', 'timesheet', 'comment by %1 at %2:', 'Commento di %1 il %2:'),
('it', 'timesheet', 'create new links', 'Crea nuovi collegamenti'),
('it', 'timesheet', 'creates a new field', 'Crea un nuovo campo'),
('it', 'timesheet', 'creating new entry', 'creazione di una nuova voce'),
('it', 'timesheet', 'custom fields', 'Campi Personalizzati'),
('it', 'timesheet', 'delete this status', 'Cancella questo stato'),
('it', 'timesheet', 'deleted', 'cancellato'),
('it', 'timesheet', 'deletes this field', 'Cancella questo campo'),
('it', 'timesheet', 'determines the order the fields are displayed', 'Determina l''ordine di visualizzazione dei campi'),
('it', 'timesheet', 'each value is a line like <id>[=<label>]', 'ogni valore è una linea come <id>[=<label>]'),
('it', 'timesheet', 'edit status', 'Modifica lo Stato'),
('it', 'timesheet', 'edit this entry', 'Modifica questa voce'),
('it', 'timesheet', 'empty if identical to duration', 'vuoto se identico a durata'),
('it', 'timesheet', 'end', 'Fine'),
('it', 'timesheet', 'entry deleted', 'Voce eliminata'),
('it', 'timesheet', 'entry saved', 'Voce salvata'),
('it', 'timesheet', 'error deleting the entry!!!', 'Errore durante cancellazione voce!!!'),
('it', 'timesheet', 'error saving the entry!!!', 'Errore durante salvataggio voce!!!'),
('it', 'timesheet', 'existing links', 'Collegamenti esistenti'),
('it', 'timesheet', 'export', 'esporta'),
('it', 'timesheet', 'field must not be empty !!!', 'Il campo non può essere vuoto !!!'),
('it', 'timesheet', 'general', 'Generale'),
('it', 'timesheet', 'global categories', 'Categorie Globali'),
('it', 'timesheet', 'history', 'Storico'),
('it', 'timesheet', 'id', 'ID'),
('it', 'timesheet', 'last modified', 'Ultima modifica'),
('it', 'timesheet', 'last month', 'Mese scorso'),
('it', 'timesheet', 'last week', 'Settimana scorsa'),
('it', 'timesheet', 'last year', 'L''anno scorso'),
('it', 'timesheet', 'leave it empty for a full week', 'Lascia vuoto per una settimana completa'),
('it', 'timesheet', 'leaves without saveing', 'esce senza salvare'),
('it', 'timesheet', 'length<br>rows', 'Lunghezza<br>Righe'),
('it', 'timesheet', 'links', 'Collegamenti'),
('it', 'timesheet', 'max length of the input [, length of the inputfield (optional)]', 'lunghezza massima del input [, length of the inputfield (optional)]'),
('it', 'timesheet', 'new ticket submitted by %1 at %2', 'Nuovo ticket inoltrato da %1 al %2'),
('it', 'timesheet', 'no details', 'no dettagli'),
('it', 'timesheet', 'no project', 'Nessun progetto'),
('it', 'timesheet', 'number of row for a multiline inputfield or line of a multi-select-box', 'Numero di righe per un campo di testo oppure un campo di selezione multipla'),
('it', 'timesheet', 'or endtime', 'o OraFine'),
('it', 'timesheet', 'order', 'Ordine'),
('it', 'timesheet', 'parent', 'Superiore'),
('it', 'timesheet', 'permission denied!!!', 'Permesso negato!!!'),
('it', 'timesheet', 'price', 'Prezzo'),
('it', 'timesheet', 'quantity', 'Quantità'),
('it', 'timesheet', 'save & new', 'Salva & Nuovo'),
('it', 'timesheet', 'saves the changes made', 'Salva le modifiche fatte'),
('it', 'timesheet', 'saves the changes made and leaves', 'salva le modifiche fatte ed esce'),
('it', 'timesheet', 'saves this entry and add a new one', 'Salva questa voce e ne aggiunge una nuova'),
('it', 'timesheet', 'select a price', 'Seleziona un prezzo'),
('it', 'timesheet', 'select a project', 'Seleziona un progetto'),
('it', 'timesheet', 'start', 'Inizio'),
('it', 'timesheet', 'starttime', 'OraInizio'),
('it', 'timesheet', 'sum %1:', 'Somma %1:'),
('it', 'timesheet', 'the name used internaly (<= 20 chars), changeing it makes existing data unavailible', 'il nome usato internamente (<= 20 caratteri), cambiarlo rende i dati esistenti indisponibili'),
('it', 'timesheet', 'the text displayed to the user', 'il testo mostrato all''utente'),
('it', 'timesheet', 'this month', 'Questo mese'),
('it', 'timesheet', 'this week', 'Questa settimana'),
('it', 'timesheet', 'this year', 'Questo anno'),
('it', 'timesheet', 'ticket modified by %1 at %2', 'Ticket modificato da %1 al %2'),
('it', 'timesheet', 'tracker', 'Tracking'),
('it', 'timesheet', 'unitprice', 'Prezzo unitario'),
('it', 'timesheet', 'values for selectbox', 'Valori per la selectbox'),
('it', 'timesheet', 'view this entry', 'Vedi questa voce'),
('it', 'timesheet', 'week', 'Settimana'),
('it', 'timesheet', 'yesterday', 'Ieri'),
('it', 'timesheet', 'your database is not up to date (%1 vs. %2), please run %3setup%4 to update your database.', 'Il tuo database NON è aggiornato (%1 contro %2), prego esegui %3setup%4 per aggiornare il database.'),
('it', 'tracker', '%1 entries updated.', '%1 voci aggiornate.'),
('it', 'tracker', '%1 tickets have been converted', '%1 tickets sono stati convertiti'),
('it', 'tracker', '&#9830; not closed', '&#9830; Non chiusi'),
('it', 'tracker', '&#9830; own not closed', '&#9830; Propri non chiusi'),
('it', 'tracker', '&#9830; own without reply not closed', '&#9830; Propri senza risposte e non chiusi'),
('it', 'tracker', '&#9830; without 30 days reply not closed', '&#9830; Da 30 giorni senza risposte e non chiusi'),
('it', 'tracker', '&#9830; without reply not closed', '&#9830; Senza risposte  e non chiusi'),
('it', 'tracker', '(new tickets as', '( Nuovo ticket come'),
('it', 'tracker', '--> choose a project from the drop-down list', '--> scegli un progetto dal menù a tendina'),
('it', 'tracker', '--> enter new name', '->> inserisci nuovo nome'),
('it', 'tracker', '1 - lowest', '1 - più bassa'),
('it', 'tracker', '5 - medium', '5 - media'),
('it', 'tracker', '9 - highest', '9 - più alta'),
('it', 'tracker', 'accepted', 'Accettato'),
('it', 'tracker', 'activate users queue access control', 'Attivazione controllo accessi utenti'),
('it', 'tracker', 'add additionally', 'Aggiungi inoltre'),
('it', 'tracker', 'add assigned', 'Aggiungi assegnatario'),
('it', 'tracker', 'add comment', 'Aggiungi commento'),
('it', 'tracker', 'add timesheet entry', 'Aggiungi timesheet'),
('it', 'tracker', 'after', 'dopo'),
('it', 'tracker', 'after how many days a not replied item should be marked overdue?', 'Dopo quanti giorni un oggetto senza risposta sarà considerato scaduto?'),
('it', 'tracker', 'after how many days pending items should be closed automatic', 'Dopo quanti giorni gli oggetti in sospeso saranno chiusi automaticamente?'),
('it', 'tracker', 'all tickets are already converted to tracker', 'tutti i tickets sono già convertite al Tracker'),
('it', 'tracker', 'allow bounties', 'Consenti bounty'),
('it', 'tracker', 'allow default projects for tracker', 'Consenti progetto di default per Tracker'),
('it', 'tracker', 'allow editing by', 'Consenti modifica di'),
('it', 'tracker', 'allow the predefinition of projects that will be assigned to new tracker-items.', 'Consenti di definire il progetto di riferimento alla creazione di un nuovo oggetto tracker'),
('it', 'tracker', 'allow to assign groups to tracker items', 'Permetti di assegnare gruppi agli oggetti tracker'),
('it', 'tracker', 'allow voting', 'Permetti votazione'),
('it', 'tracker', 'allow voting on tracker items, show and sort after the votes', 'Permetti votazione degli oggetti tracker, mostra e ordina in base alle votazioni'),
('it', 'tracker', 'amount', 'Importo'),
('it', 'tracker', 'assign to project', 'Assegna al progetto'),
('it', 'tracker', 'assigned to', 'Assegnato a'),
('it', 'tracker', 'assigning groups', 'Gruppi assegnazione'),
('it', 'tracker', 'attachments & links', 'Allegati e Collegamenti'),
('it', 'tracker', 'autoassign to', 'Autoassegna a'),
('it', 'tracker', 'automatic email handling', 'Elaborazione automatica mail'),
('it', 'tracker', 'bounties', 'Bounty'),
('it', 'tracker', 'bounty confirmed', 'Bounty confermato'),
('it', 'tracker', 'bounty confirmed.', 'Bounty confermato'),
('it', 'tracker', 'bounty deleted', 'Bounty cancellato'),
('it', 'tracker', 'bounty deleted.', 'Bounty cancellato'),
('it', 'tracker', 'bounty set', 'Bounty impostato'),
('it', 'tracker', 'canned response', 'Risposta preconfezionata'),
('it', 'tracker', 'canned responses', 'Risposte preconfezionate'),
('it', 'tracker', 'categories, versions, canned responses', 'Categorie, versioni, risposte preconfezionate'),
('it', 'tracker', 'changes made below will be lost, if not applied before!', 'le modifiche apportate fino ad ora andranno perdute , se non applicate prima !'),
('it', 'tracker', 'check all', 'Seleziona tutto'),
('it', 'tracker', 'check mail interval', 'Controllo della mail ogni'),
('it', 'tracker', 'choose a project from the drop-down list', 'scegli il progetto dal menù a tendina'),
('it', 'tracker', 'close pending', 'Chiudi in sospeso'),
('it', 'tracker', 'closed', 'Chiuso'),
('it', 'tracker', 'comment by %1 at %2:', 'Commento di %1 il %2:'),
('it', 'tracker', 'comments', 'Commenti'),
('it', 'tracker', 'completed', 'Completato'),
('it', 'tracker', 'configuration', 'Configurazione'),
('it', 'tracker', 'configuration for all trackers', 'Configurazione per tutte le code di tracker'),
('it', 'tracker', 'configuration updated.', 'Configurazione aggiornata'),
('it', 'tracker', 'configuration, acl, notifications', 'Configurazione, ACL, Notifiche'),
('it', 'tracker', 'confirm that you pay the specified bounty to implement or fix the issue', 'Conferma che paghi il bounty specificato per implementare o correggere il problema'),
('it', 'tracker', 'confirm the receipt of money for this bounty', 'Conferma il ricevimento di denaro per questo bounty'),
('it', 'tracker', 'confirmed', 'Confermato'),
('it', 'tracker', 'convert all closed tickets', 'convertire tutti i ticket chiusi'),
('it', 'tracker', 'convert all open tickets', 'convertire tutti i ticket aperti'),
('it', 'tracker', 'converted count', 'contatore convertitore'),
('it', 'tracker', 'copy to', 'Copia a'),
('it', 'tracker', 'create new links', 'Crea nuovi collegamenti'),
('it', 'tracker', 'created', 'Creato'),
('it', 'tracker', 'creation date', 'date di creazione'),
('it', 'tracker', 'creator', 'Creatore'),
('it', 'tracker', 'custom fields', 'Campi Personalizzati'),
('it', 'tracker', 'custom tracker priorities', 'Priorità del tracker personalizzate'),
('it', 'tracker', 'date opened', 'Data apertura'),
('it', 'tracker', 'delete mails from server', 'Cancella mail dal server'),
('it', 'tracker', 'delete this bounty', 'Cancella questo bounty'),
('it', 'tracker', 'delete this canned response', 'Cancella questa risposta preconfezionata'),
('it', 'tracker', 'delete this category', 'Elimina questa categoria'),
('it', 'tracker', 'delete this entry', 'Cancella questa voce'),
('it', 'tracker', 'delete this escalation', 'Cancella questa azione'),
('it', 'tracker', 'delete this status', 'Cancella questo stato'),
('it', 'tracker', 'delete this tracker including all it''s items and categories', 'Elimina questo tracker inclusi tutti i suoi oggetti e categorie'),
('it', 'tracker', 'delete this version', 'Elimina questa versione'),
('it', 'tracker', 'deleted', 'Eliminato'),
('it', 'tracker', 'do you want to vote for this item', 'Vuoi votare per questo oggetto'),
('it', 'tracker', 'donator name to show', 'Nome donatore da mostrare'),
('it', 'tracker', 'duplicate', 'Duplica'),
('it', 'tracker', 'e-mail address to which a copy of all tracker-notifications should be send', 'Indirizzo e-mail al quale inviare una copia di tutte le notifiche tracker'),
('it', 'tracker', 'e-mail notifications', 'Notifiche e-mail'),
('it', 'tracker', 'edit %1', 'Modifica %1'),
('it', 'tracker', 'edit entry', 'Edita voce'),
('it', 'tracker', 'email address to contact you', 'Indirizzo e-mail per contattarti'),
('it', 'tracker', 'email handling can be configured only for all trackers', 'L''elaborazione delle mail può essere configurato solo per tutti i trackers'),
('it', 'tracker', 'enter the mail address that will be read.', 'Inserisci l''indirizzo email che vuoi venga legga'),
('it', 'tracker', 'entry saved', 'Voce salvata'),
('it', 'tracker', 'error adding the new tracker!', 'Errore durante aggiunta nuovo tracker!'),
('it', 'tracker', 'error deleting escalation!', 'Errore durante la cancellazione dell''azione'),
('it', 'tracker', 'error saving the entry!!!', 'Errore durante salvataggio voce!!!'),
('it', 'tracker', 'escalation', 'Azioni'),
('it', 'tracker', 'escalation added.', 'Azione aggiunta'),
('it', 'tracker', 'escalation deleted.', 'Azione cancellata'),
('it', 'tracker', 'escalation not found!', 'Azione non trovata'),
('it', 'tracker', 'escalation saved.', 'Azione salvata'),
('it', 'tracker', 'everybody', 'Tutti'),
('it', 'tracker', 'existing links', 'Collegamenti esistenti'),
('it', 'tracker', 'field', 'Campo'),
('it', 'tracker', 'fixed', 'Corretto'),
('it', 'tracker', 'forward to', 'Inoltra a'),
('it', 'tracker', 'forward unrecognized mails to the email address that has to be specified here.', 'Inoltra le mail non roconosciute all''indirizzo email che ho specificato qui.'),
('it', 'tracker', 'from', 'Da'),
('it', 'tracker', 'history', 'Cronologia'),
('it', 'tracker', 'html editing', 'Editor Html'),
('it', 'tracker', 'id', 'ID'),
('it', 'tracker', 'if this item is important for you, please consider to set a bounty for it!', 'Se questo oggetto è importante per te, per favore considera la possibilità di mettere un Bounty sullo stesso!'),
('it', 'tracker', 'if this item is important for you, please vote for it.', 'Se questo oggetto è importante per te, per favore votalo.'),
('it', 'tracker', 'ignore', 'Ignora'),
('it', 'tracker', 'import tts tickets', 'Importa TTS tickets'),
('it', 'tracker', 'incoming mail folder', 'Cartella della posta in arrivo'),
('it', 'tracker', 'incoming mail rules', 'Regole della posta in arrivo'),
('it', 'tracker', 'incoming mail server', 'Server della posta in arrivo'),
('it', 'tracker', 'interval in minutes for checking the incoming mails', 'Intervallo in minuti controllo nuove email in arrivo'),
('it', 'tracker', 'invalid', 'Non valido'),
('it', 'tracker', 'item assignee', 'Assegnatario oggetto'),
('it', 'tracker', 'item creator', 'Creatore oggetto'),
('it', 'tracker', 'language for the copy', 'Lingua per la copia'),
('it', 'tracker', 'last modified', 'Ultima modifica'),
('it', 'tracker', 'last reply', 'ultima risposta'),
('it', 'tracker', 'later', 'Più tardi'),
('it', 'tracker', 'links', 'Collegamenti'),
('it', 'tracker', 'mail handling', 'Elaborazione mail'),
('it', 'tracker', 'new %1', 'Nuovo %1'),
('it', 'tracker', 'new items', 'Nuovi oggetti'),
('it', 'tracker', 'new ticket submitted by %1 at %2', 'Nuovo ticket inoltrato da %1 al %2'),
('it', 'tracker', 'new tracker item submitted by %1 at %2', 'Nuovo oggetto tracker aggiunto da %1 il %2'),
('it', 'tracker', 'no change', 'Nessuna modifica'),
('it', 'tracker', 'no trackers found, aborting', 'Trackers non trovati , in chiusura'),
('it', 'tracker', 'non-anonymous users', 'Utenti non-anonimi'),
('it', 'tracker', 'noone', 'Nessuno'),
('it', 'tracker', 'notification', 'Notifica'),
('it', 'tracker', 'out of date', 'Scaduto'),
('it', 'tracker', 'overdue after', 'Scaduto dopo'),
('it', 'tracker', 'ownership of the ticket', 'Proprietà del ticket'),
('it', 'tracker', 'pending', 'In sospeso'),
('it', 'tracker', 'pending items never get close automatic.', 'Gli oggetti in sospeso non vengono mai chiusi automaticamente.'),
('it', 'tracker', 'pending items will be closed automatic after %1 days without response.', 'Gli oggetti in sospeso saranno chiusi automaticamente dopo %1 giorni senza risposta.'),
('it', 'tracker', 'permission denied !!!', 'Permesso negato'),
('it', 'tracker', 'permit html editing in overview and comments', 'Consenti l''uso dell''editor html in visione e nei commenti'),
('it', 'tracker', 'port number', 'Porta n°'),
('it', 'tracker', 'postponed', 'Posticipato'),
('it', 'tracker', 'print entry', 'Stampa voce'),
('it', 'tracker', 'priorities', 'Priorità'),
('it', 'tracker', 'project selection', 'Selezione progetto'),
('it', 'tracker', 'projects', 'Progetti'),
('it', 'tracker', 'queue', 'Code'),
('it', 'tracker', 'read mail address', 'Leggi la posta'),
('it', 'tracker', 'receive notifications about assigned tracker-items', 'Ricezione notifiche riguardo oggetti-tracker assegnati'),
('it', 'tracker', 'receive notifications about created tracker-items', 'Ricezione notifiche riguardo oggetti-tracker creati'),
('it', 'tracker', 'receive notifications in html', 'Ricezione notifiche in html'),
('it', 'tracker', 'rejected', 'Rifiutato'),
('it', 'tracker', 'remind', 'Ricorda'),
('it', 'tracker', 'resolution', 'Soluzione'),
('it', 'tracker', 'restict tracker items to the creator and the staff only', 'Restringi l''accesso agli oggetti-tracker solo al creatore e allo Staff'),
('it', 'tracker', 'restict tracker items to the creators primary group and the staff only', 'Restringi l''accesso agli oggetti-tracker solo ai creatori del gruppo primario e allo Staff'),
('it', 'tracker', 'restrict tracker items to staff and:', 'Restringi l''accesso agli oggetti-tracker allo staff e:'),
('it', 'tracker', 'restriction', 'Restrizioni'),
('it', 'tracker', 'select a default tracker for new tickets or ''reject'' to disallow ticket creation via mail.', 'Seleziona un tracker di default per i nuovi tickets o ''Rifiuta'' la possibilità di creazione di ticket tramite email'),
('it', 'tracker', 'select multiple', 'Selezione multipla'),
('it', 'tracker', 'select tracker queue', 'Seleziona coda del tracker'),
('it', 'tracker', 'select which categories should be used in tracker for the tts categories', 'seleziona quali categorie dovrebbero essere utilizzate in Tracker per le categorie TTS'),
('it', 'tracker', 'select which username should be used when unrecognized mails are handled.', 'Seleziona quale nome utente deve essere utilizzato quando una mail non viene ricosciuta dal sistema'),
('it', 'tracker', 'select which username should be used when unrecognized replies are handled', 'Seleziona quale nome utente deve essere utilizzato quando le risposte non vengono ricosciute dal sistema'),
('it', 'tracker', 'sender address', 'Indirizzo mittente'),
('it', 'tracker', 'sender address for all notifications, eg. noreply@egroupware.org', 'Indirizzo mittente per tutte le notifiche, es. nonrispondere@egroupware.org'),
('it', 'tracker', 'server type', 'Tipo del server'),
('it', 'tracker', 'set %1', 'Imposta %1'),
('it', 'tracker', 'set an own bounty (in %s)', 'Imposta un bounty (in %s)'),
('it', 'tracker', 'set bounty', 'Imposta bounty'),
('it', 'tracker', 'should the tracker send you notification mails, if tracker items assigned to you get updated?', 'Tracker dovrà inviarti una mail di notifica, se gli oggetti tracker a te assegnati vengono aggiornati?'),
('it', 'tracker', 'should the tracker send you notification mails, if tracker items you created get updated?', 'Tracker dovrà inviarti una mail di notifica, se gli oggetti tracker da te creati vengono aggiornati?'),
('it', 'tracker', 'show actions in tracker listing', 'Visualizza le azioni nella lista del tracker'),
('it', 'tracker', 'staff', 'Staff'),
('it', 'tracker', 'state', 'Stato'),
('it', 'tracker', 'stati', 'Stati'),
('it', 'tracker', 'store as', 'Archivio come'),
('it', 'tracker', 'summary', 'Riepilogo'),
('it', 'tracker', 'technicians', 'Tecnici'),
('it', 'tracker', 'thank you for setting this bounty.', 'Grazie per avere impostato questo bounty.'),
('it', 'tracker', 'thank you for voting.', 'Grazie per avere votato.'),
('it', 'tracker', 'the bounty will not be shown, until the money is received.', 'Il bounty NON sarà mostrato fino al ricevimento del denaro.'),
('it', 'tracker', 'the canned response will be prefix the text you type.', 'La risposta preconfezionata sarà premessa al testo che scrivi.'),
('it', 'tracker', 'there already an escalation for that filter!', 'C''è già un azione con questo filtro !'),
('it', 'tracker', 'this module displays information from the tracker.', 'Questo modulo mostra informazioni dal Tracker'),
('it', 'tracker', 'this tracker item was closed automatically by the system. it was previously set to a pending status, and the original submitter ', 'Questo oggetto Tracker è stato chiuso automaticamente dal sistema. E'' stato precedentemente sospeso e il creatore dell''oggetto non ha risposto in %1 giorni.'),
('it', 'tracker', 'ticket count', 'Contatore ticket'),
('it', 'tracker', 'ticket modified by %1 at %2', 'Ticket modificato da %1 al %2'),
('it', 'tracker', 'times', 'Volte'),
('it', 'tracker', 'tracker added', 'Coda Tracker aggiunta'),
('it', 'tracker', 'tracker admins', 'Gestione Tracker'),
('it', 'tracker', 'tracker admins & technicians', 'Amministratori e tecnici tracker'),
('it', 'tracker', 'tracker configuration', 'Configurazione Tracker'),
('it', 'tracker', 'tracker deleted', 'Coda Tracker eliminata'),
('it', 'tracker', 'tracker for new tickets', 'Coda di tracker per i nuovi tickets'),
('it', 'tracker', 'tracker item modified by %1 at %2', 'Oggetto tracker modificato da %1 il %2'),
('it', 'tracker', 'tracker item not found !!!', 'Oggetto Tracker non trovato !!!'),
('it', 'tracker', 'tracker queue', 'Code del tracker'),
('it', 'tracker', 'tracker-%1 ''%2'' added.', 'Tracker-%1 ''%2'' aggiunto.'),
('it', 'tracker', 'tracker-%1 ''%2'' updated.', 'Tracker-%1 ''%2'' aggiornato.'),
('it', 'tracker', 'tracker-%1 deleted.', 'Tracker-%1 eliminato.'),
('it', 'tracker', 'unchanged', 'Non cambiare'),
('it', 'tracker', 'unrecognized mails', 'Email non ricosciute'),
('it', 'tracker', 'url of the tracker', 'URL del tracker'),
('it', 'tracker', 'url to be included in the notification, eg. to the page with the sitemgr module, default tracker inside egw', 'URL da includere nella notifica, es. alla pagina con il modulo SiteMgr, tracker predefinito in eGW'),
('it', 'tracker', 'use a default user for mails that where not recognized', 'Usa un utente di default per quelle email che non vengono riconosciute'),
('it', 'tracker', 'versions', 'Versioni'),
('it', 'tracker', 'vote for it!', 'Votalo!'),
('it', 'tracker', 'votes', 'Voti'),
('it', 'tracker', 'wont fix', 'Non funzionerà'),
('it', 'tracker', 'works for me', 'Funziona per me'),
('it', 'tracker', 'yes, display groups first', 'Sì, mostra prima i gruppi'),
('it', 'tracker', 'yes, display users first', 'Sì, mostra prima gli utenti'),
('it', 'tracker', 'yes, with larger fontsize', 'Si, di dimensioni più grandi'),
('it', 'tracker', 'you can enable/disable the queue access restrictions in the configuration tab (for all queues)', 'Puoi abilitare/disabilitare le restrizioni sulle code di tracker nella scheda di configurazione (per tutte le code)'),
('it', 'tracker', 'you can respond by visiting:', 'Puoi rispondere visitando:'),
('it', 'tracker', 'you need to enter a name', 'Devi inserire un nome'),
('it', 'tracker', 'you need to login to vote!', 'Devi fare il login per votare!'),
('it', 'tracker', 'you need to select something to change and some tracker items!', 'Devi selezionare qualcosa da cambiare E qualche oggetto tracker!'),
('it', 'tracker', 'you need to specify amount, donators name and email address!', 'Devi specificare l''importo, i nomi dei donatori E l''indirizzo email!'),
('it', 'tracker', 'you voted %1.', 'Hai votato %1.'),
('it', 'wiki', '<em>but</em> display at least this many entries in recentchanges and other subscription lists:', '<em>Ma</em> visualizza almeno questo numero di voci in Modifiche Recenti e altre liste di sottoscrizione:'),
('it', 'wiki', 'add document to category', 'Aggiungi documento alla categoria'),
('it', 'wiki', 'added', 'Aggiunto'),
('it', 'wiki', 'administration features are disabled for this wiki.', 'Le opzioni di amministrazione sono disabilitate per questo Wiki'),
('it', 'wiki', 'admins', 'Amministratori'),
('it', 'wiki', 'block', 'Blocca'),
('it', 'wiki', 'blocked ip address ranges', 'Intervalli indirizzi IP bloccati'),
('it', 'wiki', 'cancel without saving', 'Annulla senza salvare'),
('it', 'wiki', 'changed', 'Cambiato'),
('it', 'wiki', 'changes by last author', 'Cambiamenti fatti dall''ultimo autore'),
('it', 'wiki', 'choose your current time here, so the server may figure out what time zone you are in.', 'Scegli la tua ora attuale qui, cosicché il server può capire in che fuso orario sei.'),
('it', 'wiki', 'columns', 'Colonne'),
('it', 'wiki', 'compute difference', 'Calcola la differenza'),
('it', 'wiki', 'converts the page to richtext', 'Converte la pagina in RICHTEXT'),
('it', 'wiki', 'current version', 'Versione Attuale'),
('it', 'wiki', 'deleted', 'Cancellato'),
('it', 'wiki', 'deletes this page', 'Cancella questa pagina'),
('it', 'wiki', 'difference between versions', 'Differenze tra le versioni'),
('it', 'wiki', 'differences in', 'Differenze in'),
('it', 'wiki', 'different languages can have different titles', 'Linquaggi diversi possono avere titoli diversi'),
('it', 'wiki', 'document last modified', 'Ultima modifica documento'),
('it', 'wiki', 'edit box', 'Modifica riquadro'),
('it', 'wiki', 'edit this <em>archive version</em> of this document', 'Modifica questa <em>VERSIONE ARCHIVIO</em> di questo documento'),
('it', 'wiki', 'edit this document', 'Modifica questo documento'),
('it', 'wiki', 'editing', 'Modifica'),
('it', 'wiki', 'enter here the maximum number of entries to display in a document''s history list.', 'Inserire qui il numero massimo di voci da visualizzare nella cronologia di un documento.'),
('it', 'wiki', 'enter here the number of days of edits to display on recentchanges or any other subscription list.  set this to zero if you wish', 'Inserire qui il numero di giorni di modifiche da visualizzare in Modifiche Recenti o qualsiasi altro elenco sottoscrizioni. Impostare a zero per visualizzare tutte le pagine in Modifiche Recenti, non importa quanto recentemente siano state modificate.'),
('it', 'wiki', 'enter ip address range in form <tt>12.*</tt>, <tt>34.56.*</tt>, or <tt>78.90.123.*</tt>', 'Inserire un intervallo di IP nella forma <tt>12.*</tt>, <tt>34.56.*</tt>, or <tt>78.90.123.*</tt>'),
('it', 'wiki', 'error creating temporary file.', 'Errore nella creazione del file temporaneo.'),
('it', 'wiki', 'error writing to temporary file.', 'Errore durante la scrittura sul file temporaneo'),
('it', 'wiki', 'everyone', 'tutti'),
('it', 'wiki', 'find', 'Trova'),
('it', 'wiki', 'history', 'Cronologia'),
('it', 'wiki', 'history display should show <em>all</em> changes made by the latest author.  otherwise, show only the last change made.', 'La Cronologia deve mostrare <em>tutte</em> le modifiche fatte dall''ultimo autore. Altrimenti, mostrerà solo l''ultima modifica.'),
('it', 'wiki', 'history lists', 'Elenco cronologico'),
('it', 'wiki', 'history of', 'Cronologia di'),
('it', 'wiki', 'invalid page name.', 'Nome pagina non valido'),
('it', 'wiki', 'load', 'Carica'),
('it', 'wiki', 'loads the named page in the given language, all change so far get lost !!!', 'Carica la pagina nella lingua stabilita, tutti i cambiamenti andranno persi !!!'),
('it', 'wiki', 'locked', 'Bloccato'),
('it', 'wiki', 'newer', 'Più recente'),
('it', 'wiki', 'not set', 'Non impostato'),
('it', 'wiki', 'older', 'Più vecchio'),
('it', 'wiki', 'on all pages', 'su tutte le pagine'),
('it', 'wiki', 'only on the first page', 'solo sulla prima pagina'),
('it', 'wiki', 'page ''%1'' not found !!!', 'Pagina ''%1'' non trovata !!!'),
('it', 'wiki', 'please contact the %1administrator%2 for assistance.', 'Prego contatta l'' %1Amministratore%2 per assistenza.'),
('it', 'wiki', 'preview', 'Anteprima'),
('it', 'wiki', 'preview of current version', 'Anteprima della Versione Attuale'),
('it', 'wiki', 'rate control / ip blocking disabled', 'Controllo Valutazioni / Blocco IP disabilitato'),
('it', 'wiki', 'readable by', 'Leggibile da'),
('it', 'wiki', 'recent changes', 'Modifiche Recenti'),
('it', 'wiki', 'renames page to the given name and language', 'Rinomina la pgina con il nome dato e la lingua'),
('it', 'wiki', 'richtext', 'Richtext'),
('it', 'wiki', 'rows', 'Righe'),
('it', 'wiki', 'save the changes and exit', 'Salva le modifiche ed esci'),
('it', 'wiki', 'saves and continues editing', 'Salva e continua la modifica'),
('it', 'wiki', 'search for', 'Cerca per'),
('it', 'wiki', 'see complete list (%1 entries)', 'Vedi lista completa (%1 inserimenti)'),
('it', 'wiki', 'show a search', 'Visualizza una ricerca'),
('it', 'wiki', 'show the title of the wiki page', 'Visualizza il titolo della pagina wiki'),
('it', 'wiki', 'summary', 'Indice'),
('it', 'wiki', 'summary of change', 'Indice delle modifiche'),
('it', 'wiki', 'the search returned no result!', 'La ricerca non ha dato risultati'),
('it', 'wiki', 'this page can not be edited.', 'Questa pagina non può essere modificata.'),
('it', 'wiki', 'twin pages', 'Pagine gemelle'),
('it', 'wiki', 'unblock', 'Sblocca'),
('it', 'wiki', 'updates the preview', 'Aggiorna l''anteprima'),
('it', 'wiki', 'use this module for displaying wiki-pages', 'usa questo modulo per visualizzare le pagine wiki'),
('it', 'wiki', 'users', 'utenti'),
('it', 'wiki', 'view document history', 'Visualizza cronologia documento'),
('it', 'wiki', 'visit %1 to set your user name', 'Visita %1 per settare il tuo nome utente'),
('it', 'wiki', 'warning: since you started editing, this document has been changed by someone else.  please merge your edits into the current ve', 'Attenzione: da quando hai iniziaaaaato la modifica, questo documento è stato cambiato da qualcunaltro. Prego aggiungi le tue modifiche nella versione attuale di quest documento.'),
('it', 'wiki', 'who should be able to edit this page', 'chi può modificare questa pagina'),
('it', 'wiki', 'who should be able to read this page', 'chi può leggere questa pagina'),
('it', 'wiki', 'wiki administration', 'Configurazione Wiki'),
('it', 'wiki', 'wiki menu', 'Menù Wiki'),
('it', 'wiki', 'wiki startpage', 'Pagina d''inizio Wiki'),
('it', 'wiki', 'writable by', 'Scrivibile da'),
('it', 'wiki', 'you have been denied access to this site.', 'Ti è stato negato l''accesso a questo sito.'),
('it', 'wiki', 'you have entered an invalid user name.', 'Hai inserito un nome utente non valido.'),
('it', 'wiki', 'you have exeeded the number of pages you are allowed to visit in a given period of time. please return later.', 'Hai superato il numero di pagine che puoi visitare in un dato periodo di tempo. Per favore torna più tardi.'),
('it', 'wiki', 'you have no rights to view wiki content !!!', 'Non hai i permessi per vedere i contenuti del wiki !!!'),
('it', 'wiki', 'your changes', 'Le tue modifiche'),
('it', 'wiki', 'your user name is "%1".', 'Il tuo nome utente è "%1".'),
('sv', 'addressbook', '%1 added', '%1 skapad'),
('sv', 'addressbook', '%1 contact(s) %2', '%1 kontakt(er) %2'),
('sv', 'addressbook', '%1 contact(s) %2, %3 failed because of insufficent rights !!!', '%1 kontakt(er) %2,%3 misslyckades pga otillräckliga rättigheter'),
('sv', 'addressbook', '%1 fields in %2 other organisation member(s) changed', '%1 fält i %2 andra organisations medlemm(ar) ändrade'),
('sv', 'addressbook', '%1 records imported', '%1 poster importerade'),
('sv', 'addressbook', '%1 records read (not yet imported, you may go %2back%3 and uncheck test import)', '%1 poster lästa (inte importerade ännu, du kan gå %2tillbaka%3 och kryssa ur "Testa Import")'),
('sv', 'addressbook', '%1 starts with ''%2''', '%1 börjar med ''%2'''),
('sv', 'addressbook', '(e.g. 1969)', '(ex.1969)'),
('sv', 'addressbook', '<b>no conversion type &lt;none&gt; could be located.</b>  please choose a conversion type from the list', '<b> Ingen konverteringstyp <ingen> kunde hittas.</b> Var snäll och välj konverteringstyp från listan'),
('sv', 'addressbook', '@-eval() is only availible to admins!!!', '@-eval() är endast tillgängligt för administratörer'),
('sv', 'addressbook', 'accounts', 'Konton'),
('sv', 'addressbook', 'actions', 'Åtgärder'),
('sv', 'addressbook', 'add %1', 'Lägg till %1'),
('sv', 'addressbook', 'add a contact to this organisation', 'Lägg till kontakt till organisationen'),
('sv', 'addressbook', 'add a new contact', 'Lägg till ny kontakt'),
('sv', 'addressbook', 'add a single entry by passing the fields.', 'Lägg till en enstaka post genom att fylla i fälten'),
('sv', 'addressbook', 'add custom field', 'Lägg till anpassat fält'),
('sv', 'addressbook', 'added', 'Skapad'),
('sv', 'addressbook', 'added by synchronisation', 'Infogad av synkroniseringen'),
('sv', 'addressbook', 'address book - vcard in', 'Adressbok - VCard i'),
('sv', 'addressbook', 'address book - view', 'Adressbok - visa'),
('sv', 'addressbook', 'address line 2', 'Adressrad 2'),
('sv', 'addressbook', 'address type', 'Adresstyp'),
('sv', 'addressbook', 'addressbook menu', 'Adressbok meny'),
('sv', 'addressbook', 'addressbook preferences', 'Adressbok alternativ'),
('sv', 'addressbook', 'addressbook the contact should be saved to', 'Adressbok kontakten skall sparas till'),
('sv', 'addressbook', 'addressbook-fieldname', 'Adressbok fältnamn'),
('sv', 'addressbook', 'addvcard', 'Lägg till VCard'),
('sv', 'addressbook', 'advanced search', 'Avanserad sökning'),
('sv', 'addressbook', 'all contacts', 'Alla kontakter'),
('sv', 'addressbook', 'alt. csv import', 'Alternativ CSV import'),
('sv', 'addressbook', 'always', 'Alltid'),
('sv', 'addressbook', 'apply changes to all members, whose fields have the same previous content', 'Genomför förändringarna hos alla medlemmar vilkas fält har samma föregående innehåll.'),
('sv', 'addressbook', 'apply the action on the whole query, not only the shown contacts!!!', 'Genomför aktiviteten på hela frågan, INTE endast på visade kontakter.'),
('sv', 'addressbook', 'are you shure you want to delete this contact?', 'Är du säker på att du vill radera kontakten?'),
('sv', 'addressbook', 'are you sure you want to delete this field?', 'Är du säker på att du vill radera fältet?'),
('sv', 'addressbook', 'assistent', 'Assistent'),
('sv', 'addressbook', 'assistent phone', 'Assistent telefon'),
('sv', 'addressbook', 'blank', 'Tom'),
('sv', 'addressbook', 'business address', 'Företag: Adress'),
('sv', 'addressbook', 'business city', 'Företag: Stad'),
('sv', 'addressbook', 'business country', 'Företag: Land'),
('sv', 'addressbook', 'business email', 'Företag: E-post'),
('sv', 'addressbook', 'business fax', 'Företag: Fax'),
('sv', 'addressbook', 'business phone', 'Företag: Telefon'),
('sv', 'addressbook', 'business state', 'Företag: Län'),
('sv', 'addressbook', 'business street', 'Företag: Gata'),
('sv', 'addressbook', 'business zip code', 'Företag: Postnummer'),
('sv', 'addressbook', 'calendar uri', 'Kalender URI'),
('sv', 'addressbook', 'car phone', 'Mobiltelefon'),
('sv', 'addressbook', 'categories, notes, ...', 'Kategorier, Anteckningar, ...'),
('sv', 'addressbook', 'cell phone', 'Mobitelefon');
INSERT INTO `egw_lang` (`lang`, `app_name`, `message_id`, `content`) VALUES
('sv', 'addressbook', 'change all organisation members', 'Ändra organisationens alla medlemmar'),
('sv', 'addressbook', 'charset for the csv export', 'Teckenuppsättning för CSV export'),
('sv', 'addressbook', 'charset of file', 'Teckenuppsättning för filen'),
('sv', 'addressbook', 'check all', 'Markera alla'),
('sv', 'addressbook', 'company name', 'Företagsnamn'),
('sv', 'addressbook', 'contact copied', 'Kontakten kopierad'),
('sv', 'addressbook', 'contact deleted', 'Kontakten raderad'),
('sv', 'addressbook', 'contact id', 'Kontakt ID'),
('sv', 'addressbook', 'contact saved', 'Kontakten sparad'),
('sv', 'addressbook', 'contains', 'Innehåller'),
('sv', 'addressbook', 'copied by %1, from record #%2.', 'Kopierad av %1 från post #%2'),
('sv', 'addressbook', 'copy a contact and edit the copy', 'Kopiera en kontakt och gör ändra kopian'),
('sv', 'addressbook', 'copy your changes to the clipboard, %1reload the entry%2 and merge them.', 'Kopiera dina ändringar till urklipp, %1 ladda om posten och migrera.'),
('sv', 'addressbook', 'create new links', 'Skapa ny länk'),
('sv', 'addressbook', 'created', 'Skapad'),
('sv', 'addressbook', 'credit', 'Erkännande'),
('sv', 'addressbook', 'csv-fieldname', 'CSV-Fältnamn'),
('sv', 'addressbook', 'csv-filename', 'CSV-Filnamn'),
('sv', 'addressbook', 'custom', 'Anpassade'),
('sv', 'addressbook', 'custom fields', 'Anpassade fält'),
('sv', 'addressbook', 'debug output in browser', 'Felsök utdata i webbläsare'),
('sv', 'addressbook', 'default', 'Standard'),
('sv', 'addressbook', 'default addressbook for adding contacts', 'Standard adressbok för nya kontakter'),
('sv', 'addressbook', 'default filter', 'Standard filter'),
('sv', 'addressbook', 'delete a single entry by passing the id.', 'Radera en enstaka post genom att specificera ID'),
('sv', 'addressbook', 'delete this contact', 'Radera kontakten'),
('sv', 'addressbook', 'delete this organisation including all its contacts', 'Radera organisationen inklusive alla kontakter'),
('sv', 'addressbook', 'deleted', 'Raderad'),
('sv', 'addressbook', 'deletes the photo', 'Raderar foto'),
('sv', 'addressbook', 'departments', 'Avdelningar'),
('sv', 'addressbook', 'displays a remider for birthdays on the startpage (page you get when you enter egroupware or click on the homepage icon).', 'Visa en födelsedagspåminelse på Startsidan (sidan som först visas när du kommer till eGroupWare eller klickar på Hem ikonen).'),
('sv', 'addressbook', 'do you want a private addressbook, which can not be viewed by users, you grant access to your personal addressbook?', 'Vill du ha en privat adressbok som ingen annan kan se, som du kan tilldela åtkomst till?'),
('sv', 'addressbook', 'do your really want to delete this contact?', 'Är du säker på att du vill radera kontakten?'),
('sv', 'addressbook', 'doesn''t matter', 'Oviktigt'),
('sv', 'addressbook', 'domestic', 'Inrikes'),
('sv', 'addressbook', 'download', 'Ladda ned'),
('sv', 'addressbook', 'download export file (uncheck to debug output in browser)', 'Ladda ned exportfil (Kryssa ur för att se felsökningsresultat i webbläsare'),
('sv', 'addressbook', 'download this contact as vcard file', 'Ladda ner kontakten som en VCard fil'),
('sv', 'addressbook', 'duration', 'Varaktighet'),
('sv', 'addressbook', 'edit custom field', 'Ändra anpassat fält'),
('sv', 'addressbook', 'edit phonenumbers -', 'Ändra telefon nummer'),
('sv', 'addressbook', 'email & internet', 'E-post och internet'),
('sv', 'addressbook', 'empty for all', 'Töm för alla'),
('sv', 'addressbook', 'enable an extra private addressbook', 'Aktivera en extra privat adressbok'),
('sv', 'addressbook', 'end', 'Slut'),
('sv', 'addressbook', 'enter the path to the exported file here', 'Skriv sökväg till exportfilen här'),
('sv', 'addressbook', 'error deleting the contact !!!', 'Fel vid radering av kontakten'),
('sv', 'addressbook', 'error saving the contact !!!', 'Fel vid sparande av kontakten'),
('sv', 'addressbook', 'error: the entry has been updated since you opened it for editing!', 'Posten har ändrats sedan du öppnade den för skrivning!'),
('sv', 'addressbook', 'existing links', 'Nuvarande länkar'),
('sv', 'addressbook', 'export', 'Exportera'),
('sv', 'addressbook', 'export as csv', 'Exportera som CSV'),
('sv', 'addressbook', 'export as vcard', 'Exportera som VCard'),
('sv', 'addressbook', 'export contacts', 'Exportera kontakter'),
('sv', 'addressbook', 'export file name', 'Exportens filnamn'),
('sv', 'addressbook', 'export from addressbook', 'Exportera från adressboken'),
('sv', 'addressbook', 'export selection', 'Exportera valda'),
('sv', 'addressbook', 'exported', 'Exporterade'),
('sv', 'addressbook', 'extra', 'Extra'),
('sv', 'addressbook', 'failed to change %1 organisation member(s) (insufficent rights) !!!', 'kunde inte ändra %1 organisationens medlemmar (otillräckliga rättigheter)'),
('sv', 'addressbook', 'fax', 'Telefax'),
('sv', 'addressbook', 'field %1 has been added !', 'Fält %1 har lagts till!'),
('sv', 'addressbook', 'field %1 has been updated !', 'Fält %1 har uppdaterats!'),
('sv', 'addressbook', 'field name', 'Fältnamn'),
('sv', 'addressbook', 'fields for the csv export', 'CSV export fält'),
('sv', 'addressbook', 'fields to show in address list', 'Fält att visa i adresslistan'),
('sv', 'addressbook', 'fieldseparator', 'Fältavskiljare'),
('sv', 'addressbook', 'freebusy uri', 'Freebusy URI'),
('sv', 'addressbook', 'full name', 'Fullständigt namn'),
('sv', 'addressbook', 'general', 'Allmänt'),
('sv', 'addressbook', 'geo', 'GEO'),
('sv', 'addressbook', 'global categories', 'Globala kategorier'),
('sv', 'addressbook', 'group %1', 'Grupp %1'),
('sv', 'addressbook', 'h', 't'),
('sv', 'addressbook', 'home address', 'Hem: Adress'),
('sv', 'addressbook', 'home address, birthday, ...', 'Hem: Adress, Födelsedag, ...'),
('sv', 'addressbook', 'home city', 'Hem: Stad'),
('sv', 'addressbook', 'home country', 'Hem: Land'),
('sv', 'addressbook', 'home email', 'Hem: E-post'),
('sv', 'addressbook', 'home phone', 'Hem: Telefon'),
('sv', 'addressbook', 'home state', 'Hem: Län'),
('sv', 'addressbook', 'home street', 'Hem: Gata'),
('sv', 'addressbook', 'home zip code', 'Hem: Postnummer'),
('sv', 'addressbook', 'icon', 'Ikon'),
('sv', 'addressbook', 'import', 'Importera'),
('sv', 'addressbook', 'import contacts', 'Importera kontakter'),
('sv', 'addressbook', 'import csv-file into addressbook', 'Importera CSV-fil till adressboken'),
('sv', 'addressbook', 'import file', 'Importera fil'),
('sv', 'addressbook', 'import from', 'Importera från'),
('sv', 'addressbook', 'import from ldif, csv, or vcard', 'Importera LDIF, CSV eller VCard'),
('sv', 'addressbook', 'import from outlook', 'Importera från OutLook'),
('sv', 'addressbook', 'import multiple vcard', 'Importera Flera VCard'),
('sv', 'addressbook', 'import next set', 'Importera nästa set'),
('sv', 'addressbook', 'import_instructions', 'I Netscape, öpnna adressboken och välj <b>Export</b> från <b>File</b> menyn. Filen kommer att exporteras i LDIF-format.<p>Eller, i Outlook, Välj kontaktmappen, välj sedan <b>Import och Export...</b> från <b>Fil</b> menyn och exportera dina kontakter som komma-separerad textfil (CSV). <p>Eller, i Palm Desktop 4.0 eller senare, Besök adressboken och välj <b>Export</b> från <b>File</b> menyn. Exportfilen kommer att vara i vCard-format.'),
('sv', 'addressbook', 'in %1 days (%2) is %3''s birthday.', 'Om %1 dagar (%2) fyller %3 år'),
('sv', 'addressbook', 'income', 'Inkomst'),
('sv', 'addressbook', 'infolog', 'InfoLogg'),
('sv', 'addressbook', 'international', 'Internationell'),
('sv', 'addressbook', 'label', 'Etikett'),
('sv', 'addressbook', 'last modified', 'Senast ändrad'),
('sv', 'addressbook', 'last modified by', 'Senast ändrad av'),
('sv', 'addressbook', 'ldif', 'Ldif'),
('sv', 'addressbook', 'line 2', 'Rad 2'),
('sv', 'addressbook', 'link title for contacts show', 'Länktitel för kontakter'),
('sv', 'addressbook', 'links', 'Länkar'),
('sv', 'addressbook', 'list all categories', 'Visa alla kategorier'),
('sv', 'addressbook', 'list all customfields', 'Visa alla anpassade fält'),
('sv', 'addressbook', 'load vcard', 'Ladda VCard'),
('sv', 'addressbook', 'location', 'Plats'),
('sv', 'addressbook', 'locations', 'Placering'),
('sv', 'addressbook', 'mark records as private', 'Markera posten som privat'),
('sv', 'addressbook', 'merge into first or account, deletes all other!', 'Slå samman med första eller konto, radera all annan'),
('sv', 'addressbook', 'merged', 'Sammanslagna'),
('sv', 'addressbook', 'message phone', 'Röstbrevlåda'),
('sv', 'addressbook', 'middle name', 'Mellannamn'),
('sv', 'addressbook', 'migration finished', 'Migrering klar'),
('sv', 'addressbook', 'mobile', 'Mobil'),
('sv', 'addressbook', 'mobile phone', 'Mobilnummer'),
('sv', 'addressbook', 'modem phone', 'Modemnummer'),
('sv', 'addressbook', 'more ...', 'Mer ...'),
('sv', 'addressbook', 'moved', 'Flyttad'),
('sv', 'addressbook', 'multiple vcard', 'Multipla VCard'),
('sv', 'addressbook', 'name, address', 'Namn, adress'),
('sv', 'addressbook', 'no vcard', 'Inget VCard'),
('sv', 'addressbook', 'number', 'Nummer'),
('sv', 'addressbook', 'number of records to read (%1)', 'Antal poster att läsa (%1)'),
('sv', 'addressbook', 'organisation', 'Organisation'),
('sv', 'addressbook', 'organisations', 'Organisationer'),
('sv', 'addressbook', 'organisations by departments', 'Organisationer efter avdelningar'),
('sv', 'addressbook', 'organisations by location', 'Organisationer efter placering'),
('sv', 'addressbook', 'other number', 'Annat Nummer'),
('sv', 'addressbook', 'other phone', 'Annat telefonnummer'),
('sv', 'addressbook', 'own sorting', 'Egen sortering'),
('sv', 'addressbook', 'parcel', 'Bud'),
('sv', 'addressbook', 'participants', 'Deltagare'),
('sv', 'addressbook', 'permission denied !!!', 'Åtkomst nekas'),
('sv', 'addressbook', 'photo', 'Foto'),
('sv', 'addressbook', 'please enter a name for that field !', 'Vänligen ge ett namn åt fältet'),
('sv', 'addressbook', 'please select only one category', 'Vänligen välj endast en kategori'),
('sv', 'addressbook', 'pref', 'pref'),
('sv', 'addressbook', 'preferred phone', 'Förvald telefon'),
('sv', 'addressbook', 'prefix', 'Prefix'),
('sv', 'addressbook', 'public key', 'Publik kryptonyckel'),
('sv', 'addressbook', 'publish into groups:', 'Publicera i grupperna:'),
('sv', 'addressbook', 'read a list / search for entries.', 'Titta på lista/sök efter poster'),
('sv', 'addressbook', 'read a list of entries.', 'Läs lista över poster'),
('sv', 'addressbook', 'read a single entry by passing the id and fieldlist.', 'Läs en enstaka post genom att ange ID och fältlista'),
('sv', 'addressbook', 'read only', 'Skrivskyddad'),
('sv', 'addressbook', 'record access', 'Åtkomst till posten'),
('sv', 'addressbook', 'record owner', 'Postens ägare'),
('sv', 'addressbook', 'repetition', 'Återkommande'),
('sv', 'addressbook', 'role', 'Roll'),
('sv', 'addressbook', 'room', 'Rum'),
('sv', 'addressbook', 'search for ''%1''', 'Sök efter ''%1'''),
('sv', 'addressbook', 'select a portrait format jpeg photo. it will be resized to 60 pixel width.', 'Välj ett jpeg porträtt foto. Bilden skalas om till 60 pixel.'),
('sv', 'addressbook', 'select a view', 'Välj vy'),
('sv', 'addressbook', 'select addressbook type', 'Välj adressbok typ'),
('sv', 'addressbook', 'select all', 'Välj samtliga'),
('sv', 'addressbook', 'select an action or addressbook to move to', 'Välj åtgärd eller adressbok att flytta till'),
('sv', 'addressbook', 'select multiple contacts for a further action', 'Välj flera kontakter för åtgärd'),
('sv', 'addressbook', 'select phone number as prefered way of contact', 'Välj telefonnummer som kontaktväg'),
('sv', 'addressbook', 'select the type of conversion', 'Välj konverteringstyp'),
('sv', 'addressbook', 'select the type of conversion:', 'Välj konverteringstyp'),
('sv', 'addressbook', 'selected contacts', 'Valda kontakter'),
('sv', 'addressbook', 'show', 'Visa'),
('sv', 'addressbook', 'show birthday reminders on main screen', 'Visa födelsedagspåminelse på Startsidan'),
('sv', 'addressbook', 'show infolog entries for this organisation', 'Visa organisationens InfoLogg poster'),
('sv', 'addressbook', 'show the contacts of this organisation', 'Visa organisationens kontakter'),
('sv', 'addressbook', 'startrecord', 'Startpost'),
('sv', 'addressbook', 'successfully imported %1 records into your addressbook.', 'Lyckades importera %1 poster till adressboken'),
('sv', 'addressbook', 'suffix', 'Suffix'),
('sv', 'addressbook', 'tel home', 'Hem telefon'),
('sv', 'addressbook', 'test import (show importable records <u>only</u> in browser)', 'Testa import (visa importerade poster <u>enbart</u> i webbläsaren)'),
('sv', 'addressbook', 'that field name has been used already !', 'Fältnamnet finns redan'),
('sv', 'addressbook', 'this person''s first name was not in the address book.', 'Personens förnamn finns inte i adressboken'),
('sv', 'addressbook', 'this person''s last name was not in the address book.', 'Personens efternamn finns inte i adressboken'),
('sv', 'addressbook', 'timezone', 'Tidzon'),
('sv', 'addressbook', 'to many might exceed your execution-time-limit', 'För många kan överstiga maxtiden'),
('sv', 'addressbook', 'translation', 'Översättning'),
('sv', 'addressbook', 'type', 'Typ'),
('sv', 'addressbook', 'update a single entry by passing the fields.', 'Updatera enskild post genom att ange fälten'),
('sv', 'addressbook', 'updated', 'Uppdaterad'),
('sv', 'addressbook', 'upload or delete the photo', 'Ladda upp eller radera foto'),
('sv', 'addressbook', 'use an extra category tab?', 'Använd extra kategori kolumn'),
('sv', 'addressbook', 'use country list', 'Använd nationslista'),
('sv', 'addressbook', 'used for links and for the own sorting of the list', 'Används för länkar och sortering av listan'),
('sv', 'addressbook', 'vcards require a first name entry.', 'VCard kräver ett förnamn'),
('sv', 'addressbook', 'vcards require a last name entry.', 'VCard kräver ett efternamn'),
('sv', 'addressbook', 'view linked infolog entries', 'Visa länkade InfoLogg poster'),
('sv', 'addressbook', 'warning: all contacts found will be deleted!', 'VARNING: Alla hittade kontakter raderas'),
('sv', 'addressbook', 'weekday', 'Veckodag'),
('sv', 'addressbook', 'what should links to the addressbook display in other applications. empty values will be left out. you need to log in anew, if y', 'Vad ska länkar till adressboken visa i andra applikationer? Tomma värden ignoreras. Do måste logga in återigen för att se förändringar.'),
('sv', 'addressbook', 'which addressbook should be selected when adding a contact and you have no add rights to the current addressbook.', 'Vilken adressbok ska väljas när konstakter skapas men du saknar behörighet till aktuell?'),
('sv', 'addressbook', 'which charset should be used for the csv export. the system default is the charset of this egroupware installation.', 'Vilken teckeuppsättning ska användas vid CSV export? Systemets standard är det som används av eGroupWare.'),
('sv', 'addressbook', 'which fields should be exported. all means every field stored in the addressbook incl. the custom fields. the business or home a', 'Vilka fält ska exporteras? Alla betyder alla fält, inklusive anpassade, i adressboken. Företag eller Hem adresserna innehåller endast namn, företag och vald adress.'),
('sv', 'addressbook', 'whole query', 'Hela frågan'),
('sv', 'addressbook', 'work phone', 'Arbetstelefon'),
('sv', 'addressbook', 'write (update or add) a single entry by passing the fields.', 'Skriv (uppdatera eller lägg till) a enskild post genom att fylla i fälten.'),
('sv', 'addressbook', 'yes, for the next three days', 'Ja, för kommande tre dagar'),
('sv', 'addressbook', 'yes, for the next two weeks', 'Ja, för kommande två veckor'),
('sv', 'addressbook', 'yes, for the next week', 'Ja, för nästa vecka'),
('sv', 'addressbook', 'yes, for today and tomorrow', 'Ja, för kommande två dagar'),
('sv', 'addressbook', 'you are not permitted to delete contact %1', 'Du har inte behörighet att radera kontakten %1'),
('sv', 'addressbook', 'you are not permittet to delete this contact', 'Du har inte behörighet att radera kontakten'),
('sv', 'addressbook', 'you are not permittet to edit this contact', 'Du har inte behörighet att redigera kontakten'),
('sv', 'addressbook', 'you are not permittet to view this contact', 'Du har inte behörighet att läsa kontakten'),
('sv', 'addressbook', 'you can respond by visiting:', 'Du kan svara genom att besöka:'),
('sv', 'addressbook', 'you must select a vcard. (*.vcf)', 'Du måste välja VCard (*.vcf)'),
('sv', 'addressbook', 'you must select at least 1 column to display', 'Du måste välja minst 1 kolumn att visa'),
('sv', 'addressbook', 'you need to select some contacts first', 'Du måste välja kontakter först'),
('sv', 'addressbook', 'zip_note', '<p><b>Notera:</b> Filen kan vara en .zip-fil med flera .csv, .vcf, eller .ldif files. MEN, blanda inte filtyper i en importoperation.'),
('sv', 'admin', 'account repository', 'Kontaktdatabas'),
('sv', 'admin', 'additional information about using ldap as contact repository', 'Övrig information om hur man använder LDAP som kontaktdatabas'),
('sv', 'admin', 'allow users to maintain their own account-data', 'Tillåt användare att underhålla sin egen kontaktinformation'),
('sv', 'admin', 'can be changed via setup >> configuration', 'Kan ändras via Installation >> Alternativ'),
('sv', 'admin', 'choose an icon for this contact type', 'Välj ikon för kontaktens'),
('sv', 'admin', 'chosse an etemplate for this contact type', 'Välj eTemplate för kontakten'),
('sv', 'admin', 'contact application', 'Kontaktapplikation'),
('sv', 'admin', 'contact repository', 'Kontaktdatabas'),
('sv', 'admin', 'contact settings', 'Kontakt alternativ'),
('sv', 'admin', 'contacts and account contact-data to ldap', 'Kontakter och konto kontaktdata till LDAP'),
('sv', 'admin', 'contacts to ldap', 'Kontakter i LDAP'),
('sv', 'admin', 'contacts to ldap, account contact-data to sql', 'Kontakter och konto kontaktdata till SQL'),
('sv', 'admin', 'edit custom fields', 'Ändra anpassade fält'),
('sv', 'admin', 'edit extra account-data in the addressbook', 'Ändra extra kontodata i adressboken'),
('sv', 'admin', 'empty', 'Tom'),
('sv', 'admin', 'fields the user is allowed to edit himself', 'Fält användaren själv kan ändra'),
('sv', 'admin', 'for read only ldap', 'för skrivskyddad LDAP'),
('sv', 'admin', 'if accounts are already in ldap', 'om konton redan existerar i LDAP'),
('sv', 'admin', 'ldap context for contacts', 'LDAP kontext för kontakter'),
('sv', 'admin', 'ldap host for contacts', 'LDAP server för kontakter'),
('sv', 'admin', 'ldap settings for contacts', 'LDAP inställningar för kontakter'),
('sv', 'admin', 'migration to ldap', 'Migrering till LDAP'),
('sv', 'admin', 'options for type', 'Alternativ för typen'),
('sv', 'admin', 'select migration type', 'Välj migreringstyp'),
('sv', 'admin', 'select where you want to store / retrieve contacts', 'Välj var du vill spara / hämta kontakter'),
('sv', 'admin', 'size of popup (wxh, eg.400x300, if a popup should be used)', 'Popup storlek (WxH, ex.400x300, on popup används)'),
('sv', 'admin', 'start', 'Start'),
('sv', 'admin', 'telephony integration', 'Telefon integration'),
('sv', 'admin', 'use setup for a full account-migration', 'Använd installationen för en komplett konto migrering'),
('sv', 'admin', 'warning!! ldap is valid only if you are not using contacts for accounts storage!', 'WARNING!! LDAP är bara giltigt om du inte använder kontakter för att lagra konton'),
('sv', 'admin', 'you can only use ldap as contact repository if the accounts are stored in ldap too!', 'Du kan bara välja LDAP som kontaktdatabas om konton hanteras i LDAP.'),
('sv', 'admin', '%1 - %2 of %3 user accounts', '%1 - %2 av %3 användarkonton'),
('sv', 'admin', '%1 - %2 of %3 user groups', '%1 - %2 av %3 användargrupper'),
('sv', 'admin', '%1 acl records of not (longer) existing accounts deleted.', '%1 ACL poster med inte längre existernade konton raderade.'),
('sv', 'admin', '%1 not found or not executable !!!', 'Kunde inte hitta %1 eller så är den inte körbar!!!'),
('sv', 'admin', '(default no, leave it off if you dont use it)', '(standard Nej, lämna tom om du inte använder det)'),
('sv', 'admin', '(stored password will not be shown here)', '(lagrade lösenord visas ej här)'),
('sv', 'admin', '(to install new applications use<br><a href="setup/" target="setup">setup</a> [manage applications] !!!)', '(För att installera nya applikationer används<br><a href="setup/" target="setup">Installationen</a> [Hantera Applikationer] !!!'),
('sv', 'admin', '-  type', '- typ'),
('sv', 'admin', 'accesslog and bruteforce defense', 'Accesslogg- och BruteForce försvar'),
('sv', 'admin', 'account active', 'Kontot är aktivt'),
('sv', 'admin', 'account list', 'Kontolista'),
('sv', 'admin', 'account permissions', 'Kontobehörigheter'),
('sv', 'admin', 'account preferences', 'Konto alternativ'),
('sv', 'admin', 'acl manager', 'ACL hantering'),
('sv', 'admin', 'action', 'Åtgärd'),
('sv', 'admin', 'actions', 'Åtgärder'),
('sv', 'admin', 'activate wysiwyg-editor', 'Aktivera WYSIWYG-editor'),
('sv', 'admin', 'add a category', 'Lägg till kategori'),
('sv', 'admin', 'add a group', 'Lägg till grupp'),
('sv', 'admin', 'add a new account.', 'Lägg till nytt konto.'),
('sv', 'admin', 'add a subcategory', 'Lägg till underkategori'),
('sv', 'admin', 'add a user', 'Lägg till användare'),
('sv', 'admin', 'add account', 'Lägg till konto'),
('sv', 'admin', 'add application', 'Lägg till applikation'),
('sv', 'admin', 'add auto-created users to this group (''default'' will be attempted if this is empty.)', 'Lägg till auto-skapde användare till denna grupp. (Försöker med Standard om inget anges).'),
('sv', 'admin', 'add global category', 'Lägg till global kategori'),
('sv', 'admin', 'add global category for %1', 'Lägg till global kategori för %1'),
('sv', 'admin', 'add group', 'Lägg till grupp'),
('sv', 'admin', 'add new account', 'Lägg till nytt konto'),
('sv', 'admin', 'add new application', 'Lägg till ny application'),
('sv', 'admin', 'add peer server', 'Lägg till Peer Server'),
('sv', 'admin', 'add sub-category', 'Lägg till underkategori'),
('sv', 'admin', 'admin email', 'Admin e-postadress'),
('sv', 'admin', 'admin email addresses (comma-separated) to be notified about the blocking (empty for no notify)', 'Administrativa e-postadresser (komma-separerad) som skall notifieras om blockeringen. (lämna tom om ingen notifiering skall ske)'),
('sv', 'admin', 'admin name', 'Admin namn'),
('sv', 'admin', 'administration', 'Administration'),
('sv', 'admin', 'admins', 'Administratörer'),
('sv', 'admin', 'advanced options', 'Avancerade inställningar'),
('sv', 'admin', 'after how many unsuccessful attempts to login, an account should be blocked (default 3) ?', 'Efter hur många misslyckade försök att logga in skall ett konto blockeras (standard 3)?'),
('sv', 'admin', 'after how many unsuccessful attempts to login, an ip should be blocked (default 3) ?', 'Efter hur många misslyckade försök att logga in skall en IP adress blockeras (standard 3)?'),
('sv', 'admin', 'aliases', 'Alias'),
('sv', 'admin', 'all records and account information will be lost!', 'Alla förteckningar och användarinformation kommer att försvinna!'),
('sv', 'admin', 'all users', 'Alla användare'),
('sv', 'admin', 'allow anonymous access to this app', 'Tillåt anonym åtkomst till applikationen'),
('sv', 'admin', 'alternate email address', 'Alternativ e-postadress'),
('sv', 'admin', 'anonymous user', 'Anonym användare'),
('sv', 'admin', 'anonymous user (not shown in list sessions)', 'Anonym användare (visas inte bland sessioner)'),
('sv', 'admin', 'anonymous user does not exist!', 'Anonym användare saknas'),
('sv', 'admin', 'anonymous user has no run-rights for the application!', 'Anonym användare saknar åtkomst till applikationen'),
('sv', 'admin', 'appearance', 'Utseende'),
('sv', 'admin', 'application', 'Applikation'),
('sv', 'admin', 'application name', 'Applikationens namn'),
('sv', 'admin', 'application title', 'Applikationens titel'),
('sv', 'admin', 'applications', 'Applikationer'),
('sv', 'admin', 'applications list', 'Applikationslista'),
('sv', 'admin', 'applies the changes', 'Sparar ändringar'),
('sv', 'admin', 'apply the changes', 'Spara ändringar'),
('sv', 'admin', 'are you sure you want to delete the application %1 ?', 'Vill du verkligen radera applikationen %1 ?'),
('sv', 'admin', 'are you sure you want to delete this account ?', 'Vill du verkligen radera kontot?'),
('sv', 'admin', 'are you sure you want to delete this application ?', 'Vill du verkligen radera applikationen?'),
('sv', 'admin', 'are you sure you want to delete this global category ?', 'Vill du verkligen radera denna globala kategori?'),
('sv', 'admin', 'are you sure you want to delete this group ?', 'Vill du verkligen radera gruppen?'),
('sv', 'admin', 'are you sure you want to delete this server?', 'Vill du verkligen radera servern?'),
('sv', 'admin', 'are you sure you want to kill this session ?', 'Vill du verkligen avsluta sessionen?'),
('sv', 'admin', 'async services last executed', 'Asynkrona tjänster senast körda'),
('sv', 'admin', 'asynchronous timed services', 'Asynkrona tidsbundna tjänster'),
('sv', 'admin', 'asyncservices not yet installed or other error (%1) !!!', 'Asynkrona tjänster är inte installerade ännu eller annat fel (%1)!!!'),
('sv', 'admin', 'attempt to use correct mimetype for ftp instead of default ''application/octet-stream''', 'Försök att använda korrekt mime-typ istället för standard ''application/octet-stream'''),
('sv', 'admin', 'attribute accountstatus explained', 'Detta hanterar attributet <b><i>-accountStatus-</i></b> från QMAIL schemat'),
('sv', 'admin', 'attribute mail explained', 'Detta hanterar attributet <b><i>-mail-</i></b> från QMAIL schemat och bör aldrig vara tomt. Det är också eGW''s intern e-postfält'),
('sv', 'admin', 'attribute mailalternateaddress explained', 'Detta hanterar attributet<b><i>-mailAlternateAddress-</i></b> från QMAIL schemat och kan hanteras som virtuella kopplingar eller alias.'),
('sv', 'admin', 'attribute mailforwardingaddress explained', 'Detta hanterar attributet <b><i>-mailForwardingAddress-</i></b> från QMAIL schemat och får inte vara tomt om vidarebefodran används.'),
('sv', 'admin', 'authentication / accounts', 'Autentisering / Konton'),
('sv', 'admin', 'auto create account records for authenticated users', 'Skapa kontoposter automatiskt för autentiserade användare'),
('sv', 'admin', 'back to the list', 'Tillbaks till listan'),
('sv', 'admin', 'bi-dir passthrough', 'dubbelriktad genomströmmning'),
('sv', 'admin', 'bi-directional', 'dubbelriktad'),
('sv', 'admin', 'bottom', 'Nederst'),
('sv', 'admin', 'calculate next run', 'Beräkna nästa körtid'),
('sv', 'admin', 'can change password', 'Kan byta lösenord'),
('sv', 'admin', 'cancel testjob!', 'Avbryt testkörning'),
('sv', 'admin', 'categories list', 'Kategorilista'),
('sv', 'admin', 'category %1 has been saved !', 'Kategori %1 har sparats'),
('sv', 'admin', 'category list', 'Kategorilista'),
('sv', 'admin', 'change acl rights', 'Ändra ACL behörigheter'),
('sv', 'admin', 'change config settings', 'Ändra inställningar'),
('sv', 'admin', 'change main screen message', 'Ändra Startsidans meddelande'),
('sv', 'admin', 'check ip address of all sessions', 'Kontrollera IP adress på alla sessioner'),
('sv', 'admin', 'check items to <b>%1</b> to %2 for %3', 'Kontrollera punkterna till <b>%1</b> till %2 för %3'),
('sv', 'admin', 'click to select a color', 'Klicka för att välja färg'),
('sv', 'admin', 'color', 'Färg'),
('sv', 'admin', 'country', 'Land'),
('sv', 'admin', 'country selection', 'Landsval'),
('sv', 'admin', 'create group', 'Skapa grupp'),
('sv', 'admin', 'created', 'Skapad'),
('sv', 'admin', 'creates a new field', 'Skapar nytt fält'),
('sv', 'admin', 'crontab only (recomended)', 'Enbart crontab (rekommenderas)'),
('sv', 'admin', 'custom fields', 'Anpassade fält'),
('sv', 'admin', 'cyrus imap server', 'Cyrus IMAP server'),
('sv', 'admin', 'data', 'Data'),
('sv', 'admin', 'day', 'Dag'),
('sv', 'admin', 'day of week<br>(0-6, 0=sun)', 'Veckodag<br>(0-6, 0=Sön)'),
('sv', 'admin', 'db backup and restore', 'Backup och återställning av databas'),
('sv', 'admin', 'default', 'Standard'),
('sv', 'admin', 'default file system space per user', 'Standardstorlek på lagringsutrymme per användare'),
('sv', 'admin', 'default file system space per user/group ?', 'Standardstorlek på lagringsutrymme per användare/grupp'),
('sv', 'admin', 'deinstall crontab', 'Avinstallera crontab'),
('sv', 'admin', 'delete account', 'Radera konto'),
('sv', 'admin', 'delete all records', 'Radera alla poster'),
('sv', 'admin', 'delete application', 'Radera applikation'),
('sv', 'admin', 'delete category', 'Radera kategori'),
('sv', 'admin', 'delete group', 'Radera grupp'),
('sv', 'admin', 'delete peer server', 'Radera peer server'),
('sv', 'admin', 'delete the category', 'Radera kategorin'),
('sv', 'admin', 'delete the group', 'Radera gruppen'),
('sv', 'admin', 'delete this category', 'Radera denna kategori'),
('sv', 'admin', 'delete this group', 'Radera denna grupp'),
('sv', 'admin', 'delete this user', 'Radera denna användare'),
('sv', 'admin', 'deletes this field', 'Raderar detta fält'),
('sv', 'admin', 'deliver extern', 'Leverera externt'),
('sv', 'admin', 'deny access to access log', 'Neka åtkomst till accesslogg'),
('sv', 'admin', 'deny access to application registery', 'Neka åtkomst till applikations register'),
('sv', 'admin', 'deny access to applications', 'Neka åtkomst till applikationer'),
('sv', 'admin', 'deny access to asynchronous timed services', 'Neka åtkomst till asynkrona tidsbundna tjänster'),
('sv', 'admin', 'deny access to current sessions', 'Neka åtkomst till aktiva sessioner'),
('sv', 'admin', 'deny access to db backup and restore', 'Neka åtkomst till backup och återställning av databas'),
('sv', 'admin', 'deny access to error log', 'Neka åtkomst till felloggen'),
('sv', 'admin', 'deny access to global categories', 'Neka åtkomst till globala kategorier'),
('sv', 'admin', 'deny access to groups', 'Neka åtkomst till grupper'),
('sv', 'admin', 'deny access to mainscreen message', 'Neka åtkomst till meddelandet på Startsidan'),
('sv', 'admin', 'deny access to peer servers', 'Neka åtkomst till peer servers'),
('sv', 'admin', 'deny access to phpinfo', 'Neka åtkomst till phpinfo'),
('sv', 'admin', 'deny access to site configuration', 'Neka åtkomst till sajt alternativ'),
('sv', 'admin', 'deny access to user accounts', 'Neka åtkomst till användarkonton'),
('sv', 'admin', 'deny all users access to grant other users access to their entries ?', 'Neka alla användare möjlighet att ge andra användare åtkomst till egna poster?'),
('sv', 'admin', 'description can not exceed 255 characters in length !', 'Beskrivning får inte vara längre än 255 tecken!'),
('sv', 'admin', 'determines the order the fields are displayed', 'Avgör sorteringen av visade fält'),
('sv', 'admin', 'disable "auto completion" of the login form', 'Inaktivera "automatisk ifyllnad" av inloggningsformuläret'),
('sv', 'admin', 'disable wysiwyg-editor', 'Inaktivera WYSIWYG-editorn'),
('sv', 'admin', 'disabled (not recomended)', 'Inaktiverad (rekommenderas ej)'),
('sv', 'admin', 'display', 'Visa'),
('sv', 'admin', 'do not delete the category and return back to the list', 'Ta EJ bort kategorin och gå tillbaka till listan'),
('sv', 'admin', 'do you also want to delete all global subcategories ?', 'Vill du samtidigt radera alla globala underkategorier?'),
('sv', 'admin', 'do you want to delete all global subcategories ?', 'Vill du radera alla globala underkategorier?'),
('sv', 'admin', 'do you want to move all global subcategories one level down ?', 'Vill du flytta alla globala underkategorier en nivå nedåt?'),
('sv', 'admin', 'each value is a line like <id>[=<label>]', 'varje värde är en rad liknande <id>[=<label>]'),
('sv', 'admin', 'each value is a line like id[=label]', 'varje värde är en rad liknande <id>[=<label>]'),
('sv', 'admin', 'edit account', 'Ändra konto'),
('sv', 'admin', 'edit application', 'Ändra applikation'),
('sv', 'admin', 'edit email settings', 'Ändra e-postinställningar'),
('sv', 'admin', 'edit global category', 'Ändra global kategori'),
('sv', 'admin', 'edit global category for %1', 'Ändra global kategori för %1'),
('sv', 'admin', 'edit group', 'Ändra grupp'),
('sv', 'admin', 'edit group acl''s', 'Ändra gruppens ACL:er?'),
('sv', 'admin', 'edit login screen message', 'Ändra inloggningsformulärets meddelande'),
('sv', 'admin', 'edit main screen message', 'Ändra Startsidans meddelande'),
('sv', 'admin', 'edit peer server', 'Ändra peer server'),
('sv', 'admin', 'edit table format', 'Ändra tabellformat'),
('sv', 'admin', 'edit this category', 'Ändra denna kategori'),
('sv', 'admin', 'edit this group', 'Ändra denna grupp'),
('sv', 'admin', 'edit this user', 'Ändra denna användare'),
('sv', 'admin', 'edit user', 'Ändra användare'),
('sv', 'admin', 'edit user account', 'Ändra användarkonto'),
('sv', 'admin', 'email account active', 'E-postkonto aktivt'),
('sv', 'admin', 'email address', 'E-postadress'),
('sv', 'admin', 'enable debug-messages', 'Aktivera felsöknings meddelanden'),
('sv', 'admin', 'enable the soap service', 'Aktivera SOAP tjänsten'),
('sv', 'admin', 'enable the xmlrpc service', 'Aktivera XML-RPC tjänsten'),
('sv', 'admin', 'enabled - hidden from navbar', 'Aktiv - Gömd på navigationslisten'),
('sv', 'admin', 'enabled - popup window', 'Aktiv - Popup fönster'),
('sv', 'admin', 'enter a description for the category', 'Skriv en kategoribeskrivning'),
('sv', 'admin', 'enter some random text for app_session <br>encryption (requires mcrypt)', 'Skriv slumpmässig text för <br> kryptering av app_session (kräver mcrypt)'),
('sv', 'admin', 'enter the background color for the login page', 'Ange bakgrundsfärg för loginformuläret'),
('sv', 'admin', 'enter the background color for the site title', 'Ange bakgrundsfärg för sajtens rubtik'),
('sv', 'admin', 'enter the full path for temporary files.<br>examples: /tmp, c:\\temp', 'Ange fullständig sökväg för temporära filer <br> t ex: /tmp, C:\\TEMP'),
('sv', 'admin', 'enter the full path for temporary files.<br>examples: /tmp, c:temp', 'Ange fullständig sökväg för temporära filer <br> t ex: /tmp, C:\\TEMP'),
('sv', 'admin', 'enter the full path for users and group files.<br>examples: /files, e:\\files', 'Ange fullständig sökväg för användar- och gruppfiler <br> t ex: /files, D:\\FILES'),
('sv', 'admin', 'enter the full path for users and group files.<br>examples: /files, e:files', 'Ange fullständig sökväg för användar- och gruppfiler <br> t ex: /files, D:\\FILES'),
('sv', 'admin', 'enter the hostname of the machine on which this server is running', 'Ange värdnamn för datorn som kör denna tjänst'),
('sv', 'admin', 'enter the location of egroupware''s url.<br>example: http://www.domain.com/egroupware &nbsp; or &nbsp; /egroupware<br><b>no trail', 'Ange sökväg till eGroupWare''s URL.<br>Example: http://www.domain.com/egroupware   eller   /egroupware<br><b>Utan efterföljande snedstreck</b>'),
('sv', 'admin', 'enter the search string. to show all entries, empty this field and press the submit button again', 'Ange söksträng. För att visa alla poster, töm fältet och tryck på Skicka'),
('sv', 'admin', 'enter the site password for peer servers', 'Ange lösenord för peer servers'),
('sv', 'admin', 'enter the site username for peer servers', 'Ange användarnamn för peer servers'),
('sv', 'admin', 'enter the title for your site', 'Namnge din sajt'),
('sv', 'admin', 'enter the title of your logo', 'Namnge sajtens logotyp'),
('sv', 'admin', 'enter the url or filename (in phpgwapi/templates/default/images) of your logo', 'Ange URL eller filnamn (om den ligger i phpgwapi/templates/default/images) för webbplatsens logotyp'),
('sv', 'admin', 'enter the url where your logo should link to', 'Ange vilken URL sajtens logotyp skall länka till'),
('sv', 'admin', 'enter your default ftp server', 'Ange standard FTP server'),
('sv', 'admin', 'enter your default mail domain ( from: user@domain )', 'Standard e-post domän (From: user@domain)'),
('sv', 'admin', 'enter your http proxy server', 'Ange adress till din HTTP proxy'),
('sv', 'admin', 'enter your http proxy server port', 'Ange portnummer till din HTTP proxy'),
('sv', 'admin', 'enter your smtp server hostname or ip address', 'SMTP server värdnamn eller IP adress'),
('sv', 'admin', 'enter your smtp server port', 'SMTP server port'),
('sv', 'admin', 'error canceling timer, maybe there''s none set !!!', 'Fel vid avbrytande av timer, är det någon inställd?'),
('sv', 'admin', 'error setting timer, wrong syntax or maybe there''s one already running !!!', 'Fel vid inställning av timer, fel syntax eller det kanske redan körs en?'),
('sv', 'admin', 'error! no appname found', 'FEL: Inget appnamn kunde hittas'),
('sv', 'admin', 'error: %1 not found or other error !!!', 'FEL: %1 kunde inte hittas, eller annat fel!!'),
('sv', 'admin', 'expires', 'Förfaller'),
('sv', 'admin', 'explanation of ldapman', 'Denna modul har hittils testats för POSTFIX, LDAP, Courier-IMAP och behöver schema för Core och QMAIL (OID7914). Ytterligare detaljer gällande användning och konfiguration av detta system kan du finna i README.ldapman i dokumentkatalogen under ADMIN.'),
('sv', 'admin', 'fallback (after each pageview)', 'fallback (efter varje sidvisning)'),
('sv', 'admin', 'false', 'Falskt'),
('sv', 'admin', 'field ''%1'' already exists !!!', 'Fält ''%1'' finns redan!'),
('sv', 'admin', 'file space', 'Filutrymmes storlek'),
('sv', 'admin', 'file space must be an integer', 'Filutrymmes storlek måste anges som heltal'),
('sv', 'admin', 'find and register all application hooks', 'Hitta och registrera alla applikationers kopplingar'),
('sv', 'admin', 'for the times above', 'För tider ovan'),
('sv', 'admin', 'for the times below (empty values count as ''*'', all empty = every minute)', 'För tider nedan (tomma värden räknas som ''*'', alla tomma = varje minut)'),
('sv', 'admin', 'force selectbox', 'Tvinga valruta'),
('sv', 'admin', 'forward also to', 'Vidarebefodra även till'),
('sv', 'admin', 'forward emails to', 'Vidarebefodra e-post till'),
('sv', 'admin', 'forward only', 'Vidarebefodra enbart'),
('sv', 'admin', 'full name', 'Fullständigt namn'),
('sv', 'admin', 'group ?', 'grupp?'),
('sv', 'admin', 'group list', 'Grupplista'),
('sv', 'admin', 'group manager', 'Gruppansvarig'),
('sv', 'admin', 'group name', 'Gruppnamn'),
('sv', 'admin', 'hide php information', 'Dölj phpinformation'),
('sv', 'admin', 'home directory', 'Hemkatalog'),
('sv', 'admin', 'host information', 'Värdinformation'),
('sv', 'admin', 'hour<br>(0-23)', 'Timma<br>(0-23)'),
('sv', 'admin', 'how many days should entries stay in the access log, before they get deleted (default 90) ?', 'Hur många dagar skall poster ligga kvar i accessloggen innan de raderas (standard 90)?'),
('sv', 'admin', 'how many minutes should an account or ip be blocked (default 30) ?', 'Hur många minuter skall ett konto eller IP adress blokeras (standard 30)?'),
('sv', 'admin', 'how should email addresses for new users be constructed?', 'Hur ska e-postadresser för nya användare formateras?'),
('sv', 'admin', 'icon', 'Ikon'),
('sv', 'admin', 'idle', 'Vilande'),
('sv', 'admin', 'if no acl records for user or any group the user is a member of', 'Om inga ACL poster för användare eller grupp blir användaren medlem i'),
('sv', 'admin', 'if using ldap, do you want to manage homedirectory and loginshell attributes?', 'Om LDAP används, vill du hantera hemkatalog och skal-egenskaper?'),
('sv', 'admin', 'in mbyte', 'i MByte'),
('sv', 'admin', 'inbound', 'inkommande'),
('sv', 'admin', 'initial', 'Inledande'),
('sv', 'admin', 'install crontab', 'Installera crontab'),
('sv', 'admin', 'installed crontab', 'Installerade crontab'),
('sv', 'admin', 'interface', 'Gränssnitt'),
('sv', 'admin', 'ip', 'IP'),
('sv', 'admin', 'jobs', 'Jobb'),
('sv', 'admin', 'kill', 'Avsluta'),
('sv', 'admin', 'kill session', 'Avsluta session'),
('sv', 'admin', 'last %1 logins', 'Senaste %1 inloggningar'),
('sv', 'admin', 'last %1 logins for %2', 'Senaste %1 inloggningar av %2'),
('sv', 'admin', 'last login', 'Senaste inloggning'),
('sv', 'admin', 'last login from', 'Senaste inloggning från'),
('sv', 'admin', 'last time read', 'Senast läst'),
('sv', 'admin', 'ldap accounts context', 'Kontext för LDAP konton'),
('sv', 'admin', 'ldap default homedirectory prefix (e.g. /home for /home/username)', 'Hemkatalogsprefix för LDAP (t ex: /home för /home/användarnamn'),
('sv', 'admin', 'ldap default shell (e.g. /bin/bash)', 'LDAP standardskal (t ex: /bin/bash)'),
('sv', 'admin', 'ldap encryption type', 'LDAP krypteringstyp'),
('sv', 'admin', 'ldap groups context', 'Gruppkontext för LDAP'),
('sv', 'admin', 'ldap host', 'LDAP värd'),
('sv', 'admin', 'ldap root password', 'LDAP root lösenord'),
('sv', 'admin', 'ldap rootdn', 'LDAP root dn'),
('sv', 'admin', 'leave empty for no quota', 'Lämna tomt om du inte vill sätta kvot'),
('sv', 'admin', 'leave the category untouched and return back to the list', 'Lämna kategorin orörd och återgå till listan'),
('sv', 'admin', 'leave the group untouched and return back to the list', 'Lämna gruppen orörd och återgår till listan'),
('sv', 'admin', 'leave without saveing the entry', 'Lämna utan att spara post'),
('sv', 'admin', 'leaves without saveing', 'lämnas utan att sparas'),
('sv', 'admin', 'length<br>rows', 'Längd<br>Rader'),
('sv', 'admin', 'list config settings', 'Lista konfigurations inställningar'),
('sv', 'admin', 'list current sessions', 'Lista aktiva sessioner'),
('sv', 'admin', 'list of current users', 'lista över aktiva användare'),
('sv', 'admin', 'login history', 'Inloggningshistorik'),
('sv', 'admin', 'login message', 'Inloggningsmeddelande'),
('sv', 'admin', 'login screen', 'Inloggningssida'),
('sv', 'admin', 'login shell', 'Inloggningsskal'),
('sv', 'admin', 'login time', 'Inloggningstid'),
('sv', 'admin', 'loginid', 'Inloggnings ID'),
('sv', 'admin', 'mail settings', 'E-post alternativ'),
('sv', 'admin', 'main email-address', 'Standard e-postadress'),
('sv', 'admin', 'main screen message', 'Meddelande på Startsidan'),
('sv', 'admin', 'manager', 'Hanterare'),
('sv', 'admin', 'max length of the input [, length of the inputfield (optional)]', 'max indata längd[, Indatafälts längd (option)]'),
('sv', 'admin', 'maximum account id (e.g. 65535 or 1000000)', 'Högsta konto ID (ex. 65535 eller 1000000)'),
('sv', 'admin', 'maximum entries in click path history', 'Maximalt antal poster i klick historik'),
('sv', 'admin', 'message has been updated', 'Meddelandet har uppdaterats'),
('sv', 'admin', 'method', 'Metod'),
('sv', 'admin', 'minimum account id (e.g. 500 or 100, etc.)', 'Minsta konto ID (ex. 500 eller 100)'),
('sv', 'admin', 'minute', 'Minut'),
('sv', 'admin', 'mode', 'Läge'),
('sv', 'admin', 'modified', 'Ändrad'),
('sv', 'admin', 'month', 'Månad'),
('sv', 'admin', 'name must not be empty !!!', 'Namnet får inte vara tomt!'),
('sv', 'admin', 'new group name', 'Nytt gruppnamn'),
('sv', 'admin', 'new name', 'Nytt namn'),
('sv', 'admin', 'new password [ leave blank for no change ]', 'Nytt lösenord [ Låt fältet vara tomt för att inte ändra ]'),
('sv', 'admin', 'next run', 'Nästa körning'),
('sv', 'admin', 'no algorithms available', 'inga algoritmer tillgängliga'),
('sv', 'admin', 'no alternate email address', 'Ingen alternativ e-postadress'),
('sv', 'admin', 'no jobs in the database !!!', 'Inga jobb i databasen!!!'),
('sv', 'admin', 'no login history exists for this user', 'Inloggningshistorik saknas för användaren'),
('sv', 'admin', 'no matches found', 'Inga träffar'),
('sv', 'admin', 'no modes available', 'inga lägen tillgängliga'),
('sv', 'admin', 'no permission to add groups', 'Behörighet saknas för att lägga till grupper'),
('sv', 'admin', 'no permission to add users', 'Behörighet saknas för att lägga till användare'),
('sv', 'admin', 'no permission to create groups', 'Behörighet saknas för att skapa grupper'),
('sv', 'admin', 'note: ssl available only if php is compiled with curl support', 'Not: SSL är bara tillgängligt om PHP kompilerats med stöd för curl'),
('sv', 'admin', 'number of row for a multiline inputfield or line of a multi-select-box', 'Antal rader för flerraders indatafält eller flervalsruta'),
('sv', 'admin', 'one month', 'En månad'),
('sv', 'admin', 'one week', 'En vecka'),
('sv', 'admin', 'order', 'Sortering'),
('sv', 'admin', 'outbound', 'Utgående'),
('sv', 'admin', 'passthrough', 'Passerande'),
('sv', 'admin', 'password for smtp-authentication', 'Lösenord för SMTP autentisering'),
('sv', 'admin', 'path information', 'Sökvägsinformation'),
('sv', 'admin', 'peer server list', 'Peer serverlista'),
('sv', 'admin', 'peer servers', 'Peer servrar'),
('sv', 'admin', 'percent of users that logged out', 'Procent av användare som loggat ut'),
('sv', 'admin', 'percent this user has logged out', 'Procent denna användare loggat ut'),
('sv', 'admin', 'permission denied', 'Åtkomst nekad'),
('sv', 'admin', 'permission denied !!!', 'Åtkomst nekas'),
('sv', 'admin', 'permissions', 'Behörigheter'),
('sv', 'admin', 'permissions this group has', 'Tillåtna applikationer för gruppen'),
('sv', 'admin', 'phpinfo', 'PHP information'),
('sv', 'admin', 'please enter a name', 'Ange ett namn'),
('sv', 'admin', 'please enter a name for that server !', 'Ange ett namn för servern'),
('sv', 'admin', 'please run setup to become current', 'Kör installationen för att uppdatera'),
('sv', 'admin', 'please select', 'Vänligen välj'),
('sv', 'admin', 'postfix with ldap', 'Postfix med LDAP'),
('sv', 'admin', 'preferences', 'Alternativ'),
('sv', 'admin', 'primary group', 'Primär grupp'),
('sv', 'admin', 'qmaildotmode', 'qmaildotmode'),
('sv', 'admin', 'quota settings', 'Kvotinställningar'),
('sv', 'admin', 'quota size in mbyte', 'Kvotstorlek i Mb'),
('sv', 'admin', 're-enter password', 'Skriv in lösenord igen'),
('sv', 'admin', 'read this list of methods.', 'Läst denna lista över metoder'),
('sv', 'admin', 'register application hooks', 'Registera applikationskopplingar'),
('sv', 'admin', 'remove', 'Radera'),
('sv', 'admin', 'remove all users from this group', 'Radera alla användare från gruppen'),
('sv', 'admin', 'remove all users from this group ?', 'Radera alla användare från gruppen'),
('sv', 'admin', 'requested', 'Begärt'),
('sv', 'admin', 'return to admin mainscreen', 'Återgå till Startsida för administration'),
('sv', 'admin', 'return to view account', 'Återgå till att titta på kontot'),
('sv', 'admin', 'route all mails to', 'Länka all e-post till'),
('sv', 'admin', 'run asynchronous services', 'Kör asynkrona tjänster'),
('sv', 'admin', 'save the category', 'Spara kategorin'),
('sv', 'admin', 'save the category and return back to the list', 'Spara kategorin och återgå till listan'),
('sv', 'admin', 'saves the changes made and leaves', 'Sparar ändringar och avslutar'),
('sv', 'admin', 'saves this entry', 'Spara post'),
('sv', 'admin', 'search accounts', 'Sök konton'),
('sv', 'admin', 'search categories', 'Sök kategorier'),
('sv', 'admin', 'search groups', 'Sök grupper'),
('sv', 'admin', 'search peer servers', 'Sök peer servers'),
('sv', 'admin', 'security', 'Säkerhet'),
('sv', 'admin', 'select group managers', 'Välj gruppansvariga'),
('sv', 'admin', 'select permissions this group will have', 'Välj behörigheter denna grupp skall ha'),
('sv', 'admin', 'select the parent category. if this is a main category select no category', 'Välj kategoriförälder. Om detta är en huvudkategori, välj INGEN KATEGORI'),
('sv', 'admin', 'select users for inclusion', 'Välj gruppmedlemmar'),
('sv', 'admin', 'select where you want to store/retrieve filesystem information', 'Välj var vill du lagra/återfinna filsystemsinformation'),
('sv', 'admin', 'select where you want to store/retrieve user accounts', 'Välj var du vill lagra/återfinna användarkonton'),
('sv', 'admin', 'select which location this app should appear on the navbar, lowest (left) to highest (right)', 'Välj vilken plats du vill att denna applikation skall ha i navigationslisten, lägst (vänster) till högst (höger)'),
('sv', 'admin', 'selectbox', 'Valruta'),
('sv', 'admin', 'server %1 has been updated', 'Server %1 har uppdaterats'),
('sv', 'admin', 'server list', 'Serverlista'),
('sv', 'admin', 'server password', 'Serverlösenord'),
('sv', 'admin', 'server type(mode)', 'Servertyp (läge)'),
('sv', 'admin', 'server url', 'URL för servern'),
('sv', 'admin', 'server username', 'Användarnamn för servern'),
('sv', 'admin', 'set preference values.', 'Gör inställningar'),
('sv', 'admin', 'should the login page include a language selectbox (useful for demo-sites) ?', 'Skall inloginsidan ha en valruta för språk (praktisk vid demosajter)?'),
('sv', 'admin', 'show ''powered by'' logo on', 'Visa "Powered By" logga'),
('sv', 'admin', 'show access log', 'Visa Accesslogg'),
('sv', 'admin', 'show current action', 'Visa nuvarande aktivitet'),
('sv', 'admin', 'show error log', 'Visa fellogg'),
('sv', 'admin', 'show phpinfo()', 'Visa phpinfo()'),
('sv', 'admin', 'show session ip address', 'Visa IP adress för sessionen'),
('sv', 'admin', 'site', 'Sajt'),
('sv', 'admin', 'soap', 'SOAP'),
('sv', 'admin', 'sorry, that group name has already been taken.', 'Beklagar, gruppnamnet är redan upptaget'),
('sv', 'admin', 'sorry, the above users are still a member of the group %1', 'Beklagar, användarna ovan är fortfarande medlemmar i gruppen %1'),
('sv', 'admin', 'sorry, the follow users are still a member of the group %1', 'Beklagar, följande användare är fortfarande medlem av gruppen %1'),
('sv', 'admin', 'sort the entries', 'Sortera posterna'),
('sv', 'admin', 'ssl', 'SSL'),
('sv', 'admin', 'standard', 'Standard'),
('sv', 'admin', 'standard imap server', 'Standard IMAP server'),
('sv', 'admin', 'standard pop3 server', 'Standard POP3 server'),
('sv', 'admin', 'standard smtp-server', 'Standard SMTP server'),
('sv', 'admin', 'start testjob!', 'Starta testjobb!'),
('sv', 'admin', 'submit changes', 'Verkställ förändring'),
('sv', 'admin', 'submit the search string', 'Verkställ sökning'),
('sv', 'admin', 'subtype', 'Undertyp'),
('sv', 'admin', 'template selection', 'Val av Mall'),
('sv', 'admin', 'text entry', 'Text'),
('sv', 'admin', 'that application name already exists.', 'En applikation med det namnet existerar redan.'),
('sv', 'admin', 'that application order must be a number.', 'Applikationsordning måste anges med siffror'),
('sv', 'admin', 'that loginid has already been taken', 'Detta inloggnings ID är redan upptaget');
INSERT INTO `egw_lang` (`lang`, `app_name`, `message_id`, `content`) VALUES
('sv', 'admin', 'that name has been used already', 'Det namnet används redan'),
('sv', 'admin', 'that server name has been used already !', 'Det servernamnet används redan!'),
('sv', 'admin', 'the api is current', 'API är aktuellt'),
('sv', 'admin', 'the api requires an upgrade', 'API behöver uppgraderas'),
('sv', 'admin', 'the groups must include the primary group', 'Grupperna måste inkludera en primärgrupp'),
('sv', 'admin', 'the login and password can not be the same', 'Användarnamn och lösenord kan inte vara lika'),
('sv', 'admin', 'the loginid can not be more then 8 characters', 'Inloggnings ID kan inte vara längre än 8 tecken'),
('sv', 'admin', 'the name used internaly (<= 20 chars), changeing it makes existing data unavailible', 'det interna namnet (<= 20 tecken), att ändra det gör existerande data otillgängligt'),
('sv', 'admin', 'the testjob sends you a mail everytime it is called.', 'Testjobbet skickar ett e-post varje gång det anropas'),
('sv', 'admin', 'the text displayed to the user', 'texten som visas för användaren'),
('sv', 'admin', 'the two passwords are not the same', 'Lösenorden är inte identiska'),
('sv', 'admin', 'the users bellow are still members of group %1', 'Användarna nedan är fortfarande medlem av gruppen %1'),
('sv', 'admin', 'there already is a group with this name. userid''s can not have the same name as a groupid', 'Det finns redan en grupp med det namnet. Ett användarnamn kan inte heta likadant som ett grupp'),
('sv', 'admin', 'they must be removed before you can continue', 'De måste tas bort innan du kan fortsätta'),
('sv', 'admin', 'this application is current', 'Applikationen är aktuell'),
('sv', 'admin', 'this application requires an upgrade', 'Applikationen måste uppgraderas!'),
('sv', 'admin', 'this category is currently being used by applications as a parent category', 'Denna kategori används för närvarande av applikationer som topp kategori.'),
('sv', 'admin', 'timeout for application session data in seconds (default 86400 = 1 day)', 'Paus för applikationens sessionsdata i sekunder (standard 86400 = 1 dygn))'),
('sv', 'admin', 'timeout for sessions in seconds (default 14400 = 4 hours)', 'Paus för sessioner i sekunder (standard 14400 = 4 timmar)'),
('sv', 'admin', 'times', 'Tider'),
('sv', 'admin', 'top', 'Överst'),
('sv', 'admin', 'total records', 'Fullständig förteckning'),
('sv', 'admin', 'true', 'Sant'),
('sv', 'admin', 'trust level', 'Förtroendenivå'),
('sv', 'admin', 'trust relationship', 'Förtroendeförhållande'),
('sv', 'admin', 'two weeks', 'Två veckor'),
('sv', 'admin', 'type ''%1'' already exists !!!', 'Typ ''%1''  existerar redan!'),
('sv', 'admin', 'type of customfield', 'Typ av anpassat fält'),
('sv', 'admin', 'under windows you need to install the asyncservice %1manually%2 or use the fallback mode. fallback means the jobs get only check', 'På Windowsplattform måste du installera asynkrontjänsten %1manuellt%2 eller använda fallbackläge. Fallbackläge betyder att jobbet kontrolleras efter varje sidvisning.'),
('sv', 'admin', 'updated', 'Uppdaterad'),
('sv', 'admin', 'use cookies to pass sessionid', 'Använd cookies för att lagra sessionid'),
('sv', 'admin', 'use pure html compliant code (not fully working yet)', 'Använd fullständigt HTML kompatibel kod (fungerar inte fullständigt ännu).'),
('sv', 'admin', 'use theme', 'Använd tema'),
('sv', 'admin', 'user accounts', 'Användarkonton'),
('sv', 'admin', 'user for smtp-authentication (leave it empty if no auth required)', 'Användare för SMTP autentisering (lämna tomt om autentisering ej krävs)'),
('sv', 'admin', 'user groups', 'Användargrupper'),
('sv', 'admin', 'userdata', 'användaradata'),
('sv', 'admin', 'users choice', 'Användares val'),
('sv', 'admin', 'view access log', 'Visa accesslogg'),
('sv', 'admin', 'view account', 'Visa konto'),
('sv', 'admin', 'view category', 'Visa kategori'),
('sv', 'admin', 'view error log', 'Visa fellogg'),
('sv', 'admin', 'view sessions', 'Visa sessioner'),
('sv', 'admin', 'view this user', 'Visa användaren'),
('sv', 'admin', 'view user account', 'Visa användarkontot'),
('sv', 'admin', 'who would you like to transfer all records owned by the deleted user to?', 'Till vem vill du föra över SAMTLIGA poster som ägs av den raderade användaren?'),
('sv', 'admin', 'would you like egroupware to cache the egw info array ?', 'Vill du att eGroupWare skall buffra egw info array?'),
('sv', 'admin', 'would you like egroupware to check for a new version<br>when admins login ?', 'Vill du att eGroupWare skall kontrollera om det finns en ny version när administratörer loggar in?'),
('sv', 'admin', 'would you like egroupware to check for new application versions when admins login ?', 'Vill du att eGroupWare skall kontrollera om applikationerna finns i ny version när administratörer loggar in?'),
('sv', 'admin', 'would you like to automaticaly load new langfiles (at login-time) ?', 'Vill du automatiskt ladda nya språkfiler (vid inloggning)?'),
('sv', 'admin', 'would you like to show each application''s upgrade status ?', 'Vill du visa uppgraderings status för alla applikationer?'),
('sv', 'admin', 'xml-rpc', 'XML-RPC'),
('sv', 'admin', 'you have entered an invalid expiration date', 'Du har angivit ett ogiltigt förfallodatum'),
('sv', 'admin', 'you have to enter a name, to create a new field!!!', 'Du måste ange ett namn för att skapa nytt fält!'),
('sv', 'admin', 'you have to enter a name, to create a new type!!!', 'Du måste ange ett namn för att skapa ny typ!'),
('sv', 'admin', 'you must add at least 1 permission or group to this account', 'Du måste ange minst en behörighet eller grupp till detta konto'),
('sv', 'admin', 'you must enter a group name.', 'Du måste ange ett gruppnamn'),
('sv', 'admin', 'you must enter a lastname', 'Du måste ange ett efternamn'),
('sv', 'admin', 'you must enter a loginid', 'Du måste ange ett inloggnings ID'),
('sv', 'admin', 'you must enter an application name and title.', 'Du måste ange namn och titel för applikationen'),
('sv', 'admin', 'you must enter an application name.', 'Du måste ange ett namn för applikationen'),
('sv', 'admin', 'you must enter an application title.', 'Du måste ange en titel för applikationen'),
('sv', 'admin', 'you must select a file type', 'Du måste välja en filtyp'),
('sv', 'admin', 'you will need to remove the subcategories before you can delete this category', 'Du måste ta bort underkategorierna innan du kan ta bort denna kategori'),
('sv', 'admin', 'your session could not be verified.', 'Din session kunde inte verifieras'),
('sv', 'admin', 'birthdays', 'Födelsedagar'),
('sv', 'admin', 'calendar holiday management', 'Kalender helgdagar'),
('sv', 'admin', 'calendar settings', 'Kalender alternativ'),
('sv', 'admin', 'do you wish to autoload calendar holidays files dynamically?', 'Vill du autoladda kalenderns helgdagar dynamiskt?'),
('sv', 'admin', 'every user can invite other users and groups', 'Varje användare kan bjuda an andra användare och grupper'),
('sv', 'admin', 'groups: other users can allways be invited, only groups require an invite grant', 'Grupper: Andra användare kan alltid bjudas in, bara grupper kräver bjudningsrätt.'),
('sv', 'admin', 'location to autoload from', 'Hämtplats'),
('sv', 'admin', 'require an acl grant to invite other users and groups', 'Kräv en ACL-tillåtelse för att bjuda in andra användare och grupper'),
('sv', 'admin', 'show birthdays from addressbook', 'Visa födelsedagar från adressboken'),
('sv', 'admin', 'show only the date, not the year', 'Visa bara datum, inte år'),
('sv', 'admin', 'users + groups: inviting both allways requires an invite grant', 'Användare + grupper: Bjuda in båda kräver alltid rättigheter'),
('sv', 'admin', 'imap admin password', 'IMAP admin lösenord'),
('sv', 'admin', 'imap admin user', 'IMAP admin användare'),
('sv', 'admin', 'enter your imap mail server hostname or ip address', 'IMAP e-post server värdnamn eller IP adress'),
('sv', 'admin', 'enter your sieve server hostname or ip address', 'SIEVE server värdnamn eller IP adress'),
('sv', 'admin', 'enter your sieve server port', 'SIEVE server port'),
('sv', 'admin', 'mail server login type', 'E-post server inloggnings typ'),
('sv', 'admin', 'organization name', 'Organisations namn'),
('sv', 'admin', 'select your mail server type', 'Välj e-post server typ'),
('sv', 'admin', 'sieve settings', 'Sieve alternativ'),
('sv', 'admin', 'smtp settings', 'SMTP alternativ'),
('sv', 'admin', 'use smtp auth', 'Använd SMTP autentisering'),
('sv', 'admin', 'users can define their own emailaccounts', 'Användare kan definiera egna epost konton'),
('sv', 'admin', 'anonymous password', 'Anonyma sessioners lösenord'),
('sv', 'admin', 'anonymous username', 'Anonyma sessioners användarnamn'),
('sv', 'admin', 'install or update the manual-pages', 'Installera eller uppdatera manualsidor'),
('sv', 'admin', 'maintain news', 'Underhåll artiklar'),
('sv', 'admin', 'picture upload (leave the upload directory empty to disable the upload)', 'Bild (lämna uppladdningskatalog tom för att inte ladda upp)'),
('sv', 'admin', '00 (disable)', '00 (inaktivera)'),
('sv', 'admin', '13 (ntp)', '13 (ntp)'),
('sv', 'admin', '80 (http)', '80 (http)'),
('sv', 'admin', 'datetime port.<br>if using port 13, please set firewall rules appropriately before submitting this page.<br>(port: 13 / host: 12', 'Datumtid port.<br>Om port 13, uppdatera brandväggen rätt innan du skickar med denna sida.<br>(Port: 13 / Host: 129.6.15.28)'),
('sv', 'admin', 'phpsysinfo', 'Systeminformation'),
('sv', 'admin', 'view system information', 'Visa systeminformation'),
('sv', 'admin', 'voting booth admin', 'Röstbåset'),
('sv', 'admin', 'activate account', 'Aktivera konto'),
('sv', 'admin', 'days until trial accounts expire', 'Dagar tills provkonto förfaller'),
('sv', 'admin', 'display terms of service?', 'Visa avtalet'),
('sv', 'admin', 'email address to display for support', 'E-postadress till support'),
('sv', 'admin', 'email address to send notices from', 'E-postadress att skicka meddelanden till'),
('sv', 'admin', 'enable registration?', 'Aktivera registrering'),
('sv', 'admin', 'http password', 'HTTP lösenord'),
('sv', 'admin', 'http username', 'HTTP användare'),
('sv', 'admin', 'immediately', 'Omedelbart'),
('sv', 'admin', 'lost password link at login screen?', 'Glömt lösenordet länk på inloggnings sidan?'),
('sv', 'admin', 'lost user id link at login screen?', 'Glömt användar ID på inloggnings sidan?'),
('sv', 'admin', 'manage fields', 'Hantera fält'),
('sv', 'admin', 'password is', 'Lösenordet är'),
('sv', 'admin', 'register link at login screen?', 'Länk till registreringen på Startsidan?'),
('sv', 'admin', 'registration settings', 'Registrering alternativ'),
('sv', 'admin', 'send email', 'Skicka e-post'),
('sv', 'admin', 'subject for confirmation email', 'Rubrik för bekräftelse meddelanden'),
('sv', 'admin', 'terms of service text', 'Avtalstext'),
('sv', 'admin', 'use html', 'Använd HTML'),
('sv', 'admin', 'use trial accounts?', 'Använd provkonton?'),
('sv', 'admin', 'username is', 'Användarnamnet är'),
('sv', 'admin', 'configure access permissions', 'Reglera åtkomst'),
('sv', 'admin', 'check ldap setup (experimental!!!)', 'Kontrollera LDAP inställningar (experimentell)'),
('sv', 'admin', 'computer group', 'Datorgrupp'),
('sv', 'admin', 'computer ou', 'Dator ou'),
('sv', 'admin', 'homedrive', 'Hemkatalog'),
('sv', 'admin', 'logonscript', 'Inloggnings skript'),
('sv', 'admin', 'new account defaults', 'Standard för nya konton'),
('sv', 'admin', 'path to mkntpwd', 'Sökväg till mkntpwd'),
('sv', 'admin', 'profilepath', 'Profil sökväg'),
('sv', 'admin', 'samba sid', 'Samba SID'),
('sv', 'admin', 'smb homepath', 'Smb sökväg'),
('sv', 'admin', '(don''t offer the possibility)', '(erbjud inte möjligheten)'),
('sv', 'admin', 'after how many days should old versions of a page be removed (0 for never)', 'Efter hur många dagar ska gamla versioner av sidor raderas (0 betyder aldrig)'),
('sv', 'admin', 'allow anonymous access', 'Tillåt anonym åtkomst'),
('sv', 'admin', 'anonymous session type', 'Anonyma sessioners rättigheter'),
('sv', 'admin', 'automatically convert pages with wiki-syntax to richtext (if edited)?', 'Konvertera sidor automatiskt med Wiki-syntax till richtext (om ändrad)?'),
('sv', 'admin', 'edit with preview', 'Ändra med förhandsgranskning'),
('sv', 'admin', 'editable', 'Ändringsbar'),
('sv', 'admin', 'emailaddress administrator', 'Administratörens e-postadress'),
('sv', 'admin', 'enable free links', 'Aktivera "Fria länkar"'),
('sv', 'admin', 'enable wiki links', 'Aktivera "Wiki länkar"'),
('sv', 'admin', 'interwikiprefix', 'InterWikiPrefix'),
('sv', 'admin', 'name wiki home link', 'Namnge Wiki hemlänk'),
('sv', 'admin', 'no never', 'Aldrig'),
('sv', 'admin', 'no only on request', 'Bara på begäran'),
('sv', 'admin', 'only if browser supports a richtext-editor', 'Bara om webbläsaren stödjer richtext redigering'),
('sv', 'admin', 'path of the upload directory (has to be writable by the webserver!)', 'Sökväg till uppladdnings katalogen (måste vara skrivbar av webbservern)'),
('sv', 'admin', 'picture upload via richtext editor (leave the upload directory empty to disable the upload)', 'Bilduppladdning via richtext editor (lämnas tomt för att inaktivera uppladdning)'),
('sv', 'admin', 'readonly', 'Skrivskyddad'),
('sv', 'admin', 'url of the upload directory', 'URL till uppladdnings katalogen'),
('sv', 'admin', 'yes always', 'Alltid ja'),
('sv', 'admin', 'yes with navbar', 'Ja, med navigeringslisten'),
('sv', 'common', 'address book', 'Adressbok'),
('sv', 'common', 'addressbook', 'Adressbok'),
('sv', 'common', 'birthday', 'Födelsedag'),
('sv', 'common', 'birthdays', 'Födelsedagar'),
('sv', 'common', 'business', 'Företag'),
('sv', 'common', 'city', 'Stad'),
('sv', 'common', 'company', 'Företag'),
('sv', 'common', 'configuration', 'Inställningar'),
('sv', 'common', 'contact', 'Kontakt'),
('sv', 'common', 'country', 'Land'),
('sv', 'common', 'department', 'Avdelning'),
('sv', 'common', 'fax number', 'Faxnummer'),
('sv', 'common', 'grant addressbook access', 'Reglera åtkomst till adressboken'),
('sv', 'common', 'pager', 'Personsökare'),
('sv', 'common', 'phone number', 'Telefonnummer'),
('sv', 'common', 'phone numbers', 'Telefonnummer'),
('sv', 'common', 'postal', 'Post adress'),
('sv', 'common', 'state', 'Län'),
('sv', 'common', 'street', 'Gata'),
('sv', 'common', 'today is %1''s birthday!', 'I dag har %1 födelsedag!'),
('sv', 'common', 'tomorrow is %1''s birthday.', 'I morgon är det %1''s födelsedag.'),
('sv', 'common', 'vcard', 'VCard'),
('sv', 'common', 'zip code', 'Postnummer'),
('sv', 'common', 'account has been created', 'Kontot skapat'),
('sv', 'common', 'account has been deleted', 'Kontot raderat'),
('sv', 'common', 'account has been updated', 'Kontot uppdaterat'),
('sv', 'common', 'acl rights', 'ACL behörigheter'),
('sv', 'common', 'are you sure you want to delete this category ?', 'Vill du verkligen radera kategorin?'),
('sv', 'common', 'global categories', 'Globala kategorier'),
('sv', 'common', 'group has been added', 'Grupp tillagd'),
('sv', 'common', 'group has been deleted', 'Grupp raderad'),
('sv', 'common', 'group has been updated', 'Grupp uppdaterad'),
('sv', 'common', 'installed applications', 'Installerade applikationer'),
('sv', 'common', 'user data', 'Användardata'),
('sv', 'common', 'book marks', 'Bokmärken'),
('sv', 'common', 'bookmarks', 'Bokmärken'),
('sv', 'common', 'export bookmarks', 'Exportera bokmärken'),
('sv', 'common', 'import bookmarks', 'Importera bokmärken'),
('sv', 'common', 'custom fields', 'Anpassade fält'),
('sv', 'common', 'custom_2', 'Freebusy'),
('sv', 'common', 'freebusy', 'Freebusy'),
('sv', 'common', 'import csv-file', 'Importera CSV fil'),
('sv', 'common', 'developer_tools', 'Översättningsverktyg'),
('sv', 'common', 'etemplate', 'eTemplate'),
('sv', 'common', 'new search', 'Ny sökning'),
('sv', 'common', 'felamimail', 'FelaMiMail'),
('sv', 'common', 'filter rules', 'Filter regler'),
('sv', 'common', 'manage emailaccounts', 'Hantera e-postkonton'),
('sv', 'common', 'manage folders', 'Katalog hantering'),
('sv', 'common', 'manage sieve', 'Hantera Sieve skript'),
('sv', 'common', 'new', 'Nya'),
('sv', 'common', 'unread', 'Oläst'),
('sv', 'common', 'vacation notice', 'Frånvaro meddelande'),
('sv', 'common', 'applications', 'Applikationer'),
('sv', 'common', 'filemanager', 'Filhanterare'),
('sv', 'common', 'schedule', 'Schema'),
('sv', 'common', 'csv-import', 'CSV import'),
('sv', 'common', 'custom fields, typ and status', 'Anpassade fält, typ och status'),
('sv', 'common', 'done', 'Färdig'),
('sv', 'common', 'info log', 'InfoLogg'),
('sv', 'common', 'infolog', 'InfoLogg'),
('sv', 'common', 'infolog preferences', 'InfoLogg alternativ'),
('sv', 'common', 'manual', 'Manual'),
('sv', 'common', 'configure access permissions', 'Reglera åtkomst'),
('sv', 'common', 'configure rss exports', 'Konfigurera RSS exporter'),
('sv', 'common', 'news_admin', 'Artikelhantering'),
('sv', 'common', 'submitted by', 'Postad av'),
('sv', 'common', 'notification', 'Meddelande'),
('sv', 'common', 'have to be approved first', 'Måste godkännas först'),
('sv', 'common', 'knowledge base configuration', 'Kunskapsdatabas alternativ'),
('sv', 'common', 'phpbrain', 'Kunskapdatabas'),
('sv', 'common', 'publish articles automatically?', 'Publicera artiklar automatiskt?'),
('sv', 'common', 'publish comments automatically?', 'Publicera kommentarer automatiskt?'),
('sv', 'common', 'publish questions automatically?', 'Publicera frågor automatiskt?'),
('sv', 'common', '%1 email addresses inserted', '%1 e-postadresser tillagda'),
('sv', 'common', '%1 is not executable by the webserver !!!', '%1 är inte exekverbar av webbservern!'),
('sv', 'common', '%1choose an other directory%2<br />or make %3 writeable by webserver', '%1Välj en annan katalog%2<br/> eller gör %3 skrivbar för webbservern'),
('sv', 'common', '%1egroupware%2 is a multi-user, web-based groupware suite written in %3php%4.', '%1eGroupWare%2 är en webbaserad grupp-programvara skriven i %3PHP%4.'),
('sv', 'common', 'about', 'Om'),
('sv', 'common', 'about %1', 'Om %1'),
('sv', 'common', 'about egroupware', 'Om eGroupware'),
('sv', 'common', 'access', 'Åtkomst'),
('sv', 'common', 'access not permitted', 'Åtkomst nekad'),
('sv', 'common', 'account is expired', 'Kontot har förfallit'),
('sv', 'common', 'accounts', 'Konton'),
('sv', 'common', 'acl', 'ACL'),
('sv', 'common', 'action', 'Åtgärd'),
('sv', 'common', 'active', 'Aktiv'),
('sv', 'common', 'add', 'Lägg till'),
('sv', 'common', 'add %1 category for', 'Lägg till %1 kategori för'),
('sv', 'common', 'add category', 'Lägg till kategori'),
('sv', 'common', 'add shortcut', 'Lägg till genväg'),
('sv', 'common', 'add sub', 'Lägg till under'),
('sv', 'common', 'admin', 'Admin'),
('sv', 'common', 'administration', 'Administration'),
('sv', 'common', 'afghanistan', 'AFGHANISTAN'),
('sv', 'common', 'albania', 'ALBANIEN'),
('sv', 'common', 'algeria', 'ALGERIET'),
('sv', 'common', 'all', 'Alla'),
('sv', 'common', 'all fields', 'Alla fält'),
('sv', 'common', 'alphabet', 'a,b,c,d,e,f,g,h,i,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y,z,å,ä,ö'),
('sv', 'common', 'alternate style-sheet:', 'Alternerande style-sheet:'),
('sv', 'common', 'american samoa', 'AMERIKANSKA SAMOA'),
('sv', 'common', 'andorra', 'ANDORRA'),
('sv', 'common', 'angola', 'ANGOLA'),
('sv', 'common', 'anguilla', 'ANGUILLA'),
('sv', 'common', 'antarctica', 'ANTARKTIS'),
('sv', 'common', 'antigua and barbuda', 'ANTIGUA OCH BARBUDA'),
('sv', 'common', 'application', 'Applikation'),
('sv', 'common', 'apply', 'Utför'),
('sv', 'common', 'april', 'April'),
('sv', 'common', 'are you sure you want to delete these entries ?', 'Vill du verkligen radera dessa poster?'),
('sv', 'common', 'are you sure you want to delete this entry ?', 'Vill du verkligen radera denna post?'),
('sv', 'common', 'argentina', 'ARGENTINA'),
('sv', 'common', 'armenia', 'ARMENIEN'),
('sv', 'common', 'aruba', 'ARUBA'),
('sv', 'common', 'august', 'Augusti'),
('sv', 'common', 'australia', 'AUSTRALIEN'),
('sv', 'common', 'austria', 'ÖSTERIKE'),
('sv', 'common', 'author', 'Författare'),
('sv', 'common', 'autohide sidebox menu''s', 'Autogöm Länkboxen'),
('sv', 'common', 'autohide sidebox menus', 'Autogöm Länkboxen'),
('sv', 'common', 'automatically hide the sidebox menu''s?', 'Göm automatiskt Länkboxens menyer?'),
('sv', 'common', 'automatically hide the sidebox menus?', 'Göm automatiskt Länkboxens menyer?'),
('sv', 'common', 'autosave default category', 'Autospara standard kategori'),
('sv', 'common', 'azerbaijan', 'AZERBAIJAN'),
('sv', 'common', 'back', 'Tillbaks'),
('sv', 'common', 'back to user login', 'Tillbaks till inloggningen'),
('sv', 'common', 'background color:', 'Bakgrundsfärg:'),
('sv', 'common', 'backupdir ''%1'' is not writeable by the webserver', 'Backup katalogen %1 är inte skrivbar av webbservern'),
('sv', 'common', 'bad login or password', 'Ogiltigt användarnamn eller lösenord'),
('sv', 'common', 'bahamas', 'BAHAMAS'),
('sv', 'common', 'bahrain', 'BAHRAIN'),
('sv', 'common', 'bangladesh', 'BANGLADESH'),
('sv', 'common', 'barbados', 'BARBADOS'),
('sv', 'common', 'bcc', 'Bcc'),
('sv', 'common', 'belarus', 'VITRYSSLAND'),
('sv', 'common', 'belgium', 'BELGIEN'),
('sv', 'common', 'belize', 'BELIZE'),
('sv', 'common', 'benin', 'BENIN'),
('sv', 'common', 'bermuda', 'BERMUDA'),
('sv', 'common', 'bhutan', 'BHUTAN'),
('sv', 'common', 'blocked, too many attempts', 'Spärrad pga för många försök'),
('sv', 'common', 'bold', 'Fet'),
('sv', 'common', 'bolivia', 'BOLIVIEN'),
('sv', 'common', 'border', 'Rambredd'),
('sv', 'common', 'bosnia and herzegovina', 'BOSNIEN OCH HERZEGOVINA'),
('sv', 'common', 'botswana', 'BOTSWANA'),
('sv', 'common', 'bottom', 'Nederst'),
('sv', 'common', 'bouvet island', 'BOUVET ISLAND'),
('sv', 'common', 'brazil', 'BRASILIEN'),
('sv', 'common', 'british indian ocean territory', 'BRITISH INDIAN OCEAN TERRITORY'),
('sv', 'common', 'brunei darussalam', 'BRUNEI DARUSSALAM'),
('sv', 'common', 'bulgaria', 'BULGARIEN'),
('sv', 'common', 'burkina faso', 'BURKINA FASO'),
('sv', 'common', 'burundi', 'BURUNDI'),
('sv', 'common', 'calendar', 'Kalender'),
('sv', 'common', 'cambodia', 'CAMBODJA'),
('sv', 'common', 'cameroon', 'CAMERUN'),
('sv', 'common', 'canada', 'KANADA'),
('sv', 'common', 'cancel', 'Avbryt'),
('sv', 'common', 'cannot replace %1 because it is a directory', 'Kan inte ersätta %1 eftersom det är en katalog'),
('sv', 'common', 'cant open ''%1'' for %2', 'Kan inte öppna ''%1'' åt %2'),
('sv', 'common', 'cape verde', 'KAP VERDE'),
('sv', 'common', 'caption', 'Överskrift'),
('sv', 'common', 'categories', 'Kategorier'),
('sv', 'common', 'categories for', 'Kategorier för'),
('sv', 'common', 'category', 'Kategori'),
('sv', 'common', 'category %1 has been added !', 'Kategori %1 tillagd'),
('sv', 'common', 'category %1 has been updated !', 'Kategori %1 uppdaterad'),
('sv', 'common', 'cayman islands', 'CAYMANÖARNA'),
('sv', 'common', 'cc', 'Cc'),
('sv', 'common', 'centered', 'Centrerat'),
('sv', 'common', 'central african republic', 'CENTRAL AFRIKANSKA REPUBLIKEN'),
('sv', 'common', 'chad', 'TCHAD'),
('sv', 'common', 'change', 'Ändra'),
('sv', 'common', 'charset', 'utf-8'),
('sv', 'common', 'check installation', 'Kontrollera installationen'),
('sv', 'common', 'check now', 'Kontrollera nu'),
('sv', 'common', 'chile', 'CHILE'),
('sv', 'common', 'china', 'KINA'),
('sv', 'common', 'choose a background color', 'Välj bakgrundsfärg'),
('sv', 'common', 'choose a background color for the icons', 'Välj bakgrundsfärg för ikonen'),
('sv', 'common', 'choose a background image.', 'Välj bakgrundsbild'),
('sv', 'common', 'choose a background style.', 'Välj bakgrundsstil'),
('sv', 'common', 'choose a text color for the icons', 'Välj text till ikonen'),
('sv', 'common', 'choose the category', 'Välj kategori'),
('sv', 'common', 'choose the parent category', 'Välj huvudkategori'),
('sv', 'common', 'christmas island', 'JULÖN'),
('sv', 'common', 'clear', 'Rensa'),
('sv', 'common', 'clear form', 'Rensa formulär'),
('sv', 'common', 'click', 'Klicka'),
('sv', 'common', 'click or mouse over to show menus', 'Klicka eller håll musen över för att se menyer'),
('sv', 'common', 'click or mouse over to show menus?', 'Klicka eller håll musen över för att se menyer'),
('sv', 'common', 'close', 'Stäng'),
('sv', 'common', 'close sidebox', 'Stäng Länkbox'),
('sv', 'common', 'cocos (keeling) islands', 'KOKOSÖARNA'),
('sv', 'common', 'colombia', 'COLOMBIA'),
('sv', 'common', 'common preferences', 'Allmäna inställningar'),
('sv', 'common', 'comoros', 'KOMORERNA'),
('sv', 'common', 'congo', 'KONGO, REPUBLIKEN'),
('sv', 'common', 'congo, the democratic republic of the', 'KONGO, DEMOKRATISKA REPUBLIKEN'),
('sv', 'common', 'contacting server...', 'Kontaktar server ...'),
('sv', 'common', 'cook islands', 'COOKÖARNA'),
('sv', 'common', 'copy', 'Kopiera'),
('sv', 'common', 'costa rica', 'COSTA RICA'),
('sv', 'common', 'cote d ivoire', 'ELFENBENSKUSTEN'),
('sv', 'common', 'could not contact server. operation timed out!', 'Kunde inte kontakta server.'),
('sv', 'common', 'create', 'Skapa'),
('sv', 'common', 'created by', 'Skapad av'),
('sv', 'common', 'croatia', 'KROATIEN'),
('sv', 'common', 'cuba', 'KUBA'),
('sv', 'common', 'currency', 'Valuta'),
('sv', 'common', 'current', 'Aktuell'),
('sv', 'common', 'current users', 'Aktuella användare'),
('sv', 'common', 'cyprus', 'CYPERN'),
('sv', 'common', 'czech republic', 'TJEKISKA REPUBLIKEN'),
('sv', 'common', 'date', 'Datum'),
('sv', 'common', 'date due', 'Förfallodatum'),
('sv', 'common', 'december', 'December'),
('sv', 'common', 'default category', 'Standard kategori'),
('sv', 'common', 'default height for the windows', 'Standard hjöd för fönstret'),
('sv', 'common', 'default width for the windows', 'Standard bredd för fönstret'),
('sv', 'common', 'delete', 'Radera'),
('sv', 'common', 'delete row', 'Radera rad'),
('sv', 'common', 'denmark', 'DANMARK'),
('sv', 'common', 'description', 'Beskrivning'),
('sv', 'common', 'detail', 'Detalj'),
('sv', 'common', 'details', 'Detaljer'),
('sv', 'common', 'diable the execution a bugfixscript for internet explorer 5.5 and higher to show transparency in png-images?', 'Inaktivera exekveringen av bugfix skript för IExplorer 5.5 och högre för att visa transparanta png-bilder?'),
('sv', 'common', 'direction left to right', 'Riktning från vänster till höger'),
('sv', 'common', 'directory', 'Katalog'),
('sv', 'common', 'disable internet explorer png-image-bugfix', 'Inaktivera Internet Explorer png-bild-bugfix'),
('sv', 'common', 'disable slider effects', 'Inaktivera animerade effekter'),
('sv', 'common', 'disable the animated slider effects when showing or hiding menus in the page? opera and konqueror users will probably must want ', 'Inaktivera animerade effekter vid visning eller vid täckta menyer på sidan? Opera och Konqueror användare väljer troligen detta.'),
('sv', 'common', 'disable the execution a bugfixscript for internet explorer 5.5 and higher to show transparency in png-images?', 'Inaktivera exekveringen av bugfix skript för IExplorer 5.5 och högre för att visa transparanta png-bilder?'),
('sv', 'common', 'disabled', 'Inaktiverad'),
('sv', 'common', 'djibouti', 'DJIBOUTI'),
('sv', 'common', 'do you also want to delete all subcategories ?', 'Vill du även radera alla underkategorier'),
('sv', 'common', 'doctype:', 'Dokumenttyp:'),
('sv', 'common', 'document properties', 'Dokument alternativ'),
('sv', 'common', 'document title:', 'Dokument rubrik'),
('sv', 'common', 'domain', 'Domän'),
('sv', 'common', 'domain name for mail-address, eg. "%1"', 'E-postadressens domän, ex. "%1"'),
('sv', 'common', 'domestic', 'Inrikes'),
('sv', 'common', 'dominica', 'DOMINICA'),
('sv', 'common', 'dominican republic', 'DOMINIKANSKA REPUBLIKEN'),
('sv', 'common', 'e-mail', 'E-post'),
('sv', 'common', 'east timor', 'ÖSTRA TIMOR'),
('sv', 'common', 'ecuador', 'ECUADOR'),
('sv', 'common', 'edit', 'Ändra'),
('sv', 'common', 'edit %1 category for', 'Ändra %1 kategori för'),
('sv', 'common', 'edit categories', 'Ändra kategorier'),
('sv', 'common', 'edit category', 'Ändra kategori'),
('sv', 'common', 'egroupware', 'eGroupWare'),
('sv', 'common', 'egroupware: login blocked for user ''%1'', ip %2', 'eGroupWare: inloggning spärrad för ''%1'', IP %2'),
('sv', 'common', 'egypt', 'EGYPTEN'),
('sv', 'common', 'el salvador', 'EL SALVADOR'),
('sv', 'common', 'email', 'E-post'),
('sv', 'common', 'email-address of the user, eg. "%1"', 'Användarens e-postadress, ex. "%1"'),
('sv', 'common', 'enabled', 'Aktiverad'),
('sv', 'common', 'end date', 'Slutdatum'),
('sv', 'common', 'end time', 'Sluttid'),
('sv', 'common', 'entry has been deleted sucessfully', 'Post raderad'),
('sv', 'common', 'entry updated sucessfully', 'Post uppdaterad'),
('sv', 'common', 'equatorial guinea', 'EKVATORIALGUINEA'),
('sv', 'common', 'eritrea', 'ERITREA'),
('sv', 'common', 'error', 'Fel'),
('sv', 'common', 'error creating %1 %2 directory', 'Fel vid skapande av %1 %2 katalog'),
('sv', 'common', 'error deleting %1 %2 directory', 'Fel vid radering av %1 %2 katalog'),
('sv', 'common', 'error renaming %1 %2 directory', 'Fel vid namnbyte på %1 %2 katalog'),
('sv', 'common', 'estonia', 'ESTLAND'),
('sv', 'common', 'ethiopia', 'ETIOPIEN'),
('sv', 'common', 'exact', 'Exakt'),
('sv', 'common', 'failed to contact server or invalid response from server. try to relogin. contact admin in case of faliure.', 'Kunde inte kontakta server eller felaktigt svar. Försökt att uppdatera igen eller kontakta administratör om felet kvarstår.'),
('sv', 'common', 'falkland islands (malvinas)', 'FALKLANDSÖARNA'),
('sv', 'common', 'faroe islands', 'FÄRÖARNA'),
('sv', 'common', 'february', 'Februari'),
('sv', 'common', 'fields', 'Fält'),
('sv', 'common', 'fiji', 'FIJI'),
('sv', 'common', 'files', 'Filer'),
('sv', 'common', 'filter', 'Filter'),
('sv', 'common', 'finland', 'FINLAND'),
('sv', 'common', 'first name', 'Förnamn'),
('sv', 'common', 'first name of the user, eg. "%1"', 'Användarens förnamn, ex. "%1"'),
('sv', 'common', 'first page', 'Första sidan'),
('sv', 'common', 'firstname', 'Förnamn'),
('sv', 'common', 'fixme!', 'FIXAMIG!!!!'),
('sv', 'common', 'folder already exists.', 'Katalogen finns redan'),
('sv', 'common', 'force selectbox', 'Tvinga Valruta'),
('sv', 'common', 'france', 'FRANKRIKE'),
('sv', 'common', 'french guiana', 'FRANSKA GUYANA'),
('sv', 'common', 'french polynesia', 'FRANSKA POLYNESIEN'),
('sv', 'common', 'french southern territories', 'FRANSKA SÖDRA TERRITORIERNA'),
('sv', 'common', 'friday', 'Fredag'),
('sv', 'common', 'ftp', 'FTP'),
('sv', 'common', 'fullname', 'Fullständigt namn'),
('sv', 'common', 'fullscreen mode', 'Helskärm'),
('sv', 'common', 'gabon', 'GABON'),
('sv', 'common', 'gambia', 'GAMBIA'),
('sv', 'common', 'general menu', 'Allmän meny'),
('sv', 'common', 'georgia', 'GEORGIEN'),
('sv', 'common', 'german', 'Tysk'),
('sv', 'common', 'germany', 'TYSKLAND'),
('sv', 'common', 'ghana', 'GHANA'),
('sv', 'common', 'gibraltar', 'GIBRALTAR'),
('sv', 'common', 'global', 'Global'),
('sv', 'common', 'global public', 'Globalt publik'),
('sv', 'common', 'grant access', 'Reglera åtkomst'),
('sv', 'common', 'greece', 'GREKLAND'),
('sv', 'common', 'greenland', 'GRÖNLAND'),
('sv', 'common', 'grenada', 'GRENADA'),
('sv', 'common', 'group', 'Grupp'),
('sv', 'common', 'group access', 'Gruppåtkomst'),
('sv', 'common', 'group name', 'Gruppnamn'),
('sv', 'common', 'group public', 'Grupp publik'),
('sv', 'common', 'groups', 'Grupper'),
('sv', 'common', 'groups with permission for %1', 'Grupper med åtkomst till %1'),
('sv', 'common', 'groups without permission for %1', 'Grupper utan åtkomst till %1'),
('sv', 'common', 'guadeloupe', 'GUADELOUPE'),
('sv', 'common', 'guam', 'GUAM'),
('sv', 'common', 'guatemala', 'GUATEMALA'),
('sv', 'common', 'guinea', 'GUINEA'),
('sv', 'common', 'guinea-bissau', 'GUINEA-BISSAU'),
('sv', 'common', 'guyana', 'GUYANA'),
('sv', 'common', 'haiti', 'HAITI'),
('sv', 'common', 'heard island and mcdonald islands', 'HEARD- OCH MCDONALDSÖARNA'),
('sv', 'common', 'height', 'Höjd'),
('sv', 'common', 'help', 'Hjälp'),
('sv', 'common', 'high', 'Hög'),
('sv', 'common', 'highest', 'Högsta'),
('sv', 'common', 'holy see (vatican city state)', 'VATIKANEN'),
('sv', 'common', 'home', 'Hem'),
('sv', 'common', 'home email', 'Hem e-post'),
('sv', 'common', 'honduras', 'HONDURAS'),
('sv', 'common', 'hong kong', 'HONG KONG'),
('sv', 'common', 'how many icons should be shown in the navbar (top of the page). additional icons go into a kind of pulldown menu, callable by th', 'Hur många ikoner ska visas i Navigeringslisten (överst på sidan). Ikoner utöver dessa visas i Länkboxen som hämtas via ikonen längst till höger.'),
('sv', 'common', 'hungary', 'UNGERN'),
('sv', 'common', 'iceland', 'ISLAND'),
('sv', 'common', 'iespell not detected. click ok to go to download page.', 'ieSpell hittades inte. Klicka OK för att gå till nerladdnings sidan.'),
('sv', 'common', 'if the clock is enabled would you like it to update it every second or every minute?', 'Vill du att klockan uppdateras varje sekund eller minut om den aktiveras?'),
('sv', 'common', 'if there are some images in the background folder you can choose the one you would like to see.', 'Om det finns bilder i bakgrundskatalogen, kan du välja den du vill se.'),
('sv', 'common', 'image url', 'Bild URL'),
('sv', 'common', 'india', 'INDIEN'),
('sv', 'common', 'indonesia', 'INDONESIEN'),
('sv', 'common', 'insert all %1 addresses of the %2 contacts in %3', 'Infoga alla %1 adresser för %2 kontakterna i %3'),
('sv', 'common', 'insert column after', 'Infoga kolumn efter'),
('sv', 'common', 'insert column before', 'Infoga kolumn före'),
('sv', 'common', 'insert row after', 'Infoga rad efter'),
('sv', 'common', 'insert row before', 'Infoga rad före'),
('sv', 'common', 'international', 'Internationell'),
('sv', 'common', 'invalid filename', 'Ogiltigt filnamn'),
('sv', 'common', 'invalid ip address', 'Ogiltig IP adress'),
('sv', 'common', 'invalid password', 'Ogiltigt lösenord'),
('sv', 'common', 'iran, islamic republic of', 'IRAN'),
('sv', 'common', 'iraq', 'IRAK'),
('sv', 'common', 'ireland', 'IRLAND'),
('sv', 'common', 'israel', 'ISRAEL'),
('sv', 'common', 'it has been more then %1 days since you changed your password', 'Det är mer än %1 dagar sedan du ändrade ditt lösenord'),
('sv', 'common', 'it is recommended that you run setup to upgrade your tables to the current version', 'Det rekomenderas att du kör installationen för att uppgradera dina tabeller till aktuell version.'),
('sv', 'common', 'italic', 'Kursiv'),
('sv', 'common', 'italy', 'ITALIEN'),
('sv', 'common', 'jamaica', 'JAMAICA'),
('sv', 'common', 'january', 'Januari'),
('sv', 'common', 'japan', 'JAPAN'),
('sv', 'common', 'jordan', 'JORDANIEN'),
('sv', 'common', 'july', 'Juli'),
('sv', 'common', 'jun', 'Jun'),
('sv', 'common', 'june', 'Juni'),
('sv', 'common', 'justify center', 'Centerera'),
('sv', 'common', 'justify full', 'Marginaljustera'),
('sv', 'common', 'justify left', 'Vänsterjustera'),
('sv', 'common', 'justify right', 'Högerjustera'),
('sv', 'common', 'kazakstan', 'KAZAKSTAN'),
('sv', 'common', 'kenya', 'KENYA'),
('sv', 'common', 'keywords', 'Nyckelord'),
('sv', 'common', 'kiribati', 'KIRIBATI'),
('sv', 'common', 'korea, democratic peoples republic of', 'KOREA, NORD'),
('sv', 'common', 'korea, republic of', 'KOREA, SYD'),
('sv', 'common', 'kuwait', 'KUWAIT'),
('sv', 'common', 'kyrgyzstan', 'KIRGIZISTAN'),
('sv', 'common', 'language', 'Språk'),
('sv', 'common', 'language_direction_rtl', 'language_direction_rtl'),
('sv', 'common', 'lao peoples democratic republic', 'LAOS'),
('sv', 'common', 'last modified', 'Senast ändrad'),
('sv', 'common', 'last name', 'Efternamn'),
('sv', 'common', 'last name of the user, eg. "%1"', 'Användarens efternamn, ex. "%1"'),
('sv', 'common', 'last page', 'Sista sidan'),
('sv', 'common', 'lastname', 'Efternamn'),
('sv', 'common', 'latvia', 'LETTLAND'),
('sv', 'common', 'ldap-mgr', 'LDAP hanterare'),
('sv', 'common', 'lebanon', 'LIBANON'),
('sv', 'common', 'left', 'Vänster'),
('sv', 'common', 'lesotho', 'LESOTHO'),
('sv', 'common', 'liberia', 'LIBERIA'),
('sv', 'common', 'libyan arab jamahiriya', 'LIBYEN'),
('sv', 'common', 'license', 'Licens'),
('sv', 'common', 'liechtenstein', 'LIECHTENSTEIN'),
('sv', 'common', 'line %1: ''%2''<br><b>csv data does not match column-count of table %3 ==> ignored</b>', 'Rad %1: ''%2''<br><b>CSV data motsvarar inte antalet kolumner i tabellen %3 ==> ignoreras</b>'),
('sv', 'common', 'list', 'Lista'),
('sv', 'common', 'list members', 'Lista medlemmar'),
('sv', 'common', 'lithuania', 'LITAUEN'),
('sv', 'common', 'local', 'Lokal'),
('sv', 'common', 'login', 'Inloggning'),
('sv', 'common', 'loginid', 'Inloggnings ID'),
('sv', 'common', 'logout', 'Logga ut'),
('sv', 'common', 'lost login id', 'Glömt inloggnings ID'),
('sv', 'common', 'lost password', 'Glömt lösenordet'),
('sv', 'common', 'low', 'Låg'),
('sv', 'common', 'lowest', 'Lägsta'),
('sv', 'common', 'luxembourg', 'LUXEMBOURG'),
('sv', 'common', 'macau', 'MACAU'),
('sv', 'common', 'macedonia, the former yugoslav republic of', 'MAKEDONIEN'),
('sv', 'common', 'madagascar', 'MADAGASKAR'),
('sv', 'common', 'mail domain, eg. "%1"', 'E-postdomän, ex. "%1"'),
('sv', 'common', 'main category', 'Huvudkategori'),
('sv', 'common', 'main screen', 'Startsidan'),
('sv', 'common', 'maintainer', 'Underhåll'),
('sv', 'common', 'malawi', 'MALAWI'),
('sv', 'common', 'malaysia', 'MALAYSIA'),
('sv', 'common', 'maldives', 'MALDIVERNA'),
('sv', 'common', 'mali', 'MALI'),
('sv', 'common', 'malta', 'MALTA'),
('sv', 'common', 'march', 'Mars'),
('sv', 'common', 'marshall islands', 'MARSHALLÖARNA'),
('sv', 'common', 'martinique', 'MARTINIQUE'),
('sv', 'common', 'mauritania', 'MAURITANIA'),
('sv', 'common', 'mauritius', 'MAURITIUS'),
('sv', 'common', 'max number of icons in navbar', 'Max antal ikoner i navigeringslisten'),
('sv', 'common', 'may', 'Maj'),
('sv', 'common', 'mayotte', 'MAYOTTE'),
('sv', 'common', 'medium', 'Medium'),
('sv', 'common', 'menu', 'Meny'),
('sv', 'common', 'message', 'Meddelande'),
('sv', 'common', 'mexico', 'MEXICO'),
('sv', 'common', 'micronesia, federated states of', 'MIKRONESIEN'),
('sv', 'common', 'minute', 'Minut'),
('sv', 'common', 'moldova, republic of', 'MOLDOVIEN'),
('sv', 'common', 'monaco', 'MONACO'),
('sv', 'common', 'monday', 'Måndag'),
('sv', 'common', 'mongolia', 'MONGOLIEN'),
('sv', 'common', 'montserrat', 'MONTSERRAT'),
('sv', 'common', 'morocco', 'MAROCKO'),
('sv', 'common', 'mozambique', 'MOZAMBIQUE'),
('sv', 'common', 'multiple', 'Flera'),
('sv', 'common', 'myanmar', 'MYANMAR'),
('sv', 'common', 'name', 'Namn'),
('sv', 'common', 'name of the user, eg. "%1"', 'Användarens förnamn, ex. "%1"'),
('sv', 'common', 'namibia', 'NAMIBIA'),
('sv', 'common', 'nauru', 'NAURU'),
('sv', 'common', 'nepal', 'NEPAL'),
('sv', 'common', 'netherlands', 'NEDERLÄNDERNA'),
('sv', 'common', 'netherlands antilles', 'NEDERLÄNDSKA ANTILLERNA'),
('sv', 'common', 'never', 'Aldrig'),
('sv', 'common', 'new caledonia', 'NYA KALEDONIEN'),
('sv', 'common', 'new entry added sucessfully', 'Ny post tillagd'),
('sv', 'common', 'new main category', 'Ny huvudkategori'),
('sv', 'common', 'new value', 'Nytt värde'),
('sv', 'common', 'new zealand', 'NYA ZEELAND'),
('sv', 'common', 'next', 'Nästa'),
('sv', 'common', 'next page', 'Nästa sida'),
('sv', 'common', 'nicaragua', 'NICARAGUA'),
('sv', 'common', 'niger', 'NIGER'),
('sv', 'common', 'nigeria', 'NIGERIA'),
('sv', 'common', 'niue', 'NIUE'),
('sv', 'common', 'no', 'Nej'),
('sv', 'common', 'no entries found, try again ...', 'Inga poster hittades, försök igen ...'),
('sv', 'common', 'no history for this record', 'Ingen historik för posten'),
('sv', 'common', 'no savant2 template directories were found in:', 'Ingen Savant2 mall katalog hittades i:'),
('sv', 'common', 'no subject', 'Inget ämne'),
('sv', 'common', 'none', 'Ingen'),
('sv', 'common', 'norfolk island', 'NORFOLKÖN'),
('sv', 'common', 'normal', 'Normal'),
('sv', 'common', 'northern mariana islands', 'NORDMARIANERNA'),
('sv', 'common', 'norway', 'NORGE'),
('sv', 'common', 'not', 'Inte'),
('sv', 'common', 'not a user yet? register now', 'Ännu inget konto? Registrera dig här'),
('sv', 'common', 'not assigned', 'Inte tilldelad'),
('sv', 'common', 'note', 'Anteckning'),
('sv', 'common', 'notes', 'Anteckningar'),
('sv', 'common', 'notifications', 'Meddelanden'),
('sv', 'common', 'notify window', 'Meddelande fönster'),
('sv', 'common', 'notify your administrator to correct this situation', 'Meddela administratör om problemet.'),
('sv', 'common', 'november', 'November'),
('sv', 'common', 'october', 'Oktober'),
('sv', 'common', 'ok', 'Ok'),
('sv', 'common', 'old value', 'Gammalt värde'),
('sv', 'common', 'oman', 'OMAN'),
('sv', 'common', 'on *nix systems please type: %1', 'På *nix system skriv: %1'),
('sv', 'common', 'on mouse over', 'När pekaren förs över'),
('sv', 'common', 'only private', 'Endast privata'),
('sv', 'common', 'only yours', 'Endast dina'),
('sv', 'common', 'open notify window', 'Öppna meddelande fönster'),
('sv', 'common', 'open popup window', 'Öppna popup fönster'),
('sv', 'common', 'open sidebox', 'Öppna Länkboxen'),
('sv', 'common', 'ordered list', 'Numrerad lista'),
('sv', 'common', 'original', 'Orginal'),
('sv', 'common', 'other', 'Övriga'),
('sv', 'common', 'overview', 'Översikt'),
('sv', 'common', 'owner', 'Ägare'),
('sv', 'common', 'page', 'Sida'),
('sv', 'common', 'page was generated in %1 seconds', 'Sidan genererades på %1 sekunder'),
('sv', 'common', 'pakistan', 'PAKISTAN'),
('sv', 'common', 'palau', 'PALAU'),
('sv', 'common', 'palestinian territory, occupied', 'PALESTINA'),
('sv', 'common', 'panama', 'PANAMA'),
('sv', 'common', 'papua new guinea', 'PAPUA NYA GUINEA'),
('sv', 'common', 'paraguay', 'PARAGUAY'),
('sv', 'common', 'parcel', 'Paket'),
('sv', 'common', 'parent category', 'Huvudkategori'),
('sv', 'common', 'password', 'Lösenord'),
('sv', 'common', 'password could not be changed', 'Lösenordet kunde inte ändras'),
('sv', 'common', 'password has been updated', 'Lösenordet uppdaterat'),
('sv', 'common', 'password must contain at least %1 lowercase letters', 'Lösenordet måste innehålla åtminstone %1 små bokstäver'),
('sv', 'common', 'password must contain at least %1 numbers', 'Lösenordet måste innehålla åtminstone %1 siffror'),
('sv', 'common', 'password must contain at least %1 special characters', 'Lösenordet måste innehålla åtminstone %1 special tecken'),
('sv', 'common', 'password must contain at least %1 uppercase letters', 'Lösenordet måste innehålla åtminstone %1 stora bokstäver'),
('sv', 'common', 'password must have at least %1 characters', 'Lösenordet måste innehålla åtminstone %1 tecken'),
('sv', 'common', 'path to user and group files has to be outside of the webservers document-root!!!', 'Sökvägen till användar- och gruppfiler måste vara utanför webbserverns dokument root!'),
('sv', 'common', 'permissions to the files/users directory', 'Rättigheter på filer/användar bibliotek'),
('sv', 'common', 'personal', 'Personligt'),
('sv', 'common', 'peru', 'PERU'),
('sv', 'common', 'philippines', 'FILIPINERNA'),
('sv', 'common', 'phpgwapi', 'eGroupWare API'),
('sv', 'common', 'pitcairn', 'PITCAIRNÖARNA'),
('sv', 'common', 'please %1 by hand', 'Var god och %1 för hand'),
('sv', 'common', 'please enter a name', 'Ange ett namn'),
('sv', 'common', 'please run setup to become current', 'Kör installationen för att uppdatera'),
('sv', 'common', 'please select', 'Välj'),
('sv', 'common', 'please set your global preferences', 'Gör dina globala inställningar'),
('sv', 'common', 'please set your preferences for this application', 'Gör dina inställningar för applikationen'),
('sv', 'common', 'please wait...', 'Var god vänta ...'),
('sv', 'common', 'poland', 'POLEN'),
('sv', 'common', 'portugal', 'PORTUGAL'),
('sv', 'common', 'preferences', 'Alternativ'),
('sv', 'common', 'preferences for the idots template set', 'Idots mall alternativ'),
('sv', 'common', 'previous page', 'Föregående sida'),
('sv', 'common', 'primary style-sheet:', 'Primär Style sheet'),
('sv', 'common', 'print', 'Skriv ut'),
('sv', 'common', 'priority', 'Prioritet'),
('sv', 'common', 'private', 'Privat'),
('sv', 'common', 'programs', 'Program'),
('sv', 'common', 'project', 'Projekt'),
('sv', 'common', 'public', 'Publik'),
('sv', 'common', 'puerto rico', 'PUERTO RICO'),
('sv', 'common', 'qatar', 'QUATAR'),
('sv', 'common', 'read', 'Läs'),
('sv', 'common', 'read this list of methods.', 'Läs lista på metoder'),
('sv', 'common', 'reading', 'Läser'),
('sv', 'common', 'register', 'Registrera'),
('sv', 'common', 'reject', 'Avvisa'),
('sv', 'common', 'remove selected accounts', 'Radera valda konton'),
('sv', 'common', 'remove shortcut', 'Radera genväg'),
('sv', 'common', 'rename', 'Byt namn'),
('sv', 'common', 'replace', 'Ersätt'),
('sv', 'common', 'replace with', 'Ersätt med'),
('sv', 'common', 'restore failed', 'Återställning misslyckades'),
('sv', 'common', 'returns a full list of accounts on the system.  warning: this is return can be quite large', 'Returnerar en fullständig lista på konton. Varning: Den kan vara tämligen stor'),
('sv', 'common', 'returns an array of todo items', 'Returnera en lista på Uppgifter'),
('sv', 'common', 'returns struct of users application access', 'Returnerar struktur på användares applikationsanvändning'),
('sv', 'common', 'reunion', 'REUNION'),
('sv', 'common', 'right', 'Höger'),
('sv', 'common', 'romania', 'RUMÄNIEN'),
('sv', 'common', 'russian federation', 'RYSKA FEDERATIONEN'),
('sv', 'common', 'rwanda', 'RWANDA'),
('sv', 'common', 'saint helena', 'SAINT HELENA'),
('sv', 'common', 'saint kitts and nevis', 'SAINT KITTS OCH NEVIS'),
('sv', 'common', 'saint lucia', 'SAINT LUCIA'),
('sv', 'common', 'saint pierre and miquelon', 'SAINT PIERRE OCH MIQUELON'),
('sv', 'common', 'saint vincent and the grenadines', 'SAINT VINCENT OCH GRENADINERNA'),
('sv', 'common', 'samoa', 'SAMOA'),
('sv', 'common', 'san marino', 'SAN MARINO'),
('sv', 'common', 'sao tome and principe', 'SAO TOME OCH PRINCIPE'),
('sv', 'common', 'saturday', 'Lördag'),
('sv', 'common', 'saudi arabia', 'SAUDI ARABIEN'),
('sv', 'common', 'savant2 version differs from savant2 wrapper. <br/>this version: %1 <br/>savants version: %2', 'Savant2 version skiljer sig mot Savant2 wrapper. <br/>Denna version: %1 <br/>Savants version: %2'),
('sv', 'common', 'save', 'Spara'),
('sv', 'common', 'search', 'Sök'),
('sv', 'common', 'search %1 ''%2''', 'Sök %1 ''%2'''),
('sv', 'common', 'search accounts', 'Sök konton'),
('sv', 'common', 'search or select accounts', 'Sök eller välj konton'),
('sv', 'common', 'second', 'Sekund'),
('sv', 'common', 'section', 'Avsnitt'),
('sv', 'common', 'select', 'Välj'),
('sv', 'common', 'select all %1 %2 for %3', 'Välj alla %1 %2 för %3'),
('sv', 'common', 'select category', 'Välj kategori'),
('sv', 'common', 'select date', 'Välj datum'),
('sv', 'common', 'select group', 'Välj grupp'),
('sv', 'common', 'select home email address', 'Välj hem e-postadress'),
('sv', 'common', 'select multiple accounts', 'Välj flera konton'),
('sv', 'common', 'select one', 'Välj en'),
('sv', 'common', 'select the default height for the application windows', 'Välj standard höjd för applikationsfönstret'),
('sv', 'common', 'select the default width for the application windows', 'Välj standard bredd för applikationsfönstret'),
('sv', 'common', 'select user', 'Välj användare'),
('sv', 'common', 'select work email address', 'Välj Företagets e-postadres'),
('sv', 'common', 'selection', 'Val'),
('sv', 'common', 'send', 'Skicka'),
('sv', 'common', 'senegal', 'SENEGAL'),
('sv', 'common', 'september', 'September'),
('sv', 'common', 'server %1 has been added', 'Server %1 tillagd'),
('sv', 'common', 'server answered. processing response...', 'Servern svarade. Behandlar svaret ...'),
('sv', 'common', 'server contacted. waiting for response...', 'Servern kontaktad. Väntar på svar ...'),
('sv', 'common', 'server name', 'Server namn'),
('sv', 'common', 'session has been killed', 'Sessionen avslutad'),
('sv', 'common', 'setup', 'Installation'),
('sv', 'common', 'setup main menu', 'Installations Meny'),
('sv', 'common', 'seychelles', 'SEYCHELLERNA'),
('sv', 'common', 'show all', 'Visa alla'),
('sv', 'common', 'show all categorys', 'Visa alla kategorier'),
('sv', 'common', 'show clock?', 'Visa klockan?'),
('sv', 'common', 'show home and logout button in main application bar?', 'Visa Hem- och utloggnings knappen i navigeringslisten?'),
('sv', 'common', 'show logo''s on the desktop.', 'Visa logotyp på skrivbordet'),
('sv', 'common', 'show menu', 'Visa meny'),
('sv', 'common', 'show page generation time', 'Visa sidans genereringstid'),
('sv', 'common', 'show page generation time on the bottom of the page?', 'Visa sidans genererings tid längst ner på sidan?'),
('sv', 'common', 'show page generation time?', 'Visa sidans genereringstid?'),
('sv', 'common', 'show the logo''s of egroupware and x-desktop on the desktop.', 'Visa eGroupware och x-desktop logotypen på skrivbordet'),
('sv', 'common', 'show_more_apps', 'Visa fler applikationer'),
('sv', 'common', 'showing %1', 'Visar %1'),
('sv', 'common', 'showing %1 - %2 of %3', 'Visar %1 - %2 av %3'),
('sv', 'common', 'sierra leone', 'SIERRA LEONE'),
('sv', 'common', 'singapore', 'SINGAPORE'),
('sv', 'common', 'site configuration', 'Sajt alternativ'),
('sv', 'common', 'size', 'Storlek'),
('sv', 'common', 'slovakia', 'SLOVAKIEN'),
('sv', 'common', 'slovenia', 'SLOVENIEN'),
('sv', 'common', 'solomon islands', 'SALOMONÖARNA'),
('sv', 'common', 'somalia', 'SOMALIEN'),
('sv', 'common', 'south africa', 'SYD AFRIKA'),
('sv', 'common', 'south georgia and the south sandwich islands', 'SYDGEORGIEN OCH SYDSANDWICHÖARNA'),
('sv', 'common', 'spain', 'SPANIEN'),
('sv', 'common', 'sri lanka', 'SRI LANKA'),
('sv', 'common', 'start date', 'Startdatum'),
('sv', 'common', 'start time', 'Starttid'),
('sv', 'common', 'start with', 'Börja med'),
('sv', 'common', 'starting up...', 'Startar ...'),
('sv', 'common', 'status', 'Status'),
('sv', 'common', 'stretched', 'Utsträckt'),
('sv', 'common', 'subject', 'Ämne'),
('sv', 'common', 'submit', 'Utför'),
('sv', 'common', 'substitutions and their meanings:', 'Substitutioner och dess mening:'),
('sv', 'common', 'sudan', 'SUDAN'),
('sv', 'common', 'sunday', 'Söndag'),
('sv', 'common', 'suriname', 'SURINAME'),
('sv', 'common', 'svalbard and jan mayen', 'SVALBARD OCH JAN MAYEN'),
('sv', 'common', 'swaziland', 'SWAZILAND'),
('sv', 'common', 'sweden', 'SVERIGE'),
('sv', 'common', 'switzerland', 'SCHWEIZ'),
('sv', 'common', 'syrian arab republic', 'SYRIEN'),
('sv', 'common', 'table properties', 'Tabell egenskaper'),
('sv', 'common', 'taiwan', 'TAIWAN/TAIPEI'),
('sv', 'common', 'tajikistan', 'TAJIKISTAN'),
('sv', 'common', 'tanzania, united republic of', 'TANZANIA'),
('sv', 'common', 'text color:', 'Textfärg'),
('sv', 'common', 'thailand', 'THAILAND'),
('sv', 'common', 'the api is current', 'API är senast tillgängliga'),
('sv', 'common', 'the api requires an upgrade', 'API behöver uppgradering');
INSERT INTO `egw_lang` (`lang`, `app_name`, `message_id`, `content`) VALUES
('sv', 'common', 'the following applications require upgrades', 'Följande applikationer behöver uppgraderas'),
('sv', 'common', 'the mail server returned', 'E-postservern returnerade'),
('sv', 'common', 'this application is current', 'Applikationen är senast tillgängliga'),
('sv', 'common', 'this application requires an upgrade', 'Applikationen behöver uppgraderas'),
('sv', 'common', 'this name has been used already', 'Namnet är redan upptaget'),
('sv', 'common', 'thursday', 'Torsdag'),
('sv', 'common', 'tiled', 'Vinklad'),
('sv', 'common', 'time', 'Tid'),
('sv', 'common', 'time zone', 'Tidzon'),
('sv', 'common', 'time zone offset', 'Tidsförskjutning'),
('sv', 'common', 'title', 'Rubrik'),
('sv', 'common', 'to', 'Till'),
('sv', 'common', 'to correct this error for the future you will need to properly set the', 'För att undvika problemet framöver måste du sätta'),
('sv', 'common', 'to go back to the msg list, click <a href= %1 >here</a>', 'Klicka <a href="%1">här</a> för att komma tillbaks till meddelandelistan'),
('sv', 'common', 'today', 'Idag'),
('sv', 'common', 'todays date, eg. "%1"', 'Dagens datum, ex. "%1"'),
('sv', 'common', 'togo', 'TOGO'),
('sv', 'common', 'tokelau', 'TOKELAUÖARNA'),
('sv', 'common', 'tonga', 'TONGA'),
('sv', 'common', 'too many unsucessful attempts to login: %1 for the user ''%2'', %3 for the ip %4', 'För många misslyckade inloggnings försök: %1 för användare ''%2'', %3 med IP %4'),
('sv', 'common', 'top', 'Överst'),
('sv', 'common', 'total', 'Summa'),
('sv', 'common', 'transparant bg for the icons?', 'Transparent bakgrund för ikoner?'),
('sv', 'common', 'trinidad and tobago', 'TRINIDAD OCH TOBAGO'),
('sv', 'common', 'tuesday', 'Tisdag'),
('sv', 'common', 'tunisia', 'TUNISIEN'),
('sv', 'common', 'turkey', 'TURKIET'),
('sv', 'common', 'turkmenistan', 'TURKMENISTAN'),
('sv', 'common', 'turks and caicos islands', 'TURKS- OCH CAICOSÖARNA'),
('sv', 'common', 'tuvalu', 'TUVALU'),
('sv', 'common', 'type', 'Typ'),
('sv', 'common', 'uganda', 'UGANDA'),
('sv', 'common', 'ukraine', 'UKRAINA'),
('sv', 'common', 'underline', 'Understruken'),
('sv', 'common', 'united arab emirates', 'FÖRENTA ARAB EMIRATEN'),
('sv', 'common', 'united kingdom', 'STORBRITANIEN'),
('sv', 'common', 'united states', 'U.S.A'),
('sv', 'common', 'united states minor outlying islands', 'FÖRENTA STATERNAS MINDRE ÖAR I OCEANIEN OCH VÄSTINDIEN'),
('sv', 'common', 'unknown', 'Okänd'),
('sv', 'common', 'update', 'Uppdatera'),
('sv', 'common', 'update the clock per minute or per second', 'Uppdatera klockan per minut eller sekund'),
('sv', 'common', 'upload', 'Ladda upp'),
('sv', 'common', 'upload directory does not exist, or is not writeable by webserver', 'Uppladdningskatalogen finns inte eller är inte skrivbar av webbservern'),
('sv', 'common', 'url', 'URL'),
('sv', 'common', 'uruguay', 'URUGUAI'),
('sv', 'common', 'use button to search for', 'Använd knappen för att söka'),
('sv', 'common', 'use button to search for address', 'Använd knappen för att söka adresser'),
('sv', 'common', 'use button to search for calendarevent', 'Använd knappen för att söka kalender händelser'),
('sv', 'common', 'use button to search for project', 'Använd knappen för att söka projekt'),
('sv', 'common', 'user', 'Användare'),
('sv', 'common', 'user accounts', 'Användarkonto'),
('sv', 'common', 'user groups', 'Användargrupp'),
('sv', 'common', 'username', 'Användarnamn'),
('sv', 'common', 'users', 'Användare'),
('sv', 'common', 'users choice', 'Användarnas val'),
('sv', 'common', 'uzbekistan', 'UZBEKISTAN'),
('sv', 'common', 'value', 'Värde'),
('sv', 'common', 'vanuatu', 'VANUATU'),
('sv', 'common', 'venezuela', 'VENEZUELA'),
('sv', 'common', 'version', 'Version'),
('sv', 'common', 'viet nam', 'VIETNAM'),
('sv', 'common', 'view', 'Visa'),
('sv', 'common', 'virgin islands, british', 'JUNGFRUÖARNA, BRITTISKA'),
('sv', 'common', 'virgin islands, u.s.', 'JUNGFRUÖARNA, U.S.A'),
('sv', 'common', 'wallis and futuna', 'WALLIS OCH FUTUNA'),
('sv', 'common', 'wednesday', 'Onsdag'),
('sv', 'common', 'welcome', 'Välkommen'),
('sv', 'common', 'western sahara', 'VÄSTRA SAHARA'),
('sv', 'common', 'what color should all the blank space on the desktop have', 'Vilken färg ska alla blanka utrymmen på skrivbordet ha'),
('sv', 'common', 'what style would you like the image to have?', 'Vilken stil vill du att bilden ska ha?'),
('sv', 'common', 'when you say yes the home and logout buttons are presented as applications in the main top applcation bar.', 'Om du svara ja kommer Hem- och utloggningsknappen att visas i navigeringslisten.'),
('sv', 'common', 'which groups', 'Vilka grupper'),
('sv', 'common', 'width', 'Bredd'),
('sv', 'common', 'work email', 'Arbete e-post'),
('sv', 'common', 'would you like to display the page generation time at the bottom of every window?', 'Vill du visa sidans genereringstid nederst på varje sida?'),
('sv', 'common', 'writing', 'Skriver'),
('sv', 'common', 'written by:', 'Skriven av:'),
('sv', 'common', 'year', 'År'),
('sv', 'common', 'yemen', 'YEMEN'),
('sv', 'common', 'yes', 'Ja'),
('sv', 'common', 'you are required to change your password during your first login', 'Du måste byta lösenord vid första inloggningen'),
('sv', 'common', 'you have not entered a title', 'Rubriken saknas'),
('sv', 'common', 'you have not entered a valid date', 'Ogiltigt datum'),
('sv', 'common', 'you have not entered a valid time of day', 'Ogiltig tid'),
('sv', 'common', 'you have not entered participants', 'Deltagare saknas'),
('sv', 'common', 'you have selected an invalid date', 'Ogiltigt datum'),
('sv', 'common', 'you have selected an invalid main category', 'Ogiltig huvudkategori'),
('sv', 'common', 'you have successfully logged out', 'Du är utloggad'),
('sv', 'common', 'you need to add the webserver user ''%1'' to the group ''%2''.', 'Du behöver lägga till webbserver användare ''%1'' till gruppen ''%2''.'),
('sv', 'common', 'your message could <b>not</b> be sent!<br>', 'Meddelandet <b>inte</b> skickat<br>'),
('sv', 'common', 'your message has been sent', 'Meddelandet skickat'),
('sv', 'common', 'your search returned %1 matchs', 'Sökning gav %1 träffar'),
('sv', 'common', 'your search returned 1 match', 'Sökning gav 1 träff'),
('sv', 'common', 'your settings have been updated', 'Inställningarna uppdaterade'),
('sv', 'common', 'zambia', 'ZAMBIA'),
('sv', 'common', 'zimbabwe', 'ZIMBABWE'),
('sv', 'common', 'zoom', 'Zooma'),
('sv', 'common', 'polls', 'Undersökning'),
('sv', 'common', 'show questions', 'Visa undersökningar'),
('sv', 'common', 'no user-selection at all', 'Inga användarval alls'),
('sv', 'common', 'selectbox with groupmembers', 'Valruta med gruppmedlemmar'),
('sv', 'common', 'projectmanager', 'Projekthantering'),
('sv', 'common', 'registration', 'Registrering'),
('sv', 'common', 'resources', 'Resurser'),
('sv', 'common', 'select resources', 'Välj resurser'),
('sv', 'common', 'samba settings', 'Samba alternativ'),
('sv', 'common', 'sambaadmin', 'Sambahantering'),
('sv', 'common', 'documentation', 'Dokumentation'),
('sv', 'common', 'timesheet', 'Tidhantering'),
('sv', 'common', 'tracker', 'Tracking System'),
('sv', 'common', 'block / unblock hosts', 'Spärra/tillåt klienter'),
('sv', 'common', 'lock / unlock pages', 'Lås/öppna sidor'),
('sv', 'common', 'wiki', 'Wiki'),
('sv', 'bookmarks', '%1 bookmarks have been deleted', '%1 bokmärken raderade'),
('sv', 'bookmarks', '%1 bookmarks imported from %2 successfully.', '%1 bokmärken importerade från %2'),
('sv', 'bookmarks', '(comma separate multiple addresses)', '(flera kommaseparerade adresser)'),
('sv', 'bookmarks', '<b>note:</b> this currently works with netscape bookmarks only', '<b>Obs:</b> Fungerar bara med Netscape kompatibla bokmärken'),
('sv', 'bookmarks', 'all bookmarks', 'Alla bokmärken'),
('sv', 'bookmarks', 'and', 'Och'),
('sv', 'bookmarks', 'append this message to mailed bookmarks', 'Lägg till meddelandet i skickade bokmärken'),
('sv', 'bookmarks', 'ascending', 'Stigande'),
('sv', 'bookmarks', 'bookmark changed sucessfully', 'Bokmärket ändrat'),
('sv', 'bookmarks', 'bookmark created successfully.', 'Bokmärket skapat'),
('sv', 'bookmarks', 'bookmark deleted successfully', 'Bokmärket raderat'),
('sv', 'bookmarks', 'bookmark deleted successfully.', 'Bokmärket raderat'),
('sv', 'bookmarks', 'bookmark not editable', 'Bokmärket inte redigerbart'),
('sv', 'bookmarks', 'bookmark not readable', 'Bokmärket inte läsbarat'),
('sv', 'bookmarks', 'bookmarks settings', 'Bokmärkes alternativ'),
('sv', 'bookmarks', 'change bookmark', 'Ändra bokmärke'),
('sv', 'bookmarks', 'close this window to return', 'Stäng fönstret och återvänd'),
('sv', 'bookmarks', 'create bookmark', 'Skapa bokmärke'),
('sv', 'bookmarks', 'create new bookmark', 'Skapa bokmärke'),
('sv', 'bookmarks', 'date added', 'Datum skapad'),
('sv', 'bookmarks', 'date changed', 'Datum ändrat'),
('sv', 'bookmarks', 'date last updated', 'Datum senast uppdaterad'),
('sv', 'bookmarks', 'date last visited', 'Datum senast besökt'),
('sv', 'bookmarks', 'descending', 'Fallande'),
('sv', 'bookmarks', 'edit bookmark', 'Ändra bokmärken'),
('sv', 'bookmarks', 'edit this bookmark', 'Ändra bokmärket'),
('sv', 'bookmarks', 'enter the name of the netscape bookmark file<br>that you want imported into bookmarker below.', 'Skriv filnamn på Netscape bokmärkesfil<br>du vill importera.'),
('sv', 'bookmarks', 'fewer', 'Färre'),
('sv', 'bookmarks', 'filter by', 'Sortera enligt'),
('sv', 'bookmarks', 'found a link you might like', 'Hittade en länk du kan tänkas tycka om'),
('sv', 'bookmarks', 'from', 'Från'),
('sv', 'bookmarks', 'from category %1', 'Från kategori %1'),
('sv', 'bookmarks', 'global categories', 'Globala kategorier'),
('sv', 'bookmarks', 'highest', 'Högsta'),
('sv', 'bookmarks', 'i thought you would be interested in the following link(s):', 'Jag tänkte att du vore intresserad av följande länk(ar):'),
('sv', 'bookmarks', 'like', 'Liknande'),
('sv', 'bookmarks', 'list view', 'List vy'),
('sv', 'bookmarks', 'lowest', 'Lägsta'),
('sv', 'bookmarks', 'mail this bookmark', 'E-posta bokmärket'),
('sv', 'bookmarks', 'mail-this-link message sent to %1.', '"E-posta länken" meddelande skickat till %1.'),
('sv', 'bookmarks', 'mass update:', 'Massuppdatera:'),
('sv', 'bookmarks', 'message from', 'Meddelande från'),
('sv', 'bookmarks', 'more', 'Fler'),
('sv', 'bookmarks', 'name', 'Namn'),
('sv', 'bookmarks', 'name is required', 'Namn krävs'),
('sv', 'bookmarks', 'netscape bookmark file', 'Netscape kompatibel bokmärkesfil'),
('sv', 'bookmarks', 'netscape bookmark filename is required!', 'Netscape bokmärkens filnamn krävs'),
('sv', 'bookmarks', 'new', 'Nytt'),
('sv', 'bookmarks', 'new bookmark', 'Nytt bokmärke'),
('sv', 'bookmarks', 'or', 'Eller'),
('sv', 'bookmarks', 'please fill out <b>to e-mail address</b>, <b>subject</b>, and <b>message</b>!', 'Fyll i <B>Till e-postadress</B>, <B>Ämne</B> och <B>Meddelande</B>'),
('sv', 'bookmarks', 'please select the categories to export', 'Välj kategori att exportera'),
('sv', 'bookmarks', 'query condition', 'Sök kriterier'),
('sv', 'bookmarks', 'rating', 'Omdömme'),
('sv', 'bookmarks', 'search for:', 'Sök efter:'),
('sv', 'bookmarks', 'select the format you would like to export to', 'Välj export format'),
('sv', 'bookmarks', 'send bookmark', 'Skicka bokmärke'),
('sv', 'bookmarks', 'sub category', 'Underkategori'),
('sv', 'bookmarks', 'to address %1 invalid. format must be <strong>user@domain</strong> and domain must exist!', 'Adressen %1 är ogiltig. Formatet måste vara <strong>user@domain</strong> och domänen måste vara giltig!'),
('sv', 'bookmarks', 'to e-mail addresses', 'Till'),
('sv', 'bookmarks', 'to which category should the imported folder hierarchy be attached', 'Till vilken kategori ska katalog träd importeras'),
('sv', 'bookmarks', 'total visits', 'Antal besök'),
('sv', 'bookmarks', 'tree view', 'Träd vy'),
('sv', 'bookmarks', 'unable to open temp file %1 for import.', 'Kunde inte öppna temp fil %1 för import'),
('sv', 'bookmarks', 'url is required.', 'URL krävs'),
('sv', 'bookmarks', 'view bookmark', 'Visa bokmärke'),
('sv', 'bookmarks', 'view this bookmark', 'Visa bokmärket'),
('sv', 'bookmarks', 'warning', 'Varning'),
('sv', 'bookmarks', 'you are viewing this site outside of egroupware', 'Du besöker denna sajt utanför eGroupWare'),
('sv', 'bookmarks', 'you must select a category', 'Välj kategori'),
('sv', 'bookmarks', 'you need to select a category!', 'Välj kategori'),
('sv', 'calendar', '%1 %2 in %3', '%1 %2 i %3'),
('sv', 'calendar', '%1 participants removed because of missing invite grants', '%1 deltagare har tagits bort pga avsaknad av bjudningsrätt'),
('sv', 'calendar', '%1 records imported', '%1 poster importerade'),
('sv', 'calendar', '%1 records read (not yet imported, you may go back and uncheck test import)', '%1 poster lästa (ännu inte importerade, gå tillbaks för att avmarkera Testimport)'),
('sv', 'calendar', '%1 weeks', '%1 veckor'),
('sv', 'calendar', '<b>please note</b>: the calendar use the holidays of your country, which is set to %1. you can change it in your %2.<br />holida', '<b>Anmärkning</b>: Kalendern använder helgdagar för ditt land som är %1. Du kan ändra detta i %2.<br />Helgdagar %3 installeras automatiskt via %4. Du kan ändra detta i %5.'),
('sv', 'calendar', 'a non blocking event will not conflict with other events', 'En ej blockerande händelse påverkar inte andra händelser.'),
('sv', 'calendar', 'accept or reject an invitation', 'Acceptera eller avvisa inbjudan'),
('sv', 'calendar', 'accepted', 'Accepterat'),
('sv', 'calendar', 'access denied to the calendar of %1 !!!', 'Åtkomst nekas till %1 kalender'),
('sv', 'calendar', 'action that caused the notify: added, canceled, accepted, rejected, ...', 'Händelse som orsakade meddelandet: Tillagd, Avbruten, Accepterade, Avvisade ....'),
('sv', 'calendar', 'actions', 'Åtgärder'),
('sv', 'calendar', 'add alarm', 'Skapa larm'),
('sv', 'calendar', 'added', 'Skapad'),
('sv', 'calendar', 'added by synchronisation', 'Infogad av synkroniseringen'),
('sv', 'calendar', 'after %1', 'Efter %1'),
('sv', 'calendar', 'after current date', 'Efter dagens datum'),
('sv', 'calendar', 'alarm', 'Larm'),
('sv', 'calendar', 'alarm added', 'Larm skapat'),
('sv', 'calendar', 'alarm deleted', 'Larm raderat'),
('sv', 'calendar', 'alarm for %1 at %2 in %3', 'Larm för %1 vid %2 i %3'),
('sv', 'calendar', 'alarm management', 'Larm hantering'),
('sv', 'calendar', 'alarms', 'Larm'),
('sv', 'calendar', 'all categories', 'Samtliga kategorier'),
('sv', 'calendar', 'all day', 'Heldag'),
('sv', 'calendar', 'all events', 'Alla händelser'),
('sv', 'calendar', 'all future', 'Alla framtida'),
('sv', 'calendar', 'all incl. rejected', 'Alla, även avböjda'),
('sv', 'calendar', 'all participants', 'Alla deltagare'),
('sv', 'calendar', 'allows to edit the event again', 'Tillåter fler ändringar av händelsen'),
('sv', 'calendar', 'apply the action on the whole query, not only the shown events', 'Använd aktionen på hela frågan, inte bara visade händelser'),
('sv', 'calendar', 'apply the changes', 'Spara ändringar'),
('sv', 'calendar', 'are you sure you want to delete this country ?', 'Vill du verkligen radera landet?'),
('sv', 'calendar', 'are you sure you want to delete this holiday ?', 'Vill du verkligen radera helgdagen?'),
('sv', 'calendar', 'back half a month', 'Tillbaks en halv månad'),
('sv', 'calendar', 'back one month', 'Tillbaks en månad'),
('sv', 'calendar', 'before %1', 'Före %1'),
('sv', 'calendar', 'before current date', 'Före dagens datum'),
('sv', 'calendar', 'before the event', 'Före händelsen'),
('sv', 'calendar', 'birthday', 'Födelsedag'),
('sv', 'calendar', 'busy', 'Upptagen'),
('sv', 'calendar', 'by', 'av'),
('sv', 'calendar', 'calendar csv export', 'CSV-kalenderexport'),
('sv', 'calendar', 'calendar event', 'Kalender händelse'),
('sv', 'calendar', 'calendar menu', 'Kalender meny'),
('sv', 'calendar', 'calendar preferences', 'Kalender alternativ'),
('sv', 'calendar', 'calendar-fieldname', 'Kalender fältnamn'),
('sv', 'calendar', 'can''t add alarms in the past !!!', 'Kan inte skapa larm för redan inträffade händelser!'),
('sv', 'calendar', 'can''t aquire lock!', 'Kan inte få fillås!'),
('sv', 'calendar', 'canceled', 'Avbruten'),
('sv', 'calendar', 'category %1 removed because of missing rights', 'Kategori %1 har tagits bort pga saknade rättigheter'),
('sv', 'calendar', 'category acl', 'Kategori-ACL'),
('sv', 'calendar', 'category acl only restrict adding a category to an event or changing status of a participant. it does not change the visibility ', 'Kategori-ACL begränsar bara inlagning av nya kategorier till en händelse samt ändra status för en deltagare. Det påverkar INTE synligheten av händelsen!'),
('sv', 'calendar', 'chair', 'Ägare'),
('sv', 'calendar', 'change history', 'Ändra historien'),
('sv', 'calendar', 'charset of file', 'Teckenuppsättning för filen'),
('sv', 'calendar', 'check all', 'Markera alla'),
('sv', 'calendar', 'close the window', 'Stäng fönstret'),
('sv', 'calendar', 'compose a mail to all participants after the event is saved', 'Skicka e-post till alla deltagare efter att händelsen sparats'),
('sv', 'calendar', 'conflict', 'Konflikt'),
('sv', 'calendar', 'copy of:', 'Kopia av:'),
('sv', 'calendar', 'copy this event', 'Kopiera händelsen'),
('sv', 'calendar', 'copy your changes to the clipboard, %1reload the entry%2 and merge them.', 'Kopiera dina ändringar till urklipp, %1 ladda om posten och migrera.'),
('sv', 'calendar', 'countries', 'Länder'),
('sv', 'calendar', 'country', 'Land'),
('sv', 'calendar', 'create an exception for the given date', 'Skapa ett undantag för givet datum'),
('sv', 'calendar', 'create exception', 'Skapa undantag'),
('sv', 'calendar', 'create new links', 'Skapa nya länkar'),
('sv', 'calendar', 'csv', 'CSV'),
('sv', 'calendar', 'csv-fieldname', 'CSV Fältnamn'),
('sv', 'calendar', 'csv-filename', 'CSV Filnamn'),
('sv', 'calendar', 'daily', 'Daglig'),
('sv', 'calendar', 'day', 'Dag'),
('sv', 'calendar', 'days', 'Dagar'),
('sv', 'calendar', 'days of the week for a weekly repeated event', 'Dagar för veckovis återkommande händelse'),
('sv', 'calendar', 'days repeated', 'Återkommande dagar'),
('sv', 'calendar', 'dayview', 'Dag'),
('sv', 'calendar', 'default appointment length (in minutes)', 'Mötens standard längd (i minuter)'),
('sv', 'calendar', 'default calendar filter', 'Kalenderns standard filter'),
('sv', 'calendar', 'default calendar view', 'Kalenderns standard vy'),
('sv', 'calendar', 'default length of newly created events. the length is in minutes, eg. 60 for 1 hour.', 'Nya händelsers standard längd i minuter, ex. 60 för 1 timme.'),
('sv', 'calendar', 'default type of resources application selected in the calendar particpants research form.', 'Förvald typ för resurs-app i kalenderns mall för deltagarsökning.'),
('sv', 'calendar', 'default type of resources selection', 'Förvald typ för resursval'),
('sv', 'calendar', 'default week view', 'Standard veckovy'),
('sv', 'calendar', 'delete selected events', 'Radera valda evenemang'),
('sv', 'calendar', 'delete series', 'Radera serie'),
('sv', 'calendar', 'delete this alarm', 'Radera larmet'),
('sv', 'calendar', 'delete this event', 'Radera händelsen'),
('sv', 'calendar', 'delete this exception', 'Radera undantaget'),
('sv', 'calendar', 'delete this series of recuring events', 'Radera återkommande händelse'),
('sv', 'calendar', 'deleted', 'Raderad'),
('sv', 'calendar', 'deny ressources reservation for private events', 'Neka resurserna bokning av privata evenemang'),
('sv', 'calendar', 'disinvited', 'Avbokad'),
('sv', 'calendar', 'display status of events', 'Visa händelse status'),
('sv', 'calendar', 'displayed view', 'vy'),
('sv', 'calendar', 'displays your default calendar view on the startpage (page you get when you enter egroupware or click on the homepage icon)?', 'Visa din standard kalender på Startsidan (den sida du kommer till efter inloggningen eller när du klickar på Startsida ikonen)?'),
('sv', 'calendar', 'do not include events of group members', 'Inkludera inte evenemang för gruppmedlemmar'),
('sv', 'calendar', 'do you want a weekview with or without weekend?', 'Vill du se veckovy med eller utan veckoslut?'),
('sv', 'calendar', 'do you want to be notified about new or changed appointments? you are not notified about changes you made yourself.<br>you can l', 'Vill du mottaga meddelande om nya eller ändrade möten? Du får bekräftelse på dina egna ändringar.<br>Du kan begränsa meddelandena till vissa ändringar. Varje objekt inkluderar alla meddelande typer listade ovan den. Alla ändringar inkluderar titel ändring, beskrivning, deltagare men inte deltagares svar. Om ägaren till en händelse begär meddelande får han/hon deltagarnas svar som accepterar eller tackar nej till.'),
('sv', 'calendar', 'do you want to edit this event as an exception or the whole series?', 'Vill du ändra denna förekomst som ett undantag eller hela serien?'),
('sv', 'calendar', 'do you want to receive a regulary summary of your appointsments via email?<br>the summary is sent to your standard email-address', 'Vill du få regelbunden summering av dina möten via e-post?<br>Summeringen skickas till din standard e-postadress på morgonen eller på måndagar för vecko summering.<br>Skickas bara när du har planerade händelser för dagen eller veckan.'),
('sv', 'calendar', 'download', 'Ladda ner'),
('sv', 'calendar', 'download this event as ical', 'Ladda ner händelsen som iCAL'),
('sv', 'calendar', 'duration of the meeting', 'Mötets längd'),
('sv', 'calendar', 'edit exception', 'Ändra undantag'),
('sv', 'calendar', 'edit series', 'Ändra återkommande'),
('sv', 'calendar', 'edit status or alarms for this particular day', 'Ändra status eller larm för just denna dag'),
('sv', 'calendar', 'edit this event', 'Ändra händelsen'),
('sv', 'calendar', 'edit this series of recuring events', 'Ändra återkommande händelser'),
('sv', 'calendar', 'empty for all', 'Tom för alla'),
('sv', 'calendar', 'end', 'Slut'),
('sv', 'calendar', 'end date/time', 'Slut Datum/Tid'),
('sv', 'calendar', 'enddate', 'Slutdatum'),
('sv', 'calendar', 'enddate / -time of the meeting, eg. for more then one day', 'Sluttdatum/sluttid för mötet, dvs för möten längre än en dag'),
('sv', 'calendar', 'enddate of the export', 'Sista datum för export'),
('sv', 'calendar', 'ends', 'Slutar'),
('sv', 'calendar', 'error adding the alarm', 'Fel vid skapande av larm'),
('sv', 'calendar', 'error: importing the ical', 'Fel: vid import av iCal'),
('sv', 'calendar', 'error: no participants selected !!!', 'Fel: inga deltagare valda'),
('sv', 'calendar', 'error: ressources reservation in private events is not allowed!!!', 'Fel: Resursbokning för privata evenemang ej tillåten!'),
('sv', 'calendar', 'error: saving the event !!!', 'Fel: vid sparande av händelsen'),
('sv', 'calendar', 'error: starttime has to be before the endtime !!!', 'Fel: Start tid måste vara  före slut tid'),
('sv', 'calendar', 'error: the entry has been updated since you opened it for editing!', 'Posten har ändrats sedan du öppnade den för skrivning!'),
('sv', 'calendar', 'event copied - the copy can now be edited', 'Händelsen kopierad - kopian kan nu ändras'),
('sv', 'calendar', 'event deleted', 'Händelsen raderad'),
('sv', 'calendar', 'event details follow', 'Händelse detaljer följer'),
('sv', 'calendar', 'event saved', 'Händelsen sparad'),
('sv', 'calendar', 'event will occupy the whole day', 'Heldags aktivitet'),
('sv', 'calendar', 'exception', 'Undantag'),
('sv', 'calendar', 'exception created - you can now edit or delete it', 'Undantag skapat - du kan nu ändra eller radera det'),
('sv', 'calendar', 'exceptions', 'Undantag'),
('sv', 'calendar', 'execute a further action for this entry', 'Utför fler åtgärder för posten'),
('sv', 'calendar', 'existing links', 'Nuvarande länkar'),
('sv', 'calendar', 'export', 'Exportera'),
('sv', 'calendar', 'extended', 'Utökad'),
('sv', 'calendar', 'extended updates always include the complete event-details. ical''s can be imported by certain other calendar-applications.', 'Utökade uppdateringar inkluderar alltid all händelse info. iCal kan importeras av vissa andra applikationer.'),
('sv', 'calendar', 'fieldseparator', 'Fältavskiljare'),
('sv', 'calendar', 'filename', 'Filnamn'),
('sv', 'calendar', 'filename of the download', 'Filnamn för nerladdning'),
('sv', 'calendar', 'find free timeslots where the selected participants are availible for the given timespan', 'Hitta en tid då valda deltagare är tillgängliga'),
('sv', 'calendar', 'firstname of person to notify', 'Förnamn på person att meddela'),
('sv', 'calendar', 'for', 'för'),
('sv', 'calendar', 'for which views should calendar show distinct lines with a fixed time interval.', 'För vilka vyer ska kalendern visa tydliga rader med fast tids intervall.'),
('sv', 'calendar', 'format of event updates', 'Format på händelse uppdateringar'),
('sv', 'calendar', 'forward half a month', 'Fram halv månad'),
('sv', 'calendar', 'forward one month', 'Fram en månad'),
('sv', 'calendar', 'four days view', 'Fyra dagars vy'),
('sv', 'calendar', 'freebusy: unknow user ''%1'', wrong password or not availible to not loged in users !!!', 'Freebusy: Okänd användare ''%1'', fel lösenord eller inte tillgänglig för oinloggade användare'),
('sv', 'calendar', 'freetime search', 'Tillgänglighetssökning'),
('sv', 'calendar', 'fri', 'Fre'),
('sv', 'calendar', 'full description', 'Fullständig beskrivning'),
('sv', 'calendar', 'fullname of person to notify', 'Fullständigt namn på person att meddela'),
('sv', 'calendar', 'general', 'Allmänt'),
('sv', 'calendar', 'global categories', 'Globala kategorier'),
('sv', 'calendar', 'global public and group public', 'Global och grupp åtkomst'),
('sv', 'calendar', 'global public only', 'Endast global åtkomst'),
('sv', 'calendar', 'group invitation', 'Grupp bokning'),
('sv', 'calendar', 'group planner', 'Grupp planerare'),
('sv', 'calendar', 'group public only', 'Endast grupp åtkomst'),
('sv', 'calendar', 'groupmember(s) %1 not included, because you have no access.', 'Gruppmedlem %1 inkluderas inte då du saknasr behörighet.'),
('sv', 'calendar', 'h', 't'),
('sv', 'calendar', 'here is your requested alarm.', 'Begärt larm'),
('sv', 'calendar', 'hide private infos', 'Göm privat information'),
('sv', 'calendar', 'high priority', 'Hög prioritet'),
('sv', 'calendar', 'history', 'Historik'),
('sv', 'calendar', 'holiday', 'Helgsdag'),
('sv', 'calendar', 'holiday management', 'Helgdags hantering'),
('sv', 'calendar', 'holidays', 'Helgdagar'),
('sv', 'calendar', 'hours', 'Timmar'),
('sv', 'calendar', 'how far to search (from startdate)', 'Sökdjup (från startdatum)'),
('sv', 'calendar', 'how many minutes should each interval last?', 'Hur många minuter ska en intervall vara'),
('sv', 'calendar', 'how many weeks should the multiple week view show?', 'Hur många veckor ska flerveckovyn visa?'),
('sv', 'calendar', 'ical', 'iCal'),
('sv', 'calendar', 'ical / rfc2445', 'iCal / rfc2445'),
('sv', 'calendar', 'ical export', 'iCal export'),
('sv', 'calendar', 'ical file', 'iCal fil'),
('sv', 'calendar', 'ical import', 'iCal import'),
('sv', 'calendar', 'ical successful imported', 'iCal importerad'),
('sv', 'calendar', 'if checked holidays falling on a weekend, are taken on the monday after.', 'Markerade helgdagar som infaller under veckoslut tas ut efterföljande måndag.'),
('sv', 'calendar', 'if you dont set a password here, the information is available to everyone, who knows the url!!!', 'Om du inte sätter ett lösenord här, är informationen tillgänglig för alla som kan hitta sidan!!'),
('sv', 'calendar', 'ignore conflict', 'Ignorera schema konflikt'),
('sv', 'calendar', 'import', 'Importera'),
('sv', 'calendar', 'imports events into your calendar from a csv file. csv means ''comma seperated values''. however in the options tab you can also c', 'Importerar händelser in i din kalender från en CSV-fil. CSV betyder ''Kommaavgränsade värden'', men du kan välja en annan avgränsare i tabben Inställningar.'),
('sv', 'calendar', 'interval', 'Intervall'),
('sv', 'calendar', 'invalid email-address "%1" for user %2', 'Ogiltig e-postadress "%1" för användare %2'),
('sv', 'calendar', 'invitations', 'Inbjudningar'),
('sv', 'calendar', 'invite', 'Bjuda in'),
('sv', 'calendar', 'last', 'Senaste'),
('sv', 'calendar', 'lastname of person to notify', 'Efternamn på person att meddela'),
('sv', 'calendar', 'length of the time interval', 'Tidsintervall längd'),
('sv', 'calendar', 'link', 'Länk'),
('sv', 'calendar', 'link to view the event', 'Länk till händelse'),
('sv', 'calendar', 'links', 'Länkar'),
('sv', 'calendar', 'links, attachments', 'Länkar, bilagor'),
('sv', 'calendar', 'listview', 'Lista'),
('sv', 'calendar', 'location', 'Plats'),
('sv', 'calendar', 'location, start- and endtimes, ...', 'Plats, start- och slut tid'),
('sv', 'calendar', 'mail all participants', 'Skicka e-post till alla deltagare'),
('sv', 'calendar', 'make freebusy information available to not loged in persons?', 'Gör freebusy åtkomlig för oinloggade personer också?'),
('sv', 'calendar', 'minutes', 'Minuter'),
('sv', 'calendar', 'modified', 'Ändrad'),
('sv', 'calendar', 'mon', 'Mån'),
('sv', 'calendar', 'monthly', 'Månadsvis'),
('sv', 'calendar', 'monthly (by date)', 'Månadsvis (enl. datum)'),
('sv', 'calendar', 'monthly (by day)', 'Månadsvis (enl. dag)'),
('sv', 'calendar', 'monthview', 'Månad'),
('sv', 'calendar', 'multiple week view', 'Flerveckovy'),
('sv', 'calendar', 'needs action', 'Kräver åtgärd'),
('sv', 'calendar', 'new search with the above parameters', 'Ny sökning med ovanstående parametrar'),
('sv', 'calendar', 'no events found', 'Inga händelser'),
('sv', 'calendar', 'no filter', 'Inget filter'),
('sv', 'calendar', 'no matches found', 'Inga träffar'),
('sv', 'calendar', 'no recurrence', 'Ingen upprepning'),
('sv', 'calendar', 'no response', 'Inget svar'),
('sv', 'calendar', 'non blocking', 'Ej blockerande'),
('sv', 'calendar', 'not', 'Inte'),
('sv', 'calendar', 'not rejected', 'Inte avböjd'),
('sv', 'calendar', 'nothing to update, version is already %1.', 'Inget att uppdatera, versionen är redan %1.'),
('sv', 'calendar', 'notification messages for added events', 'Meddelande om tillagda händelser'),
('sv', 'calendar', 'notification messages for canceled events', 'Meddelande om avbrutna händelser'),
('sv', 'calendar', 'notification messages for disinvited participants', 'Meddelande till avbokade deltagare'),
('sv', 'calendar', 'notification messages for modified events', 'Meddelande om ändrade händelser'),
('sv', 'calendar', 'notification messages for your alarms', 'Larm meddelande'),
('sv', 'calendar', 'notification messages for your responses', 'Svars meddelande'),
('sv', 'calendar', 'number of records to read (%1)', 'Antal poster att läsa (%1)'),
('sv', 'calendar', 'number of weeks to show', 'Antal veckor att visa'),
('sv', 'calendar', 'observance rule', 'Observance Rule'),
('sv', 'calendar', 'occurence', 'Tillfälle'),
('sv', 'calendar', 'old startdate', 'Gamla Startdatumet'),
('sv', 'calendar', 'olddate', 'Originaldatum'),
('sv', 'calendar', 'on %1 %2 %3 your meeting request for %4', 'Den %1 %2 %3 din begäran om möte för %4'),
('sv', 'calendar', 'on all modification, but responses', 'På alla ändringar, men svarar'),
('sv', 'calendar', 'on any time change too', 'På alla ändringar av tiden likaså'),
('sv', 'calendar', 'on invitation / cancelation only', 'På inbjudningar / avbrytna endast'),
('sv', 'calendar', 'on participant responses too', 'På deltagares svar likaså'),
('sv', 'calendar', 'on time change of more than 4 hours too', 'På ändringar av tiden med mer än 4 timmar likaså'),
('sv', 'calendar', 'one month', 'En månad'),
('sv', 'calendar', 'one week', 'En vecka'),
('sv', 'calendar', 'one year', 'Ett år'),
('sv', 'calendar', 'only group-events', 'Bara grupp-evenemang'),
('sv', 'calendar', 'only the initial date of that recuring event is checked!', 'Bara första förekomsten kontrolleras i denna återkommande uppgift!'),
('sv', 'calendar', 'open todo''s:', 'Uppgifter:'),
('sv', 'calendar', 'optional', 'Valfri'),
('sv', 'calendar', 'overlap holiday', 'Överlappande helgdag'),
('sv', 'calendar', 'owner too', 'Även ägaren'),
('sv', 'calendar', 'participants', 'Deltagare'),
('sv', 'calendar', 'participants disinvited from an event', 'Deltagare avbokade för händelse'),
('sv', 'calendar', 'participants, resources, ...', 'Deltagare, resurser, ...'),
('sv', 'calendar', 'password for not loged in users to your freebusy information?', 'Oinloggade användares lösenord till din Freebusy information?'),
('sv', 'calendar', 'people holiday', 'Allmän helgdag'),
('sv', 'calendar', 'permission denied', 'Åtkomst nekad'),
('sv', 'calendar', 'planner by category', 'Planerare enl. kategori'),
('sv', 'calendar', 'planner by user', 'Planerare enl. användare'),
('sv', 'calendar', 'please note: you can configure the field assignments after you uploaded the file.', 'Anmärkning: Du kan konfigurera fält tilldelning efter du laddat upp filen.'),
('sv', 'calendar', 'preselected group for entering the planner', 'Förvald grupp för åtkomst till Planeraren'),
('sv', 'calendar', 'previous', 'Föregende'),
('sv', 'calendar', 'private and global public', 'Privat och global åtkomst'),
('sv', 'calendar', 'private and group public', 'Privat och grupp åtkomst'),
('sv', 'calendar', 'private only', 'Endast privat'),
('sv', 'calendar', 'quantity', 'Antal'),
('sv', 'calendar', 're-edit event', 'Ändra händelse'),
('sv', 'calendar', 'receive email updates', 'Mottag e-postuppdateringar'),
('sv', 'calendar', 'receive summary of appointments', 'Mottag summering av möten'),
('sv', 'calendar', 'recurrence', 'Upprepning'),
('sv', 'calendar', 'recurring event', 'Återkommande händelse'),
('sv', 'calendar', 'rejected', 'Tackade nej'),
('sv', 'calendar', 'repeat days', 'Upprepande dagar'),
('sv', 'calendar', 'repeat the event until which date (empty means unlimited)', 'Upprepa händelsen tills datum (lämna tom för ingen gräns)'),
('sv', 'calendar', 'repeat type', 'Upprepande typ'),
('sv', 'calendar', 'repeating event information', 'Återkommande händelse information'),
('sv', 'calendar', 'repeating interval, eg. 2 to repeat every second week', 'Upprepande interval, ex. 2 för att återkommande varannan vecka'),
('sv', 'calendar', 'repetition', 'Återkommande'),
('sv', 'calendar', 'repetitiondetails (or empty)', 'Återkommande detaljer (eller tom)'),
('sv', 'calendar', 'requested', 'Begärt'),
('sv', 'calendar', 'reset', 'Återställ'),
('sv', 'calendar', 'resources', 'Resurser'),
('sv', 'calendar', 'resources except conflicting ones', 'Resurser utan konflikt'),
('sv', 'calendar', 'resources with conflict detection', 'Resurser med konfliktkontroll'),
('sv', 'calendar', 'restrict add category to', 'Begränsa inläggning av kategorier till'),
('sv', 'calendar', 'restrict set status to', 'Begränsa sätta status till'),
('sv', 'calendar', 'role', 'Roll'),
('sv', 'calendar', 'rule', 'Regel'),
('sv', 'calendar', 'sat', 'Lör'),
('sv', 'calendar', 'save event as exception - delete single occurrence - edit status or alarms for this particular day', 'Spara händelse som undantag - Radera en förekomst - Ändra status eller larm för denna förekomst'),
('sv', 'calendar', 'saves the changes made', 'Spara ändringar'),
('sv', 'calendar', 'saves the event ignoring the conflict', 'Spara händelsen och ignorera konflikt'),
('sv', 'calendar', 'scheduling conflict', 'Schema konflikt'),
('sv', 'calendar', 'select a %1', 'Välj %1'),
('sv', 'calendar', 'select a time', 'Välj en tid'),
('sv', 'calendar', 'select an action', 'Välj en aktion'),
('sv', 'calendar', 'select multiple contacts for a further action', 'Välj flera kontakter för åtgärd'),
('sv', 'calendar', 'select resources', 'Välj resurser'),
('sv', 'calendar', 'select who should get the alarm', 'Välja mottagare av larm'),
('sv', 'calendar', 'selected range', 'Valt område'),
('sv', 'calendar', 'set a year only for one-time / non-regular holidays.', 'Sätt år endast för engångs/oregelbundna helgdagar'),
('sv', 'calendar', 'set new events to private', 'Sätt nya händelser som privata'),
('sv', 'calendar', 'should new events created as private by default ?', 'Ska nya händelser skapas som standard privat?'),
('sv', 'calendar', 'should not loged in persons be able to see your freebusy information? you can set an extra password, different from your normal ', 'Ska oinloggade användare kunna se din Freebusy information? Du kan sätta ett extra lösenord som skiljer sig från ditt normala för att skydda den. Freebusy informationen är i iCal format och inkluderar endast tider när du är upptagen. Den visa inte händelsenamn, beskrivning eller plats. URL till din Freebusy information är %1'),
('sv', 'calendar', 'should the planner display an empty row for users or categories without any appointment.', 'Ska planeraren visa en tom rad för användare eller kategorier som saknar händelser.'),
('sv', 'calendar', 'should the status of the event-participants (accept, reject, ...) be shown in brakets after each participants name ?', 'Ska händelse-deltagarnas status (accepterar, tackar nej till osv) visas efter varje deltagares namn?'),
('sv', 'calendar', 'show all events, as if they were private', 'Visa alla evenemang som om de vore privata'),
('sv', 'calendar', 'show all status incl. rejected events', 'Visa alla statuser inkl. avböjda evenemang'),
('sv', 'calendar', 'show all status, but rejected', 'Visa alla statuser utom avböjda'),
('sv', 'calendar', 'show also events just owned by selected user', 'Visa även evenemang som ägs av just den valda användaren'),
('sv', 'calendar', 'show default view on main screen', 'Visa standard vy på Startsidan?'),
('sv', 'calendar', 'show empty rows in planner', 'Visa tomma rader i planeraren'),
('sv', 'calendar', 'show list of upcoming events', 'Visa lista på kommande händelser?'),
('sv', 'calendar', 'show only accepted events', 'Visa bara accepterade händelser'),
('sv', 'calendar', 'show only invitations, not yet accepted or rejected', 'Visa bara inbjudningar, inte än accepterade eller avböjda'),
('sv', 'calendar', 'show only rejected events', 'Visa bara avböjda händelser'),
('sv', 'calendar', 'show only tentative accepted events', 'Visa bara preliminärt accepterade händelser'),
('sv', 'calendar', 'show this month', 'Visa denna månad'),
('sv', 'calendar', 'show this week', 'Visa denna vecka'),
('sv', 'calendar', 'single event', 'Enskild händelse'),
('sv', 'calendar', 'start', 'Start'),
('sv', 'calendar', 'start date/time', 'Start Datum/Tid'),
('sv', 'calendar', 'startdate', 'Startdatum'),
('sv', 'calendar', 'startdate / -time', 'startdatum/start tid'),
('sv', 'calendar', 'startdate and -time of the search', 'startdatum/start tid för sökningen'),
('sv', 'calendar', 'startdate of the export', 'Start datum för export'),
('sv', 'calendar', 'startrecord', 'Start position'),
('sv', 'calendar', 'status changed', 'Status ändrad'),
('sv', 'calendar', 'status for all future scheduled days changed', 'Status till alla kommande händelser ändrad'),
('sv', 'calendar', 'status for this particular day changed', 'Status för just denna händelse ändrad'),
('sv', 'calendar', 'status of participants set to unknown because of missing category rights', 'Status för deltagare har satts till Okänd pga avsaknad av kategorirättigheter'),
('sv', 'calendar', 'submit to repository', 'Spara till repositoryt'),
('sv', 'calendar', 'sun', 'Sön'),
('sv', 'calendar', 'tentative', 'Preliminärt'),
('sv', 'calendar', 'test import (show importable records <u>only</u> in browser)', 'Testa import (visa importerabara poster <u>bara</u> i browser)'),
('sv', 'calendar', 'the resource you selected is already overbooked:', 'Resursen du valde är redan fullbokad:'),
('sv', 'calendar', 'this day is shown as first day in the week or month view.', 'Dagen visas som första dagen i vecka och månads vy'),
('sv', 'calendar', 'this defines the end of your dayview. events after this time, are shown below the dayview.', 'Detta definierar slutet på dagen. Händelser efter denna tid visas nedanför Dag vy.'),
('sv', 'calendar', 'this defines the start of your dayview. events before this time, are shown above the dayview.<br>this time is also used as a def', 'Definierar början på dagen. Händelser före denna tid visas ovanför Dag vy.<br>Denna tid används som standard start tid för nya händelser.'),
('sv', 'calendar', 'this entry is currently opened by %1!', 'Denna post har redan öppnats av %1.'),
('sv', 'calendar', 'this entry is opened by user:', 'Denna post har öppnats inom den inställda tidsintervall av användare:'),
('sv', 'calendar', 'this event is part of a series', 'Denna händelse är del av en serie'),
('sv', 'calendar', 'this group that is preselected when you enter the planner. you can change it in the planner anytime you want.', 'Denna grupp är förvald när du öppnar Planeraren. Du kan ändra den i Planderaren närsom helst.'),
('sv', 'calendar', 'this message is sent for canceled or deleted events.', 'Meddelandet skickas för avbrutna eller raderad händelser.'),
('sv', 'calendar', 'this message is sent for modified or moved events.', 'Meddelandet skickas för ändrade eller flyttade händelser.'),
('sv', 'calendar', 'this message is sent to disinvited participants.', 'Meddelandet skickas till avbokade deltagare'),
('sv', 'calendar', 'this message is sent to every participant of events you own, who has requested notifcations about new events.<br>you can use cer', 'Meddelandet skickas till deltagare i händelser du äger, som har begärt meddelande om nya händelser.<br>Du kan använda variabler som ersätts med data ur händelse posten. Första raden är ämnet i meddelandet.'),
('sv', 'calendar', 'this message is sent when you accept, tentative accept or reject an event.', 'Meddelandet skickas när du accepterat, preliminärt accepterat, eller tackat nej till händelse.'),
('sv', 'calendar', 'this message is sent when you set an alarm for a certain event. include all information you might need.', 'Meddelandet skickas när du aktiverat ett larm för vissa händelser. Inkludera all information du kan behöva.'),
('sv', 'calendar', 'this module displays the current month', 'Denna modul visar den aktuella månaden'),
('sv', 'calendar', 'three month', 'tre månader'),
('sv', 'calendar', 'thu', 'Tor'),
('sv', 'calendar', 'til', 'till'),
('sv', 'calendar', 'timeframe', 'Tidsomfång'),
('sv', 'calendar', 'timeframe to search', 'Tidsomfång att genomsöka'),
('sv', 'calendar', 'timezone', 'Tidzon'),
('sv', 'calendar', 'timezone in which recurrences have identical time', 'Tidzon där upprepningar har samma tid'),
('sv', 'calendar', 'timezone of event exports', 'Tidzon för händelse-export'),
('sv', 'calendar', 'timezones updated to version %1 (%2 records updated).', 'Tidzon uppdaterad till version %1 (%2 poster uppdaterade).'),
('sv', 'calendar', 'title of the event', 'Händelse titel'),
('sv', 'calendar', 'to many might exceed your execution-time-limit', 'För många kan gå över exekverings tidgräns'),
('sv', 'calendar', 'to-firstname', 'till förnamn'),
('sv', 'calendar', 'to-fullname', 'till fullt namn'),
('sv', 'calendar', 'to-lastname', 'till efternamn'),
('sv', 'calendar', 'tomorrow', 'imorgon'),
('sv', 'calendar', 'translation', 'Översättning'),
('sv', 'calendar', 'tue', 'Tis'),
('sv', 'calendar', 'two weeks', 'Två veckor'),
('sv', 'calendar', 'update timezones', 'Uppdatera tidzoner'),
('sv', 'calendar', 'updated', 'Uppdaterad'),
('sv', 'calendar', 'use end date', 'Använd Slutdatum'),
('sv', 'calendar', 'use the selected time and close the popup', 'Använd vald tid och stäng dialogen'),
('sv', 'calendar', 'use this timezone to export calendar data.', 'Använd denna tidzon för att exportera kalenderdata.'),
('sv', 'calendar', 'user or group', 'Användare eller grupp'),
('sv', 'calendar', 'view exception', 'Visa undantag'),
('sv', 'calendar', 'view series', 'Visa serie'),
('sv', 'calendar', 'view this event', 'Visa händelsen'),
('sv', 'calendar', 'views with fixed time intervals', 'Vyer med fast tidsintervall'),
('sv', 'calendar', 'wed', 'Ons'),
('sv', 'calendar', 'week', 'Vecka'),
('sv', 'calendar', 'weekday', 'Veckodag'),
('sv', 'calendar', 'weekday starts on', 'Veckodag börjar'),
('sv', 'calendar', 'weekdays', 'Veckodagar'),
('sv', 'calendar', 'weekdays to use in search', 'Veckodagar att använda i sökning'),
('sv', 'calendar', 'weekly', 'Veckovis'),
('sv', 'calendar', 'weeks in multiple week view', 'Veckor i flerveckovy'),
('sv', 'calendar', 'weekview', 'Vecka'),
('sv', 'calendar', 'weekview with weekend', 'Vecka med veckoslut'),
('sv', 'calendar', 'weekview without weekend', 'Vecka utan veckoslut'),
('sv', 'calendar', 'which events do you want to see when you enter the calendar.', 'Vilka händelser vill du se när du öppnar kalendern?'),
('sv', 'calendar', 'which of calendar view do you want to see, when you start calendar ?', 'Vilken vy vill du se när du öppnar kalendern?'),
('sv', 'calendar', 'whole day', 'Heldag'),
('sv', 'calendar', 'wk', 'Arb'),
('sv', 'calendar', 'work day ends on', 'Arbetsdag slutar'),
('sv', 'calendar', 'work day starts on', 'Arbetsdag börjar'),
('sv', 'calendar', 'workday', 'Arbetsdag'),
('sv', 'calendar', 'workdays', 'Arbetsdagar'),
('sv', 'calendar', 'yearly', 'Årlig'),
('sv', 'calendar', 'yearview', 'År'),
('sv', 'calendar', 'you are not allowed to book the resource selected:', 'Du har inte rätt att boka den valda resursen:'),
('sv', 'calendar', 'you can either set a year or a occurence, not both !!!', 'Du kan antingen sätta år eller ett tillfälle, inte båda.'),
('sv', 'calendar', 'you can only set a year or a occurence !!!', 'Du kan bara sätta år eller ett tillfälle'),
('sv', 'calendar', 'you do not have permission to read this record!', 'Du saknar rättighet att läsa posten'),
('sv', 'calendar', 'you have a meeting scheduled for %1', 'Du har ett schemalagt möte kl. %1'),
('sv', 'calendar', 'you have been disinvited from the meeting at %1', 'Du är avbokad från det schemalagda mötet %1'),
('sv', 'calendar', 'you need to select an account, contact or resource first!', 'Du måste först välja ett konto, en kontakt eller en resurs!'),
('sv', 'calendar', 'you need to select an ical file first', 'Välj en iCal först'),
('sv', 'calendar', 'you need to set either a day or a occurence !!!', 'Ange dag eller tillfälle'),
('sv', 'calendar', 'you requested more than available for the selected resource:', 'Du har begärt mer än vad som finns tillgängligt för den valda resursen:'),
('sv', 'calendar', 'your meeting scheduled for %1 has been canceled', 'Ditt schemalagda möte kl. %1 är avbrutet'),
('sv', 'calendar', 'your meeting that had been scheduled for %1 has been rescheduled to %2', 'Ditt schemalagda möte %1 är flyttat till %2'),
('sv', 'developer_tools', 'add', 'Lägg till'),
('sv', 'developer_tools', 'add change', 'Lägg till ändring'),
('sv', 'developer_tools', 'add more', 'Lägg till fler'),
('sv', 'developer_tools', 'add new phrase', 'Lägg till ny fras'),
('sv', 'developer_tools', 'add phrase', 'Lägg till fras'),
('sv', 'developer_tools', 'allows you to add a single phrase', 'Du kan lägga till enstaka fraser'),
('sv', 'developer_tools', 'application', 'Applikation'),
('sv', 'developer_tools', 'back', 'Tillbaks'),
('sv', 'developer_tools', 'cancel', 'Avbryt'),
('sv', 'developer_tools', 'change', 'Ändra'),
('sv', 'developer_tools', 'changelog entry has been added', 'Ändringhistorik post tillagd'),
('sv', 'developer_tools', 'changelogs', 'Ändringshistorik'),
('sv', 'developer_tools', 'clears the internal buffer, all changes made sofar are lost', 'Tömmer intern chache och alla tidigare ändringar förloras'),
('sv', 'developer_tools', 'create new language file', 'Skapa ny språkfil'),
('sv', 'developer_tools', 'create sgml file', 'Skapa SGML fil'),
('sv', 'developer_tools', 'developer tools - preferences', 'Översättningsverktyg - Alternativ'),
('sv', 'developer_tools', 'diary', 'Kalender'),
('sv', 'developer_tools', 'done', 'Klar'),
('sv', 'developer_tools', 'download', 'Ladda ner'),
('sv', 'developer_tools', 'download the lang-file to be saved in the apps setup-dir', 'Ladda ner språkfil till applikationens setup katalog'),
('sv', 'developer_tools', 'edit', 'Ändra'),
('sv', 'developer_tools', 'installed applications', 'Installerade applikationer'),
('sv', 'developer_tools', 'language file management', 'Språkfilshantering'),
('sv', 'developer_tools', 'list changelogs', 'Lista ändringshistorik'),
('sv', 'developer_tools', 'load', 'Ladda'),
('sv', 'developer_tools', 'loading source langfile', 'Laddar källspråksfil'),
('sv', 'developer_tools', 'loading target langfile', 'Laddar målspråksfil'),
('sv', 'developer_tools', 'loads the selected lang-files, to be modified in the next steps', 'Laddar språkfil att redigera i nästa steg'),
('sv', 'developer_tools', 'message', 'Meddelande'),
('sv', 'developer_tools', 'message_id in english', 'Meddelande ID på engelska'),
('sv', 'developer_tools', 'no file', 'Ingen fil'),
('sv', 'developer_tools', 'ok', 'Ok'),
('sv', 'developer_tools', 'original', 'Orginal'),
('sv', 'developer_tools', 'phrase in english (or empty if identical)', 'Fras på engelska (eller tom om identisk)'),
('sv', 'developer_tools', 'preferences', 'Alternativ'),
('sv', 'developer_tools', 'preferences have been updated', 'Inställningar uppdaterade'),
('sv', 'developer_tools', 'project', 'Projekt'),
('sv', 'developer_tools', 'remove', 'Radera'),
('sv', 'developer_tools', 'removed %1 phrases from the target language, as they are not present in the source language!', 'Raderade %1 fraser från målspråket som inte finns i källspråket'),
('sv', 'developer_tools', 'returns to the application list, not saved changes get lost !!!', 'Återvänd till listan på applikationer, alla osparade ändringar förloras!'),
('sv', 'developer_tools', 'revert', 'Återgå'),
('sv', 'developer_tools', 'saves the added/changed translations to an internal buffer, to be used in further steps', 'Spara ändringar i intern chache till nästa steg'),
('sv', 'developer_tools', 'search changelogs', 'Sök i ändringshistorik'),
('sv', 'developer_tools', 'search for missing phrase', 'Sök saknade fraser'),
('sv', 'developer_tools', 'search new phrases', 'Sök nya fraser'),
('sv', 'developer_tools', 'searches the source-code for phrases not in the actual source-lang-file', 'Söker i källkoden efter fraser som saknas i källspråk fil'),
('sv', 'developer_tools', 'select project', 'Välj projekt'),
('sv', 'developer_tools', 'sf project tracker', 'SF Projekt tracker'),
('sv', 'developer_tools', 'source language', 'Källspråk'),
('sv', 'developer_tools', 'sourceforge project id', 'Sourceforge projekt ID');
INSERT INTO `egw_lang` (`lang`, `app_name`, `message_id`, `content`) VALUES
('sv', 'developer_tools', 'sourceforge project tracker', 'Sourceforge projekt tracker'),
('sv', 'developer_tools', 'sourceforge project tracker preferences', 'Sourceforge projekt tracker alternativ'),
('sv', 'developer_tools', 'step', 'Steg'),
('sv', 'developer_tools', 'submit', 'Spara'),
('sv', 'developer_tools', 'target language', 'Målspråk'),
('sv', 'developer_tools', 'title', 'Titel'),
('sv', 'developer_tools', 'translate', 'Översätt'),
('sv', 'developer_tools', 'translation', 'Översättning'),
('sv', 'developer_tools', 'translation of phrase', 'Översatt fras'),
('sv', 'developer_tools', 'update', 'Uppdatera'),
('sv', 'developer_tools', 'update database', 'Uppdatera databas'),
('sv', 'developer_tools', 'updates the translations of both lang-files in your database, so you can verify your work immediately', 'Uppdatera båda språkfilerna för att verifiera ändringar genast'),
('sv', 'developer_tools', 'version', 'Version'),
('sv', 'developer_tools', 'write', 'Skriv'),
('sv', 'developer_tools', 'write the lang-file to the apps setup-dir', 'Skriv språkfil till setupkatalogen'),
('sv', 'developer_tools', 'write to lang table', 'Skriv till språktabellen'),
('sv', 'developer_tools', 'writing langfile for ''%1'' ...', 'Skriver språkfil för ''%1'' ...'),
('sv', 'developer_tools', 'you have to [save] every manual change in the above fields, before you can go to the next step !!!', 'Du måste [Spara] alla tidigare ändringar innan du kan gå vidare till nästa steg!'),
('sv', 'developer_tools', 'you must a version', 'Du måste en version'),
('sv', 'developer_tools', 'you must enter a change', 'Du måste göra ändringar'),
('sv', 'developer_tools', 'you must select a project', 'Välj ett projekt'),
('sv', 'developer_tools', 'you need to set your preferences for this app', 'Gör dina inställningar för programmet'),
('sv', 'preferences', 'sf project tracker preferences', 'SF Projekt tracker alternativ'),
('sv', 'preferences', 'manage emailfilter / vacation', 'Hantera E-postfilter / Frånvaro'),
('sv', 'preferences', '%1 - preferences', '%1 - Alternativ'),
('sv', 'preferences', '%1 hours', '%1 timmar'),
('sv', 'preferences', '12 hour', '12 timmar'),
('sv', 'preferences', '24 hour', '24 timmar'),
('sv', 'preferences', 'a template defines the layout of egroupware and it contains icons for each application.', 'En mall specificerar utformningen av eGroupWare och dess ikoner'),
('sv', 'preferences', 'a theme defines the colors and fonts used by the template.', 'Ett tema specificerar färger och fonter som används av en mall.'),
('sv', 'preferences', 'acl grants have been updated', 'Behörighetslistan (ACL) har uppdaterats'),
('sv', 'preferences', 'any listing in egw will show you this number of entries or lines per page.<br>to many slow down the page display, to less will c', 'Alla listor i eGroupWare kommer att visa såhär många rader.<br>För många rader gör att det blir långsamt, för få och du förlorar överblicken.'),
('sv', 'preferences', 'are you sure you want to delete this category ?', 'Vill du verkligen radera kategorin?'),
('sv', 'preferences', 'change a user password by passing the old and new passwords.  returns true on success, false on failure.', 'Ändra lösenord genom att ange det gamla och ett nytt lösenord. Returnerar TRUE vid lyckat och FALSE om misslyckas.'),
('sv', 'preferences', 'change your password', 'Ändra lösenord'),
('sv', 'preferences', 'change your profile', 'Ändra profil'),
('sv', 'preferences', 'change your settings', 'Ändra inställningar'),
('sv', 'preferences', 'click to select a color', 'Välja färg'),
('sv', 'preferences', 'color', 'Färg'),
('sv', 'preferences', 'country', 'Land'),
('sv', 'preferences', 'date format', 'Datumformat'),
('sv', 'preferences', 'default', 'Standard'),
('sv', 'preferences', 'default application', 'Standard applikation'),
('sv', 'preferences', 'default preferences', 'Standard inställningar'),
('sv', 'preferences', 'delete categories', 'Radera kategorier'),
('sv', 'preferences', 'description can not exceed 255 characters in length !', 'Beskrivningen kan inte vara längre än 255 tecken'),
('sv', 'preferences', 'do you prefer a 24 hour time format, or a 12 hour one with am/pm attached.', 'Föredrar du 24 timmars format, eller 12 med fm/em.'),
('sv', 'preferences', 'edit custom fields', 'Ändra anpassade fält'),
('sv', 'preferences', 'enter your new password', 'Nytt lösenord'),
('sv', 'preferences', 'enter your old password', 'Gamla lösenordet'),
('sv', 'preferences', 'failed to change password.  please contact your administrator.', 'Kunde inte ändra lösenordet. Vänligen kontakta administratör.'),
('sv', 'preferences', 'forced preferences', 'Tvingade inställningar'),
('sv', 'preferences', 'help off', 'Hjälp av'),
('sv', 'preferences', 'hours', 'timmar'),
('sv', 'preferences', 'how do you like to display accounts', 'Hur vill du se konton'),
('sv', 'preferences', 'how do you like to select accounts', 'Hur vill du välja konton'),
('sv', 'preferences', 'how many hours are you in front or after the timezone of the server.<br>if you are in the same time zone as the server select 0 ', 'Hur många timmar för eller efter är du den tidzon där servern befinner sig?<br>Om du är i samma tidzon välj 0 timmar eller välj lokalt datum och tid.'),
('sv', 'preferences', 'how many icons should be shown in the navbar (top of the page). additional icons go into a kind of pulldown menu, callable by th', 'Antal ikoner som visas i navigerings listen? Ikoner utöver dessa visas i en rullgardins lista som hämtas via ikonen längst till höger.'),
('sv', 'preferences', 'how should egroupware display dates for you.', 'Hur skall eGroupWare visa datum'),
('sv', 'preferences', 'icon', 'Ikon'),
('sv', 'preferences', 'icons and text', 'Ikon och text'),
('sv', 'preferences', 'icons only', 'Ikon endast'),
('sv', 'preferences', 'in which country are you. this is used to set certain defaults for you.', 'I vilket land befinner du dig? Används för att göra standard inställningar.'),
('sv', 'preferences', 'interface/template selection', 'Gränsnitt / mall val'),
('sv', 'preferences', 'language', 'Språk'),
('sv', 'preferences', 'max matches per page', 'Max träffar per sida'),
('sv', 'preferences', 'max number of icons in navbar', 'Max antal ikoner i navigeringslisten'),
('sv', 'preferences', 'no default', 'Ingen standard'),
('sv', 'preferences', 'note: this feature does *not* change your email password. this will', 'Notera: Funktionen ändrar inte ditt e-postlösenord. Detta'),
('sv', 'preferences', 'note: this feature does *not* change your email password. this will need to be done manually.', 'Notera: Funktionen ändrar *inte* ditt e-postlösenord. Detta måste göras manuellt.'),
('sv', 'preferences', 'please, select a new theme', 'Välj nytt tema'),
('sv', 'preferences', 'popup with search', 'Popup med sökning'),
('sv', 'preferences', 're-enter your password', 'Bekräfta lösenordet'),
('sv', 'preferences', 'read prefs for the specified application.', 'Läsrättigheter för vald applikation'),
('sv', 'preferences', 'select different theme', 'Välj annat tema'),
('sv', 'preferences', 'select one', 'Välj en'),
('sv', 'preferences', 'select the language of texts and messages within egroupware.<br>some languages may not contain all messages, in that case you wi', 'Välj språk för menyer och dialoger. Alla är språk är inte kompletta och kan därför visa enstaka engelska menyer och dialoger.'),
('sv', 'preferences', 'selectbox', 'Valruta'),
('sv', 'preferences', 'selectbox with primary group and search', 'Valruta med primärgrupp och sökfunktion'),
('sv', 'preferences', 'set this to your convenience. for security reasons, you might not want to show your loginname in public.', 'Av säkerhets skäl bör du inte visa ditt användarnamn för andra.'),
('sv', 'preferences', 'should the number of active sessions be displayed for you all the time.', 'Visa alltid antal aktiva sessioner?'),
('sv', 'preferences', 'should this help messages shown up always, when you enter the preferences or only on request.', 'Visa alltid hjälpmeddelanden eller bara på begäran?'),
('sv', 'preferences', 'show helpmessages by default', 'Visa alltid hjälpmeddelanden?'),
('sv', 'preferences', 'show navigation bar as', 'Visa navigeringslisten som'),
('sv', 'preferences', 'show number of current users', 'Visa antal aktiva användare'),
('sv', 'preferences', 'show text on navigation icons', 'Visa text på navigeringsikoner'),
('sv', 'preferences', 'text only', 'Endast text'),
('sv', 'preferences', 'the default application will be started when you enter egroupware or click on the homepage icon.<br>you can also have more than ', 'Standard applikationen kommer att visas vid inloggning och när du klickar på eGroupWare-ikonen överst på sidan.<br>Du kan också visa fler än en applikation på startsidan, om du inte väljer en här.<br>Detta konfigureras under alternativ på respektive applikation.'),
('sv', 'preferences', 'the old password is not correct', 'Gamla lösenordet är inte rätt'),
('sv', 'preferences', 'the selectbox shows all available users (can be very slow on big installs with many users). the popup can search users by name o', 'Valrutan visar tillgängliga användare (kan vara långsam med många samtidiga användare). I popup fönstret kan man söka användare efter namn eller grupp.'),
('sv', 'preferences', 'the two last options limit the visibility of other users. therefore they should be forced and apply not to administrators.', 'De sista två valen begränsar synligheten av andra användare. Därför bör de vara tvingande men INTE ges administratörer.'),
('sv', 'preferences', 'the two passwords are not the same', 'Lösenorden är inte lika'),
('sv', 'preferences', 'theme (colors/fonts) selection', 'Tema (färg/font) val'),
('sv', 'preferences', 'this server is located in the %1 timezone', 'Denna server är placerad i tidzon %1'),
('sv', 'preferences', 'time format', 'Tidformat'),
('sv', 'preferences', 'use default', 'Använd standard'),
('sv', 'preferences', 'users choice', 'Användarnas val'),
('sv', 'preferences', 'when you say yes the home and logout buttons are presented as applications in the main top applcation bar.', 'Om du väljer Ja, kommer hem och utloggnings knappar att visas i navigerings listen.'),
('sv', 'preferences', 'which currency symbol or name should be used in egroupware.', 'Vilken valutasymbol skall användas i eGroupWare.'),
('sv', 'preferences', 'write prefs for the specified application.', 'Skrivrättigheter för vald applikation'),
('sv', 'preferences', 'you can show the applications as icons only, icons with app-name or both.', 'Du kan se applikationerna som bara ikon, ikon med text eller bara text.'),
('sv', 'preferences', 'you do not have permission to set acl''s in this mode!', 'Du saknar rättighet att ändra ACL i detta läge!'),
('sv', 'preferences', 'you must enter a password', 'Ange ett lösenord'),
('sv', 'preferences', 'your current theme is: %1', 'Ditt nuvarande tema är: %1'),
('sv', 'preferences', 'your preferences', 'Dina inställningar'),
('sv', 'emailadmin', 'add profile', 'Skapa profil'),
('sv', 'emailadmin', 'admin dn', 'Admin dn'),
('sv', 'emailadmin', 'admin password', 'Admin lösenord'),
('sv', 'emailadmin', 'admin username', 'Admin användare'),
('sv', 'emailadmin', 'advanced options', 'Avanserade alternativ'),
('sv', 'emailadmin', 'alternate email address', 'Alternerande e-post adress'),
('sv', 'emailadmin', 'bad login name or password.', 'Ogiltigt användarna eller lösenord'),
('sv', 'emailadmin', 'bad or malformed request. server responded: %s', 'Ogiltig eller ofullständig förfrågan. Server svarade: %s'),
('sv', 'emailadmin', 'bad request: %s', 'Ogiltig förfrågan: %s'),
('sv', 'emailadmin', 'connection dropped by imap server.', 'Anslutningen stängd av IMAP server'),
('sv', 'emailadmin', 'could not complete request. reason given: %s', 'Kunde inte fullfölja förfrågan. Svaret: %s'),
('sv', 'emailadmin', 'could not open secure connection to the imap server. %s : %s.', 'Kunde inte öppna en söker anslutning till IMAP servern. %s: %s'),
('sv', 'emailadmin', 'cram-md5 or digest-md5 requires the auth_sasl package to be installed.', 'CRAM-MD5 och DIGEST-MD5 kräver att Auth_SASL paketet installerats'),
('sv', 'emailadmin', 'cyrus imap server', 'Cyrus IMAP Server'),
('sv', 'emailadmin', 'cyrus imap server administration', 'Cyrus IMAP server administration'),
('sv', 'emailadmin', 'default', 'Standard'),
('sv', 'emailadmin', 'deliver extern', 'Leverera extern'),
('sv', 'emailadmin', 'do not validate certificate', 'Validera inte certifikat'),
('sv', 'emailadmin', 'do you really want to delete this profile', 'Vill du verkligen radera profilen?'),
('sv', 'emailadmin', 'domainname', 'Domän namn'),
('sv', 'emailadmin', 'edit email settings', 'Redigera e-post alternativ'),
('sv', 'emailadmin', 'email account active', 'Aktivt e-post konto'),
('sv', 'emailadmin', 'email address', 'E-post adress'),
('sv', 'emailadmin', 'enable cyrus imap server administration', 'Aktivera Cyrus IMAP server administration'),
('sv', 'emailadmin', 'enable sieve', 'Aktivera Sieve'),
('sv', 'emailadmin', 'encrypted connection', 'Krypterad anslutning'),
('sv', 'emailadmin', 'enter your default mail domain (from: user@domain)', 'Standard e-post domän (från: user@domain)'),
('sv', 'emailadmin', 'entry saved', 'Post sparad'),
('sv', 'emailadmin', 'error connecting to imap server. %s : %s.', 'Kunde inte ansluta till IMAP server %s : %s'),
('sv', 'emailadmin', 'error connecting to imap server: [%s] %s.', 'Kunde inte ansluta till IMAP server [%s] %s'),
('sv', 'emailadmin', 'error saving the entry!!!', 'Fel uppstod vid sparandet av posten!'),
('sv', 'emailadmin', 'forward also to', 'Vidarebefodra även till'),
('sv', 'emailadmin', 'forward email''s to', 'Vidarebefodra e-post till'),
('sv', 'emailadmin', 'forward only', 'Vidarebefodra endast'),
('sv', 'emailadmin', 'if using ssl or tls, you must have the php openssl extension loaded.', 'Om du vill använda SSL eller TLS måste PHP openssl stödet laddas'),
('sv', 'emailadmin', 'imap c-client version < 2001', 'IMAP C-Client version < 2001'),
('sv', 'emailadmin', 'imap server closed the connection.', 'IMAP server stängde anslutningen'),
('sv', 'emailadmin', 'imap server closed the connection. server responded: %s', 'IMAP server stängde anslutningen. Serverna svarade: %s'),
('sv', 'emailadmin', 'imap server hostname or ip address', 'IMAP server hostnamn eller IP adress'),
('sv', 'emailadmin', 'imap server logintyp', 'IMAP server inloggnings typ'),
('sv', 'emailadmin', 'imap server port', 'IMAP server port'),
('sv', 'emailadmin', 'imap/pop3 server name', 'IMAP/POP3 server namn'),
('sv', 'emailadmin', 'in mbyte', 'i MByte'),
('sv', 'emailadmin', 'ldap basedn', 'LDAP basedn'),
('sv', 'emailadmin', 'ldap server', 'LDAP server'),
('sv', 'emailadmin', 'ldap server accounts dn', 'LDAP server konton DN'),
('sv', 'emailadmin', 'ldap server admin dn', 'LDAP server admin DN'),
('sv', 'emailadmin', 'ldap server admin password', 'LDAP server admin lösenord'),
('sv', 'emailadmin', 'ldap server hostname or ip address', 'LDAP server hostnamn eller IP adress'),
('sv', 'emailadmin', 'ldap settings', 'LDAP alternativ'),
('sv', 'emailadmin', 'leave empty for no quota', 'Lämna tomt för ingen kvot'),
('sv', 'emailadmin', 'name of organisation', 'Organisations namn'),
('sv', 'emailadmin', 'no alternate email address', 'Ingen alternerande e-post adress'),
('sv', 'emailadmin', 'no encryption', 'Ingen kryptering'),
('sv', 'emailadmin', 'no forwarding email address', 'Ingen e-post vidarebefodrings adress'),
('sv', 'emailadmin', 'no message returned.', 'Inget svar meddelandes'),
('sv', 'emailadmin', 'no supported imap authentication method could be found.', 'Kunde inte hitta supporterad IMAP autentiserings metod'),
('sv', 'emailadmin', 'order', 'Sortering'),
('sv', 'emailadmin', 'organisation', 'Organisation'),
('sv', 'emailadmin', 'pop3 server hostname or ip address', 'POP3 server hostnamn eller IP adress'),
('sv', 'emailadmin', 'pop3 server port', 'POP3 server port'),
('sv', 'emailadmin', 'postfix with ldap', 'Postfix med LDAP'),
('sv', 'emailadmin', 'profile list', 'Profil lista'),
('sv', 'emailadmin', 'profile name', 'Profil namn'),
('sv', 'emailadmin', 'qmaildotmode', 'qmaildotmode'),
('sv', 'emailadmin', 'quota settings', 'Kvot alternativ'),
('sv', 'emailadmin', 'quota size in mbyte', 'Kvotstorlek i Mb'),
('sv', 'emailadmin', 'remove', 'Radera'),
('sv', 'emailadmin', 'select type of imap/pop3 server', 'Välj typ av IMAP/POP3 server'),
('sv', 'emailadmin', 'select type of smtp server', 'Välj typ av SMTP Server'),
('sv', 'emailadmin', 'sieve server hostname or ip address', 'Sieve server hostnamn eller IP adress'),
('sv', 'emailadmin', 'sieve server port', 'Sieve server port'),
('sv', 'emailadmin', 'sieve settings', 'Sieve alternativ'),
('sv', 'emailadmin', 'smtp server name', 'SMTP server namn'),
('sv', 'emailadmin', 'smtp settings', 'SMTP alternativ'),
('sv', 'emailadmin', 'smtp-server hostname or ip address', 'SMTP server hostnamn eller IP adress'),
('sv', 'emailadmin', 'smtp-server port', 'SMTP server port'),
('sv', 'emailadmin', 'standard', 'Standard'),
('sv', 'emailadmin', 'standard imap server', 'Standard IMAP server'),
('sv', 'emailadmin', 'standard pop3 server', 'Standard POP3 server'),
('sv', 'emailadmin', 'standard smtp-server', 'Standard SMTP server'),
('sv', 'emailadmin', 'the imap server does not appear to support the authentication method selected. please contact your system administrator.', 'IMAP servern verkar inte stödja den autentiserings metod du valt. Var god och kontakta administratör.'),
('sv', 'emailadmin', 'this php has no imap support compiled in!!', 'Denna installation har inte IMAP stöd kompilerat i PHP.'),
('sv', 'emailadmin', 'to use a tls connection, you must be running a version of php 5.1.0 or higher.', 'För att använda TLS anslutning måste du ha PHP version 5.1.0 eller högre'),
('sv', 'emailadmin', 'unexpected response from server to authenticate command.', 'Oväntat svar från servern på AUTENTISERINGS kommandot'),
('sv', 'emailadmin', 'unexpected response from server to digest-md5 response.', 'Oväntat svar från servern på Digest-MD5'),
('sv', 'emailadmin', 'unexpected response from server to login command.', 'Oväntat svar från servern på INLOGGINGS kommandot'),
('sv', 'emailadmin', 'unknown imap response from the server. server responded: %s', 'Okänt IMAP svar från server. Svarade: %s'),
('sv', 'emailadmin', 'use ldap defaults', 'använd LDAP standarder'),
('sv', 'emailadmin', 'use smtp auth', 'Använd SMTP autentisering'),
('sv', 'emailadmin', 'use tls authentication', 'Använd TLS autentisering'),
('sv', 'emailadmin', 'use tls encryption', 'Använd TLS kryptering'),
('sv', 'emailadmin', 'users can define their own emailaccounts', 'Användare kan definiera egna epost konton?'),
('sv', 'emailadmin', 'virtual mail manager', 'Virtuell E-post administration'),
('sv', 'etemplate', '%1 (%2 new) messages writen for application ''%3'' and languages ''%4''', '%1 (%2 nya) Meddelanden skrivna för applikation ''%3'' och språken ''%4'''),
('sv', 'etemplate', '%1 etemplates deleted', '%1 eTemplate raderad'),
('sv', 'etemplate', '%1 etemplates for application ''%2'' dumped to ''%3''', '%1 eTemplate för applikation ''%2'' skriven till ''%3'''),
('sv', 'etemplate', '%1 etemplates found', 'Hittade %1 eTemplate'),
('sv', 'etemplate', '%1 matches on search criteria', '%1 resultat hittade på sökning'),
('sv', 'etemplate', '%1 new etemplates imported for application ''%2''', '%1 nya eTemplate importerade för applikation ''%2'''),
('sv', 'etemplate', '%s disabled', '%s Inaktiverad'),
('sv', 'etemplate', '%s needed', '%s Krävs'),
('sv', 'etemplate', '%s notranslation', '%s Inte översatt'),
('sv', 'etemplate', '%s onchange', '%s onChange'),
('sv', 'etemplate', '%s readonly', '%s Skrivskyddad'),
('sv', 'etemplate', '''%1'' has an invalid format !!!', '''%1'' har ett ogiltigt format'),
('sv', 'etemplate', '''%1'' is not a valid date !!!', '''%1'' är ett ogiltigt datum'),
('sv', 'etemplate', '''%1'' is not a valid floatingpoint number !!!', '''%1'' är inte ett giltigt flyttalsnummer'),
('sv', 'etemplate', '''%1'' is not a valid integer !!!', '''%1'' är inte ett giltig heltal'),
('sv', 'etemplate', 'a pattern to be searched for', 'Sökord att söka efter'),
('sv', 'etemplate', 'accesskey', 'Åtkomstnyckel'),
('sv', 'etemplate', 'accesskeys can also be specified with an & in the label (eg. &name)', 'Åtkomstnyckel kan specifieras med ett & i en etikett (ex. &Namn)'),
('sv', 'etemplate', 'add a new column (after the existing ones)', 'Infoga kolumn (efter existerande)'),
('sv', 'etemplate', 'add a new entry of the selected application', 'Skapa ny post av vald applikation'),
('sv', 'etemplate', 'add a new multi-column index', 'Skapa multikolumn index'),
('sv', 'etemplate', 'add column', 'Infoga kolumn'),
('sv', 'etemplate', 'add index', 'Skapa index'),
('sv', 'etemplate', 'add new', 'Skapa ny'),
('sv', 'etemplate', 'add table', 'Skapa tabell'),
('sv', 'etemplate', 'advanced search', 'Avancerad sökning'),
('sv', 'etemplate', 'align', 'Justera'),
('sv', 'etemplate', 'alignment of label and input-field in table-cell', 'Justering av etikett och indata fält i tabell cell'),
('sv', 'etemplate', 'alignment of the v/hbox containing table-cell', 'Justering av V/HBox innehållande tabell cell'),
('sv', 'etemplate', 'all days', 'Samtliga dagar'),
('sv', 'etemplate', 'all operations save the template!', 'Alla operationer sparar template'),
('sv', 'etemplate', 'am', 'fm'),
('sv', 'etemplate', 'an indexed column speeds up querys using that column (cost space on the disk !!!)', 'En kolumn med index går fortare att sök i (på bekostnad av filsystemsutrymme)'),
('sv', 'etemplate', 'application', 'Applikation'),
('sv', 'etemplate', 'application name needed to write a langfile or dump the etemplates !!!', 'Namnet på applikationen behövs för att skriva en språkfil eller dumpa eTemplate'),
('sv', 'etemplate', 'applies the changes made', 'Sparar ändringar'),
('sv', 'etemplate', 'applies the changes to the given version of the template', 'Applicerar förändringar på en given version av template'),
('sv', 'etemplate', 'attach', 'Bifoga'),
('sv', 'etemplate', 'attach file', 'Bifoga fil'),
('sv', 'etemplate', 'baseline', 'Baslinje'),
('sv', 'etemplate', 'blurtext', 'Oskarptext'),
('sv', 'etemplate', 'border', 'Kantlinje'),
('sv', 'etemplate', 'border-line-thickness for the table-tag', 'Kantlinjes tjocklek för tabell kod'),
('sv', 'etemplate', 'bottom', 'Nederst'),
('sv', 'etemplate', 'box', 'Ruta'),
('sv', 'etemplate', 'box...', 'Ruta ...'),
('sv', 'etemplate', 'can not have special sql-value null', 'Kan inte ha SQL reserverat värde NULL'),
('sv', 'etemplate', 'cancel', 'Avbryt'),
('sv', 'etemplate', 'cant delete a single widget from a grid !!!', 'Kan inte ta bort en enstaka widget från en grid!!'),
('sv', 'etemplate', 'cant delete the only column of a grid !!!', 'Kan inte ta bort den enda kolumnen från en grid!!'),
('sv', 'etemplate', 'cant delete the only row in a grid !!!', 'Kan inte ta bort den enda raden i en grid'),
('sv', 'etemplate', 'category', 'Kategori'),
('sv', 'etemplate', 'cellpadding for the table-tag', 'Cellfyllnad för tabell kod'),
('sv', 'etemplate', 'cells', 'Celler'),
('sv', 'etemplate', 'cellspacing for the table-tag', 'Cellutrymme för tabell kod'),
('sv', 'etemplate', 'center', 'Centrera'),
('sv', 'etemplate', 'changed', 'Ändrad'),
('sv', 'etemplate', 'check if content should only be displayed but not altered (the content is not send back then!)', 'Kontrollera om innehållet bara ska visas men inte förändras (innehållet skickas då inte tillbaks)'),
('sv', 'etemplate', 'check if field has to be filled by user', 'Kontrollera om fältet ska fyllas i av användare'),
('sv', 'etemplate', 'checkbox', 'Kryssruta'),
('sv', 'etemplate', 'class', 'Klass'),
('sv', 'etemplate', 'class, valign', 'Klass, Valign'),
('sv', 'etemplate', 'click here to attach the file', 'Bifoga fil'),
('sv', 'etemplate', 'click here to create the link', 'Skapa länk'),
('sv', 'etemplate', 'click here to start the search', 'Sök'),
('sv', 'etemplate', 'click here to upload the file', 'Ladda upp fil'),
('sv', 'etemplate', 'click to order after that criteria', 'Sortera enl. kriteria'),
('sv', 'etemplate', 'clickable path', 'Klickbar sökväg'),
('sv', 'etemplate', 'closes the window without saving the changes', 'Stänger fönstret utan att spara ändringar'),
('sv', 'etemplate', 'column...', 'Kolumn'),
('sv', 'etemplate', 'columnname', 'Kolumn namn'),
('sv', 'etemplate', 'comment', 'Kommentar'),
('sv', 'etemplate', 'confirm', 'bekräfta'),
('sv', 'etemplate', 'confirmation message or custom javascript (returning true or false)', 'Bekräftelsemeddelande eller eget javascript (som returnerar sant eller falskt)'),
('sv', 'etemplate', 'confirmation necesary or custom java-script', 'Bekräftelse nödvändig eller anpassat java skript'),
('sv', 'etemplate', 'contact', 'Kontakt'),
('sv', 'etemplate', 'contact fields', 'Kontakt fält'),
('sv', 'etemplate', 'contains', 'Innehåller'),
('sv', 'etemplate', 'create a new table for the application', 'Skapa ny tabell för applikationen'),
('sv', 'etemplate', 'creates an english (''en'') langfile from label and helptexts (for application in name)', 'Skapa engelsk (''en'') språkfil från etikett och hjälptexter (för applikation i Namn)'),
('sv', 'etemplate', 'css class for the table-tag', 'CSS klass för tabell kod'),
('sv', 'etemplate', 'css properties', 'CSS alternativ'),
('sv', 'etemplate', 'css-class name for this row, preset: ''nmh'' = nextmatch header, ''nmr'' = alternating nm row, ''nmr0''+''nmr1'' nm rows', 'CSS klassnamn för raden, förinställt: ''nmh'' = NextMatch header, ''nmr'' = alternating NM row, ''nmr0''+''nmr1'' NM rows'),
('sv', 'etemplate', 'css-class name for this row, preset: ''th'' = header, ''row'' = alternating row, ''row_off''+''row_on'' rows', 'CSS klassnamn för raden, förinställt: ''th'' = header, ''row'' = alternating row, ''row_off''+''row_on'' rows'),
('sv', 'etemplate', 'css-styles', 'CSS stilar'),
('sv', 'etemplate', 'custom', 'Anpassa'),
('sv', 'etemplate', 'custom fields', 'Anpassade fält'),
('sv', 'etemplate', 'custom javascript for onchange', 'Anpassat javaskript för onChange'),
('sv', 'etemplate', 'cut', 'Klipp ut'),
('sv', 'etemplate', 'date+time', 'Datum+Tid'),
('sv', 'etemplate', 'datum', 'Datum'),
('sv', 'etemplate', 'day', 'Dag'),
('sv', 'etemplate', 'days', 'Dagar'),
('sv', 'etemplate', 'db ensures that every row has a unique value in that column', 'Databasen försäkrar att varje rad har ett unikt värde i kolumnen'),
('sv', 'etemplate', 'db-specific index options (comma-sep.), eg. mysql(fulltext) or mysql(100) for the indexed length of a col', 'Databasen specifika index alternativ (kommasep.), ex. mysql(FULLTEXT) eller mysql(100) för indexerad längd på kolumn'),
('sv', 'etemplate', 'db-tools', 'Databas verktyg'),
('sv', 'etemplate', 'deck', 'Deck (internationell)'),
('sv', 'etemplate', 'default', 'Standard'),
('sv', 'etemplate', 'delete a single entry by passing the id.', 'Ange ID för att radera post'),
('sv', 'etemplate', 'delete all selected etemplates, without further inquiry', 'Radera ALLA valda eTemplate, UTAN vidare frågor'),
('sv', 'etemplate', 'delete and cut save the template!', 'Radera utan att spara mallen'),
('sv', 'etemplate', 'delete column', 'Radera kolumn'),
('sv', 'etemplate', 'delete index', 'Radera index'),
('sv', 'etemplate', 'delete the spezified etemplate', 'Radera valt eTemplate'),
('sv', 'etemplate', 'delete this column', 'Radera kolumnen'),
('sv', 'etemplate', 'delete this etemplate', 'Radera detta eTemplate'),
('sv', 'etemplate', 'delete this file', 'Radera filen'),
('sv', 'etemplate', 'delete this row', 'Radera raden'),
('sv', 'etemplate', 'delete whole column (can not be undone!!!)', 'Radera kolumnen (kan INTE ångras)'),
('sv', 'etemplate', 'deletes the above spez. etemplate from the database, can not be undone', 'Radera ovanstående eTemplate i databasen (kan INTE ångras)'),
('sv', 'etemplate', 'deletes the etemplate spez. above', 'Raderar ovanstående eTemplate'),
('sv', 'etemplate', 'deletes this column', 'Raderar kolumnen'),
('sv', 'etemplate', 'deletes this index', 'Raderar indexet'),
('sv', 'etemplate', 'discard changes', 'Ångra ändringar'),
('sv', 'etemplate', 'displayed in front of input or input is inserted for a ''%s'' in the label (label of the submitbutton or image-filename)', 'Visas framför indata eller indata skrivs för en ''%s'' i etiketten (etikett på Sparaknapp eller bild fil)'),
('sv', 'etemplate', 'displayed in statusline of browser if input-field gets focus', 'Visas i status raden i webbläsaren om indata fält fokuseras'),
('sv', 'etemplate', 'displayed in the top line of the groupbox (legend)', 'Vi översta raden i grupprutan (legend)'),
('sv', 'etemplate', 'do you want to save the changes you made in table %s?', 'Spara ändringar av tabell %s?'),
('sv', 'etemplate', 'documentation', 'Dokumentation'),
('sv', 'etemplate', 'doesn''t matter', 'Inte av betydelse'),
('sv', 'etemplate', 'drop a table - this can not be undone', 'Radera en tabell (kan INTE ångras)'),
('sv', 'etemplate', 'drop table', 'Radera tabell'),
('sv', 'etemplate', 'dump4setup', 'Dump4Setup'),
('sv', 'etemplate', 'duration', 'Varaktighet'),
('sv', 'etemplate', 'edit', 'Ändra'),
('sv', 'etemplate', 'edit embeded css styles or of the applications app.css file', 'Ändra inbäddad CSS stilar eller applikationens app.css fil'),
('sv', 'etemplate', 'edit the etemplate spez. above', 'Ändra ovanstående eTemplate'),
('sv', 'etemplate', 'edit...', 'Ändra ...'),
('sv', 'etemplate', 'editable templates - db-tools', 'Ändringsbar mall - Databas vertyg'),
('sv', 'etemplate', 'editable templates - delete template', 'Ändringsbar mall - Radera mallen'),
('sv', 'etemplate', 'editable templates - editor', 'Ändringsbar mall - Editor'),
('sv', 'etemplate', 'editable templates - search', 'Ändringsbar mall - Sök'),
('sv', 'etemplate', 'editable templates - show template', 'Ändringsbar mall - Visa mall'),
('sv', 'etemplate', 'embeded css styles, eg. ''.red { background: red; }'' (note the ''.'' before the class-name) or ''@import url(...)'' (class names are ', 'Inbäddade CSS stilar, ex. ''.red { background: red; }'' (notera ''.'' före class namnet) eller ''@import url(...)'' (class namn är globala för hela sidan!)'),
('sv', 'etemplate', 'enable javascript onchange submit', 'Aktivera JavaScript OnChange submit'),
('sv', 'etemplate', 'enter '''' for an empty default, nothing mean no default', 'Ange '''' för tom standard, tomt betyder ingen standard'),
('sv', 'etemplate', 'enter a search pattern', 'Ange sökord'),
('sv', 'etemplate', 'enter filename to upload and attach, use [browse...] to search for it', 'Använd [Bläddra...] för att söka efter fil'),
('sv', 'etemplate', 'enter the new version number here (> old_version), empty for no update-file', 'Ange nytt högre versionsnummer, tomt för ingen uppdateringsfil'),
('sv', 'etemplate', 'enter the new version number here (has to be > old_version)', 'Ange nytt högre versionsnummer'),
('sv', 'etemplate', 'entry saved', 'Post sparad'),
('sv', 'etemplate', 'error: template not found !!!', 'Fel: Mallen kunde inte hittas'),
('sv', 'etemplate', 'error: webserver is not allowed to write into ''%1'' !!!', 'Fel: Webbserver har inte rättighet att skriva till ''%1'''),
('sv', 'etemplate', 'error: while saving !!!', 'Fel: Kunde inte spara'),
('sv', 'etemplate', 'error: writing file (no write-permission for the webserver) !!!', 'Fel: Kunde inte skriva fil (inga skrivrättigheter på webbservern)'),
('sv', 'etemplate', 'etemplate ''%1'' imported, use save to put it in the database', 'eTemplate ''%1'' importerad, använd Spara för att skriva till databasen'),
('sv', 'etemplate', 'etemplate ''%1'' written to ''%2''', 'eTemplate ''%1'' skriven till ''%2'''),
('sv', 'etemplate', 'etemplate editor', 'eTemplate editor'),
('sv', 'etemplate', 'etemplate reference', 'eTemplate referens'),
('sv', 'etemplate', 'etemplate tutorial', 'eTemplate hjälpinnehåll'),
('sv', 'etemplate', 'exchange this row with the one above', 'Byt denna rad mot den ovanför'),
('sv', 'etemplate', 'exchange this two columns', 'Byt dessa två kolumner'),
('sv', 'etemplate', 'export the loaded etemplate into a xml-file', 'Exportera den laddade eTemplate till XML fil'),
('sv', 'etemplate', 'export xml', 'Exportera XML'),
('sv', 'etemplate', 'extensions loaded:', 'Laddade utökningar:'),
('sv', 'etemplate', 'field', 'Fält'),
('sv', 'etemplate', 'field must not be empty !!!', 'Fältet kan inte vara tomt'),
('sv', 'etemplate', 'file', 'Fil'),
('sv', 'etemplate', 'file contains more than one etemplate, last one is shown !!!', 'Filen innehåller mer än ett eTemplate, visar sista'),
('sv', 'etemplate', 'file writen', 'Filen skriven'),
('sv', 'etemplate', 'fileupload', 'Ladda upp fil'),
('sv', 'etemplate', 'first', 'Första'),
('sv', 'etemplate', 'floating point', 'Flyttal'),
('sv', 'etemplate', 'foreign key', 'Foreign Key'),
('sv', 'etemplate', 'formatted text (html)', 'Formaterad Text (HTML)'),
('sv', 'etemplate', 'go to the first entry', 'Gå till första posten'),
('sv', 'etemplate', 'go to the last entry', 'Gå till sista posten'),
('sv', 'etemplate', 'go to the next page of entries', 'Gå till nästa sida'),
('sv', 'etemplate', 'go to the previous page of entries', 'Gå till föregående sida'),
('sv', 'etemplate', 'grid', 'Grid'),
('sv', 'etemplate', 'grid column attributes', 'Grid kolumn attribut'),
('sv', 'etemplate', 'grid row attributes', 'Grid rad attribut'),
('sv', 'etemplate', 'groupbox', 'Gruppruta'),
('sv', 'etemplate', 'hbox', 'HBox'),
('sv', 'etemplate', 'height', 'Höjd'),
('sv', 'etemplate', 'height of row (in % or pixel)', 'Radhöjd (i % eller pixlar)'),
('sv', 'etemplate', 'height of row (in % or pixel), disable row: [! = not]<value>[=<check>] eg: ''!@data'' disable row if content of data is empty', 'Radhöjd (i % eller pixel), inaktivera rad: [! = not]<value>[=<check>] ex: ''!@data'' inaktiverar rad om innehåll saknas'),
('sv', 'etemplate', 'height of the table in % or pixels for the table-tag and (optional) div', 'Tabellhöjd (i %  eller pixlar) för tabell kod och (frivillig) div'),
('sv', 'etemplate', 'height, disabled', 'Höjd, inaktiverad'),
('sv', 'etemplate', 'help', 'Hjälp'),
('sv', 'etemplate', 'history log', 'Historik'),
('sv', 'etemplate', 'horizontal rule', 'Horisontell linje'),
('sv', 'etemplate', 'hour', 'Timme'),
('sv', 'etemplate', 'hours', 'Timmar'),
('sv', 'etemplate', 'how many entries should the list show', 'Hur många poster ska listan visa'),
('sv', 'etemplate', 'html', 'Html'),
('sv', 'etemplate', 'if field is disabled an empty table-cell is displayed, for (temporal) removement of a field/cell', 'Om fält är inaktiverat visas en tom tabell cell, för (temporär) borttagning av ett fält/cell'),
('sv', 'etemplate', 'image', 'Bild'),
('sv', 'etemplate', 'import', 'Import'),
('sv', 'etemplate', 'import an etemplate from a xml-file', 'Importera eTemplate från XML fil'),
('sv', 'etemplate', 'import table-definitions from existing db-table', 'Importera tabell definitioner från existerande databas tabell'),
('sv', 'etemplate', 'import xml', 'Importera XML'),
('sv', 'etemplate', 'increment version to not overwrite the existing template', 'Uppdatera version för att inte skriva över nuvarande mall'),
('sv', 'etemplate', 'index/name of returned content (name of the template, link / method for image)', 'Index/namn på returnerat innehåll (namn på Template, Länk/Metod för bild)'),
('sv', 'etemplate', 'indexed', 'Indexerad'),
('sv', 'etemplate', 'indexoptions', 'Index alternativ'),
('sv', 'etemplate', 'insert a column before', 'Infoga kolumn före'),
('sv', 'etemplate', 'insert a column behind', 'Infoga kolumn efter'),
('sv', 'etemplate', 'insert a row above', 'Infoga rad övanför'),
('sv', 'etemplate', 'insert a row below', 'Infoga rad under'),
('sv', 'etemplate', 'insert a widget before', 'Infoga widget före'),
('sv', 'etemplate', 'insert a widget behind', 'Infoga widget efter'),
('sv', 'etemplate', 'insert new column behind this one', 'Skapa kolumn efter denna'),
('sv', 'etemplate', 'insert new column in front of all', 'Skapa kolumn före alla'),
('sv', 'etemplate', 'insert new row after this one', 'Skapa rad efter denna'),
('sv', 'etemplate', 'insert new row in front of first line', 'Skapa rad före första raden'),
('sv', 'etemplate', 'integer', 'Heltal'),
('sv', 'etemplate', 'key', 'Nyckel'),
('sv', 'etemplate', 'label', 'Etikett'),
('sv', 'etemplate', 'label:[bold][italic] text:[len][,max] numbers:[min][,[max][,len]] t.area:[rows][,cols] radiob.:value h.rule:[width] templ.:[inde', 'Etikett:[bold][italic] Text:[len][,max] Nummer:[min][,[max][,len]] T.area:[rows][,cols] Radiob.:value H.Rule:[width] Templ.:[IndexInContent] Välj:[multiselect] Datum:[värde: ex. ''Y-m-d'']'),
('sv', 'etemplate', 'lang', 'Språk'),
('sv', 'etemplate', 'language-short (eg. ''en'' for english) for language-dependent template ('''' reads your pref. languages or the default, us ''default', 'Språk förkortning (ex. ''en'' för Engelsk) för språk oberoende template ('''' läser ditt pref. språk eller standard, us ''standard'' att läsa standard template '''')'),
('sv', 'etemplate', 'last', 'Sista'),
('sv', 'etemplate', 'left', 'Vänster'),
('sv', 'etemplate', 'length for char+varchar, precisions int: 2, 4, 8 and float: 4, 8', 'Längd för char+varchar, precisions int: 2, 4, 8 och float: 4, 8'),
('sv', 'etemplate', 'link', 'Länk'),
('sv', 'etemplate', 'linkapps', 'LinkApps'),
('sv', 'etemplate', 'linkentry', 'LinkEntry'),
('sv', 'etemplate', 'linklist', 'LinkList'),
('sv', 'etemplate', 'linkstring', 'LinkString'),
('sv', 'etemplate', 'linkto', 'LinkTo'),
('sv', 'etemplate', 'load this template into the editor', 'Ladda mallen i editorn'),
('sv', 'etemplate', 'middle', 'Mitten'),
('sv', 'etemplate', 'minute', 'Minut'),
('sv', 'etemplate', 'minutes', 'Minuter'),
('sv', 'etemplate', 'month', 'Månad'),
('sv', 'etemplate', 'multicolumn indices', 'Multikolumn Index'),
('sv', 'etemplate', 'name', 'Namn'),
('sv', 'etemplate', 'name of other table where column is a key from', 'Namnet på den andra tabellen kolumnen är en nyckel till'),
('sv', 'etemplate', 'name of phpgw-template set (e.g. verdilak): '''' = default (will read pref. template, us ''default'' to read default template '''')', 'namnet på phpgw mall-set (ex. verdilak): '''' = standard (läser pref. template, använd ''standard'' för att läsa standard template '''')'),
('sv', 'etemplate', 'name of table to add', 'Namnet på tabell'),
('sv', 'etemplate', 'name of the etemplate, should be in form application.function[.subtemplate]', 'Namn på eTemplate, ska vara i formatet applikation.funktion[.subTemplate]'),
('sv', 'etemplate', 'need to be unique in the table and no reseved word from sql, best prefix all with a common 2-digit short for the app, eg. ''et_''', 'måste vara unikt för tabellen och inte ett reserverat SQL ord. Rekomenderas att använda 2 tecken prefix för aplikations namnet, ex. ''et_'''),
('sv', 'etemplate', 'new table created', 'Tabell skapad'),
('sv', 'etemplate', 'newer version ''%1'' exists !!!', 'Nyare version ''%1'' existerar'),
('sv', 'etemplate', 'nextmatch', 'Nästa matchande'),
('sv', 'etemplate', 'nextmatch filterheader', 'Nästa matchande Filterheader'),
('sv', 'etemplate', 'nextmatch sortheader', 'Nästa matchande Sortheader'),
('sv', 'etemplate', 'no column to swap with !!!', 'Ingen kolumn att byta med!'),
('sv', 'etemplate', 'no file', 'Ingen fil'),
('sv', 'etemplate', 'no filename given or selected via browse...', 'Ingen fil angiven eller vald'),
('sv', 'etemplate', 'no matches found', 'Inga träffar'),
('sv', 'etemplate', 'no row to swap with !!!', 'Ingen rad att byta med!'),
('sv', 'etemplate', 'not null', 'NOT NULL'),
('sv', 'etemplate', 'nothing', 'Ingenting'),
('sv', 'etemplate', 'nothing found - try again !!!', 'Inga träffar - försök igen'),
('sv', 'etemplate', 'nothing in clipboard to paste !!!', 'Ingenting i urklipp att infoga'),
('sv', 'etemplate', 'nothing matched search criteria !!!', 'Inga träffar på sökord'),
('sv', 'etemplate', 'number of colums the field/cell should span or ''all'' for the remaining columns, css-class name (for the td tag)', 'Antal kolumner som fält/cell ska omfatta eller ''alla'' för återstående kolumner, CSS klassnamn (för TD kod)'),
('sv', 'etemplate', 'number of rows/cols in a v/hbox, cellpadding, cellspacing', 'Antal rader/kolumner i en V/HBox, Cellpadding, Cellspacing'),
('sv', 'etemplate', 'of', 'av'),
('sv', 'etemplate', 'onchange', 'onChange'),
('sv', 'etemplate', 'onclick', 'onClick'),
('sv', 'etemplate', 'only an other version found !!!', 'Kunde bara hitta annan version'),
('sv', 'etemplate', 'open the online help.', 'Öppna online-hjälp'),
('sv', 'etemplate', 'operator', 'Operator'),
('sv', 'etemplate', 'optional note about the link', 'Frivillig anteckning om länken'),
('sv', 'etemplate', 'options', 'Alternativ'),
('sv', 'etemplate', 'order to navigating by tab key through the form', 'Ordning att tab navigera genom fälten'),
('sv', 'etemplate', 'overflow', 'Overflow'),
('sv', 'etemplate', 'padding', 'Fyllnad'),
('sv', 'etemplate', 'parent is a ''%1'' !!!', 'Överst är en ''%1'' !'),
('sv', 'etemplate', 'paste', 'Kopiera'),
('sv', 'etemplate', 'path', 'Sökväg'),
('sv', 'etemplate', 'please enter table-name first !!!', 'Var god och ange tabell namnet först'),
('sv', 'etemplate', 'pm', 'em'),
('sv', 'etemplate', 'popup', 'Popup'),
('sv', 'etemplate', 'precision', 'Precision'),
('sv', 'etemplate', 'primary key', 'Primary Key'),
('sv', 'etemplate', 'primary key for the table, gets automaticaly indexed', 'För primär nyckel i tabell skapas automatiskt ett index'),
('sv', 'etemplate', 'radiobutton', 'Radioknapp'),
('sv', 'etemplate', 'read', 'Läs'),
('sv', 'etemplate', 'read a list of entries.', 'Läs lista av poster'),
('sv', 'etemplate', 'read a single entry by passing the id and fieldlist.', 'Ange ID och fältlista för att läsa post'),
('sv', 'etemplate', 'read etemplate from database (for the keys above)', 'Läs eTemplate från databas (för ovanstående nycklar)'),
('sv', 'etemplate', 'readonly', 'Skrivskyddad'),
('sv', 'etemplate', 'remove row (can not be undone!!!)', 'Radera rad (kan INTE återskapas)'),
('sv', 'etemplate', 'remove this link (not the entry itself)', 'Radera länk (inte posten i sig)'),
('sv', 'etemplate', 'required', 'Krävs'),
('sv', 'etemplate', 'returns savely, without deleting', 'Återgår UTAN att radera'),
('sv', 'etemplate', 'right', 'Höger'),
('sv', 'etemplate', 'row...', 'Rad'),
('sv', 'etemplate', 'save the changes made and close the window', 'Spara ändringar och stäng fönster'),
('sv', 'etemplate', 'save the etemplate under the above keys (name, ...), change them for a saveas', 'Spara eTemplate under ovanstående nycklar (namn, ....), ändra för att Spara Som.'),
('sv', 'etemplate', 'saves changes to tables_current.inc.php', 'Spara ändringar i tables_current.inc.php'),
('sv', 'etemplate', 'saves the template with given version number and closes the window', 'Spara mall med givet versionsnummer och stänger fönstret'),
('sv', 'etemplate', 'scale', 'Skala'),
('sv', 'etemplate', 'scale for float', 'Skala för flyttal'),
('sv', 'etemplate', 'search', 'Sök'),
('sv', 'etemplate', 'select a category', 'Välj kategori'),
('sv', 'etemplate', 'select a primary contact, to show in the list', 'Välj primär kontakt att visa i lista'),
('sv', 'etemplate', 'select access', 'Välj åtkomst'),
('sv', 'etemplate', 'select account', 'Välj konto'),
('sv', 'etemplate', 'select an app first !!!', 'Välj en applikaiton'),
('sv', 'etemplate', 'select an app to search in', 'Välj en applikaiton att söka i'),
('sv', 'etemplate', 'select an application', 'Välj en applikation'),
('sv', 'etemplate', 'select an application, (*) = uninstalled', 'Välj en applikation, (*) = avinstallerad'),
('sv', 'etemplate', 'select an entry to link with', 'Välj en post att länka till'),
('sv', 'etemplate', 'select an table of the application', 'Välj en tabell för applikationen'),
('sv', 'etemplate', 'select application', 'Välj applikation'),
('sv', 'etemplate', 'select category', 'Välj kategori'),
('sv', 'etemplate', 'select country', 'Välj land'),
('sv', 'etemplate', 'select day', 'Välj dag'),
('sv', 'etemplate', 'select day of week', 'Välj veckodag'),
('sv', 'etemplate', 'select entry', 'Välj post'),
('sv', 'etemplate', 'select hour', 'Välj timme'),
('sv', 'etemplate', 'select if content of field should not be translated (label gets always translated)', 'Välj om innehållet i fälten ska översättas (etikett översätts alltid)'),
('sv', 'etemplate', 'select month', 'Välj månad'),
('sv', 'etemplate', 'select number', 'Välj nummer'),
('sv', 'etemplate', 'select one ...', 'Välj en ...'),
('sv', 'etemplate', 'select percentage', 'Välj procent'),
('sv', 'etemplate', 'select priority', 'Välj prioritet'),
('sv', 'etemplate', 'select state', 'Välj läge'),
('sv', 'etemplate', 'select the indexed columns in their desired order', 'Välj indexerade kolumner i önskad ordning'),
('sv', 'etemplate', 'select this etemplate to delete it', 'Välj detta eTemplate för att radera det'),
('sv', 'etemplate', 'select which accounts to show', 'Välj vilka konton som ska visas'),
('sv', 'etemplate', 'select which values to show', 'Välj vilka värden att visa'),
('sv', 'etemplate', 'select year', 'Välj år'),
('sv', 'etemplate', 'selectbox', 'Valruta'),
('sv', 'etemplate', 'sets today as date', 'Sätt dagens datum'),
('sv', 'etemplate', 'should the form be submitted or any custom javascript be executed', 'Ska formuläret skickas eller något anpassat javaskript exekveras'),
('sv', 'etemplate', 'show', 'Visa'),
('sv', 'etemplate', 'show (no save)', 'Visa (spara inte)'),
('sv', 'etemplate', 'show values', 'Visa värden'),
('sv', 'etemplate', 'showing', 'Visar'),
('sv', 'etemplate', 'shows / allows you to enter values into the etemplate for testing', 'Visar / låter dig ange värden till eTemplate för testning'),
('sv', 'etemplate', 'shows/displays etemplate for testing, does not save it before', 'visar eTemplate för testning, spara INTE före'),
('sv', 'etemplate', 'spacing', 'Utfyllnad'),
('sv', 'etemplate', 'span', 'Span'),
('sv', 'etemplate', 'span, class', 'Span, klass'),
('sv', 'etemplate', 'stack', 'Stack'),
('sv', 'etemplate', 'start a new search, cancel this link', 'Gör ny sökning och avbryt denna länk'),
('sv', 'etemplate', 'start new search for the above pattern', 'Gör ny sökning med ovanstående mönster'),
('sv', 'etemplate', 'submit form', 'Spara formulär'),
('sv', 'etemplate', 'submitbutton', 'Sparaknapp'),
('sv', 'etemplate', 'swap', 'Byt'),
('sv', 'etemplate', 'swap widget with next one', 'Byt widget med nästa'),
('sv', 'etemplate', 'swap with next column', 'Byt med nästa kolumn'),
('sv', 'etemplate', 'swap with next row', 'Byt med nästa rad'),
('sv', 'etemplate', 'switch to a parent widget', 'Byt till översta widget'),
('sv', 'etemplate', 'switch to an other widgets of that container', 'Byt till annan widget i kontainern'),
('sv', 'etemplate', 'tabindex', 'Tabindex'),
('sv', 'etemplate', 'table unchanged, no write necessary !!!', 'Tabell oförändrad, ingen skrivning nödvändig'),
('sv', 'etemplate', 'tablename', 'Tabellnamn'),
('sv', 'etemplate', 'tabs', 'Tabs'),
('sv', 'etemplate', 'template', 'Mall'),
('sv', 'etemplate', 'template deleted', 'Mallen raderad'),
('sv', 'etemplate', 'template saved', 'Mallen sparad'),
('sv', 'etemplate', 'text', 'Text'),
('sv', 'etemplate', 'textarea', 'Textruta'),
('sv', 'etemplate', 'this text gets displayed if the input-field is empty and has no focus (blur)', 'Denna text visas om indata fältet är tomt eller inte har fokus (oskärpa)'),
('sv', 'etemplate', 'time', 'Tid'),
('sv', 'etemplate', 'to disable: [! = not]<value>[=<check>] eg: ''!@data'' disables if content of data is empty', 'För att inaktivera: [! = not]<value>[=<check>] ex: ''!@data'' inaktiverar on innehåll saknas'),
('sv', 'etemplate', 'to start the db-tools', 'för att starta databas verktyg'),
('sv', 'etemplate', 'to start the etemplate editor', 'för att starta eTemplate editor'),
('sv', 'etemplate', 'to start the search', 'för att påbörja sökning'),
('sv', 'etemplate', 'today', 'Idag'),
('sv', 'etemplate', 'top', 'Överst'),
('sv', 'etemplate', 'type', 'Typ'),
('sv', 'etemplate', 'type of the column', 'Typ av kolumn'),
('sv', 'etemplate', 'type of the field (select label if field should be empty)', 'Typ av fält (välj Etikett om fält ska vara tomt)'),
('sv', 'etemplate', 'unique', 'Unik'),
('sv', 'etemplate', 'unlink', 'Länka av'),
('sv', 'etemplate', 'update a single entry by passing the fields.', 'Fyll i fälten för att uppdatera post'),
('sv', 'etemplate', 'update from version ''%s'' to', 'Uppdatera från version ''%s'' till'),
('sv', 'etemplate', 'upload', 'Ladda upp'),
('sv', 'etemplate', 'valign', 'vAlign'),
('sv', 'etemplate', 'value', 'Värde'),
('sv', 'etemplate', 'value has to be at least ''%1'' !!!', 'Värdet måste vara minst ''%1'''),
('sv', 'etemplate', 'value has to be at maximum ''%1'' !!!', 'Värdet får högst vara ''%1'''),
('sv', 'etemplate', 'vbox', 'VBox'),
('sv', 'etemplate', 'version', 'Version'),
('sv', 'etemplate', 'version-number, should be in the form: major.minor.revision.number (eg. 0.9.13.001 all numbers filled up with zeros)', 'Versions nummer, ska vara i formatet: major.minor.revision.nummer (ex. 0.9.13.001 alla nummer fylls ut med 0)'),
('sv', 'etemplate', 'vertical alignment of row', 'Vertikal justering av rad'),
('sv', 'etemplate', 'view this etemplate', 'Visa eTemplate'),
('sv', 'etemplate', 'view this linked entry in its application', 'Visa länkad post i dess applikation'),
('sv', 'etemplate', 'weekend', 'Helg'),
('sv', 'etemplate', 'what happens with overflowing content: visible (default), hidden, scroll, auto (browser decides)', 'Vad händer med innehålls "overflow": synligt (default), göms, skroll, auto (browser bestämmer)'),
('sv', 'etemplate', 'widget copied into clipboard', 'Widget kopierad till urklipp'),
('sv', 'etemplate', 'width', 'Bredd'),
('sv', 'etemplate', 'width of col (in % or pixel), disable col: [! = not]<value>[=<check>] eg: ''!@data'' disable col if content of data is empty', 'Kol bredd (i % eller pixel), inaktivera kol: [! = not]<value>[=<check>] ex. ''!@data'' inaktivera kol om innehåll saknas'),
('sv', 'etemplate', 'width of column (in % or pixel)', 'Kolumnbredd (i % eller pixel)'),
('sv', 'etemplate', 'width of the table in % or pixels for the table-tag and (optional) div', 'Tabellbredd (i % eller pixel) för tabell kod och (frivillig) div'),
('sv', 'etemplate', 'width, disabled', 'Bredd, inaktiverad');
INSERT INTO `egw_lang` (`lang`, `app_name`, `message_id`, `content`) VALUES
('sv', 'etemplate', 'working days', 'Arbetsdagar'),
('sv', 'etemplate', 'write <app>/setup/tables_current.inc.php', 'Skriv <app>/setup/tables_current.inc.php'),
('sv', 'etemplate', 'write langfile', 'Skriv språkfil'),
('sv', 'etemplate', 'write tables', 'Skriv tabeller'),
('sv', 'etemplate', 'writes a ''etemplates.inc.php'' file (for application in name) in the setup-dir of the app', 'Skriver en ''etemplates.inc.php'' fil (för applikationen i Namn) i setup katalogen för applikationen'),
('sv', 'etemplate', 'xml-file to import', 'Importera XML fil'),
('sv', 'etemplate', 'xslt template', 'XSLT mall'),
('sv', 'etemplate', 'year', 'År'),
('sv', 'etemplate', 'you can respond by visiting:', 'Du kan svara genom att besöka:'),
('sv', 'felamimail', '(no subject)', '(ingen rubrik)'),
('sv', 'felamimail', '(only cc/bcc)', '(endast Cc/Bcc)'),
('sv', 'felamimail', '(unknown sender)', '(okänd avsändare)'),
('sv', 'felamimail', 'activate', 'Aktivera'),
('sv', 'felamimail', 'activate script', 'Aktivera skript'),
('sv', 'felamimail', 'add acl', 'Lägg till ACL'),
('sv', 'felamimail', 'add address', 'Lägg till adress'),
('sv', 'felamimail', 'add rule', 'Lägg till regel'),
('sv', 'felamimail', 'add script', 'Lägg till skript'),
('sv', 'felamimail', 'add to %1', 'Lägg till %1'),
('sv', 'felamimail', 'add to address book', 'Lägg till i Adressbok'),
('sv', 'felamimail', 'add to addressbook', 'Lägg till i Adressbok'),
('sv', 'felamimail', 'adding file to message. please wait!', 'Bifogar fil i meddelandet. Var god och vänta!'),
('sv', 'felamimail', 'additional info', 'Övrig information'),
('sv', 'felamimail', 'address book', 'Adressbok'),
('sv', 'felamimail', 'address book search', 'Sök i Adressbok'),
('sv', 'felamimail', 'after message body', 'Efter meddelandets innehåll'),
('sv', 'felamimail', 'all address books', 'Alla adressböcker'),
('sv', 'felamimail', 'all folders', 'Alla kataloger'),
('sv', 'felamimail', 'all of', 'Alla'),
('sv', 'felamimail', 'allways a new window', 'Alltid nytt fönster'),
('sv', 'felamimail', 'always show html emails', 'Visa alltid HTML e-post'),
('sv', 'felamimail', 'and', 'Och'),
('sv', 'felamimail', 'any of', 'Någon av'),
('sv', 'felamimail', 'any status', 'Alla status'),
('sv', 'felamimail', 'anyone', 'Alla'),
('sv', 'felamimail', 'as a subfolder of', 'Som underkatalog till'),
('sv', 'felamimail', 'attach', 'Bifoga'),
('sv', 'felamimail', 'attachments', 'Bilagor'),
('sv', 'felamimail', 'authentication required', 'Autentisering krävs'),
('sv', 'felamimail', 'auto refresh folder list', 'Auto uppdatera katalog lista'),
('sv', 'felamimail', 'back to folder', 'Tillbaks till katalog'),
('sv', 'felamimail', 'bad login name or password.', 'Ogiltigt användarna eller lösenord'),
('sv', 'felamimail', 'bad or malformed request. server responded: %s', 'Ogiltig eller ofullständig förfrågan. Server svarade: %s'),
('sv', 'felamimail', 'bad request: %s', 'Ogiltig förfrågan: %s'),
('sv', 'felamimail', 'based upon given criteria, incoming messages can have different background colors in the message list.  this helps to easily dis', 'Baserat på given kriteria kan inkommande meddelanden ha olika bakgrundsfärg i meddelande listan. Detta är hjälper till att skilja på meddelande typ/avsändare.'),
('sv', 'felamimail', 'bcc', 'Bcc'),
('sv', 'felamimail', 'before headers', 'Före brevhuvud'),
('sv', 'felamimail', 'between headers and message body', 'Mellan brevhuvud och meddelandets innehåll'),
('sv', 'felamimail', 'body part', 'Meddelandeinnehåll'),
('sv', 'felamimail', 'by date', 'Enligt datum'),
('sv', 'felamimail', 'can''t connect to inbox!!', 'Kan inte ansluta till Inkorg'),
('sv', 'felamimail', 'cc', 'Cc'),
('sv', 'felamimail', 'change folder', 'Byt katalog'),
('sv', 'felamimail', 'check message against next rule also', 'Verifiera meddelande även mot nästa regel'),
('sv', 'felamimail', 'checkbox', 'Kryssruta'),
('sv', 'felamimail', 'clear search', 'Rensa sökning'),
('sv', 'felamimail', 'click here to log back in.', 'Till inloggningen'),
('sv', 'felamimail', 'click here to return to %1', 'Återgå till %1'),
('sv', 'felamimail', 'close all', 'Stäng alla'),
('sv', 'felamimail', 'close this page', 'Stäng sidan'),
('sv', 'felamimail', 'close window', 'Stäng fönster'),
('sv', 'felamimail', 'color', 'Färg'),
('sv', 'felamimail', 'compose', 'Skriv'),
('sv', 'felamimail', 'compress folder', 'Komprimera katalog'),
('sv', 'felamimail', 'condition', 'vilkor'),
('sv', 'felamimail', 'configuration', 'Alternativ'),
('sv', 'felamimail', 'connection dropped by imap server.', 'Anslutningen stängd av IMAP server'),
('sv', 'felamimail', 'contains', 'Innehåller'),
('sv', 'felamimail', 'could not complete request. reason given: %s', 'Kunde inte fullfölja förfrågan. Svaret: %s'),
('sv', 'felamimail', 'could not open secure connection to the imap server. %s : %s.', 'Kunde inte öppna en söker anslutning till IMAP servern. %s: %s'),
('sv', 'felamimail', 'cram-md5 or digest-md5 requires the auth_sasl package to be installed.', 'CRAM-MD5 och DIGEST-MD5 kräver att Auth_SASL paketet installerats'),
('sv', 'felamimail', 'create', 'Skapa'),
('sv', 'felamimail', 'create folder', 'Skapa Katalog'),
('sv', 'felamimail', 'create sent', 'Skapa Skickat'),
('sv', 'felamimail', 'create subfolder', 'Skapa Underkatalog'),
('sv', 'felamimail', 'create trash', 'Skapa Borttaget'),
('sv', 'felamimail', 'created folder successfully!', 'Skapade katalog'),
('sv', 'felamimail', 'dark blue', 'Mörk Blå'),
('sv', 'felamimail', 'dark cyan', 'Mörk Cyan'),
('sv', 'felamimail', 'dark gray', 'Mörk Grå'),
('sv', 'felamimail', 'dark green', 'Mörk Grön'),
('sv', 'felamimail', 'dark magenta', 'Mörk Magenta'),
('sv', 'felamimail', 'dark yellow', 'Mörk Gul'),
('sv', 'felamimail', 'date(newest first)', 'Datum (nyaste först)'),
('sv', 'felamimail', 'date(oldest first)', 'Datum (äldsta först)'),
('sv', 'felamimail', 'days', 'Dagar'),
('sv', 'felamimail', 'deactivate script', 'Inaktivera skript'),
('sv', 'felamimail', 'default', 'Standard'),
('sv', 'felamimail', 'default signature', 'Standard signatur'),
('sv', 'felamimail', 'default sorting order', 'Standard sorterings ordning'),
('sv', 'felamimail', 'delete all', 'Radera alla'),
('sv', 'felamimail', 'delete folder', 'Radera katalog'),
('sv', 'felamimail', 'delete script', 'Radera skript'),
('sv', 'felamimail', 'delete selected', 'Radera valda'),
('sv', 'felamimail', 'delete selected messages', 'Radera valad meddelanden'),
('sv', 'felamimail', 'deleted', 'Raderade'),
('sv', 'felamimail', 'deleted folder successfully!', 'Katalog raderad'),
('sv', 'felamimail', 'deleting messages', 'Raderar meddelanden'),
('sv', 'felamimail', 'disable', 'Inaktivera'),
('sv', 'felamimail', 'discard', 'Ignorera'),
('sv', 'felamimail', 'discard message', 'Ignorera meddelande'),
('sv', 'felamimail', 'display message in new window', 'Visa meddelanden i nytt fönster'),
('sv', 'felamimail', 'display messages in multiple windows', 'Visa meddelanden i flera fönster'),
('sv', 'felamimail', 'display of html emails', 'Visning av HTML e-post'),
('sv', 'felamimail', 'display only when no plain text is available', 'Visa endast när textformat inte är tillgängligt'),
('sv', 'felamimail', 'display preferences', 'Visa alternativ'),
('sv', 'felamimail', 'displaying html messages is disabled', 'Cisa HTML meddelanden är inaktiverat'),
('sv', 'felamimail', 'do it!', 'Gör Det!'),
('sv', 'felamimail', 'do not use sent', 'Använd inte Skickat'),
('sv', 'felamimail', 'do not use trash', 'Använd inte Borttaget'),
('sv', 'felamimail', 'do not validate certificate', 'Validera inte certifikat'),
('sv', 'felamimail', 'do you really want to delete the ''%1'' folder?', 'Vill du verkligen radera katalogen ''%1''?'),
('sv', 'felamimail', 'do you really want to delete the selected signatures?', 'Vill du verkligen radera vald signatur?'),
('sv', 'felamimail', 'does not contain', 'Innehåller inte'),
('sv', 'felamimail', 'does not match', 'Matchar inte'),
('sv', 'felamimail', 'does not match regexp', 'Matchar inte regexp'),
('sv', 'felamimail', 'don''t use draft folder', 'Använd inte Utkast'),
('sv', 'felamimail', 'don''t use sent', 'Använd inte Skickat'),
('sv', 'felamimail', 'don''t use trash', 'Använd inte Borttaget'),
('sv', 'felamimail', 'down', 'Ner'),
('sv', 'felamimail', 'download', 'Ladda ner'),
('sv', 'felamimail', 'download this as a file', 'Ladda ner som fil'),
('sv', 'felamimail', 'draft folder', 'Utkast katalog'),
('sv', 'felamimail', 'e-mail', 'E-post'),
('sv', 'felamimail', 'e-mail address', 'E-post adress'),
('sv', 'felamimail', 'e-mail folders', 'E-post katalog'),
('sv', 'felamimail', 'edit email forwarding address', 'Ändra e-post vidarebefodrings adressen'),
('sv', 'felamimail', 'edit filter', 'Ändra filter'),
('sv', 'felamimail', 'edit rule', 'Ändra regler'),
('sv', 'felamimail', 'edit selected', 'Ändra valda'),
('sv', 'felamimail', 'edit vacation settings', 'Ändra frånvaro alternativ'),
('sv', 'felamimail', 'email address', 'E-post adress'),
('sv', 'felamimail', 'email forwarding address', 'E-post vidarebefodrings adress'),
('sv', 'felamimail', 'email signature', 'E-post signatur'),
('sv', 'felamimail', 'emailaddress', 'E-post adress'),
('sv', 'felamimail', 'empty trash', 'Töm Borttaget'),
('sv', 'felamimail', 'enable', 'Aktivera'),
('sv', 'felamimail', 'encrypted connection', 'Krypterad anslutning'),
('sv', 'felamimail', 'entry saved', 'Post sparad'),
('sv', 'felamimail', 'error', 'FEL'),
('sv', 'felamimail', 'error connecting to imap serv', 'Fel: Kunde inte ansluta till IMAP server'),
('sv', 'felamimail', 'error connecting to imap server. %s : %s.', 'Kunde inte ansluta till IMAP server %s : %s'),
('sv', 'felamimail', 'error connecting to imap server: [%s] %s.', 'Kunde inte ansluta till IMAP server [%s] %s'),
('sv', 'felamimail', 'error opening', 'Fel: Kunde inte öppna'),
('sv', 'felamimail', 'every', 'Varje'),
('sv', 'felamimail', 'every %1 days', 'Var %1 dag'),
('sv', 'felamimail', 'expunge', 'Utplåna'),
('sv', 'felamimail', 'extended', 'Utökad'),
('sv', 'felamimail', 'file into', 'Flytta till'),
('sv', 'felamimail', 'filemanager', 'Filhanterare'),
('sv', 'felamimail', 'files', 'Filer'),
('sv', 'felamimail', 'filter active', 'Aktiva filter'),
('sv', 'felamimail', 'filter name', 'Filter namn'),
('sv', 'felamimail', 'first name', 'Förnamn'),
('sv', 'felamimail', 'flagged', 'Flaggad'),
('sv', 'felamimail', 'flags', 'Flaggor'),
('sv', 'felamimail', 'folder', 'Katalog'),
('sv', 'felamimail', 'folder acl', 'Katalog ACL'),
('sv', 'felamimail', 'folder name', 'Katalognamn'),
('sv', 'felamimail', 'folder path', 'Katalogsökväg'),
('sv', 'felamimail', 'folder preferences', 'Katalog alternativ'),
('sv', 'felamimail', 'folder settings', 'Katalog alternativ'),
('sv', 'felamimail', 'folder status', 'Katalog status'),
('sv', 'felamimail', 'folderlist', 'Kataloglista'),
('sv', 'felamimail', 'foldername', 'Katalognamn'),
('sv', 'felamimail', 'folders', 'Kataloger'),
('sv', 'felamimail', 'folders created successfully!', 'Katalogen skapad'),
('sv', 'felamimail', 'follow', 'Följ'),
('sv', 'felamimail', 'for mail to be send - not functional yet', 'För meddelande att skicka - inte ännu funktionell'),
('sv', 'felamimail', 'for received mail', 'För mottagna meddelanden'),
('sv', 'felamimail', 'forward', 'Vidarebefodra'),
('sv', 'felamimail', 'forward to', 'Vidarebefodra till'),
('sv', 'felamimail', 'forward to address', 'Vidarebefodra till adress'),
('sv', 'felamimail', 'forwarding', 'Vidarebefodrar'),
('sv', 'felamimail', 'found', 'Hittade'),
('sv', 'felamimail', 'from', 'Från'),
('sv', 'felamimail', 'from(a->z)', 'Från (A->Ö)'),
('sv', 'felamimail', 'from(z->a)', 'Från (Ö->A)'),
('sv', 'felamimail', 'full name', 'Fullständigt namn'),
('sv', 'felamimail', 'greater than', 'Större än'),
('sv', 'felamimail', 'have a look at <a href="http://www.felamimail.org" target="_new">www.felamimail.org</a> to learn more about squirrelmail.<br>', 'Se vidare på adressen <a href="http://www.felamimail.org" target="_new">www.felamimail.org</a> för att läsa mer om Squirrelmail.<br>'),
('sv', 'felamimail', 'header lines', 'Brevhuvud'),
('sv', 'felamimail', 'hide header', 'Göm brevhuvud'),
('sv', 'felamimail', 'hostname / address', 'värdnamn / adress'),
('sv', 'felamimail', 'html', 'HTML'),
('sv', 'felamimail', 'icons and text', 'Ikoner och text'),
('sv', 'felamimail', 'icons only', 'Ikoner endast'),
('sv', 'felamimail', 'identifying name', 'ID namn'),
('sv', 'felamimail', 'identity', 'Identitet'),
('sv', 'felamimail', 'if', 'OM'),
('sv', 'felamimail', 'if from contains', 'om Från innehåller'),
('sv', 'felamimail', 'if mail header', 'om brevhuvud'),
('sv', 'felamimail', 'if message size', 'om meddelande storlek'),
('sv', 'felamimail', 'if subject contains', 'om Ämne innehåller'),
('sv', 'felamimail', 'if to contains', 'om Till innehåller'),
('sv', 'felamimail', 'if using ssl or tls, you must have the php openssl extension loaded.', 'Om du vill använda SSL eller TLS måste PHP openssl stödet laddas'),
('sv', 'felamimail', 'illegal folder name.  please select a different name.', 'Ogiltigt katalognamn, var god och välj annat.'),
('sv', 'felamimail', 'imap', 'IMAP'),
('sv', 'felamimail', 'imap server', 'IMAP Server'),
('sv', 'felamimail', 'imap server address', 'IMAP Server Adress'),
('sv', 'felamimail', 'imap server closed the connection.', 'IMAP server stängde anslutningen'),
('sv', 'felamimail', 'imap server closed the connection. server responded: %s', 'IMAP server stängde anslutningen. Serverna svarade: %s'),
('sv', 'felamimail', 'imap server password', 'IMAP Server lösenord'),
('sv', 'felamimail', 'imap server type', 'IMAP Server typ'),
('sv', 'felamimail', 'imap server username', 'IMAP Server användarnamn'),
('sv', 'felamimail', 'imaps authentication', 'IMAPS Autentisering'),
('sv', 'felamimail', 'imaps encryption only', 'IMAPS Kryptering endast'),
('sv', 'felamimail', 'import', 'Importera'),
('sv', 'felamimail', 'in', 'den'),
('sv', 'felamimail', 'inbox', 'Inkorg'),
('sv', 'felamimail', 'incoming mail server(imap)', 'Inkommande e-post server (IMAP)'),
('sv', 'felamimail', 'index order', 'Index Ordning'),
('sv', 'felamimail', 'info', 'Info'),
('sv', 'felamimail', 'invalid user name or password', 'Oglitigt användarnamn eller lösenord'),
('sv', 'felamimail', 'javascript', 'JavaScript'),
('sv', 'felamimail', 'jumping to end', 'Hoppa till slutet'),
('sv', 'felamimail', 'jumping to start', 'Hoppa till början'),
('sv', 'felamimail', 'keep a copy of the message in your inbox', 'Spara en kopia av brev i din Inkorg'),
('sv', 'felamimail', 'keep local copy of email', 'Spara en lokal kopia av brev'),
('sv', 'felamimail', 'kilobytes', 'Kb'),
('sv', 'felamimail', 'language', 'Språk'),
('sv', 'felamimail', 'last name', 'Efternamn'),
('sv', 'felamimail', 'left', 'Vänster'),
('sv', 'felamimail', 'less', 'Färre'),
('sv', 'felamimail', 'less than', 'Mindre än'),
('sv', 'felamimail', 'light gray', 'Ljus Grå'),
('sv', 'felamimail', 'list all', 'Lista alla'),
('sv', 'felamimail', 'loading', 'Laddar'),
('sv', 'felamimail', 'location of buttons when composing', 'Knapp placering medans man skriver meddelande'),
('sv', 'felamimail', 'mail settings', 'E-post alternativ'),
('sv', 'felamimail', 'mainmessage', 'huvudmeddelande'),
('sv', 'felamimail', 'manage signatures', 'Hantera signaturer'),
('sv', 'felamimail', 'mark as deleted', 'Markera som raderad'),
('sv', 'felamimail', 'mark messages as', 'Markera valda meddelanden som'),
('sv', 'felamimail', 'mark selected as flagged', 'Flagga för uppföljning'),
('sv', 'felamimail', 'mark selected as read', 'Markera som läst'),
('sv', 'felamimail', 'mark selected as unflagged', 'Ta bort flagga'),
('sv', 'felamimail', 'mark selected as unread', 'Markera som oläst'),
('sv', 'felamimail', 'match', 'Matcha'),
('sv', 'felamimail', 'matches', 'Matchar'),
('sv', 'felamimail', 'matches regexp', 'Matchar regexp'),
('sv', 'felamimail', 'max uploadsize', 'Max uppladdnings storlek'),
('sv', 'felamimail', 'message highlighting', 'Meddelande fokusering'),
('sv', 'felamimail', 'message list', 'Meddelande lista'),
('sv', 'felamimail', 'messages', 'Meddelanden'),
('sv', 'felamimail', 'move', 'Flytta'),
('sv', 'felamimail', 'move folder', 'Flytta katalog'),
('sv', 'felamimail', 'move messages', 'Flytta meddelanden'),
('sv', 'felamimail', 'move selected to', 'Flytta valda till'),
('sv', 'felamimail', 'move to trash', 'Flytta till Borttaget'),
('sv', 'felamimail', 'moving messages to', 'Flyttar meddelanden till'),
('sv', 'felamimail', 'name', 'Namn'),
('sv', 'felamimail', 'never display html emails', 'Visa inte HTML meddelanden'),
('sv', 'felamimail', 'new filter', 'Nytt filter'),
('sv', 'felamimail', 'next', 'Nästa'),
('sv', 'felamimail', 'next message', 'Nästa meddelande'),
('sv', 'felamimail', 'no active imap server found!!', 'Hittade ingen IMAP server!'),
('sv', 'felamimail', 'no encryption', 'Ingen kryptering'),
('sv', 'felamimail', 'no filter', 'Inga filter'),
('sv', 'felamimail', 'no folders found', 'Ingen katalog funnen'),
('sv', 'felamimail', 'no folders were found to subscribe to!', 'Inga kataloger hittades att prenumerera'),
('sv', 'felamimail', 'no folders were found to unsubscribe from!', 'Inga kataloger hittades att avprenumerera'),
('sv', 'felamimail', 'no highlighting is defined', 'Ingen fokusering definierad'),
('sv', 'felamimail', 'no message returned.', 'Inget svar meddelandes'),
('sv', 'felamimail', 'no messages found...', 'Inga meddelanden ...'),
('sv', 'felamimail', 'no messages were selected.', 'Inga meddelanden valda'),
('sv', 'felamimail', 'no plain text part found', 'Hittade inget textfält'),
('sv', 'felamimail', 'no previous message', 'Inga tidigare meddelanden'),
('sv', 'felamimail', 'no supported imap authentication method could be found.', 'Kunde inte hitta supporterad IMAP autentiserings metod'),
('sv', 'felamimail', 'no valid emailprofile selected!!', 'Ingen giltig e-post profil vald'),
('sv', 'felamimail', 'none', 'Inga'),
('sv', 'felamimail', 'on', 'På'),
('sv', 'felamimail', 'on behalf of', 'Företräder'),
('sv', 'felamimail', 'one address is not valid', 'En adress är ogiltig'),
('sv', 'felamimail', 'only inbox', 'Endast Inkorg'),
('sv', 'felamimail', 'only one window', 'Endast ett fönster'),
('sv', 'felamimail', 'only unseen', 'Endast olästa'),
('sv', 'felamimail', 'open all', 'Öpnna alla'),
('sv', 'felamimail', 'options', 'Alternativ'),
('sv', 'felamimail', 'or', 'eller'),
('sv', 'felamimail', 'organisation', 'Organisation'),
('sv', 'felamimail', 'organization', 'Organisation'),
('sv', 'felamimail', 'outgoing mail server(smtp)', 'Utgående e-post server (SMTP)'),
('sv', 'felamimail', 'participants', 'Deltagare'),
('sv', 'felamimail', 'personal information', 'Personlig information'),
('sv', 'felamimail', 'please select a address', 'Välj adress'),
('sv', 'felamimail', 'please select the number of days to wait between responses', 'Antal dagar mellan svar'),
('sv', 'felamimail', 'please supply the message to send with auto-responses', 'Meddelande att skicka med autosvar'),
('sv', 'felamimail', 'port', 'Port'),
('sv', 'felamimail', 'posting', 'Postat'),
('sv', 'felamimail', 'previous', 'Tidigare'),
('sv', 'felamimail', 'previous message', 'Tidigare meddelande'),
('sv', 'felamimail', 'print it', 'Skriv ut'),
('sv', 'felamimail', 'print this page', 'Skriv ut sida'),
('sv', 'felamimail', 'quicksearch', 'Snabbsök'),
('sv', 'felamimail', 'read', 'Läst'),
('sv', 'felamimail', 'reading', 'Läser'),
('sv', 'felamimail', 'receive notification', 'Mottag notifieringar'),
('sv', 'felamimail', 'recent', 'Tidigare'),
('sv', 'felamimail', 'refresh time in minutes', 'Uppdaterings intervall i minuter'),
('sv', 'felamimail', 'reject with', 'Avvisa med'),
('sv', 'felamimail', 'remove', 'Radera'),
('sv', 'felamimail', 'remove immediately', 'Radera omedelbart'),
('sv', 'felamimail', 'rename', 'Byt namn'),
('sv', 'felamimail', 'rename a folder', 'Byt namn på katalog'),
('sv', 'felamimail', 'rename folder', 'Byt namn på katalog'),
('sv', 'felamimail', 'renamed successfully!', 'Namnet bytt'),
('sv', 'felamimail', 'replied', 'Svarade'),
('sv', 'felamimail', 'reply', 'Svara'),
('sv', 'felamimail', 'reply all', 'Svara alla'),
('sv', 'felamimail', 'reply to', 'Svara till'),
('sv', 'felamimail', 'replyto', 'Svara till'),
('sv', 'felamimail', 'respond', 'Svara'),
('sv', 'felamimail', 'respond to mail sent to', 'Svars meddelande skickat till'),
('sv', 'felamimail', 'return', 'Återvänd'),
('sv', 'felamimail', 'return to options page', 'Återvänd till alternativ'),
('sv', 'felamimail', 'right', 'Höger'),
('sv', 'felamimail', 'row order style', 'Rad sortering'),
('sv', 'felamimail', 'rule', 'Regel'),
('sv', 'felamimail', 'save', 'Spara'),
('sv', 'felamimail', 'save all', 'Spara alla'),
('sv', 'felamimail', 'save as draft', 'Spara som utkast'),
('sv', 'felamimail', 'save as infolog', 'Spara som InfoLogg'),
('sv', 'felamimail', 'save changes', 'Spara ändringar'),
('sv', 'felamimail', 'save message to disk', 'Spara meddelanden till disk'),
('sv', 'felamimail', 'script name', 'Skript namn'),
('sv', 'felamimail', 'script status', 'Skript status'),
('sv', 'felamimail', 'search', 'Sök'),
('sv', 'felamimail', 'search for', 'Sök efter'),
('sv', 'felamimail', 'select', 'Välj'),
('sv', 'felamimail', 'select all', 'Välj alla'),
('sv', 'felamimail', 'select emailprofile', 'Välj e-post profil'),
('sv', 'felamimail', 'select folder', 'Välj katalog'),
('sv', 'felamimail', 'send', 'Skicka'),
('sv', 'felamimail', 'send a reject message', 'Skicka ett nekande meddelande'),
('sv', 'felamimail', 'sent folder', 'Skickat katalog'),
('sv', 'felamimail', 'show header', 'Visa brevhuvud'),
('sv', 'felamimail', 'show new messages on main screen', 'Visa nya meddelanden på Startsidan'),
('sv', 'felamimail', 'sieve script name', 'Sieve skript namn'),
('sv', 'felamimail', 'signature', 'Signatur'),
('sv', 'felamimail', 'simply click the target-folder', 'Välj målkatalog'),
('sv', 'felamimail', 'size', 'Storlek'),
('sv', 'felamimail', 'size of editor window', 'Editor fönster storlek'),
('sv', 'felamimail', 'size(...->0)', 'Storlek (...->0)'),
('sv', 'felamimail', 'size(0->...)', 'Storlek (0->...)'),
('sv', 'felamimail', 'skipping forward', 'Hoppar framåt'),
('sv', 'felamimail', 'skipping previous', 'Hoppar bakåt'),
('sv', 'felamimail', 'small view', 'Liten vy'),
('sv', 'felamimail', 'subject', 'Ämne'),
('sv', 'felamimail', 'subject(a->z)', 'Ämne (A->Ö)'),
('sv', 'felamimail', 'subject(z->a)', 'Ämne (Ö->A)'),
('sv', 'felamimail', 'submit', 'Skicka'),
('sv', 'felamimail', 'subscribe', 'Prenumerera'),
('sv', 'felamimail', 'subscribed', 'Prenumererad'),
('sv', 'felamimail', 'subscribed successfully!', 'Prenumeration lyckad'),
('sv', 'felamimail', 'table of contents', 'Innehåll'),
('sv', 'felamimail', 'text only', 'Text endast'),
('sv', 'felamimail', 'the connection to the imap server failed!!', 'Anslutningen till IMAP servern misslyckades'),
('sv', 'felamimail', 'the imap server does not appear to support the authentication method selected. please contact your system administrator.', 'IMAP servern verkar inte stödja den autentiserings metod du valt. Var god och kontakta administratör.'),
('sv', 'felamimail', 'the mimeparser can not parse this message.', 'MIME-tolken kunde inte tolka meddelandet'),
('sv', 'felamimail', 'then', 'SEN'),
('sv', 'felamimail', 'this folder is empty', 'Katalogen är tom'),
('sv', 'felamimail', 'this php has no imap support compiled in!!', 'Denna installation har inte IMAP stöd kompilerat i PHP.'),
('sv', 'felamimail', 'to', 'Till'),
('sv', 'felamimail', 'to mail sent to', 'Till meddelande skickat till'),
('sv', 'felamimail', 'to use a tls connection, you must be running a version of php 5.1.0 or higher.', 'För att använda TLS anslutning måste du ha PHP version 5.1.0 eller högre'),
('sv', 'felamimail', 'translation preferences', 'Översättnings alternativ'),
('sv', 'felamimail', 'translation server', 'Översättnings server'),
('sv', 'felamimail', 'trash fold', 'Borttaget'),
('sv', 'felamimail', 'trash folder', 'Borttaget'),
('sv', 'felamimail', 'type', 'Typ'),
('sv', 'felamimail', 'unexpected response from server to authenticate command.', 'Oväntat svar från servern på AUTENTISERINGS kommandot'),
('sv', 'felamimail', 'unexpected response from server to digest-md5 response.', 'Oväntat svar från servern på Digest-MD5'),
('sv', 'felamimail', 'unexpected response from server to login command.', 'Oväntat svar från servern på INLOGGINGS kommandot'),
('sv', 'felamimail', 'unflagged', 'Oflaggad'),
('sv', 'felamimail', 'unknown err', 'Okänt fel'),
('sv', 'felamimail', 'unknown error', 'Okänt fel'),
('sv', 'felamimail', 'unknown imap response from the server. server responded: %s', 'Okänt IMAP svar från server. Svarade: %s'),
('sv', 'felamimail', 'unknown sender', 'Okänd avsändare'),
('sv', 'felamimail', 'unknown user or password incorrect.', 'Ogiltig användare eller fel lösenord'),
('sv', 'felamimail', 'unseen', 'Oläst'),
('sv', 'felamimail', 'unselect all', 'Avmarkera alla'),
('sv', 'felamimail', 'unsubscribe', 'Avprenumerera'),
('sv', 'felamimail', 'unsubscribed', 'Avprenumererad'),
('sv', 'felamimail', 'unsubscribed successfully!', 'Avprenumererad'),
('sv', 'felamimail', 'up', 'Upp'),
('sv', 'felamimail', 'updating message status', 'Uppdaterar meddelande status'),
('sv', 'felamimail', 'updating view', 'Uppdaterar vy'),
('sv', 'felamimail', 'use <a href="%1">emailadmin</a> to create profiles', 'Använd <a href="%1">E-post Admin</a> för att skapa profiler'),
('sv', 'felamimail', 'use a signature', 'Använd signatur'),
('sv', 'felamimail', 'use a signature?', 'Använd signatur?'),
('sv', 'felamimail', 'use addresses', 'Använd adresser'),
('sv', 'felamimail', 'use custom settings', 'Använd anpassade inställningar'),
('sv', 'felamimail', 'use regular expressions', 'Använd regexp'),
('sv', 'felamimail', 'validate certificate', 'Validera certifikat'),
('sv', 'felamimail', 'view full header', 'Visa hela brevhuvudet'),
('sv', 'felamimail', 'view header lines', 'Visa brevhuvudet'),
('sv', 'felamimail', 'view message', 'Visa meddelandet'),
('sv', 'felamimail', 'viewing full header', 'Visar hela brevhuvudet'),
('sv', 'felamimail', 'viewing message', 'Visar meddelandet'),
('sv', 'felamimail', 'viewing messages', 'Visar meddelanden'),
('sv', 'felamimail', 'when deleting messages', 'Vid meddelande radering'),
('sv', 'felamimail', 'with message', 'Med meddelande'),
('sv', 'felamimail', 'with message "%1"', 'Med meddelande "%1"'),
('sv', 'felamimail', 'wrap incoming text at', 'Avrunda inkommande text vid'),
('sv', 'felamimail', 'writing', 'Skriver'),
('sv', 'felamimail', 'wrote', 'Skrev'),
('sv', 'filemanager', '%1 already exists as a file', '%1 finns redan som fil'),
('sv', 'filemanager', '%1 starts with ''%2''', '%1 börjar med ''%2'''),
('sv', 'filemanager', 'actions', 'Åtgärder'),
('sv', 'filemanager', 'cancel editing %1 without saving', 'Avbryt ändring av %1 utan att spara'),
('sv', 'filemanager', 'cannot create directory because it begins or ends in a space', 'Kan inte skapa katalog eftersom namnet börjar eller slutar med ett mellanslag'),
('sv', 'filemanager', 'check all', 'Markera alla'),
('sv', 'filemanager', 'clear search', 'Rensa sökning'),
('sv', 'filemanager', 'comment', 'Kommentar'),
('sv', 'filemanager', 'comments cannot contain "%1"', 'Kommentarer kan inte innehålla "%1"'),
('sv', 'filemanager', 'copied %1 to %2', 'Kopierade %1 till %2'),
('sv', 'filemanager', 'copy to', 'Kopiera'),
('sv', 'filemanager', 'could not copy %1 to %2', 'Kunde inte kopiera %1 till %2'),
('sv', 'filemanager', 'could not copy file because no destination directory is given', 'Kunde inte kopiera filen eftersom målkatalog saknas'),
('sv', 'filemanager', 'could not create %1', 'Kunde inte skapa %1'),
('sv', 'filemanager', 'could not delete %1', 'Kunde inte radera %1'),
('sv', 'filemanager', 'could not move %1 to %2', 'Kunde inte flytta %1 till %2'),
('sv', 'filemanager', 'could not move file because no destination directory is given', 'Kan inte flytta filen eftersom ingen målkatalog saknas'),
('sv', 'filemanager', 'could not rename %1 to %2', 'Kunde inte ändra namn på %1 till %2'),
('sv', 'filemanager', 'could not save %1', 'Kunde inte spara %1'),
('sv', 'filemanager', 'create file', 'Skapa fil'),
('sv', 'filemanager', 'create folder', 'Skapa katalog'),
('sv', 'filemanager', 'created', 'Skapad'),
('sv', 'filemanager', 'created %1,%2', 'Skapade %1, %2'),
('sv', 'filemanager', 'created directory %1', 'Skapade katalogen %1'),
('sv', 'filemanager', 'custom fields', 'Anpassade fält'),
('sv', 'filemanager', 'cut', 'Klipp ut'),
('sv', 'filemanager', 'deleted %1', 'Raderade %1'),
('sv', 'filemanager', 'directory', 'Katalog'),
('sv', 'filemanager', 'directory %1 already exists', 'Katalogen %1 finns redan'),
('sv', 'filemanager', 'directory %1 does not exist', 'Katalogen %1 finns inte'),
('sv', 'filemanager', 'directory names cannot contain "%1"', 'Katalognamn kan inte innehålla "%1"'),
('sv', 'filemanager', 'download', 'Ladda ned'),
('sv', 'filemanager', 'edit comments', 'Ändra kommentar'),
('sv', 'filemanager', 'file', 'Fil'),
('sv', 'filemanager', 'file %1 already exists. please edit it or delete it first.', 'Fil %1 finns redan. Var vänlig ändra den eller ta bort den först'),
('sv', 'filemanager', 'file %1 could not be created.', 'Fil % kunde inte skapas'),
('sv', 'filemanager', 'file names cannot contain "%1"', 'Filnamn kan inte innehålla "%1"'),
('sv', 'filemanager', 'files in this directory', 'Objekt i katalogen'),
('sv', 'filemanager', 'folder up', 'Upp ett steg'),
('sv', 'filemanager', 'general', 'Allmänt'),
('sv', 'filemanager', 'go home', 'Gå hem'),
('sv', 'filemanager', 'go to', 'Gå till'),
('sv', 'filemanager', 'go to your home directory', 'Gå till din hemkatalog'),
('sv', 'filemanager', 'go up', 'Gå upp'),
('sv', 'filemanager', 'id', 'ID'),
('sv', 'filemanager', 'link', 'Länk'),
('sv', 'filemanager', 'location', 'Plats'),
('sv', 'filemanager', 'mime type', 'MIME-typ'),
('sv', 'filemanager', 'modified', 'Ändrad'),
('sv', 'filemanager', 'move', 'Flytta'),
('sv', 'filemanager', 'move to', 'Flytta'),
('sv', 'filemanager', 'moved %1 to %2', 'Flyttade %1 till %2'),
('sv', 'filemanager', 'no files in this directory.', 'Inga filer i katalogen'),
('sv', 'filemanager', 'no version history for this file/directory', 'Ingen versionshistorik för filen/katalogen'),
('sv', 'filemanager', 'open', 'Öppen'),
('sv', 'filemanager', 'operation', 'Åtgärd'),
('sv', 'filemanager', 'permissions', 'Behörigheter'),
('sv', 'filemanager', 'please select a file to delete.', 'Välj fil för radering'),
('sv', 'filemanager', 'preview', 'Förhandsgranska'),
('sv', 'filemanager', 'preview %1', 'Förhandsgranska %1'),
('sv', 'filemanager', 'preview of %1', 'Förhandsgransking av %1'),
('sv', 'filemanager', 'projectmanager', 'Projekthantering'),
('sv', 'filemanager', 'quick jump to', 'Hoppa till'),
('sv', 'filemanager', 'reload', 'Ladda om'),
('sv', 'filemanager', 'renamed %1 to %2', 'Döpte om %1 till %2'),
('sv', 'filemanager', 'replaced %1', 'Ersatte %2'),
('sv', 'filemanager', 'save %1', 'Spara %1'),
('sv', 'filemanager', 'save %1, and go back to file listing', 'Spara %1 och gå tillbaka till fillistan'),
('sv', 'filemanager', 'save changes', 'Spara ändringar'),
('sv', 'filemanager', 'saved %1', 'Sparade %1'),
('sv', 'filemanager', 'search for ''%1''', 'Sök efter ''%1'''),
('sv', 'filemanager', 'show', 'Visa'),
('sv', 'filemanager', 'size', 'Storlek'),
('sv', 'filemanager', 'total files', 'Totalt antal filer'),
('sv', 'filemanager', 'unused space', 'Ledigt utrymme'),
('sv', 'filemanager', 'up', 'Upp'),
('sv', 'filemanager', 'updated comment for %1', 'Uppdaterad kommentar för %1'),
('sv', 'filemanager', 'used space', 'Använt diskutrymme'),
('sv', 'filemanager', 'you do not have access to %1', 'Du har inte behörighet till %1'),
('sv', 'filemanager', 'your home dir did not exist, egroupware created a new one.', 'Det fanns ingen hemkatalog för dig, eGroupWare skapade en ny åt dig.'),
('sv', 'home', 'displays home', 'Visar Hemsidan'),
('sv', 'home', 'egroupware', 'eGroupWare'),
('sv', 'home', 'home', 'Hem'),
('sv', 'home', 'there is a new version of egroupware available', 'En uppdaterad version av eGroupWare är tillgänglig'),
('sv', 'importexport', 'export', 'Exportera'),
('sv', 'importexport', 'finish', 'Avsluta'),
('sv', 'importexport', 'general', 'Allmänt'),
('sv', 'importexport', 'import', 'Importera'),
('sv', 'importexport', 'preview', 'Förhandsgranska'),
('sv', 'importexport', 'previous', 'Föregende'),
('sv', 'infolog', '%1 records imported', '%1 poster importerade'),
('sv', 'infolog', '%1 records read (not yet imported, you may go %2back%3 and uncheck test import)', '%1 poster lästa (ännu inte importerade, gå %2tillbaka%3 och avmarkera Testimport)'),
('sv', 'infolog', '- subprojects from', '- Underprojekt till'),
('sv', 'infolog', '0%', '0%'),
('sv', 'infolog', '10%', '10%'),
('sv', 'infolog', '100%', '100%'),
('sv', 'infolog', '20%', '20%'),
('sv', 'infolog', '30%', '30%'),
('sv', 'infolog', '40%', '40%'),
('sv', 'infolog', '50%', '50%'),
('sv', 'infolog', '60%', '60%'),
('sv', 'infolog', '70%', '70%'),
('sv', 'infolog', '80%', '80%'),
('sv', 'infolog', '90%', '90%'),
('sv', 'infolog', '<b>file-attachments via symlinks</b> instead of uploads and retrieval via file:/path for direct lan-clients', '<b>Filbilagor via symlänk eller genväg</b> istället för uppladdning och hämtning via file:/sökväg för lokala användare'),
('sv', 'infolog', 'a short subject for the entry', 'Ett kort ämne för post'),
('sv', 'infolog', 'abort without deleting', 'Avbryt utan att radera'),
('sv', 'infolog', 'accept', 'Acceptera'),
('sv', 'infolog', 'action', 'Åtgärd'),
('sv', 'infolog', 'actions...', 'Åtgärder'),
('sv', 'infolog', 'actual date and time', 'Faktiskt datum och tid'),
('sv', 'infolog', 'add', 'Lägg till'),
('sv', 'infolog', 'add a file', 'Lägg till fil'),
('sv', 'infolog', 'add a new entry', 'Lägg till Post'),
('sv', 'infolog', 'add a new note', 'Lägg till Anteckning'),
('sv', 'infolog', 'add a new phonecall', 'Lägg till Samtal'),
('sv', 'infolog', 'add a new sub-task, -note, -call to this entry', 'Lägg till ny Under- Uppgift, Anteckning eller Samtal till post'),
('sv', 'infolog', 'add a new todo', 'Lägg till Uppgift'),
('sv', 'infolog', 'add file', 'Lägg till fil'),
('sv', 'infolog', 'add sub', 'Lägg till under'),
('sv', 'infolog', 'add timesheet entry', 'Lägg till tidredovisnings post'),
('sv', 'infolog', 'add:', 'Lägg till:'),
('sv', 'infolog', 'added', 'Skapad'),
('sv', 'infolog', 'all', 'Alla'),
('sv', 'infolog', 'all links and attachments', 'Alla länkar och bilagor'),
('sv', 'infolog', 'allows to set the status of an entry, eg. set a todo to done if it''s finished (values depend on entry-typ)', 'Tillåter statusändring på post, ex. Sätt uppgift till färdig när klar.'),
('sv', 'infolog', 'apply the changes', 'Spara ändringar'),
('sv', 'infolog', 'archive', 'Arkivera'),
('sv', 'infolog', 'are you shure you want to delete this entry ?', 'Vill du verkligen radera posten?'),
('sv', 'infolog', 'attach a file', 'Bifoga fil'),
('sv', 'infolog', 'attach file', 'Bifoga fil'),
('sv', 'infolog', 'back to main list', 'Tillbaks till huvudlistan'),
('sv', 'infolog', 'billed', 'Fakturerad'),
('sv', 'infolog', 'both', 'Båda'),
('sv', 'infolog', 'call', 'Samtal'),
('sv', 'infolog', 'cancel', 'Avbryt'),
('sv', 'infolog', 'cancelled', 'Avbruten'),
('sv', 'infolog', 'categories', 'Kategorier'),
('sv', 'infolog', 'category', 'Kategori'),
('sv', 'infolog', 'change history', 'Ändra historien'),
('sv', 'infolog', 'change the status of an entry, eg. close it', 'Ändra status på post, t.ex. stäng den'),
('sv', 'infolog', 'charset of file', 'Teckenuppsättning för filen'),
('sv', 'infolog', 'check all', 'Markera alla'),
('sv', 'infolog', 'check to set startday', 'Markera för att sätta startdag'),
('sv', 'infolog', 'check to specify custom contact', 'Markera för att ange annan kontakt'),
('sv', 'infolog', 'click here to create the link', 'Klicka för att skapa länk'),
('sv', 'infolog', 'click here to start the search', 'Klicka för att starta sökning'),
('sv', 'infolog', 'close', 'Stäng'),
('sv', 'infolog', 'close all', 'Stäng alla'),
('sv', 'infolog', 'closed', 'Stängt'),
('sv', 'infolog', 'comment', 'Kommentar'),
('sv', 'infolog', 'completed', 'Färdig'),
('sv', 'infolog', 'configuration', 'Alternativ'),
('sv', 'infolog', 'confirm', 'Bekräfta'),
('sv', 'infolog', 'contact', 'Kontakt'),
('sv', 'infolog', 'contact fields', 'Kontakt fält'),
('sv', 'infolog', 'copy of:', 'Kopia av:'),
('sv', 'infolog', 'copy your changes to the clipboard, %1reload the entry%2 and merge them.', 'Kopiera dina ändringar till urklipp, %1 ladda om posten och migrera.'),
('sv', 'infolog', 'create new links', 'Skapa länkar'),
('sv', 'infolog', 'creates a new field', 'Skapar fält'),
('sv', 'infolog', 'creates a new status with the given values', 'Skapar ett status med givet värde'),
('sv', 'infolog', 'creates a new typ with the given name', 'Skapar en typ med namnet'),
('sv', 'infolog', 'creation', 'Skapad'),
('sv', 'infolog', 'csv-fieldname', 'CSV fältnamn'),
('sv', 'infolog', 'csv-filename', 'CSV filnamn'),
('sv', 'infolog', 'custom', 'Anpassad'),
('sv', 'infolog', 'custom contact-address, leave empty to use information from most recent link', 'Anpassade kontaktadresser, lämna tom för att använda info från senaste länk'),
('sv', 'infolog', 'custom contact-information, leave emtpy to use information from most recent link', 'Anpassade kontaktadresser, lämna tom för att använda info från senaste länk'),
('sv', 'infolog', 'custom fields', 'Anpassade fält'),
('sv', 'infolog', 'custom regarding', 'Anpassa beträffande'),
('sv', 'infolog', 'custom status for typ', 'Anpassad status för typ'),
('sv', 'infolog', 'customfields', 'Anpassat fält'),
('sv', 'infolog', 'date completed', 'Datum färdigt'),
('sv', 'infolog', 'date completed (leave it empty to have it automatic set if status is done or billed)', 'Datum färdigt (lämnas tomt för att automatiskt fyllas i vid färdigställande eller fakturering).'),
('sv', 'infolog', 'datecreated', 'Skapad datum'),
('sv', 'infolog', 'dates, status, access', 'Datum, status, åtkomst'),
('sv', 'infolog', 'days', 'Dagar'),
('sv', 'infolog', 'default filter for infolog', 'Standard filter för InfoLogg'),
('sv', 'infolog', 'default status for a new log entry', 'Standard status för nya loggar'),
('sv', 'infolog', 'delegation', 'Delegering'),
('sv', 'infolog', 'delete', 'Radera'),
('sv', 'infolog', 'delete one record by passing its id.', 'Ange ID för att radera post'),
('sv', 'infolog', 'delete the entry', 'Radera post'),
('sv', 'infolog', 'delete this entry and all listed sub-entries', 'Radera posten och alla under'),
('sv', 'infolog', 'deleted', 'Raderad'),
('sv', 'infolog', 'deletes the selected typ', 'Raderar valda typer'),
('sv', 'infolog', 'deletes this field', 'Raderar fältet'),
('sv', 'infolog', 'deletes this status', 'Raderar denna status'),
('sv', 'infolog', 'description', 'Beskrivning'),
('sv', 'infolog', 'determines the order the fields are displayed', 'Bestämmer i vilken ordning fält ska visas'),
('sv', 'infolog', 'disables a status without deleting it', 'Inaktivera status utan att radera'),
('sv', 'infolog', 'do you want a confirmation of the responsible on: accepting, finishing the task or both', 'Vill du få bekräftelse från ansvarig angående acceptering, avslut eller båda?'),
('sv', 'infolog', 'don''t show infolog', 'Visa INTE InfoLogg'),
('sv', 'infolog', 'download', 'Ladda ner'),
('sv', 'infolog', 'duration', 'Varaktighet'),
('sv', 'infolog', 'each value is a line like <id>[=<label>]', 'Varje värde är en rad med formatet <id>[=<namn>]'),
('sv', 'infolog', 'edit', 'Ändra'),
('sv', 'infolog', 'edit or create categories for ingolog', 'Ändra eller skapa kategori för InfoLogg'),
('sv', 'infolog', 'edit rights (full edit rights incl. making someone else responsible!)', 'Skrivrättigheter (fulla ändringsrättingheter inkl. delegering)'),
('sv', 'infolog', 'edit status', 'Ändra status'),
('sv', 'infolog', 'edit the entry', 'Ändra post'),
('sv', 'infolog', 'edit this entry', 'Ändra posten'),
('sv', 'infolog', 'empty for all', 'Tom för alla'),
('sv', 'infolog', 'end', 'Slut'),
('sv', 'infolog', 'enddate', 'Slutdatum'),
('sv', 'infolog', 'enddate can not be before startdate', 'Slutdatum kan inte vara före startdatum'),
('sv', 'infolog', 'enter a custom contact, leave empty if linked entry should be used', 'Ange alternativ kontakt eller lämna tomt för att använda den länkade'),
('sv', 'infolog', 'enter a custom phone/email, leave empty if linked entry should be used', 'Ange alternativ telefon/e-post eller lämna tomt för att använda den länkade'),
('sv', 'infolog', 'enter a textual description of the log-entry', 'Skriv beskrivning av uppgiften'),
('sv', 'infolog', 'enter the query pattern', 'Söksträng'),
('sv', 'infolog', 'entry and all files', 'Post och alla filer'),
('sv', 'infolog', 'error: saving the entry', 'Kunde inte spara posten'),
('sv', 'infolog', 'error: the entry has been updated since you opened it for editing!', 'Posten har ändrats sedan du öppnade den för skrivning!'),
('sv', 'infolog', 'execute a further action for this entry', 'Utför fler åtgärder för posten'),
('sv', 'infolog', 'existing links', 'Befintliga länkar'),
('sv', 'infolog', 'fax', 'Fax'),
('sv', 'infolog', 'field must not be empty !!!', 'Fältet kan inte vara tomt'),
('sv', 'infolog', 'fieldseparator', 'Fältavskiljare'),
('sv', 'infolog', 'finish', 'Avsluta'),
('sv', 'infolog', 'for which types should this field be used', 'För vilka typer ska fältet användas?'),
('sv', 'infolog', 'from', 'Från'),
('sv', 'infolog', 'general', 'Allmänt'),
('sv', 'infolog', 'global categories', 'Globala kategorier'),
('sv', 'infolog', 'high', 'Hög'),
('sv', 'infolog', 'history', 'Historik'),
('sv', 'infolog', 'id', 'ID'),
('sv', 'infolog', 'if not set, the line with search and filters is hidden for less entries then "max matches per page" (as defined in your common p', 'Om inte satt, kommer raden med sökning och filter vara gömd för färre poster än "max träffar per sida" (som du anav under allmäna alternativ).'),
('sv', 'infolog', 'import', 'Importera'),
('sv', 'infolog', 'import next set', 'Importera nästa'),
('sv', 'infolog', 'infolog - delete', 'InfoLogg - Radera'),
('sv', 'infolog', 'infolog - edit', 'InfoLogg - Ändra'),
('sv', 'infolog', 'infolog - import csv-file', 'InfoLogg - importera CSV fil'),
('sv', 'infolog', 'infolog - new', 'InfoLogg - Ny'),
('sv', 'infolog', 'infolog - new subproject', 'InfoLogg - Nytt underprojekt'),
('sv', 'infolog', 'infolog - subprojects from', 'InfoLogg - Underprojekt till'),
('sv', 'infolog', 'infolog entry deleted', 'InfoLogg post raderad'),
('sv', 'infolog', 'infolog entry saved', 'InfoLogg post sparad'),
('sv', 'infolog', 'infolog filter for the main screen', 'InfoLogg filter för Hemsidan'),
('sv', 'infolog', 'infolog list', 'InfoLogg lista'),
('sv', 'infolog', 'infolog-fieldname', 'InfoLogg fältnamn'),
('sv', 'infolog', 'invalid filename', 'Ogiltigt filnamn'),
('sv', 'infolog', 'label<br>helptext', 'Etikett<br>Hjälptext'),
('sv', 'infolog', 'last changed', 'Senaste ändring'),
('sv', 'infolog', 'last modified', 'Senast ändrad'),
('sv', 'infolog', 'leave it empty', 'Lämnas tomt'),
('sv', 'infolog', 'leave without saveing the entry', 'Lämna utan att spara post'),
('sv', 'infolog', 'leaves without saveing', 'Lämnar utan att spara'),
('sv', 'infolog', 'length<br>rows', 'Längd<br>Rader'),
('sv', 'infolog', 'link', 'Länk'),
('sv', 'infolog', 'links', 'Länkar'),
('sv', 'infolog', 'links of this entry', 'Postens länkar'),
('sv', 'infolog', 'list all categories', 'Lista alla kategorier'),
('sv', 'infolog', 'list no subs/childs', 'Lista inte underobjekt'),
('sv', 'infolog', 'location', 'Placering'),
('sv', 'infolog', 'longer textual description', 'Längre beskrivning'),
('sv', 'infolog', 'low', 'Låg'),
('sv', 'infolog', 'max length of the input [, length of the inputfield (optional)]', 'Max längd på indatafältet'),
('sv', 'infolog', 'name must not be empty !!!', 'Namnet får inte vara tomt!'),
('sv', 'infolog', 'name of new type to create', 'Skapa typ med namnet'),
('sv', 'infolog', 'never hide search and filters', 'Göm aldrig sök eller filter'),
('sv', 'infolog', 'new %1', 'Nytt %1'),
('sv', 'infolog', 'new name', 'Nytt namn'),
('sv', 'infolog', 'new search', 'Ny sökning'),
('sv', 'infolog', 'no - cancel', 'Nej - Avbryt'),
('sv', 'infolog', 'no describtion, links or attachments', 'Ingen beskrivning, länk eller bilaga'),
('sv', 'infolog', 'no details', 'Inga detaljer'),
('sv', 'infolog', 'no entries found, try again ...', 'Inga poster hittade, försök igen'),
('sv', 'infolog', 'no filter', 'Inga filter'),
('sv', 'infolog', 'no links or attachments', 'Inga länkar eller bilagor'),
('sv', 'infolog', 'nonactive', 'Inaktiv'),
('sv', 'infolog', 'none', 'Ingen'),
('sv', 'infolog', 'normal', 'Normal'),
('sv', 'infolog', 'not', 'Inte'),
('sv', 'infolog', 'not assigned', 'Inte tilldelad'),
('sv', 'infolog', 'not-started', 'Inte påbörjad'),
('sv', 'infolog', 'note', 'Anteckning'),
('sv', 'infolog', 'number of records to read (%1)', 'Antal poster att läsa (%1)'),
('sv', 'infolog', 'number of row for a multiline inputfield or line of a multi-select-box', 'Antal rader för flera raders indata eller rad i flervals ruta'),
('sv', 'infolog', 'offer', 'Erbjudande'),
('sv', 'infolog', 'ongoing', 'Pågående'),
('sv', 'infolog', 'only for details', 'Endast detaljer'),
('sv', 'infolog', 'only the attachments', 'Endast bilagor'),
('sv', 'infolog', 'only the links', 'Endast länkar'),
('sv', 'infolog', 'optional note to the link', 'Frivillig anteckning till länken'),
('sv', 'infolog', 'order', 'Sortering'),
('sv', 'infolog', 'organization', 'Organisation'),
('sv', 'infolog', 'overdue', 'Förfallen'),
('sv', 'infolog', 'own', 'Mina'),
('sv', 'infolog', 'own open', 'Mina öppna'),
('sv', 'infolog', 'own overdue', 'Mina förfallna'),
('sv', 'infolog', 'own upcoming', 'Mina kommande'),
('sv', 'infolog', 'path on (web-)serverside<br>eg. /var/samba/share', 'Sökväg på servern<br>ex. /var/samba/Share'),
('sv', 'infolog', 'path to user and group files has to be outside of the webservers document-root!!!', 'Sökväg till användar och grupp filer MÅSTE VARA UTANFÖR webbserverns dokument root!'),
('sv', 'infolog', 'pattern for search in addressbook', 'Sökmönster i Adressboken'),
('sv', 'infolog', 'pattern for search in projects', 'Sökmönster i Projekt'),
('sv', 'infolog', 'percent completed', 'Procent färdig'),
('sv', 'infolog', 'permission denied', 'Åtkomst nekas'),
('sv', 'infolog', 'phone', 'Samtal'),
('sv', 'infolog', 'phone/email', 'Telefon/E-post'),
('sv', 'infolog', 'phonecall', 'Telefonsamtal'),
('sv', 'infolog', 'planned', 'Planerad'),
('sv', 'infolog', 'planned time', 'Planerad tid'),
('sv', 'infolog', 'price', 'Pris'),
('sv', 'infolog', 'pricelist', 'Prislista'),
('sv', 'infolog', 'priority', 'Prioritet'),
('sv', 'infolog', 'private', 'Privat'),
('sv', 'infolog', 'project', 'Projekt'),
('sv', 'infolog', 'project settings: price, times', 'Projekt inställningar: Pris, antal'),
('sv', 'infolog', 'projectmanager', 'Projekthantering'),
('sv', 'infolog', 're:', 'Sv:'),
('sv', 'infolog', 'read one record by passing its id.', 'Ange ID för att läsa post'),
('sv', 'infolog', 'read rights (default)', 'Läsrättighet (standard)'),
('sv', 'infolog', 'reg. expr. for local ip''s<br>eg. ^192\\.168\\.1\\.', 'Giltigt uttryck för lokala IP-adresser.<br>dvs 192\\.168\\.1\\.'),
('sv', 'infolog', 'remark', 'Anmärkning'),
('sv', 'infolog', 'remove this link (not the entry itself)', 'Radera länk (inte posten)'),
('sv', 'infolog', 'responsible', 'Ansvarig'),
('sv', 'infolog', 'responsible open', 'Ansvarig öppna'),
('sv', 'infolog', 'responsible overdue', 'Ansvarig förfallna'),
('sv', 'infolog', 'responsible upcoming', 'Ansvarig kommande'),
('sv', 'infolog', 'responsible user, priority', 'Ansvarig användare, prioritet'),
('sv', 'infolog', 'returns a list / search for records.', 'Returnerar lista / sök poster'),
('sv', 'infolog', 'rights for the responsible', 'Rättigheter åt den ansvarige'),
('sv', 'infolog', 'save', 'Spara'),
('sv', 'infolog', 'saves the changes made and leaves', 'Spara ändringar och avsluta'),
('sv', 'infolog', 'saves this entry', 'Spara post'),
('sv', 'infolog', 'search', 'Sök'),
('sv', 'infolog', 'search for:', 'Sök:'),
('sv', 'infolog', 'select', 'Välj'),
('sv', 'infolog', 'select a category for this entry', 'Välj kategori för posten'),
('sv', 'infolog', 'select a price', 'Välj pris'),
('sv', 'infolog', 'select a priority for this task', 'Välj prioritet för posten'),
('sv', 'infolog', 'select a project', 'Välj projekt'),
('sv', 'infolog', 'select a responsible user: a person you want to delegate this task', 'Välj ansvarig person, någon du delegerar ärendet till'),
('sv', 'infolog', 'select a typ to edit it''s status-values or delete it', 'Välj typ att ändra eller radera'),
('sv', 'infolog', 'select an action', 'Välj en aktion'),
('sv', 'infolog', 'select an app to search in', 'Välj applikation att söka i'),
('sv', 'infolog', 'select an entry to link with', 'Välj post att länka med'),
('sv', 'infolog', 'select multiple contacts for a further action', 'Välj flera kontakter för åtgärd'),
('sv', 'infolog', 'select to filter by owner', 'Välj för att sortera enl ägare'),
('sv', 'infolog', 'select to filter by responsible', 'Välj för att sortera enl ansvarig'),
('sv', 'infolog', 'sets the status of this entry and its subs to done', 'Anger status för posten och alla under till färdig'),
('sv', 'infolog', 'should infolog show subtasks, -calls or -notes in the normal view or not. you can always view the subs via there parent.', 'Ska InfoLogg visa under- Uppgift, Samtal eller Anteckning i normala vyn eller inte? Du kan alltid visa dessa via topobjektet'),
('sv', 'infolog', 'should infolog show the links to other applications and/or the file-attachments in the infolog list (normal view when you enter ', 'Ska InfoLogg visa länkar till andra applikationer och/eller bilaga i InfoLogg vyn (normal vy när du öppnar InfoLogg)'),
('sv', 'infolog', 'should infolog show up on the main screen and with which filter. works only if you dont selected an application for the main scr', 'Ska InfoLogg visas på Startsidan och med vilket filter. Fungerar bara om du inte valt en annan applikation till STartsidan (under alternativ)'),
('sv', 'infolog', 'should infolog use full names (surname and familyname) or just the loginnames.', 'Ska InfoLogg visa fullständiga namn (förnamn och efternamn) eller bara inloggningsnamnet?'),
('sv', 'infolog', 'should the infolog list show a unique numerical id, which can be used eg. as ticket id.', 'Ska InfoLogg visa unika numeriska ID som även kan användas som t.ex. ärende ID'),
('sv', 'infolog', 'should the infolog list show the column "last modified".', 'Ska InfoLogg visa kolumnen "Senast ändrad"');
INSERT INTO `egw_lang` (`lang`, `app_name`, `message_id`, `content`) VALUES
('sv', 'infolog', 'should the infolog list show the percent done only for status ongoing or two separate icons.', 'Ska InfoLogg visa procent färdig enbart för status pågående eller två separata ikoner'),
('sv', 'infolog', 'should this entry only be visible to you and people you grant privat access via the acl', 'Ska denna post enbart visas för dig och de du givit tillgång till via ACL?'),
('sv', 'infolog', 'show a column for used and planned times in the list.', 'Visa kolumn för förbrukade och planerat antal i vyn'),
('sv', 'infolog', 'show full usernames', 'Visa fullständigt användarnamn'),
('sv', 'infolog', 'show in the infolog list', 'Visa i InfoLogg lista'),
('sv', 'infolog', 'show last modified', 'Visa senast ändrad'),
('sv', 'infolog', 'show status and percent done separate', 'Visa status och procent färdig separat'),
('sv', 'infolog', 'show ticket id', 'Visa ärende ID'),
('sv', 'infolog', 'show times', 'Visa antal'),
('sv', 'infolog', 'small view', 'Liten vy'),
('sv', 'infolog', 'start', 'Start'),
('sv', 'infolog', 'start a new search, cancel this link', 'Gör ny sökning och avbryt denna länk'),
('sv', 'infolog', 'startdate', 'Startdatum'),
('sv', 'infolog', 'startdate enddate', 'Start- Slutdatum'),
('sv', 'infolog', 'startdate for new entries', 'Startdatum för nya poster'),
('sv', 'infolog', 'startrecord', 'Startposition'),
('sv', 'infolog', 'status', 'Status'),
('sv', 'infolog', 'status ...', 'Status ...'),
('sv', 'infolog', 'sub', 'Under'),
('sv', 'infolog', 'sub-entries become subs of the parent or main entries, if there''s no parent', 'Underposter blir underordnade huvudposten om det inte finns någon förälder'),
('sv', 'infolog', 'subject', 'Ämne'),
('sv', 'infolog', 'task', 'Uppgift'),
('sv', 'infolog', 'template', 'Mall'),
('sv', 'infolog', 'test import (show importable records <u>only</u> in browser)', 'Testimport (visa importerara poster <u>bara</u> i browser)'),
('sv', 'infolog', 'the name used internaly (<= 10 chars), changeing it makes existing data unavailible', 'internt namn (<= 10 tecken), ändring gör existerande data otillgängligt'),
('sv', 'infolog', 'the name used internaly (<= 20 chars), changeing it makes existing data unavailible', 'internt namn (<= 20 tecken), ändring gör existerande data otillgängligt'),
('sv', 'infolog', 'the text displayed to the user', 'Texten som visas för användare'),
('sv', 'infolog', 'this is the filter infolog uses when you enter the application. filters limit the entries to show in the actual view. there are ', 'Detta filter använder InfoLogg när du öppnar applikationen. Filtren kan visa bara avslutade, öppna eller framtida objekt som tillhör dig eller alla.'),
('sv', 'infolog', 'til when should the todo or phonecall be finished', 'Tills när ska Uppgift och Samtal vara utförda'),
('sv', 'infolog', 'times', 'Antal'),
('sv', 'infolog', 'to many might exceed your execution-time-limit', 'För många kan gå över exekverings tidgränsen'),
('sv', 'infolog', 'to what should the startdate of new entries be set.', 'Till vilket startdatum ska nya poster sättas?'),
('sv', 'infolog', 'today', 'Idag'),
('sv', 'infolog', 'todays date', 'Dagens datum'),
('sv', 'infolog', 'todo', 'Uppgift'),
('sv', 'infolog', 'translation', 'Översättning'),
('sv', 'infolog', 'typ', 'Typ'),
('sv', 'infolog', 'typ ''%1'' already exists !!!', 'Typ ''%1'' finns redan'),
('sv', 'infolog', 'type', 'Typ'),
('sv', 'infolog', 'type ...', 'Typ ...'),
('sv', 'infolog', 'type of customfield', 'Typ av anpassat fält'),
('sv', 'infolog', 'type of the log-entry: note, phonecall or todo', 'Typ av InfoLogg: Anteckning, Samtal eller Uppgift'),
('sv', 'infolog', 'unlink', 'Radera länk'),
('sv', 'infolog', 'upcoming', 'Kommande'),
('sv', 'infolog', 'urgency', 'Prioritet'),
('sv', 'infolog', 'urgent', 'Brådskande'),
('sv', 'infolog', 'used time', 'Förbrukad tid'),
('sv', 'infolog', 'valid path on clientside<br>eg. \\\\server\\share or e:\\', 'Giltid sökväg för klient<br>t ex \\\\server\\share eller e:\\'),
('sv', 'infolog', 'values for selectbox', 'Värde för valrutan'),
('sv', 'infolog', 'view all subs of this entry', 'Visa alla under denna post'),
('sv', 'infolog', 'view other subs', 'Visa andra under'),
('sv', 'infolog', 'view parent', 'Visa rot'),
('sv', 'infolog', 'view subs', 'Visa under'),
('sv', 'infolog', 'view the parent of this entry and all his subs', 'Visa rot till denna post och dess underkategorier'),
('sv', 'infolog', 'view this linked entry in its application', 'Visa den länkade posten i dess applikation'),
('sv', 'infolog', 'when should the todo or phonecall be started, it shows up from that date in the filter open or own open (startpage)', 'När Uppgift och Samtal ska påbörjas visas de från aktuellt datum i Mina eller Mina öppna (Startsidan)'),
('sv', 'infolog', 'which additional fields should the responsible be allowed to edit without having edit rights?<br />status, percent and date comp', 'Vilka övriga fält ska ansvariga kunna ändra utan ändringsrättigheter?<br />Status, procent och datum är alltid tillåtna.'),
('sv', 'infolog', 'which implicit acl rights should the responsible get?', 'Vilka ACL rättigheter ska den ansvarigefå?'),
('sv', 'infolog', 'will-call', 'Ska ringa'),
('sv', 'infolog', 'write (add or update) a record by passing its fields.', 'Fyll i fälten för att skapa eller uppdatera post'),
('sv', 'infolog', 'yes - delete', 'Ja - Radera'),
('sv', 'infolog', 'yes - delete including sub-entries', 'Ja - Radera inklusive under'),
('sv', 'infolog', 'you can''t delete one of the stock types !!!', 'Du kan inte radera inbyggda typer'),
('sv', 'infolog', 'you have entered an invalid ending date', 'Ogiltigt Slutdatum'),
('sv', 'infolog', 'you have entered an invalid starting date', 'Ogiltigt Startdatum'),
('sv', 'infolog', 'you have to enter a name, to create a new typ!!!', 'Ange namn för att skapa typ'),
('sv', 'infolog', 'you must enter a subject or a description', 'Ange ämne eller beskrivning'),
('sv', 'infolog', 'your database is not up to date (%1 vs. %2), please run %3setup%4 to update your database.', 'Din databas är inte uppdaterad (%1 vs. %2), var god och kör %3installationen%4 för att uppdatera.'),
('sv', 'manual', '%1 manual page(s) added or updated', '%1 manualsidor tillagda eller uppdaterade'),
('sv', 'manual', 'download', 'Ladda ner'),
('sv', 'manual', 'page(s) %1 not found !!!', 'Kunde inte hitta sida %1'),
('sv', 'manual', 'search for', 'Sök efter'),
('sv', 'manual', 'starting import from %1, this might take several minutes (specialy if you start it the first time) ...', 'Påbörjar import från %1 vilket kan ta flera minuter.'),
('sv', 'manual', 'the search returned no result!', 'Sökningen returnerade inget svar'),
('sv', 'news_admin', '%1 module', '%1 modul'),
('sv', 'news_admin', 'actions', 'Åtgärder'),
('sv', 'news_admin', 'active', 'Aktiv'),
('sv', 'news_admin', 'add new article', 'Skriv artikel'),
('sv', 'news_admin', 'add new news', 'Skriv artikel'),
('sv', 'news_admin', 'add news item', 'Skriv artikel'),
('sv', 'news_admin', 'all news', 'Alla artiklar'),
('sv', 'news_admin', 'always', 'Alltid'),
('sv', 'news_admin', 'by date', 'Enligt datum'),
('sv', 'news_admin', 'choose a category', 'Välj kategori'),
('sv', 'news_admin', 'configuration', 'Alternativ'),
('sv', 'news_admin', 'contains html', 'Innehåller HTML'),
('sv', 'news_admin', 'content', 'Innehåll'),
('sv', 'news_admin', 'date and time', 'Datum och tid'),
('sv', 'news_admin', 'delete this news', 'Radera nyheten'),
('sv', 'news_admin', 'do you want to publish a rss feed for this news category', 'Vill du publicera RSS för denna nyhetskategori'),
('sv', 'news_admin', 'edit news item', 'Redigera artiklar'),
('sv', 'news_admin', 'end', 'Till och med'),
('sv', 'news_admin', 'error saving the news!', 'Kunde inte spara artikeln!'),
('sv', 'news_admin', 'failed to add message', 'Kunde inte skapa nytt meddelande'),
('sv', 'news_admin', 'format for links to items', 'Format på länkar till objekt'),
('sv', 'news_admin', 'format of export', 'Export format'),
('sv', 'news_admin', 'from', 'Från'),
('sv', 'news_admin', 'from all', 'Från alla'),
('sv', 'news_admin', 'future', 'Framtida'),
('sv', 'news_admin', 'global categories', 'Globala kategorier'),
('sv', 'news_admin', 'global news', 'Globala artiklar'),
('sv', 'news_admin', 'global_news', 'Globala artiklar'),
('sv', 'news_admin', 'headline', 'Rubrik'),
('sv', 'news_admin', 'headline with link', 'Rubrik med länk'),
('sv', 'news_admin', 'image link', 'Bildlänk'),
('sv', 'news_admin', 'image title', 'Bildtitel'),
('sv', 'news_admin', 'image url', 'BildURL'),
('sv', 'news_admin', 'implies read permission', 'Ger läsrättighet'),
('sv', 'news_admin', 'item has been deleted', 'Artikeln raderat'),
('sv', 'news_admin', 'item not found', 'Hittade inte artikel'),
('sv', 'news_admin', 'link', 'Länk'),
('sv', 'news_admin', 'main', 'Huvudsida'),
('sv', 'news_admin', 'maintain', 'Underhåll'),
('sv', 'news_admin', 'message has been added', 'Meddelandet tillagt'),
('sv', 'news_admin', 'more news', 'Fler artiklar'),
('sv', 'news_admin', 'more news link', 'Fler artikel länkar'),
('sv', 'news_admin', 'new item has been added', 'Artikeln skapad'),
('sv', 'news_admin', 'news', 'Artiklar'),
('sv', 'news_admin', 'news admin', 'Artikelhantering'),
('sv', 'news_admin', 'news administration', 'Artikelhantering'),
('sv', 'news_admin', 'news deleted.', 'Artikeln raderad'),
('sv', 'news_admin', 'news item has been added', 'Artikeln sparad'),
('sv', 'news_admin', 'news item has been updated', 'Artikeln uppdaterad'),
('sv', 'news_admin', 'news saved.', 'Artikeln sparad'),
('sv', 'news_admin', 'no entries found', 'Inga artiklar hittade'),
('sv', 'news_admin', 'no matching news item', 'Hittade inga artiklar'),
('sv', 'news_admin', 'no news', 'Inga artiklar i kategorin'),
('sv', 'news_admin', 'no rss export', 'Ingen RSS export'),
('sv', 'news_admin', 'now', 'Nu'),
('sv', 'news_admin', 'number of articles to display on the main screen', 'Antal ariklar att visa på Startsidan'),
('sv', 'news_admin', 'number of news items to be displayed on page', 'Antal artiklar som visas på Startsidan'),
('sv', 'news_admin', 'old', 'Äldre'),
('sv', 'news_admin', 'on', 'På'),
('sv', 'news_admin', 'please select a category', 'Var god och välj en kategori'),
('sv', 'news_admin', 'publish date', 'Publiseringsdatum'),
('sv', 'news_admin', 'read more', 'Läs mer'),
('sv', 'news_admin', 'read news', 'Läs artikel'),
('sv', 'news_admin', 'read permissions', 'Läsrättighet'),
('sv', 'news_admin', 'reload', 'Ladda om'),
('sv', 'news_admin', 'send mail to others', 'Skicka e-post till andra'),
('sv', 'news_admin', 'should news_admin display the latest article headlines on the main screen.', 'Visa senaste artikelrubriker på Startsidan'),
('sv', 'news_admin', 'show latest news articles?', 'Visa senaste artiklar'),
('sv', 'news_admin', 'show news articles on main page?', 'Visa artiklar på Startsidan'),
('sv', 'news_admin', 'small view', 'Liten vy'),
('sv', 'news_admin', 'start', 'Från och med'),
('sv', 'news_admin', 'submitted by %1 on %2', 'Publicerad av %1 den %2'),
('sv', 'news_admin', 'teaser', 'Brödtext'),
('sv', 'news_admin', 'teaser with read more link', 'Brödtext med läs mer länk'),
('sv', 'news_admin', 'the news content is missing', 'Nyhetsinnehåll saknas'),
('sv', 'news_admin', 'the number of articles to display on the main screen.', 'Antal artiklar att visa på Startsidan?'),
('sv', 'news_admin', 'the subject is missing', 'Rubrik saknas'),
('sv', 'news_admin', 'this module publishes news from the news_admin application on your website. be aware of news_admin''s acl restrictions.', 'Modulen publicerar artiklar från artikelhanterings applikationen till din webbsida. Kontrollera artikelhanteringens ACL restriktioner.'),
('sv', 'news_admin', 'until', 'Tills'),
('sv', 'news_admin', 'view this category', 'Visa kategori'),
('sv', 'news_admin', 'visible', 'Synlig'),
('sv', 'news_admin', 'webpage news admin', 'Webbartikelhantering'),
('sv', 'news_admin', 'which information do you want to show (css class)', 'Vilken information vill du visa (CSS klass)'),
('sv', 'news_admin', 'write', 'Skriv'),
('sv', 'news_admin', 'write permissions', 'Skrivrättighet'),
('sv', 'notifications', 'folder', 'Katalog'),
('sv', 'notifications', 'from', 'Från'),
('sv', 'notifications', 'message from', 'Meddelande från'),
('sv', 'notifications', 'minutes', 'Minuter'),
('sv', 'phpbrain', '/kb directory does not exist and could not be created, please ask the adminstrator to check the global configuration', '/kb katalogen existerar inte och kunde inte skapas, vänligen be administratören att kontrollera den globala konfigurationen'),
('sv', 'phpbrain', 'action', 'Åtgärd'),
('sv', 'phpbrain', 'actions', 'Åtgärder'),
('sv', 'phpbrain', 'add articles', 'Relaterade artiklar'),
('sv', 'phpbrain', 'add link', 'Lägg till länk'),
('sv', 'phpbrain', 'add question', 'Ställ fråga'),
('sv', 'phpbrain', 'added file %1', 'Fil %1 tillagd'),
('sv', 'phpbrain', 'added link %1', 'Länk %1 tillagd'),
('sv', 'phpbrain', 'added related articles %1', 'Relaterade artiklar %1 tillagda'),
('sv', 'phpbrain', 'advanced search', 'Avancerad sökning'),
('sv', 'phpbrain', 'all articles', 'Samtliga artiklar'),
('sv', 'phpbrain', 'answer', 'Svara'),
('sv', 'phpbrain', 'anytime', 'När som helst'),
('sv', 'phpbrain', 'anywhere in the article', 'Var som helst i artikeln'),
('sv', 'phpbrain', 'are you sure?', 'ÄR DU SÄKER?'),
('sv', 'phpbrain', 'article', 'Artikel'),
('sv', 'phpbrain', 'article added to database, you can now attach files or links, or relate to other articles', 'Artikeln har lagts till i databasen, du kan nu bifoga filer, länkar eller relatera till andra artiklar'),
('sv', 'phpbrain', 'article created', 'Artikeln skapad'),
('sv', 'phpbrain', 'article deleted', 'Artikeln raderad'),
('sv', 'phpbrain', 'article deleted successfully', 'Artikeln raderad'),
('sv', 'phpbrain', 'article edited', 'Artikeln ändrad'),
('sv', 'phpbrain', 'article has been published', 'Artikeln har publicerats'),
('sv', 'phpbrain', 'article id', 'Artíkel ID'),
('sv', 'phpbrain', 'articles added', 'Artiklar skapade'),
('sv', 'phpbrain', 'articles deleted successfully', 'Artikeln raderad'),
('sv', 'phpbrain', 'articles have been published', 'Artiklarna publicerade'),
('sv', 'phpbrain', 'articles in %1', 'Artiklar i %1'),
('sv', 'phpbrain', 'articles in %1 and all its subcategories', 'Artiklar i %1 och alla dess underkategorier'),
('sv', 'phpbrain', 'articles not classified under any category', 'Okategoriserade artiklar'),
('sv', 'phpbrain', 'ascendent', 'Överordnad'),
('sv', 'phpbrain', 'attach file', 'Bifoga fil'),
('sv', 'phpbrain', 'attached files', 'Bifoga filer'),
('sv', 'phpbrain', 'average rating', 'Genomsnittligt omdöme'),
('sv', 'phpbrain', 'base directory does not exist, please ask the adminstrator to check the global configuratio', 'Baskatalogen existerar inte. Vänligen be administratören kontrollera den globala konfigurationen'),
('sv', 'phpbrain', 'before submiting a question, please search in the knowledge base first', 'Innan du skriver en fråga, vänligen sök i kunskapsdatabasen först. Kanske är den redan besvarad?'),
('sv', 'phpbrain', 'by answering this question you will help to get the answer quicker the next time', 'Genom att svara på denna fråga hjälper du kunskapsdatabasen att växa. Det i sin tur gör att det blir lättare att hitta svar på frågor i fortsättningen.'),
('sv', 'phpbrain', 'comment', 'Kommentera'),
('sv', 'phpbrain', 'comment and rating have been published', 'Kommentarer och omdöme har publicerats'),
('sv', 'phpbrain', 'comment could not be inserted in the database', 'Kommentaren kunde inte läggas till i kunskapsdatabasen'),
('sv', 'phpbrain', 'comment has been deleted', 'Kommentaren raderad'),
('sv', 'phpbrain', 'comment has been published', 'Kommentaren har publicerats'),
('sv', 'phpbrain', 'comment has been submited for revision', 'Kommentaren har skickats för godkännande'),
('sv', 'phpbrain', 'comment has been submited for revision and rating will be published', 'Kommentaren har skickats för godkännande och omdöme kommer att publiceras'),
('sv', 'phpbrain', 'comments', 'Kommentarer'),
('sv', 'phpbrain', 'configuration', 'Alternativ'),
('sv', 'phpbrain', 'create a new article to answer the question asked by %1 in %2', 'Skapa ny artikel för att besvara fråga ställd av %1 den %2'),
('sv', 'phpbrain', 'created by %1 on %2', 'Skapad av %1 den %2'),
('sv', 'phpbrain', 'creation', 'Skapad'),
('sv', 'phpbrain', 'creation date', 'Skapad den'),
('sv', 'phpbrain', 'delete article', 'Radera artikel'),
('sv', 'phpbrain', 'delete selected', 'Radera valda'),
('sv', 'phpbrain', 'deleted relation to  article %1', 'Raderade relation till artikel %1'),
('sv', 'phpbrain', 'deleted relation to article %1', 'Raderade relation till artikel %1'),
('sv', 'phpbrain', 'descendent', 'Underordnad'),
('sv', 'phpbrain', 'details', 'Detaljer'),
('sv', 'phpbrain', 'e-groupware knowledge base article attached', 'eGroupWare Kunskapsdatabas artikel bifogad'),
('sv', 'phpbrain', 'e-mail has been sent', 'E-post har skickats'),
('sv', 'phpbrain', 'edit article', 'Ändra artikel'),
('sv', 'phpbrain', 'enter one or two words describing the issue, or type the article number if you know it', 'Ange ett eller två ord som kan beskriva problemet, eller ange artikelnummer om du känner till det'),
('sv', 'phpbrain', 'error deleting article from database', 'Artikelradering misslyckades'),
('sv', 'phpbrain', 'error deleting link', 'Länkradering misslyckades'),
('sv', 'phpbrain', 'error downloading file', 'Nedladdning misslyckades'),
('sv', 'phpbrain', 'error locating files directory', 'Hittade inte filen i katalogen'),
('sv', 'phpbrain', 'error moving file to directory', 'Fil flytt misslyckades'),
('sv', 'phpbrain', 'error publishing comment', 'Publicering av kommentar misslyckades'),
('sv', 'phpbrain', 'error retrieving article', 'Kan inte hämta artikel'),
('sv', 'phpbrain', 'error trying to delete comment', 'Fel uppstod vid radering av kommentar'),
('sv', 'phpbrain', 'error trying to delete question', 'Fel uppstod vid radering av fråga'),
('sv', 'phpbrain', 'error trying to edit article', 'Fel uppstod vid redigering av artikel'),
('sv', 'phpbrain', 'error trying to publish article', 'Fel uppstod vid publicering av artikel'),
('sv', 'phpbrain', 'error: file doesn''t exist in the database', 'Fel: Filen finns inte i databasen'),
('sv', 'phpbrain', 'excellent', 'Utmärkt'),
('sv', 'phpbrain', 'failure trying to delete the file', 'Fel uppstod vid radering av filen'),
('sv', 'phpbrain', 'file could be deleted from server but not from database', 'Filen kunde raderas från servern men inte i databasen'),
('sv', 'phpbrain', 'file has been successfully uploaded', 'Uppladdning av fil lyckades'),
('sv', 'phpbrain', 'file was already missing from server, and was deleted from the database', 'Filen saknades redan på servern och togs bort ur databasen'),
('sv', 'phpbrain', 'file was deleted successfully', 'Filraderingen lyckades'),
('sv', 'phpbrain', 'file wasn''t in server and it couldn''t be deleted from the database', 'Filen fanns inte på servern och kunde inte tas bort ur databasen'),
('sv', 'phpbrain', 'find results', 'Hitta resultat'),
('sv', 'phpbrain', 'global categories', 'Globala kategorier'),
('sv', 'phpbrain', 'history', 'Historik'),
('sv', 'phpbrain', 'if you can''t find answers to your problem in the knowledge base, describe it below', 'Om du inte kan hitta svaret i kunskapsdatabasen, vänligen beskriv problemet här nedan'),
('sv', 'phpbrain', 'if you wish, you can comment this article here', 'Om du vill kan du kommentera artikeln här'),
('sv', 'phpbrain', 'in %1', 'den %1'),
('sv', 'phpbrain', 'in the text', 'I texten'),
('sv', 'phpbrain', 'in the title', 'I rubriken'),
('sv', 'phpbrain', 'in the topic', 'I ämnet'),
('sv', 'phpbrain', 'include subcategories', 'Inkludera underkategorier'),
('sv', 'phpbrain', 'keywords', 'Nyckelord'),
('sv', 'phpbrain', 'knowledge base article #%1', 'Kunskapsdatabasens artikel #%1'),
('sv', 'phpbrain', 'last modification by %1 on %2', 'Senaste ändring av %1 på %2'),
('sv', 'phpbrain', 'last modified', 'Senast ändrad'),
('sv', 'phpbrain', 'latest', 'Senaste'),
('sv', 'phpbrain', 'latest comments', 'Senaste kommentarer'),
('sv', 'phpbrain', 'leave empty to automatically generate an id', 'Lämna tomt för att automatiskt generera ett ID'),
('sv', 'phpbrain', 'link could not be added', 'Kunde inte lägga till länk'),
('sv', 'phpbrain', 'link deleted successfully', 'Länkradering lyckades'),
('sv', 'phpbrain', 'link has been added', 'Länken har lagts till'),
('sv', 'phpbrain', 'links', 'Länkar'),
('sv', 'phpbrain', 'links & files', 'Länkar och filer'),
('sv', 'phpbrain', 'mail article', 'E-posta artikel'),
('sv', 'phpbrain', 'main view', 'Huvudvy'),
('sv', 'phpbrain', 'maintain articles', 'Underhåll artiklar'),
('sv', 'phpbrain', 'maintain questions', 'Underhåll frågor'),
('sv', 'phpbrain', 'maximum number of comments to show:', 'Antal kommentarer som ska visas'),
('sv', 'phpbrain', 'maximum number of most popular articles, latest articles and unanswered questions to show in the main view:', 'Antal av de mest populära artiklarna, senaste artiklarna och obesvarade frågor som skall visas i huvudvyn:'),
('sv', 'phpbrain', 'modification date', 'Ändrad den'),
('sv', 'phpbrain', 'most viewed', 'Mest populära'),
('sv', 'phpbrain', 'new article', 'Ny artikel'),
('sv', 'phpbrain', 'nobody has rated this article so far', 'Ingen har betygsatt artikeln ännu'),
('sv', 'phpbrain', 'nothing was uploaded!', 'Inget laddades upp'),
('sv', 'phpbrain', 'number of results per page', 'Antal resultat'),
('sv', 'phpbrain', 'ocurrences', 'Förekommer'),
('sv', 'phpbrain', 'or browse the categories', 'Eller leta bland kategorierna'),
('sv', 'phpbrain', 'order results by', 'Sortera resultat efter'),
('sv', 'phpbrain', 'outstanding published questions', 'Olösta publicerade frågor'),
('sv', 'phpbrain', 'past %1 months', 'Senaste %1 månaderna'),
('sv', 'phpbrain', 'past year', 'Senaste året'),
('sv', 'phpbrain', 'people have rated this article', 'användare har betygsatt artikeln'),
('sv', 'phpbrain', 'please rate the pertinence and quality of this article', 'Vänligen betygsätt relevans och kvalitet på artikel'),
('sv', 'phpbrain', 'please try again', 'Vänligen försök igen'),
('sv', 'phpbrain', 'poor', 'Dålig'),
('sv', 'phpbrain', 'printer view', 'Utskriftsvy'),
('sv', 'phpbrain', 'problem relating articles', 'Problem med att relatera artiklar'),
('sv', 'phpbrain', 'publication date', 'Publiceringsdatum'),
('sv', 'phpbrain', 'publish', 'Publicera'),
('sv', 'phpbrain', 'publish selected', 'Publicera valda'),
('sv', 'phpbrain', 'published', 'Publicerad'),
('sv', 'phpbrain', 'question deleted successfully', 'Fråga raderad'),
('sv', 'phpbrain', 'questions deleted successfully', 'Frågor raderade'),
('sv', 'phpbrain', 'rating has been submited', 'Omdömet har skickats'),
('sv', 'phpbrain', 'rating invalid', 'Ogiltigt omdöme'),
('sv', 'phpbrain', 'recipient', 'Mottagare'),
('sv', 'phpbrain', 'related articles in the knowledge base', 'Relaterade artiklar i kunskapsdatabasen'),
('sv', 'phpbrain', 'relation with article was removed successfully', 'Relationen till artikel togs bort'),
('sv', 'phpbrain', 'removed file %1', 'Raderade filen %1'),
('sv', 'phpbrain', 'removed link %1', 'Raderade länken %1'),
('sv', 'phpbrain', 'reply-to', 'Svara till'),
('sv', 'phpbrain', 'search in all the knowledge base', 'Sök i hela kunskapdatabasen'),
('sv', 'phpbrain', 'search results', 'Sökresultat'),
('sv', 'phpbrain', 'see more questions', 'Se fler frågor'),
('sv', 'phpbrain', 'see more questions...', 'Se fler frågor...'),
('sv', 'phpbrain', 'select articles', 'Välj artiklar'),
('sv', 'phpbrain', 'show all comments', 'Visa alla kommentarer'),
('sv', 'phpbrain', 'show articles belonging to:', 'Visa artiklar som tillhör:'),
('sv', 'phpbrain', 'show messages in category', 'Visa meddelanden i kategorin'),
('sv', 'phpbrain', 'submit comment', 'Skicka kommentar'),
('sv', 'phpbrain', 'submit comment and rating', 'Skicka kommentar och omdöme'),
('sv', 'phpbrain', 'suggested category', 'Föreslagen kategori'),
('sv', 'phpbrain', 'summary', 'Summering'),
('sv', 'phpbrain', 'table of contents', 'Innehåll'),
('sv', 'phpbrain', 'that file already exists', 'Filen existerar redan'),
('sv', 'phpbrain', 'the article id must be a number', 'Artikel ID måste vara ett nummer'),
('sv', 'phpbrain', 'the article is empty', 'Artikeln är tom'),
('sv', 'phpbrain', 'the file was already missing in the server', 'Filen saknades redan på servern'),
('sv', 'phpbrain', 'the following errors occurred', 'Följande fel uppstod'),
('sv', 'phpbrain', 'the mail server returned:', 'E-post servern svarade:'),
('sv', 'phpbrain', 'the present category and all subcategories under it', 'Aktuell kategori och samtliga underkategorier'),
('sv', 'phpbrain', 'the present category only', 'Aktuell kategori enbart'),
('sv', 'phpbrain', 'there are no articles', 'Det finns inga artiklar'),
('sv', 'phpbrain', 'there are no articles available', 'Det finns inga artiklar tillgängliga'),
('sv', 'phpbrain', 'this article hasn''t yet been published in the knowledge base', 'Artikel har inte publicerats i kunskapsdatabasen ännu'),
('sv', 'phpbrain', 'title', 'Rubrik'),
('sv', 'phpbrain', 'to create categories, press ''edit categories'' in the preferences menu', 'För att skapa kategorier, klicka på ''Ändra kategorier'' i alternativ menyn'),
('sv', 'phpbrain', 'topic', 'Ämne'),
('sv', 'phpbrain', 'unable to add rating to database', 'Kunde inte lägga till omdömet i databasen'),
('sv', 'phpbrain', 'unanswered questions', 'Obesvarade frågor'),
('sv', 'phpbrain', 'unpublish', 'Publicera inte'),
('sv', 'phpbrain', 'unpublished', 'Opublicerad'),
('sv', 'phpbrain', 'user preferences', 'Användarens alternativ'),
('sv', 'phpbrain', 'views', 'Vyer'),
('sv', 'phpbrain', 'was it easy to find this article using the above search string?', 'Var det enkelt att hitta denna artikel med de sökbegrepp du använde?'),
('sv', 'phpbrain', 'when navigating through categories, choose whether the list of articles shown corresponds only to the present category, or the p', 'När du navigerar genom kategorierna, avgör om visad lista med artiklar motsvarar aktuell kategori, eller med aktuell kategori och samtliga underkategorier.'),
('sv', 'phpbrain', 'with all the words', 'Med samtliga ord'),
('sv', 'phpbrain', 'with at least one of the words', 'Med minst ett av orden'),
('sv', 'phpbrain', 'with the exact phrase', 'Med den exakta frasen'),
('sv', 'phpbrain', 'without the words', 'Utan dessa ord'),
('sv', 'phpbrain', 'you are in %1', 'Du är i %1'),
('sv', 'phpbrain', 'you have already qualified this article', 'Du har redan kommenterat artikeln'),
('sv', 'phpbrain', 'you have not the proper permissions to do that', 'Du har inte behörighet att göra det'),
('sv', 'phpbrain', 'you must enter a title', 'Du måste ange en rubrik'),
('sv', 'phpbrain', 'you must enter a topic', 'Du måste ange ett ämne'),
('sv', 'phpbrain', 'your message could not be sent!', 'Meddelandet kunde inte skickas'),
('sv', 'phpbrain', 'your question will be posted, but only will be published after approval by a user with publishing rights', 'Din fråga kommer att skickas, men kommer bara att publiceras när någon med behörighet att publicera väljer att göra det.'),
('sv', 'phpbrain', 'your question will be published immediately', 'Din fråga kommer att publiceras omedelbart'),
('sv', 'jscalendar', '(shift-)click or drag to change value', '(Shift)-klicka eller dra för att ändra värde'),
('sv', 'jscalendar', '- click on any of the time parts to increase it', '- Klicka på någon av tids intervallerna för att utöka'),
('sv', 'jscalendar', '- hold mouse button on any of the above buttons for faster selection.', '- Håll musknappen över någon av knapparna ovan för snabbare val'),
('sv', 'jscalendar', '- or click and drag for faster selection.', '- eller klicka och dra för snabbare val'),
('sv', 'jscalendar', '- or shift-click to decrease it', '- eller Shift-klicka för att minska'),
('sv', 'jscalendar', '- use the %1, %2 buttons to select month', '- Använd %1, %2 knappar för att välja månad'),
('sv', 'jscalendar', '- use the %1, %2 buttons to select year', '- Använd %1, %2 knappar för att välja år'),
('sv', 'jscalendar', '3 number of chars for day-shortcut', '3 tecken för dag genväg'),
('sv', 'jscalendar', '3 number of chars for month-shortcut', '3 tecken för månad genväg'),
('sv', 'jscalendar', 'about the calendar', 'Om Kalendern'),
('sv', 'jscalendar', 'date selection:', 'Datum val:'),
('sv', 'jscalendar', 'display %s first', 'Visa % första'),
('sv', 'jscalendar', 'drag to move', 'Dra för att flytta'),
('sv', 'jscalendar', 'go today', 'Gå Idag'),
('sv', 'jscalendar', 'next month (hold for menu)', 'Nästa månad (håll för meny)'),
('sv', 'jscalendar', 'next year (hold for menu)', 'Nästa år (håll för meny)'),
('sv', 'jscalendar', 'prev. month (hold for menu)', 'Föreg. månad (håll för meny)'),
('sv', 'jscalendar', 'prev. year (hold for menu)', 'Föreg. år (håll för meny)'),
('sv', 'jscalendar', 'time selection:', 'Tidsintervall:'),
('sv', 'jscalendar', 'toggle first day of week', 'Visa veckans första dag'),
('sv', 'jscalendar', 'wk', 'v.'),
('sv', 'login', 'sorry, your login has expired', 'Beklagar, din inloggning har förfallit'),
('sv', 'login', 'you have been successfully logged out', 'Du är utloggad'),
('sv', 'login', 'your session could not be verified.', 'Din session kunde inte verifieras'),
('sv', 'login', 'lost login id', 'Glömt inloggnings ID'),
('sv', 'login', 'lost password', 'Glömt lösenordet'),
('sv', 'login', 'not a user yet? register now', 'Ännu inget konto? Registrera dig här'),
('sv', 'polls', 'actions', 'Åtgärder'),
('sv', 'polls', 'add answer to poll', 'Svara på undersökning'),
('sv', 'polls', 'add answers', 'Lägg till svar'),
('sv', 'polls', 'add new poll question', 'Skapa undersökning'),
('sv', 'polls', 'add questions', 'Skapa undersökning'),
('sv', 'polls', 'allow users to vote more then once', 'Tillåt användare att svara mer än en gång'),
('sv', 'polls', 'answer', 'Svar'),
('sv', 'polls', 'answer has been added to poll', 'Svaret sparat'),
('sv', 'polls', 'answer has been updated', 'Svaret uppdaterat'),
('sv', 'polls', 'answers', 'Svar'),
('sv', 'polls', 'are you sure want to delete this answer ?', 'Vill du verkligen radera svaret?'),
('sv', 'polls', 'are you sure want to delete this question ?', 'Vill du verkligen radera frågan?'),
('sv', 'polls', 'current poll', 'Aktuell undersökning'),
('sv', 'polls', 'edit answer', 'Ändra svar'),
('sv', 'polls', 'edit poll question', 'Ändra undersökning'),
('sv', 'polls', 'enter poll question', 'Skapa undersökning'),
('sv', 'polls', 'new poll has been added.  you should now add some answers for this poll', 'Undersökningen sparad och du kan nu lägga till frågor'),
('sv', 'polls', 'noone', 'Ingen'),
('sv', 'polls', 'poll question', 'Frågeställning'),
('sv', 'polls', 'question has been updated', 'Frågan uppdaterad'),
('sv', 'polls', 'select current poll', 'Välj aktuell undersökning'),
('sv', 'polls', 'settings updated', 'Inställningarna uppdaterade'),
('sv', 'polls', 'show answers', 'Visa svar'),
('sv', 'polls', 'total votes', 'Totalt'),
('sv', 'polls', 'view poll', 'Visa undersökning'),
('sv', 'polls', 'view results', 'Visa resultat'),
('sv', 'polls', 'vote', 'Rösta'),
('sv', 'polls', 'voting booth administration', 'Röstbås administration'),
('sv', 'polls', 'which poll', 'Vilken undersökning'),
('sv', 'projectmanager', '%1 element(s) updated', '%1 element uppdaterad(e)'),
('sv', 'projectmanager', '%1 new project-elements imported', '%1 new projektelements importerad(e)'),
('sv', 'projectmanager', '%1 projects deleted', '%1 projekt raderad(e)'),
('sv', 'projectmanager', '%1 records imported', '%1 poster importerade'),
('sv', 'projectmanager', '%1 records read (not yet imported, you may go %2back%3 and uncheck test import)', '%1 poster lästa (inte importerade ännu, du kan gå %2tillbaka%3 och kryssa ur "Testa Import")'),
('sv', 'projectmanager', '%1 times permission denied, %2 projects deleted', '%1 gånger åtkomst nekad, %2 projekt raderade'),
('sv', 'projectmanager', '- planned', '- planerad'),
('sv', 'projectmanager', '0ngoing (0 < % < 100)', 'Pågående (0 < % < 100)'),
('sv', 'projectmanager', 'a describtive title for the project, must not be empty', 'En beskrivande rubrik för projektet, får inte vara tomt'),
('sv', 'projectmanager', 'accounting', 'Fakturering'),
('sv', 'projectmanager', 'accounting options', 'Faktureringsalternativ'),
('sv', 'projectmanager', 'accounting type', 'Faktureringstyp'),
('sv', 'projectmanager', 'actions', 'Åtgärder'),
('sv', 'projectmanager', 'activity', 'Aktivitet'),
('sv', 'projectmanager', 'add a new milestone', 'Lägg till ny milstolpe'),
('sv', 'projectmanager', 'add a new project', 'Lägg till nytt projekt'),
('sv', 'projectmanager', 'add element', 'Lägg till element'),
('sv', 'projectmanager', 'add existing', 'Lägg till befintligt'),
('sv', 'projectmanager', 'add milestone', 'Lägg till milstolpe'),
('sv', 'projectmanager', 'add or edit roles and their acl', 'Lägg till eller ändra roller och ACL'),
('sv', 'projectmanager', 'add price', 'Lägg till pris'),
('sv', 'projectmanager', 'add project', 'Lägg till projekt'),
('sv', 'projectmanager', 'add project-elements', 'Lägg till projekt element'),
('sv', 'projectmanager', 'add this role', 'Lägg till rollen'),
('sv', 'projectmanager', 'allow users to change their working times', 'Tillåt användare att ändra arbetstid'),
('sv', 'projectmanager', 'allowed accounting types', 'Tillåtna faktureringstyper'),
('sv', 'projectmanager', 'allowed units', 'Tillåtna enheter'),
('sv', 'projectmanager', 'anonymous public', 'Anonym publik'),
('sv', 'projectmanager', 'app.', 'Appl.'),
('sv', 'projectmanager', 'apply the changes', 'Spara ändringar'),
('sv', 'projectmanager', 'archive', 'Arkivera'),
('sv', 'projectmanager', 'assistant', 'Assistent'),
('sv', 'projectmanager', 'at which time do you start working on the given day.', 'Vilken tid börjar din arbetsdag'),
('sv', 'projectmanager', 'availible', 'Tillgänglig'),
('sv', 'projectmanager', 'billable', 'Fakturerbar'),
('sv', 'projectmanager', 'bookable', 'Bokningsbar'),
('sv', 'projectmanager', 'budget', 'Budget'),
('sv', 'projectmanager', 'budget (no pricelist)', 'Budget (ingen prislista)'),
('sv', 'projectmanager', 'budget and pricelist', 'Budget och prislista'),
('sv', 'projectmanager', 'by', 'av'),
('sv', 'projectmanager', 'calculate budget by quantity (eg. time) and price', 'Beräkna budget efter antal (ex. tid) och pris'),
('sv', 'projectmanager', 'charset of file', 'Teckenuppsättning för filen'),
('sv', 'projectmanager', 'check all', 'Markera alla'),
('sv', 'projectmanager', 'close the window, discard the changes made', 'Stäng fönstret och spara inte ändringar'),
('sv', 'projectmanager', 'constraints', 'Villkor'),
('sv', 'projectmanager', 'conversation between days and hours, default 8', 'Konvertering mellan dagar och timmar, standard 8'),
('sv', 'projectmanager', 'coordinator', 'Koordinator'),
('sv', 'projectmanager', 'cost per time', 'Kostnad per tillfälle'),
('sv', 'projectmanager', 'create a new empty project or use a template', 'Skapa nytt tomt projekt eller använd en mall'),
('sv', 'projectmanager', 'create new links', 'Lägg till länk'),
('sv', 'projectmanager', 'created', 'Skapad'),
('sv', 'projectmanager', 'created a ganttchart from the checked projects', 'Skapa ganttdiagram från markerade projekt'),
('sv', 'projectmanager', 'csv-fieldname', 'CSV-Fältnamn'),
('sv', 'projectmanager', 'csv-filename', 'CSV-Filnamn'),
('sv', 'projectmanager', 'cumulated elements too', 'Även sammanslagna element'),
('sv', 'projectmanager', 'custom fields', 'Anpassade fält'),
('sv', 'projectmanager', 'customer title', 'Kund rubrik'),
('sv', 'projectmanager', 'datasource', 'Datakälla'),
('sv', 'projectmanager', 'dates', 'Datum'),
('sv', 'projectmanager', 'default all and a selectbox to choose', 'Standard alla och en valruta att välja'),
('sv', 'projectmanager', 'delete all checked projects', 'Radera alla markerade projekt'),
('sv', 'projectmanager', 'delete this milestone', 'Radera milstolpe'),
('sv', 'projectmanager', 'delete this price', 'Radera priset'),
('sv', 'projectmanager', 'delete this project', 'Radera projektet'),
('sv', 'projectmanager', 'delete this project-element, does not remove the linked entry', 'Radera projektelementet. Raderar inte den länkade posten'),
('sv', 'projectmanager', 'delete this role', 'Radera rollen'),
('sv', 'projectmanager', 'depth of display', 'Vy djup'),
('sv', 'projectmanager', 'details of cumulated', 'Detaljer över sammanslagna'),
('sv', 'projectmanager', 'details of subelements', 'Underelement detaljer'),
('sv', 'projectmanager', 'do not use that entry as project-element', 'Använd inte posten som projekt element'),
('sv', 'projectmanager', 'done (100%)', 'Färdig (100%)'),
('sv', 'projectmanager', 'edit access, incl. editing budget and elements', 'Ändra åtkomst, inkl. budgetförändring och element'),
('sv', 'projectmanager', 'edit budget', 'Ändra budget'),
('sv', 'projectmanager', 'edit milestone', 'Ändra milstolpe'),
('sv', 'projectmanager', 'edit price', 'Ändra pris'),
('sv', 'projectmanager', 'edit project', 'Ändra projekt'),
('sv', 'projectmanager', 'edit project-elements', 'Ändra projekt element'),
('sv', 'projectmanager', 'edit this milestone', 'Ändra milstolpen'),
('sv', 'projectmanager', 'edit this price', 'Ändra priset'),
('sv', 'projectmanager', 'edit this project', 'Ändra projektet'),
('sv', 'projectmanager', 'edit this project-element', 'Ändra projekt elementet'),
('sv', 'projectmanager', 'edit this role', 'Ändra rollen'),
('sv', 'projectmanager', 'elementlist', 'Elementlista'),
('sv', 'projectmanager', 'elements of elements', 'Elementens element'),
('sv', 'projectmanager', 'elements that can''t start before this one is finished', 'Elementen som inte kan påbörjas innan denna avslutats'),
('sv', 'projectmanager', 'elements which have to be finished before this can start', 'Elementen som måste avslutats innan denna kan påbörjas'),
('sv', 'projectmanager', 'empty', 'Tom'),
('sv', 'projectmanager', 'empty for all', 'Töm för alla'),
('sv', 'projectmanager', 'end before', 'Avslut före'),
('sv', 'projectmanager', 'enddate', 'Slutdatum'),
('sv', 'projectmanager', 'error: deleting price !!!', 'Fel: kunde inte radera priset'),
('sv', 'projectmanager', 'error: deleting project !!!', 'Fel: kunde inte radera projeket'),
('sv', 'projectmanager', 'error: deleting project-element !!!', 'Fel: kunde inte radera projekt elementet'),
('sv', 'projectmanager', 'error: deleting role !!!', 'Fel: kunde inte radera rollen'),
('sv', 'projectmanager', 'error: project-id already exist, choose an other one or have one generated by leaving it emtpy !!!', 'Fel: projekt ID finns redan. Välj annat eller lämna tom för ett automatiskt genererat!'),
('sv', 'projectmanager', 'error: saving milestone', 'Fel: kunde inte spara milstolpen'),
('sv', 'projectmanager', 'error: saving role !!!', 'Fel: kunde inte spara rollen'),
('sv', 'projectmanager', 'error: saving the price (%1) !!!', 'Fel: kunde inte spara priset'),
('sv', 'projectmanager', 'error: saving the project (%1) !!!', 'Fel: kunde inte spara projeket'),
('sv', 'projectmanager', 'error: saving the project-element (%1) !!!', 'Fel: kunde inte spara projekt elementet (%1)!'),
('sv', 'projectmanager', 'everything recursive', 'Allting rekursivt'),
('sv', 'projectmanager', 'existing links', 'Befintliga länkar'),
('sv', 'projectmanager', 'exit without saving', 'Avsluta utan att spara'),
('sv', 'projectmanager', 'fieldseparator', 'Fältavskiljare'),
('sv', 'projectmanager', 'free descriptiv text', 'Valfri beskrivande text'),
('sv', 'projectmanager', 'from %1 to %2', 'från %1 till %2'),
('sv', 'projectmanager', 'full access', 'Full åtkomst'),
('sv', 'projectmanager', 'ganttchart', 'Ganttdiagram'),
('sv', 'projectmanager', 'ganttchart parameter', 'Ganttdiagram alternativ'),
('sv', 'projectmanager', 'general', 'Allmänt'),
('sv', 'projectmanager', 'general availibility', 'Allmän åtkomst'),
('sv', 'projectmanager', 'general pricelist', 'Allmän prislista'),
('sv', 'projectmanager', 'global categories', 'Globala kategorier'),
('sv', 'projectmanager', 'h', 't'),
('sv', 'projectmanager', 'health', 'Status'),
('sv', 'projectmanager', 'hours', 'Timmar'),
('sv', 'projectmanager', 'hours per workday', 'Timmar per dag'),
('sv', 'projectmanager', 'how long do you work on the given day.', 'Hur många timmar per dag arbetar du'),
('sv', 'projectmanager', 'how should the project selection in the menu be displayed: a tree gives a better overview, a selectbox might perform better.', 'Hur ska projektvalen visas i menyn: Ett träd ger bättre översyn, en valruta kan ge bättre prestanda.'),
('sv', 'projectmanager', 'ignore that entry', 'Ignorera posten'),
('sv', 'projectmanager', 'ignored', 'Ignorerad'),
('sv', 'projectmanager', 'import', 'Importera'),
('sv', 'projectmanager', 'last modified', 'Senast ändrad'),
('sv', 'projectmanager', 'leave it empty if you dont need a different customer title', 'Lämna tomt om du inte behöver annan kundrubrik'),
('sv', 'projectmanager', 'leave it empty to have one generated', 'Lämna tomt för ett automatiskt genererat'),
('sv', 'projectmanager', 'leave it empty, if identitcal to the time', 'Lämna tomt om identiskt med tiden'),
('sv', 'projectmanager', 'linked elements', 'Länkade element'),
('sv', 'projectmanager', 'links', 'Länkar'),
('sv', 'projectmanager', 'mainproject only', 'Huvudprojektet endast'),
('sv', 'projectmanager', 'mainprojects', 'Huvudprojektet'),
('sv', 'projectmanager', 'members', 'Medlemmar'),
('sv', 'projectmanager', 'milestone deleted', 'Milstolpen raderad'),
('sv', 'projectmanager', 'milestone saved', 'Milstolpen sparad'),
('sv', 'projectmanager', 'milestones', 'Milstolpar'),
('sv', 'projectmanager', 'milestones before this element has to be finished', 'Milstolpar innan elementet måste vara avslutat'),
('sv', 'projectmanager', 'modified', 'Ändrad'),
('sv', 'projectmanager', 'modified by', 'Ändrad av'),
('sv', 'projectmanager', 'necessary for project-elements doing that not automatic', 'Nödvändigt för projektelement att inte göra det automatiskt'),
('sv', 'projectmanager', 'necessary php extentions %1 not loaded and can''t be loaded !!!', 'Nödvändiga PHP utökning %1 är inte laddad eller kan inte laddas!'),
('sv', 'projectmanager', 'new', 'Ny'),
('sv', 'projectmanager', 'no accounting, only status', 'Ingen faktura, endast status'),
('sv', 'projectmanager', 'no accounting, only times and status', 'Ingen faktura, endast antal och status'),
('sv', 'projectmanager', 'no details', 'Inga detaljer'),
('sv', 'projectmanager', 'no read access to the datasource: removing overwritten values will just empty them !!!', 'Inga läsrättigheter till datakällan: att radera överskrivna värden tömmer fälten!'),
('sv', 'projectmanager', 'no save necessary', 'Spara är inte nödvändigt'),
('sv', 'projectmanager', 'nonactive', 'Inaktiv'),
('sv', 'projectmanager', 'not started (0%)', 'Inte påbörjad (0%)'),
('sv', 'projectmanager', 'not working', 'Arbetar inte'),
('sv', 'projectmanager', 'number of records to read (%1)', 'Antal poster att läsa (%1)'),
('sv', 'projectmanager', 'only this project', 'Bara detta projekt'),
('sv', 'projectmanager', 'overwrite the datasource', 'Skriv över datakällan'),
('sv', 'projectmanager', 'percentage the member is availible for projects', 'Procent resursen är tillgänglig för projekt'),
('sv', 'projectmanager', 'percentage the member is availible for this project', 'Procent resursen är tillgänglig för projektet'),
('sv', 'projectmanager', 'permission denied !!!', 'Åtkomst nekad!'),
('sv', 'projectmanager', 'planned', 'Planerad'),
('sv', 'projectmanager', 'planned times', 'Planerat antal'),
('sv', 'projectmanager', 'please download a recent version from %1 and install it in %2.', 'Var god och hämta ner seanste versionen från %1 och installera i %2'),
('sv', 'projectmanager', 'price', 'Pris'),
('sv', 'projectmanager', 'price / unit', 'Pris / Enhet'),
('sv', 'projectmanager', 'price deleted', 'Priset raderat'),
('sv', 'projectmanager', 'price saved', 'Priset sparat'),
('sv', 'projectmanager', 'pricelist', 'Prislista'),
('sv', 'projectmanager', 'project availibility', 'Projekt tillgänglighet'),
('sv', 'projectmanager', 'project deleted', 'Projektet raderat'),
('sv', 'projectmanager', 'project id', 'Projekt ID'),
('sv', 'projectmanager', 'project members and roles', 'Projekt medlemmar och roller'),
('sv', 'projectmanager', 'project overview', 'Projekt översikt'),
('sv', 'projectmanager', 'project saved', 'Projektet sparat'),
('sv', 'projectmanager', 'project specific title, prices, ...', 'Projekt specifik rubrik, priser, ...'),
('sv', 'projectmanager', 'project-element deleted', 'Projektelementet raderat'),
('sv', 'projectmanager', 'project-element saved', 'Projektelementet sparat'),
('sv', 'projectmanager', 'project-elements', 'Projektelementen'),
('sv', 'projectmanager', 'projectlist', 'Projektlista'),
('sv', 'projectmanager', 'projectmember', 'Projektmedlem'),
('sv', 'projectmanager', 'quantity', 'Antal'),
('sv', 'projectmanager', 'read access, incl. budget and adding elements', 'läsrättighet, inkl. budget och att lägga till element'),
('sv', 'projectmanager', 'read access, no budget', 'läsrättighet, för utom budget'),
('sv', 'projectmanager', 'real end', 'Faktiskt avslut'),
('sv', 'projectmanager', 'real start', 'Faktiskt påbörjad'),
('sv', 'projectmanager', 'resources', 'Resurser'),
('sv', 'projectmanager', 'role', 'Roll'),
('sv', 'projectmanager', 'role deleted', 'Rollen raderad'),
('sv', 'projectmanager', 'role saved', 'Rollen sparad'),
('sv', 'projectmanager', 'roles', 'Roller'),
('sv', 'projectmanager', 'save the changes made', 'Spara ändringar'),
('sv', 'projectmanager', 'save this project element', 'Spara projektelementet'),
('sv', 'projectmanager', 'select a project', 'Välj projekt'),
('sv', 'projectmanager', 'select an activity if you want to calculate costs by quantity (time) and price', 'Välj en aktivitet om du vill beräkna kostnaden per antal (tid) och pris'),
('sv', 'projectmanager', 'select multiple projects for a further action', 'Markera flera projekt för åtgärd'),
('sv', 'projectmanager', 'select the accounting types visible for users of projectmanager', 'Välj faktureringstyp som synlig för Projekthanterings användarna'),
('sv', 'projectmanager', 'select this project and show it''s elements', 'Välj projektet och visa dess element'),
('sv', 'projectmanager', 'selectbox with %1', 'Valruta med %1'),
('sv', 'projectmanager', 'share', 'Dela'),
('sv', 'projectmanager', 'share on the whole project', 'Dela på hela projektet'),
('sv', 'projectmanager', 'share on the whole project in hours or percent, defaults to planned time', 'Dela på hela projekteti timmar eller procent, som standard planerad tid'),
('sv', 'projectmanager', 'should projectmanager display the status icons of the datasource (eg. infolog) or just a progressbar with the numerical status (', 'Ska Projekthanteraren visa status ikonen för datakällan (ex. InfoLogg) eller bara en statuslisten med numeriska värden (snabbare).'),
('sv', 'projectmanager', 'show constraints and milestones', 'Visa vilkor och milstolpar'),
('sv', 'projectmanager', 'show planned times instead of the real times', 'Visa planerade antal istället för faktisk antal'),
('sv', 'projectmanager', 'show status icons of the datasources', 'Visa status ikonen för datakällan'),
('sv', 'projectmanager', 'show the project selection as', 'Visa hela projektvalet som'),
('sv', 'projectmanager', 'site configuration saved', 'Sajtinställningar sparade'),
('sv', 'projectmanager', 'start after', 'Börja efter'),
('sv', 'projectmanager', 'start working on %1', 'Påbörja arbetet den %1'),
('sv', 'projectmanager', 'start, end, category, ...', 'Påbörjan, avslut, kategori, ...'),
('sv', 'projectmanager', 'start- & enddate', 'Start- / Slutdatum'),
('sv', 'projectmanager', 'startdate', 'Startdatum'),
('sv', 'projectmanager', 'startrecord', 'Startpost'),
('sv', 'projectmanager', 'status filter', 'Status filter'),
('sv', 'projectmanager', 'subelements', 'Underelement'),
('sv', 'projectmanager', 'subprojects', 'Underprojekt'),
('sv', 'projectmanager', 'synchronise all', 'Synkronisera alla'),
('sv', 'projectmanager', 'template', 'Mall'),
('sv', 'projectmanager', 'template including elment-tree saved as new project', 'Mall inklusive elmentträd sparades som nytt projekt'),
('sv', 'projectmanager', 'test import (show importable records <u>only</u> in browser)', 'Testa import (visa importerade poster <u>enbart</u> i webbläsaren)'),
('sv', 'projectmanager', 'time', 'Tid'),
('sv', 'projectmanager', 'times', 'Antal'),
('sv', 'projectmanager', 'title must not be empty', 'Rubriken får inte vara tom'),
('sv', 'projectmanager', 'to many might exceed your execution-time-limit', 'För många kan överstiga maxtiden'),
('sv', 'projectmanager', 'translation', 'Översättning'),
('sv', 'projectmanager', 'tree with %1', 'Träd med %1'),
('sv', 'projectmanager', 'unit', 'Enhet'),
('sv', 'projectmanager', 'unitprice', 'Enhetspris'),
('sv', 'projectmanager', 'used', 'Använd'),
('sv', 'projectmanager', 'valid since', 'Giltig efter'),
('sv', 'projectmanager', 'view ganttchart of this project', 'Visa projektets ganttdiagram'),
('sv', 'projectmanager', 'view milestone', 'Visa milstolpe'),
('sv', 'projectmanager', 'view price', 'Visa pris'),
('sv', 'projectmanager', 'view project', 'Visa projekt'),
('sv', 'projectmanager', 'view project-elements', 'Visa projektelement'),
('sv', 'projectmanager', 'view this element in %1', 'Visa elementet i %1'),
('sv', 'projectmanager', 'view this milestone', 'Visa milstolpen'),
('sv', 'projectmanager', 'view this price', 'Visa priset'),
('sv', 'projectmanager', 'view this project', 'Visa projektet'),
('sv', 'projectmanager', 'view this project-element', 'Visa projektelementet'),
('sv', 'projectmanager', 'working duration on %1', 'Arbetets varaktighet på %1'),
('sv', 'projectmanager', 'you can leave the date of the first price empty', 'Du kan lämna första prisets datum tomt'),
('sv', 'projectmanager', 'you need to select a project first', 'Du mäste välja ett projekt först'),
('sv', 'projectmanager', 'your database is not up to date (%1 vs. %2), please run %3setup%4 to update your database.', 'Din databas är inte senaste versionen (%1 vs. %2). Var god och kör %3installationen%4 för att uppdatera den.'),
('sv', 'registration', '<br>please contact the site administrator.', '<br> Var god och kontakta sajt administratören.'),
('sv', 'registration', '[unknown first name]', '[okänt förnamn]'),
('sv', 'registration', '[unknown last name]', '[okänt efternamn]');
INSERT INTO `egw_lang` (`lang`, `app_name`, `message_id`, `content`) VALUES
('sv', 'registration', 'account %1 record could not be found, report to site administrator', 'Konto %1 post kunde inte hittas, rapportera till sajt administratören.'),
('sv', 'registration', 'account password retrieval', 'Hämta lösenord'),
('sv', 'registration', 'account registration', 'Konto registrering'),
('sv', 'registration', 'address', 'Adress'),
('sv', 'registration', 'after you enter your email address, the user accounts associated with this email address will be mailed to that address.', 'Efter att du anget e-postadressen kommer tillhörande användarkonto att underättas.'),
('sv', 'registration', 'after you enter your username, instructions to change your password will be sent to you by e-mail to the address you gave when y', 'Efter att du registrerat ett användarnamn skickas instruktioner om hur du ska ändra ditt lösenord till e-postadressen du anget.'),
('sv', 'registration', 'an error occured. please contact our technical support and let them know.', 'Ett fel uppstod. Var god och meddela support.'),
('sv', 'registration', 'birthday', 'Födelsedag'),
('sv', 'registration', 'challenge question', 'Motfråga'),
('sv', 'registration', 'change password for user', 'Ändra lösenord'),
('sv', 'registration', 'checkbox', 'Kryssruta'),
('sv', 'registration', 'choose language', 'Välj språk'),
('sv', 'registration', 'choose your language', 'Välj språk'),
('sv', 'registration', 'city', 'Stad'),
('sv', 'registration', 'click to log into your account', 'Klicka på här för att logga in'),
('sv', 'registration', 'close window', 'Stäng fönster'),
('sv', 'registration', 'country', 'Land'),
('sv', 'registration', 'current fields:', 'Aktuella fält:'),
('sv', 'registration', 'dropdown', 'Rullgardin'),
('sv', 'registration', 'email address', 'E-postadress'),
('sv', 'registration', 'enter your new password', 'Ange lösenord'),
('sv', 'registration', 'female', 'Kvinna'),
('sv', 'registration', 'gender', 'Kön'),
('sv', 'registration', 'hi', 'Hej'),
('sv', 'registration', 'i have read the terms and conditions and agree by them.', 'Jag har läst och godkänner avtalet'),
('sv', 'registration', 'if you did not request this account, simply ignore this message.', 'Var god och ignorera meddelandet om du inte begärt kontot'),
('sv', 'registration', 'if you did not request this change, simply ignore this message.', 'Var god och ignorera meddelandet om du inte begärt ändringen'),
('sv', 'registration', 'lost user account retrieval', 'Glömt användarkonto återskapning'),
('sv', 'registration', 'lost user id', 'Glömt användar ID'),
('sv', 'registration', 'lost_user_id_message', 'Här är användarkonton som tillhör e-postadressen:'),
('sv', 'registration', 'male', 'Man'),
('sv', 'registration', 'name (blank unless text, textarea, dropdown, checkbox; else alphanumeric only)', 'Namn (tomt såvida inte text, textruta, rullgardin, kryssruta; annars numeriskt endast)'),
('sv', 'registration', 'on-line registration is not activated. please contact the site administrator for more information about registration.', 'Online registrering inte tillgänglig. Var god och kontakta support för mer information.'),
('sv', 'registration', 'order', 'Ordning'),
('sv', 'registration', 'phone', 'Samtal'),
('sv', 'registration', 'problem sending email:', 'Problem att skicka e-post:'),
('sv', 'registration', 're-enter password', 'Återge lösenordet'),
('sv', 'registration', 're-enter your password', 'Återge lösenordet'),
('sv', 'registration', 'remove', 'Radera'),
('sv', 'registration', 'report all problems and abuse to', 'Rapportera problem och missbruk till'),
('sv', 'registration', 'required', 'Krävs'),
('sv', 'registration', 'response', 'Svar'),
('sv', 'registration', 'sorry, no account exists for', 'Tyvär, inget konto registrerat för'),
('sv', 'registration', 'sorry, that username does not exist.', 'Användarnamnet finns inte'),
('sv', 'registration', 'sorry, that username is already taken.', 'Användarnamnet redan upptaget'),
('sv', 'registration', 'sorry, we are having a problem activating your account. note that links sent by e-mail are only valid during two hours. if you t', 'Det är tyvärr problem med att aktivera din registrering. Notera att länkar skickade med e-post bara är giltiga i 2 timmar, om du misstänkter att den har förfallit var god och kontakta support. I annat fall försök igen.'),
('sv', 'registration', 'state', 'Län'),
('sv', 'registration', 'terms of service', 'Avtal'),
('sv', 'registration', 'text', 'Text'),
('sv', 'registration', 'textarea', 'Textruta'),
('sv', 'registration', 'the passwords you entered don''t match', 'Lösenorden är inte lika'),
('sv', 'registration', 'the two passwords are not the same', 'Lösenorden är inte lika'),
('sv', 'registration', 'this is a confirmation email for your new account.  click on the following link to finish activating your account. this link wil', 'Detta är en bekräftelse på ditt nya konto. Klicka på länken inom 2 timmar för att aktivera det.'),
('sv', 'registration', 'type', 'Typ'),
('sv', 'registration', 'unable to send mail, contact your administrator', 'Kunde inte skicka e-post, kontakta administratör.'),
('sv', 'registration', 'unknown first name', 'Okänt fönamn'),
('sv', 'registration', 'unknown last name', 'Okänt efternamn'),
('sv', 'registration', 'update/add', 'Uppdatera/Lägg till'),
('sv', 'registration', 'values (for dropdown only; comma separated)', 'Värden (endast komma separerad för rullgardin)'),
('sv', 'registration', 'we have sent a confirmation email to your email address. you must click on the link within 2 hours. if you do not, it may take a', 'En bekräftelse på ditt nya konto har skickats. Klicka på länken för att aktivera det innom 2 timmar. Om du inte hinner dröjer det några dagar innan ditt inloggnings ID blir tillgänligt för registrering igen.'),
('sv', 'registration', 'we have sent a mail to your email account: %s with your lost user ids.', 'Ett e-post har skickats till din e-post adress: %s , med ditt saknade användar ID.'),
('sv', 'registration', 'we have sent a mail with instructions to change your password. you should follow the included link within two hours. if you do n', 'En bekräftelse på ditt nya konto har skickats. Klicka på länken för att aktivera det innom 2 timmar. Om du inte hinner måste du gå tillbaks till sidan för förlorade lösenord igen.'),
('sv', 'registration', 'wrong session', 'Fel session'),
('sv', 'registration', 'you can go back to the login page', 'Du kan gå tillbaks till inloggningen.'),
('sv', 'registration', 'you have entered an invalid birthday', 'Ogiltig födelsedag'),
('sv', 'registration', 'you have entered an invalid email address', 'Ogiltig e-postadress'),
('sv', 'registration', 'you must enter a password', 'Ange lösenord'),
('sv', 'registration', 'you must enter a username', 'Ange användarnamn'),
('sv', 'registration', 'you must enter an email account', 'Du måste ange en e-postadress'),
('sv', 'registration', 'you must fill in all of the required fields', 'Fylla i begärda fält'),
('sv', 'registration', 'you requested to change your password. please follow the url below to do so. this url will expire in two hours. after this delay', 'Följ URL för att byta lösenord. Klicka på länken för att aktivera det innom 2 timmar. Om du inte hinner måste du gå tillbaks till sidan för förlorade lösenord igen.'),
('sv', 'registration', 'you specified a value for %1 that is not a choice', 'Du specificerade ett värde för %1 som inte tillgängligt'),
('sv', 'registration', 'your account is now active!', 'Ditt konto är nu aktivt!'),
('sv', 'registration', 'your password was changed.', 'Ditt lösenord är ändrat.'),
('sv', 'registration', 'zip/postal', 'Postnummer'),
('sv', 'resources', 'accessories of', 'Tillbehör till'),
('sv', 'resources', 'accessories:', 'Tillbehör:'),
('sv', 'resources', 'actions', 'Åtgärder'),
('sv', 'resources', 'add accessory', 'Lägg till tillbehör'),
('sv', 'resources', 'add resource', 'Lägg till resurs'),
('sv', 'resources', 'add resources', 'Lägg till resurser'),
('sv', 'resources', 'administrator', 'Administratör'),
('sv', 'resources', 'all categories', 'Alla kategorier'),
('sv', 'resources', 'book', 'Boka'),
('sv', 'resources', 'book selected resources', 'Boka valda resurser'),
('sv', 'resources', 'book this resource', 'Boka resursen'),
('sv', 'resources', 'bookable', 'Bokningsbar'),
('sv', 'resources', 'buy this article', 'Köp artikeln'),
('sv', 'resources', 'buy this resource', 'Köp resursen'),
('sv', 'resources', 'buyable', 'Till salu'),
('sv', 'resources', 'categories admin', 'Kategori administratör'),
('sv', 'resources', 'category:', 'Kategori:'),
('sv', 'resources', 'check all', 'Markera alla'),
('sv', 'resources', 'choose categories admin', 'Välj kategori administratör'),
('sv', 'resources', 'clear selection', 'Rensa markeringar'),
('sv', 'resources', 'conflict', 'Konflikt'),
('sv', 'resources', 'create new accessory for this resource', 'Skapa tillbehör till resursen'),
('sv', 'resources', 'create new links', 'Skapa nya länkar'),
('sv', 'resources', 'custom fields', 'Anpassade fält'),
('sv', 'resources', 'days', 'Dagar'),
('sv', 'resources', 'delete selected resources', 'Radera valda resurser'),
('sv', 'resources', 'delete this entry', 'Radera posten'),
('sv', 'resources', 'description (short)', 'Beskrivning (kort)'),
('sv', 'resources', 'direct booking permissions', 'Direkt bokningsrättigheter'),
('sv', 'resources', 'don''t use vfs (this will need a symlink --> see readme)', 'Använd inte VFS (detta behöver en mjuklänk --> läs i README)'),
('sv', 'resources', 'edit this entry', 'Ändra post'),
('sv', 'resources', 'existing links', 'Befintliga länkar'),
('sv', 'resources', 'general', 'Allmänt'),
('sv', 'resources', 'general informations about resource', 'Allmän information om resurser'),
('sv', 'resources', 'gernal resource', 'Allmäna resuser'),
('sv', 'resources', 'global categories', 'Globala kategorier'),
('sv', 'resources', 'hours', 'Timmar'),
('sv', 'resources', 'how many of the resources are useable?', 'Hur många av resurserna är tillgängliga'),
('sv', 'resources', 'how many of them are useable?', 'Hur många av dem är tillgängliga'),
('sv', 'resources', 'how many of this resource are usable', 'Hur många av resursen är tillgängliga'),
('sv', 'resources', 'how many of this resource exists', 'Hur många av resursen finns'),
('sv', 'resources', 'implies booking permission', 'Ger bokningsrättigheter'),
('sv', 'resources', 'implies read permission', 'Ger läsrättigheter'),
('sv', 'resources', 'information about storage', 'Information om lager'),
('sv', 'resources', 'informations about the location of resource', 'Information om resursens placering'),
('sv', 'resources', 'inventory number', 'Inventarie nr'),
('sv', 'resources', 'inventory number:', 'Inventarie nr:'),
('sv', 'resources', 'is resource bookable?', 'Är resursen bokningsbar'),
('sv', 'resources', 'is resource buyable?', 'Är resursen till salu'),
('sv', 'resources', 'is this resource bookable?', 'Är resursen bokningsbar'),
('sv', 'resources', 'is this resource buyable?', 'Är resursen till salu'),
('sv', 'resources', 'links', 'Länkar'),
('sv', 'resources', 'location', 'Placering'),
('sv', 'resources', 'location of resource', 'Resursens placering'),
('sv', 'resources', 'location:', 'Placering:'),
('sv', 'resources', 'name of resource', 'Resuserns namn'),
('sv', 'resources', 'name:', 'Namn:'),
('sv', 'resources', 'no description available', 'Ingen beskrivning tillgänglig'),
('sv', 'resources', 'no resources selected', 'Inga valda resuser'),
('sv', 'resources', 'notify your administrator to correct this situation', 'Meddela administratören om problemet'),
('sv', 'resources', 'picture', 'Bild'),
('sv', 'resources', 'picture source', 'Bildkälla'),
('sv', 'resources', 'picture type is not supported, sorry!', 'Bildformatet stöds tyvärr inte'),
('sv', 'resources', 'pictures or resource', 'Bild på resusen'),
('sv', 'resources', 'planer', 'Planerare'),
('sv', 'resources', 'prizeing information for booking or buying', 'Prisinformation för bokning eller försäljning'),
('sv', 'resources', 'quantity', 'Antal'),
('sv', 'resources', 'quantity of resource', 'Resurs antal'),
('sv', 'resources', 'quantity:', 'Antal:'),
('sv', 'resources', 'read calendar permissions', 'Kalender läsrättigheter'),
('sv', 'resources', 'read permissions', 'Läsrättigheter'),
('sv', 'resources', 'related links', 'Relaterade länkar'),
('sv', 'resources', 'resources list', 'Resurslista'),
('sv', 'resources', 'responsible:', 'Ansvarig:'),
('sv', 'resources', 'saves entry and exits', 'Spara och avsluta'),
('sv', 'resources', 'select a category', 'Välj kategori'),
('sv', 'resources', 'select resource', 'Välj resurs'),
('sv', 'resources', 'select/deselect all', 'Markera / Avmarkera alla'),
('sv', 'resources', 'short description', 'Kort beskrivning'),
('sv', 'resources', 'short description of resource', 'Kort beskrivning av resursen'),
('sv', 'resources', 'show calendar of resource', 'Visa resursens kalender'),
('sv', 'resources', 'something went wrong by deleting resource', 'Något gick fel vid radering av resursen'),
('sv', 'resources', 'something went wrong by saving resource', 'Något gick fel vid sparandet av resursen'),
('sv', 'resources', 'storage information', 'Lager information'),
('sv', 'resources', 'storage information:', 'Lager information:'),
('sv', 'resources', 'the calendar of this resource', 'Resursens kalender'),
('sv', 'resources', 'this module displays the resources app', 'Modulen visar resurs applikationen'),
('sv', 'resources', 'use general resources icon', 'Använd allmän resurs ikon'),
('sv', 'resources', 'use own picture', 'Använd egen bild'),
('sv', 'resources', 'use the category''s icon', 'Använd kategorins ikon'),
('sv', 'resources', 'useable', 'Användbara'),
('sv', 'resources', 'useable:', 'Användbara:'),
('sv', 'resources', 'view accessories for this resource', 'Visa resursens tillbehör'),
('sv', 'resources', 'view this entry', 'Visa posten'),
('sv', 'resources', 'web-page of resource', 'Resursens webbsida'),
('sv', 'resources', 'web-site for this resource', 'Resursens webbsajt'),
('sv', 'resources', 'where to find this resource?', 'Var hittas resursen'),
('sv', 'resources', 'which category does this resource belong to?', 'Vilken kategori tillhör resursen'),
('sv', 'resources', 'write permissions', 'Skrivrättigheter'),
('sv', 'resources', 'you are not permitted to get information about this resource!', 'Du saknar behörighet att hämta information om resusen'),
('sv', 'resources', 'you chose more resources than available', 'Du valde fler resurser än tillgängliga'),
('sv', 'sambaadmin', '%1 - %2 of %3', '%1 - %2 av %3'),
('sv', 'sambaadmin', 'add workstation', 'Lägg till dator'),
('sv', 'sambaadmin', 'displayname', 'Visat namn'),
('sv', 'sambaadmin', 'do you really want to delete selected workstation accounts?', 'Vill du verkligen radera valda datorkonton?'),
('sv', 'sambaadmin', 'homepath', 'Hemsökväg'),
('sv', 'sambaadmin', 'participants', 'Deltagare'),
('sv', 'sambaadmin', 'samba config', 'Samba inställningar'),
('sv', 'sambaadmin', 'workstation account for', 'Datorkonto för'),
('sv', 'sambaadmin', 'workstation configuration', 'Datoralternativ'),
('sv', 'sambaadmin', 'workstation list', 'Datorlista'),
('sv', 'sambaadmin', 'workstation name', 'Datornamn'),
('sv', 'sambaadmin', 'workstationaccount active', 'Datorkonto aktivt'),
('sv', 'sambaadmin', 'workstations', 'Datorer'),
('sv', 'sitemgr', 'actions', 'Åtgärder'),
('sv', 'sitemgr', 'add a category', 'Lägg till kategori'),
('sv', 'sitemgr', 'address line 2', 'Adressrad 2'),
('sv', 'sitemgr', 'all categories', 'Samtliga kategorier'),
('sv', 'sitemgr', 'ascending', 'Stigande'),
('sv', 'sitemgr', 'bookmarks', 'Bokmärken'),
('sv', 'sitemgr', 'center', 'Centrera'),
('sv', 'sitemgr', 'choose a category', 'Välj kategori'),
('sv', 'sitemgr', 'choose language', 'Välj språk'),
('sv', 'sitemgr', 'comment', 'Kommentar'),
('sv', 'sitemgr', 'custom', 'Anpassade'),
('sv', 'sitemgr', 'default', 'Standard'),
('sv', 'sitemgr', 'delete category', 'Radera kategori'),
('sv', 'sitemgr', 'department', 'Avdelning'),
('sv', 'sitemgr', 'descending', 'Fallande'),
('sv', 'sitemgr', 'documentation', 'Dokumentation'),
('sv', 'sitemgr', 'email address', 'E-postadress'),
('sv', 'sitemgr', 'entry deleted', 'Posten raderad'),
('sv', 'sitemgr', 'entry saved', 'Post sparad'),
('sv', 'sitemgr', 'error deleting the entry!!!', 'Fel uppstod vid radering av posten!'),
('sv', 'sitemgr', 'error saving the entry!!!', 'Fel uppstod vid sparandet av posten!'),
('sv', 'sitemgr', 'everybody', 'Alla'),
('sv', 'sitemgr', 'export', 'Exportera'),
('sv', 'sitemgr', 'fax', 'Telefax'),
('sv', 'sitemgr', 'filename', 'Filnamn'),
('sv', 'sitemgr', 'go to', 'Gå till'),
('sv', 'sitemgr', 'id', 'ID'),
('sv', 'sitemgr', 'implies read permission', 'Ger läsrättighet'),
('sv', 'sitemgr', 'import', 'Importera'),
('sv', 'sitemgr', 'move to', 'Flytta valda till'),
('sv', 'sitemgr', 'on all pages', 'På alla sidor'),
('sv', 'sitemgr', 'only on the first page', 'Bara på första sidan'),
('sv', 'sitemgr', 'path', 'Sökväg'),
('sv', 'sitemgr', 'prefix', 'Prefix'),
('sv', 'sitemgr', 'previous', 'Föregende'),
('sv', 'sitemgr', 'published', 'Publicerad'),
('sv', 'sitemgr', 'reload', 'Ladda om'),
('sv', 'sitemgr', 'required', 'Krävs'),
('sv', 'sitemgr', 'reset', 'Återställ'),
('sv', 'sitemgr', 'select a category', 'Välj kategori'),
('sv', 'sitemgr', 'show the title of the wiki page', 'Visa namnet på Wikisidan'),
('sv', 'sitemgr', 'site', 'Sajt'),
('sv', 'sitemgr', 'size', 'Storlek'),
('sv', 'sitemgr', 'state', 'Län'),
('sv', 'sitemgr', 'table of contents', 'Innehåll'),
('sv', 'sitemgr', 'textarea', 'Textruta'),
('sv', 'sitemgr', 'this module displays the current month', 'Denna modul visar den aktuella månaden'),
('sv', 'sitemgr', 'topic', 'Ämne'),
('sv', 'sitemgr', 'translate', 'Översätt'),
('sv', 'sitemgr', 'unsubscribe', 'Avprenumerera'),
('sv', 'sitemgr', 'use default', 'Använd standard'),
('sv', 'sitemgr', 'use this module for displaying wiki-pages', 'Använd modulen för att visa wikisidor'),
('sv', 'sitemgr', 'week', 'Vecka'),
('sv', 'sitemgr', 'wiki', 'Wiki'),
('sv', 'sitemgr', 'wiki startpage', 'Wiki startsida'),
('sv', 'sitemgr', 'zip code', 'Postnummer'),
('sv', 'syncml', 'accepted', 'Accepterat'),
('sv', 'syncml', 'all incl. rejected', 'Alla, även avböjda'),
('sv', 'syncml', 'jobs', 'Jobb'),
('sv', 'syncml', 'not rejected', 'Inte avböjd'),
('sv', 'syncml', 'owner too', 'Även ägaren'),
('sv', 'syncml', 'primary group', 'Primär grupp'),
('sv', 'timesheet', '--> enter new name', '--> ny post'),
('sv', 'timesheet', '2 month ago', '3 månader tidigare'),
('sv', 'timesheet', '2 years ago', '2 år tidigare'),
('sv', 'timesheet', '3 years ago', '3 år tidigare'),
('sv', 'timesheet', 'applies the changes', 'Sparar ändringar'),
('sv', 'timesheet', 'by', 'av'),
('sv', 'timesheet', 'check all', 'Markera alla'),
('sv', 'timesheet', 'comment by %1 at %2:', 'Kommentar av %1 den %2:'),
('sv', 'timesheet', 'create new links', 'Skapa ny länk'),
('sv', 'timesheet', 'creates a new field', 'Skapar nytt fält'),
('sv', 'timesheet', 'custom fields', 'Anpassade fält'),
('sv', 'timesheet', 'deleted', 'Raderad'),
('sv', 'timesheet', 'deletes this field', 'Raderar detta fält'),
('sv', 'timesheet', 'determines the order the fields are displayed', 'Avgör sorteringen av visade fält'),
('sv', 'timesheet', 'each value is a line like <id>[=<label>]', 'varje värde är en rad liknande <id>[=<label>]'),
('sv', 'timesheet', 'edit status', 'Ändra status'),
('sv', 'timesheet', 'edit this entry', 'Ändra post'),
('sv', 'timesheet', 'empty if identical to duration', 'Tom om identisk med varaktighet'),
('sv', 'timesheet', 'end', 'Slut'),
('sv', 'timesheet', 'entry deleted', 'Posten raderad'),
('sv', 'timesheet', 'entry saved', 'Posten sparad'),
('sv', 'timesheet', 'error deleting the entry!!!', 'Fel uppstod vid radering av posten!'),
('sv', 'timesheet', 'error saving the entry!!!', 'Fel uppstod vid sparandet av posten!'),
('sv', 'timesheet', 'existing links', 'Nuvarande länkar'),
('sv', 'timesheet', 'export', 'Exportera'),
('sv', 'timesheet', 'field must not be empty !!!', 'Fältet kan inte vara tomt'),
('sv', 'timesheet', 'general', 'Allmänt'),
('sv', 'timesheet', 'global categories', 'Globala kategorier'),
('sv', 'timesheet', 'history', 'Historik'),
('sv', 'timesheet', 'id', 'ID'),
('sv', 'timesheet', 'last modified', 'Senast ändrad'),
('sv', 'timesheet', 'last month', 'Förra månaden'),
('sv', 'timesheet', 'last week', 'Förra veckan'),
('sv', 'timesheet', 'last year', 'Förra året'),
('sv', 'timesheet', 'leaves without saveing', 'lämnas utan att sparas'),
('sv', 'timesheet', 'length<br>rows', 'Längd<br>Rader'),
('sv', 'timesheet', 'links', 'Länkar'),
('sv', 'timesheet', 'max length of the input [, length of the inputfield (optional)]', 'max indata längd[, Indatafälts längd (option)]'),
('sv', 'timesheet', 'no details', 'Inga detaljer'),
('sv', 'timesheet', 'number of row for a multiline inputfield or line of a multi-select-box', 'Antal rader för flerraders indatafält eller flervalsruta'),
('sv', 'timesheet', 'order', 'Sortering'),
('sv', 'timesheet', 'permission denied!!!', 'Åtkomst nekad!'),
('sv', 'timesheet', 'price', 'Pris'),
('sv', 'timesheet', 'quantity', 'Antal'),
('sv', 'timesheet', 'save & new', 'Spara och skapa ny'),
('sv', 'timesheet', 'saves the changes made', 'Spara ändringar'),
('sv', 'timesheet', 'saves the changes made and leaves', 'Sparar ändringar och avslutar'),
('sv', 'timesheet', 'saves this entry and add a new one', 'Spara och skapa ny'),
('sv', 'timesheet', 'select a price', 'Välj pris'),
('sv', 'timesheet', 'select a project', 'Välj projekt'),
('sv', 'timesheet', 'start', 'Start'),
('sv', 'timesheet', 'the name used internaly (<= 20 chars), changeing it makes existing data unavailible', 'det interna namnet (<= 20 tecken), att ändra det gör existerande data otillgängligt'),
('sv', 'timesheet', 'the text displayed to the user', 'texten som visas för användaren'),
('sv', 'timesheet', 'this month', 'Denna månad'),
('sv', 'timesheet', 'this week', 'Denna vecka'),
('sv', 'timesheet', 'this year', 'Detta år'),
('sv', 'timesheet', 'tracker', 'Tracking System'),
('sv', 'timesheet', 'unitprice', 'Pris per antal'),
('sv', 'timesheet', 'values for selectbox', 'Värde för valrutan'),
('sv', 'timesheet', 'view this entry', 'Visa posten'),
('sv', 'timesheet', 'week', 'Vecka'),
('sv', 'timesheet', 'yesterday', 'Igår'),
('sv', 'timesheet', 'your database is not up to date (%1 vs. %2), please run %3setup%4 to update your database.', 'Ditt data är inte uppdaterat (%1 mot %2), var god och kör %3installationen%4 och uppdatera databasen.'),
('sv', 'tracker', '%1 entries updated.', '%1 poster uppdaterade'),
('sv', 'tracker', '--> enter new name', '--> ny post'),
('sv', 'tracker', '1 - lowest', '1 - Lägst'),
('sv', 'tracker', '5 - medium', '5 - Medium'),
('sv', 'tracker', '9 - highest', '9 - Högst'),
('sv', 'tracker', 'accepted', 'Accepterad'),
('sv', 'tracker', 'add comment', 'Lägg till kommentar'),
('sv', 'tracker', 'add timesheet entry', 'Lägg till tidredovisnings post'),
('sv', 'tracker', 'after how many days a not replied item should be marked overdue?', 'Efter hur många dagar ska obesvarade ärenden markeras som förfallen?'),
('sv', 'tracker', 'after how many days pending items should be closed automatic', 'Efter hur många dagar som vilande ska ärenden automatiskt stängas?'),
('sv', 'tracker', 'allow bounties', 'Tillåt belöningar'),
('sv', 'tracker', 'allow editing by', 'Tillåt ändringar av'),
('sv', 'tracker', 'allow to assign groups to tracker items', 'Tillåt att tilldela grupper Tracker ärenden'),
('sv', 'tracker', 'allow voting', 'Tillåt röstning'),
('sv', 'tracker', 'allow voting on tracker items, show and sort after the votes', 'Tillåt röstning på Tracker ärenden, visa och sortera enligt antal röster'),
('sv', 'tracker', 'amount', 'Summa'),
('sv', 'tracker', 'assigned to', 'Tilldelad'),
('sv', 'tracker', 'assigning groups', 'Tilldela grupper'),
('sv', 'tracker', 'attachments & links', 'Bilagor och länkar'),
('sv', 'tracker', 'autoassign to', 'Automatiskt tilldelad'),
('sv', 'tracker', 'bounties', 'Belöningar'),
('sv', 'tracker', 'bounty confirmed', 'Belöningen bekräftad'),
('sv', 'tracker', 'bounty confirmed.', 'Belöningen bekräftad'),
('sv', 'tracker', 'bounty deleted', 'Belöningen raderad'),
('sv', 'tracker', 'bounty deleted.', 'Belöningen raderad'),
('sv', 'tracker', 'bounty set', 'Belöning'),
('sv', 'tracker', 'canned response', 'Sparade svar'),
('sv', 'tracker', 'canned responses', 'Sparade svar'),
('sv', 'tracker', 'categories, versions, canned responses', 'Kategorier, Versioner, Sparade svar'),
('sv', 'tracker', 'check all', 'Markera alla'),
('sv', 'tracker', 'close pending', 'Stäng vilande'),
('sv', 'tracker', 'closed', 'Stängt'),
('sv', 'tracker', 'comment by %1 at %2:', 'Kommentar av %1 den %2:'),
('sv', 'tracker', 'comments', 'Kommentarer'),
('sv', 'tracker', 'completed', 'Färdig'),
('sv', 'tracker', 'configuration', 'Alternativ'),
('sv', 'tracker', 'configuration for all trackers', 'Alternativ för Tracker köer'),
('sv', 'tracker', 'configuration updated.', 'Inställningar uppdaterade'),
('sv', 'tracker', 'configuration, acl, notifications', 'Alternativ, ACL, Meddelanden'),
('sv', 'tracker', 'confirm that you pay the specified bounty to implement or fix the issue', 'Bekräfta att du kommer att betala belöningen för funktionen eller problemlösningen!'),
('sv', 'tracker', 'confirm the receipt of money for this bounty', 'Bekräfta mottagandet av pengarna för belöningen'),
('sv', 'tracker', 'confirmed', 'Bekräftad'),
('sv', 'tracker', 'copy to', 'Kopia'),
('sv', 'tracker', 'create new links', 'Skapa ny länk'),
('sv', 'tracker', 'created', 'Skapat'),
('sv', 'tracker', 'creation date', 'Skapat datum'),
('sv', 'tracker', 'custom fields', 'Anpassade fält'),
('sv', 'tracker', 'date opened', 'Datum öppnat'),
('sv', 'tracker', 'delete this bounty', 'Radera belöningen'),
('sv', 'tracker', 'delete this canned response', 'Radera det sparade svaret'),
('sv', 'tracker', 'delete this category', 'Radera kategorin'),
('sv', 'tracker', 'delete this entry', 'Radera posten'),
('sv', 'tracker', 'delete this tracker including all it''s items and categories', 'Radera Trackern inklusive alla ärenden och kategorier'),
('sv', 'tracker', 'delete this version', 'Radera versionen'),
('sv', 'tracker', 'deleted', 'Raderat'),
('sv', 'tracker', 'donator name to show', 'Donator namn som visas'),
('sv', 'tracker', 'duplicate', 'Dublett'),
('sv', 'tracker', 'e-mail address to which a copy of all tracker-notifications should be send', 'E-post adress till vilken kopior på alla Tracker meddelanden ska skickas'),
('sv', 'tracker', 'e-mail notifications', 'E-post meddelanden'),
('sv', 'tracker', 'edit %1', 'Ändra %1'),
('sv', 'tracker', 'email address to contact you', 'E-post adress för att kontakta dig'),
('sv', 'tracker', 'entry saved', 'Posten sparad'),
('sv', 'tracker', 'error adding the new tracker!', 'Kunde inte lägga till nytt ärende!'),
('sv', 'tracker', 'error saving the entry!!!', 'Kunde inte spara ärendet!'),
('sv', 'tracker', 'everybody', 'Alla'),
('sv', 'tracker', 'existing links', 'Befintliga länkar'),
('sv', 'tracker', 'field', 'Fält'),
('sv', 'tracker', 'fixed', 'Klar'),
('sv', 'tracker', 'forward to', 'Vidarebefodra till'),
('sv', 'tracker', 'from', 'Från'),
('sv', 'tracker', 'history', 'Historik'),
('sv', 'tracker', 'id', 'ID'),
('sv', 'tracker', 'if this item is important for you, please consider to set a bounty for it!', 'Om ärendet är viktigt för dig, överväg att utlysa en belöning'),
('sv', 'tracker', 'if this item is important for you, please vote for it.', 'Om ärendet är viktigt för dig, rösta på det.'),
('sv', 'tracker', 'invalid', 'Ogiltig'),
('sv', 'tracker', 'item assignee', 'Ärendet tilldelad'),
('sv', 'tracker', 'item creator', 'Ärendeägare'),
('sv', 'tracker', 'language for the copy', 'Kopians språk'),
('sv', 'tracker', 'last modified', 'Senast ändrad'),
('sv', 'tracker', 'later', 'Senare'),
('sv', 'tracker', 'links', 'Länkar'),
('sv', 'tracker', 'new %1', 'Nytt %1'),
('sv', 'tracker', 'new items', 'Nytt ärende'),
('sv', 'tracker', 'new tracker item submitted by %1 at %2', 'Nytt Tracker ärende skapat av %1 den %2.'),
('sv', 'tracker', 'no change', 'Ingen ändring'),
('sv', 'tracker', 'non-anonymous users', 'Inloggade användare'),
('sv', 'tracker', 'noone', 'Ingen'),
('sv', 'tracker', 'notification', 'Meddelande'),
('sv', 'tracker', 'out of date', 'Förfallen'),
('sv', 'tracker', 'overdue after', 'Förfaller efter'),
('sv', 'tracker', 'pending', 'Vilande'),
('sv', 'tracker', 'pending items never get close automatic.', 'Vilande ärenden stängs inte automatiskt'),
('sv', 'tracker', 'pending items will be closed automatic after %1 days without response.', 'Vilande ärenden stängs automatiskt efter %1 dagar utan svar.'),
('sv', 'tracker', 'permission denied !!!', 'Åtkomst nekas!'),
('sv', 'tracker', 'postponed', 'Framskjutet'),
('sv', 'tracker', 'receive notifications about assigned tracker-items', 'Mottag meddelanden om tilldelade Tracker ärenden'),
('sv', 'tracker', 'receive notifications about created tracker-items', 'Mottag meddelanden om skapade Tracker ärenden'),
('sv', 'tracker', 'rejected', 'Avvisat'),
('sv', 'tracker', 'remind', 'Påminn'),
('sv', 'tracker', 'resolution', 'Beslut'),
('sv', 'tracker', 'sender address', 'Avsändaradress'),
('sv', 'tracker', 'sender address for all notifications, eg. noreply@egroupware.org', 'Avsändaradress för alla meddelanden, ex. noreply@egroupware.org'),
('sv', 'tracker', 'set an own bounty (in %s)', 'Utlys belöning (i %s)'),
('sv', 'tracker', 'set bounty', 'Utlys belöning'),
('sv', 'tracker', 'should the tracker send you notification mails, if tracker items assigned to you get updated?', 'Ska Trackern skicka meddelanden till dig om dina tilldelade ärenden blir uppdaterade?'),
('sv', 'tracker', 'should the tracker send you notification mails, if tracker items you created get updated?', 'Ska Trackern skicka meddelanden till dig om dina skapade ärenden blir uppdaterade?'),
('sv', 'tracker', 'staff', 'Bemanning'),
('sv', 'tracker', 'state', 'Län'),
('sv', 'tracker', 'summary', 'Rubrik'),
('sv', 'tracker', 'technicians', 'Tekniker'),
('sv', 'tracker', 'thank you for setting this bounty.', 'Tack för ditt bidrag till belöningen.'),
('sv', 'tracker', 'thank you for voting.', 'Tack för din röst.'),
('sv', 'tracker', 'the bounty will not be shown, until the money is received.', 'Belöningen visas INTE innan pengarna är överförda.'),
('sv', 'tracker', 'the canned response will be prefix the text you type.', 'Det sparade svaret blir inledning till det du skriver.'),
('sv', 'tracker', 'this module displays information from the tracker.', 'Modulen visar information från Trackern.'),
('sv', 'tracker', 'this tracker item was closed automatically by the system. it was previously set to a pending status, and the original submitter ', 'Tracker ärendet stängdes automatiskt av systemet. Det var tidigare satt som i vilande status, och ägaren svarade inte inom %1 dagar.'),
('sv', 'tracker', 'times', 'Tider'),
('sv', 'tracker', 'tracker added', 'Tracker kö skapad'),
('sv', 'tracker', 'tracker admins', 'Administratörer'),
('sv', 'tracker', 'tracker admins & technicians', 'Tracker administratörer och tekniker'),
('sv', 'tracker', 'tracker configuration', 'Tracker alternativ'),
('sv', 'tracker', 'tracker deleted', 'Tracker kö raderad'),
('sv', 'tracker', 'tracker item modified by %1 at %2', 'Tracker ärende ändrat av %1 den %2'),
('sv', 'tracker', 'tracker item not found !!!', 'Tracker ärendet hittades inte'),
('sv', 'tracker', 'tracker-%1 ''%2'' added.', 'Tracker - %1 ''%2'' skapat'),
('sv', 'tracker', 'tracker-%1 ''%2'' updated.', 'Tracker - %1 ''%2'' uppdaterat'),
('sv', 'tracker', 'tracker-%1 deleted.', 'Tracker - %1 ''%2'' raderat'),
('sv', 'tracker', 'url of the tracker', 'URL till Tracker'),
('sv', 'tracker', 'url to be included in the notification, eg. to the page with the sitemgr module, default tracker inside egw', 'URL inkluderas i meddelandet. Ex. till sidan med Sajthanterings modulen, standard Tracker i eGW.'),
('sv', 'tracker', 'versions', 'Versioner'),
('sv', 'tracker', 'vote for it!', 'Rösta!'),
('sv', 'tracker', 'votes', 'Röster'),
('sv', 'tracker', 'wont fix', 'Ingen åtgärd'),
('sv', 'tracker', 'works for me', 'Fungerar för mig'),
('sv', 'tracker', 'yes, display groups first', 'Ja, visa grupper först'),
('sv', 'tracker', 'yes, display users first', 'Ja, visa användare först'),
('sv', 'tracker', 'you can respond by visiting:', 'Du kan svara genom att besöka:'),
('sv', 'tracker', 'you need to enter a name', 'Du måste ange ett namn'),
('sv', 'tracker', 'you need to login to vote!', 'Du måste vara inloggad för att rösta!'),
('sv', 'tracker', 'you need to select something to change and some tracker items!', 'Du måste välja något att ändra och något Tracker ärende!'),
('sv', 'tracker', 'you need to specify amount, donators name and email address!', 'Du måste ange summan, donatörens namn och e-postadress!'),
('sv', 'tracker', 'you voted %1.', 'Du röstade %1'),
('sv', 'wiki', '<em>but</em> display at least this many entries in recentchanges and other subscription lists:', '<em>Men</em> visa åtminstone så här många poster i "Senaste Ändring" och andra prenumerationslistor:'),
('sv', 'wiki', 'add document to category', 'Lägg till dokument i kategorin'),
('sv', 'wiki', 'added', 'Tillagd'),
('sv', 'wiki', 'administration features are disabled for this wiki.', 'Administrations möjligheterna är inaktiverade i denna Wiki.'),
('sv', 'wiki', 'admins', 'Adminstratörer'),
('sv', 'wiki', 'block', 'Spärra'),
('sv', 'wiki', 'blocked ip address ranges', 'Spärra IP adress spann'),
('sv', 'wiki', 'cancel without saving', 'Avbryt utan att spara'),
('sv', 'wiki', 'changed', 'Ändrad'),
('sv', 'wiki', 'changes by last author', 'Ändringar av senaste författare'),
('sv', 'wiki', 'choose your current time here, so the server may figure out what time zone you are in.', 'Välj din nuvarande tid så att servern kan hålla reda på vilken i tidzon du befinner dig.'),
('sv', 'wiki', 'columns', 'Kolumner'),
('sv', 'wiki', 'compute difference', 'Utarbeta skillnader'),
('sv', 'wiki', 'converts the page to richtext', 'Konvertera sidan till richtext'),
('sv', 'wiki', 'current version', 'Aktuell version'),
('sv', 'wiki', 'deleted', 'Raderad'),
('sv', 'wiki', 'deletes this page', 'Raderar sidan'),
('sv', 'wiki', 'difference between versions', 'Skillnader mellan versioner'),
('sv', 'wiki', 'differences in', 'Skillnader i'),
('sv', 'wiki', 'different languages can have different titles', 'Olika språk kan ha olika rubriker'),
('sv', 'wiki', 'document last modified', 'Dokumentet senast ändrad'),
('sv', 'wiki', 'edit box', 'Editor fönster'),
('sv', 'wiki', 'edit this <em>archive version</em> of this document', 'Ändra <em>ARKIVERADE VERSIONEN</em> av detta dokument'),
('sv', 'wiki', 'edit this document', 'Ändra dokumentet'),
('sv', 'wiki', 'editing', 'Ändrar'),
('sv', 'wiki', 'enter here the maximum number of entries to display in a document''s history list.', 'Antal poster som visas i dokumentets historik.'),
('sv', 'wiki', 'enter here the number of days of edits to display on recentchanges or any other subscription list.  set this to zero if you wish', 'Ange antal dagar med ändringar att visa i "Senaste Ändringar" eller i annan prenumerations tjänst. Sätt till noll för att se alla sidor i "Senaste Ändringar", oavsett när ändringen gjordes.'),
('sv', 'wiki', 'enter ip address range in form <tt>12.*</tt>, <tt>34.56.*</tt>, or <tt>78.90.123.*</tt>', 'Ange IP adress spann enligt <tt>12.*</tt>, <tt>34.56.*</tt> eller <tt>78.90.123.*</tt>'),
('sv', 'wiki', 'error creating temporary file.', 'Kunde inte skapa temporär fil.'),
('sv', 'wiki', 'error writing to temporary file.', 'Kunde inte skriva till temporär fil.'),
('sv', 'wiki', 'everyone', 'Alla'),
('sv', 'wiki', 'find', 'Hitta'),
('sv', 'wiki', 'history', 'Historik'),
('sv', 'wiki', 'history display should show <em>all</em> changes made by the latest author.  otherwise, show only the last change made.', 'Historik ska visa <em>alla</em> ändringar gjorda av senaste författare. Visa annars endast senaste ändring.'),
('sv', 'wiki', 'history lists', 'Ändringshistorik'),
('sv', 'wiki', 'history of', 'Historik för'),
('sv', 'wiki', 'invalid page name.', 'Ogiltigt sidnamn'),
('sv', 'wiki', 'load', 'Ladda'),
('sv', 'wiki', 'loads the named page in the given language, all change so far get lost !!!', 'Laddar sida på angivet språk, alla ändringar hittills går förlorade!'),
('sv', 'wiki', 'locked', 'Låst'),
('sv', 'wiki', 'newer', 'Aldrig'),
('sv', 'wiki', 'not set', 'Inte satt'),
('sv', 'wiki', 'older', 'Äldre'),
('sv', 'wiki', 'on all pages', 'På alla sidor'),
('sv', 'wiki', 'only on the first page', 'Bara på första sidan'),
('sv', 'wiki', 'page ''%1'' not found !!!', 'Sidan ''%1'' kunde inte hittas'),
('sv', 'wiki', 'please contact the %1administrator%2 for assistance.', 'Var god kontakta %1Administratör%2 för hjälp.'),
('sv', 'wiki', 'preview', 'Förhandsgranska'),
('sv', 'wiki', 'preview of current version', 'Förhandsgranska aktuell version'),
('sv', 'wiki', 'rate control / ip blocking disabled', '"Rate control" / IP blockering inaktiverad'),
('sv', 'wiki', 'readable by', 'Läsbar av'),
('sv', 'wiki', 'recent changes', 'Senaste ändringar'),
('sv', 'wiki', 'renames page to the given name and language', 'Byter sidans namn och språk'),
('sv', 'wiki', 'richtext', 'Richtext'),
('sv', 'wiki', 'rows', 'Rader'),
('sv', 'wiki', 'save the changes and exit', 'Spara ändringar och avsluta'),
('sv', 'wiki', 'saves and continues editing', 'Spara ändringar och fortsätt skriva'),
('sv', 'wiki', 'search for', 'Sök efter'),
('sv', 'wiki', 'see complete list (%1 entries)', 'Se fullständig lista (%1 poster)'),
('sv', 'wiki', 'show a search', 'Visa sökt'),
('sv', 'wiki', 'show the title of the wiki page', 'Visa namnet på Wikisidan'),
('sv', 'wiki', 'summary', 'Summering'),
('sv', 'wiki', 'summary of change', 'Summering av ändringar'),
('sv', 'wiki', 'the search returned no result!', 'Sökningen returnerade inget svar'),
('sv', 'wiki', 'this page can not be edited.', 'Denna sida kan inte ändras'),
('sv', 'wiki', 'twin pages', 'Dublett'),
('sv', 'wiki', 'unblock', 'Öppna'),
('sv', 'wiki', 'updates the preview', 'Uppdatera förhandsgranskning'),
('sv', 'wiki', 'use this module for displaying wiki-pages', 'Använd modulen för att visa wikisidor'),
('sv', 'wiki', 'users', 'Användare'),
('sv', 'wiki', 'view document history', 'Visa historik'),
('sv', 'wiki', 'visit %1 to set your user name', 'Besök %1 för att sätta ditt användarnamn'),
('sv', 'wiki', 'warning: since you started editing, this document has been changed by someone else.  please merge your edits into the current ve', 'Varning: sedan du började skriva har dokumentet uppdaterats av annan. Var god och migrera dina ändringar till aktuell version av dokumentet.'),
('sv', 'wiki', 'who should be able to edit this page', 'Vem ska kunna ändra sidan'),
('sv', 'wiki', 'who should be able to read this page', 'Vem ska kunna läsa sidan'),
('sv', 'wiki', 'wiki administration', 'Wiki administration'),
('sv', 'wiki', 'wiki menu', 'Wiki meny'),
('sv', 'wiki', 'wiki startpage', 'Wiki startsida'),
('sv', 'wiki', 'writable by', 'Skrivbar av'),
('sv', 'wiki', 'you have been denied access to this site.', 'Du nekas tillträde till denna sajt.'),
('sv', 'wiki', 'you have entered an invalid user name.', 'Du har angett ett ogiltigt användarnamn.'),
('sv', 'wiki', 'you have exeeded the number of pages you are allowed to visit in a given period of time. please return later.', 'Du har besökt fler sidor än du har rätt till under given period. Var god och återkom senare.'),
('sv', 'wiki', 'you have no rights to view wiki content !!!', 'Du saknar rättighet att se wiki innehållet'),
('sv', 'wiki', 'your changes', 'Dina ändringar'),
('sv', 'wiki', 'your user name is "%1".', 'Ditt användarnamn är "%1".');

CREATE TABLE IF NOT EXISTS `egw_languages` (
  `lang_id` varchar(5) NOT NULL default '',
  `lang_name` varchar(50) NOT NULL default '',
  PRIMARY KEY  (`lang_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `egw_languages` (`lang_id`, `lang_name`) VALUES
('aa', 'Afar'),
('ab', 'Abkhazian'),
('af', 'Afrikaans'),
('am', 'Amharic'),
('ar', 'Arabic'),
('as', 'Assamese'),
('ay', 'Aymara'),
('az', 'Azerbaijani'),
('ba', 'Bashkir'),
('be', 'Byelorussian'),
('bg', 'Bulgarian'),
('bh', 'Bihari'),
('bi', 'Bislama'),
('bn', 'Bengali / Bangla'),
('bo', 'Tibetan'),
('br', 'Breton'),
('ca', 'Catalan'),
('co', 'Corsican'),
('cs', 'Czech'),
('cy', 'Welsh'),
('da', 'Danish'),
('de', 'German'),
('dz', 'Bhutani'),
('el', 'Greek'),
('en', 'English / US'),
('eo', 'Esperanto'),
('es-es', 'Español'),
('et', 'Estonian'),
('eu', 'Basque'),
('fa', 'Persian'),
('fi', 'Finnish'),
('fj', 'Fiji'),
('fo', 'Faeroese'),
('fr', 'Français'),
('fy', 'Frisian'),
('ga', 'Irish'),
('gd', 'Gaelic / Scots Gaelic'),
('gl', 'Galician'),
('gn', 'Guarani'),
('gu', 'Gujarati'),
('ha', 'Hausa'),
('hi', 'Hindi'),
('hr', 'Croatian'),
('hu', 'Hungarian'),
('hy', 'Armenian'),
('ia', 'Interlingua'),
('ie', 'Interlingue'),
('ik', 'Inupiak'),
('in', 'Indonesian'),
('is', 'Icelandic'),
('it', 'Italian'),
('iw', 'Hebrew'),
('ja', 'Japanese'),
('ji', 'Yiddish'),
('jw', 'Javanese'),
('ka', 'Georgian'),
('kk', 'Kazakh'),
('kl', 'Greenlandic'),
('km', 'Cambodian'),
('kn', 'Kannada'),
('ko', 'Korean'),
('ks', 'Kashmiri'),
('ku', 'Kurdish'),
('ky', 'Kirghiz'),
('la', 'Latin'),
('ln', 'Lingala'),
('lo', 'Laothian'),
('lt', 'Lithuanian'),
('lv', 'Latvian / Lettish'),
('mg', 'Malagasy'),
('mi', 'Maori'),
('mk', 'Macedonian'),
('ml', 'Malayalam'),
('mn', 'Mongolian'),
('mo', 'Moldavian'),
('mr', 'Marathi'),
('ms', 'Malay'),
('mt', 'Maltese'),
('my', 'Burmese'),
('na', 'Nauru'),
('ne', 'Nepali'),
('nl', 'Dutch'),
('no', 'Norwegian'),
('oc', 'Occitan'),
('om', 'Oromo / Afan'),
('or', 'Oriya'),
('pa', 'Punjabi'),
('pl', 'Polish'),
('ps', 'Pashto / Pushto'),
('pt', 'Portuguese'),
('pt-br', 'Brazil'),
('qu', 'Quechua'),
('rm', 'Rhaeto-Romance'),
('rn', 'Kirundi'),
('ro', 'Romanian'),
('ru', 'Russian'),
('rw', 'Kinyarwanda'),
('sa', 'Sanskrit'),
('sd', 'Sindhi'),
('sg', 'Sangro'),
('sh', 'Serbo-Croatian'),
('si', 'Singhalese'),
('sk', 'Slovak'),
('sl', 'Slovenian'),
('sm', 'Samoan'),
('sn', 'Shona'),
('so', 'Somali'),
('sq', 'Albanian'),
('sr', 'Serbian'),
('ss', 'Siswati'),
('st', 'Sesotho'),
('su', 'Sudanese'),
('sv', 'Swedish'),
('sw', 'Swahili'),
('ta', 'Tamil'),
('te', 'Tegulu'),
('tg', 'Tajik'),
('th', 'Thai'),
('ti', 'Tigrinya'),
('tk', 'Turkmen'),
('tl', 'Tagalog'),
('tn', 'Setswana'),
('to', 'Tonga'),
('tr', 'Turkish'),
('ts', 'Tsonga'),
('tt', 'Tatar'),
('tw', 'Twi'),
('uk', 'Ukrainian'),
('ur', 'Urdu'),
('uz', 'Uzbek'),
('vi', 'Vietnamese'),
('vo', 'Volapuk'),
('wo', 'Wolof'),
('xh', 'Xhosa'),
('yo', 'Yoruba'),
('zh', 'Chinese(simplified)'),
('zh-tw', 'Chinese(Taiwan)'),
('zu', 'Zulu');

CREATE TABLE IF NOT EXISTS `egw_links` (
  `link_id` int(11) NOT NULL auto_increment,
  `link_app1` varchar(25) NOT NULL,
  `link_id1` varchar(50) NOT NULL,
  `link_app2` varchar(25) NOT NULL,
  `link_id2` varchar(50) NOT NULL,
  `link_remark` varchar(100) default NULL,
  `link_lastmod` bigint(20) NOT NULL,
  `link_owner` int(11) NOT NULL,
  `deleted` datetime default NULL,
  PRIMARY KEY  (`link_id`),
  KEY `egw_links_deleted` (`deleted`),
  KEY `egw_links_app1_id1_lastmod` (`link_app1`,`link_id1`,`link_lastmod`),
  KEY `egw_links_app2_id2_lastmod` (`link_app2`,`link_id2`,`link_lastmod`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `egw_locks` (
  `lock_token` varchar(255) NOT NULL,
  `lock_path` varchar(255) NOT NULL,
  `lock_expires` bigint(20) NOT NULL,
  `lock_owner` varchar(255) default NULL,
  `lock_recursive` tinyint(4) NOT NULL default '0',
  `lock_write` tinyint(4) NOT NULL default '0',
  `lock_exclusive` tinyint(4) NOT NULL default '0',
  `lock_created` bigint(20) default '0',
  `lock_modified` bigint(20) default '0',
  PRIMARY KEY  (`lock_token`),
  KEY `egw_locks_path` (`lock_path`),
  KEY `egw_locks_expires` (`lock_expires`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `egw_log` (
  `log_id` int(11) NOT NULL auto_increment,
  `log_date` datetime NOT NULL default '0000-00-00 00:00:00',
  `log_user` int(11) NOT NULL default '0',
  `log_app` varchar(50) NOT NULL default '',
  `log_severity` char(1) NOT NULL default '',
  PRIMARY KEY  (`log_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `egw_log_msg` (
  `log_msg_log_id` int(11) NOT NULL default '0',
  `log_msg_seq_no` int(11) NOT NULL default '0',
  `log_msg_date` datetime NOT NULL default '0000-00-00 00:00:00',
  `log_msg_tx_fid` varchar(4) default NULL,
  `log_msg_tx_id` varchar(4) default NULL,
  `log_msg_severity` char(1) NOT NULL default '',
  `log_msg_code` varchar(30) NOT NULL default '',
  `log_msg_msg` text,
  `log_msg_parms` text,
  `log_msg_file` varchar(255) NOT NULL default '',
  `log_msg_line` int(11) NOT NULL default '0',
  PRIMARY KEY  (`log_msg_log_id`,`log_msg_seq_no`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `egw_mailaccounts` (
  `mail_id` int(11) NOT NULL auto_increment,
  `account_id` int(11) NOT NULL,
  `mail_type` tinyint(4) NOT NULL,
  `mail_value` varchar(128) NOT NULL,
  PRIMARY KEY  (`mail_id`),
  KEY `egw_mailaccounts_value` (`mail_value`),
  KEY `egw_mailaccounts_account_id_type` (`account_id`,`mail_type`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `egw_news` (
  `news_id` int(11) NOT NULL auto_increment,
  `news_date` bigint(20) default NULL,
  `news_headline` varchar(128) default NULL,
  `news_submittedby` int(11) default NULL,
  `news_content` text,
  `news_begin` bigint(20) NOT NULL default '0',
  `news_end` bigint(20) default NULL,
  `cat_id` int(11) default NULL,
  `news_teaser` text,
  `news_is_html` smallint(6) NOT NULL default '1',
  `news_source_id` int(11) default NULL,
  `news_lang` varchar(5) default NULL,
  PRIMARY KEY  (`news_id`),
  KEY `egw_news_date` (`news_date`),
  KEY `egw_news_headline` (`news_headline`),
  KEY `egw_news_cat_id` (`cat_id`),
  KEY `egw_news_lang` (`news_lang`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `egw_news_export` (
  `cat_id` int(11) NOT NULL default '0',
  `export_type` smallint(6) default NULL,
  `export_itemsyntax` smallint(6) default NULL,
  `export_title` varchar(255) default NULL,
  `export_link` varchar(255) default NULL,
  `export_description` text,
  `export_img_title` varchar(255) default NULL,
  `export_img_url` varchar(255) default NULL,
  `export_img_link` varchar(255) default NULL,
  PRIMARY KEY  (`cat_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `egw_nextid` (
  `id` int(11) default NULL,
  `appname` varchar(25) NOT NULL default '',
  PRIMARY KEY  (`appname`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `egw_notificationpopup` (
  `account_id` int(11) NOT NULL default '0',
  `session_id` varchar(255) NOT NULL default '',
  `message` longtext,
  KEY `egw_notificationpopup_account_id` (`account_id`),
  KEY `egw_notificationpopup_session_id` (`session_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `egw_phpfreechat` (
  `server` varchar(32) NOT NULL,
  `group` varchar(64) NOT NULL,
  `subgroup` varchar(128) NOT NULL,
  `leaf` varchar(128) NOT NULL,
  `leafvalue` text,
  `timestamp` int(11) NOT NULL default '0',
  PRIMARY KEY  (`group`,`subgroup`,`leaf`),
  KEY `egw_phpfreechat_server_group_subgroup_timestamp` (`server`,`group`,`subgroup`,`timestamp`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `egw_pm_constraints` (
  `pm_id` int(11) NOT NULL default '0',
  `pe_id_end` int(11) NOT NULL default '0',
  `pe_id_start` int(11) NOT NULL default '0',
  `ms_id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`pm_id`,`pe_id_end`,`pe_id_start`,`ms_id`),
  KEY `egw_pm_constraints_id_pe_id_start` (`pm_id`,`pe_id_start`),
  KEY `egw_pm_constraints_id_ms_id` (`pm_id`,`ms_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `egw_pm_elements` (
  `pm_id` int(11) NOT NULL default '0',
  `pe_id` int(11) NOT NULL default '0',
  `pe_title` varchar(255) NOT NULL default '',
  `pe_completion` smallint(6) default NULL,
  `pe_planned_time` int(11) default NULL,
  `pe_used_time` int(11) default NULL,
  `pe_planned_budget` decimal(20,2) default NULL,
  `pe_used_budget` decimal(20,2) default NULL,
  `pe_planned_start` bigint(20) default NULL,
  `pe_real_start` bigint(20) default NULL,
  `pe_planned_end` bigint(20) default NULL,
  `pe_real_end` bigint(20) default NULL,
  `pe_overwrite` int(11) NOT NULL default '0',
  `pl_id` int(11) NOT NULL default '0',
  `pe_synced` bigint(20) default NULL,
  `pe_modified` bigint(20) NOT NULL default '0',
  `pe_modifier` int(11) NOT NULL default '0',
  `pe_status` varchar(8) NOT NULL default 'new',
  `pe_unitprice` decimal(20,2) default NULL,
  `cat_id` int(11) NOT NULL default '0',
  `pe_share` int(11) default NULL,
  `pe_health` smallint(6) default NULL,
  `pe_resources` varchar(255) default NULL,
  `pe_details` text,
  `pe_planned_quantity` double default NULL,
  `pe_used_quantity` double default NULL,
  `pe_replanned_time` int(11) default NULL,
  PRIMARY KEY  (`pm_id`,`pe_id`),
  KEY `egw_pm_elements_id_pe_status` (`pm_id`,`pe_status`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `egw_pm_extra` (
  `pm_id` int(11) NOT NULL default '0',
  `pm_extra_name` varchar(40) NOT NULL default '',
  `pm_extra_value` text,
  PRIMARY KEY  (`pm_id`,`pm_extra_name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `egw_pm_members` (
  `pm_id` int(11) NOT NULL default '0',
  `member_uid` int(11) NOT NULL default '0',
  `role_id` int(11) default '0',
  `member_availibility` double default '100',
  PRIMARY KEY  (`pm_id`,`member_uid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `egw_pm_milestones` (
  `ms_id` int(11) NOT NULL auto_increment,
  `pm_id` int(11) NOT NULL default '0',
  `ms_date` bigint(20) NOT NULL default '0',
  `ms_title` varchar(255) default NULL,
  `ms_description` text,
  PRIMARY KEY  (`ms_id`),
  KEY `egw_pm_milestones_id` (`pm_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `egw_pm_pricelist` (
  `pl_id` int(11) NOT NULL auto_increment,
  `pl_title` varchar(255) NOT NULL default '',
  `pl_description` text,
  `cat_id` int(11) NOT NULL default '0',
  `pl_unit` varchar(20) NOT NULL default '',
  PRIMARY KEY  (`pl_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `egw_pm_prices` (
  `pm_id` int(11) NOT NULL default '0',
  `pl_id` int(11) NOT NULL default '0',
  `pl_validsince` bigint(20) NOT NULL default '0',
  `pl_price` double default NULL,
  `pl_modifier` int(11) NOT NULL default '0',
  `pl_modified` bigint(20) NOT NULL default '0',
  `pl_customertitle` varchar(255) default NULL,
  `pl_billable` smallint(6) default '1',
  PRIMARY KEY  (`pm_id`,`pl_id`,`pl_validsince`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `egw_pm_projects` (
  `pm_id` int(11) NOT NULL auto_increment,
  `pm_number` varchar(64) NOT NULL default '',
  `pm_title` varchar(255) NOT NULL default '',
  `pm_description` text,
  `pm_creator` int(11) NOT NULL default '0',
  `pm_created` bigint(20) NOT NULL default '0',
  `pm_modifier` int(11) default NULL,
  `pm_modified` bigint(20) default NULL,
  `pm_planned_start` bigint(20) default NULL,
  `pm_planned_end` bigint(20) default NULL,
  `pm_real_start` bigint(20) default NULL,
  `pm_real_end` bigint(20) default NULL,
  `cat_id` int(11) default '0',
  `pm_access` varchar(7) default 'public',
  `pm_priority` smallint(6) default '1',
  `pm_status` varchar(9) default 'active',
  `pm_completion` smallint(6) default '0',
  `pm_used_time` int(11) default NULL,
  `pm_planned_time` int(11) default NULL,
  `pm_used_budget` decimal(20,2) default NULL,
  `pm_planned_budget` decimal(20,2) default NULL,
  `pm_overwrite` int(11) default '0',
  `pm_accounting_type` varchar(10) default 'times',
  `pm_replanned_time` int(11) default NULL,
  PRIMARY KEY  (`pm_id`),
  UNIQUE KEY `egw_pm_projects_number` (`pm_number`),
  KEY `egw_pm_projects_title` (`pm_title`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `egw_pm_roles` (
  `role_id` int(11) NOT NULL auto_increment,
  `pm_id` int(11) default '0',
  `role_title` varchar(80) NOT NULL default '',
  `role_description` varchar(255) default NULL,
  `role_acl` int(11) NOT NULL default '0',
  PRIMARY KEY  (`role_id`),
  KEY `egw_pm_roles_id` (`pm_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `egw_polls` (
  `poll_id` int(11) NOT NULL auto_increment,
  `poll_title` varchar(100) NOT NULL default '',
  `poll_timestamp` bigint(20) NOT NULL default '0',
  `poll_visible` int(11) NOT NULL default '0',
  `poll_votable` int(11) NOT NULL default '0',
  PRIMARY KEY  (`poll_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `egw_polls_answers` (
  `answer_id` int(11) NOT NULL auto_increment,
  `poll_id` int(11) NOT NULL default '0',
  `answer_text` varchar(100) NOT NULL default '',
  `answer_votes` int(11) NOT NULL default '0',
  PRIMARY KEY  (`answer_id`),
  KEY `egw_polls_answers_id` (`poll_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `egw_polls_votes` (
  `poll_id` int(11) NOT NULL default '0',
  `answer_id` int(11) NOT NULL default '0',
  `vote_uid` int(11) NOT NULL default '0',
  `vote_ip` varchar(128) NOT NULL default '',
  `vote_timestamp` bigint(20) default NULL,
  PRIMARY KEY  (`poll_id`,`answer_id`,`vote_uid`,`vote_ip`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `egw_preferences` (
  `preference_owner` int(11) NOT NULL default '0',
  `preference_app` varchar(25) NOT NULL default '',
  `preference_value` text,
  PRIMARY KEY  (`preference_owner`,`preference_app`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `egw_reg_accounts` (
  `reg_id` varchar(32) NOT NULL default '',
  `reg_lid` varchar(255) NOT NULL default '',
  `reg_info` text,
  `reg_dla` int(11) NOT NULL default '0',
  `reg_status` char(1) NOT NULL default 'x'
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `egw_reg_fields` (
  `field_name` varchar(255) NOT NULL default '',
  `field_text` text,
  `field_type` varchar(255) NOT NULL default '',
  `field_values` text,
  `field_required` char(1) NOT NULL default '',
  `field_order` int(11) NOT NULL default '0'
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `egw_reg_fields` (`field_name`, `field_text`, `field_type`, `field_values`, `field_required`, `field_order`) VALUES
('bday', 'Birthday', 'birthday', '', 'Y', 1),
('email', 'E-Mail', 'email', '', 'Y', 2),
('n_given', 'First Name', 'first_name', '', 'Y', 3),
('n_family', 'Last Name', 'last_name', '', 'Y', 4),
('adr_one_street', 'Address', 'address', '', 'Y', 5),
('adr_one_locality', 'City', 'city', '', 'Y', 6),
('adr_one_region', 'State', 'state', '', 'Y', 7),
('adr_one_postalcode', 'ZIP/Postal', 'zip', '', 'Y', 8),
('adr_one_countryname', 'Country', 'country', '', 'Y', 9),
('tel_work', 'Phone', 'phone', '', 'N', 10),
('gender', 'Gender', 'gender', '', 'N', 11),
('challenge_question_1', 'Challenge1', 'challenge1', '', 'N', 100),
('challenge_question_2', 'Challenge2', 'challenge2', '', 'N', 100),
('challenge_question_3', 'Challenge3', 'challenge3', '', 'N', 100);

CREATE TABLE IF NOT EXISTS `egw_resources` (
  `res_id` int(11) NOT NULL auto_increment,
  `name` varchar(100) default NULL,
  `short_description` varchar(100) default NULL,
  `cat_id` int(11) NOT NULL default '0',
  `quantity` int(11) default '1',
  `useable` int(11) default '1',
  `location` varchar(100) default NULL,
  `bookable` char(1) default NULL,
  `buyable` char(1) default NULL,
  `prize` varchar(200) default NULL,
  `long_description` longtext,
  `picture_src` varchar(20) default NULL,
  `accessory_of` int(11) default '-1',
  `storage_info` varchar(200) default NULL,
  `inventory_number` varchar(20) default NULL,
  PRIMARY KEY  (`res_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `egw_resources_extra` (
  `extra_id` int(11) NOT NULL default '0',
  `extra_name` varchar(40) NOT NULL default '',
  `extra_owner` int(11) NOT NULL default '-1',
  `extra_value` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`extra_id`,`extra_name`,`extra_owner`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `egw_sitemgr_active_modules` (
  `area` varchar(50) NOT NULL default '',
  `cat_id` int(11) NOT NULL default '0',
  `module_id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`area`,`cat_id`,`module_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `egw_sitemgr_blocks` (
  `block_id` int(11) NOT NULL auto_increment,
  `area` varchar(50) default NULL,
  `cat_id` int(11) default NULL,
  `page_id` int(11) default NULL,
  `module_id` int(11) NOT NULL default '0',
  `sort_order` int(11) default NULL,
  `viewable` int(11) default NULL,
  PRIMARY KEY  (`block_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `egw_sitemgr_blocks_lang` (
  `block_id` int(11) NOT NULL default '0',
  `lang` varchar(5) NOT NULL default '',
  `title` varchar(255) default NULL,
  PRIMARY KEY  (`block_id`,`lang`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `egw_sitemgr_categories_lang` (
  `cat_id` int(11) NOT NULL default '0',
  `lang` varchar(5) NOT NULL default '',
  `name` varchar(100) default NULL,
  `description` varchar(255) default NULL,
  PRIMARY KEY  (`cat_id`,`lang`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `egw_sitemgr_categories_state` (
  `cat_id` int(11) NOT NULL default '0',
  `state` smallint(6) default NULL,
  `index_page_id` int(11) default '0',
  PRIMARY KEY  (`cat_id`),
  KEY `egw_sitemgr_categories_state_cat_id_state` (`cat_id`,`state`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `egw_sitemgr_content` (
  `version_id` int(11) NOT NULL auto_increment,
  `block_id` int(11) NOT NULL default '0',
  `arguments` text,
  `state` smallint(6) default NULL,
  PRIMARY KEY  (`version_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `egw_sitemgr_content_lang` (
  `version_id` int(11) NOT NULL default '0',
  `lang` varchar(5) NOT NULL default '',
  `arguments_lang` text,
  PRIMARY KEY  (`version_id`,`lang`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `egw_sitemgr_modules` (
  `module_id` int(11) NOT NULL auto_increment,
  `module_name` varchar(25) default NULL,
  `description` varchar(255) default NULL,
  PRIMARY KEY  (`module_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `egw_sitemgr_notifications` (
  `notification_id` int(11) NOT NULL auto_increment,
  `site_id` int(11) NOT NULL default '0',
  `site_language` varchar(5) NOT NULL default 'all',
  `cat_id` int(11) NOT NULL default '0',
  `email` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`notification_id`),
  KEY `egw_sitemgr_notifications_email` (`email`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `egw_sitemgr_notify_messages` (
  `message_id` int(11) NOT NULL auto_increment,
  `site_id` int(11) NOT NULL default '0',
  `language` varchar(5) default NULL,
  `message` text,
  `subject` text,
  PRIMARY KEY  (`message_id`),
  UNIQUE KEY `egw_sitemgr_notify_messages_id_language` (`site_id`,`language`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `egw_sitemgr_pages` (
  `page_id` int(11) NOT NULL auto_increment,
  `cat_id` int(11) default NULL,
  `sort_order` int(11) default NULL,
  `hide_page` int(11) default NULL,
  `name` varchar(100) default NULL,
  `state` smallint(6) default NULL,
  PRIMARY KEY  (`page_id`),
  KEY `egw_sitemgr_pages_cat_id` (`cat_id`),
  KEY `egw_sitemgr_pages_state_cat_id_sort_order` (`state`,`cat_id`,`sort_order`),
  KEY `egw_sitemgr_pages_name_cat_id` (`name`,`cat_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `egw_sitemgr_pages_lang` (
  `page_id` int(11) NOT NULL default '0',
  `lang` varchar(5) NOT NULL default '',
  `title` varchar(255) default NULL,
  `subtitle` varchar(255) default NULL,
  PRIMARY KEY  (`page_id`,`lang`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `egw_sitemgr_properties` (
  `area` varchar(50) NOT NULL default '',
  `cat_id` int(11) NOT NULL default '0',
  `module_id` int(11) NOT NULL default '0',
  `properties` text,
  PRIMARY KEY  (`area`,`cat_id`,`module_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `egw_sitemgr_sites` (
  `site_id` int(11) NOT NULL default '0',
  `site_name` varchar(255) default NULL,
  `site_url` varchar(255) default NULL,
  `site_dir` varchar(255) default NULL,
  `themesel` varchar(50) default NULL,
  `site_languages` varchar(50) default NULL,
  `home_page_id` int(11) default NULL,
  `anonymous_user` varchar(50) default NULL,
  `anonymous_passwd` varchar(50) default NULL,
  `upload_dir` varchar(255) default NULL,
  `upload_url` varchar(255) default NULL,
  PRIMARY KEY  (`site_id`),
  KEY `egw_sitemgr_sites_url` (`site_url`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `egw_sqlfs` (
  `fs_id` int(11) NOT NULL auto_increment,
  `fs_dir` int(11) NOT NULL,
  `fs_name` varchar(200) NOT NULL,
  `fs_mode` smallint(6) NOT NULL,
  `fs_uid` int(11) NOT NULL default '0',
  `fs_gid` int(11) NOT NULL default '0',
  `fs_created` datetime NOT NULL,
  `fs_modified` datetime NOT NULL,
  `fs_mime` varchar(96) NOT NULL,
  `fs_size` bigint(20) NOT NULL,
  `fs_creator` int(11) NOT NULL,
  `fs_modifier` int(11) default NULL,
  `fs_active` tinyint(4) NOT NULL default '1',
  `fs_content` longblob,
  `fs_link` varchar(255) default NULL,
  PRIMARY KEY  (`fs_id`),
  KEY `egw_sqlfs_fs_dir_fs_active_fs_name` (`fs_dir`,`fs_active`,`fs_name`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=5 ;

INSERT INTO `egw_sqlfs` (`fs_id`, `fs_dir`, `fs_name`, `fs_mode`, `fs_uid`, `fs_gid`, `fs_created`, `fs_modified`, `fs_mime`, `fs_size`, `fs_creator`, `fs_modifier`, `fs_active`, `fs_content`, `fs_link`) VALUES
(1, 0, '', 5, 0, 0, '2013-12-03 20:25:49', '2013-12-03 20:25:49', 'httpd/unix-directory', 0, 0, 0, 1, NULL, NULL),
(2, 1, 'home', 5, 0, 0, '2013-12-03 20:25:49', '2013-12-03 20:25:49', 'httpd/unix-directory', 0, 0, 0, 1, NULL, NULL),
(3, 1, 'apps', 5, 0, 0, '2013-12-03 20:25:49', '2013-12-03 20:25:49', 'httpd/unix-directory', 0, 0, 0, 1, NULL, NULL),
(4, 3, 'phpbrain', 16389, 0, 0, '2013-12-03 20:25:57', '2013-12-03 20:25:57', 'httpd/unix-directory', 0, 0, NULL, 1, NULL, NULL);

CREATE TABLE IF NOT EXISTS `egw_sqlfs_props` (
  `fs_id` int(11) NOT NULL,
  `prop_namespace` varchar(64) NOT NULL,
  `prop_name` varchar(64) NOT NULL,
  `prop_value` text,
  PRIMARY KEY  (`fs_id`,`prop_namespace`,`prop_name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `egw_syncmldeviceowner` (
  `owner_locname` varchar(200) NOT NULL default '',
  `owner_devid` int(11) NOT NULL default '0',
  `owner_deviceid` varchar(100) NOT NULL default '',
  UNIQUE KEY `egw_syncmldeviceowner_owner_locname_owner_devid_owner_deviceid` (`owner_locname`,`owner_devid`,`owner_deviceid`),
  KEY `egw_syncmldeviceowner_owner_deviceid` (`owner_deviceid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `egw_syncmldevinfo` (
  `dev_dtdversion` varchar(10) NOT NULL default '',
  `dev_numberofchanges` tinyint(4) NOT NULL default '0',
  `dev_largeobjs` tinyint(4) NOT NULL default '0',
  `dev_swversion` varchar(100) default NULL,
  `dev_oem` varchar(100) default NULL,
  `dev_model` varchar(100) NOT NULL default '',
  `dev_manufacturer` varchar(100) NOT NULL default '',
  `dev_devicetype` varchar(100) NOT NULL default '',
  `dev_datastore` text,
  `dev_id` int(11) NOT NULL auto_increment,
  `dev_fwversion` varchar(100) default NULL,
  `dev_hwversion` varchar(100) default NULL,
  `dev_utc` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`dev_id`),
  KEY `egw_syncmldevinfo_dev_model_dev_manufacturer` (`dev_model`,`dev_manufacturer`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `egw_syncmlsummary` (
  `dev_id` varchar(255) NOT NULL default '',
  `sync_path` varchar(100) NOT NULL default '',
  `sync_serverts` varchar(20) NOT NULL default '',
  `sync_clientts` varchar(20) NOT NULL default ''
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `egw_timesheet` (
  `ts_id` int(11) NOT NULL auto_increment,
  `ts_project` varchar(80) default NULL,
  `ts_title` varchar(80) NOT NULL default '',
  `ts_description` text,
  `ts_start` bigint(20) NOT NULL default '0',
  `ts_duration` bigint(20) NOT NULL default '0',
  `ts_quantity` double NOT NULL default '0',
  `ts_unitprice` double default NULL,
  `cat_id` int(11) default '0',
  `ts_owner` int(11) NOT NULL default '0',
  `ts_modified` bigint(20) NOT NULL default '0',
  `ts_modifier` int(11) NOT NULL default '0',
  `pl_id` int(11) default '0',
  `ts_status` int(11) default NULL,
  PRIMARY KEY  (`ts_id`),
  KEY `egw_timesheet_ts_project` (`ts_project`),
  KEY `egw_timesheet_ts_owner` (`ts_owner`),
  KEY `egw_timesheet_ts_status` (`ts_status`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `egw_timesheet_extra` (
  `ts_id` int(11) NOT NULL default '0',
  `ts_extra_name` varchar(32) NOT NULL default '',
  `ts_extra_value` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`ts_id`,`ts_extra_name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `egw_tracker` (
  `tr_id` int(11) NOT NULL auto_increment,
  `tr_summary` varchar(80) NOT NULL,
  `tr_tracker` int(11) NOT NULL,
  `cat_id` int(11) default NULL,
  `tr_version` int(11) default NULL,
  `tr_status` int(11) default '-100',
  `tr_description` text,
  `tr_private` smallint(6) default '0',
  `tr_budget` decimal(20,2) default NULL,
  `tr_completion` smallint(6) default '0',
  `tr_creator` int(11) NOT NULL,
  `tr_created` bigint(20) NOT NULL,
  `tr_modifier` int(11) default NULL,
  `tr_modified` bigint(20) default NULL,
  `tr_closed` bigint(20) default NULL,
  `tr_priority` smallint(6) default '5',
  `tr_resolution` varchar(1) default 'n',
  `tr_cc` text,
  `tr_group` int(11) default NULL,
  `tr_edit_mode` varchar(5) default 'ascii',
  `tr_seen` text,
  PRIMARY KEY  (`tr_id`),
  KEY `egw_tracker_tr_summary` (`tr_summary`),
  KEY `egw_tracker_tr_tracker` (`tr_tracker`),
  KEY `egw_tracker_tr_version` (`tr_version`),
  KEY `egw_tracker_tr_status` (`tr_status`),
  KEY `egw_tracker_tr_group` (`tr_group`),
  KEY `egw_tracker_cat_id_tr_status_tr_assigned` (`cat_id`,`tr_status`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `egw_tracker_assignee` (
  `tr_id` int(11) NOT NULL,
  `tr_assigned` int(11) NOT NULL,
  PRIMARY KEY  (`tr_id`,`tr_assigned`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `egw_tracker_bounties` (
  `bounty_id` int(11) NOT NULL auto_increment,
  `tr_id` int(11) NOT NULL default '0',
  `bounty_creator` int(11) NOT NULL default '0',
  `bounty_created` bigint(20) NOT NULL default '0',
  `bounty_amount` decimal(20,2) NOT NULL default '0.00',
  `bounty_name` varchar(64) default NULL,
  `bounty_email` varchar(128) default NULL,
  `bounty_confirmer` int(11) default NULL,
  `bounty_confirmed` bigint(20) default NULL,
  `bounty_payedto` varchar(128) default NULL,
  `bounty_payed` bigint(20) default NULL,
  PRIMARY KEY  (`bounty_id`),
  KEY `egw_tracker_bounties_tr_id` (`tr_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `egw_tracker_escalated` (
  `tr_id` int(11) NOT NULL,
  `esc_id` int(11) NOT NULL,
  `esc_created` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (`tr_id`,`esc_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `egw_tracker_escalations` (
  `esc_id` int(11) NOT NULL auto_increment,
  `tr_tracker` int(11) NOT NULL default '0',
  `cat_id` int(11) NOT NULL default '0',
  `tr_version` int(11) NOT NULL default '0',
  `tr_status` varchar(255) NOT NULL default '0',
  `tr_priority` int(11) NOT NULL default '0',
  `esc_title` varchar(128) NOT NULL,
  `esc_time` int(11) NOT NULL,
  `esc_type` tinyint(4) NOT NULL default '0',
  `esc_tr_assigned` varchar(255) default NULL,
  `esc_add_assigned` tinyint(4) default NULL,
  `esc_tr_tracker` int(11) default NULL,
  `esc_cat_id` int(11) default NULL,
  `esc_tr_version` int(11) default NULL,
  `esc_tr_status` int(11) default NULL,
  `esc_tr_priority` int(11) default NULL,
  `esc_reply_message` text,
  PRIMARY KEY  (`esc_id`),
  UNIQUE KEY `i45c42f5d1e3a78e012db10558224f` (`tr_tracker`,`cat_id`,`tr_version`,`tr_status`,`tr_priority`,`esc_time`,`esc_type`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `egw_tracker_extra` (
  `tr_id` int(11) NOT NULL,
  `tr_extra_name` varchar(64) NOT NULL,
  `tr_extra_value` text,
  PRIMARY KEY  (`tr_id`,`tr_extra_name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `egw_tracker_replies` (
  `reply_id` int(11) NOT NULL auto_increment,
  `tr_id` int(11) NOT NULL default '0',
  `reply_creator` int(11) NOT NULL default '0',
  `reply_created` bigint(20) NOT NULL default '0',
  `reply_message` text,
  PRIMARY KEY  (`reply_id`),
  KEY `egw_tracker_replies_tr_id_reply_created` (`tr_id`,`reply_created`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `egw_tracker_votes` (
  `tr_id` int(11) NOT NULL default '0',
  `vote_uid` int(11) NOT NULL default '0',
  `vote_ip` varchar(128) NOT NULL default '',
  `vote_time` bigint(20) NOT NULL default '0',
  PRIMARY KEY  (`tr_id`,`vote_uid`,`vote_ip`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `egw_wiki_interwiki` (
  `wiki_id` int(11) NOT NULL default '0',
  `interwiki_prefix` varchar(80) NOT NULL default '',
  `wiki_name` varchar(80) NOT NULL default '',
  `wiki_lang` varchar(5) NOT NULL default '',
  `interwiki_url` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`wiki_id`,`interwiki_prefix`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `egw_wiki_links` (
  `wiki_id` smallint(6) NOT NULL default '0',
  `wiki_name` varchar(80) NOT NULL default '',
  `wiki_lang` varchar(5) NOT NULL default '',
  `wiki_link` varchar(80) NOT NULL default '',
  `wiki_count` int(11) NOT NULL default '0',
  PRIMARY KEY  (`wiki_id`,`wiki_name`,`wiki_lang`,`wiki_link`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `egw_wiki_pages` (
  `wiki_id` smallint(6) NOT NULL default '0',
  `wiki_name` varchar(80) NOT NULL default '',
  `wiki_lang` varchar(5) NOT NULL default '',
  `wiki_version` int(11) NOT NULL default '1',
  `wiki_time` int(11) default NULL,
  `wiki_supercede` int(11) default NULL,
  `wiki_readable` int(11) NOT NULL default '0',
  `wiki_writable` int(11) NOT NULL default '0',
  `wiki_username` varchar(80) default NULL,
  `wiki_hostname` varchar(80) NOT NULL default '',
  `wiki_comment` varchar(80) NOT NULL default '',
  `wiki_title` varchar(80) default NULL,
  `wiki_body` longtext,
  PRIMARY KEY  (`wiki_id`,`wiki_name`,`wiki_lang`,`wiki_version`),
  KEY `egw_wiki_pages_title` (`wiki_title`),
  FULLTEXT KEY `egw_wiki_pages_body` (`wiki_body`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `egw_wiki_rate` (
  `wiki_rate_ip` varchar(20) NOT NULL default '',
  `wiki_rate_time` int(11) default NULL,
  `wiki_rate_viewLimit` smallint(6) default NULL,
  `wiki_rate_searchLimit` smallint(6) default NULL,
  `wiki_rate_editLimit` smallint(6) default NULL,
  PRIMARY KEY  (`wiki_rate_ip`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `egw_wiki_remote_pages` (
  `wiki_remote_page` varchar(80) NOT NULL default '',
  `wiki_remote_site` varchar(80) NOT NULL default '',
  PRIMARY KEY  (`wiki_remote_page`,`wiki_remote_site`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `egw_wiki_sisterwiki` (
  `wiki_id` int(11) NOT NULL default '0',
  `sisterwiki_prefix` varchar(80) NOT NULL default '',
  `wiki_name` varchar(80) NOT NULL default '',
  `wiki_lang` varchar(5) NOT NULL default '',
  `sisterwiki_url` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`wiki_id`,`sisterwiki_prefix`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `phpgw_mydms_ACLs` (
  `id` int(11) NOT NULL auto_increment,
  `target` int(11) NOT NULL default '0',
  `targetType` smallint(6) NOT NULL default '0',
  `userID` int(11) NOT NULL default '-1',
  `groupID` int(11) NOT NULL default '-1',
  `mode` smallint(6) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `phpgw_mydms_DocumentContent` (
  `id` int(11) NOT NULL auto_increment,
  `document` int(11) default '0',
  `version` smallint(6) default '0',
  `comment` text,
  `date` bigint(20) default '0',
  `createdBy` int(11) default '0',
  `dir` varchar(10) NOT NULL default '',
  `orgFileName` varchar(150) NOT NULL default '',
  `fileType` varchar(10) NOT NULL default '',
  `mimeType` varchar(70) NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `phpgw_mydms_DocumentLinks` (
  `id` int(11) NOT NULL auto_increment,
  `document` int(11) NOT NULL default '0',
  `target` int(11) NOT NULL default '0',
  `userID` int(11) NOT NULL default '0',
  `public` tinyint(4) NOT NULL default '1',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `phpgw_mydms_Documents` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(150) default NULL,
  `comment` text,
  `date` bigint(20) default '0',
  `expires` bigint(20) default '0',
  `owner` int(11) default '0',
  `folder` int(11) default '0',
  `inheritAccess` tinyint(4) NOT NULL default '1',
  `defaultAccess` smallint(6) NOT NULL default '0',
  `locked` int(11) NOT NULL default '-1',
  `keywords` text,
  `sequence` double NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `phpgw_mydms_Folders` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(70) default NULL,
  `parent` int(11) default '0',
  `comment` text,
  `owner` int(11) default '0',
  `inheritAccess` tinyint(4) NOT NULL default '1',
  `defaultAccess` smallint(6) NOT NULL default '0',
  `sequence` double NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

INSERT INTO `phpgw_mydms_Folders` (`id`, `name`, `parent`, `comment`, `owner`, `inheritAccess`, `defaultAccess`, `sequence`) VALUES
(1, 'Root-Folder', 0, 'no comment', 1, 0, 2, 0);

CREATE TABLE IF NOT EXISTS `phpgw_mydms_GroupMembers` (
  `id` int(11) NOT NULL auto_increment,
  `groupID` int(11) NOT NULL default '0',
  `userID` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `phpgw_mydms_Groups` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(50) default NULL,
  `comment` text,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `phpgw_mydms_KeywordCategories` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `owner` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `phpgw_mydms_Keywords` (
  `id` int(11) NOT NULL auto_increment,
  `category` int(11) NOT NULL default '0',
  `keywords` text,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `phpgw_mydms_Notify` (
  `id` int(11) NOT NULL auto_increment,
  `target` int(11) NOT NULL default '0',
  `targetType` int(11) NOT NULL default '0',
  `userID` int(11) NOT NULL default '-1',
  `groupID` int(11) NOT NULL default '-1',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `phpgw_mydms_Sessions` (
  `id` varchar(50) NOT NULL default '',
  `userID` int(11) NOT NULL default '0',
  `lastAccess` int(11) NOT NULL default '0',
  `theme` varchar(30) NOT NULL default '',
  `language` varchar(30) NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `phpgw_mydms_UserImages` (
  `id` int(11) NOT NULL auto_increment,
  `userID` int(11) NOT NULL default '0',
  `image` longblob,
  `mimeType` varchar(10) NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `phpgw_mydms_Users` (
  `id` int(11) NOT NULL auto_increment,
  `login` varchar(50) default NULL,
  `pwd` varchar(50) default NULL,
  `fullName` varchar(100) default NULL,
  `email` varchar(70) default NULL,
  `comment` text,
  `isAdmin` smallint(6) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
